#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/class/reset.rb'
# =========================================================================== #
module BeautifulUrl

class BeautifulUrl # === BeautifulUrl::BeautifulUrl

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    set_intralink
    set_data_dir(:default)
    # ======================================================================= #
    # === @commandline_arguments
    # ======================================================================= #
    @commandline_arguments = []
    # ======================================================================= #
    # === @is_registered
    #
    # By default the given input is NOT registered. A method can change
    # this value at a later time. (In the past this variable was called
    # @url_was_found, but during the rewrite in early 2020 it was
    # renamed).
    # ======================================================================= #
    @is_registered = false # Will become true if the URL was found.
    # ======================================================================= #
    # === @replace_localhost_with_data
    #
    # This variable must be false by default. If true then we will replace
    # the localhost string with the DATA/ string.
    # ======================================================================= #
    @replace_localhost_with_data = false
    # ======================================================================= #
    # === @replace_data_with_localhost
    # ======================================================================= #
    @replace_data_with_localhost = false
    # ======================================================================= #
    # === @ignore_help
    #
    # This variable can be used to specifically NOT make use of --help,
    # that is to ignore this case even if the user specified it.
    # ======================================================================= #
    @ignore_help = false
  end

end; end