#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/constants/tasks.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl::YAML_FILE_TASKS
  #
  # We will try to load the file called "tasks.yml" but this file may
  # be missing for various reasons - hence a File.exist? check must
  # be done.
  # ========================================================================= #
  tasks = '/home/x/DATA/todo/yaml/tasks.yml' # cat $MY_DATA/todo/yaml/tasks.yml
  if File.exist? tasks
    require 'yaml'
    begin
      YAML_FILE_TASKS = YAML.load_file(tasks)
      YFT = YAML_FILE_TASKS # alias to the above ^^^
    rescue LoadError # Silent Rescue.
      # puts 'The file does not exist.'
    rescue Psych::SyntaxError => error
      puts 'An error happened (via psych). Showing this error next:'
      pp error
    end
  end

end