#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === BeautifulUrl::JsonGenerator
#
# The task of this class is to generate all entries in the case/when
# menu as json.
# =========================================================================== #
# require 'beautiful_url/json_generator/json_generator.rb'
# =========================================================================== #
module BeautifulUrl

class JsonGenerator # === BeautifulUrl::JsonGenerator

  require 'json'

  begin
    require 'case_parser' # This gem is required in this file here.
  rescue LoadError; end

  alias e puts

  # ========================================================================= #
  # === STORE_WHERE
  # ========================================================================= #
  STORE_WHERE = '/Depot/Temp/dataset.json'

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      run_already = true
    )
    reset
    run if run_already
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    # ======================================================================= #
    # === @array
    # ======================================================================= #
    @array = CaseParser.return_array(:beautiful_menu)
  end

  # ========================================================================= #
  # === save_result
  # ========================================================================= #
  def save_result
    report_where_we_will_store
    File.open(STORE_WHERE, 'w+') {|file| file.print @serialized }
  end

  # ========================================================================= #
  # === report_where_we_will_store
  # ========================================================================= #
  def report_where_we_will_store
    e "Next storing at `#{STORE_WHERE}`."
  end

  # ========================================================================= #
  # === serialized?
  # ========================================================================= #
  def serialized?
    @serialized
  end; alias serialized serialized? # === serialized

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    @serialized = @array.to_json
    save_result
  end

end; end

if __FILE__ == $PROGRAM_NAME
  _ = BeautifulUrl::JsonGenerator.new
  pp _.serialized
  _.report_where_we_will_store
end # json_generator