#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module BeautifulUrl

  require 'date'

  # ========================================================================= #
  # === BeautifulUrl.current_month?
  #
  # This will return e. g. "5".
  # ========================================================================= #
  def self.current_month?(
      pad_with_zeroes = false
    )
    current_month = Date.today.month.to_s
    case pad_with_zeroes
    when :pad_with_zeroes
      pad_with_zeroes = true
    end
    if pad_with_zeroes
      current_month = current_month.rjust(2,'0')
    end
    return current_month
  end

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.current_month?
end