#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/local_menu.rb'
# =========================================================================== #
module BeautifulUrl

  require 'beautiful_url/constants/base_constants.rb'

  # ========================================================================= #
  # === BeautifulUrl.local_menu
  #
  # This entry keeps local entries.
  # ========================================================================= #
  def self.local_menu(
      i = :default
    )
    case i.to_s # case tag
    # ======================================================================= #
    # === rf hovering_rock_HTML
    # ======================================================================= #
    when /^hovering(_|-| )?rock(_|-| )?HTML$/i,
         /^local(_|-| )?hovering(_|-| )?rock(_|-| )?HTML$/i
      "#{MY_DATA}personal/misc/hovering_rock.html"
    # ======================================================================= #
    # === rf hovering_rock
    # ======================================================================= #
    when /^hovering(_|-| )?rock$/i,
         /^local(_|-| )?hovering(_|-| )?rock$/i
      "#{MY_DATA}personal/misc/hovering_rock.cgi"
    # ======================================================================= #
    # === rf the_lighthouse_HTML
    # ======================================================================= #
    when /^the(_|-| )?lighthouse(_|-| )?HTML$/i,
         /^local(_|-| )?the(_|-| )?lighthouse(_|-| )?HTML$/i
      "#{MY_DATA}personal/misc/the_lighthouse.html"
    # ======================================================================= #
    # === rf the_lighthouse
    # ======================================================================= #
    when /^the(_|-| )?lighthouse$/i,
         /^local(_|-| )?the(_|-| )?lighthouse$/i
      "#{MY_DATA}personal/misc/the_lighthouse.cgi"
    # ======================================================================= #
    # === rf tales_from_the_crypt
    # ======================================================================= #
    when 'tales_from_the_crypt',
         'tales',
         'talesfromthecrypt'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/tales_from_the_crypt/tales_from_the_crypt.html"
    # ======================================================================= #
    # === exams
    # ======================================================================= #
    when 'examstime','examstimes','examst','stdstud',
         'exam',
         'exams2',
         'examtime',
         'examtimes',
         'e',
         'examsyaml',
         'exms',
         /^-?-?my(_|-| )?exams$/i,
         /^-?-?e?xams$/i
      "#{STUDIUM}YAML/exams.yml"
    # ======================================================================= #
    # === rf crossed_swords_icon
    # ======================================================================= #
    when /^crossed(_|-| )?swords(_|-| )?icon$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/images/misc/crossed_swords_icon.png"
    # ======================================================================= #
    # === rf no-wetter
    # ======================================================================= #
    when /^no(_|-| )?wetter$/i
      "#{MY_DATA}personal/sitemap/sitemap.cgi?no_wetter"
    # ======================================================================= #
    # === rf lokal_misc
    # ======================================================================= #
    when 'si',
         'smap',
         'map',
         'misc',
         'msic',
         'lokale_sitemap',
         /^sitemap$/i,
         /^roebe(_|-| )?sitemap$/i,
         /^local(_|-| )?sitemap$/i,
         /^lokal(_|-| )?misc$/i,
         /^entry$/i
      "#{MY_DATA}personal/sitemap/sitemap.cgi"
    # ======================================================================= #
    # === rf my-email
    # ======================================================================= #
    when /^-?-?my(_|-| )?email\.?yml$/i,
         /^-?-?my(_|-| )?email$/i
      "#{MY_DATA}/personal/yaml/my_email/my_email.yml"
    # ======================================================================= #
    # === house-of-hell
    # ======================================================================= #
    when /^-?-?house(_|-| )?of(_|-| )?hell$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/yaml/gamebooks/10_house_of_hell/10_house_of_hell.yml"
    # ======================================================================= #
    # === local_ginger_html
    # ======================================================================= #
    when /^-?-?local(_|-| )?ginger(_|-| )?html$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/ginger_der_bandit/ginger_der_bandit.html"
    # ======================================================================= #
    # === ginger
    # ======================================================================= #
    when /^ginger$/i,
         /^-?-?local(_|-| )?ginger$/i,
         /^-?-?local(_|-| )?ginger(_|-| )?the(_|-| )?cat$/i,
         /^-?-?local(_|-| )?ginger(_|-| )?der(_|-| )?bandit$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/ginger_der_bandit/ginger_der_bandit.cgi"
    # ======================================================================= #
    # === local_ariolante_und_das_kätzchen
    # ======================================================================= #
    when /^-?-?local(_|-| )?ariolante(_|-| )?und(_|-| )?das(_|-| )?kätzchen$/i,
         /^-?-?local(_|-| )?ariolante(_|-| )?and(_|-| )?the(_|-| )?kitten$/i,
         /^-?-?ariolante(_|-| )?und(_|-| )?das(_|-| )?kätzchen$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/ariolante_and_the_kitten/ariolante_and_the_kitten.cgi"
    # ======================================================================= #
    # === local_ariolante_and_the_kitten_html
    # ======================================================================= #
    when /^-?-?local(_|-| )?ariolante(_|-| )?and(_|-| )?the(_|-| )?kitten(_|-| )?html$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/ariolante_and_the_kitten/ariolante_and_the_kitten.html"
    # ======================================================================= #
    # === jupyter-lab
    # ======================================================================= #
    when /^jupyter(_|-| )?lab$/i
      "http://localhost:8888/lab"
    # ======================================================================= #
    # === spacer
    # ======================================================================= #
    when 'spacer',
         /^pretty(_|-| )?spacer$/i,
         /^fancy(_|-| )?spacer$/i
      "/home/x/programming/ruby/src/cyberweb/lib/cyberweb/images/standard_images/SPACER.png"
    # ======================================================================= #
    # === die_katze_im_schnee
    # ======================================================================= #
    when /^die(_|-| )?katze(_|-| )?im(_|-| )?schnee$/i,
         /^local(_|-| )?die(_|-| )?katze(_|-| )?im(_|-| )?schnee$/i,
         /^local(_|-| )?die(_|-| )?katze(_|-| )?im(_|-| )?schnee(_|-| )?html$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/die_katze_im_schnee/die_katze_im_schnee.html"
    # ======================================================================= #
    # === die_herrenlose_katze
    # ======================================================================= #
    when /^die(_|-| )?herrenlose(_|-| )?katze(_|-| )?html$/i,
         /^local(_|-| )?die(_|-| )?herrenlose(_|-| )?katze(_|-| )?html$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/die_herrenlose_katze/die_herrenlose_katze.html"
    # ======================================================================= #
    # === die_herrenlose_katze
    # ======================================================================= #
    when /^die(_|-| )?herrenlose(_|-| )?katze$/i,
         /^local(_|-| )?die(_|-| )?herrenlose(_|-| )?katze$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/die_herrenlose_katze/die_herrenlose_katze.cgi"
    # ======================================================================= #
    # === die_katze_im_schnee
    # ======================================================================= #
    when /^die(_|-| )?katze(_|-| )?im(_|-| )?schnee$/i,
         /^local(_|-| )?die(_|-| )?katze(_|-| )?im(_|-| )?schnee$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/die_katze_im_schnee/die_katze_im_schnee.cgi"
    # ======================================================================= #
    # === nächtliche jagd
    # ======================================================================= #
    when /^nächtliche(_|-| )?jagd$/i,
         /^nocturnal(_|-| )?hunt$/i,
         /^local(_|-| )?nächtliche(_|-| )?jagd$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/nocturnal_hunt/nocturnal_hunt.cgi"
    # ======================================================================= #
    # === organic_chemistry
    # ======================================================================= #
    when /^local(_|-| )?organic(_|-| )?chemistry$/i,
         /^organic(_|-| )?chemistry$/i
      "#{DATA_RUBY_SRC}chemistry_paradise/lib/chemistry_paradise/www/organic_chemistry/organic_chemistry.cgi"
    # ======================================================================= #
    # === rf chemistry
    # ======================================================================= #
    when 'chemie',
         'chem',
         /^-?-?local(_|-| )?chemistry$/i,
         /^-?-?chemistry$/i
      "#{DATA_RUBY_SRC}chemistry_paradise/lib/chemistry_paradise/www/chemistry/chemistry.cgi"
    # ======================================================================= #
    # === local_biochemistry
    # ======================================================================= #
    when /^local(_|-| )?bio(_|-| )?chemistry$/i,
         'biochem','local_biochem'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/biochemistry/biochemistry.cgi"
    # ======================================================================= #
    # === rf important_exams
    # ======================================================================= #
    when 'important_exams',
         'important_exams.yml',
         /^-?-?exams(_|-| )?i(_|-| )?want(_|-| )?to(_|-| )?do/i
      "#{DATA_RUBY_SRC}studium/lib/studium/yaml/important_exams.yml"
    # ======================================================================= #
    # === bl outdated
    # ======================================================================= #
    when /^outdated$/i
      "#{DATA_RUBY_SRC}studium/lib/studium/images/outdated.png"
    # ======================================================================= #
    # === bl new_university
    # ======================================================================= #
    when /new(_|-| )?university$/i,
         /new(_|-| )?uni$/i
      "#{DATA_RUBY_SRC}beautiful_url/lib/beautiful_url/toplevel_methods/new_university_menu.rb"
    # ======================================================================= #
    # === bl university
    # ======================================================================= #
    when 'university'
      "#{DATA_RUBY_SRC}beautiful_url/lib/beautiful_url/toplevel_methods/university_menu.rb"
    # ======================================================================= #
    # === bl semester-planner
    # ======================================================================= #
    when /^semester(_|-| )?planner$/i
      "#{DATA_RUBY_SRC}studium/lib/studium/yaml/semester_planner/semester_planner.yml"
    # ======================================================================= #
    # === rf alle-fotos
    # ======================================================================= #
    when /^alle(_|-| )?fotos$/i
      "#{MY_DATA}images/fotos/show_foto_gallery.cgi"
    # ======================================================================= #
    # === local_biotechnology
    # ======================================================================= #
    when 'biotechnology',
         /^local(_|-| )?biotechnology$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/biotechnology/biotechnology.cgi"
    # ======================================================================= #
    # === chromium
    # ======================================================================= #
    when /^local(_|-| )?chrome$/i,
         /^chrome$/i,
         /^chromium$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/chromium/chromium.cgi"
    # ======================================================================= #
    # === local_prokaryotic_evolution
    # ======================================================================= #
    when /^local(_|-| )?prokaryotic(_|-| )?evolution$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/prokaryotic_evolution/prokaryotic_evolution.cgi"
    # ======================================================================= #
    # === local_waschmaschine
    # ======================================================================= #
    when /^local(_|-| )?waschmaschinen?$/i,
         /^waschmaschinen?$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/waschmaschinen/waschmaschinen.cgi"
    # ======================================================================= #
    # === curricula
    # ======================================================================= #
    when /^curricula$/i,
         /^studium(_|-| )?cgi$/i,
         /^handle(_|-| )?curricula(_|-| )?cgi$/i,
         /^handle(_|-| )?curricula$/i,
         /^curricula(_|-| )?handler?$/i
      "http://localhost/programming/ruby/src/studium/lib/studium/www/handle_curricula/handle_curricula.cgi"
    # ======================================================================= #
    # === rf marchettigasse
    # ======================================================================= #
    when /^marchettigasse$/i
      "#{MY_DATA}images/fotos/areas/marchettigasse/marchettigasse.html"
    # ======================================================================= #
    # === rf fotos
    # ======================================================================= #
    when 'fotos',
         /^lokal(_|-| )?fotos?$/i,
         /^local(_|-| )?fotos?$/i
      "#{MY_DATA}personal/fotos/fotos.cgi"
    # ======================================================================= #
    # === daily_routine
    # ======================================================================= #
    when /^daily(_|-| )?routine$/i,
         /^daily$/i
      "#{MY_DATA}/personal/yaml/physical_exercises/daily_routine.md"
    # ======================================================================= #
    # === local_training
    # ======================================================================= #
    when /^local(_|-| )?training$/i,
         'training',
         'train',
         /^local(_|-| )?body(_|-| )?language$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/training/training.cgi"
    # ======================================================================= #
    # === extensions
    # ======================================================================= #
    when /^extensions$/i
      "chrome://extensions"
    # ======================================================================= #
    # === local_transcription
    # ======================================================================= #
    when /^local(_|-| )?transcription?$/i,
         /^transcription?$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/transcription/transcription.cgi"
    # ======================================================================= #
    # === local_gene_expression
    # ======================================================================= #
    when /^local(_|-| )?gene(_|-| )?expression$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/gene_expression/gene_expression.cgi"
    # ======================================================================= #
    # === rpg_paradise_favicon
    # ======================================================================= #
    when /^rpg(_|-| )?paradise(_|-| )?favicon$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/images/logo/LOGO_FOR_THE_RPG_PARADISE_PROJECT.png"
    # ======================================================================= #
    # === local_cellbiology
    # ======================================================================= #
    when /^local(_|-| )?cell(_|-| )?biology$/i,
         'cell'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/cellbiology/cellbiology.cgi"
    # ======================================================================= #
    # === rf ingrid
    # ======================================================================= #
    when /^-?-?ingrid$/i
      "#{MY_DATA}personal/ingrid/ingrid.cgi"
    # ======================================================================= #
    # === rf browser.yml
    # ======================================================================= #
    when /browser\.?yml/,
         'browser'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/yaml/browser.yml"
    # ======================================================================= #
    # === kabel
    # ======================================================================= #
    when 'kabel',
         /^local(_|-| )?kabel(_|-| )?und(_|-| )?adaptoren$/i,
         /^kabel(_|-| )?und(_|-| )?adaptoren$/i,
         /^local(_|-| )?kabel$/i,
         /^usb(_|-| )?kabel$/i,
         /^externe(_|-| )?kabel$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/hardware/kabel_und_adaptoren/kabel_und_adaptoren.cgi"
    # ======================================================================= #
    # === rf walking-cat
    # ======================================================================= #
    when /^walking(_|-| )?cat$/i
      "#{DATA_RUBY_SRC}cyberweb/examples/css/walking_cat/walking_cat.html"
    # ======================================================================= #
    # === rf local-our-solar-system
    # ======================================================================= #
    when /^local(_|-| )?our(_|-| )?solar(_|-| )?system$/i,
         /^our(_|-| )?solar(_|-| )?system$/i,
         /^Universe$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/our_solar_system/our_solar_system.cgi"
    # ======================================================================= #
    # === math
    # ======================================================================= #
    when 'math',
         /^-?-?local(_| |-)?math$/i,
         /^-?-?local(_| |-)?mathematik$/i,
         /^-?-?mathematik$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/mathematics/mathematics.cgi"
    # ======================================================================= #
    # === installation_procedure
    # ======================================================================= #
    when 'installation','procedere','install','installation_procedere',
         'iprocedere','iprocedure','installationprocedure','insta',
         'installation_procedure'
      RUBY_RBT+'yaml/installation_procedere/installation_procedere.yml'
    # ======================================================================= #
    # === java_tipps
    # ======================================================================= #
    when /^java(_|-| )?tipps?$/i
      "/home/x/programming/java/doc/java_tipps.md"
    # ======================================================================= #
    # === local_computersysteme
    # ======================================================================= #
    when /^local(_|-| )?computersysteme?$/i,
         /^computersysteme?$/i,
         /^computer$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/hardware/computersysteme/computersysteme.cgi"
    # ======================================================================= #
    # === rf cyberwebtodo
    # ======================================================================= #
    when 'cyberwebtodo',
         'webfoundation_todo',
         'cybertodo',
         'ctodo',
         'cybertotod'
      "#{RSRC}cyberweb/doc/todo/todo_for_the_cyberweb_project.md"
    # ======================================================================= #
    # === rf unterschriften
    # ======================================================================= #
    when /^unterschriften$/
      "#{DATA_IMAGES_ROEBE}Roebe_vier_Unterschriften.jpg"
    # ======================================================================= #
    # === rf lecture_information
    # ======================================================================= #
    when /^lecture_?information$/,
         /^file_?lectures\??/,
         /^file_?information\??/,
         'file_lecture',
         'lecture_f',
         'file_l',
         'lecturei',
         'lui'
      "#{DATA_RUBY_SRC}studium/lib/studium/yaml/lecture_information/lecture_information.yml"
    # ======================================================================= #
    # === diatodo
    # ======================================================================= #
    when 'diatodo',
         'diashelltodo',
         'todo',
         'diatod',
         'tododia',
         'diatodoa',
         'diaodo'
      "#{DATA_RUBY_SRC}roebe/doc/todo/todo_for_the_roebe_shell.md"
    # ======================================================================= #
    # === local_immunology
    # ======================================================================= #
    when /^local(_|-| )?immunology$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/immunology/immunology.cgi"
    # ======================================================================= #
    # === rbt_menu
    # ======================================================================= #
    when /^rbt(_|-| )?menu$/i
      "#{DATA_RUBY_SRC}rbt/lib/rbt/compile/menu.rb"
    # ======================================================================= #
    # === local_festplatten
    # ======================================================================= #
    when /^local(_|-| )?festplatten$/i,
         /^festplatten$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/festplatten/festplatten.cgi"
    # ======================================================================= #
    # === gimp
    # ======================================================================= #
    when 'gimp','gim','gi',
         /^local(_|-| )?gimp$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/gimp/gimp.cgi"
    # ======================================================================= #
    # === rf cameras
    # ======================================================================= #
    when /^-?-?local(_|-| )?cameras$/i,
         'cameras',
         'cam'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/cameras/cameras.cgi"
    # ======================================================================= #
    # === rf local_xampp
    # ======================================================================= #
    when /^-?-?local(_|-| )?xampp$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/xampp/xampp.cgi"
    # ======================================================================= #
    # === rf local_webserving
    # ======================================================================= #
    when /^-?-?local(_|-| )?webserving$/i,
         'serving',
         'serve',
         'webserving',
         'webserve',
         'webserv',
         'websr',
         'webs'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/webserving/webserving.cgi"
    # ======================================================================= #
    # === rf local_baldurs_gate
    # ======================================================================= #
    when /^local(_|-| )?baldurs(_|-| )?gate$/i,
         /^baldurs(_|-| )?gate$/i
      "#{DATA_RUBY_SRC}games_paradise/lib/games_paradise/www/baldurs_gate2/baldurs_gate2.cgi"
    # ======================================================================= #
    # === rf local_krita
    # ======================================================================= #
    when /^local(_|-| )?krita$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/krita/krita.cgi"
    # ======================================================================= #
    # === rf diamenu
    # ======================================================================= #
    when /^diamenu$/i,
         'diasimpleactions',
         'diameni',
         'diamen',
         'diamnu',
         'diameun'
      RUBY_DIA+'shell/menu.rb'
    # ======================================================================= #
    # === rf local_inkscape
    # ======================================================================= #
    when /^local(_|-| )?inkscape$/i,
          'ink',
          'inkscape'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/inkscape/inkscape.cgi"
    # ======================================================================= #
    # === rf local_haiku
    # ======================================================================= #
    when 'haiku',
         'haik',
         /^local(_|-| )?haiku$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/haiku/haiku.cgi"
    # ======================================================================= #
    # === rf local_aging
    # ======================================================================= #
    when /^-?-?local(_|-| )?aging$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/aging/aging.cgi"
    # ======================================================================= #
    # === rf local_tetris
    # ======================================================================= #
    when /^-?-?local(_|-| )?tetris$/i
      "#{DATA_RUBY_SRC}cyberweb/examples/advanced/games/tetris/tetris.cgi"
    # ======================================================================= #
    # === rf exam1
    #
    # These variants are special.
    # ======================================================================= #
    when 'exam1',
         'exam2',
         'exam3',
         'exam4',
         'exam5',
         'exam6',
         'exam7',
         'exam8',
         'exam9',
         'exam10',
         'exam11',
         'exam12',
         'exam13',
         'exam14',
         'exam15',
         'exam16',
         'exam17',
         'exam18',
         'exam19',
         'exam20',
         'exam21',
         'exam22',
         'exam23',
         'exam24',
         'exam25',
         'exam26',
         'exam27',
         'exam28',
         'exam29',
         'exam30'
      require 'studium/exams/open_exam_associated_url.rb'
      Studium::Exams::OpenExamAssociatedUrl.new(i)
      exit
    # ======================================================================= #
    # === rf layout
    # ======================================================================= #
    when 'layout',
         'lay',
         /^-?-?local(_|-| )?layout$/i,
         /^-?-?local(_|-| )?design$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/designing_and_art/designing_and_art.cgi"
    # ======================================================================= #
    # === rf tanriel
    # ======================================================================= #
    when 'tanriel',
         'life'
      BASE_DIR+'data/personal/rpg/muds/geas/my_characters/tanriel/tanriels_life.md'
    # ======================================================================= #
    # === rf dnd_mods
    # ======================================================================= #
    when /^-?-?local(_|-| )?dnd(_|-| )?mods$/i,
         /^-?-?dnd(_|-| )?mods$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dnd/dnd_mods/dnd_mods.cgi"
    # ======================================================================= #
    # === rf dnd
    #
    # A typical example for this entry-point would be the Symbol :local_dnd.
    # ======================================================================= #
    when 'dnd',
         'local_dnd',
         /^-?-?local(_|-| )?dnd(_|-| )?page$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dnd/dnd.cgi"
    # ======================================================================= #
    # === gewicht
    # ======================================================================= #
    when 'gewicht',
         'food',
         'ernaehrung',
         'lokal_ernährung',
         'ern',
         'weight',
         'lokal_gewicht',
         'gwicht',
         'local_ernährung',
         'localernährung',
         /-?-?my(_|-| )?weight/,
         /-?-?my(_|-| )?ern/
      "#{MY_DATA}personal/yaml/my_weight.md"
    # ======================================================================= #
    # === rf hardwarecgi
    # ======================================================================= #
    when /^hardware$/i,
         'hware',
         'kauf',
         'h',
         'hw',
         'hward',
         /^hardwareinformation$/i,
         /^-?-?local(_|-| )?hardware$/i,
         /^-?-?my(_|-| )?hardware(_|-| )?cgi$/i,
         /^-?-?hardware(_|-| )?cgi$/i
      "#{DATA_RUBY_SRC}hardware_information/lib/hardware_information/www/my_hardware.cgi"
    # ======================================================================= #
    # === bl my_hardware
    # ======================================================================= #
    when /^-?-?my(_| |-)?hardware$/i,
         /^-?-?hardwa?re$/i,
         'hardware2',
         /^comput?er(_|-| )?hardware$/i,
         'chardware',
         'chware','chwardware',
         'hwardedata',
         'hardwaredata',
         'hardwareyaml',
         'computerhardwareyaml',
         'computerhardwareyml',
         'hardwareyml',
         'hwareyaml',
         'hwareyml',
         'computerhware',
         'cware',
         /^computer(_|-| )?yaml$/
      "#{MY_DATA}personal/yaml/my_hardware/my_hardware.yml"
    # ======================================================================= #
    # === rf hardware_assembly
    # ======================================================================= #
    when /^hardware(_|-| )?assembly$/i,
         /^local(_|-| )?hardware(_|-| )?assembly$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/hardware_assembly/hardware_assembly.cgi"
    # ======================================================================= #
    # === passwords
    # ======================================================================= #
    when /^password$/i,
         /^passwords$/i,
         /^local(_|-| )?passwords$/i,
         /^local(_|-| )?password(_|-| )?file$/i,
         /^passwordsyaml$/i,
         /^mypasswords$/i
      "#{MY_DATA_DIR}personal/yaml/passwords/passwords.yml"
    # ======================================================================= #
    # === bl r
    # ======================================================================= #
    when 'r',
         'statistics',
         'statistic',
         'r_language',
         /^-?-?local(_|-| )?r$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/programming_languages/R/R.cgi"
    # ======================================================================= #
    # === rf vienna_map
    # ======================================================================= #
    when /^-?-?vienna(_|-| )?map$/i
      '/home/x/data/images/wien/VIENNA_MAP.png'
    # ======================================================================= #
    # === rf local_vienna
    # ======================================================================= #
    when /^-?-?local(_|-| )?vienna$/i,
         /^-?-?vienna$/i
      "#{MY_DATA}personal/vienna/vienna.cgi"
    # ======================================================================= #
    # === rf gesundheit
    # ======================================================================= #
    when 'gesundheit',
         'health',
         'medizin',
         'hier',
         'lokal_gesundheit',
         'lokalgesundheit',
         /^-?-?local(_|-| )?gesundheit$/i,
         /^-?-?local(_|-| )?health$/i
      "#{MY_DATA}personal/gesundheit/gesundheit.cgi"
    # ======================================================================= #
    # === rf firefox
    # ======================================================================= #
    when 'firefox',
         'ff',
         'plugins',
         'local_firefox',
         'fireox'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/firefox/firefox.cgi"
    # ======================================================================= #
    # === rf law
    # ======================================================================= #
    when 'law',
         /^local(_|-| )?law$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/law/law.cgi"
    # ======================================================================= #
    # === local_evolution
    # ======================================================================= #
    when /^local(_|-| )?evolution$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/evolution/evolution.cgi"
    # ======================================================================= #
    # === the_legend_of_mangrovar
    # ======================================================================= #
    when /^the(_|-| )?legend(_|-| )?of(_|-| )?mangrovar$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/the_legend_of_mangrovar/the_legend_of_mangrovar.cgi"
    # ======================================================================= #
    # === local_monsters_in_tai
    # ======================================================================= #
    when /^local(_|-| )?monsters(_|-| )?in(_|-| )?tai$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/the_eastern_realm/tai/monsters_found_on_tai.cgi"
    # ======================================================================= #
    # === localrouter
    # ======================================================================= #
    when 'localrouter'
      'http://192.168.0.1/'
    # ======================================================================= #
    # === men
    # ======================================================================= #
    when 'men',
         'self',
         'sanitizeurl',
         'sanitized',
         'sanitize',
         'san',
         'sani',
         'beautiful',
         'menu',
         'stdmenu',
         'beautiful_menu',
         /^main(_|-| )?menu$/i
      RSRC+'beautiful_url/lib/beautiful_url/toplevel_methods/traditional_menu.rb'
    # ======================================================================= #
    # === video_menu
    # ======================================================================= #
    when /^video(_|-| )?menu$/i
      RSRC+'beautiful_url/lib/beautiful_url/toplevel_methods/video_menu.rb'
    # ======================================================================= #
    # === local_genetics
    # ======================================================================= #
    when /^local(_|-| )?genetics$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/genetics/genetics.cgi"
    # ======================================================================= #
    # === rf dnd_tools
    # ======================================================================= #
    when /^-?-?local(_|-| )?dnd(_|-| )?tools$/i,
         /^-?-?dnd(_|-| )?tools$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dnd/tools/tools.cgi"
    # ======================================================================= #
    # === rf tai
    # ======================================================================= #
    when 'tai',
         /^-?-?local(_|-| )?tai$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/the_eastern_realm/tai/tai.cgi"
    # ======================================================================= #
    # === local_microbiology
    # ======================================================================= #
    when /^local(_|-| )?microbiology$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/microbiology/microbiology.cgi"
    # ======================================================================= #
    # === rf local_sarlem_history
    # ======================================================================= #
    when /^-?-?local(_|-| )?sarlem(_|-| )?history$/,
         /^-?-?local(_|-| )?sarlem(_|-| )?historie$/,
         /^-?-?sarlem(_|-| )?history$/i,
         'sarlemhistorie'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/the_history_of_sarlem/the_history_of_sarlem.cgi"
    # ======================================================================= #
    # === local_covid
    # ======================================================================= #
    when /^local(_|-| )?covid$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/covid19/covid19.cgi"
    # ======================================================================= #
    # === rf npcs_found_in_sarlem
    # ======================================================================= #
    when 'npcs_found_in_sarlem',
         /^-?-?local(_|-| )?npcs(_|-| )?found(_|-| )?in(_|-| )?sarlem/,
         'sarlemnpc',
         'sarlem_npc',
         'npc'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/npcs_found_in_sarlem/npcs_found_in_sarlem.cgi"
    # ======================================================================= #
    # === rf sarlemkarte
    # ======================================================================= #
    when 'sarlemkarte',
         'sarlemk',
         'skarte',
         'sarlemmap',
         /^local(_|-| )?sarlem(_|-| )?map$/i
      IMG_RPG+'SARLEM/SARLEMKARTE.png'
    # ======================================================================= #
    # === science_menu
    # ======================================================================= #
    when /^science(_|-| )?menu$/i
      "#{DATA_RUBY_SRC}beautiful_url/lib/beautiful_url/toplevel_methods/science_menu.rb"
    # ======================================================================= #
    # === local_swing
    # ======================================================================= #
    when /^local(_|-| )?swing$/i,
         /^swing$/i
      "#{PROGRAMMING}java/swing.cgi"
    # ======================================================================= #
    # === local_food
    # ======================================================================= #
    when /^local(_|-| )?food$/i,
         /^local(_|-| )?nahrungsmittel$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/food/food.cgi"
    # ======================================================================= #
    # === local_wahrscheinlichkeit
    # ======================================================================= #
    when /^local(_|-| )?wahrscheinlichkeit$/i,
         /^wahrscheinlichkeit$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/wahrscheinlichkeit/wahrscheinlichkeit.cgi"
    # ======================================================================= #
    # === rf dndchars
    # ======================================================================= #
    when 'dndchars',
         'dchars',
         'dnd_chars',
         'local_dnd_chars'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dnd/dnd_heldengruppe.cgi"
    # ======================================================================= #
    # === rf dnd_knowledge
    # ======================================================================= #
    when /^-?-?local(_|-| )?dnd(_|-| )?knowledge$/i,
         /^-?-?dnd(_|-| )?knowledge$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dnd/dnd_knowledge.cgi"
    # ======================================================================= #
    # === local_dsa_notizblatt
    # ======================================================================= #
    when /^-?-?local(_|-| )?dsa(_|-| )?notizblatt$/i,
         /^-?-?dsa(_|-| )?notizblatt$/i,
         /^-?-?notizblatt$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dsa/notizblatt/notizblatt.cgi"
    # ======================================================================= #
    # === local_dsa_skt
    # ======================================================================= #
    when 'dsa_skt',
         'local_dsa_skt'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dsa/dsa_steigerungskosten_tabelle.cgi"
    # ======================================================================= #
    # === banken
    # ======================================================================= #
    when 'bank',
         'banken',
         'bankenyaml',
         'bankyml',
         'tan',
         'bankenyam'
      "#{MY_DATA}personal/yaml/banken/banken.yml"
    # ======================================================================= #
    # === rf local_arduino
    # ======================================================================= #
    when /^-?-?local(_|-| )?arduino$/i,
         'arduino'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/arduino/arduino.cgi"
    # ======================================================================= #
    # === local_heizkörper
    # ======================================================================= #
    when /^local(_|-| )?schrauben(_|-| )?muttern(_|-| )?und(_|-| )?nägel$/i,
         /^local(_|-| )?schrauben$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/hardware/schrauben_muttern_und_nägel.cgi"
    # ======================================================================= #
    # === rf rpg_misc
    # ======================================================================= #
    when 'rpg_misc',
         'local_misc'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/misc/misc.cgi"
    # ======================================================================= #
    # === rpg_links
    # ======================================================================= #
    when 'rpglinks',
         'rpkg',
         'rpg_links'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/rpg_links/rpg_links.cgi"
    # ======================================================================= #
    # === controller
    # ======================================================================= #
    when /^controller$/i
      # ===================================================================== #
      # This entry is special. If we are on a roebe system then we will
      # also start it at once.
      # ===================================================================== #
      _ = "/home/x/data/personal/controller/controller.rb"
      require _
      Roebe::Controller.new(:do_not_open_via_the_browser)
      _
    # ======================================================================= #
    # === local_statistic
    # ======================================================================= #
    when /^local(_|-| )?statisti(c|k)?$/i,
         /^statistik$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/statistik/statistik.cgi"
    # ======================================================================= #
    # === local_helden
    # ======================================================================= #
    when 'local_helden',
         'helden'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/helden/helden.cgi"
    # ======================================================================= #
    # === local_käse
    # ======================================================================= #
    when 'local_käse',
         'käse',
         'kaese'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/käse/käse.cgi"
    # ======================================================================= #
    # === local_wein
    # ======================================================================= #
    when 'local_wein',
         'wein'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/wein/wein.cgi"
    # ======================================================================= #
    # === local_calculator
    # ======================================================================= #
    when /^local(_|-| )?calculator$/i,
         /^calculator$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/calculator/calculator.cgi"
    # ======================================================================= #
    # === rf jobs
    # ======================================================================= #
    when 'jobs',
         'lokale_jobs',
         'lokal_jobs',
         /^-?-?local(_|-| )?jobs$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/jobs/jobs.cgi"
    # ======================================================================= #
    # === rbttodo
    # ======================================================================= #
    when 'rbttodo',
         'gobotodo',
         'gtodo',
         'gobo_todo',
         'rubybuildtoolstodo',
         'bttodo',
         'rbt_todo',
         'goboscriptstodo',
         'rbtt',
         'rbtodo',
         'rbtotod',
         'rbttod',
         'rbtoto',
         'rbttood',
         'rbttoo',
         'rbrto',
         'rbttdo',
         'rbttodod'
      "#{DATA_RUBY_SRC}rbt/doc/todo/numbered_todo_entries_for_the_RBT_project.md"
    # ======================================================================= #
    # === alsa
    # ======================================================================= #
    when 'alsa'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/alsa/alsa.cgi"
    # ======================================================================= #
    # === rf project
    # ======================================================================= #
    when 'projects','project','project_page',
         'projects_page',
         'projekte',
         'projekt',
         /^-?-?local(_|-)?projects$/i
      "#{MY_DATA}personal/projects/projects.cgi"
    # ======================================================================= #
    # === rf batterien
    # ======================================================================= #
    when /^batterien$/i,
         /^-?-?local(_|-| )?batterien$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/batterien/batterien.cgi"
    # ======================================================================= #
    # === rf lyr
    # ======================================================================= #
    when 'lyr',
         'local_lyrics'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/lyrics/lyrics.cgi"
    # ======================================================================= #
    # === rf local_tv
    # ======================================================================= #
    when 'local_tv',
         'tv',
         'fernsehen',
         'webtv',
         'fernseher',
         'lokal_tv'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/tv/tv.cgi"
    # ======================================================================= #
    # === local_heizkörper
    # ======================================================================= #
    when /^local(_|-| )?heizkörper$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/hardware/heizkörper.cgi"
    # ======================================================================= #
    # === rf quests
    # ======================================================================= #
    when 'quests',
         'quest'
      MUD+'xyllomer/quests/'
    # ======================================================================= #
    # === rf chemische_struktur_dna
    # ======================================================================= #
    when 'chemische_struktur_dna'
      IMG+'science/chemistry/WASSERSTOFF_BRUECKENBINDUNGEN.jpg'
    # ======================================================================= #
    # === rf local_shadowrun_sichtschirm
    # ======================================================================= #
    when 'local_shadowrun_sichtschirm'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/shadowrun/shadowrun_sichtschirm.cgi"
    # ======================================================================= #
    # === rf shadowrun
    # ======================================================================= #
    when 'shadowrun',
         'local_shadowrun',
         'sr'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/shadowrun/shadowrun.cgi"
    # ======================================================================= #
    # === custom_Methods
    # ======================================================================= #
    when 'custom',
         'methods',
         'custom_methods',
         'custommethods',
         'cmethods',
         'roebe',
         'roeb'
      RSRC+'roebe/lib/roebe/custom_methods/custom_methods.rb'
    # ======================================================================= #
    # === bioinfo
    # ======================================================================= #
    when 'inf',
         'bioinformatik_lokal',
         'bioin',
         'bioi',
         'bioinfo',
         /^-?-?local(_|-| )?bioinformatics$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/bioinformatics/bioinformatics.cgi"
    # ======================================================================= #
    # === rf ms
    # ======================================================================= #
    when 'ms',
         'wind',
         'windows',
         'microsoft',
         'local_windows_page'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/microsoft/microsoft.cgi"
    # ======================================================================= #
    # === rf sarlem_magic_items
    # ======================================================================= #
    when 'sarlem_magic_item','magicitems','magic_items','mag'
      RPG+'SARLEM/YAML/magical_items.yml'
    # ======================================================================= #
    # === rf taverne
    # ======================================================================= #
    when 'taverne',
         'local_taverne',
         /^-?-?local(_|-| )?sarlem(_|-| )?pantheon$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/misc/taverne/taverne.cgi"
    # ======================================================================= #
    # === science
    # ======================================================================= #
    when 'sci',
         'science',
         'local_science'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/science/science.cgi"
    # ======================================================================= #
    # === gnuplot
    # ======================================================================= #
    when 'gnuplot',
         'local_gnuplot',
         'localgnuplot'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/gnuplot/gnuplot.cgi"
    # ======================================================================= #
    # === rf local_dsa
    # ======================================================================= #
    when 'local_dsa',
         'dsa','ds',
         'auge'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dsa/index.cgi"
    # ======================================================================= #
    # === rf local_git
    # ======================================================================= #
    when 'local_git',
         'git'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/git/git.cgi"
    # ======================================================================= #
    # === bl local_menu
    # ======================================================================= #
    when /^local(_|-| )?menu$/i,
         /^local$/i
      "#{DATA_RUBY_SRC}beautiful_url/lib/beautiful_url/toplevel_methods/local_menu.rb"
    # ======================================================================= #
    # === distribution
    # ======================================================================= #
    when 'dist','distributions',
         'distributionen',
         'linux_distributionen',
         'distr',
         'lindist',
         'linux_distributions',
         'linuxdist',
         'distribution',
         /^local(_|-| )?distributionen$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/linux_distributions/linux_distributions.cgi"
    # ======================================================================= #
    # === rf body_language
    # ======================================================================= #
    when 'body_language',
         'bodylanguage',
         'dyna'
      "#{MY_DATA}personal/martial_arts/martial_arts.cgi"
    # ======================================================================= #
    # === rf local_games_page
    # ======================================================================= #
    when 'games',
         'gam',
         'game',
         'local_games',
         'localgames',
         /^local(_|-| )?games(_|-| )?page$/i
      "#{DATA_RUBY_SRC}games_paradise/lib/games_paradise/www/games/games.cgi"
    # ======================================================================= #
    # === rf audio
    # ======================================================================= #
    when 'aud',
         'au',
         'music',
         /^-?-?local(_|-| )?audio$/i,
         /^-?-?audio$/i
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/audio/audio.cgi"
    # ======================================================================= #
    # === banken
    # ======================================================================= #
    when /^banken$/i
      "#{MY_DATA}/personal/banken/banken.cgi"
    # ======================================================================= #
    # === slogansyaml
    # ======================================================================= #
    when 'slogan',
         'slogans',
         'slog',
         'sog',
         'sloga',
         'lsog',
         'yamlweisheiten',
         'slogansyaml',
         'slogansyml',
         'sloganyml'
      "#{MY_DATA}/personal/yaml/slogans.yml"
    # ======================================================================= #
    # === linux
    # ======================================================================= #
    when 'lin','linux','llin','busybox','linu','linb',
         'linx',
         /^local(_|-| )?linux/,
         /^lokal(_|-| )?linux/
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/linux/linux.cgi"
    # ======================================================================= #
    # === bl kontakt
    # ======================================================================= #
    when /^-?-?kontakte?/,
         'kontaktiere_mich',
         /^-?-?local(_|-| )?kontakt$/i
      "#{MY_DATA}personal/kontakt/kontakt.cgi"
    # ======================================================================= #
    # === local_rpg
    # ======================================================================= #
    when 'local_rpg',
         'rpg'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/introduction.cgi"
    # ======================================================================= #
    # === rf wlan
    # ======================================================================= #
    when 'wlan','wan','tech',
         'local_wlan',
         'lokal_wlan'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/wlan/wlan.cgi"
    # ======================================================================= #
    # === bl kernel_yaml
    # ======================================================================= #
    when 'kernel_yaml',
         'kernelyaml'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/yaml/kernel/kernel.yml"
    # ======================================================================= #
    # === bl wine
    # ======================================================================= #
    when 'wine',
         'wine_project','win','winehq','inwe',
         /^local(_|-| )?wine$/i
      "/home/x/programming/ruby/src/roebe/lib/roebe/www/wine/wine.cgi"
    # ======================================================================= #
    # === rf f
    # ======================================================================= #
    when 'c','c_page','cpage','c_language','clang','local_c_language',
         'local_c','c_local','localc'
      PROGL+'c/C.cgi'
    # ======================================================================= #
    # === fallout1
    # ======================================================================= #
    when 'fallout1'
      "/home/x/programming/ruby/src/games_paradise/lib/games_paradise/www/fallout/fallout1.cgi"
    # ======================================================================= #
    # === fallout2
    # ======================================================================= #
    when 'fallout2'
      "/home/x/programming/ruby/src/games_paradise/lib/games_paradise/www/fallout/fallout2.cgi"
    # ======================================================================= #
    # === monitore
    # ======================================================================= #
    when 'monitore','monitors','monitor','mon'
      "/home/x/programming/ruby/src/roebe/lib/roebe/yaml/monitors/monitors.yml"
    # ======================================================================= #
    # === sysyaml
    # ======================================================================= #
    when 'sysyaml'
      "/home/x/programming/ruby/src/roebe/lib/roebe/yaml/system/system.yml"
    # ======================================================================= #
    # === rf games_timeline.md
    # ======================================================================= #
    when /^-?-?games(_|-| )?timeline\.?md/i
      "#{DATA_RUBY_SRC}games_paradise/lib/games_paradise/yaml/games_timeline.md"
    # ======================================================================= #
    # === biotodo
    # ======================================================================= #
    when 'biotodo',
         'bioroebe_todo',
         'bioroebetodo',
         'biototo',
         'bioto',
         'biodoto',
         'bitodo',
         'biodotod',
         'biotod',
         'biotodot',
         'biatodo',
         'biotdo',
         'biodo'
      "#{DATA_RUBY_SRC}bioroebe/doc/todo/bioroebe_todo.md"
    # ======================================================================= #
    # === rf local_zoologie_rb
    # ======================================================================= #
    when /^local(_|-| )?zoologie(_|-| )?rb$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/zoologie/zoologie.rb"
    # ======================================================================= #
    # === rf local_zoologie_sinatra
    # ======================================================================= #
    when /^local(_|-| )?zoologie(_|-| )?sinatra$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/zoologie/zoologie.sinatra"
    # ======================================================================= #
    # === rf local_zoologie
    # ======================================================================= #
    when /^local(_|-| )?zoologie$/i,
         'zoologie'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/zoologie/zoologie.cgi"
    # ======================================================================= #
    # === rf local_video
    # ======================================================================= #
    when 'vid',
         'v','video','videos','lvid',
         /^-?-?local(_|-| )?videos?$/i
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/video/video.cgi"
    # ======================================================================= #
    # === weisheiten
    # ======================================================================= #
    when 'weisheiten',
         'weis',
         'weise',
         /^-?-?local(_|-| )?weisheiten$/i
      "#{MY_DATA}personal/weisheiten/weisheiten.cgi"
    # ======================================================================= #
    # === rf fun
    # ======================================================================= #
    when 'fun','funny','funstuff',
         /^-?-?local(_|-| )?fun$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/amusing_bits/fussball_zitate.cgi"
    # ======================================================================= #
    # === witze
    # ======================================================================= #
    when 'witze'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/amusing_bits/witze.cgi"
    # ======================================================================= #
    # === rf contacts
    # ======================================================================= #
    when 'contacts',
         'cont',
         'contact',
         'con',
         'contactsyml',
         'contactsyaml',
         /^-?-?local(_|-| )?contacts$/i
      "#{MY_DATA}personal/yaml/contacts.yml"
    # ======================================================================= #
    # === rf links
    # ======================================================================= #
    when 'links',
         'personal_links',
         /^-?-?local(_|-| )?links$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/links/links.cgi"
    # ======================================================================= #
    # === rf bios
    # ======================================================================= #
    when 'bios',
         /^-?-?local(_|-| )?bios$/i
      "#{MY_DATA}personal/bios.cgi"
    # ======================================================================= #
    # === rf beauty
    # ======================================================================= #
    when 'beauty',
         'bea',
         'beau',
         /^-?-?local(_|-| )?beauty$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/beauty/beauty.cgi"
    # ======================================================================= #
    # === rf njoy
    # ======================================================================= #
    when 'njoy',
         'njoy_dir',
         /^-?-?local(_|-| )?e?njoy$/i
      IMG+'NJOY/NJOY.cgi'
    # ======================================================================= #
    # === rf art
    # ======================================================================= #
    when 'art',
         /^-?-?local(_|-| )?art$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/art/art.cgi"
    # ======================================================================= #
    # === rf video_collection
    # ======================================================================= #
    when 'videocollection','vcollection','vcol','favvid',
         'vidfav',
         'filme',
         'viddatabase',
         'vidyaml',
         'vidy',
         'vidf',
         'tvchannels',
         'vids',
         'vidstore',
         'vidcollection',
         'videofav',
         'video_sammlung',
         'videoyaml',
         'vidcoll',
         'videocol',
         'video_collection',
         'vidcol',
         'videocollectionyaml',
         'vidcollectionyaml'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/yaml/video_collection/video_collection.yml"
    # ======================================================================= #
    # === rf lame
    # ======================================================================= #
    when 'lame'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/lame.cgi"
    # ======================================================================= #
    # === screenshots
    # ======================================================================= #
    when 'screenshot',
         'shots',
         /^-?-?local(_|-| )?screenshots$/i,
         /^-?-?screenshots$/i
      "#{MY_DATA}personal/screenshots/screenshots.cgi"
    # ======================================================================= #
    # === rf waschmaschinen
    # ======================================================================= #
    when /^-?-?local(_|-| )?waschmaschinen$/i,
         /^-?-?waschmaschinen$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/waschmaschinen/waschmaschinen.cgi"
    # ======================================================================= #
    # === rf strategeme
    # ======================================================================= #
    when 'strat',
         'strategeme',
         'tactics',
         'strag',
         'strategem',
         'local_strategeme'
      "#{MY_DATA}personal/strategeme/strategeme.cgi"
    # ======================================================================= #
    # === rf quotes
    # ======================================================================= #
    when /^-?-?local(_|-| )?quotes$/i,
         /^-?-?quotes$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/quotes/quotes.cgi"
    # ======================================================================= #
    # === rf local_voice_recorders
    # ======================================================================= #
    when /^-?-?local(_|-| )?vim$/i,
         /^-?-?vim$/i,
         /^-?-?vi$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/vim/vim.cgi"
    # ======================================================================= #
    # === rf local_voice_recorders
    # ======================================================================= #
    when /^-?-?local(_|-| )?voice(_|-| )?recorders$/i,
         /^-?-?voice(_|-| )?recorders$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/voice_recorders/voice_recorders.cgi"
    # ======================================================================= #
    # === rf local_USB
    # ======================================================================= #
    when /^local(_|-| )?USB$/i,
         'usb'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/usb/usb.cgi"
    # ======================================================================= #
    # === rf local_abenteuer
    # ======================================================================= #
    when /^-?-?local(_|-| )?tai(_|-| )?history$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/history_of_sarlem.cgi"
    # ======================================================================= #
    # === rf roeberia
    # ======================================================================= #
    when 'roeberia'
      "#{MY_DATA}personal/yaml/roeberia_settings.yml"
    # ======================================================================= #
    # === rf admin
    # ======================================================================= #
    when 'admin',
         'adm',
         'ad',
         'info',
         'system',
         'sys',
         'local_admin'
      "#{MY_DATA}personal/admin/admin.cgi"
    # ======================================================================= #
    # === rf local_abenteuer
    # ======================================================================= #
    when 'abenteuer',
         'local_abenteuer',
         'adventure'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/SARLEM/ABENTEUER.cgi"
    # ======================================================================= #
    # === goals
    # ======================================================================= #
    when 'goals'
      "#{MY_DATA}personal/goals/goals.cgi"
    # ======================================================================= #
    # === router
    # ======================================================================= #
    when 'router',
         'buffalo',
         'localhost2'
      'http://192.168.0.1/'
    # ======================================================================= #
    # === capitals
    # ======================================================================= #
    when 'capitals',
         'capital'
      '/home/x/programming/ruby/src/roebe/lib/roebe/yaml/world_capitals/world_capitals.yml'
    # ======================================================================= #
    # === gtk_backup
    # ======================================================================= #
    when /^-?-?gtk(_|-| )?backup/i
      "#{MY_DATA}programming/ruby/src/backup_paradise/lib/backup_paradise/gui/gtk3/backup.rb"
    # ======================================================================= #
    # === gtk_editor
    # ======================================================================= #
    when /^-?-?gtk(_|-| )?editor/i
      "#{MY_DATA}programming/ruby/src/gtk_paradise/lib/gtk_paradise/widgets/gtk3/editor/editor.rb"
    # ======================================================================= #
    # === local_martial_arts
    # ======================================================================= #
    when 'martial','martialarts',
         'fight',
         'martial_arts',
         'local_martial_arts',
         'kampfsport',
         'ight',
         'mart'
      "#{MY_DATA}personal/martial_arts/martial_arts.cgi"
    # ======================================================================= #
    # === povray
    # ======================================================================= #
    when 'threed','three','3d','povray','3D'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/povray/povray.cgi"
    # ======================================================================= #
    # === dsa_computerspiele
    # ======================================================================= #
    when 'dsa_computerspiele','dsa_games','dsacomputerspiel',
         'dsacomputergame',
         'dsagame',
         'dsagames',
         'dgame',
         'dsa_game',
         'local_dsa_computergame',
         'dsacomputerspiele',
         /^dsa(_|-| )?computerspiele$/i,
         /^dsa(_|-| )?computergame$/i,
         /^local(_|-| )?dsa(_|-| )?computerspiele$/i
      "#{DATA_RUBY_SRC}games_paradise/lib/games_paradise/www/das_schwarze_auge/dsa_computerspiele.cgi"
    # ======================================================================= #
    # === rf virtual_reality
    # ======================================================================= #
    when 'pc',
         'xhtml',
         /^virtual(_|-| )?reality$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/virtual_reality/virtual_reality.cgi"
    # ======================================================================= #
    # === bl colourwheel
    #
    # Or:
    #
    #   rf colourwheel
    #
    # ======================================================================= #
    when 'colour_wheel','colourwheel','cwheel',
         'col'
      "#{RUBY_SRC}cyberweb/examples/html/colour_wheel.html"
    # ======================================================================= #
    # === bl pctodo
    # ======================================================================= #
    when 'pctodo'
      "#{TODO_DIRECTORY}pc.md"
    # ======================================================================= #
    # === bl ruby_todo
    # ======================================================================= #
    when /^ruby(_|-| )?todo$/i
      "#{TODO_DIRECTORY}ruby.md"
    # ======================================================================= #
    # === rf led
    # ======================================================================= #
    when /^leds?$/i,
         'led',
         'local_led',
         'lolal_led'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/LEDS/LEDS.cgi"
    # ======================================================================= #
    # === rf lokal_wahrscheinlichkeit
    # ======================================================================= #
    when /^lokal(_|-| )?wahrscheinlichkeit$/i,
         /^local(_|-| )?wahrscheinlichkeit$/i
      "#{MY_DATA}roebe/lib/roebe/www/wahrscheinlichkeit/wahrscheinlichkeit.cgi"
    # ======================================================================= #
    # rf local_scanner
    # ======================================================================= #
    when /^-?-?local(_|-| )?scanner$/i
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/scanner/scanner.cgi"
    # ======================================================================= #
    # === rf palemoon
    # ======================================================================= #
    when 'palemoon',
         /^-?-?local(_|-| )?palemoon$/i,
         :default
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/palemoon/palemoon.cgi"
    # ======================================================================= #
    # === rf local_pulseaudio
    # ======================================================================= #
    when /^-?-?local(_|-| )?pulseaudio$/i,
         'pulseaudio'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/www/pulseaudio.cgi"
    # ======================================================================= #
    # === rf good_dos_games
    # ======================================================================= #
    when /^good(_|-| )?dos(_|-| )?games$/i,
         /^dos(_|-| )?games$/i
      "#{RSRC}games_paradise/lib/games_paradise/yaml/good_dos_games/good_dos_games.yml"
    # ======================================================================= #
    # === rf good_windows_games
    # ======================================================================= #
    when /^good(_|-| )?windows(_|-| )?games$/i,
         /^windows(_|-| )?games$/i
      "#{RSRC}games_paradise/lib/games_paradise/yaml/good_windows_games/good_windows_games.yml"
    # ======================================================================= #
    # === motivation
    # ======================================================================= #
    when 'moti',
         'mot',
         'motivation',
         'inspirational_people',
         /^-?-?local(_|-| )?motivation$/i
      "#{RSRC}roebe/lib/roebe/www/inspirational_people/inspirational_people.cgi"
    # ======================================================================= #
    # === bl libreoffice
    # ======================================================================= #
    when 'libreoffice'
      "#{RSRC}roebe/lib/roebe/www/libreoffice/libreoffice.cgi"
    # ======================================================================= #
    # === rf tai_npc
    # ======================================================================= #
    when 'tai_npc',
         'tai_npcs',
         'tainpc',
         /^-?-?local(_|-| )?tai(_|-| )?npcs?/i,
         /^-?-?npcs(_|-| )?in(_|-| )?tai/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/the_eastern_realm/tai/npcs_in_tai.cgi"
    # ======================================================================= #
    # === rf tai_monsters
    # ======================================================================= #
    when 'tai_monsters',
         'monsters_on_tai',
         'monsters_in_tai',
         'monsters_found_on_tai'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/sarlem/the_eastern_realm/tai/monsters_found_on_tai.cgi"
    # ======================================================================= #
    # === rf sarlem_monsters
    # ======================================================================= #
    when 'sarlem_monsters',
         'sarlemmonsters',
         /^-?-?local(_|-| )?monsters(_|-| )?in(_|-| )?sarlem/,
         /^-?-?local(_|-| )?sarlem(_|-| )?monsters$/i,
         /^-?-?monsters(_|-| )?found(_|-| )?in(_|-| )?sarlem$/i
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/"\
      "sarlem/monsters_found_in_sarlem.cgi"
    # ======================================================================= #
    # === rf individuelles_studium
    # ======================================================================= #
    when /^individuelles(_|-| )?studium$/i,
         'indi',
         'individuell'
      STUDIUM+'INDIVIDUELLE_STUDIEN/INDIVIDUELLE_STUDIEN.cgi'
    # ======================================================================= #
    # === rf Auflagen
    # ======================================================================= #
    when /Auflagen/i,
         /anrechnungsmöglichkeiten_?uni_?wien/
      STUDIUM+'UNI_WIEN/STUDIENPLAN_UND_CURRICULA//MASTER/'\
      'MAG_Molekulare_Mikrobiologie_-_mikrobielle_Oekologie_und_Immunbiologie_Stand_2018.pdf'
    # ======================================================================= #
    # === libui
    # ======================================================================= #
    when 'libui'
      'view-source:file:///home/x/programming/ruby/src/libui/README.md'
    # ======================================================================= #
    # === rf sarlem
    # ======================================================================= #
    when 'sarlem','sar','sarl',
         'spielwelt',
         'local_die',
         'local_sarlem'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/"\
      "sarlem/sarlem.cgi"
    # ======================================================================= #
    # === reactos
    # ======================================================================= #
    when 'reactos',
         'rea',
         'react'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/operating_systems/reactos/reactos.cgi"
    # ======================================================================= #
    # === grub
    # ======================================================================= #
    when /^-?-?grub$/i,
         'grbu'
      "#{DATA_RUBY_SRC}roebe/lib/roebe/www/grub/grub.cgi"
    # ======================================================================= #
    # === rf lyricsyaml
    # ======================================================================= #
    when 'lyricsyaml',
         'songtext',
         'lyricsreal','lyricstext',
         'lyrics2','lyrics'
      "#{DATA_RUBY_SRC}multimedia_paradise/lib/multimedia_paradise/yaml/lyrics.yml"
    # ======================================================================= #
    # === rf part
    # ======================================================================= #
    when 'part',
         'participating'
      "#{RUBY_SRC}studium/lib/studium/yaml/participating_in_these_courses.yml"
    # ======================================================================= #
    # === rf windows_cookbook
    # ======================================================================= #
    when /^windows(_|-| )?cookbook$/i
      "#{RUBY_SRC}rbt/lib/rbt/yaml/windows_cookbook.yml"
    # ======================================================================= #
    # === rf taimap
    # ======================================================================= #
    when /^-?-?taimap$/i
      RPG+'SARLEM/OSTREICH/TAI/TAI_MAPS/TAI_MAP.png'
    # ======================================================================= #
    # === rf dsa_talente
    # ======================================================================= #
    when 'dsa_talente'
      "#{DATA_RUBY_SRC}rpg_paradise/lib/rpg_paradise/dsa/dsa_talente.cgi"
    # ======================================================================= #
    # === rf GIS
    # ======================================================================= #
    when /^-?-?GIS$/i
      DATA+'video/GIS.cgi'
    # ======================================================================= #
    # === rf allgames
    # ======================================================================= #
    when 'gamesyml',
         'allgames',
         'gamesdatabank',
         'available_games'
      DATA+'games/yaml/all_games.yml'
    # ======================================================================= #
    # === rf how2do
    # ======================================================================= #
    when 'how2do',
         'how','how2','html','howto',
         'howtodo',
         'howtod','how2do_tutorial','local_how_to_do'
      PC+'HOW2DO/HOW2DO.cgi'
    # ======================================================================= #
    # === rf powershell
    # ======================================================================= #
    when 'powershell'
      "#{PC}OS/MS/powershell.cgi"
    # ======================================================================= #
    # === rf ruby_viewer
    # ======================================================================= #
    when /^ruby(_|-| )?viewer$/i,
         /^-?-?viewer$/i
      "#{MY_DATA}viewer/ruby_viewer.cgi"
    # ======================================================================= #
    # === rf appointment
    # ======================================================================= #
    when 'appointment','kalender','dates','appoint',
         'appointments','termine','termin','date',
         'app','local_calendar'
      MISC+'YAML/appointment_dates.yml'
    # ======================================================================= #
    # === local_play_this_video_file
    # ======================================================================= #
    when /^local(_|-| )?play(_|-| )?this(_|-| )?video(_|-| )?file$/i,
         /^play(_|-| )?this(_|-| )?video(_|-| )?file$/i,
         /^play(_|-| )?video$/i
      "#{DATA}video/play_this_video_file.cgi"
    # ======================================================================= #
    # === local_nim
    # ======================================================================= #
    when 'local_nim',
         'nimrod','nim'
      "#{PROGL}NIM/nim.cgi"
    # ======================================================================= #
    # === local_bak
    # ======================================================================= #
    when 'local_bak',
         'lokal_bak',
         'localbak',
         'local_BAK',
         'bak',
         'BAK'
      "#{GAMES}betrayal_at_krondor/betrayal_at_krondor.cgi"
    # ======================================================================= #
    # === rf alone_in_the_dark
    # ======================================================================= #
    when /^alone(_|-| )?in(_|-| )?the(_|-| )?dark$/i
      "#{MY_DATA}games/alone_in_the_dark/alone_in_the_dark.cgi"
    # ======================================================================= #
    # === rf webobject_tutorial
    # ======================================================================= #
    when 'webfoundationcgi','webfoundation_cgi',
         'cyberweb_cgi',
         'CyberWeb',
         'local_cyberweb',
         'webobject_cgi',
         'cyberwebcgi','cyberweb_tutorial',
         'webobject_tutorial'
      RSRC+'web_object/doc/WEBOBJECT_TUTORIAL.cgi'
    # ======================================================================= #
    # === sichtschirm
    # ======================================================================= #
    when 'sichtschirm',
         'dsa_sichtschirm'
      RPG+'dsa/DSA_SICHTSCHIRM.cgi'
    # ======================================================================= #
    # === rf economy
    # ======================================================================= #
    when 'eco','economy','local_economy'
      "#{DATA}economy/economy.cgi"
    # ======================================================================= #
    # === rf bankencgi
    # ======================================================================= #
    when 'bankencgi',
         'lokal_banken'
      DATA+'economy/banken.cgi'
    # ======================================================================= #
    # === rf whores
    # ======================================================================= #
    when 'whores','whore'
      SCI+'economy/CORPORATE_SLAVE_NATION.cgi'
    # ======================================================================= #
    # === rf big_scream
    # ======================================================================= #
    when 'big_scream',
         'scream',
         'bigscream',
         'bs'
      RPG+'big_scream/NEW_BIG_SCREAM.cgi'
    # ======================================================================= #
    # === rf viewer
    # ======================================================================= #
    when 'viewer'
      "#{DATA}viewer/ruby_viewer.cgi"
    # ======================================================================= #
    # === mswin
    # ======================================================================= #
    when 'mswin'
      RSRC+'GUI/GTK/MSWIN/ms_sys_control.rb'
    # ======================================================================= #
    # === bl dictionaries
    # ======================================================================= #
    when 'dic','dict1','dictionaries','dictionarycgi'
      SCI+'dictionaries.cgi'
    # ======================================================================= #
    # === bl technische_chemie
    # ======================================================================= #
    when 'technische_chemie_lokal',
         'lokal_technische_chemie',
         'lokal_tu_studium',
         'tustud',
         'local_tuwien','tuwienstud',
         'tuwien_stud',
         'lokaltuwien',
         'lokal_tuwien',
         'tuwien_studium',
         'local_tu_wien',
         /technische(_|-| )?chemie/i,
         'lokal_tu',
         'tu_studium' 
      STUDIUM+'TU_WIEN/TECHNISCHE_CHEMIE.cgi'
    # ======================================================================= #
    # === stud
    # ======================================================================= #
    when 'stud','studium','stuzd','lokal_studium',
         'local_stud','localstud',
         /^local(_|-| )?studium$/i
      STUDIUM+'STUDIUM.cgi'
    # ======================================================================= #
    # === local_ghost_bsd
    # ======================================================================= #
    when /^local_ghost_bsd$/
      "#{PC}OS/BSD/GhostBSD.cgi"
    # ======================================================================= #
    # === rf indi3
    # ======================================================================= #
    when 'indi3'
      "#{RSRC}/studium/lib/studium/yaml/curricula/bachelor_informatik_und_molekulare_biologie.yml"
    # ======================================================================= #
    # === RAM
    # ======================================================================= #
    when /^local(_|-| )?ram$/i
      "#{PC}RAM/RAM.cgi"
    # ======================================================================= #
    # === videochannels
    # ======================================================================= #
    when 'videochannels','channel','channels'
      VIDEO+'YAML/tv_channels.yml'
    # ======================================================================= #
    # === hivelinux_distribution
    # ======================================================================= #
    when 'apt','aptenix','apten','hive','hiveos',
         'hivel','hivelin',
         'distribution_hivelinux',
         'hivelinux_distribution',
         'hivelinux',
         /^-?-?local(_|-)?hiveos/i
      "#{LINUX}DISTRIBUTIONEN/HIVEOS/HIVEOS.cgi"
    # ======================================================================= #
    # === yeast
    # ======================================================================= #
    when 'yeast'
      "#{LHOST}science/yeast.cgi"
    # ======================================================================= #
    # === stdbiology
    # ======================================================================= #
    when 'stdbiology'
      RSRC+'STD/std_biology.rb'
    # ======================================================================= #
    # === rf path
    # ======================================================================= #
    when 'path',
         'pathvar'
      "#{RUBY_SRC}rcfiles/lib/rcfiles/yaml/path_variable.yml"
    # ======================================================================= #
    # === indi2
    # ======================================================================= #
    when /^indi2$/i
      "#{RUBY_SRC}studium/lib/studium/yaml/curricula/"\
      "bachelor_bioinformatik_und_molekulare_biotechnologie_unter_berücksichtigung_medizinisch_immunologischer_aspekte.yml"
    # ======================================================================= #
    # === rf bachelor_vektor
    # ======================================================================= #
    when /^bachelor(_|-| )?vektor$/i
      BASE_DIR+'programming/ruby/src/studium/lib/studium/yaml/curricula/'\
      'bachelor_vector_based_strategies_in_life_sciences_molecular_medicine_and_biotechnology.yml'
    # ======================================================================= #
    # === rf bachelorvektor
    # ======================================================================= #
    when /^bachelorvektor$/i
      '/root/Studium/html/Bachelorcurriculum_Vector-based_strategies_in_Life_Sciences,_Molecular_Medicine_and_Biotechnology.html'
    # ======================================================================= #
    # === rf periodentabelle
    # ======================================================================= #
    when 'periodensystem','perioden','per','periodic_table',
         'periodic_elements',
         /^periodentabelle$/
      IMG+'SCIENCE/PERIODIC_ELEMENTS.png'
    # ======================================================================= #
    # === graphviz
    # ======================================================================= #
    when /^local(_|-| )?graphviz$/i,
         'graphviz'
      "#{LINUX}graphviz/graphviz.cgi"
    # ======================================================================= #
    # === rf euphemismen
    # ======================================================================= #
    when 'euphemismen','werturteile','euphemismus','wurt',
         'euphemism','werturteil','euphemis'
      SCI+'werturteile/werturteile.cgi'
    # ======================================================================= #
    # === rf shopping
    # ======================================================================= #
    when 'shopping',
         /to(_|-| )?shop/
      DATA+'TODO/einkaufen.md'
    # ======================================================================= #
    # === local_html_colours
    # ======================================================================= #
    when /^local(_|-| )?html(_|-| )?colours/,'hcolours'
      RSRC+'html_colours/lib/html_colours/yaml/html_colours.yml'
    # ======================================================================= #
    # === roebe_padrino
    # ======================================================================= #
    when /^roebe(_|-| )?padrino$/i,
         /^padrino$/i
      'http://localhost:10000/padrino'
    # ======================================================================= #
    # === roebe_documentation
    # ======================================================================= #
    when /^roebe(_|-| )?documentation$/i,
         /^sinatra$/i
      'http://localhost:10000/sinatra'
    # ======================================================================= #
    # === tiss_project
    # ======================================================================= #
    when /^tiss(_|-| )?project$/i
      'http://localhost:5500/'
    # ======================================================================= #
    # === local_gtk
    # ======================================================================= #
    when /^local(_|-| )?gtk$/i,
         'gtk','rgtk','ruby_gtk','gkt','ubygtk','gtkk',
         'gt','rubygtl','rubygkt','local_rubygtk','rubygtk',
         'gtk2'
      'http://localhost:10000/gtk'
    # ======================================================================= #
    # === ruby_docu
    # ======================================================================= #
    when /^ruby(_|-| )?docu$/i
      BASE_DIR+'programming/ruby/src/roebe/lib/roebe/documentation/documentation.rb'
    # ======================================================================= #
    # === cd_aliases
    # ======================================================================= #
    when /cd(_|-| )?aliases/
      "#{RUBY_SRC}rcfiles/lib/rcfiles/yaml/cd_aliases.yml"
    # ======================================================================= #
    # === larry
    # ======================================================================= #
    when 'larry'
      "#{DATA}games/leisure_suit_larry/larry.cgi"
    # ======================================================================= #
    # === web_images
    # ======================================================================= #
    when 'web_images','webimages','default','webimage','def',
         'htmlimages','webdefault','stdwebimages','stdimages'
      "#{RSRC}cyberweb/lib/cyberweb/yaml/web_images.yml"
    # ======================================================================= #
    # === rhythmbox
    # ======================================================================= #
    when 'rhythmbox','rhythm'
      "#{AUDIO}rhythmbox.cgi"
    # ======================================================================= #
    # === bsd
    # ======================================================================= #
    when 'bsd','pcbsd'
      "#{PC}OS/BSD/BSD.cgi"
    # ======================================================================= #
    # === local_open_bsd
    # ======================================================================= #
    when /^local_open_bsd$/
      "#{PC}OS/BSD/OpenBSD.cgi"
    # ======================================================================= #
    # === my_presentation
    # ======================================================================= #
    when /^my(_|-| )?presentation$/
      "#{STUDIUM}UNI_WIEN/301465_Current_Trends_in_Bioanalytical_Technologies/NATURE_s41592-018-0003-5.pdf"
    # ======================================================================= #
    # === montag
    # ======================================================================= #
    when 'montag','mowoch','mo','monday','monag'
      STUDIUM+'YAML/SS2018/montag.yml'
    # ======================================================================= #
    # === dienstag
    # ======================================================================= #
    when 'dienstag','diwoch','di','die','tuesday'
      STUDIUM+'YAML/SS2018/dienstag.yml'
    # ======================================================================= #
    # === mittwoch
    # ======================================================================= #
    when 'mittwoch','mwoch','mi','wednesday'
      STUDIUM+'YAML/SS2018/mittwoch.yml'
    # ======================================================================= #
    # === donnerstag
    # ======================================================================= #
    when 'donnerstag','dwoch','do','thursday'
      STUDIUM+'YAML/SS2018/donnerstag.yml'
    # ======================================================================= #
    # === freitag
    # ======================================================================= #
    when 'freitag','fwoch','fr','friday'
      STUDIUM+'YAML/SS2018/freitag.yml'
    # ======================================================================= #
    # === samstag
    # ======================================================================= #
    when 'samstag','swoch','sa'
      STUDIUM+'YAML/SS2018/samstag.yml'
    when 'audio_dir','audiodir'
      '/Depot/Audio'
    when 'php','php_tutorial','phptutorial','phptut',
         'php_tut','local_php','localphp'
      "#{PHP}TUTORIAL.php"
    when 'cssfonts'
      "#{CSS}FONTS.css"
    when 'cssstd'
      "#{CSS}STD.css"
    when 'csscolours'
      "#{CSS}COLOURS.css"
    when 'conky'
      "#{PC}OS/LINUX/CONKY/CONKY.cgi"
    when 'terminals'
      "#{LINUX}TERMINALS/TERMINALS.cgi"
    when 'udev'
      "#{LINUX}UDEV/UDEV.cgi"
    when 'mrxvt','mrxvtrc'
      "#{LINUX}MRXVT/mrxvtrc"
    # ======================================================================= #
    # === ftp
    # ======================================================================= #
    when 'ftp'
      "#{LINUX}FTP/LINUX_FTP.cgi"
    when 'dna_nucleotides'
      "#{IMG}SCIENCE/CHEMISTRY/DNA_NUCLEOTIDES.jpg"
    # ======================================================================= #
    # === rf curricula_displayer
    # ======================================================================= #
    when /curricula_?displayer/
      PROGL+'ruby/src/studium/lib/studium/www/curricula_displayer.cgi'
    when 'local_virologie','viruses'
      "#{SCIENCE}VIROLOGIE/VIROLOGIE.cgi"
    when 'dirstructure','dstructure'
      "#{LINUX}YAML/directory_structure.yml"
    when 'linuxcmd','linc','commands','cmd','command','lincmd',
         'comands','linux_commands','linuxcommands','cmdlin',
         'linuxcm','cmds','com','linuxcommand','linux_cmd'
      "#{LINUX}LINUX_COMMANDS.cgi"
    when 'compilerb'
      "#{RSRC}rbt/lib/rbt/compile.rb"
    when 'elixir'
      "#{PROGRAMMING_LANGUAGES}elixir/elixir.cgi"
    when 'interesting'
      BASE_DIR+'STUDIUM/YAML/WS2018/interesting_courses_for_WS2018.md'
    when 'gobocompile','Compile.conf','Compile.'
      '/Programs/Compile/Settings/Compile/Compile.conf'
    when 'aliases','main_alias'
      RUBY_SRC+'rcfiles/lib/rcfiles/yaml/aliases.yml'
    when 'prog','program','paliases','program_aliases','programs_aliases'
      RUBY_SRC+'rcfiles/lib/rcfiles/yaml/programs_aliases.yml'
    when 'cd_knowledge'
      PC+'CD/CD_KNOWLEDGE.cgi'
    when 'linux_designing','linuxdesign','lind',
         'design','des','designing','desig','kdesign'
      "#{LINUX}LINUX_DESIGNING.cgi"
    when 'link','kernel','kern','local_kernel'
      "#{LINUX}KERNEL/LINUX_KERNEL.cgi"
    when 'xorg','x11','x','graphics','modularxorg',
         'linuxxorg','linxorg'
      "#{LINUX}XORG/LINUX_XORG.cgi"
    when 'systemd'
      "#{LINUX}SYSTEMD/SYSTEMD.cgi"
    when 'shells','shell','linux_shells','bash',
         'linuxshell'
      "#{LINUX}SHELL/SHELLS.cgi"
    when 'glycolysis'
      IMG+'SCIENCE/CHEMISTRY/GLYCOLYSIS_DETAILED.png'
    when 'net','netz','netwerk','networking','netzwork',
         'network','netzwerk','networ','linux_network'
      "#{LINUX}NETWORKING/LINUX_NETWORKING.cgi"
    when 'curriculum_vektoren'
      BASE_DIR+'STUDIUM/UNI_WIEN/yaml/bachelor_individuelles_studium_biotechnologie_und_molekularsimulatorische_vektoren.yml'
    when 'apache','apa'
      PC+'APACHE/APACHE.cgi'
    when 'local_lighttpd','lighty','lighttpd'
      PC+'LIGHTTPD/LIGHTTPD.cgi'
    when 'citrat','citratzyklus'
      IMG+'SCIENCE/CHEMISTRY/CITRATZYKLUS.png'
    when 'rewrite_rules','rules','modrewrite','rewrite',
         'rewr','rwr'
      PC+'APACHE/rewrite_rules.conf'
    when 'kde','local_kde'
      "#{LINUX}KDE/KDE.cgi"
    when 'main_file','this_file','thisfile','std_text',
         'std_file','stdfile'
      RSRC+'pipe/test/this_file'
    when 'rpg_system'
      RPG+'EGRM/PROS_AND_CONS_COLLECTED'
    when 'main_avi','main_vid','mainvideo','main_video'
      '/Depot/Video/236_TaxiDriver.avi'
    when 'atomgewichte'
      SCI+'YAML/atomgewichte.yml'
    when 'windowsc','winc','windowscook','wincook'
      COOKBOOK_DIR+'windows_cookbook.yml'
    when 'chain','chainedprograms','cookbook2','cook2','cookchained',
         'cookchain','cchain','cchained'
      PC+'COOKBOOKS/YAML/cookbook_chained_programs.yml'
    when 'hosts'
      '/etc/hosts'    
    when 'index'
      DATA+'index.cgi'
    when 'might_and_magic'
      GAMES+'MIGHT_AND_MAGIC/MIGHT_AND_MAGIC.cgi'
    when 'packages','lpackages','pack','pac','pa','debian','deb',
         'pkg'
      "#{LINUX}LINUX_PACKAGES.cgi"
    when 'distcc'
      "#{LINUX}DISTCC/DISTCC.cgi"
    when 'gobolinuxdist','gobolinuxd','gobolinuxdistribution',
         'gobod','goboweb','local_gobopage','realgobo',
         'gobolinux_distribution','gobodist','gobopage','gobolinux_dist',
         'gobolinuxpage','gobolin','gobo','gobodistribution',
         'local_gobolinux','gobolinux'
      "#{LINUX}DISTRIBUTIONEN/GOBOLINUX/GOBOLINUX.cgi"
    when 'io','iolang'
      PROGL+'IO/IO.cgi'
    when 'tcl','tclcgi'
      PROGL+'TCL/TCL.cgi'
    when 'mono','csharp'
      PROGL+'MONO/MONO.cgi'
    when 'glinux','glin','gobocgi',
         'gcgi',
         'goboinstructions','instructions','hivelinuxscripts',
         'gobowebscripts','goboscriptscgi','goboscriptspage',
         'rbtcgi',
         'defaultcgi',
         'rubybuildtools',
         'maincgi','rbttutorial','rbtpage','rtbcgi','rbttut',
         'rbt_cgi','rbtdocu','rubycgi',
         'local_rbt'
      RSRC+'rbt/doc/www/RBT.cgi'
    when 'rconfigure'
      RUBY_BT+'rconfigure.rb'
    when 'rsourcemaker','rsource'
      RUBY_BT+'rsource_maker.rb'
    when 'chained','rchained'
      RUBY_BT+'chained.rb'
    when 'installer'
      RUBY_BT+'new_nstaller.rb'
    when 'rnewconfigure'
      RUBY_BT+'rconfigure.rb'
    when 'sanitized_data','sanloader','sanitized_loader'
      RUBY_BT+'sanitized_data.rb'
    when 'radvancedsymlink','radvanced'
      RUBY_BT+'advanced_symlink.rb'
    when 'raccessor','accesor','accessor'
      RUBY_BT+'database_loader.rb'
    when 'usher'
      RSRC+'usher/lib/usher/usher.rb'
    when 'amm_witte'
      SCIENCE+'AMM/WITTE/AMM_WITTE_FRAGENKATALOG.rtf'
    when 'encoding','unicode','utf','utf8'
      PC+'ENCODINGS/ENCODINGS.cgi'
    when 'dichte'
      SCIENCE+'YAML/dichte.yml'
    when 'rcmake'
      RUBY_BT+'cmake_string.rb'
    when 'append_to_cookbook','appendtocookbook','append'
      RUBY_BT+'append_to_cookbook.rb'
    when 'haskell','hask'
      PROGL+'HASKELL/HASKELL.cgi'
    when 'rbtsharedcode','goboshared','gshared','rbtshared',
         'sharedcode','rbt_base'
      RUBY_BT+'RBT_Base.rb'
    when 'rquery','querydatabase'
      RUBY_BT+'Query.rb'
    when 'core_ftp','stdftp','std_ftp'
      RSRC+'FTP/core_ftp.rb'
    when 'local_weechat','weechat'
      IRC+'WEECHAT/WEECHAT.cgi'
    when /irc_?yaml/,'irc','ircchannels','ircyml','ircchan',
         'ircchannel','ircconnection','ircch'
      IRC+'YAML/channels_to_join.yml'
    when 'bot','irc_main','ircbot','local_irc'
      RSRC+'IRC/roebe_bot.rb'
    when 'botconfig'
      RSRC+'IRC/YAML/bot_config.yml'
    when 'mmedia'
      RSRC+'multimedia_paradise/lib/multimedia_paradise/multimedia_shared.rb'
    when 'multimedia_foundation','multimediafoundation',
         'mcgi','local_multimedia','multimedia_paradise',
         'multimediaparadise','multimedia_cgi'
      RSRC+'multimedia_paradise/lib/multimedia_paradise/documentation/MULTIMEDIA_PARADISE.cgi'
    when 'source_viewer'
      DATA+'VIEWER/SOURCE_VIEWER.cgi'
    when 'tasks','task','tas','tak','alltasks'
      DATA+'TODO/YAML/tasks.yml'
    when 'mnemo','memo'
      DATA+'TODO/MNEMO'
    when 'rubytodo'
      DATA+'TODO/RUBY_TODOS'
    when 'script_runner'
      RSRC+'CGI/script_runner.cgi'
    when 'smalltalk','smallt'
      PC+'SMALLTALK/SMALLTALK.cgi'
    when 'lisp'
      PC+'LISP/LISP.cgi'
    when 'wings'
      PC+'WINGS3D/WINGS3D.cgi'
    when 'webrick','wrick','web'
      RUBY_DOCUMENTATION+'webrick.cgi'
    when 'regex','rubyregex'
      RUBY+'RUBY_REGEX.cgi'
    when 'woche','weeks','week','w' 
      STUDIUM+'YAML/wochentage/woche.yml'
    when 'stundenplan','stunden','studienplan'
      STUDIUM+'YAML/stundenplan.yml'
    when 'stun','stu'
      SCI+'STUNDENPLAN/STUNDENPLAN.cgi'
    when 'lokal_organische_chemie','organischechemie','orgc'
      STUDIUM+'TU_WIEN/163.119_Organische_Chemie_I/ORGANISCHE_CHEMIE.cgi'
    when 'analytische_chemie','analytischechemie'
      STUDIUM+'TU_WIEN/ANALYTISCHE_CHEMIE/ANALYTISCHE_CHEMIE.cgi'
    when 'lilo'
      "#{LINUX}LILO/LILO.cgi"
    when 'keys','key'
      LINUX+'YAML/keys.yml'
    when 'display','display_settings'
      LINUX+'YAML/display_settings.yml'
    when 'trac'
      PC+'TRAC/TRAC.cgi'    
    when 'direct','directfb'
      PC+'DIRECTFB/DIRECTFB.cgi'
    when 'opera'
      PC+'OPERA/OPERA.cgi'
    when 'test' # /home/x/DATA/PC/TEST/TEST.html
      PC+'TEST/TEST.html'
    when 'ogre','ogre3d'
      PC+'OGRE3D/OGRE3D.cgi'
    when 'ansicolours','ansicolors'
      PC+'COLOURS/ANSICOLOURS.html'
    when 'mac','apple'
      PC+'APPLE/APPLE.cgi'
    when 'std_biolog','stdbiolog','std_bioruby'
      PC+'RUBY/SRC/BIO/std_biology.rb'
    when 'stdmod'
      PC+'RUBY/SRC/std/std_modules.rb'
    when 'emacs'
      PC+'EDITORS/EMACS/EMACS.cgi'
    when 'cmake', 'local_cmake'
      PC+'CMAKE/CMAKE.cgi'
    when 'stdphp','sphp'
      PC+'PHP/std.php'
    when 'css','csshowto','lokale_css_seite','local_css_page',
         'css_tutorial','csscgi','csstut','css_tut'
      PC+'CSS/CSS.cgi'
    when 'dosbox','dbox','dos'
      PC+'DOSBOX/DOSBOX.cgi'
    when 'jquery'
      SRC+'/JAVASCRIPT/jquery-1.6.2.js'
    when 'perl','perl_lokal','perl_tutorial','perltutorial'
      PERL+'perl.cgi'
    when 'javascript','js_tutorial','js','javatut',
         'javascript_tutorial'
      PROGL+'JAVASCRIPT/JAVASCRIPT.cgi'
    when 'java'
      PROGL+'JAVA/JAVA.cgi'
    when 'crystal'
      PROGL+'CRYSTAL/CRYSTAL.cgi'
    when 'python','pyt','snake','py'
      PROGL+'PYTHON/PYTHON.cgi'
    when 'conary'
      PROGL+'PYTHON/CONARY.cgi'
    when 'cgtk'
      PROGL+'C/GTK.cgi'
    when 'cpp','cplusplus','c++','local_cpp'
      PROGL+'CPP/CPP.cgi'
    when 'c_header','stddefines','std_defines','cheader',
         'defines','sdef','sdefines'
      PROGL+'C/SRC/STD/std_defines.h'
    when 'diamondlanguage','diamond_language','perfect','dialang',
         'perfectlang','dlanguage','dia_language'
      PROGL+'DIAMOND_LANGUAGE/DIAMOND_LANGUAGE.cgi'
    when 'sqlite','sqlite3','sql','sqlite_tutorial','sqlitetutorial',
         'database','databases'
      DATABASES+'SQLITE/SQLITE_TUTORIAL.cgi'
    when 'postgre_content','postgresql_content'
      DATABASES+'POSTGRESQL/postgre_content'
    when 'mysql','local_database'
      DATABASES+'MYSQL/MYSQL.cgi'
    when 'postgre','postgresql','postgres','postgre2'
      DATABASES+'POSTGRESQL/POSTGRESQL.cgi'
    when 'ruby_tutorial2','ruby_tut2','rubytut2'
      PROGL+'RUBY/SRC/TUTORIAL/ruby_tutorial.cgi'
    when 'abiword'
      PC+'ABIWORD/ABIWORD.cgi'
    when 'scitutorial'
      SCI+'TUTORIALS/TUTORIAL_CYTOLOGIE.cgi'
    when 'bioruby','bior','bio_ruby','local_bioruby'
      SCI+'BIORUBY/BIORUBY.cgi'
    when 'bioroebe_tutorial','bioroebetutorial','biocgi',
         'biotut','bioroebecgi'
      RSRC+'bioroebe/doc/bioroebe_tutorial.cgi'
    when 'biomenu'
      RSRC+'bioroebe/lib/bioroebe/bioshell/menu.rb'
    when 'mybioruby','bioroebe'
      RSRC+'bioroebe/lib/bioroebe/bioroebe.rb'
    when 'localnews'
      SCI+'NEWS/NEWS'
    when 'rgtkrecipe'
      RSRC+'GUI/GTK/RBT/RGTK2_RecipeMaker.rb'
    when 'videoglossar','vglossar'
      VIDEO+'VIDEO_GLOSSAR.cgi'
    when 'local_ffmpeg','localffmpeg','lffmpeg','ffmpeg'
      VIDEO+'FFMPEG/FFMPEG.cgi'
    when 'avisynth'
      VIDEO+'AVISYNTH/AVISYNTH.cgi'
    when 'multimedia'
      VIDEO+'INFO.cgi'
    when 'fox','rubyfox','foxruby','rbfox','ruby_fox'
      RUBY+'RUBY_FOX.cgi'
    when 'rb','ruby','src','docu','rubydocu','ruby_lokal',
         'local_ruby_page','ruby_documentation','local_ruby',
         'ruby_tutorial','rtutorial','rubytutorial','rubytut'
      RUBY_DOCUMENTATION+'ruby.cgi'
    when 'rubygames','rubygame','rubyg','ruby_game','rubysdl'
      RUBY+'RUBY_GAMES.cgi'
    when 'rails','ror','rail','rubyonrails','schiene',
         'ruby_on_rails','local_ruby_on_rails'
      RUBY+'RUBY_ON_RAILS.cgi'
    when 'rubyc','embedded','rembedded','ruby_embedded',
         'rubyembedded','redded','rubyext','local_ruby_c'
      RUBY+'RUBY_C.cgi'
    when 'rubyqt','qt','rqt','ruby_qt','tq','qtruby',
         'kde_qt'
      RUBY+'RUBY_QT.cgi'
    when /ruby_?rmagick/,'rmagic','rmagick'
      RUBY+'RUBY_RMAGICK.cgi'
    when 'videotools','local_videotools'
      RSRC+'videotools/lib/videotools/mplayer_wrapper.rb'
    when 'boot','bootup','bootscripts','booting','ruby_bootscripts',
         'bootup_scripts','boot_scripts'
      RUBY_SYS+'bootup/lib/bootup_scripts/bootup_scripts.rb'
    when 'htmlparser','html_parser'
      RSRC+'WWW/next_generation_html_parser.rb'
    # when 'dummy','dummynpc','dummy_npc'
    #   RPG+'MUDS/WIZARD/home/trolloc/npc/dummy.c'
    when 'mud','mudadmin','adminshell','my_ruby_mud'
      RSRC+'MUD/admin_shell.rb'
    when 'stdcombat'
      RSRC+'MUD/std_combat.rb'
    when 'stdsettlements','stdsettlement'
      RSRC+'MUD/std_settlements.rb'
    when 'mudenhancments','mud_enhancements','mudenhancements'
      RSRC+'MUD/std_ruby_enhancements.rb'
    when 'monster_factory','monsterfactory'
      RSRC+'MUD/monsters/monster_factory.rb'
    when 'mud_shared_data','mshareddata'
      RSRC+'MUD/shared_mud_data.rb'
    when 'roomserver','room_server'
      RSRC+'MUD/room_server.rb'
    when 'stdcontainer'
      RSRC+'MUD/std_container.rb'
    when 'stdobjects'
      RSRC+'MUD/std_objects.rb'
    when 'rubyt','tut','tutorial'
      RSRC+'TUT/ruby_tutorial.cgi'
    when 'mudclient','mudclients'
      RPG+'MUDS/CLIENTS/CLIENTS.cgi'
    when 'dshell','diamond_shell','diamond','diashell',
         'user_input'
      RUBY_DIA+'user_input/process_user_input.rb'
    when 'diahelp'
      RUBY_DIA+'help/help.rb'
    when 'diafileactions','diacomplexactions'
      RUBY_DIA+'base/file_actions.rb'
    when 'diashow'
      RUBY_DIA+'base/show.rb'
    when 'diaopen'
      RUBY_DIA+'base/open.rb'
    when 'diagetcontent'
      RUBY_DIA+'base/show_directory_content.rb'
    when 'diainput','dia_input'
      RUBY_DIA+'user_input/user_input.rb'
    when 'diacomplex','diaact'
      RUBY_DIA+'ACTIONS/complex_actions.rb'
    when 'diasimple'
      RUBY_DIA+'ACTIONS/complex_actions.rb'
    when 'diarequire'
      RUBY_DIA+'YAML/requires.yml'
    when 'diatutorial','diacgi','diatut','diashellcgi','diacgitutorial',
         'dia_tutorial','dia_shell_cgi','dia_shell','diatud',
         'dia','local_diashell','dia_cgi'
      RSRC+'diamond_shell/doc/DIAMOND_SHELL_TUTORIAL.cgi'
    when 'diaaudio'
      RUBY_DIA+'base/audio.rb'
    when 'diatesting','dia_testing'
      RSRC+'diamond_shell/test/testing_diamond_shell.rb'
    when 'diaconfig','diamondconfig','diaset','diasettings','diaconf'
      RSRC+'diamond_shell/doc/CONFIGURATION_README.md'
    when 'main'
      DATA+'index.cgi'
    when 'muds','allmuds'
      MUDS+'index.cgi'
    when 'stdmud','stdmudaliases','mudaliases'
      RPG+'MUDS/YAML/std_mud_aliases.yml'
    when 'führerschein'
      MISC+'FUEHRERSCHEIN.cgi'
    when 'lifestyle','lstyle'
      MISC+'LIFESTYLE.cgi'
    when 'sarlamar'
      RPG+'SARLEM/SARLAMAR/sarlamar.cgi'
    when 'gamebook01','story1'
      RPG+'SARLEM/XML/short_story_nagaos_attack.xml'
    when 'enter_rpg'
      RPG+'ENTER_RPG_SITE.cgi'
    when 'reality','roboter'
      RPG+'SR/SR_GOES_REALITY.cgi'
    # ======================================================================= #
    # === rf rpg_forum
    # ======================================================================= #
    when 'rpg_forum','rpgforum'
      RPG+'FORUM/index.cgi'
    when 'tai_kanji','kanji'
      RPG+'SARLEM/OSTREICH/TAI/TAI_KANJI.cgi'
    when 'dsagruppe','dsa_gruppe'
      RPG+'dsa/DSA_ROEBE_GRUPPE.cgi'
    when 'dsa_formeln','dsaformeln','dsaformel'
      RPG+'dsa/DSA_FORMELN.cgi'
    when 'seduction','seduction_city'
      DATA+'GAMES/SEDUCTION_CITY/index.cgi'
    when 'my_javascript_snippets','myjs','stdjs'
      DATA+'CODE/JS/STD.js'
    when 'eu','eusucks','eurocks','why'
      SCI+'WHY_THE_EU_SUCKS.cgi'
    when 'paradise','island','para'
      SCI+'PARADISE_ISLAND/PARADISE_ISLAND.cgi'
    when 'generate_dna','gdna'
      SCI+'GENERATING_DNA/GENERATING_DNA.cgi'
    when 'kuros_cell','kuros','local_kuros_page','mcell'
      SCI+'KUROS_CELL/KUROS_CELL.cgi'
    when 'ldigc','ldig'
      SCI+'LDIGC/LDIGC.cgi'
    when 'diashell_logo','diashelllogo','dialogo','diamond_logo',
         'diamondlogo'
      IMG+'STD/DIAMOND_SHELL.png'
    when '5_methyl_cap'
      IMG+'SCIENCE/CHEMISTRY/5_METHYL_CAP.png'
    when 'aminoacids','acids','amino','ami','amin',
         'aa','aminoacid','aminosäuren'
      IMG+'SCIENCE/CHEMISTRY/AMINO_ACIDS.png'
    when 'ameisen'
      SCI+'AMEISEN/AMEISEN.cgi'
    when 'sciencetodos','sciencetodo'
      DATA+'TODO/SCIENCE_TODOS'
    when 'awk','akw'
      SCI+'ENERGY/AKW/AKW.cgi'
    when 'tobuy'
      DATA+'TODO/TO_GET'
    when 'thinking','thinking_methods','think'
      SCI+'THINKING_METHODS.cgi'
    when 'dict','dictionary','english','trans',
         'eng','dictyaml','englishyaml','englishdict',
         'dictionaryyaml','yamldict','yamldictionary'
      SCI+'YAML/DICTIONARIES/english.yml'
    when 'italian','ita','itayaml'
      SCI+'YAML/DICTIONARIES/italian.yml'
    when 'spanish'
      SCI+'YAML/DICTIONARIES/spanish.yml'
    when 'enzymes','enzymesdata'
      SCI+'YAML/restriction_enzymes.yml'
    when 'local_restriction_enzymes','rest','restriktion','restriction'
      SCI+'ENZYMES/RESTRICTION_ENZYMES.cgi'
    when 'glossar','sciglossar','gloss','glos','ogloss'
      SCI+'GLOSSAR.cgi'
    when 'std','stdknowledge','wissen','knowledge','stdkk',
         'std_knowledge','stdknow','stdknowledges','stdk','kb'
      SCI+'STD_KNOWLEDGE.cgi'
    when 'photo','ldigcs','photosynthese'
      SCI+'PHOTOSYNTHESE/PHOTOSYNTHESE.cgi'
    when 'current_exams'
      'current_exams.rb'
    when 'fragen.rb','examquestions','examquestion','pruefung',
         'pruefungsfragne','pfragen','pr','pruefungsfragen',
         'prufung','pruefungs','p','b'
      STUDIUM+'YAML/statistics.yml'
    when 'fragen','fra','questions','fragn','frage',
         'pruefungsfragen_cgi','pruefungsfragencgi'
      SCI+'PRUEFUNG_FRAGEN.cgi'
    when 'cols','colours','colo','std_colours','stdcolours'
      LHOST+'PC/STD/STD_COLOURS.cgi'
    when 'local_geas'
      RPG+'MUDS/GEAS/GEAS.cgi'
    when 'bio_lang','biolang','stdbio','stdbiolang','blang'
      BIOLANG_DIR+'bio_lang'
    when 'immuno_lang','immunolang'
      BIOLANG_DIR+'immuno_lang'
    when 'vir_lang','virlang','vlang','virus_lang'
      BIOLANG_DIR+'vir_lang'
    when 'funk'
      SCI+'FUNK/FUNK.cgi'
    when 'images'
      IMG
    when 'local_magic','planeshift'
      LHOST+'IMG/GAMES/MAGIC/INVASION/PLANESHIFT/RED/index.php'
    when 'union','unionfs','fs','uni','unio','unifs',
         'local_aufs'
      LHOST+'PC/OS/LINUX/UNIONFS/UNIONFS.cgi'
    when 'firefox_extension','firefox_extensions'
      LHOST+'PC/FIREFOX/EXTENSIONS.cgi'
    when 'cyberweb_test','cybersprawl_test_page','cybertest',
         'ctest','cybertut','cybertutorial'
      RSRC+'cyberweb/test/tests.cgi'
    when 'cybersprawl_requires'
      RSRC+'cyberweb/lib/cyberweb/requires/cybersprawl_requires.rb'
    when 'cybersprawl','webmin','cyber','cybersprawlcgi',
         'cybercgi','cybersprawl_framework','my_webmin',
         'cybersprawl_webmin','local_webmin','cyberwebtut'
      RSRC+'cyberweb/lib/cyberweb/webmin/webmin.cgi'
    when 'bioserver','biologyserver','bioserve','bio',
         'biology','biologie_server','bio_serve','bio_server'
      RSRC+'cyberweb/lib/cyberweb/webmin_components/biology_server.cgi'
    when 'lua'
      PC+'LUA/LUA.cgi'
    when 'complex'
      SCI+'YAML/STUDIUM/pruefungsfragen_kombination.yml'
    when 'lpc','geaslpc','lpcchart','lpc_cchart'
      MUD+'GEAS/WIZARD/LPC_CODE_SHEET.md'
    when 'geastodo','todogeas','geas_todo2'
      MUD+'GEAS/TODO/TODOS_FOR_GEAS.md'
    when 'clients','client'
      MUD+'CLIENTS/CLIENTS.cgi'
    when 'std amino_acids'
      SCI+'STD_KNOWLEDGE.cgi#amino_acids'
    when 'fireftp'
      'chrome://fireftp/content/fireftp.xul'
    when 'local_werturteile'
      SCI+'WERTURTEILE/WERTURTEILE.cgi'
    when 'main_stud','mainstud' # Local link for whatever I study for at the given time.
      STUDIUM+'TU_WIEN/ORGANISCHE_CHEMIE/ORGANISCHE_CHEMIE.cgi'
    when 'einfuehrung_in_die_biologische_chemie'
      STUDIUM+'TU_WIEN/EINFUEHRUNG_IN_DIE_BIOLOGISCHE_CHEMIE/INHALT'
    when 'my_songs'
      DATA+'AUDIO/play_songs.cgi'
    when 'cyberweb'
      RSRC+'cyberweb/doc/TODO_FOR_CYBERWEB.md'
    when 'webfoundation1'
      CYBERWEB+'web_object.rb'
    when 'cyberweb_logo','cyber_logo'
      RSRC+'cyberweb/images/cyberweb_logo.png'
    when 'webfoundation2','cyberfoundation' 
      CYBERWEB+'web_foundation.rb'
    when 'webfoundation3'
      CYBERWEB+'constants.rb'
    when 'std_web','stdweb','webfoundation','webdef','webf',
         'webfoundation4'
      CYBERWEB+'web_foundation.rb'
    when 'webfoundation5'
      CYBERWEB+'JAVASCRIPT/javascript_bundle.rb'
    when 'webfoundation6','webfoundation_css'
      CYBERWEB+'css.rb'
    when 'biotech'
      STUDIUM+'TU_WIEN/BIOTECHNOLOGIE/BIOTECHNOLOGIE.cgi'
    when 'config_settings','configsettings','goboc','gconfig',
         'goboconfig','gobconfig','glinuxconfig','goboscriptsconfig',
         'glinuxsettings','compileconfig','config','rbtconfig',
         'rubyconfig','rubytoolsconfig','rbtconf','rbtyaml'
      RUBY_RBT+'yaml/configuration.yml'
    when 'phpinfo'
      PROGL+'PHP/phpinfo.php'
    when 'master_pipe_handler','master_snippets_handler',
         'command_snippets_handler','command_handler',
         'masterpipe','master_pipe'
      MASTER_PIPE+'master_pipe_handler.rb'
    when 'master_shared_code','mshared'
      MASTER_PIPE+'shared/shared.rb'
    when 'master_pipe_testing_commands'
      MASTER_PIPE+'array_testing_commands'
    when 'registered_actions','registeredactions',
         'master_registered_actions'
      MASTER_PIPE+'YAML/registered_actions.yml'
    when 'master_pipe_todo'
      MASTER_PIPE+'TODO/MASTER_PIPE_TODO.md'
    when 'pipecgi','mastercgi','masterpipecgi','master_pipe_webpage',
         'master_cgi','master_pipe_cgi','local_masterpipe'
      RSRC+'pipe_handler/doc/pipe_handler.cgi'
    when 'encodings'
      PC+'/ENCODINGS/ENCODINGS.cgi'
    when 'fstab'
      '/etc/fstab'
    when 'lokal_fh','lokalfh'
      STUDIUM+'FH_BIOENGINEERING/FH.cgi'
    when 'stadtplan_wien','stadtplanwien','swien'
      BASE_DIR+'DATA/IMG/WIEN/STADPLAN_WIEN.gif'
    when 'bokuvids'
      BASE_DIR+'STUDIUM/BOKU_WIEN/VIDEOS/LINKS.md'
    when 'local_xorg.conf','genxorg','ruby_xorg','rubyxorg'
      RSRC+'generate_xorg_conf/lib/generate_xorg_conf/generate_xorg_conf.rb'
    when 'fluorescence'
      IMG+'SCIENCE/CHEMISTRY/FLUORESCENCE/The_2004_Palette_of_fluorescent_proteins.png'
    when 'gina'
      IMG+'NJOY/GINA_CARANO.gif'
    when 'exams_cgi','exams_www','examscgi'
      RSRC+'exams/lib/exams/www/exams.cgi'
    when 'local_cookbooks'
      RSRC+'cookbooks/www/COOKBOOKS.cgi'
    when 'cookbooks_specification','cookbooksspecification'
      RSRC+'cookbooks/doc/COOKBOOK_CONVENTIONS.md'
    when 'songs','lieder'
      AUDIO+'SONGS.cgi'
    when 'favsongs','audfav','audiofav'
      AUDIO_YAML+'current_favourites.yml'
    when 'local_lame','local_lame_page'
      AUDIO+'LAME.cgi'
    when 'moo','orion','master_of_orion','masteroforion'
      BASE_DIR+'DATA/GAMES/master_of_orion/images/MASTER_OF_ORION_ALL_SHIPS.jpg'
    when 'warcraft3'
      GAMES+'WARCRAFT/WARCRAFT3.cgi'
    when 'aitd'
      GAMES+'AITD/AITD.cgi'
    when 'main_audio','mainaud','main_aud'
      '/Depot/Audio/WetWetWet_Loveisallaround.mp3'
    when 'local_decibel'
      AUDIO+'DECIBEL.cgi'
    when /ubahn_?wien/
      BASE_DIR+'DATA/IMG/WIEN/UBAHN_WIEN.gif'
    when /agrarbiotechnologie/
      '/Depot/Studium/Bachelor_Individuelles_Curriculum_Agrarbiotechnologie.html'
    else
      return i # Return the input in this case.
    end
  end; self.instance_eval { alias local_link local_menu } # === BeautifulUrl.local_link

  # ========================================================================= #
  # === BeautifulUrl.is_a_local_link?
  #
  # Usage examples:
  #
  #   BeautifulUrl.is_a_local_link?('quotes')        # => true
  #   BeautifulUrl.is_a_local_link?('quotes2')       # => false
  #   BeautifulUrl.is_a_local_link?(:local_hardware) # => true
  #  
  # ========================================================================= #
  def self.is_a_local_link?(i)
    copy = i.dup
    result = local_menu(i)
    !(copy == result)
  end; self.instance_eval { alias is_a_local_shortcut? is_a_local_link? } # === BeautifulUrl.is_a_local_shortcut?

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.local_menu
  puts BeautifulUrl.local_menu('path')
end