#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/misc.rb'
# =========================================================================== #
module BeautifulUrl

  require 'beautiful_url/project/project.rb'

  # ========================================================================= #
  # === BeautifulUrl.create_json_file
  # ========================================================================= #
  def self.create_json_file
    begin
      require 'case_parser'
    rescue LoadError; end
    what = "{\n".dup # The opening tag.
    array = %w(
      jobs_menu.rb
      local_menu.rb
      moodle_menu.rb
      science_menu.rb
      traditional_menu.rb
      university_menu.rb
      video_menu.rb
    )
    array.each {|this_rb_file|
      absolute_path = ::BeautifulUrl.project_base_dir?+'/toplevel_methods/'+this_rb_file
      array = CaseParser.parse(absolute_path)
      array.each {|this_entry_in_the_array|
        original_value = this_entry_in_the_array.dup
        next if this_entry_in_the_array =~ /^exam\d{1,2}/ # 'exam30' since this is special.
        next if this_entry_in_the_array =~ /^nexam/ # 'nexam' since this is special.
        next if this_entry_in_the_array =~ /^next(_|-)?exam/ # This as well.
        return_value = BeautifulUrl[original_value]
        if original_value == return_value # Faulty - ignore then.
        else
          what << "\"#{this_entry_in_the_array}\": \"#{return_value}\",\n"
        end
      }
    }
    what << '}' # The closing tag.
    into = 'beautiful_url.json'
    begin
      require 'save_file'
    rescue LoadError; end
    puts 'Storing into `'+into+'`.'
    SaveFile.write_what_into(what, into)
  end

  # ========================================================================= #
  # === BeautifulUrl.home_dir?
  #
  # This method will simply return the home directory of the user at hand.
  # ========================================================================= #
  def self.home_dir?
    "#{ENV['HOME']}/"
  end

  # ========================================================================= #
  # === BeautifulUrl.file_passwords
  # ========================================================================= #
  def self.file_passwords
    require 'beautiful_url/toplevel_methods/local_menu.rb'
    return ::BeautifulUrl.local_menu(:local_password_file)
  end

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.file_passwords
end