#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Code stored here will specifically handle moodle-related links. This
# is mostly for university-related content, but may also include other
# sites that make use of moodle.
#
# Do note that since as of the year 2020, this file has been mostly
# superceded by code stored in the Studium gem. The latter can
# obtain all moodle-entries of every registered lecture automatically,
# so it is MUCH better than the handwritten and hardcoded approach
# used in the file here.
#
# The file here will still be kept for legacy-reasons mostly, but will
# be quite minimal - there is one small qualitative difference, though,
# in the sense that we can use shortcuts here, which the Studium gem
# can not do. So it is not 100% legacy code; only about 90% legacy
# code really.
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/moodle_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.moodle
  # ========================================================================= #
  def self.moodle(i = :default)
    i = i.first if i.is_a? Array
    i =
    case i # case tag
    # ======================================================================= #
    # === moodle systembiologie
    # ======================================================================= #
    when /^301696(_|-| )?Grundlagen(_|-| )?der(_|-| )?Systembiologie$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Systembiologie$/i,
         'systembiologie', # moodle systembiologie
         :default
      'https://moodle.univie.ac.at/course/view.php?id=88847' # 2018W
    # ======================================================================= #
    # === moodle "850110 Ausgewählte Kapitel aus der KTWW"
    # ======================================================================= #
    when /^850110(_|-| )?Ausgewählte(_|-| )?Kapitel(_|-| )?aus(_|-| )?der(_|-| )?KTWW$/i,
         /^Ausgewählte(_|-| )?Kapitel(_|-| )?aus(_|-| )?der(_|-| )?KTWW$/i,
         /^Ausgewählte(_|-| )?Kapitel$/i,
         'ktww', # moodle ktww
         '2'
      'https://learn.boku.ac.at/course/view.php?id=17882' # 2018W
    # ======================================================================= #
    # === moodle "270087 Struktur und Dynamik von Biopolymeren"
    # ======================================================================= #
    when /^270087(_|-| )?Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i,
         /^Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i,
         'biopolymere'
      'https://moodle.univie.ac.at/course/view.php?id=97035' # 2018W
    # ======================================================================= #
    # === moodle Allgemeine Botanik
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Botanik$/i,
         /^831135(_|-| )?Allgemeine(_|-| )?Botanik$/i,
         'botanik'
      'https://learn.boku.ac.at/course/view.php?id=17749' # 2018W
    # ======================================================================= #
    # === moodle chemie
    # ======================================================================= #
    when /^771100(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie$/i,
         'chemie'
      'https://learn.boku.ac.at/course/view.php?id=17253' # 2018W
    # ======================================================================= #
    # === moodle elektrophorese
    # ======================================================================= #
    when /^270111(_|-| )?Elektrophoretische(_|-| )?und(_|-| )?Chromatographische(_|-| )?Trennmethoden$/i,
         /^Elektrophoretische(_|-| )?und(_|-| )?Chromatographische(_|-| )?Trennmethoden$/i,
         'elektrophorese'
      'https://moodle.univie.ac.at/course/view.php?id=89895' # 2018W
    # ======================================================================= #
    # === moodle crispr
    # ======================================================================= #
    when /^322052(_|-| )?VO(_|-| )?Nukleinsäure(_|-| )?Therapeutika(_|-| |:)?(_|-| )?Antisense(_|-| |,)?(_|-| )?RNA(_|-| )?Interferenz(_|-| |,)?(_|-| )?CRISPR(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^322052(_|-| )?Nukleinsäure(_|-| )?Therapeutika(_|-| |:)?(_|-| )?Antisense(_|-| |,)?(_|-| )?RNA(_|-| )?Interferenz(_|-| |,)?(_|-| )?CRISPR(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^322052(_|-| )?Nukleinsäure(_|-| )?Therapeutika(_|-| |:)?(_|-| )?Antisense(_|-| |,)?(_|-| )?RNA(_|-| )?Interferenz(_|-| |,)?(_|-| )?CRISPR$/i,
         /^Nukleinsäure(_|-| )?Therapeutika(_|-| |:)?(_|-| )?Antisense(_|-| |,)?(_|-| )?RNA(_|-| )?Interferenz(_|-| |,)?(_|-| )?CRISPR$/i,
         /^Nukleinsäure(_|-| )?Therapeutika$/i,
         'crispr', # moodle crispr
         'default','main',
         '1'
      'https://moodle.univie.ac.at/course/view.php?id=91738' # 2018W
    # ======================================================================= #
    # === moodle "791318 Animal cell culture (in Eng.)"
    # ======================================================================= #
    when /^791318(_|-| )?Animal(_|-| )?cell(_|-| )?culture(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791318(_|-| )?Animal(_|-| )?cell(_|-| )?culture$/i,
         /^Animal(_|-| )?cell(_|-| )?culture$/i,
         'cellculture' # moodle cellculture
      'https://learn.boku.ac.at/course/view.php?id=17371' # 2018W
    # ======================================================================= #
    # === moodle RNA
    # ======================================================================= #
    when /^301652(_|-| )?VO(_|-| )?Molekularbiologie(_|-| )?der(_|-| )?RNA$/i,
         /^301652(_|-| )?Molekularbiologie(_|-| )?der(_|-| )?RNA$/i,
         /^Molekularbiologie(_|-| )?der(_|-| )?RNA$/i,
         'RNA' # moodle RNA
      'https://moodle.univie.ac.at/course/view.php?id=72900' # 2018S
    # ======================================================================= #
    # === moodle "Bodenkunde (AW)"
    # ======================================================================= #
    when /^Bodenkunde(_|-| )?\(?AW\)?$/i,
         'bodenkunde',
         '3'
      'https://learn.boku.ac.at/course/view.php?id=9941' # 2016S
    else
      i # else return the input unmodified (save for changing Array into String)
    end
    i
  end

  # ========================================================================= #
  # === BeautifulUrl.is_included_in_moodle?
  #
  # This method will return a Boolean - true if the input argument is
  # included in the moodle-listing; and false otherwise.
  # ========================================================================= #
  def self.is_included_in_moodle?(i)
    i = i.first if i.is_a? Array
    original_input = i.dup
    possibly_modified_input = moodle(original_input)
    !(possibly_modified_input == original_input) 
  end

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.moodle
end