#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/new_university_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.new_university_menu
  # ========================================================================= #
  def self.new_university_menu(
      i = :top
    )
    case i # (case tag, casetag)
    # ======================================================================= #
    # === rf "Roland Leser"
    # ======================================================================= #
    when /^Roland(_|-| )?Leser$/i
      'https://ufind.univie.ac.at/de/person.html?id=82538&teaching=true'
    # ======================================================================= #
    # === rf "baal"
    # ======================================================================= #
    when /^baal$/i
      'https://ufind.univie.ac.at/de/person.html?id=174&teaching=true'
    # ======================================================================= #
    # === rf "STEOP-Regelung"
    # ======================================================================= #
    when /^STEOP(_|-| )?Regelung$/i
      'https://online.boku.ac.at/BOKUonline/ee/ui/ca2/app/desktop/#/slc.cm.cs/student/steop/230830/status?$ctx=design=ca;lang=de&$scrollTo=&pOrgId=1'
    # ======================================================================= #
    # === rf "Marc-Schumann"
    # ======================================================================= #
    when /^Marc(_|-| )?Schumann$/i
      'https://ufind.univie.ac.at/de/person.html?id=1002857'
    # ======================================================================= #
    # === rf "Übungen I B"
    # ======================================================================= #
    when /^Übungen(_|-| )?I(_|-| )?B(_|-| )?(_|-| )?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Genetik$/i,
         /^301046(_|-| )?Übungen(_|-| )?I(_|-| )?B(_|-| )?(_|-| )?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Genetik/i,
         /^Übungen(_|-| )?I(_|-| )?B/i,
         'Übung_IB','übung_IB','übung_ib','übung_iB',
         /^Übung(_|-| )?I(_|-| )?B/i,
         /^UE(_|-| )?IB$/i,
         /^UE(_|-| )?IB(_|-| )?5$/i,
         /^I(_|-| )?B$/i,
         /^übung1b$/i,
         'ib'
      'https://ufind.univie.ac.at/de/course.html?lv=301046&semester=2023S'
    # ======================================================================= #
    # === rf "carotta"
    # ======================================================================= #
    when /^carotta$/i
      'https://ufind.univie.ac.at/de/person.html?id=108167&teaching=true'
    # ======================================================================= #
    # === rf "Masterstudium-Molecular-Precision-Medicine"
    # ======================================================================= #
    when /^Masterstudium(_|-| )?Molecular(_|-| )?Precision(_|-| )?Medicine$/i
      'https://campus.meduniwien.ac.at/med.campus/wblvangebot.wbshowlvoffer?porgnr=20962'
    # ======================================================================= #
    # === rf "Lehrveranstaltungen-Medizinische-Informatik"
    # ======================================================================= #
    when /^Lehrveranstaltungen(_|-| )?Medizinische(_|-| )?Informatik$/i
      'https://campus.meduniwien.ac.at/med.campus/ee/ui/ca2/app/desktop/#/slc.tm.cp/student/courses?$ctx==;design=ca2;lang=de&objTermId=143&orgId=17819'
    # ======================================================================= #
    # === rf "Clara Pernold"
    # ======================================================================= #
    when /^Clara(_|-| )?Pernold$/i
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=14C4B62DE0790F5E&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "tuche"
    # ======================================================================= #
    when /tuche/
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=1898&dsrid=606'
    # ======================================================================= #
    # === rf "görke"
    # ======================================================================= #
    when /görke/
      'https://ufind.univie.ac.at/de/person.html?id=52142&teaching=true'
    # ======================================================================= #
    # === rf "1"
    # ======================================================================= #
    when '1'
      'https://github.com/TBIAPBC/APBC2023'
    # ======================================================================= #
    # === rf "rittmann"
    # ======================================================================= #
    when /^rittmann$/i
      'https://ufind.univie.ac.at/de/person.html?id=54011&teaching=true'
    # ======================================================================= #
    # === rf "Masterstudium-Molecular-Precision-Medicine"
    # ======================================================================= #
    when /^Masterstudium(_|-| )?Molecular(_|-| )?Precision(_|-| )?Medicine$/i,
         /^precision$/i
      'https://campus.meduniwien.ac.at/med.campus/ee/ui/ca2/app/desktop/#/slc.tm.cp/student/courses?$ctx==;design=ca2&objTermId=143&orgId=20962'
    # ======================================================================= #
    # === rf "STEOP-Anmeldecheck"
    # ======================================================================= #
    when /^STEOP(_|-| )?Anmeldecheck$/i
      'https://online.boku.ac.at/BOKUonline/ee/ui/ca2/app/desktop/#/slc.cm.cs/student/steop/230830/status?$ctx=design=ca;lang=de&$scrollTo=&pOrgId=1'
    # ======================================================================= #
    # === rf "mtw"
    # ======================================================================= #
    when /^mtw$/i
      'https://github.com/mtw'
    # ======================================================================= #
    # === rf "Algorithmen"
    # ======================================================================= #
    when /^Algorithmen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270056&semester=2023S'
    # ======================================================================= #
    # === rf "Punkte- und Präferenzübersicht"
    # ======================================================================= #
    when /^Punkte(_|-| )?(_|-| )?und(_|-| )?Präferenzübersicht$/i,
         /^Präferenzübersicht$/i,
         /^psicht$/i,
         /^Anmeldungen$/i,
         /^priorities$/i,
         /^Punkte$/i,
         /^Punkteübersicht$/i
      'https://uspace.univie.ac.at/web/studium/punkte-und-praeferenzuebersicht'
    # ======================================================================= #
    # === rf "vidotto"
    # ======================================================================= #
    when /^vidotto$/i
      'https://ufind.univie.ac.at/en/person.html?id=33854&teaching=true'
    # ======================================================================= #
    # === rf "schmelzweb"
    # ======================================================================= #
    when /^schmelzweb$/i,
         /^schmelzforum$/i
      'https://www.schmelzweb.at/'
    # ======================================================================= #
    # === rf "schoberer"
    # ======================================================================= #
    when /^schoberer$/i,
         /^jennifer$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=95F790D32E726943&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "301364"
    # ======================================================================= #
    when /^301364$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301364&semester=2022W'
    # ======================================================================= #
    # === rf "Lukas Schindler"
    # ======================================================================= #
    when /^Lukas(_|-| )?Schindler$/i,
         /^Schindler$/i
      'https://ufind.univie.ac.at/de/person.html?id=102449&teaching=true'
    # ======================================================================= #
    # === rf "EPROG2"
    # === rf "185.A92 Einführung in die Programmierung 2"
    # ======================================================================= #
    when /^E?PROG2$/i,
         /^185\.?A92(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Programmierung(_|-| )?2$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7698&dsrid=799&courseNr=185A92&semester=2023S'
    # ======================================================================= #
    # === rf "LBT-Statistik"
    #
    # Die Statistik-Übungen für LBT.
    # ======================================================================= #
    when /^LBT(_|-| )?Statistik?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=304277'
    # ======================================================================= #
    # === rf "Übersicht-über-die-Anfragen"
    # ======================================================================= #
    when /^Übersicht(_|-| )?über(_|-| )?die(_|-| )?Anfragen?$/i,
         /^Bürokratie$/i
      'https://servicedesk.univie.ac.at/plugins/servlet/myrequest'
    # ======================================================================= #
    # === Piskernig
    # ======================================================================= #
    when /^Piskernig$/i,
         /^Pisni(k|g)?$/i
      'https://ufind.univie.ac.at/de/person.html?id=23920&teaching=true' 
    # ======================================================================= #
    # === rf "Introduction into 3D cryo electron microscopy"
    # ======================================================================= #
    when /^Introduction(_|-| )?into(_|-| )?3D(_|-| )?cryo(_|-| )?electron(_|-| )?microscopy$/i,
         /^301901(_|-| )?Introduction(_|-| )?into(_|-| )?3D(_|-| )?cryo(_|-| )?electron(_|-| )?microscopy$/i,
         /^Introduction(_|-| )?into(_|-| )?3D(_|-| )?cryo(_|-| )?electron(_|-| )?microscopy(_|-| )?(_|-| )?(_|-| )?für(_|-| )?Diplomanden(_|-| |,)?(_|-| )?Dissertanden(_|-| )?und(_|-| )?fortgeschrittene(_|-| )?Studenten$/i,
         'cryo',
         'cryon'
      'https://ufind.univie.ac.at/de/course.html?lv=301901&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Florian Krammer"
    # ======================================================================= #
    when /^Florian(_|-| )?Krammer$/i,
         /^Krammer$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=0AB39EC053087B32&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Jacqueline Stöger"
    # ======================================================================= #
    when /^Jacqueline(_|-| )?Stöger$/i,
         /wehofer/
      # ===================================================================== #
      # 'https://www.boku.ac.at/en/personen/person/CC0287389819E150/'
      # da war früher Jacqueline Wehofer. Seit ~2022 oder so ist da
      # wer anderer.
      # ===================================================================== #
      'https://boku.ac.at/en/personen/person/CC0287389819E150/'
    # ======================================================================= #
    # === rf priorisierung
    # ======================================================================= #
    when /^priorisierung$/i
      'https://uspace.univie.ac.at/web/studium/anmeldung/-/as-studierende-registrierung/lv/301876/1/2023S#/priorisierung'
    # ======================================================================= #
    # === rf vetmed_fristen
    # ======================================================================= #
    when /^vetmed(_|-| )?fristen$/i,
         /^vetmed(_|-| )?zulassungsfristen$/i,
         /^vetmed(_|-| )?ferien$/i,
         /^zulassungsfrist(_|-| )?vetmed$/i,
         /^vetmed(_|-| )?anmeldezeitraum$/i
      'https://www.vetmeduni.ac.at/de/studium/einteilung-des-studienjahres/'
    # ======================================================================= #
    # === rf uniwien_homepage
    # ======================================================================= #
    when /^uniwien(_|-| )?homepage$/i
      'https://uspace.univie.ac.at/'
    # ======================================================================= #
    # === rf tiss
    #
    # This entry point *must* point at TISS directly, at all times.
    # ======================================================================= #
    when /^tiss$/i,
         /^tu(_|-| )?wien(_|-| )?homepage$/i
      'https://tiss.tuwien.ac.at/'
    # ======================================================================= #
    # === rf vetmed
    # ======================================================================= #
    when 'vetmed','vetuni','vetmeduni','vetmeduni_wien',
         'vetmedonline','vetmeduniexams','vetuni_exams',
         'vetmedexams','vetonline','vet',
         'vetunionline',
         'vetmd',
         'vetme',
         'vetemd',
         'veduni',
         'vetmedm',
         /^vetmed(_|-| )?wien(_|-| )?homepage$/i,
         /^vetmeduni(_|-| )?wien(_|-| )?homepage$/i
      'https://online.vu-wien.ac.at/VUWonline/ee/ui/ca2/app/desktop/#/?$ctx=design=ca;lang=de;profile=STUDENT;rbacId='
    # ======================================================================= #
    # === rf meduni_lehrveranstaltungen
    # ======================================================================= #
    when /^meduni(_|-| )?lehrveranstaltungen$/i,
         /^meduni(_|-| )?wien(_|-| )?homepage$/i
      'https://campus.meduniwien.ac.at/med.campus/ee/ui/ca2/app/desktop/#/slc.tm.cp/student/courses?$ctx=design=ca;lang=de&$skip=0&objTermId=141&orgId=1'
    # ======================================================================= #
    # === rf nawi_server
    #
    # login:    studi
    # passwort: 
    #
    # ======================================================================= #
    when 'nawi_server','chemie_forum_oeh_wien_fileserver',
         'nawi','nwi',
         'nawiserver',
         /chemi?e?(_|-| )?server/, # Also aliased to "chemserver".
         /chemie(_|-| )?skripten$/,
         /chemie(_|-| )?dropbox/ # ceokozut
      # 'https://igchemie.jimdofree.com/beratung-und-services-1/nawi-file-server/'
      'https://data.nawi.at/'
    # ======================================================================= #
    # === rf "104.263"
    # ======================================================================= #
    when /^104\.?263$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8070&dsrid=709&courseNr=104263&semester=2023S'
    # ======================================================================= #
    # === rf ferienzeiten
    # ======================================================================= #
    when 'ferienzeiten','ferien','uni_ferien',
         'uniferien',
         'uniferin',
         'uniwienferien',
         'vorlesung',
         'uniwien_ferien',
         'ferienuni',
         'uniferni',
         'unifeiertage',
         'uniferine'
      # 'http://studentpoint.univie.ac.at/durchs-studium/termine-fristen-ferien/das-studienjahr/'
      # 'https://slw.univie.ac.at/studieren/studienjahr/' # 2017 WS
      # 'https://slw.univie.ac.at/studieren/studienorganisation/studienjahr/' # 2018S
      'https://studieren.univie.ac.at/semesterplanung/studienjahr/'
    # ======================================================================= #
    # === rf "rasterelektronenmikroskopie"
    # ======================================================================= #
    when /^rasterelektronenmikroskopie$/i,
         /^rasterelektronen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=280121&semester=2023S'
    # ======================================================================= #
    # === rf "my-courses"
    # ======================================================================= #
    when /^my(_|-| )?courses$/i,
         /^BOKU(_|-| )?statistik$/i
      'https://my-insights.boku.ac.at/en/studies'
    # ======================================================================= #
    # === rf kasper
    # ======================================================================= #
    when /^kasper$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=9C54422A8570A040&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "322073"
    # ======================================================================= #
    when /^322073$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322073&semester=2023S'
    # ======================================================================= #
    # === rf Genexpression
    # ======================================================================= #
    when /^Genexpression$/i,
         /^301123(_|-| )?Genexpression$/i,
         'genex'
      'https://ufind.univie.ac.at/de/course.html?lv=301123&semester=2023S'
    # ======================================================================= #
    # === rf "main vetmed"
    # ======================================================================= #
    when /^main(_|-| )?vetmed$/i,
         /^oldschool(_|-| )?vetmed$/i,
         /^vetmed(_|-| )?old$/i
      'https://online.vu-wien.ac.at/VUWonline/'
    # ======================================================================= #
    # === rf nadira
    # ======================================================================= #
    when 'nadira',
         'nadja',
         /^Ibrisimovic$/i
      'https://ufind.univie.ac.at/de/person.html?id=32748&teaching=true'
    # ======================================================================= #
    # === rf mirza
    # ======================================================================= #
    when 'mirza',
         /^Mirza(_|-| )?Ibrisimovic$/i
      'https://ufind.univie.ac.at/de/person.html?id=35657&teaching=true'
    # ======================================================================= #
    # === rf katinger
    # ======================================================================= #
    when /^katinger$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D7D6D9D8C238FE89&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "studydrive"
    # ======================================================================= #
    when /^study(_|-| )?drive$/i,
         /^mainstudy$/i,
         /^studydoc$/i
      'https://www.studydrive.net/'
    # ======================================================================= #
    # === rf "835100"
    # ======================================================================= #
    when /^835100$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=305336'
    # ======================================================================= #
    # === rf univis
    # ======================================================================= #
    when 'univis','univisanmeldung','unitest',
         'unianmeldung',
         'uniwien_exams',
         'uniwienlogin',
         'uniwienexams',
         'uniwienanmeldung',
         'uniergebnisse',
         'uniresults',
         'univie',
         'uniivs',
         'univis1',
         'oldunivis'
      'https://univis.univie.ac.at/as_anmeldung/?_language=de'
    # ======================================================================= #
    # === rf "boku_terminbuchung"
    # ======================================================================= #
    when /^boku(_|-| )?terminbuchung$/i,
         /^boku(_|-| )?termine$/i,
         /^terminreservierung$/i,
         /^boku(_|-| )?reservierung$/i
      'https://boku.ac.at/studienservices/terminbuchung-studienservices'
    # ======================================================================= #
    # === rf "puntigam"
    # ======================================================================= #
    when /^puntigam$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=2929&dsrid=124&lecturerOid=1113253'
    # ======================================================================= #
    # === rf "vorgezogen"
    # ======================================================================= #
    when /^vorgezogen$/i
      'https://online.boku.ac.at/BOKUonline/ee/ui/ca2/app/desktop/#/pl/ui/$ctx/WbVorZieh.wbShowDetail?$ctx=design=ca2;header=max;lang=de&pDesiredContextId=8429409&pStpSpNr=297308&pStudienNr=230830'
    # ======================================================================= #
    # === rf "Bachelor Betriebswirtschaft"
    # ======================================================================= #
    when /^Bachelor(_|-| )?Betriebswirtschaft$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=284830'
    # ======================================================================= #
    # === rf "Analytik von Nanopartikeln"
    # ======================================================================= #
    when /^Analytik(_|-| )?von(_|-| )?Nanopartikeln$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270008&semester=2017W'
    # ======================================================================= #
    # === rf "Pharmazeutische Nanotechnologie"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Nanotechnologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322073&semester=2017W'
    # ======================================================================= #
    # === rf aszodi
    # ======================================================================= #
    when 'aszodi'
      'https://ufind.univie.ac.at/de/person.html?id=29512&teaching=true'
    # ======================================================================= #
    # === rf "Michael Sauer"
    # ======================================================================= #
    when /^Michael(_|-| )?Sauer$/i,'sauer'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=5812'
    # ======================================================================= #
    # === rf "Mikrobiologisch-Immunologisches Seminar"
    # ======================================================================= #
    when /^Mikrobiologisch(_|-| )?Immunologisches(_|-| )?Seminar$/i
      #'https://ufind.univie.ac.at/de/course.html?lv=300610&semester=2017W'
      'https://ufind.univie.ac.at/de/course.html?lv=301610&semester=2017W'
    # ======================================================================= #
    # === rf "Einführung in das Umwelt- und Bioressourcenmanagement"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?das(_|-| )?Umwelt(_|-| )?(_|-| )?und(_|-| )?Bioressourcenmanagement$/i,
         /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?Umwelt(_|-| )?(_|-| )?und(_|-| )?Bioressourcenmanagement$/i
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278313' ← Altes Format.
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281223'
    # ======================================================================= #
    # === rf "Verfassen wissenschaftlicher Arbeiten"
    # ======================================================================= #
    when /^Verfassen(_|-| )?wissenschaftlicher(_|-| )?Arbeiten$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300171&semester=2017W'
    # ======================================================================= #
    # === rf "Therapy and Prophylaxis of Viral Infections"
    # ======================================================================= #
    when /Therapy(_|-| )?and(_|-| )?Prophylaxis(_|-| )?of(_|-| )?Viral(_|-| )?Infections/i
      'https://ufind.univie.ac.at/de/course.html?lv=300310&semester=2017W'
    # ======================================================================= #
    # === computational_concepts_in_biology_I
    # ======================================================================= #
    when 'computational_concepts_in_biology_I',
         'computational_concepts_in_biology'
      'https://ufind.at/de/course.html?lv=269004&semester=2017W' 
    # ======================================================================= #
    # === rf "Christian Lexer"
    # ======================================================================= #
    when /Christian(_|-| )?Lexer/i
      'https://ufind.univie.ac.at/de/person.html?id=58548&teaching=true'
    # ======================================================================= #
    # === rf gübitz
    # ======================================================================= #
    when 'gübitz'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=AEE161136C4037A7&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Rasterelektronenmikroskopie - Techniken und Präparationen für Biologen"
    # ======================================================================= #
    when /^Rasterelektronenmikroskopie(_|-| )?(_|-| )?(_|-| )?Techniken(_|-| )?und(_|-| )?Präparationen(_|-| )?für(_|-| )?Biologen$/i,
         /^Rasterelektronenmikroskopie$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300218&semester=2017S' # 2017S
      'https://ufind.univie.ac.at/de/course.html?lv=300218&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf statistik_übungen
    # ======================================================================= #
    when /^Statistik(_|-| )?Übungen(_|-| )?LBT$/i,
         /^Statistik(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278033'
    # ======================================================================= #
    # === rf "Dea Slade"
    # ======================================================================= #
    when /^Dea(_|-| )?Slade$/i,
         /^Slade$/i
      'https://ufind.univie.ac.at/de/person.html?id=51501&teaching=true'
    # ======================================================================= #
    # === rf 262005
    # ======================================================================= #
    when /^262005$/i
      'https://ufind.univie.ac.at/de/course.html?lv=262005&semester=2022W'
    # ======================================================================= #
    # === rf wagner
    # ======================================================================= #
    when /^Michael(_|-| )?Wagner$/i,
         'wagner'
      'https://ufind.univie.ac.at/de/person.html?id=81907&teaching=true'
    # ======================================================================= #
    # === rf Bewertungen
    # ======================================================================= #
    when /^Bewertungen$/i
      'https://tuwel.tuwien.ac.at/grade/report/user/index.php?id=48994'
    # ======================================================================= #
    # === rf hamilton
    # ======================================================================= #
    when /^Barbara(_|-| )?Hamilton$/i,
         'hamilton'
      'https://ufind.univie.ac.at/de/person.html?id=1785&teaching=true'
    # ======================================================================= #
    # === rf master_molekulare_biologie
    # ======================================================================= #
    when /^Molekulare(_|-| )?Biologie$/i,
         /^master(_|-| )?molbio$/i,
         /^Mastercurriculum(_|-| )?Molekulare(_|-| )?Biologie$/i,
         /^Master(_|-| )?Molekulare(_|-| )?Biologie$/i,
         /^mastermolmed$/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=276496' # 2022W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=286184&semester=2023S'
    # ======================================================================= #
    # === rf "douka"
    # ======================================================================= #
    when /^douka$/i
      'https://ufind.univie.ac.at/de/person.html?id=115569'
    # ======================================================================= #
    # === rf "Karlheinz Wachauer"
    # ======================================================================= #
    when /^Karlheinz(_|-| )?Wachauer$/i
      'https://ufind.univie.ac.at/de/person.html?id=25027'
    # ======================================================================= #
    # === rf "Bachelorcurriculum Pharmazie"
    # ======================================================================= #
    when /^Bachelorcurriculum(_|-| )?Pharmazie$/i,
         /^Bachelor(_|-| )?Pharmazie$/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=233077' # 2019W
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=266817&semester=2022S' # 2022S
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=282773' # 2022W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=291428' # 2023S
    # ======================================================================= #
    # === rf "AB1"
    # ======================================================================= #
    when /^AB1$/i
      'https://ufind.univie.ac.at/de/course.html?lv=809007&semester=1998W'
    # ======================================================================= #
    # === rf "Andrea Kodym"
    # ======================================================================= #
    when /^Andrea(_|-| )?Kodym$/i,
         /^kodym$/i
      'https://ufind.univie.ac.at/de/person.html?id=55090&teaching=true'
    # ======================================================================= #
    # === rf "Tod Stuessy"
    # ======================================================================= #
    when /^Tod(_|-| )?Stuessy$/i,
         /^stuessy$/i
      'https://ufind.univie.ac.at/de/person.html?id=16313&teaching=true'
    # ======================================================================= #
    # === rf "Posttranslationale Modifikation von Proteinen"
    # ======================================================================= #
    when /^Posttranslationale(_|-| )?Modifikation(_|-| )?von(_|-| )?Proteinen$/i,
         /^270015(_|-| )?Posttranslationale(_|-| )?Modifikation(_|-| )?von(_|-| )?Proteinen$/i,
         /^270048(_|-| )?Posttranslationale(_|-| )?Modifikation(_|-| )?von(_|-| )?Proteinen$/i,
         'ptm','posttranslational',
         'posttrans',
         'postmod'
      'https://ufind.univie.ac.at/de/course.html?lv=270045&semester=2022W'
    # ======================================================================= #
    # === rf horvath
    # ======================================================================= #
    when /^Horvath/i
      'https://ufind.univie.ac.at/de/person.html?id=2140&teaching=true'
    # ======================================================================= #
    # === rf fusani
    # ======================================================================= #
    when /^fusani$/i
      'https://ufind.univie.ac.at/de/person.html?id=56183&teaching=true'
    # ======================================================================= #
    # === rf bachelor_biologie
    #
    # This entry point is for the Bachelorcurriculum Biologie at the
    # University of Vienna.
    # ======================================================================= #
    when /^bachelor(_|-| )?biologie$/i,
         /^biologie(_|-| )?curriculum$/i,
         /^biologie(_|-| )?bachelor$/i,
         /^biologie(_|-| )?curriulum$/i,
         /^Bachelorcurriculum(_|-| )?Biologie$/i, # === rf "Bachelorcurriculum Biologie"
         /^Bachelor(_|-| )?Biologie$/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=276491' # 2022W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=285938' # 2023S
    # ======================================================================= #
    # === rf aufnahmefristen
    # ======================================================================= #
    when 'aufnahmefristen',
         'uniwienzulassung',
         'uniwienfristen'
      #'https://slw.univie.ac.at/studieren/fristen-fuer-studien-ohne-aufnahme-eignungsverfahren/'#
      'https://studieren.univie.ac.at/zulassung/fristen-fuer-studien-ohne-aufnahme-eignungsverfahren/'
    # ======================================================================= #
    # === rf zulassungsfrist
    # ======================================================================= #
    when 'zulassungsfrist','uniwien_zulassung'
      'http://studentpoint.univie.ac.at/services/aktuellmeldungen/detail/article/zulassungsfrist-wintersemester-201415/?tx_ttnews[backPid]=96343&cHash=7e8e53a3fd937aaea9a06c989210b291'
    # ======================================================================= #
    # === rf mitbelegung_uniwien
    # ======================================================================= #
    when 'mitbelegung_uniwien',
         'uniwien_mitbelegung',
         'mitbelegung1','uni_mitbelegung',
         'uni-mitbelegung',
         'mitbelegung_uni_wien',
         /^mitbelegung(_|-| )?uni(_|-| )?wien$/,
         /^mitbeleger(_|-| )?uni(_|-| )?wien$/,
         /^uni(_|-| )?wien(_|-| )?mitbelegung$/
      'https://studieren.univie.ac.at/zulassung/mitbelegung/'
    # ======================================================================= #
    # === rf vetmed-studienabteilung
    # ======================================================================= #
    when /^vetmed(_|-| )?studienabteilung$/i
      'https://www.vetmeduni.ac.at/studium/anlaufstellen-im-bereich-lehre/studienabteilung'
    # ======================================================================= #
    # === rf sachslehner
    # ======================================================================= #
    when /^Franz(_|-| )?Sachslehner$/i,
         /^sachslehner$/i
      'https://ufind.univie.ac.at/de/person.html?id=4726&teaching=true'
    # ======================================================================= #
    # === rf wiche
    # ======================================================================= #
    when 'wiche',
         /^Gerhard(_|-| )?Wiche$/i,
         /^Wicke$/i
      'https://ufind.univie.ac.at/de/person.html?id=6231&teaching=true'
    # ======================================================================= #
    # === rf "Ammar Tahir"
    # ======================================================================= #
    when /^Ammar(_|-| )?Tahir$/i,
         /^Tahir(_|-| )?Ammar$/i,
         /^Tahir$/i
      'https://ufind.univie.ac.at/de/person.html?id=50606&teaching=true'
    # ======================================================================= #
    # === rf "Interaction between Oct3/4 and Cdx2 Determines Trophectoderm Differentiation"
    # ======================================================================= #
    when /^Interaction(_|-| )?between(_|-| )?Oct3\/?4(_|-| )?and(_|-| )?Cdx2(_|-| )?Determines(_|-| )?Trophectoderm(_|-| )?Differentiation$/i
      'https://www.cell.com/cell/fulltext/S0092-8674(05)00911-6' # 2005
    # ======================================================================= #
    # === rf "kofler"
    # ======================================================================= #
    when /^kofler$/i
      'https://ufind.univie.ac.at/de/person.html?id=116633&teaching=true'
    # ======================================================================= #
    # === rf "leeb"
    # ======================================================================= #
    when /^leeb$/i
      'https://ufind.univie.ac.at/de/person.html?id=58363&teaching=true'
    # ======================================================================= #
    # === rf "hofrichter"
    # ======================================================================= #
    when /^hofrichter$/i
      'https://ufind.univie.ac.at/de/person.html?id=104089&teaching=true'
    # ======================================================================= #
    # === rf "stadlmayer"
    # ======================================================================= #
    when /^stadlmayer$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=2590'
    # ======================================================================= #
    # === rf "tumorviren"
    # ======================================================================= #
    when /^tumor(_|-| )?viren$/i
      'https://moodle.univie.ac.at/course/view.php?id=340734' # 2022W
    # ======================================================================= #
    # === rf "uniwien-skripten"
    #
    # The old URL was: 'http://www.students.mfpl.ac.at/skripten/'
    # ======================================================================= #
    when /^uni(_|-| )?wien(_|-| )?skripten$/i,
         /^neue(_|-| )?uni(_|-| )?skripten$/i,
         /^skripten(_|-| )?uni(_|-| )?wien$/i,
         /^uni(_|-| )?wien(_|-| )?ressourcen$/i, # === rf uniwienressourcen
         'unterlagen','allscripts','folien','remotescripts','skripten',
         'uniskripten',
         'univis_skripten',
         'skripten2',
         'alter_auftritt',
         'alte_skripten',
         'zmb',
         'students_skripten',
         /^unimega$/i
      'https://mega.nz/folder/cPthUBwS#jblsR8C_a6wlUu7EO7yahA'
    # ======================================================================= #
    # === rf "2023S"
    # ======================================================================= #
    when /^2023S$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=285937&from=1&to=2'
    # ======================================================================= #
    # === rf "322052 Nukleinsäure-Therapeutika: Antisense, RNA Interferenz, CRISPR - M14"
    # ======================================================================= #
    when /^322052(_|-| )?Nukleinsäure(_|-| )?Therapeutika(_|-| |:)?(_|-| )?Antisense(_|-| |,)?(_|-| )?RNA(_|-| )?Interferenz(_|-| |,)?(_|-| )?CRISPR(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Nukleinsäure(_|-| )?Therapeutika(_|-| |:)?(_|-| )?Antisense(_|-| |,)?(_|-| )?RNA(_|-| )?Interferenz(_|-| |,)?(_|-| )?CRISPR(_|-| )?(_|-| )?(_|-| )?M14$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322052&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biomedizin und Biotechnologie"
    # ======================================================================= #
    when /^Biomedizin(_|-| )?und(_|-| )?Biotechnologie$/i
      'https://www.vetmeduni.ac.at/studium/studienangebot/bachelor-biomedizin-und-biotechnologie'
    # ======================================================================= #
    # === rf "Genome editing"
    # ======================================================================= #
    when /^Genome(_|-| )?editing$/i,
         /^nukleotherapie$/i,
         /^thera$/i,
         /^322576$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322576&semester=2022W'
    # ======================================================================= #
    # === rf "Marion Oswald"
    # ======================================================================= #
    when /^marion(_|-| )?oswald$/i,
         /^oswald$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=6110&dsrid=454&lecturerOid=1188865'
    # ======================================================================= #
    # === rf "Ulrich Lächelt"
    # ======================================================================= #
    when /^ulrich(_|-| )?lächelt$/i,
         /^lächelt$/i
      'https://ufind.univie.ac.at/de/person.html?id=116843'
    # ======================================================================= #
    # === rf "sammelzeugnisse"
    # ======================================================================= #
    when /^sammelzeugnisse$/i,
         /^dokumente$/i,
         /^uni(_|-| )?dokumente$/i
      'https://uspace.univie.ac.at/web/studium/meine-dokumente'
    # ======================================================================= #
    # === rf "Daniel Krois"
    # ======================================================================= #
    when /^Daniel(_|-| )?Krois$/i,
         /^Krois$/i
      'https://ufind.univie.ac.at/de/person.html?id=2921&teaching=true'
    # ======================================================================= #
    # === rf "rademacher"
    # ======================================================================= #
    when /^rademacher$/i
      'https://ufind.univie.ac.at/de/person.html?id=111770&teaching=true'
    # ======================================================================= #
    # === rf tu_wien_ferien
    # ======================================================================= #
    when 'ferienzeiten2',
         'ferien2',
         'tu_ferien',
         'tuwien_ferien',
         'tuferien',
         'tu_wien_ferien',
         'inskriptionsfrist',
         'zulassung_tuwien',
         /^tu(_|-| )?zulassung$/,
         /^tu(_|-| )?fristen$/,
         /^tu(_|-| )?wien(_|-| )?ferien$/
      # 'https://www.tuwien.ac.at/dle/studienabteilung/akademischer_kalender_fristen_und_ferien/'
      #'https://www.tuwien.at/studium/zulassung/fristen-und-ferien/'
      'https://www.tuwien.at/studium/studieren-an-der-tuw/fristen-und-ferien/#c15373Collapse5762'
    # ======================================================================= #
    # === rf "Rupert Laurenz Mayer"
    # ======================================================================= #
    when /^Rupert(_|-| )?Laurenz(_|-| )?Mayer$/i
      'https://ufind.univie.ac.at/de/person.html?id=50003&teaching=true'
    # ======================================================================= #
    # === rf "Philipp Kornfeind"
    # ======================================================================= #
    when /^Philipp(_|-| )?Kornfeind$/i
      'https://ufind.univie.ac.at/de/person.html?id=24759&teaching=true'
    # ======================================================================= #
    # === rf "eprog1"
    # ======================================================================= #
    when /^eprog1$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4436&dsrid=743&courseNr=185A91&semester=2022W'
    # ======================================================================= #
    # === rf "Daniela Richter"
    # ======================================================================= #
    when /^Daniela(_|-| )?Richter$/i,
         /^richter$/i,
         /^troublemaker$/i
      'https://boku.ac.at/personen/person/46B126A7B1299615'
    # ======================================================================= #
    # === rf tustudienabteilung
    # ======================================================================= #
    when 'tustudienabteilung',
         /^tu(_|-| )?sekretariat$/i,
         /^tu(_|-| )?wien(_|-| )?abteilung$/i,
         /^tu(_|-| )?wien(_|-| )?studienabteilung$/i
      'https://www.tuwien.at/tu-wien/organisation/zentrale-bereiche/studienabteilung'
    # ======================================================================= #
    # === rf betriebssysteme
    # ======================================================================= #
    when 'betriebssysteme'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6843&dsrid=20&courseNr=182709&semester=2022W'
    # ======================================================================= #
    # === rf "Stefan Podlipnig"
    # ======================================================================= #
    when /^Stefan(_|-| )?Podlipnig$/i,
         /^Podlipnig$/i, # === rf podlipni
         /^podlopnik$/i,
         /^podlopnig$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=1809&dsrid=835&lecturerOid=293205'
    # ======================================================================= #
    # === rf "Andreas Krall"
    # ======================================================================= #
    when /^Andreas(_|-| )?Krall$/i,
         /^Krall$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=8174&dsrid=790&lecturerOid=469221'
    # ======================================================================= #
    # === rf "Kristina Djinovic-Carugo"
    # ======================================================================= #
    when /^Kristina(_|-| )?Djinovic(_|-| )?Carugo$/i,
         /^Carugo$/i,
         /^crystal(_|-| )?lady$/i,
         /^kristalle$/i
      'https://ufind.univie.ac.at/de/person.html?id=88669&teaching=true'
    # ======================================================================= #
    # === rf "prüfungsergebnisse"
    # ======================================================================= #
    when /^Prüfungsergebnisse/i,
         'prüfungsergeb',
         'ergebisse2',
         'examresults2',
         'ergebnisse2'
      'https://uspace.univie.ac.at/web/studium/pruefungsleistungen?studienverlauf=1207214'
    # ======================================================================= #
    # === rf "campus"
    # ======================================================================= #
    when /^campus$/i
      'https://lifesciences.univie.ac.at/'
    # ======================================================================= #
    # === rf "Master Pharmazie"
    # ======================================================================= #
    when /^Master(_|-| )?Pharmazie$/i,
         /^Master(_|-| )?Pharma$/i,
         /^Masterstudium(_|-| )?Pharmazie/i,
         /^Mastercurriculum(_|-| )?Pharmazie/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=215823' # 2018W
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=225562' # 2019S
      #'https://ufind.univie.ac.at/de/vvz_sub.html?path=233098' # 2019W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=282794' # 2022W
    # ======================================================================= #
    # === rf "Mario Rothbauer"
    # ======================================================================= #
    when /^Mario(_|-| )?Rothbauer$/i
      'https://tiss.tuwien.ac.at/fpl/person/index.xhtml?id=2140496'
    # ======================================================================= #
    # === rf "Mastercurriculum Biologische Chemie"
    # ======================================================================= #
    when /^Mastercurriculum(_|-| )?Biologische(_|-| )?Chemie$/i,
         /^Master(_|-| )?Biologische(_|-| )?Chemie$/i,
         /^Biologische(_|-| )?Chemie$/i,
         'masterchem'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=282083' # 2022W
    # ======================================================================= #
    # === rf "Astrid Wichert"
    # ======================================================================= #
    when /^Astrid(_|-| )?Wichert$/i
      'https://ufind.univie.ac.at/de/person.html?id=17914&teaching=true'
    # ======================================================================= #
    # === rf "Master Biologische Chemie"
    # ======================================================================= #
    when /^Master(_|-| )?Biologische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=285790&semester=2022W'
    # ======================================================================= #
    # === rf studenten_info
    # ======================================================================= #
    when 'studenten_info',
         'biocampus',
         'molekular',
         'mikrobio',
         'officialexams',
         'remote_exams',
         'remoteexams',
         'remoteprfungen',
         'rexams',
         'ptermine','remotestudents',
         'bohrgasse',
         'mpfl',
         'mfpl',
         'students','studentsexam',
         'examtermine','genetik',
         'remotetermine','studentseite','studentenseite',
         'studenten','pruefungstermine','pruefungstermin',
         'studentsite','remoteprüfung','molbiosite',
         'microbiology','microbio','micro','molbio',
         'mbio','prüfungstermine','molbiohome','mobio',
         'molekularbiologie_homepage',
         'molekularebiologie_homepage',
         'molekulbiologie_homepage',
         'molekularbiologiehomepage',
         'mainbio',
         'unimain',
         'mhome'
      'https://molekularebiologie.univie.ac.at/'
    # ======================================================================= #
    # === rf "stadlmayer"
    # ======================================================================= #
    when /^stadlmayer$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=2590'
    # ======================================================================= #
    # === rf "boku_corona"
    # ======================================================================= #
    when /^boku(_|-| )?corona$/i,
         /^boku(_|-| )?covid$/i
      # 'https://boku.ac.at/oeffentlichkeitsarbeit/covid-19-aktuelle-informationen-zur-lehre-im-ss-2022'
      'https://boku.ac.at/oeffentlichkeitsarbeit/covid-19-aktuelle-informationen-zur-lehre-im-studienjahr-2022-23'
    # ======================================================================= #
    # === rf EP2
    # ======================================================================= #
    when /^EP2$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7698&dsrid=799&courseNr=185A92&semester=2022S'
    # ======================================================================= #
    # === rf "Strukturbiologie I"
    # === rf "Strukturbiologie 1"
    # ======================================================================= #
    when /^Strukturbiologie(_|-| )?(I|1)$/i,
         /^301617(_|-| )?Strukturbiologie(_|-| )?(I|1)$/i,
         /^Strukturbiologie(_|-| )?I(_|-| )?Chemische(_|-| )?Prinzipien(_|-| )?der(_|-| )?Strukturbiologie$/i,
         /^301617(_|-| )?Strukturbiologie(_|-| )?I(_|-| )?Chemische(_|-| )?Prinzipien(_|-| )?der(_|-| )?Strukturbiologie$/i,
         /^Chemische(_|-| )?Prinzipien(_|-| )?der(_|-| )?Strukturbiologie/,
         'strukt1',
         'strubi1',
         'strubiio',
         'strubio'
      'https://ufind.univie.ac.at/de/course.html?lv=301617&semester=2022W'
    # ======================================================================= #
    # === rf "Structure and Analysis of Genomes"
    # ======================================================================= #
    when /^Structure(_|-| )?and(_|-| )?Analysis(_|-| )?of(_|-| )?Genomes$/i,
         /^941301(_|-| )?Structure(_|-| )?and(_|-| )?analysis(_|-| )?of(_|-| )?genomes(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^structure_?and_?analysis_?of_?genomes/,
         /^Genome(_|-| )?Structure$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=306097' # 2022W
    # ======================================================================= #
    # === rf TU-Briefkasten
    # ======================================================================= #
    when /^TU(_|-| )?Briefkasten$/
      'https://www.tuwien.at/studium/lehren-an-der-tuw/briefkasten'
    # ======================================================================= #
    # === rf anregungen-an-der-tu-wien
    # ======================================================================= #
    when /^anregungen(_|-| )?an(_|-| )?der(_|-| )?tu(_|-| )?wien$/
      'https://www.tuwien.at/studium/lehren-an-der-tuw/quinn'
    # ======================================================================= #
    # === rf mainmoodle
    # ======================================================================= #
    when /^main(_|-| )?moodle$/, # Always point to the current, most important entry.
         'moodle1'
      #'https://tuwel.tuwien.ac.at/course/view.php?id=21169'  # ← 185.A91 Einführung in die Programmierung 1
      # 'https://learn.boku.ac.at/course/view.php?id=29652'   # ← BOKU-Nanotechnologie # 2020W
      # 'https://learn.boku.ac.at/course/view.php?id=35654'   # ← Introduction into crystallography and NMR spectroscopy of proteins (in Eng.)
      'https://moodle.univie.ac.at/course/view.php?id=347382' # ← Praktische Übungen zur Bioinformatik mikrobieller Genome und Metagenome
    # ======================================================================= #
    # === rf prüfungsleistungen
    # ======================================================================= #
    when /^prüfungsleistungen$/i
      'https://uspace.univie.ac.at/web/studium/pruefungsleistungen'
    # ======================================================================= #
    # === rf übersicht
    # ======================================================================= #
    when /^übersicht$/i
      'https://uspace.univie.ac.at/web/studium'
    # ======================================================================= #
    # === rf loy
    # ======================================================================= #
    when /^alexander(_|-| )?loy$/i,
         'loy'
      'https://ufind.univie.ac.at/de/person.html?id=86633&teaching=true'
    # ======================================================================= #
    # === rf moodle1
    # ======================================================================= #
    when 'unimoodle1',
         /^uni(_|-| )?wien(_|-| )?moodle$/i
      'https://moodle.univie.ac.at/my/'
    # ======================================================================= #
    # === rf versteeg
    # ======================================================================= #
    when /^versteeg$/i
      'https://ufind.univie.ac.at/de/person.html?id=52381&teaching=true'
    # ======================================================================= #
    # === rf gotzmann
    # ======================================================================= #
    when 'gotzmann',
         /^Josef(_|-| )?Gotzmann$/i,
         /^Götzmann$/i
      'https://ufind.univie.ac.at/de/person.html?id=15227&teaching=true'
    # ======================================================================= #
    # === rf "uaccess"
    # ======================================================================= #
    when /^uaccess$/i
      'https://bibliothek.univie.ac.at/uaccess.html'
    # ======================================================================= #
    # === rf "Research topics in Molecular Microbiology, Microbial Ecology and Immunobiology"
    # ======================================================================= #
    when /^Research(_|-| )?topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology\,?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology$/i,
         'research_topics','research','researchtopics',
         '-research_topics_in_molecular_microbiology_microbial_ecology_and_immunobiology',
         /^Research(_|-| )?topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| )?Microbial(_|-| )?Ecolog$/i,
         /^1?(_|-| )?Research(_|-| )?Topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| )?Micr$/i,
         /^Research(_|-| )?Topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| )?Microb$/i,
         /^301364(_|-| )?Research(_|-| )?topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology\,?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology$/i, 
         'researhc',
         /^Research(_|-| )?topics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301364&semester=2022W'
    # ======================================================================= #
    # === rf "362181"
    # ======================================================================= #
    when /^362\.?181$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2386&dsrid=837&courseNr=362181&semester=2022W'
    # ======================================================================= #
    # === rf "wilfing"
    # ======================================================================= #
    when /^wilfing$/i
      'https://ufind.univie.ac.at/de/person.html?id=6279&teaching=true'
    # ======================================================================= #
    # === rf "Bachelor Informatik Version 2022"
    # ======================================================================= #
    when /^Bachelor(_|-| )?Informatik(_|-| )?Version(_|-| )?2022$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=285529&semester=2022W'
    # ======================================================================= #
    # === rf "new_uspace"
    # ======================================================================= #
    when /^New(_|-| )?uspace$/i,
         /^anmeldeübersicht$/i,
         /^anmeldeuebersicht$/i,
         /^Anmeldungsübersicht$/i,
         /^prüfungs(_|-| )?übersicht$/i,
         /^Prüfungsanmeldung$/i
      'https://uspace.univie.ac.at/web/studium/anmeldeuebersicht'
    # ======================================================================= #
    # === rf "Jillian Petersen"
    # ======================================================================= #
    when /^Jillian(_|-| )?Petersen$/i
      'https://ufind.univie.ac.at/de/person.html?id=58749&teaching=true'
    # ======================================================================= #
    # === rf "Programmiersprachen und -konzepte"
    # ======================================================================= #
    when /^051030(_|-| )?Programmiersprachen(_|-| )?und(_|-| )?(_|-| )?konzepte$/i,
         /^Programmiersprachen(_|-| )?und(_|-| )?(_|-| )?konzepte$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051030&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf sicherheit
    # ======================================================================= #
    when /^sicherheit$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=305969' # 2022W
    # ======================================================================= #
    # === rf tuwien_password_change
    # ======================================================================= #
    when /^tuwien(_|-| )?password(_|-| )?change$/i
      'https://login.tuwien.ac.at/passwort/student/'
    # ======================================================================= #
    # === rf 940301
    # ======================================================================= #
    when '940301'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=306097 # 2022W'
    # ======================================================================= #
    # === rf "300420"
    # ======================================================================= #
    when /^300420$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300420&semester=2022W'
    # ======================================================================= #
    # === rf "300025"
    # ======================================================================= #
    when /^300025$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300025&semester=2022W'
    # ======================================================================= #
    # === rf "Stem cells and tissue engineering"
    # ======================================================================= #
    when /^Stem(_|-| )?cells(_|-| )?and(_|-| )?tissue(_|-| )?engineering$/i,
         /^Stem(_|-| )?cells/i,'stammzellen',
         /^791367(_|-| )?Stem(_|-| )?cells(_|-| )?and(_|-| )?tissue(_|-| )?engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=305615' # 2022W
    # ======================================================================= #
    # === rf "300353"
    # ======================================================================= #
    when /^-?-?300353$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300353&semester=2022W'
    # ======================================================================= #
    # === rf "301590"
    # ======================================================================= #
    when /^-?-?301590$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301590&semester=2022W'
    # ======================================================================= #
    # === rf "301046"
    # ======================================================================= #
    when /^-?-?301046$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301046&semester=2022W'
    # ======================================================================= #
    # === rf "301060"
    # ======================================================================= #
    when /^-?-?301060$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301060&semester=2022W'
    # ======================================================================= #
    # === rf "Punkte- und Präferenzübersicht"
    # ======================================================================= #
    when /^-?-?rükert?/i,
         /^-?-?florian(_|-| )?rüker$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=9F046A413F425E33&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf semrad
    # ======================================================================= #
    when /dammermann?/
      'https://ufind.univie.ac.at/de/person.html?id=12569&teaching=true'
    # ======================================================================= #
    # === rf dammermann
    # ======================================================================= #
    when /dammermann?/
      'https://ufind.univie.ac.at/de/person.html?id=40375&teaching=true'
    # ======================================================================= #
    # === rf "boku_mathematik"
    # ======================================================================= #
    when 'boku_mathematik',
         'bokumathematik'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=305247' # 2022W
    # ======================================================================= #
    # === rf "Using bioinformatics for expression profiling by next generation sequencing (in Eng.)"
    # ======================================================================= #
    when /^Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?generation(_|-| )?sequencing(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791379(_|-| )?Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?generation(_|-| )?sequencing(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?generation(_|-| )?sequencing$/i,
         /^791379(_|-| )?Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?generation(_|-| )?sequencing$/i,
         /^Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?gene$/i,
         /^Using(_|-| )?Bioinformatics$/i,
         /^791379(_|-| )?Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?generation$/i,
         /^Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling$/i,
         /^791379(_|-| )?Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling(_|-| )?by(_|-| )?next(_|-| )?generati$/i,
         /^791379(_|-| )?Using(_|-| )?bioinformatics(_|-| )?for(_|-| )?expression(_|-| )?profiling/i,
         '790379',
         'using'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=305181' # 2022W
    # ======================================================================= #
    # === rf laser_vorlesung
    # === rf 134.154
    # ======================================================================= #
    when /^134\.?154(_|-| )?Der(_|-| )?Laser(_|-| )?in(_|-| )?Physik(_|-| |,)?(_|-| )?Chemie(_|-| |,)?(_|-| )?Biologie(_|-| )?und(_|-| )?Medizin$/i,
         /laser_?vorlesung/,'laser_tu','laser',
         /^Der(_|-| )?Laser(_|-| )?in(_|-| )?Physik,(_|-| )?Chemie(_|-| |,)?(_|-| )?Biologie(_|-| )?und(_|-| )?Medizin$/i,
         '134.154'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3222&dsrid=543&courseNr=134154&semester=2022W'
    # ======================================================================= #
    # === rf "Gernot Friedbacher"
    # ======================================================================= #
    when /^Gernot(_|-| )?Friedbacher$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/140826'
    # ======================================================================= #
    # === rf "semrad"
    # ======================================================================= #
    when /^semrad$/i
      'https://ufind.univie.ac.at/de/person.html?id=12569&teaching=true'
    # ======================================================================= #
    # === rf "Anouk Willemsen"
    # ======================================================================= #
    when /^Anouk(_|-| )?Willemsen$/i
      'https://ufind.univie.ac.at/de/person.html?id=111806'
    # ======================================================================= #
    # === rf "Mattanovich"
    # ======================================================================= #
    when /^Mattanovich$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=441'
    # ======================================================================= #
    # === rf "wie geht eine anerkennung"
    # ======================================================================= #
    when /^wie(_|-| )?geht(_|-| )?eine(_|-| )?anerkennung$/i
      'https://spl10.univie.ac.at/studium/anerkennungen/'
    # ======================================================================= #
    # === rf "BOKU drive"
    # ======================================================================= #
    when /^BOKU(_|-| )?drive$/i
      'https://drive.boku.ac.at/'
    # ======================================================================= #
    # === rf "BOKU Insights"
    # ======================================================================= #
    when /^BOKU(_|-| )?insights$/i
      'https://my-insights.boku.ac.at/en'
    # ======================================================================= #
    # === rf "lieberzeit"
    # ======================================================================= #
    when /^lieberzeit$/i
      'https://ufind.univie.ac.at/de/person.html?id=16054&teaching=true'
    # ======================================================================= #
    # === rf "unigesetz alt"
    # ======================================================================= #
    when /^unigesetz(_|-| )?alt$/i
      # 'https://www.ris.bka.gv.at/NormDokument.wxe?Abfrage=Bundesnormen&Gesetzesnummer=20002128&FassungVom=2021-12-31&Artikel=&Paragraf=78&Anlage=&Uebergangsrecht='
      'https://www.ris.bka.gv.at/GeltendeFassung.wxe?Abfrage=Bundesnormen&Gesetzesnummer=20002128&FassungVom=2021-12-31'
    # ======================================================================= #
    # === rf "033 221 Bachelorstudium Geodäsie und Geoinformation"
    # ======================================================================= #
    when /^033(_|-| )?221(_|-| )?Bachelorstudium(_|-| )?Geodäsie(_|-| )?und(_|-| )?Geoinformation$/i,
         /^Bachelorstudium(_|-| )?Geodäsie(_|-| )?und(_|-| )?Geoinformation$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=5594&dsrid=424&key=36302'
    # ======================================================================= #
    # === rf "Bachelorstudium Elektrotechnik und Informationstechnik"
    # ======================================================================= #
    when /^Bachelorstudium(_|-| )?Elektrotechnik(_|-| )?und(_|-| )?Informationstechnik$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=4631&dsrid=367&key=58908'
    # ======================================================================= #
    # === rf bestehorn
    # ======================================================================= #
    when /^bestehorn$/i
      'https://ufind.univie.ac.at/de/person.html?id=63792'
    # ======================================================================= #
    # === rf hauser
    # ======================================================================= #
    when /^boku(_|-| )?leitfaden(_|-| )?anerkennung$/i
      'https://boku.ac.at/fileadmin/data/H05000/H11100/_TEMP_/Anerkennung/Leitfaden_Anerkennung_v_01102017.pdf'
    # ======================================================================= #
    # === rf hauser
    # ======================================================================= #
    when 'hauser',/^marie(_|-| )?therese?/,
         /Marie(_|-| )?Theres(_|-| )?Hauser$/i
      # 'https://online.boku.ac.at/BOKUonline/wbLVAngebot.wbShowLVOffer?pOrgNr=&pPersonNr=95&pSjNr=1900&pGroup=W&pStpLvTypNr=-1&pSort=18&pFilter='
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=1EFC1BD435B86471&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf horn
    # ======================================================================= #
    when 'horn',
         'holms'
      'https://ufind.univie.ac.at/de/person.html?id=83003&teaching=true'
    # ======================================================================= #
    # === rf "Peter Regner"
    # ======================================================================= #
    when /^Peter(_|-| )?Regner$/i,
         /^Regner$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=153396'
    # ======================================================================= #
    # === rf "Helmut Mayer"
    # ======================================================================= #
    when /^Helmut(_|-| )?Mayer$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=443'
    # ======================================================================= #
    # === rf lauter
    # ======================================================================= #
    when /^lauter$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=125828'
    # ======================================================================= #
    # === rf ines
    # ======================================================================= #
    when /^ines$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=61'
    # ======================================================================= #
    # === rf sammelzeugnis_uni_wien
    # ======================================================================= #
    when /^sammelzeugnis_?uni_?wien$/i,
         'current'
      'https://uspace.univie.ac.at/web/studierende/meine-dokumente?p_p_id=sspdokumentendruckportlet_WAR_sspstudentenportlet&p_p_lifecycle=2&p_p_state=normal&p_p_mode=view&p_p_cacheability=cacheLevelPage&p_p_col_id=column-1&p_p_col_count=2&p_p_col_pos=1&_sspdokumentendruckportlet_WAR_sspstudentenportlet_javax.faces.resource=PVS_SAMMELZEUGNIS_OHNE_NEG&_sspdokumentendruckportlet_WAR_sspstudentenportlet_PrintType=0&_sspdokumentendruckportlet_WAR_sspstudentenportlet_Dokument=1'
    # ======================================================================= #
    # === rf pruefungspass
    # ======================================================================= #
    when 'pruefungspass'
      'https://uspace.univie.ac.at/web/studierende/pruefungspass'
    # ======================================================================= #
    # === rf unimail
    # ======================================================================= #
    when 'unimail','uni_webmail',
         'webmail2',
         'umail',
         'unmail',
         /^uniwien(_|-| )?mail/,
         /^uniwien(_|-| )?webmail/
      # 'https://webmail2016.univie.ac.at/?_task=mail&_mbox=INBOX'
      'https://www.univie.ac.at/ZID/webmail/'
    # ======================================================================= #
    # === rf ernexams
    # ======================================================================= #
    when 'calendar2','ernährung_kalendar','ern_exams','erncalendar',
         'ernprüfungen','ern_termine','ernprüfungstermine',
         'ern_prüfungen','ernexams','erncalendar2','ernkalendar',
         'http://www.ern_calendar.com/',
         'ernexam'
      # 'http://www.univie.ac.at/strvew/kalender/cal.php'
      'http://www.univie.ac.at/strvew/kalender/cal.php?op=cal&month='+current_month?+'&year='+current_year?+'&catview=0'
    # ======================================================================= #
    # === rf "old BOKU online"
    # ======================================================================= #
    when /^old(_|-| )?BOKU(_|-| )?online$/i
      'https://online.boku.ac.at/BOKUonline/'
    # ======================================================================= #
    # === rf "schinegger"
    # ======================================================================= #
    when /^schinegger$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=6758'
    # ======================================================================= #
    # === rf "schiborra"
    # ======================================================================= #
    when /^schiborra$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=147981'
    # ======================================================================= #
    # === rf "BOKU Novelle"
    # ======================================================================= #
    when /^BOKU(_|-| )?Novelle$/i
      'https://boku.ac.at/studienservices/wesentliche-ug-aenderungen-im-studienbereich'
    # ======================================================================= #
    # === rf "werfring"
    # ======================================================================= #
    when /^werfring$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=4850'
    # ======================================================================= #
    # === rf "riefler"
    # ======================================================================= #
    when /^riefler$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=151401'
    # ======================================================================= #
    # === rf "rewald"
    # ======================================================================= #
    when /^rewald$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=123466'
    # ======================================================================= #
    # === rf moldzio
    # ======================================================================= #
    when 'moldzio'
      'https://online.vu-wien.ac.at/VUWonline/wblvangebot.wbshowlvoffer?ppersonnr=887'
    # ======================================================================= #
    # === rf blaas
    # ======================================================================= #
    when 'dieter_blaas','blaas','teamblaas'
      # 'http://www.mfpl.ac.at/groups/mfpl-group/group-info/blaas.html'
      'https://www.maxperutzlabs.ac.at/research/research-groups/blaas'
    # ======================================================================= #
    # === rf master_access_guide
    # ======================================================================= #
    when /^master(_|-| )?access(_|-| )?guide$/i
      'https://studieren.univie.ac.at/studienangebot/masterstudien/master-access-guide/'
    # ======================================================================= #
    # === rf remote_auflagen
    # ======================================================================= #
    when 'remote_auflagen',
         'äquivalenzlisten',
         'auflagen_immuno',
         'äquivalenz'
      'https://studieren.univie.ac.at/fileadmin/user_upload/s_studienservice/Studienwahl-Angebot/Studienangebot/MasterAccessGuide_PDFs/MAG_Molekulare_Mikrobiologie_-_mikrobielle_Oekologie_und_Immunbiologie.pdf'
    # ======================================================================= #
    # === rf tuwien_secure_vpn
    # ======================================================================= #
    when 'tuwien_secure_vpn',
         'tuwien_vpn','tuwienvpn','tu_secure',
         'tusecure','tuvpn','securetu'
      # 'https://webvpn.tuwien.ac.at/+CSCOE+/portal.html'
      'https://www.it.tuwien.ac.at/services/netzwerkinfrastruktur-und-serverdienste/tunet/vpn-virtual-private-network/vpn-client-software/cisco-anyconnect'
    # ======================================================================= #
    # === rf "BOKU vpn"
    # ======================================================================= #
    when /^BOKU(_|-| )?vpn$/i
      'https://boku.ac.at/en/boku-it/themen/get-connected/bokunet-wlan-pc-raeume/vpn'
    # ======================================================================= #
    # === rf "studentenheim_graz"
    # ======================================================================= #
    when /^studentenheim(_|-| )?graz$/i
      'https://www.studium.at/studentenheime/studentenheim-graz'
    # ======================================================================= #
    # === rf "vetmed verfügbare plätze"
    # ======================================================================= #
    when /^vetmed(_|-| )?verfügbare(_|-| )?plätze$/i
      'https://www.vetmeduni.ac.at/universitaet/infoservice/mitteilungsblatt/uebersicht-der-mitteilungsblaetter/studienjahr-2020/2021/8-stueck-14122020#c98643'
    # ======================================================================= #
    # === rf "Erik Reimhult"
    # ======================================================================= #
    when /^Erik(_|-| )?Reimhult$/i,
         'nanoboss','reimhult',
         'reimholdt',
         'reimholt',
         /^Reimhult$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=107823'
    # ======================================================================= #
    # === rf "dostalek"
    # ======================================================================= #
    when 'dostalek'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=157210'
    # ======================================================================= #
    # === rf "Senad Novalin"
    # ======================================================================= #
    when /Senad(_|-| )?Novalin/i,
         'novalin'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=3645'
    # ======================================================================= #
    # === rf "Dominik Egger"
    # ======================================================================= #
    when /Dominik(_|-| )?Egger/i,
         'egger'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=135016'
    # ======================================================================= #
    # === rf gerda_egger
    # ======================================================================= #
    when /Gerda(_|-| )?Egger/i
      'https://ufind.univie.ac.at/de/person.html?id=24671&teaching=true'
    # ======================================================================= #
    # === rf mitteilungsblätter_tu_wien
    # ======================================================================= #
    when /^mitteilungsblätter(_|-| )?tu(_|-| )?wien$/i,
         /^mitteilungsblätter(_|-| )?tu$/i,
         /^mitteilungsblatt(_|-| )?tu$/i,
         /^tu(_|-| )?mitteilungen$/i,
         /^tu(_|-| )?mitteilungsblätter$/i,
         /^tu(_|-| )?mitteilungsblatt$/i,
         /^tuwienmitteilungsblatt$/i,
         'tissmitteilungsblätter',
         'tissmitteilungsblatt'
      'https://tiss.tuwien.ac.at/mbl/main/uebersicht?fuer=mb'
    # ======================================================================= #
    # === rf "TU Wien Curriculum Erstellung"
    # ======================================================================= #
    when /^TU(_|-| )?Wien(_|-| )?Curriculum(_|-| )?Erstellung/i
      'https://tiss.tuwien.ac.at/mbl/main/mbl_anhang?a=4&n=1417'
    # ======================================================================= #
    # === rf tu_wien_individuelles_studium
    # ======================================================================= #
    when /^Antragsformular(_|-| )?TU(_|-| )?Wien(_|-| )?individuelles(_|-| )?Studium$/i,
         /^tu(_|-| )?wien(_|-| )?individuelles(_|-| )?studium$/i,
         /^tu(_|-| )?individuelles(_|-| )?studium$/i,
         /^individuelles(_|-| )?studium(_|-| )?tu(_|-| )?wien$/i,
         /^individuelles(_|-| )?studium(_|-| )?tu$/i,
         /^tu(_|-| )?individuell$/i,
         /^tuwien(_|-| )?individuell$/i,
         /^tu(_|-| )?individuell$/i
      # 'https://www.tuwien.at/fileadmin/Assets/dienstleister/studienabteilung/2018Ansuchen_Individuelles_Studium_mit_MB.pdf'
      'https://www.tuwien.at/fileadmin/Assets/dienstleister/studienabteilung/2019Individuelles_Studium.pdf'
    # ======================================================================= #
    # === rf "bereits bewilligte individuelle studien"
    # ======================================================================= #
    when /bereits(_|-| )?bewilligte(_|-| )?individuelle(_|-| )?studien$/i,
         /boku_?bereits_?bewilligte_?individuelle_?studien/,
         'öh_boku_individuelle_studien',
         'öh_bewilligte_individuelle_studien',
         'boku_individuelle_curricula'
      'http://www.oehboku.at/index.php?id=286'
    # ======================================================================= #
    # === rf bewilligte_individuelle_studien
    # ======================================================================= #
    when /^bewilligte(_|-| )?individuelle(_|-| )?studien$/i,
         /^genehmigte(_|-| )?individuelle(_|-| )?studien$/i,
         /^öh(_|-| )?individuelle(_|-| )?studien$/i,
         /^individuelle(_|-| )?studien(_|-| )?an(_|-| )?der(_|-| )?boku$/i,
         'bewilligt',
         'genehmigt'
      'https://www.oehboku.at/wer-wir-sind/referate/referat-fuer-individuelle-studien/referat-fuer-individuelle-studien/bewilligte-individuelle-studien.html'
    # ======================================================================= #
    # === rf "individuellesstudiumwu"
    # ======================================================================= #
    when /^individuelles(_|-| )?studium(_|-| )?wu$/i
      'https://www.wu.ac.at/studium/bewerbung-und-zulassung/individuelles-studium'
    # ======================================================================= #
    # === rf boku_referat_für_individuelle_studien
    # ======================================================================= #
    when /boku_?referat_?für_?individuelle_?studien/,
         'boku_hilfe_individuelles_studium',
         /boku_?öh_?individuelles_?studium/i,
         'bokuindividuellestudien',
         'boku_individuelle_studien',
         'boku_indi',
         'öh_individuelles_studium'
      'https://www.oehboku.at/wer-wir-sind/referate/referat-fuer-individuelle-studien.html'
      # 'https://www.oehboku.at/studieninteressierte-und-neustarter/individuelle-studien/rund-ums-individuelle-studium.html'
      # http://www.oehboku.at/index.php?id=209' # Alt war: 'http://www.oehboku.at/referate/idip/'
    # ======================================================================= #
    # === rf individuelle_studien_an_der_universität_wien
    # ======================================================================= #
    when 'individuelle_studien_an_der_universität_wien',
         /^individuelles(_|-| )?studium(_|-| )?uni(_|-| )?wien$/i,
         'individuelles_studium_uni_wien',
         /^uniwien(_|-| )?individuelles(_|-| )?studium$/i,
         /^uniwien(_|-| )?individuell$/i,
         /^individuellestudien(_|-| )?uniwien$/i,
         /^uniwien(_|-| )?individuelle(_|-| )?studien$/i,
         :top,
         'individuelluniwien'
      # 'https://slw.univie.ac.at/studieren/individuelle-studien/'
      'https://studieren.univie.ac.at/zulassung/individuelle-studien/'
    # ======================================================================= #
    # === rf boku_individuelles_studium
    # ======================================================================= #
    when 'individuelles_studium', # An der BOKU.
         'boku_individuell',
         'bokuanerkennung',
         /^boku(_|-| )?individuelles(_|-| )?studium/i,
         /^individuelles(_|-| )?studium(_|-| )?BOKU$/i,
         /^individuelles(_|-| )?curriculum(_|-| )?boku$/i,
         /^bokuindividuell$/i,
         /^boku(_|-| )?individuelles(_|-| )?studium$/i
      'https://www.boku.ac.at/fileadmin/_migrated/content_uploads/Richtlinien_Individuelles_Bachelorstudium.pdf'
    # ======================================================================= #
    # === rf bachelorcurriculum_Verfahrenstechnik
    # ======================================================================= #
    when /^Bachelorcurriculum(_|-| )?Verfahrenstechnik$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=3995&dsrid=11&key=37582'
    # ======================================================================= #
    # === rf medizinische_informatik
    # ======================================================================= #
    when /^medizinische(_|-| )?informatik/i,
         /^bachelorcurriculum(_|-| )?medizinische(_|-| )?informatik/i,
         /^bachelorstudium(_|-| )?medizinische(_|-| )?informatik/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=3320&dsrid=36&key=45860' # 2022S
    # ======================================================================= #
    # === rf medizinische_informatik
    # ======================================================================= #
    when /^mastercurriculum(_|-| )?medizinische(_|-| )?informatik$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=6358&dsrid=946&key=56089' # 2019W
    # ======================================================================= #
    # === rf "Masterstudium Medizinische Informatik"
    # ======================================================================= #
    when /^Masterstudium(_|-| )?Medizinische(_|-| )?Informatik$/i,
         'medunimaster'
      'https://campus.meduniwien.ac.at/med.campus/wblvangebot.wbshowlvoffer?porgnr=17819'
    # ======================================================================= #
    # === rf "Medizinische Ethik"
    # ======================================================================= #
    when /^Medizinische(_|-| )?Ethik$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=334215' # 2020S
    # ======================================================================= #
    # === rf online_boku
    # ======================================================================= #
    when 'online_boku',
         'boku_online','bokuonline','onlineboku',
         'bokuexam','bokupruefung','boku',
         'bokanmeldung','bokuvorlesung','bokucampus','bokulogin',
         'bonline','bokuonlin'
      # 'https://online.boku.ac.at/BOKUonline/webnav.ini'
      #'https://idp.boku.ac.at/idp/profile/SAML2/Redirect/SSO?execution=e2s1'
      #'https://idp.boku.ac.at/idp/profile/SAML2/Redirect/SSO?execution=e3s1'
      'https://online.boku.ac.at/BOKUonline/ee/ui/ca2/app/desktop/#/login'
    # ======================================================================= #
    # === rf tu_corona
    # ======================================================================= #
    when /^TU(_|-| )?corona$/i
      'https://www.tuwien.at/en/tu-wien/corona'
    # ======================================================================= #
    # === rf univideo14
    # ======================================================================= #
    when /^univideo14$/,
         /^universityvideo14$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1444897'
    # ======================================================================= #
    # === rf univideo13
    # ======================================================================= #
    when /^univideo13$/,
         /^universityvideo13$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1437246'
    # ======================================================================= #
    # === rf univideo12
    # ======================================================================= #
    when /^univideo12$/,
         /^universityvideo12$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433115'
    # ======================================================================= #
    # === rf univideo11
    # ======================================================================= #
    when /^univideo11$/,
         /^universityvideo11$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433112'
    # ======================================================================= #
    # === rf univideo10
    # ======================================================================= #
    when /^univideo10$/,
         /^universityvideo10$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433109'
    # ======================================================================= #
    # === rf univideo9
    # ======================================================================= #
    when /^univideo9$/,
         /^universityvideo9$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433106'
    # ======================================================================= #
    # === rf univideo8
    # ======================================================================= #
    when /^univideo8$/,
         /^universityvideo8$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433097'
    # ======================================================================= #
    # === rf univideo7
    # ======================================================================= #
    when /^univideo7$/,
         /^universityvideo7$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433094'
    # ======================================================================= #
    # === rf univideo6
    # ======================================================================= #
    when /^univideo6$/,
         /^universityvideo6$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433091'
    # ======================================================================= #
    # === rf univideo5
    # ======================================================================= #
    when /^univideo5$/,
         /^universityvideo5$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433088'
    # ======================================================================= #
    # === rf univideo4
    # ======================================================================= #
    when /^univideo4$/,
        /^universityvideo4$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433079'
    # ======================================================================= #
    # === rf univideo3
    # ======================================================================= #
    when /^univideo3$/,
         /^universityvideo3$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1433076'
    # ======================================================================= #
    # === rf univideo2
    # ======================================================================= #
    when /^univideo2$/,
         /^universityvideo2$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1391721'
    # ======================================================================= #
    # === rf univideo1
    # ======================================================================= #
    when /^univideo1$/,
         /^universityvideo1$/
      'https://tuwel.tuwien.ac.at/mod/lti/view.php?id=1391718'
    # ======================================================================= #
    # === rf chen
    # ======================================================================= #
    when /^chen$/
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=164576'
    # ======================================================================= #
    # === rf christine_leeb
    # ======================================================================= #
    when /^christine(_|-| )?leeb$/
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=10158'
    # ======================================================================= #
    # === rf boku_termine
    # ======================================================================= #
    when /^boku(_|-| )?termine$/,
         /^boku(_|-| )?calendar$/,
         'bokuwoche',
         'bokutermin'
      'https://online.boku.ac.at/BOKUonline/wbKalender.wbPerson?pDisplayMode=w&pDatum='
    # ======================================================================= #
    # === rf next_exam
    # ======================================================================= #
    when /^next(_|-| )?exam/,
         'nexam', # Which exam will come next.
         'nextam',
         'remoteexam',
         /next_?exam/,
         'nächste_prüfung',
         'nextxams',
         'nextxam'
      require 'studium/exams/open_exam_associated_url.rb'
      Studium.open_exam_associated_url(1)
      exit
    # ======================================================================= #
    # === rf zid_fileservices
    # ======================================================================= #
    when 'zid_fileservices'
      'http://zid.univie.ac.at/fileservices/'
    # ======================================================================= #
    # === rf my-uaccount
    # ======================================================================= #
    when /^my(-|_)?uaccount$/i
      'http://zid.univie.ac.at/my-uaccount/'
    # ======================================================================= #
    # === rf kalyna
    # ======================================================================= #
    when 'kalyna'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=37F2051761B51165&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf übung1
    # ======================================================================= #
    when 'übung1',
         'ü1',
         'übung',
         'nextübung',
         'mainübung'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=296607'
    # ======================================================================= #
    # === rf statistik1
    # ======================================================================= #
    when 'statistik1'
      'https://learn.boku.ac.at/course/view.php?id=40143' # 2022S
    # ======================================================================= #
    # === rf moodle4
    # ======================================================================= #
    when /^moodle4$/i
      'https://learn.boku.ac.at/course/view.php?id=22793' # 2020S
    # ======================================================================= #
    # === rf "Hrachovina"
    # ======================================================================= #
    when /^Hrachovina$/i
      'https://boku.ac.at/en/personen/person/BD1D71B8AD216F52'
    # ======================================================================= #
    # === rf schlötterer
    # ======================================================================= #
    when 'schlötterer',
         'schlotterer'
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=9D8FD9FA08DA85A0&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Austauschmodule Life Sciences"
    # ======================================================================= #
    when /^Austauschmodule(_|-| )?Life(_|-| )?Sciences$/i,
         /^ALS$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=9975&dsrid=724&key=67824&semester=CURRENT'
    # ======================================================================= #
    # === rf "Katharina Schröder"
    # ======================================================================= #
    when /^Katharina(_|-| )?Schröder$/
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=6722&dsrid=639&lecturerOid=3291109'
    # ======================================================================= #
    # === rf "dagz courses"
    # ======================================================================= #
    when /^dagz(_|-| )?courses$/
      'https://boku.ac.at/en/dagz/courses'
    # ======================================================================= #
    # === rf "BAU162"
    # ======================================================================= #
    when /^BAU162$/i,
         /^BAU1$/i,
         /^BAU$/i
      'https://www.it.tuwien.ac.at/services/arbeitsplatzunterstuetzung/tuit-internet-raeume/internet-arbeitsplaetze/raumuebersicht/gm'
    # ======================================================================= #
    # === rf busse
    # ======================================================================= #
    when 'busse'
      'https://ufind.univie.ac.at/de/person.html?id=12535&teaching=true'
    # ======================================================================= #
    # === rf "uniwien_hygieneregeln"
    # ======================================================================= #
    when /^uniwien(_|-| )?hygieneregeln$/i
      'https://start.univie.ac.at/fileadmin/user_upload/startseite/Dokumente/Coronavirus/20220301_Hygieneregeln_A4_Icons_DE.pdf'
    # ======================================================================= #
    # === rf "uniko"
    # ======================================================================= #
    when /^uniko$/i
      'https://uniko.ac.at/'
    # ======================================================================= #
    # === rf "astrid_dürauer"
    # ======================================================================= #
    when 'astrid_dürauer'
      'https://forschung.boku.ac.at/fis/suchen.person_uebersicht?id_in=5648&menue_id_in=101&sprache_in=de'
    # ======================================================================= #
    # === rf DAGZ
    # ======================================================================= #
    when /^DAGZ$/i
      'https://boku.ac.at/dagz/lehrveranstaltungen'
    # ======================================================================= #
    # === rf univorlesung
    # ======================================================================= #
    when 'univorlesung',
         'univis_vorlesungsverzeichnis',
         'vorlesungsverzeichnis',
         'verzeichnis',
         'vorlesungen',
         'vverzeichnis',
         'uniwien',
         'uniwienvorlesung',
         'uniwienvorlesungsverzeichnis',
         'vorlesung2',
         'univisvorlesung',
         'v2',
         'vorlesungsvorzeichnis',
         'vvv',
         'biologie_vorlesungsverzeichnis',
         'semester',
         'univorlesungsverzeichnis',
         'vorlesungs',
         'univorlesungs',
         'univis_biologie',
         /^Biologie(-|_)?2022$/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?from=1&to=2&semester=2019W&path=228361' # Hardcoded is besser, da er ansonsten immer auf das nächst-aktuellste springt.
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=270563&from=1&to=2' # 2022S
    # ======================================================================= #
    # === rf "striedner"
    # ======================================================================= #
    when /^striedner$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=4647'
    # ======================================================================= #
    # === rf "höbelt"
    # ======================================================================= #
    when /^höbelt$/i
      'https://ufind.univie.ac.at/de/person.html?id=1668&teaching=true'
    # ======================================================================= #
    # === rf auflagen_master_pharmazie
    # ======================================================================= #
    when /auflagen_?master_?pharmazie/
      'https://typo3.univie.ac.at/fileadmin/user_upload/studentpoint_2011/Student_Point/PDFs/Durchlaessigkeit/Masterstudium_Pharmazie.pdf'
    # ======================================================================= #
    # === rf curriculum1
    # ======================================================================= #
    when /^curriculum1$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=4638&dsrid=581&key=45860'
    # ======================================================================= #
    # === rf "Alois Schweighofer"
    # ======================================================================= #
    when /Alois(_|-| )?Schweighofer$/i,
         'schweighofer'
      'https://ufind.univie.ac.at/de/person.html?id=20508&teaching=true'
    # ======================================================================= #
    # === rf "Dirk Praetorius"
    # ======================================================================= #
    when /Dirk(_|-| )?Praetorius$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=5100&dsrid=245&lecturerOid=1581041'
    # ======================================================================= #
    # === rf feischl
    # ======================================================================= #
    when /^feischl$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=3262&dsrid=646&lecturerOid=1226149'
    # ======================================================================= #
    # === rf "fh_biotechnologie_lehrveranstaltungen"
    # ======================================================================= #
    when 'fh_biotechnologie_lehrveranstaltungen'
      'https://www.fh-campuswien.ac.at/studiengaenge/applied-life-sciences-bachelor/molekulare-biotechnologie.html#c15283'
    # ======================================================================= #
    # === rf "Physiologie der Tiere 2: Sinnes-, Nerven- und Muskelphysiologie"
    # ======================================================================= #
    when /Physiologie(_|-| )?der(_|-| )?Tiere(_|-| )?2(_|-| |:)?(_|-| )?Sinnes(_|-| )?(_|-| |,)?(_|-| )?Nerven(_|-| )?(_|-| )?und(_|-| )?Muskelphysiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300476&semester=2021W'
    # ======================================================================= #
    # === rf viennabiocenter
    # ======================================================================= #
    when /^vienna(_|-| )?biocenter$/i
      'https://www.viennabiocenter.org/'
    # ======================================================================= #
    # === rf becker
    # ======================================================================= #
    when 'becker','chemie_becker',
         'beck'
      'https://ufind.univie.ac.at/de/person.html?id=39234&teaching=true'
    # ======================================================================= #
    # === rf "elling"
    # ======================================================================= #
    when /^elling$/i
      'https://www.oeaw.ac.at/imba/research/ulrich-elling'
    # ======================================================================= #
    # === rf "jaxmice"
    # ======================================================================= #
    when /^jax(_|-| )?mice$/i
      'https://www.jax.org/jax-mice-and-services'
    # ======================================================================= #
    # === rf "Grundlagen der Biochemie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biochemie$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Biochemie$/i,
         /^772108(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biochemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=298113' # 2021W
    # ======================================================================= #
    # === rf "Guruprasad"
    # ======================================================================= #
    when /^Guruprasad$/i
      'https://academic.oup.com/peds/article-abstract/4/2/155/1491271'
    # ======================================================================= #
    # === rf "halbwirth"
    # ======================================================================= #
    when /^halbwirth$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/41528'
    # ======================================================================= #
    # === rf "ÖH Wahlbeteiligung"
    # ======================================================================= #
    when /^ÖH(_|-| )?Wahlbeteiligung$/i
      'https://www.meinbezirk.at/c-politik/niedrigste-oeh-wahlbeteiligung-aller-zeiten-rote-studierende-siegen_a4663343'
    # ======================================================================= #
    # === rf "Einführung in die Insektenkunde"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Insektenkunde$/i,
         /^833117(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Insektenkunde$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=298722' # 2021W
    # ======================================================================= #
    # === rf "872100 Geologie"
    # ======================================================================= #
    when /^872100(_|-| )?Geologie$/i,
         /^Geologie(_|-| )?\(?KTWW\)?$/i,
         /^Geologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=297980' # 2021W
    # ======================================================================= #
    # === rf "Robert Liska"
    # ======================================================================= #
    when /^Robert(_|-| )?Liska$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/41027'
    # ======================================================================= #
    # === rf "Biochemie des Stoffwechsels"
    # ======================================================================= #
    when /^Biochemie(_|-| )?des(_|-| )?Stoffwechsels?$/i,
         /^772114(_|-| )?Biochemie(_|-| )?des(_|-| )?Stoffwechsels?$/i,
         'grundlagen_des_stoffwechsels'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=291815' # 2021S
    # ======================================================================= #
    # === rf "knaus"
    # ======================================================================= #
    when /^knaus$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=7143&dsrid=927&lecturerOid=407125'
    # ======================================================================= #
    # === rf "164.169 Qualitätssicherung und GLP/GMP"
    # ======================================================================= #
    when /^164\.?169(_|-| )?Qualitätssicherung(_|-| )?und(_|-| )?GLP(_|-| |\/)?GMP$/i,
         /^164\.?169(_|-| )?Qualitätssicherung(_|-| )?und(_|-| )?GLP\/?GMP$/i,
         /^Qualitätssicherung(_|-| )?und(_|-| )?GLP\/?GMP$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9537&dsrid=959&courseNr=164169&semester=2021W'
    # ======================================================================= #
    # === rf "Einführung in Produktionsprozesse und Qualitätskontrolle in der Pharm. Technologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?Produktionsprozesse(_|-| )?und(_|-| )?Qualitätskontrolle(_|-| )?in(_|-| )?der(_|-| )?Pharm.(_|-| )?Technologie$/i,
         /^321033(_|-| )?Einführung(_|-| )?in(_|-| )?Produktionsprozesse(_|-| )?und(_|-| )?Qualitätskontrolle(_|-| )?in(_|-| )?der(_|-| )?Pharm\.?(_|-| )?Technologie(_|-| )?(_|-| )?(_|-| )?B18$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321033&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "how-to-package-cards"
    # ======================================================================= #
    when /^how(_|-| )?to(_|-| )?package(_|-| )?cards$/i
      'https://www.cardmarket.com/en/Magic/Help/Packaging'
    # ======================================================================= #
    # === rf schosserer 
    # ======================================================================= #
    when 'schosserer',
         'markus',
         'marcus'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=82445DD702577ACB&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf stöger
    # ======================================================================= #
    when /^Eva(_|-| )?Stöger/i,
         'stöger',
         'eva'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=EDCFD1D522BED587&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "vetmed covid"
    # ======================================================================= #
    when /^vetmed(_|-| )?covid$/i
      'https://www.vetmeduni.ac.at/universitaet/infoservice/news/news-detail/covid-19-aktuelle-informationen-und-massnahmen'
    # ======================================================================= #
    # === rf "stellen life sciences"
    # ======================================================================= #
    when /^stellen(_|-| )?life(_|-| )?sciences$/i
      'https://univis.univie.ac.at/ausschreibungstellensuche/flow/bew_ausschreibung-flow?_flowExecutionKey=_c74168C0D-277A-0156-24B5-C17EB318495D_kFB50B2BF-96EB-3EFA-0304-062F58F7B1E0'
    # ======================================================================= #
    # === rf "Hermann Hofbauer"
    # ======================================================================= #
    when /^Hermann(_|-| )?Hofbauer$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/158168'
    # ======================================================================= #
    # === rf oostenbrink
    # ======================================================================= #
    when /^oostenbrink$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=100188'
    # ======================================================================= #
    # === rf feuerlöschübung
    # ======================================================================= #
    when /^feuerlöschübung/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8515&dsrid=656&courseNr=163185&semester=2021S'
    # ======================================================================= #
    # === rf mitteilungsblatt_meduni
    # ======================================================================= #
    when /^mitteilungsblatt(_|-| )?meduni$/i,
         /^mitteilungsblätter(_|-| )?meduni$/i
      'https://www.meduniwien.ac.at/web/rechtliches/mitteilungsblaetter/'
    # ======================================================================= #
    # === rf 802300
    # ======================================================================= #
    when '802300'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=298887' # 2021W
    # ======================================================================= #
    # === rf "abfall_als_ressource
    # ======================================================================= #
    when 'abfall_als_ressource','abfall'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284717' # 2018W
    # ======================================================================= #
    # === rf "kromp"
    # ======================================================================= #
    when /^kromp$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=3431'
    # ======================================================================= #
    # === rf "Statistik (AW): Beispiele und Anwendungen"
    # ======================================================================= #
    when /^Statistik(_|-| )?\(?AW\)?:?(_|-| )?Beispiele(_|-| )?und(_|-| )?Anwendungen$/i,
         /^BOKU(_|-| )?Statistik(_|-| )?\(?AW\)?:?(_|-| )?Beispiele(_|-| )?und(_|-| )?Anwendungen$/i,
         /^851112(_|-| )?Statistik(_|-| )?\(?AW\)?:?(_|-| )?Beispiele(_|-| )?und(_|-| )?Anwendungen$/i,
         /^BOKU(_|-| )?851112(_|-| )?Statistik(_|-| )?\(?AW\)?:?(_|-| )?Beispiele(_|-| )?und(_|-| )?Anwendungen$/i,
         '851112'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=292173' # 2021S
    # ======================================================================= #
    # === rf "Mathias Farlik"
    #
    # Heisst auch "Matthias Farlik-Födinger".
    # ======================================================================= #
    when /^Mathias(_|-| )?Farlik/i
      # 'https://ufind.univie.ac.at/de/person.html?id=18352&teaching=true'
      'http://www.medical-epigenomics.org/meg/index.php?option=com_content&view=article&id=85&catid=82&Itemid=486'
    # ======================================================================= #
    # === next
    # ======================================================================= #
    when 'next'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=293058'
    # ======================================================================= #
    # === rf "peterbauer"
    # ======================================================================= #
    when 'boku_peterbauer',
         'peterbauer'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=3218'
    # ======================================================================= #
    # === rf "boku_gerzabek"
    # ======================================================================= #
    when 'boku_gerzabek','gerzabek'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=C786534F7432DDDC&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "safety_aspects_of_plant_biotechnology"
    # ======================================================================= #
    when 'safety_aspects_of_plant_biotechnology'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276418'
    # ======================================================================= #
    # === rf "anatomie_und_physiologie_der_nutztiere"
    # ======================================================================= #
    when 'anatomie_und_physiologie_der_nutztiere'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276455'
    # ======================================================================= #
    # === rf "krebs"
    # ======================================================================= #
    when /^krebs$/i
      'https://tiss.tuwien.ac.at/fpl/person/index.xhtml?id=100726'
    # ======================================================================= #
    # === rf "Schmetterer"
    # ======================================================================= #
    when /^Schmetterer$/i
      'https://ufind.univie.ac.at/en/person.html?id=4947&teaching=true'
    # ======================================================================= #
    # === rf prüfungsfragenmaster
    # ======================================================================= #
    when 'masterprfg','advanced_questions','prüfungsfragen2','bioforum',
         'master_prüfungsfragen','masterprüfungsfragen','prfg2',
         'prüfungsfragenmaster','fragen2',/prüfungsfragen_?master/
      'https://www.univie.ac.at/stv-biologie/forum/viewforum.php?f=128'
    # ======================================================================= #
    # === rf therapy
    # ======================================================================= #
    when 'therapy'
      'https://www.univie.ac.at/stv-biologie/forum/viewtopic.php?f=91&t=17064&p=214190'
    # ======================================================================= #
    # === rf "ipbt"
    # ======================================================================= #
    when /^ipbt$/i
      'https://boku.ac.at/dagz/ipbt'
    # ======================================================================= #
    # === rf vetmedmail
    # ======================================================================= #
    when 'vetmedmail',
         'vetmedunimail',
         'vetmetmail',
         'vetunimail',
         'vedunimail',
         'vedmetmail',
         'vedmedmail',
         'vetmedmmail',
         'vetemdmail'
      # 'https://owa.vetmeduni.ac.at/owa/'
      # 'https://aaa.vetmeduni.ac.at/logon/LogonPoint/tmindex.html'
      'https://owa.vetmeduni.ac.at/'
    # ======================================================================= #
    # === rf "vorauer"
    # ======================================================================= #
    when /^vorauser$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=540'
    # ======================================================================= #
    # === rf "willemsen"
    # ======================================================================= #
    when /^willemsen$/i
      'https://ufind.univie.ac.at/en/person.html?id=111806'
    # ======================================================================= #
    # === rf vospernik
    # ======================================================================= #
    when 'vospernik'
      'https://boku.ac.at/en/personen/person/9205043295CFCCCB'
    # ======================================================================= #
    # === rf "Alwin Köhler"
    # ======================================================================= #
    when /^Alwin(_|-| )?Köhler$/i
      'https://ufind.univie.ac.at/de/person.html?id=42970&teaching=true'
    # ======================================================================= #
    # === rf "seifert"
    # ======================================================================= #
    when /^seifert$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=5FCB104408EF2CF8&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "stephen evans"
    # ======================================================================= #
    when /^stephen(_|-| )?evans$/i,
         'evans'
      'https://online.boku.ac.at/BOKUonline/pl/ui/$ctx/visitenkarte.show_vcard?pPersonenId=5A7E1BAC2E23F8B2&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Bioinformatics: Selected aspects"
    # ======================================================================= #
    when /^Bioinformatics\:?(_|-| )?Selected(_|-| )?aspects$/i,
         /^Bioinformatics\:?(_|-| )?Selected(_|-| )?aspects(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791383(_|-| )?Bioinformatics\:?(_|-| )?Selected(_|-| )?aspects(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Selected$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=294010' # 2021S
    # ======================================================================= #
    # === rf "kosma"
    # ======================================================================= #
    when /^kosma$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=E3474C1DAEADC7C4&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "covid_hochschulgesetz"
    # ======================================================================= #
    when /^covid(_|-| )?hochschulgesetz/i
      'https://www.ris.bka.gv.at/GeltendeFassung.wxe?Abfrage=Bundesnormen&Gesetzesnummer=20011109'
    # ======================================================================= #
    # === rf spangl
    # ======================================================================= #
    when 'spangl'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=1544'
    # ======================================================================= #
    # === rf gärtner
    # ======================================================================= #
    when /^gärtner$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/135159'
    # ======================================================================= #
    # === rf "lecturetube"
    # ======================================================================= #
    when /^lecturetube$/i,
         /^tu(_|-| )?lecturetube$/i
      'https://oc-presentation.ltcc.tuwien.ac.at/engage/ui/index.html?e=1&p=1'
    # ======================================================================= #
    # === rf "Monika Schmoll"
    # ======================================================================= #
    when /^Monika(_|-| )?Schmoll$/i,
         /^schmoll$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/52231'
    # ======================================================================= #
    # === rf "Biochemische Übungen I"
    # ======================================================================= #
    when /^Biochemische(_|-| )?Übungen(_|-| )?I$/i,
         /^772112(_|-| )?Biochemische(_|-| )?Übungen(_|-| )?I$/i,
         /^BOKU(_|-| )?Biochemie(_|-| )?Übungen$/i,
         /^Boku(_|-| )?Biochemische(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285302' # 2019S
    # ======================================================================= #
    # === rf biologie_immuno
    # ======================================================================= #
    when 'master_immuno',
         'masterimmuno',
         /Molekulare(_|-| )?Mikrobiologie(_|-| |,)?(_|-| )?Mikrobielle(_|-| )?Ökologie(_|-| )?und(_|-| )?Immunbiologie$/i,
         'mastercurriculum',
         'unimaster',
         /^Master(_|-| )?Immunologie$/i,
         'masterimmun'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=253018' # 2021S
    # ======================================================================= #
    # === rf mitteilungsblätter_boku_wien
    # ======================================================================= #
    when /^mitteilungsblätter(_|-| )?boku(_|-| )?wien$/i,
         /^mitteilungsblätter(_|-| )?boku$/i,
         /^mitteilungsblatt(_|-| )?boku$/i,
         /^boku(_|-| )?mitteilungsblätter$/i,
         /^boku(_|-| )?mitteilungsblatt$/i
      'https://boku.ac.at/mitteilungsblatt/'
    # ======================================================================= #
    # === rf vetmed_studium
    # ======================================================================= #
    when 'vetmed_studium'
      'https://www.vetmeduni.ac.at/fileadmin/v/z/mitteilungsblatt/curricula/Curriculum_Diplom_Veterinaermedizin_2015-06-30.pdf'
    # ======================================================================= #
    # === rf mitteilungsblätter_uni_wien
    # ======================================================================= #
    when /^mitteilungsblätter(_|-| )?uni(_|-| )?wien$/i,
         /^mitteilungsblatt(_|-| )?uni(_|-| )?wien$/i,
         /^uni(_|-| )?wien(_|-| )?mitteilungsblatt$/i,
         /^uni(_|-| )?wien(_|-| )?mitteilungsblätter$/i,
         'mitteilungsblatt'
      'https://mtbl.univie.ac.at/site/bereiche/curricula'
    # ======================================================================= #
    # === rf "testungen"
    # ======================================================================= #
    when /^testungen$/i,
         /^boku(_|-| )?teststation$/i
      'https://boku.ac.at/universitaetsleitung/rektorat/stabsstellen/oeffentlichkeitsarbeit/themen/presseaussendungen/presseaussendungen-2021/09032021-boku-und-albarelli-apotheke-eroeffnen-covid-teststation-am-standort-muthgasse'
    # ======================================================================= #
    # === rf "Erweiterungsstudium Digitale Kompetenzen"
    # ======================================================================= #
    when /^Erweiterungsstudium(_|-| )?Digitale(_|-| )?Kompetenzen$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=5968&dsrid=175&key=68984&dsrid=744'
    # ======================================================================= #
    # === rf "Statistik (LBT)"
    # ======================================================================= #
    when /^Statistik(_|-| )?\(?LBT\)?$/i,
         /^851105(_|-| )?Statistik(_|-| )?\(?LBT\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=291817' # 2021S
    # ======================================================================= #
    # === rf "Glycobiology"
    # ======================================================================= #
    when /^Glycobiology$/i,
         /^772307(_|-| )?Glycobiology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Glycobiology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=293047' # 2020W
    # ======================================================================= #
    # === rf seidler
    # ======================================================================= #
    when /seidler/i
      'https://ufind.univie.ac.at/en/person.html?id=5214&teaching=true'
    # ======================================================================= #
    # === rf antrag_auf_zulassung_zu_einem_individuellen_studium_an_der_uni_wien
    # ======================================================================= #
    when 'antrag_auf_zulassung_zu_einem_individuellen_studium_an_der_uni_wien'
      # 'http://studentpoint.univie.ac.at/fileadmin/user_upload/studentpoint_2011/Student_Point/Formulare/SL.Z6_Zulassung_individuelles_Studium.07-2013.ERW2.pdf'
      'https://slw.univie.ac.at/fileadmin/user_upload/studentpoint_2011/Student_Point/Formulare/SL.Z6_Zulassung_individuelles_Studium.07-2013.ERW2.pdf'
    # ======================================================================= #
    # === rf "krammer"
    # ======================================================================= #
    when 'krammer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=0AB39EC053087B32&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "dohm"
    # ======================================================================= #
    when /^dohm$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=146035'
    # ======================================================================= #
    # === rf "gebeshuber"
    # ======================================================================= #
    when 'gebeshuber'
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=1488&dsrid=298&lecturerOid=2654369'
    # ======================================================================= #
    # === rf "Mikrobiologie Laborübungen"
    # ======================================================================= #
    when /^Mikrobiologie(_|-| )?Laborübungen$/i,
         /^166\.?193(_|-| )?Mikrobiologie(_|-| )?Laborübungen$/i,
         /^166\.?193$/i, # rf 166.193
         /^tuwien(_|-| )?mikrobiologie$/i,
         'tuwien_mikrobio','tu_mikrobiologie'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9892&dsrid=855&courseNr=166193&semester=2020W'
    # ======================================================================= #
    # === rf geo_buch
    # ======================================================================= #
    when /^geo(_|-| )?buch$/i
      'https://www-1utb-2studi-2e-2book-1de-1001ef27t093e.pisces.boku.ac.at/Viewer2.0/pdfviewer/index/viewer?isbn=9783838543819&access=f7a00aec22d5172749d0e6bf86015afb&code=b07b691b4d05911069a6d7ee3d065721&q=&lang=de&key=&page=&label=A&prodId=1741&hash=6cd0dcbf886a589143656b720d292596&token=6cd0dcbf886a589143656b720d292596&timestamp=b07b691b4d05911069a6d7ee3d065721'
    # ======================================================================= #
    # === rf fachschaft_cloud
    # ======================================================================= #
    when /^fachschaft(_|-| )?cloud$/i
      'https://cloud.fsch.at/index.php/apps/files/?dir=/Technische%20Chemie&fileid=762' # 'https://cloud.fsch.at/index.php/apps/files/'
    # ======================================================================= #
    # === rf akmath
    # ======================================================================= #
    when /^akmath$/i
      'https://akmath.tuwien.ac.at/home/'
    # ======================================================================= #
    # === rf "911100 Bodenkunde"
    # ======================================================================= #
    when /^911100(_|-| )?Bodenkunde$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=289146' # 2020S
    # ======================================================================= #
    # === rf pfrengle
    # ======================================================================= #
    when /^-?-?pfrengle$/
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=5BB2A482EDDC3DE7&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf tu_wiki
    # ======================================================================= #
    when /^-?-?tu_?wiki$/,
         /^-?-?tuwien_?wiki$/
      # 'https://vowi.fsinf.at/wiki/Willkommen_im_VorlesungsWiki' <- nit mehr aktuell seit November 2020.
      'https://vowi.fsinf.at/wiki/VorlesungsWiki'
    # ======================================================================= #
    # === rf franek
    # ======================================================================= #
    when 'walter_franek','walterfranek','franek'
      # 'https://www.linkedin.com/pub/walter-franek/83/816/448'
      'https://ufind.univie.ac.at/de/person.html?id=1208&teaching=true'
    # ======================================================================= #
    # === rf dürauer
    # ======================================================================= #
    when /^dürauer/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=C07564C23EEDDF08&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Botanik (AW)"
    # ======================================================================= #
    when /^Botanik(_|-| )?\(AW\)/i,
         /^831110(_|-| )?Botanik(_|-| )?\(AW\)/i,
         /botanik_?aw/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=292927' # 2020W
    # ======================================================================= #
    # === rf "Physik (UBRM)"
    # ======================================================================= #
    when /^Physik(_|-| )?\(?UBRM\)?$/i,
         /^892105(_|-| )?Physik(_|-| )?\(?UBRM\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287486' # 2020S
    # ======================================================================= #
    # === rf "Monika Stipsitz"
    # ======================================================================= #
    when /^Monika(_|-| )?Stipsitz$/i,
         'stipsitz'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/181787'
    # ======================================================================= #
    # === rf "TU Grundlagen der Chemie"
    # ======================================================================= #
    when /^TU(_|-| )?Grundlagen(_|-| )?der(_|-| )?Chemie$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Chemie$/i,
         /^163.112(_|-| )?Grundlagen(_|-| )?der(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6869&dsrid=585&courseNr=163112&semester=2020W'
    # ======================================================================= #
    # === rf humanökologie
    # ======================================================================= #
    when 'humanökologie',
         'Humanökologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276459'
    # ======================================================================= #
    # === rf lebensräume
    # ======================================================================= #
    when 'lebensräume'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276458'
    # ======================================================================= #
    # === rf theoretische_biologie
    # ======================================================================= #
    when 'theoretische_biologie'
      'http://online.univie.ac.at/vlvz?&lvnr=300221&semester=W2015'
    # ======================================================================= #
    # === rf bvek
    # ======================================================================= #
    when 'bvek'
      'http://localhost/programming/ruby/src/studium/lib/studium/www/curricula_displayer.cgi?selection_of_available_curricula=bachelor+vector'
    # ======================================================================= #
    # === rf bokulebensmittel
    #
    # This entry point is for the food sciences department at the BOKU.
    # ======================================================================= #
    when 'bokulebensmittel'
      'https://online.boku.ac.at/BOKUonline/webnav.navigate_to?corg=15693'
    # ======================================================================= #
    # === rf boku_biotech
    #
    # This entry point is for the biotech-department at the BOKU.
    # ======================================================================= #
    when 'boku_biotech_department',
         'boku_biotechnologie',
         'bokubiotechnologie',
         'boku_biotech',
         'boku_department',
         'biotech_department',
         'bio_biotech',
         'master_biotechnologie',
         'bokubiotech',
         'masterbiotech',
         'boku_biotechnology',
         'masterboku',
         'bokubioinformatics',
         'bokubiobtech'
      'https://online.boku.ac.at/BOKUonline/webnav.navigate_to?corg=15660'
    # ======================================================================= #
    # === rf temp
    # ======================================================================= #
    when 'temp'
      'http://www.ias.tuwien.ac.at/163173.php'
    # ======================================================================= #
    # === rf plaschka
    # ======================================================================= #
    when 'plaschka'
      'https://ufind.univie.ac.at/de/person.html?id=105619&teaching=true'
    # ======================================================================= #
    # === rf simakov
    # ======================================================================= #
    when 'simakov'
      'https://ufind.univie.ac.at/de/person.html?id=64724&teaching=true'
    # ======================================================================= #
    # === rf java1
    # ======================================================================= #
    when 'java1',
         /^java(_|-| )?übung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6852&dsrid=949&courseNr=185A91&semester=2020W'
    # ======================================================================= #
    # === rf unigrazfrist
    # ======================================================================= #
    when /^uni(_|-| )?graz(_|-| )?frist$/i
      'https://www.uni-graz.at/de/studieren/infos-und-service/termine-und-fristen/'
    # ======================================================================= #
    # === rf waringer
    # ======================================================================= #
    when 'waringer'
      'https://ufind.univie.ac.at/de/person.html?id=6096&teaching=true'
    # ======================================================================= #
    # === rf derntl
    # ======================================================================= #
    when 'derntl'
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=5104&dsrid=436&lecturerOid=9872365'
    # ======================================================================= #
    # === rf biochemie_und_immmunologie
    # ======================================================================= #
    when 'biochemie_und_immmunologie','next_lecture'
      'https://ufind.univie.ac.at/de/course.html?lv=321017&semester=2020W'
    # ======================================================================= #
    # === rf "Einführung in die Biologie 1"
    # ======================================================================= #
    when 'steop1_prüfung',
         /Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?1/i,
         /Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?I$/i,
         'bio1',
         '300001'
      'https://ufind.univie.ac.at/de/course.html?lv=300001&semester=2020W'
    # ======================================================================= #
    # === rf "Molekulare Evolution"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Evolution$/i,
         /^Molecular(_|-| )?Evolution$/i,
         /^300036(_|-| )?Molecular(_|-| )?Evolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300036&semester=2020S'
    # ======================================================================= #
    # === rf steop2_prüfung
    # ======================================================================= #
    when 'steop2_prüfung','steop_1',
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?2$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?II$/i,
         /^300002(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?II$/i,
         /^300002(_|-| )?STEOP:(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?II$/i,
         '300002'
      'https://ufind.univie.ac.at/de/course.html?lv=300002&semester=2020W'
    # ======================================================================= #
    # === rf "Verena Dirsch"
    # ======================================================================= #
    when /^Verena(_|-| )?Dirsch$/i,
         'dirsch'
      'https://ufind.univie.ac.at/de/person.html?id=87210&teaching=true'
    # ======================================================================= #
    # === rf heiß
    # ======================================================================= #
    when /^heiß$/i
      'https://ufind.univie.ac.at/de/person.html?id=27159'
    # ======================================================================= #
    # === rf "Molekulare Medizin 1"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Medizin(_|-| )?1$/i,
         /^301585(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?1$/i,
         /^MolMedI$/i,
         'molmed1'
      'https://ufind.univie.ac.at/de/course.html?lv=301585&semester=2020S' # 2020S
    # ======================================================================= #
    # === rf fh_stundenplan
    # ======================================================================= #
    when 'fh_stundenplan','fh_termine','fh_vorlesung','fhstundenplan',
         'fh','fhlogin'
      'https://www.fh-campuswien.ac.at/studium/studien-und-weiterbildungsangebot/detail/bioengineering-bachelor.html'
    # ======================================================================= #
    # === rf bioengineering
    # ======================================================================= #
    when 'bioengineering','stundenplan_bioengineering',
        'fh_vorlesungen','fh_vorlesungsverzeichnis',
        'fhstudium','fhstudienplan','fh_studienplan','fh_studiengang'
      'https://www.fh-campuswien.ac.at/studium-weiterbildung/studien-und-lehrgangsangebot/detail/bioengineering-bachelor.html'
    # ======================================================================= #
    # === rf fhcampus
    # ======================================================================= #
    when 'fhcampus'
      'http://www.fh-campuswien.ac.at/studium/applied_life_sciences/bachelor/bioengineering/studienplan/'
    # ======================================================================= #
    # === rf GLP
    # ======================================================================= #
    when /^GLP$/
      'https://tube1.it.tuwien.ac.at/search?search=Quality%20Assurance'
    # ======================================================================= #
    # === rf master_devbio
    # ======================================================================= #
    when /^master(_|-| )?devbio/, # === rf "Master Genetik und Entwicklungsbiologie"
         /^Master(_|-| )?Genetik(_|-| )?und(_|-| )?Entwicklungsbiologie$/i,
         /^master(_|-| )?entwicklungsgenetik/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=243402' # 2020W
    # ======================================================================= #
    # === rf "Mastercurriculum Bioinformatik"
    # ======================================================================= #
    when /^Mastercurriculum(_|-| )?Bioinformatik$/i,
         /^Master(_|-| )?Bioinformatik$/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=238556' # 2020S
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=249476' # 2020W
    # ======================================================================= #
    # === rf passierschein
    # ======================================================================= #
    when 'passierschein'
      'https://tiss.tuwien.ac.at/education/permits.xhtml?dswid=7756&dsrid=495'
    # ======================================================================= #
    # === rf "Allgemeine und Molekulare Genetik I"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Genetik(_|-| )?I$/i,
         /^301212(_|-| )?Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Genetik(_|-| )?I$/i,
         'AMG1','amg1','amgi'
      'https://ufind.univie.ac.at/de/course.html?lv=301212&semester=2020S'
    else
      return i # Must return the original input in this case.
    end
  end

end