#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will contain video-related URLs.
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/video_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.video_menu
  # ========================================================================= #
  def self.video_menu(
      i = :paper
    )
    case i.to_s # case tag, casetag
    # ======================================================================= #
    # === rf "Dance Machine 8"
    #
    # This was from 1996, in Paris.
    # ======================================================================= #
    when /^Dance(_|-| )?Machine(_|-| )?8(_|-| )?\(?Paris(_|-| )?1996\)?$/i,
         /^Dance(_|-| )?Machine(_|-| )?8$/i
      'https://www.youtube.com/watch?v=5MPi8N4VJvQ'
    # ======================================================================= #
    # === rf dancemachine1
    # ======================================================================= #
    when /^dance(_|-| )?machine1?$/
      'https://www.youtube.com/watch?v=pY3p4AC-z6U'
    # ======================================================================= #
    # === rf dancemachine3
    # ======================================================================= #
    when /^dance(_|-| )?machine3$/
      'https://www.youtube.com/watch?v=PtrjAStTBZ8'
    # ======================================================================= #
    # === rf dancemachine4
    # ======================================================================= #
    when /^dance(_|-| )?machine4$/
      'https://www.youtube.com/watch?v=FQPQKAEl2SU'
    # ======================================================================= #
    # === rf dancemachine5
    # ======================================================================= #
    when /^dance(_|-| )?machine5$/
      'https://www.youtube.com/watch?v=P0eENsKBuJk'
    # ======================================================================= #
    # === rf youtube
    # ======================================================================= #
    when /^-?-?youtub?e$/i,
         /^remote(_|-| )?youtube$/i,
         /^youtube(_|-| )?homepage$/i
      'https://www.youtube.com/'
    # ======================================================================= #
    # === rf sexy_dance
    # ======================================================================= #
    when /^sexy(_|-| )?dance$/,
         'sexygirl',
         'sexy'
      'https://www.youtube.com/watch?v=DxmdySilOAI'
    # ======================================================================= #
    # === rf sexy_work
    # ======================================================================= #
    when /sexy(_|-| )?work/
      'https://www.redtube.com/40255511'
    # ======================================================================= #
    # === rf "katyusha"
    # ======================================================================= #
    when /^-?-?kat(y|j)?usha$/i
      'https://www.youtube.com/watch?v=B-hJo4zooSQ'
    # ======================================================================= #
    # === rf "goodmix1"
    # ======================================================================= #
    when /^-?-?good(_|-| )?mix1$/i
      'https://www.youtube.com/watch?v=rgQXXpvZHeQ'
    # ======================================================================= #
    # === rf "Invincible Armour"
    # ======================================================================= #
    when /^-?-?Invincible(_|-| )?Armour$/i
      'https://www.youtube.com/watch?v=sHM7zIX5Lzo'
    # ======================================================================= #
    # === rf natto
    # ======================================================================= #
    when 'natto',
         'nattosumo',
         'sumonatto'
      # 'https://www.youtube.com/channel/UCErxT8KRQi3JJEwMCDrcHBg'
      # 'https://www.youtube.com/@NattoSumo2'
      # 'https://www.youtube.com/@nattosumo3'
      'https://www.youtube.com/@nattosumo3'
    # ======================================================================= #
    # === rf "oh-what-a-night"
    # ======================================================================= #
    when /^-?-?oh(_|-| )?what(_|-| )?a(_|-| )?night$/i
      'https://www.youtube.com/watch?v=kZ5VK5lc9fU'
    # ======================================================================= #
    # === rf "wang-wu-der-kämpfer-mit-dem-phönixschwert"
    # ======================================================================= #
    when /^-?-?wang(_|-| )?wu(_|-| )?der(_|-| )?kämpfer(_|-| )?mit(_|-| )?dem(_|-| )?phönixschwert$/i
      'https://www.youtube.com/watch?v=35ZKsNT3gvw'
    # ======================================================================= #
    # === rf "asian doctor"
    # ======================================================================= #
    when /^-?-?asian(_|-| )?doctor$/i,
         /^-?-?helpful(_|-| )?doctor$/i,
         /^-?-?nurse$/i,
         /^-?-?doctor$/i
      'https://www.xvideos.com/video46700851/doctor_hospital_asian'
    # ======================================================================= #
    # === rf "ASK RUSSIANS"
    # ======================================================================= #
    when /^AS?K(_|-| )?RUSSIAN?S?$/i,
         /^Krammer$/i
      'https://www.youtube.com/channel/UCwOJN0dWlU4pgsRZmoMwuIw' # https://www.youtube.com/@askrus
    # ======================================================================= #
    # === rf "roman"
    # ======================================================================= #
    when /^roman$/i,
         /^NFKRZ$/i
      'https://www.youtube.com/c/MultiNfz'
    # ======================================================================= #
    # === rf "cowbell"
    # ======================================================================= #
    when /^cowbell$/i
      'https://www.youtube.com/watch?v=Zce2Ggr5mlA'
    # ======================================================================= #
    # === rf body_bags
    #
    # This one has a high turnover entry.
    #
    # Prior entries were:
    #
    #   'https://www.youtube.com/watch?v=oJZEZaV7QhI'
    #   'https://www.youtube.com/watch?v=QDlJFFxHRPM'
    #   'https://www.youtube.com/watch?v=fkaB6cZNYso'
    #
    # ======================================================================= #
    when /^body(_|-| )?bags$/i
      # 'https://www.youtube.com/watch?v=7hjWgzFX5-U'
      'https://www.youtube.com/watch?v=ryM2EnAbxcY'
    # ======================================================================= #
    # === rf "oh-what-a-night"
    # ======================================================================= #
    when /^-?-?oh(_|-| )?what(_|-| )?a(_|-| )?night$/i
      'https://www.youtube.com/watch?v=L1EdZaNq2AQ'
    # ======================================================================= #
    # === rf "fright night"
    #
    # This is actually Fright Night 2.
    # ======================================================================= #
    when /^fright(_|-| )?night$/i
      'https://www.youtube.com/watch?v=ocEqp7auEFs'
    # ======================================================================= #
    # === rf "the-wellerman"
    # ======================================================================= #
    when /^-?-?the(_|-| )?wellerman$/i
      'https://www.youtube.com/watch?v=90Oc9Xl5Aps'
    # ======================================================================= #
    # === rf "sumo-jason"
    # ======================================================================= #
    when /^-?-?sumo(_|-| )?jason$/i
      'https://www.youtube.com/watch?v=pfhj2UxZh7o'
    # ======================================================================= #
    # === rf "marianne"
    # ======================================================================= #
    when /^-?-?marianne$/i
      'https://www.youtube.com/@seclusivebeauty'
    # ======================================================================= #
    # === rf "Kids Ready To Die For Putin"
    # ======================================================================= #
    when /^-?-?Kids(_|-| )?Ready(_|-| )?To(_|-| )?Die(_|-| )?For(_|-| )?Putin$/i,
         /^-?-?Kids(_|-| )?for(_|-| )?Putin$/i,
         /^-?-?putin(_|-| )?song$/i,
         /^-?-?putin(_|-| )?propaganda$/i,
         /^-?-?putler(_|-| )?song$/i
      'https://www.youtube.com/watch?v=pfP7lTXYeJg'
    # ======================================================================= #
    # === rf "putler health"
    # ======================================================================= #
    when /^-?-?putler(_|-| )?health$/i,
         /^-?-?putler(_|-| )?sways$/i,
         /^-?-?putler(_|-| )?staggers$/i,
         /^-?-?puterl(_|-| )?sways$/i,
         /^-?-?putin(_|-| )?tumbles$/i,
         /^-?-?putler(_|-| )?walk$/i
      'https://imgur.com/0uCkKpW'
    # ======================================================================= #
    # === rf "charming-girl"
    # ======================================================================= #
    when /^-?-?charming(_|-| )?girl$/i
      'https://www.youtube.com/shorts/f6afRVALF94'
    # ======================================================================= #
    # === rf "was-tun-herr-general"
    # ======================================================================= #
    when /^-?-?was(_|-| )?tun(_|-| )?herr(_|-| )?general$/i
      'https://www.youtube.com/watch?v=_jc_Fs4Y5dg'
    # ======================================================================= #
    # === rf "konstantin"
    # ======================================================================= #
    when /^konstantin$/i,
         /^inside(_|-| )?russia$/i
      'https://www.youtube.com/c/LETTERSTOKING'
    # ======================================================================= #
    # === rf "dos-bros"
    # ======================================================================= #
    when /^-?-?dos(_|-| )?bros$/i,
         /^-?-?dos(_|-| )?hos$/i,
         /^-?-?hoss(_|-| )?boss$/i,
         /^-?-?boss$/i
      'https://www.youtube.com/watch?v=rrLSgt5_uuw'
    # ======================================================================= #
    # === rf he-can-pee-in-me
    # ======================================================================= #
    when /^he(_|-| )?can(_|-| )?pee(_|-| )?in(_|-| )?me$/i
      'https://www.youtube.com/watch?v=3Ze8zzMLGdQ'
    # ======================================================================= #
    # === rf "Ritual"
    # ======================================================================= #
    when /^-?-?Ritual$/i
      'https://www.youtube.com/watch?v=VLDVBKkrW1U'
    # ======================================================================= #
    # === rf "scarecrow"
    # ======================================================================= #
    when /^-?-?dark(_|-| )?night(_|-| )?of(_|-| )?the(_|-| )?scarecrow$/i,
         /^-?-?scarecrow$/i,
         /^-?-?vogelscheuche$/i
      # 'https://www.youtube.com/watch?v=60yDd5S309w'
      'https://www.youtube.com/watch?v=UIQhNZZUs8g'
    # ======================================================================= #
    # === rf "natasha"
    # ======================================================================= #
    when /^-?-?natasha$/i
      'https://www.youtube.com/c/NatashasAdventures'
    # ======================================================================= #
    # === rf "Office Flirt"
    # ======================================================================= #
    when /^-?-?Office(_|-| )?Flirt$/i,
         /^-?-?innuendo$/i
      'https://www.youtube.com/watch?v=m28qpUXbFpA'
    # ======================================================================= #
    # === rf "Invasion Of The Body Snatchers"
    # ======================================================================= #
    when /^Invasion(_|-| )?Of(_|-| )?The(_|-| )?Body(_|-| )?Snatchers$/i
      'https://www.youtube.com/watch?v=zsax7l6t3Qo'
    # ======================================================================= #
    # === rf "Bares für Rares"
    # ======================================================================= #
    when /^Bares(_|-| )?für(_|-| )?Rares$/i,
         /^Bares$/i,
         /^Rares$/i
      'https://www.youtube.com/c/baresfuerrares'
    # ======================================================================= #
    # === rf "The hills have eyes"
    # ======================================================================= #
    when /^The(_|-| )?hills(_|-| )?have(_|-| )?eyes$/i
      'https://www.youtube.com/watch?v=So5wFXzCKtc'
    # ======================================================================= #
    # === rf "niki"
    # ======================================================================= #
    when /^niki$/i
      'https://www.youtube.com/c/NikiProshin'
    # ======================================================================= #
    # === rf "Night of the Demons"
    # ======================================================================= #
    when /^Night(_|-| )?of(_|-| )?the(_|-| )?Demons$/i
      'https://www.youtube.com/watch?v=1Mlw5Gc7quY'
    # ======================================================================= #
    # === rf arwen
    # ======================================================================= #
    when /^arwen$/i
      'https://www.youtube.com/watch?v=PupDknwttD4&t=3304s'
    # ======================================================================= #
    # === rf icecream_man
    # ======================================================================= #
    when /^icecream(_|-| )?man$/i,
         /^the(_|-| )?icecream(_|-| )?man$/i
      #'https://www.youtube.com/watch?v=mQjM8kcTvHg'
      'https://www.youtube.com/watch?v=JcdGn1ZYwII'
    # ======================================================================= #
    # === rf "snatch"
    # ======================================================================= #
    when /^snatch$/i
      'https://www.imdb.com/title/tt0208092/?ref_=fn_al_tt_1'
    # ======================================================================= #
    # === rf "denis"
    # ======================================================================= #
    when /^denis$/i,
         /^dimitry$/i
      # 'https://www.youtube.com/watch?v=T5cTJjN08mE'
      'https://www.youtube.com/c/RoadHomeMotorcycleVlogs'
    # ======================================================================= #
    # === rf "I wie Ikarus"
    # ======================================================================= #
    when /^I(_|-| )?wie(_|-| )?Ikarus$/i
      'https://www.youtube.com/watch?v=64bXO45yEok'
    # ======================================================================= #
    # === rf "Biden_we_will_bring_an_end_to_it"
    # ======================================================================= #
    when /^Biden(_|-| )?we(_|-| )?will(_|-| )?bring(_|-| )?an(_|-| )?end(_|-| )?to(_|-| )?it$/i
      'https://www.youtube.com/watch?v=OS4O8rGRLf8'
    # ======================================================================= #
    # === rf "Vlad Vexler Chat"
    # ======================================================================= #
    when /^Vlad(_|-| )?Vexler(_|-| )?Chat$/i,
         /^Vlad(_|-| )?Vexler$/i,
         /^Vlad$/i
      'https://www.youtube.com/channel/UCn7XHZiW6EUgSuxItybLLMg'
    # ======================================================================= #
    # === rf "Katie Kidman"
    # ======================================================================= #
    when /^Katie(_|-| )?Kidman$/i,
         /^old(_|-| )?granny$/i,
         /^old(_|-| )?lady$/i,
         /^granny$/i
      'https://www.youtube.com/channel/UCCse9_F_35E68LYQ23wxygw'
    # ======================================================================= #
    # === rf redtube1
    # ======================================================================= #
    when 'redtube1'
      'https://www.redtube.com/39037251'
    # ======================================================================= #
    # === rf katsuni
    # ======================================================================= #
    when /^katsuni$/i,
         'top_sexy'
      'https://www.redtube.com/?search=katsuni'
    # ======================================================================= #
    # === rf "Karate Tiger I"
    # ======================================================================= #
    when /^-?-?karate(_|-| )?tiger(_|-| )?I$/i
      'https://www.youtube.com/watch?v=5jP5t25stiQ'
    # ======================================================================= #
    # === rf "tommyknockers"
    # ======================================================================= #
    when /^-?-?tommyknockers$/i
      'https://www.youtube.com/watch?v=edTDnnI82kc'
    # ======================================================================= #
    # === rf "denys"
    # ======================================================================= #
    when /^-?-?denys$/i,
         /^-?-?ukraine(_|-| )?news$/i
      'https://www.youtube.com/c/RoadHomeMotorcycleVlogs'
    # ======================================================================= #
    # === rf "Insights from Ukraine and Russia"
    # ======================================================================= #
    when /^-?-?Insights(_|-| )?from(_|-| )?Ukraine(_|-| )?and(_|-| )?Russia$/i,
         /^-?-?translations$/i
      'https://www.youtube.com/channel/UCPzy5fPr7RDpw_vLSPMHMgQ'
    # ======================================================================= #
    # === rf "war crimes ukraine"
    # ======================================================================= #
    when /^-?-?war(_|-| )?crimes(_|-| )?ukraine$/i
      'https://twitter.com/youblacksoul/status/1505309631542931459?s=21'
    # ======================================================================= #
    # === rf eurodance
    # ======================================================================= #
    when 'eurodance',
         'europop',
         'eurodance1'
      'https://www.youtube.com/watch?v=wgAKnsO6N-s&list=PLVf3PXRSPQRarUyt_B_X7O1fm9mGpeqn4'
    # ======================================================================= #
    # === rf "eurodance2"
    # ======================================================================= #
    when /^eurodance2$/i
      'https://www.youtube.com/watch?v=v0Oao_cW14g'
    # ======================================================================= #
    # === rf eurodancesongs
    # ======================================================================= #
    when 'eurodance_songs',
         'eurodancesongs'
      'https://en.wikipedia.org/wiki/List_of_Eurodance_songs'
    # ======================================================================= #
    # === rf "travis"
    # ======================================================================= #
    when /^travis$/i
      'https://www.youtube.com/c/TravisHeinzeAcuMagnet'
    # ======================================================================= #
    # === rf "long island audit"
    # ======================================================================= #
    when /^long(_|-| )?island(_|-| )?audit$/i
      'https://www.youtube.com/c/LongIslandAudit'
    # ======================================================================= #
    # === rf "Adam Bobrow"
    # ======================================================================= #
    when /^Adam(_|-| )?Bobrow$/i,
         /^bobrow$/i
      'https://www.youtube.com/c/AdamBobrow'
    # ======================================================================= #
    # === rf "The Armed Fisherman"
    # ======================================================================= #
    when /^The(_|-| )?Armed(_|-| )?Fisherman$/i
      'https://www.youtube.com/c/TheArmedFisherman'
    # ======================================================================= #
    # === rf "Wellerman Official Music Video by The Longest Johns"
    # ======================================================================= #
    when /^Wellerman(_|-| )?Official(_|-| )?Music(_|-| )?Video(_|-| )?by(_|-| )?The(_|-| )?Longest(_|-| )?Johns$/i
      'https://www.youtube.com/watch?v=E_8tAyecj2g'
    # ======================================================================= #
    # === rf "Hänsel & Gretel"
    # ======================================================================= #
    when /^Hänsel(_|-| )?\&(_|-| )?Gretel$/i,
         /^gretel$/i,
         /^hensel$/i
      'https://www.youtube.com/watch?v=T4SOxUJmLuM'
    # ======================================================================= #
    # === rf porn1
    # ======================================================================= #
    when 'porn1'
      'https://www.redtube.com/11595601'
    # ======================================================================= #
    # === rf stacy_bloom1
    # ======================================================================= #
    when /stacy(_|-| )?bloom1/,
         /stacy1/
      'https://www.redtube.com/40847791'
    # ======================================================================= #
    # === rf "beard-meats-food"
    # ======================================================================= #
    when /^-?-?beard(_|-| )?meats(_|-| )?food$/i,
         /^-?-?greedy(_|-| )?beard$/i,
         /^-?-?beard$/i
      'https://www.youtube.com/c/Beardmeatsfood'
    # ======================================================================= #
    # === rf "lackluster"
    # ======================================================================= #
    when /^-?-?lack(_|-| )?luster$/i,
         /^-?-?lack(_|-| )?luster(_|-| )?media$/i
      'https://www.youtube.com/c/LackLusterMedia'
    # ======================================================================= #
    # === rf "Jason Brant"
    # ======================================================================= #
    when /^-?-?Jason(_|-| )?Brant$/i,
         /^-?-?Jason$/i,
         /^-?-?movie(_|-| )?reviews$/i
      'https://www.youtube.com/channel/UCzS5vcCGhwBzmDWYznpGclg'
    # ======================================================================= #
    # === rf "Bay Area Transparency"
    # ======================================================================= #
    when /Bay(_|-| )?Area(_|-| )?Transparency$/i
      'https://www.youtube.com/channel/UC2ihfkymxFFFrfc0kTy7q3w'
    # ======================================================================= #
    # === rf lion_whisperer
    # ======================================================================= #
    when /lion(_|-| )?whisperer/
      'https://www.youtube.com/c/LionWhispererTV'
    # ======================================================================= #
    # === rf the_fbi_files
    # ======================================================================= #
    when /the(_|-| )?fbi(_|-| )?files/
      'https://www.youtube.com/c/TheFBIFiles'
    # ======================================================================= #
    # === rf "Zipper"
    # ======================================================================= #
    when /^Zipper$/i
      'https://www.youtube.com/watch?v=lLSe-rlch7w'
    # ======================================================================= #
    # === rf wtiitwitch
    # ======================================================================= #
    when /^wtiitwitch$/i,
         /^twitchwtii$/i,
         'twitch'
      'https://www.twitch.tv/wtii/videos'
    # ======================================================================= #
    # === rf "Ashley Sinclair"
    # ======================================================================= #
    when /^Ashley(_|-| )?Sinclair$/i
      'https://www.xvideos.com/video23332010/delicious_blonde'
    # ======================================================================= #
    # === rf "Fright Night 2"
    # ======================================================================= #
    when /^Fright(_|-| )?Night(_|-| )?2$/i
      'https://www.youtube.com/watch?v=nCnvbsLh_Lc'
    # ======================================================================= #
    # === rf "Mia Khalifa"
    # ======================================================================= #
    when /^Mia(_|-| )?Khalifa$/i,
         /^Mia$/i
      'https://www.eporner.com/video-rlQjji9DxdX/mia-khalifa-big-tits-arab-pornstar-takes-a-fan-s-virginity/'
    # ======================================================================= #
    # === rf bouncing
    # ======================================================================= #
    when 'bouncing',
         'bouncy',
         /^spreadie$/i
      # 'https://www.youtube.com/watch?v=-d_GfBnEf8A'
      'https://www.xvideos.com/video63972853/camsoda_news_network_broadcast_with_reporter_masturbation_on_the_sybian'
    # ======================================================================= #
    # === rf pole_dancing
    # ======================================================================= #
    when /^pole(_|-| )?dancing$/i,
         /^maddie(_|-| )?sparkle(_|-| )?supercut$/i
      'https://www.youtube.com/watch?v=-qKRn_pU3zk'
    # ======================================================================= #
    # === rf italo1
    # ======================================================================= #
    when /^-?-?italo1$/i
      'https://www.youtube.com/watch?v=XDiIkrIuNQ0'
    # ======================================================================= #
    # === rf italo3
    # ======================================================================= #
    when /^-?-?italo3$/i,
         /^-?-?italodisco$/i
      'https://www.youtube.com/watch?v=KyabZRQeQgk'
    # ======================================================================= #
    # === rf "JAMELIA - Superstar"
    # ======================================================================= #
    when /^-?-?JAMELIA(_|-| )?Superstar$/i,
         /^-?-?jamelia$/i
      'https://www.youtube.com/watch?v=5k6Y4-OLlXw'
    # ======================================================================= #
    # === rf "hanson"
    # ======================================================================= #
    when /^-?-?hanson$/i,
         /^-?-?hansen$/i
      'https://www.youtube.com/watch?v=NHozn0YXAeE'
    # ======================================================================= #
    # === rf "Gigi D'Agostino - L'Amour Toujours"
    # ======================================================================= #
    when /^-?-?Gigi(_|-| )?D'Agostino(_|-| )?(_|-| )?(_|-| )?L'Amour(_|-| )?Toujours$/i
      'https://www.youtube.com/watch?v=3e4JdcqnnjM'
    # ======================================================================= #
    # === rf "ronal"
    # ======================================================================= #
    when /^-?-?ronal$/i
      'https://www.youtube.com/watch?v=aX6WTAYSz-s'
    # ======================================================================= #
    # === rf "adams_family1"
    # ======================================================================= #
    when /^-?-?adams(_|-| )?family1$/i
      'https://www.youtube.com/watch?v=_A_aLgc9bJ8&list=PLilCRYq3IZFhlz8h8XH61WQX7Hl0Si3Jv'
    # ======================================================================= #
    # === rf "only with you"
    # ======================================================================= #
    when /^-?-?Only(_|-| )?with(_|-| )?you$/i
      'https://www.youtube.com/watch?v=_vkVXbtqLpI'
    # ======================================================================= #
    # === rf "trilogy of terror"
    # ======================================================================= #
    when /^-?-?trilogy(_|-| )?of(_|-| )?terror$/i
      'https://www.youtube.com/watch?v=vJbkqn8jl3w'
    # ======================================================================= #
    # === rf people_are_awesome
    # ======================================================================= #
    when /^-?-?people(_|-| )?are(_|-| )?awesome$/i,
         'awesome'
      'https://www.youtube.com/watch?v=COwidtYzmJo'
    # ======================================================================= #
    # === rf "Worlds best oneliner"
    # ======================================================================= #
    when /^-?-?Worlds(_|-| )?best(_|-| )?oneliner$/i,
         /^-?-?tell(_|-| )?them(_|-| )?we(_|-| )?are(_|-| )?jewish$/i,
         /^-?-?best(_|-| )?joke$/i,
         /^-?-?joke$/i,
         /^-?-?one(_|-| )?liner$/i
      'https://www.youtube.com/watch?v=5VH4c0-p-CY'
    # ======================================================================= #
    # === rf bouncing_christina
    # ======================================================================= #
    when /^bouncing(_|-| )?christina$/i
      'https://www.youtube.com/watch?v=MvZgoU4ih7M'
    # ======================================================================= #
    # === rf "ZDF Comedy"
    # ======================================================================= #
    when /^ZDF(_|-| )?Comedy$/i
      'https://www.youtube.com/c/ZDFComedy'
    # ======================================================================= #
    # === rf Monique
    # ======================================================================= #
    when /^Monique$/i
      'https://www.youtube.com/channel/UClIIy-aQBXRi1OHupBcrjJw'
    # ======================================================================= #
    # === rf "Star Trek: The Sexed Generation"
    # ======================================================================= #
    when /^-?-?Star(_|-| )?Trek:?(_|-| )?The(_|-| )?Sexed(_|-| )?Generation$/i
      'https://www.youtube.com/watch?v=ReOw_2f4lpY'
    # ======================================================================= #
    # === rf "bbc wwi documentary"
    # ======================================================================= #
    when 'bbc_wwII_documentary',
         'world_war_2_documentary'
      %w(
        https://www.youtube.com/watch?v=PaPSWJruTkw
      )
    # ======================================================================= #
    # === rf "pongfinity"
    # ======================================================================= #
    when /^-?-?pongfinity$/i
      'https://www.youtube.com/c/Pongfinity'
    # ======================================================================= #
    # === rf "The Original - I Luv U Baby"
    # ======================================================================= #
    when /^-?-?The(_|-| )?Original(_|-| )?(_|-| )?(_|-| )?I(_|-| )?Luv(_|-| )?U(_|-| )?Baby$/i
      'https://www.youtube.com/watch?v=ObNNSYJCWuA'
    # ======================================================================= #
    # === rf "L.A. confidential"
    # ======================================================================= #
    when /^L(_|-| )?.?A(_|-| )?.?(_|-| )?confidential$/
      'https://www.youtube.com/watch?v=PZbzK7Zcoog'
    # ======================================================================= #
    # === rf "exploding whale"
    # ======================================================================= #
    when /^exploding(_|-| )?whale$/
      'https://www.youtube.com/watch?v=d2CfYOJ5oxk'
    # ======================================================================= #
    # === rf horror1
    # ======================================================================= #
    when /^horror1$/i,
         /^horror(_|-| )?express$/i,
         /^horror(_|-| )?train$/i
      'https://www.youtube.com/watch?v=4LCtzLEebBI'
    # ======================================================================= #
    # === rf "benny hill orc"
    # ======================================================================= #
    when /^-?-?benny(_|-| )?hill(_|-| )?orc$/i,
         /^-?-?orc1$/i,
         /^-?-?orc(_|-| )?slapstick$/i
      'https://imgur.com/a/fiJ0mWW'
    # ======================================================================= #
    # === rf "hexaflexagon"
    # ======================================================================= #
    when 'hexaflexagon'
      'https://www.youtube.com/watch?v=paQ10POrZh8'
    # ======================================================================= #
    # === rf "call me"
    # ======================================================================= #
    when /^-?-?call(_|-| )?me$/i
      'https://www.youtube.com/watch?v=AEG-gCHSmEA'
    # ======================================================================= #
    # === rf "1420"
    # ======================================================================= #
    when /^-?-?1420$/i,
         /^-?-?1485$/i
      'https://www.youtube.com/channel/UCl4R4M9YVfYjjPmILU2Ie1A'
    # ======================================================================= #
    # === rf lukashenko
    # ======================================================================= #
    when /^lukashenko$/i
      'https://www.youtube.com/watch?v=1JNtiO7nhmo'
    # ======================================================================= #
    # === rf "russian propagandist"
    # ======================================================================= #
    when /^-?-?russian(_|-| )?propagandist$/i
      'https://www.youtube.com/watch?v=FGmQAXfh4tk'
    # ======================================================================= #
    # === rf monster
    # ======================================================================= #
    when /^monsters?$/i,
         /^todd$/i,
         /^monster(_|-| )?michael$/i
      'https://www.youtube.com/user/BreccaBodyByVi'
    # ======================================================================= #
    # === rf michel_telo
    # ======================================================================= #
    when 'michel_telo',
         'ai_se_eu_te_pego',
         'telo',
         'tego'
      'https://www.youtube.com/watch?v=APUxJ8f7PXY'
    # ======================================================================= #
    # === rf kronos_vampire_hunter
    # ======================================================================= #
    when /^kronos(_|-| )?vampire(_|-| )?hunter$/,
         /^kronos$/
      'https://www.youtube.com/watch?v=RsWAVsRefSg'
    # ======================================================================= #
    # === rf fatal_beatings
    # ======================================================================= #
    when /^fatal(_|-| )?beatings?$/i,
         /^shit$/i
      'https://www.youtube.com/watch?v=rJnboi8rOpo'
    # ======================================================================= #
    # === rf 1980
    # ======================================================================= #
    when '1980','1980s'
      'https://www.youtube.com/watch?v=OMOGaugKpzs'
    # ======================================================================= #
    # === rf kevin
    # ======================================================================= #
    when 'kevin','mainlearn' # Immer das aktuellste anzeigen, also "main playlist".
      'https://www.youtube.com/playlist?list=PLlnFrNM93wqyay92Mi49rXZKs7Ih3RBC6'
    # ======================================================================= #
    # === rf who_is_It
    # ======================================================================= #
    when 'who_is_it'
      'https://www.youtube.com/watch?v=T5kyCKPafGA'
    # ======================================================================= #
    # === rf future
    # ======================================================================= #
    when /^future$/i,
         /^captain(_|-| )?future$/i
      'https://www.youtube.com/watch?v=dcjhpETolG0'
    # ======================================================================= #
    # === rf marianne_page
    # ======================================================================= #
    when 'marianne_page'
      'https://www.youtube.com/user/seclusivebeauty'
    # ======================================================================= #
    # === rf slingshot_channel
    # ======================================================================= #
    when /^slingshot(_|-| )?channel$/i,
         /^slingshot$/i
      'https://www.youtube.com/user/JoergSprave'
    # ======================================================================= #
    # === rf daily_dose_of_internet
    # ======================================================================= #
    when /^daily(_|-| )?dose(_|-| )?of(_|-| )?internet$/,
         /^daily(_|-| )?dose$/,
         /^daily$/
      'https://www.youtube.com/channel/UCdC0An4ZPNr_YiFiYoVbwaw'
    # ======================================================================= #
    # === rf trance
    # ======================================================================= #
    when 'trance'
      'https://www.youtube.com/watch?v=d8AXv_jAFVo&list=PLeJs_VIp9-8uRxZXSWeJopTxnCXt3tKnO&index=17'    
    # ======================================================================= #
    # === rf itrainhuman
    # ======================================================================= #
    when 'itrainhuman',
         'itrainhum',
         'playlist2',
         'playlist_itrainhuman'
      'https://www.youtube.com/playlist?annotation_id=annotation_3327182157&feature=iv&list=PLBE734F22791591E0&src_vid=MZnR4NeBN14'
    # ======================================================================= #
    # === rf rope
    # ======================================================================= #
    when 'rope'
      'https://www.youtube.com/watch?v=kC4LXJSFcuk'
    # ======================================================================= #
    # === rf boty_tv
    # ======================================================================= #
    when 'boty_tv',
         'botytv'
      'https://www.youtube.com/user/BOTYTV'
    # ======================================================================= #
    # === rf daniel
    # ======================================================================= #
    when 'daniel'
      'https://www.youtube.com/channel/UC0w4AA42ItXQEb9aZld87-w'
    # ======================================================================= #
    # === rf married_with_children
    # ======================================================================= #
    when 'married_with_children'
      'https://www.youtube.com/watch?v=QG9ZG3N_o1Y&list=PLRdzYKzrrGk_h0Lq8A4rIH3lCb-0tOYhQ'
    # ======================================================================= #
    # === rf davidoff
    # ======================================================================= #
    when 'davidoff'
      'https://www.youtube.com/watch?v=Gd6dnVc9RWc'
    # ======================================================================= #
    # === rf rubykaigi
    # ======================================================================= #
    when /^ruby(_|-| )?kaigi$/i,
         'kaigi'
      'https://www.youtube.com/channel/UCBSg5zH-VFJ42BGQFk4VH2A'
    # ======================================================================= #
    # === rf mistersunshinebaby
    # ======================================================================= #
    when /^mistersunshinebaby$/i,
         /^-?-?top(_|-| )?videos?$/i
      # 'https://www.youtube.com/watch?v=8wi77QkhzN0'
      'https://www.youtube.com/channel/UC6sLjLotevEzaOspcJqEONQ'
    # ======================================================================= #
    # === rf hotelcalifornia
    # ======================================================================= #
    when 'hotel_california',
         'hotelcalifornia'
      'https://www.youtube.com/watch?v=lrfhf1Gv4Tw'
    # ======================================================================= #
    # === rf biden
    # ======================================================================= #
    when 'biden'
      'https://www.youtube.com/watch?v=jjgbAN_SaHg'
    # ======================================================================= #
    # === rf lock_picking_lawyer
    # ======================================================================= #
    when /^lock(_|-| )?picking(_|-| )?lawyer$/,
         /^lock(_|-| )?picking$/
      'https://www.youtube.com/channel/UCm9K6rby98W8JigLoZOh6FQ'
    # ======================================================================= #
    # === rf "El Risitas"
    # ======================================================================= #
    when /^El(_|-| )?Risitas$/i
      'https://www.youtube.com/watch?v=Fkk9DI-8el4'
    # ======================================================================= #
    # === rf albert
    # ======================================================================= #
    when 'albert'
      'https://www.youtube.com/user/IssuesinBiotechnolog'
    # ======================================================================= #
    # === rf takatoriki
    # ======================================================================= #
    when /^takatoriki$/i
      'https://www.youtube.com/channel/UCNxyWUfEIBTV4I1C9E4OyCg'
    # ======================================================================= #
    # === rf bianca
    # ======================================================================= #
    when /^bianca$/i
      'https://www.youtube.com/channel/UChFr9b2WmVnfEzqF8qgonPw'
    # ======================================================================= #
    # === rf hitler_finland
    # ======================================================================= #
    when 'hitler_finland'
      'https://www.youtube.com/watch?v=oET1WaG5sFk'
    # ======================================================================= #
    # === rf my_videos
    # ======================================================================= #
    when 'my_videos','myvideos','myvids','video_manager','videomanager',
         'youtube_manager','myyoutube','video_uploads'
      'https://www.youtube.com/my_videos?o=U'
    # ======================================================================= #
    # === rf daft_bodies
    # ======================================================================= #
    when 'daft_bodies'
      'https://www.youtube.com/watch?v=lLYD_-A_X5E'
    # ======================================================================= #
    # === rf netzkino
    # ======================================================================= #
    when /^netzkino$/i
      'https://www.youtube.com/user/Netzkino'
    # ======================================================================= #
    # === rf "Ron Miscavige"
    # ======================================================================= #
    when /^-?-?Ron(_|-| )?Miscavige$/i
      'https://www.youtube.com/watch?v=FVVdCikBDQk'
    # ======================================================================= #
    # === rf damien_walters
    # ======================================================================= #
    when 'damien_walters'
      'https://www.youtube.com/watch?v=cNvJy0zoXOY'
    # ======================================================================= #
    # === rf happy_bboys
    # ======================================================================= #
    when 'happy_bboys' # BOTY Spain 2015.
      'https://www.youtube.com/watch?v=5sAvkRpoXok'
    # ======================================================================= #
    # === rf your_song
    # ======================================================================= #
    when /^your(_|-| )?song$/
      'https://www.youtube.com/watch?v=cvaycEs1iqM'
    # ======================================================================= #
    # === rf youtube_account
    # ======================================================================= #
    when /^youtube(_|-| )?account$/i,
         /^my(_|-| )?youtube$/i
      'https://www.youtube.com/channel/UC0XpOL-h-ShWF6v_FzbS_tA'
    # ======================================================================= #
    # === rf hug
    # ======================================================================= #
    when 'hug',
         'andy_hug'
      'https://www.youtube.com/watch?v=1voWKqsUtq0'
    # ======================================================================= #
    # === rf "Dom tomato"
    # ======================================================================= #
    when /^dom(_|-| )?tomato$/i,
         'dom',
         'tomato'
      'https://www.youtube.com/channel/UC3jXR-xcjcf9UTkL-tcg3xw'
    # ======================================================================= #
    # === rf "loft"
    # ======================================================================= #
    when /^loft$/i
      'https://www.youtube.com/watch?v=sv0HoBkmEUw'
    # ======================================================================= #
    # === rf "travis heinze"
    # ======================================================================= #
    when /^travis(_|-| )?heinze$/
      'https://www.youtube.com/channel/UCcn9zOucGvUbeW5GuPuDMSw'
    # ======================================================================= #
    # === rf voyage
    # ======================================================================= #
    when 'voyage'
      'https://www.youtube.com/watch?v=6PDmZnG8KsM'
    # ======================================================================= #
    # === rf grubby
    # ======================================================================= #
    when /^grubby$/i
      'https://www.youtube.com/channel/UCCF6pCTGMKdo9r_kFQS-H3Q'
    # ======================================================================= #
    # === rf phoenix
    # ======================================================================= #
    when 'phoenix'
      'https://www.youtube.com/channel/UCUdIf7bDo3I8dWPLV4Q2rTA'
    # ======================================================================= #
    # === rf cosmo
    # ======================================================================= #
    when 'cosmo'
      'https://www.youtube.com/watch?v=sZAxFOy_vYg'
    # ======================================================================= #
    # === rf crota
    # ======================================================================= #
    when 'crota',
         'crotagaming'
      'https://www.youtube.com/user/BlizShouter'
    # ======================================================================= #
    # === rf adalia
    # ======================================================================= #
    when 'adalia',
         'progeria'
      'https://www.youtube.com/channel/UCZnOEZsMyNLNoK_aKOEUU7Q'
    # ======================================================================= #
    # === rf neue_normalität
    # ======================================================================= #
    when /^neue(_|-| )?normalität$/i
      'https://www.youtube.com/channel/UCrqQX2BJMPaEvYGp4MNwiLA'
    # ======================================================================= #
    # === rf issue
    # ======================================================================= #
    when 'issue',
         'morning_of_owl_issue',
         'bboy_issue'
      'https://www.youtube.com/watch?v=uRDK281i_G4'
    # ======================================================================= #
    # === rf funky_town
    # ======================================================================= #
    when /funky_?town/
      'https://www.youtube.com/watch?v=aa4Fa0MZrvU'
    # ======================================================================= #
    # === rf "dosbros"
    # ======================================================================= #
    when /^dosbros$/i,
         /^bosshoss/i
      'https://www.youtube.com/watch?v=rrLSgt5_uuw'
    # ======================================================================= #
    # === rf sumo-basho
    # ======================================================================= #
    when /^sumo(_|-| )?basho$/i,
         'sumo'
      # 'https://www.youtube.com/channel/UCzZ8v5JF3IyxLWOCGKpcP0g'
      'https://www.youtube.com/channel/UCErxT8KRQi3JJEwMCDrcHBg/videos'
    # ======================================================================= #
    # === rf baradul
    # ======================================================================= #
    when 'baradul','mechwarrior',
         'mechs',
         'mech'
      'https://www.youtube.com/channel/UCa-fkypLpFQjKhsoscKoodg'
    # ======================================================================= #
    # === rf "Vincent De Moor - Eternity Forever"
    # ======================================================================= #
    when /^Vincent(_|-| )?De(_|-| )?Moor(_|-| )?(_|-| )?(_|-| )?Eternity(_|-| )?Forever$/i,
         'last'
      'https://www.youtube.com/watch?v=Rhnn_nJuX14'
    # ======================================================================= #
    # === rf dübel
    # ======================================================================= #
    when 'dübel'
      'https://www.youtube.com/watch?v=zJcgxR0UPOI'
    # ======================================================================= #
    # === rf whats_my_line
    # ======================================================================= #
    when 'whats_my_line'
      'https://www.youtube.com/channel/UChPE75Fvvl1HmdAsO7Nzb8w'
    # ======================================================================= #
    # === rf techzone
    # ======================================================================= #
    when 'techzone'
      'https://www.youtube.com/channel/UC6H07z6zAwbHRl4Lbl0GSsw'
    # ======================================================================= #
    # === rf theradbrad
    # ======================================================================= #
    when /^theradbrad$/i,
         /^radbrad$/i,
         /^brad$/i,
         /^rad$/i
      'https://www.youtube.com/user/theRadBrad'    
    # ======================================================================= #
    # === rf matz_talk
    # ======================================================================= #
    when 'matz_talk','matztalk'
      'https://www.youtube.com/watch?v=1l3U1X3z0CE'
    # ======================================================================= #
    # === rf npc_oblivion
    # ======================================================================= #
    when /^npc(_|-| )?oblivion$/i
      'https://www.youtube.com/watch?v=9VyYNuZnIac'
    # ======================================================================= #
    # === rf sexy_ass
    # ======================================================================= #
    when 'sexy_ass'
      'https://www.youtube.com/watch?v=KZktOp0vAZc'
    # ======================================================================= #
    # === rf noodle
    # ======================================================================= #
    when /^noodle$/i
      'https://www.youtube.com/channel/UCC7NbKderAsMgHowATfqxNA'
    # ======================================================================= #
    # === rf asylum
    # ======================================================================= #
    when /^asylum$/i,
         /^the(_|-| )?asylum$/i
      'https://www.youtube.com/watch?v=w1GGdEOz044'
    # ======================================================================= #
    # === rf hiroyuki
    # ======================================================================= #
    when 'hiroyuki',
         'sanada'
      'https://www.youtube.com/watch?v=WHye0Ob5Gxg'
    # ======================================================================= #
    # === rf maytree
    # ======================================================================= #
    when /^may(_|-| )?tree$/i
      'https://www.youtube.com/channel/UC3mY2SKYhPjqImtBBXsR6_Q'
    # ======================================================================= #
    # === rf BOTY1997
    # ======================================================================= #
    when /^BOTY(_|-| )?1997$/i
      'https://www.youtube.com/watch?v=dlh1drIGBgQ'
    # ======================================================================= #
    # === rf one_night_in_bangkok
    # ======================================================================= #
    when /one_?night_?in_?bangkok/i,'onenight',
         'thai',
         'bangkok'
      'https://www.youtube.com/watch?v=tBu-ewMRhkA' # 'https://www.youtube.com/watch?v=D4N6MqD1-40' # 'https://www.youtube.com/watch?v=tBu-ewMRhkA'
    # ======================================================================= #
    # === rf witti
    # ======================================================================= #
    when 'witty','wtii','wti','wtii_youtube','wyoutube',
         'wyou','witti'
      'https://www.youtube.com/user/WTii1/videos'
    # ======================================================================= #
    # === rf wt
    # ======================================================================= #
    when 'wt'
      'https://www.youtube.com/user/WTii1?feature=watch'
    # ======================================================================= #
    # === rf wtii_playlist
    # ======================================================================= #
    when /^wtii(_|-| )?playlist$/i
      'https://www.youtube.com/watch?v=wc8GJ9NB7Qg&list=PLtRq4BZLKAP2rQsiPaLy-UMzU8aWxue56'
    # ======================================================================= #
    # === rf the_medusa_touch
    # ======================================================================= #
    when /^the(_|-| )?medusa(_|-| )?touch$/,
         'medusa'
      'https://www.youtube.com/watch?v=y-4Nt4PV_sw'
    # ======================================================================= #
    # === rf paolo
    # ======================================================================= #
    when 'paolo'
      'https://www.youtube.com/channel/UCixD9UbKvDxzGNiPC_fgHyA'
    # ======================================================================= #
    # === rf kleinwalsertal
    # ======================================================================= #
    when 'kleinwalsertal',
         'kleinwalser'
      'https://www.youtube.com/watch?v=Uyi6PiOPj3E'
    # ======================================================================= #
    # === rf franzese
    # ======================================================================= #
    when /^franzese$/i
      'https://www.youtube.com/user/MichaelFranzese'
    # ======================================================================= #
    # === rf themanagement
    # ======================================================================= #
    when /^the(_|-| )?management$/i
      'https://www.youtube.com/channel/UC951AqujycbBI083GmKRY3A'
    # ======================================================================= #
    # === rf "marble machine"
    # ======================================================================= #
    when /^-?-?marble(_|-| )?machine$/i
      'https://www.youtube.com/watch?v=IvUU8joBb1Q'
    # ======================================================================= #
    # === rf boku_lehrvideo
    # ======================================================================= #
    when 'boku_lehrvideo' # 27.09.2013
      'https://www.youtube.com/watch?v=lDdFAhpLm_M'
    # ======================================================================= #
    # === rf "polly matzinger"
    # ======================================================================= #
    when /^-?-?polly(_|-| )?matzinger$/i
      'https://www.youtube.com/watch?v=W-GPDDVGF4Y'
    # ======================================================================= #
    # === rf shana_ski_retreat
    # ======================================================================= #
    when 'shana_ski_retreat'
      'https://www.youtube.com/watch?v=jZFSQrfR3qU'
    # ======================================================================= #
    # === rf "trial"
    # ======================================================================= #
    when /^trial$/i
      'https://www.youtube.com/watch?v=8yIvU3j6-QI'
    # ======================================================================= #
    # === rf remi
    # ======================================================================= #
    when 'remi',
         'remy'
      'https://www.youtube.com/watch?v=jI73sAqDsL4' # 25.03.2017
    # ======================================================================= #
    # === rf "ozzy_man"
    # ======================================================================= #
    when /^ozzy(_|-| )?man$/i
      'https://www.youtube.com/user/ozzymanreviews'
    # ======================================================================= #
    # === rf pusic
    # ======================================================================= #
    when /^pusic$/i
      'https://www.youtube.com/channel/UCyIqcxz-vR_o2GK4HWuZL8w'
    # ======================================================================= #
    # === rf gould
    # ======================================================================= #
    when /^gould2?$/i,
         /^chris_sumo$/i,
         /^sumo2$/i
      'https://www.youtube.com/channel/UCIk5AQ47TYq8PQRoeM47LqQ'
    # ======================================================================= #
    # === how_the_ISS_works
    # ======================================================================= #
    when /^how_the_ISS_works$/i
      'https://www.youtube.com/watch?v=SGP6Y0Pnhe4&t=1157s'
    # ======================================================================= #
    # === rf wt3 
    # ======================================================================= #
    when 'wt3',
         'wt2',
         'wtiiwarcraft'
      'https://www.youtube.com/user/wtiiwarcraft/videos'
    # ======================================================================= #
    # === rf "cat_politely_asking_to_get_pet"
    # ======================================================================= #
    when /^cat(_|-| )?politely(_|-| )?asking(_|-| )?to(_|-| )?get(_|-| )?pet$/i
      'https://www.youtube.com/watch?v=Y2T4caGlK80'
    # ======================================================================= #
    # === rf "tricking"
    # ======================================================================= #
    when /^tricking$/i
      'https://www.youtube.com/watch?v=VFG-BecTtuU'
    # ======================================================================= #
    # === rf "chorus"
    # ======================================================================= #
    when /^chorus$/i
      'https://www.youtube.com/watch?v=A8LV75PMseU'
    # ======================================================================= #
    # === rf "Something Got Me Started"
    # ======================================================================= #
    when /^Something(_|-| )?Got(_|-| )?Me(_|-| )?Started$/i
      'https://www.youtube.com/watch?v=DMgVS2j05HA'
    # ======================================================================= #
    # === rf "wear a helmet"
    # ======================================================================= #
    when /^wear(_|-| )?a(_|-| )?helmet$/i
      'https://www.youtube.com/watch?v=6KBgXzQz0cA'
    # ======================================================================= #
    # === rf "he can pee in me anytime"
    # ======================================================================= #
    when /^he(_|-| )?can(_|-| )?pee(_|-| )?in(_|-| )?me(_|-| )?anytime$/i,
         /^pee(_|-| )?in(_|-| )?me(_|-| )?anytime$/i,
         /^pee(_|-| )?in(_|-| )?me$/i
      'https://www.youtube.com/watch?v=1haT0gEqesY'
    # ======================================================================= #
    # === rf viral_lectures
    # ======================================================================= #
    when 'viral_lectures','virallectures'
      'https://www.youtube.com/watch?v=HCFmr0H6VsE'
    # ======================================================================= #
    # === rf tellmeapoem
    # ======================================================================= #
    when 'tell_me_a_poem','tellmeapoem'
      'https://www.youtube.com/watch?v=C2eELbIPVzA'
    # ======================================================================= #
    # === rf funka_fliaga
    # ======================================================================= #
    when /^funka(_|-| )?fliaga$/
      'https://www.youtube.com/watch?v=i67-WMmQRCM'
    # ======================================================================= #
    # === rf "Interview With A Serial Killer"
    # ======================================================================= #
    when /^Interview(_|-| )?With(_|-| )?A(_|-| )?Serial(_|-| )?Killer$/i
      'https://www.youtube.com/watch?v=NQNwjEkszvg'
    # ======================================================================= #
    # === rf "Creature Features"
    # ======================================================================= #
    when /^Creature(_|-| )?Features?$/i
      'https://www.youtube.com/channel/UCqj7_lh8E9q8pLsJN49JB4w'
    # ======================================================================= #
    # === rf "hanni"
    # ======================================================================= #
    when /^hanni$/i
      'https://www.youtube.com/channel/UCE-ySPkiN3NwaNhTzumlMkw'
    # ======================================================================= #
    # === rf "Dont stop movin"
    # ======================================================================= #
    when /^Dont(_|-| )?Stop(_|-| )?Movin$/i
      'https://www.youtube.com/watch?v=vm262cXxRrU'
    # ======================================================================= #
    # === rf "sommer sommer sommer"
    # ======================================================================= #
    when /^sommer(_|-| )?sommer(_|-| )?sommer?$/i
      'https://www.youtube.com/watch?v=lhhhoz1CKi4'
    # ======================================================================= #
    # === rf rossmann
    # ======================================================================= #
    when /^rossmann?$/i
      'https://www.youtube.com/user/rossmanngroup'
    # ======================================================================= #
    # === rf devon
    # ======================================================================= #
    when 'devon',
         /^devon(_|-| )?larratt?$/i
      'https://www.youtube.com/channel/UCBcMvaSRmSh3362bzvOBerw'
    # ======================================================================= #
    # === rf college_prank
    # ======================================================================= #
    when /^college(_|-| )?prank$/i
      'https://www.youtube.com/watch?v=1lyHQLyZUuM'
    # ======================================================================= #
    # === rf fotonovela
    # ======================================================================= #
    when /^fotonovela$/i,
         /^telenovela$/i
      'https://www.youtube.com/watch?v=jzDEAc4uvmY'
    # ======================================================================= #
    # === rf abba
    # ======================================================================= #
    when 'abba'
      'https://www.youtube.com/watch?v=XEjLoHdbVeE'
    # ======================================================================= #
    # === rf lehto
    # ======================================================================= #
    when /^-?-?lehto$/i
      'https://www.youtube.com/channel/UCMljRGC0eBJrxbUorWEnasg'
    # ======================================================================= #
    # === rf the_stepford_wives
    # ======================================================================= #
    when /^the(_|-| )?stepford(_|-| )?wives$/i,
         /^stepford(_|-| )?wives$/i,
         /^stepford$/i,
         /^stepfordshire$/i
      'https://www.youtube.com/watch?v=WoJOS15B-8U'
    # ======================================================================= #
    # === rf DirectD
    # ======================================================================= #
    when /^-?-?direct(_|-| )?d$/i
      'https://www.youtube.com/c/DirectDAudits'
    # ======================================================================= #
    # === rf croco
    # ======================================================================= #
    when /^croco$/i,
         /^gator$/i,
         /^crocs$/i
      'https://www.youtube.com/channel/UCymCXSxL75k-E7pNYAujSEg'
    # ======================================================================= #
    # === rf evolution_documentary
    # ======================================================================= #
    when 'evolution_documentary'
      'https://www.youtube.com/watch?v=lZqsVKqUEpA'
    # ======================================================================= #
    # === rf "tods_workshop"
    # ======================================================================= #
    when /^tod'?s(_|-| )?workshop$/i
      'https://www.youtube.com/user/todsstuff1'
    # ======================================================================= #
    # === rf genocide_ethiopia
    # ======================================================================= #
    when /^genocide(_|-| )?ethiopia$/
      'https://www.youtube.com/watch?v=ZDSHgitOTcI'
    # ======================================================================= #
    # === rf italo2
    # ======================================================================= #
    when /^-?-?italo2$/i,
         /^-?-?Italo(_|-| )?Disco(_|-| )?Megamix(_|-| )?Club(_|-| )?80\'s(_|-| )?Megamix$/i
      'https://www.youtube.com/watch?v=UThepL8I-Os'
    # ======================================================================= #
    # === rf "audit_the_audit"
    # ======================================================================= #
    when /^audit(_|-| )?the(_|-| )?audit$/i
      'https://www.youtube.com/channel/UCc-0YpRpqgA5lPTpSQ5uo-Q'
    # ======================================================================= #
    # === rf "city of the dead"
    # ======================================================================= #
    when /^-?-?city(_|-| )?of(_|-| )?the(_|-| )?dead$/i,
         /^-?-?city(_|-| )?of(_|-| )?dead$/i,
         /^-?-?the(_|-| )?city(_|-| )?of(_|-| )?dead$/i
      'https://www.youtube.com/watch?v=EATP4oOr6PA'
    # ======================================================================= #
    # === rf "oatmeal"
    # ======================================================================= #
    when /^oatmeal$/i
      'https://www.youtube.com/watch?v=i4QYvXpaXlY'
    # ======================================================================= #
    # === rf NileRed
    # ======================================================================= #
    when /^-?-?Nile(_|-| )?red$/i
      'https://www.youtube.com/c/NileRed'
    # ======================================================================= #
    # === rf "Live World"
    # ======================================================================= #
    when /^-?-?Live(_|-| )?World$/i
      'https://www.youtube.com/channel/UCA2jUUNoi3vNuTOaiNDLOsA'
    # ======================================================================= #
    # === rf "Tod's workshop"
    # ======================================================================= #
    when /^Tod's(_|-| )?workshop$/i,
         /^tod$/i
      'https://www.youtube.com/channel/UCWnlQMQ-ACfhpD68yWRsnJw'
    # ======================================================================= #
    # === rf "N-Trance - Stayin' Alive"
    # ======================================================================= #
    when /^-?-?N-Trance(_|-| )?(_|-| )?(_|-| )?Stayin'?(_|-| )?Alive$/i
      'https://www.youtube.com/watch?v=qiKOif0UKRM'
    # ======================================================================= #
    # === rf kocher-arsch-foto
    # ======================================================================= #
    when /^-?-?kocher(_|-| )?arsch(_|-| )?foto$/i
      'https://www.youtube.com/watch?v=D50reKS2Wag'
    # ======================================================================= #
    # === rf proxy_youtube
    # ======================================================================= #
    when /^proxy(_|-| )?youtube$/
      'https://eu0.proxysite.com/process.php?d=wAXtcal4d3DG8ejUEHZIVY0T5yeumE60DSaP&b=1'
    else
      return i # Must return the original input in this case.
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.video_menu(:paper)
end