#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/traditional_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.traditional_menu
  #
  # This used to be BeautifulUrl.traditional_menu() in the past, but in
  # February 2022 it was put into a new toplevel method.
  # ========================================================================= #
  def self.traditional_menu(i)
    # ======================================================================= #
    # === REMOTE LINKS (main tag, remote tag, remote links tag, rem tag
    #                   remot tag)
    # Now come the REMOTE links. Do NOT put local links here!      (else tag)
    # ======================================================================= #
    case i # downcasing works better. (case tag, cas tag)
    # ======================================================================= #
    # === rf libgen
    # ======================================================================= #
    when /^libgen$/,
         'library',
         'supertorrent',
         /^megapdf?/,
         'superpdf',
         'metapdf',
         'megpadf'
      # 'http://libgen.io/'
      # 'https://libgen.is/' # ← Seems to be valid since August 2019.
      'https://libgen.rs/'# ← Seems to be valid since October 2020.
    # ======================================================================= #
    # === rf robert-miles
    # ======================================================================= #
    when /^-?-?robert(_|-| )?miles?$/i
      'https://en.wikipedia.org/wiki/Robert_Miles'
    # ======================================================================= #
    # === rf wiener-linien
    # ======================================================================= #
    when /^-?-?wiener(_|-| )?linien?$/i
      'https://www.wienerlinien.at/jahreskarte'
    # ======================================================================= #
    # === rf 2
    # ======================================================================= #
    when /^-?-?2?$/i
      'https://tuwel.tuwien.ac.at/course/view.php?id=54379'
    # ======================================================================= #
    # === rf kissinger
    # ======================================================================= #
    when /^-?-?kissinger?$/i
      'https://en.wikipedia.org/wiki/Henry_Kissinger'
    # ======================================================================= #
    # === rf feist-blog
    # ======================================================================= #
    when /^-?-?feist(_|-| )?blog?$/i
      'http://www.crydee.com/raymond-feist/blog'
    # ======================================================================= #
    # === rf next-purchase
    # ======================================================================= #
    when /^-?-?next(_|-| )?purchase?$/i
      'https://geizhals.at/gigabyte-brix-extreme-gb-ber5-5500-a2790908.html?hloc=at' # Kostete 476 Euro bei haym im März 2023.
    # ======================================================================= #
    # === rf externe-festplatten
    # ======================================================================= #
    when /^-?-?externe(_|-| )?festplatten?$/i,
         /^-?-?externe(_|-| )?usb?$/i,
         /^-?-?usb(_|-| )?festplatten?$/i
      'https://geizhals.at/?cat=hdx&v=e&hloc=at&sort=p&bl1_id=30&xf=6_1000' # Ab 1 TB.
    # ======================================================================= #
    # === rf pocke
    # ======================================================================= #
    when /^pocke$/
      'https://github.com/pocke'
    # ======================================================================= #
    # === rf opus
    # ======================================================================= #
    when /^opus$/
      'https://en.wikipedia.org/wiki/Opus_(Austrian_band)'
    # ======================================================================= #
    # === rf complang
    # ======================================================================= #
    when /^complang$/
      'https://b3.complang.tuwien.ac.at/'
    # ======================================================================= #
    # === rf antamar
    # ======================================================================= #
    when /^antamar$/i
      'https://eisentrutz.antamar.eu/spiel.php' # 'https://eisentrutz.antamar.eu/login.php'
    # ======================================================================= #
    # === rf autogenerate_spaceships
    # ======================================================================= #
    when 'autogenerate_spaceships',
         '3D_spaceships',
         'spaceships',
         '3dship'
      'https://github.com/a1studmuffin/SpaceshipGenerator'
    # ======================================================================= #
    # === rf "spyder"
    # ======================================================================= #
    when /^spyder$/i
      'https://www.spyder-ide.org/'
    # ======================================================================= #
    # === rf "fighting fantasy gamebook"
    # ======================================================================= #
    when /^fighting(_|-| )?fantasy(_|-| )?gamebook$/i,
         /^fighting(_|-| )?fantasy(_|-| )?archive$/i,
         /^all(_|-| )?gamebooks$/i
      'https://www.annarchive.com/fighting_fantasy.html'
    # ======================================================================= #
    # === rf combat-results-table-lone-wolf
    #
    # This combat-sheet is for the lone wolf gamebooks series.
    # ======================================================================= #
    when /^-?-?combat(_|-| )?results(_|-| )?table(_|-| )?lone(_|-| )?wolf$/i,
         /^-?-?combat(_|-| )?sheet$/i,
         /^-?-?action(_|-| )?chart$/i
      'https://www.projectaon.org/en/xhtml/lw/01fftd/crtable.htm'
    # ======================================================================= #
    # === rf "lore-circles"
    # ======================================================================= #
    when /^lore(_|-| )?circles$/i
      'https://www.projectaon.org/en/xhtml/lw/07cd/lorecrcl.htm'
    # ======================================================================= #
    # === rf "politiker-hacker"
    # ======================================================================= #
    when /^politiker(_|-| )?hacker$/i
      'https://de.wikipedia.org/wiki/Peter_Hacker_(Politiker)'
    # ======================================================================= #
    # === rf "covid19_romania"
    # ======================================================================= #
    when /^covid19(_|-| )?romania$/i
      'https://ourworldindata.org/explorers/coronavirus-data-explorer?zoomToSelection=true&time=2020-03-01..latest&facet=none&pickerSort=desc&pickerMetric=total_vaccinations_per_hundred&Metric=Confirmed+cases&Interval=7-day+rolling+average&Relative+to+Population=false&Align+outbreaks=false&country=AUT~ROU'
    # ======================================================================= #
    # === rf "Marvin Sketch"
    # ======================================================================= #
    when /^Marvin(_|-| )?Sketch$/i
      'https://chemaxon.com/products/marvin'
    # ======================================================================= #
    # === rf FANs
    # ======================================================================= #
    when /^-?-?FANs?$/i
      'https://geizhals.at/?cat=cpucooler'
    # ======================================================================= #
    # === rf online-pdf-merger
    # ======================================================================= #
    when /^-?-?online(_|-| )?pdf(_|-| )?merger$/i
      'https://www.freepdfconvert.com/'
    # ======================================================================= #
    # === rf reddit
    # ======================================================================= #
    when 'reddit',
         'reddi',
         'treddit',
         /programmingreddit/
      'https://old.reddit.com/r/programming/'
    # ======================================================================= #
    # === rf weiße-Farbe
    # ======================================================================= #
    when /^-?-?weiße(_|-| )?farbe$/i,
         /^-?-?OBI(_|-| )?farbe$/i
      'https://www.obi.at/weisse-wandfarben/obi-wandfarbe-arcticweiss-matt-1-l/p/2171858'
    # ======================================================================= #
    # === rf the-cell-theory
    # ======================================================================= #
    when /^-?-?the(_|-| )?cell(_|-| )?theory$/i
      'https://en.wikipedia.org/wiki/Cell_theory'
    # ======================================================================= #
    # === rf slackware-iso-files
    # ======================================================================= #
    when /^-?-?slackware(_|-| )?iso(_|-| )?files$/i
      'https://mirrors.slackware.com/slackware/slackware-iso/?C=M;O=D'
    # ======================================================================= #
    # === rf NATO-reddit
    # ======================================================================= #
    when /^-?-?NATO(_|-| )?reddit$/i
      'https://old.reddit.com/r/nato/'
    # ======================================================================= #
    # === rf spar
    # ======================================================================= #
    when /^-?-?spar$/i
      'https://www.interspar.at/standorte'
    # ======================================================================= #
    # === rf tass
    # ======================================================================= #
    when /^-?-?tass$/i
      'https://tass.com/'
    # ======================================================================= #
    # === rf ebassi
    # ======================================================================= #
    when /^-?-?ebassi$/i
      'https://gitlab.gnome.org/ebassi'
    # ======================================================================= #
    # === rf rechtsinformationssystem_des_bundes
    # ======================================================================= #
    when /^-?-?rechtsinformationssystem(_|-| )?des(_|-| )?bundes$/i,
         /^-?-?bka(_|-| )?gv$/i
      'https://www.ris.bka.gv.at/'
    # ======================================================================= #
    # === rf google-at
    # ======================================================================= #
    when /^-?-?google(_|-| )?at$/i
      'https://www.google.at/'
    # ======================================================================= #
    # === rf browser-fingerprint
    # ======================================================================= #
    when /^-?-?browser(_|-| )?fingerprint$/i
      'https://amiunique.org/fp'
    # ======================================================================= #
    # === rf geld-wechseln
    # ======================================================================= #
    when /^-?-?geld(_|-| )?wechseln$/i
      'https://www.sparkasse.at/sgruppe/privatkunden/digitales-banking/geld-wechseln'
    # ======================================================================= #
    # === rf thermoproteales
    # ======================================================================= #
    when /^-?-?thermoproteales$/i,
         /^-?-?local(_|-| )?thermoproteales$/i
      'https://en.wikipedia.org/wiki/Thermoproteales'
    # ======================================================================= #
    # === rf Manchester
    # ======================================================================= #
    when /^-?-?Manchester$/i
      'https://en.wikipedia.org/wiki/Manchester'
    # ======================================================================= #
    # === rf NATO
    # ======================================================================= #
    when /^-?-?NATO$/i
      'https://en.wikipedia.org/wiki/NATO'
    # ======================================================================= #
    # === rf franz-driendl
    # ======================================================================= #
    when /^-?-?franz(_|-| )?driendl$/i
      'https://www.instagram.com/franzmoses/'
    # ======================================================================= #
    # === rf "fahrrad"
    # ======================================================================= #
    when /^-?-?fahrrad$/i,
         /^-?-?fahrräder$/i
      'https://geizhals.at/?cat=spradtrack'
    # ======================================================================= #
    # === rf "cyanobacteria"
    # ======================================================================= #
    when /^-?-?cyanobacteria$/i
      'https://en.wikipedia.org/wiki/Cyanobacteria'
    # ======================================================================= #
    # === rf "DJ Tonka"
    # ======================================================================= #
    when /^-?-?D\.?J\.?(_|-| )?Tonka$/i
      'https://de.wikipedia.org/wiki/DJ_Tonka#Singles_und_EPs'
    # ======================================================================= #
    # === rf musk
    # ======================================================================= #
    when /^musk$/
      'https://old.reddit.com/r/elonmusk/'
    # ======================================================================= #
    # === rf nakwon
    # ======================================================================= #
    when 'nakwon',
         'nokwan',
         'nako',
         'nato',
         'koreaner'
      'https://www.nakwon.at/'
    # ======================================================================= #
    # === rf bip_gesamt
    # ======================================================================= #
    when 'bruttosozialprodukt','bip_gesamt',
         /brutto_?inlandsprodukt/,
         'reichste_länder',
         /gesamt_?bip/,
         'reiche_länder',
         'bip_länder',
         'bsp',
         'wohlstand',
         /total(_|-| )?bip/,
         /bip$/i,
         /gross$/i
      'https://en.wikipedia.org/wiki/List_of_countries_by_GDP_(nominal)_per_capita#Table'
    # ======================================================================= #
    # === rf die-welt
    # ======================================================================= #
    when /^-?-?die(_|-| )?welt$/i
      'https://www.youtube.com/@WELTVideoTV'
    # ======================================================================= #
    # === rf hela-cells
    # ======================================================================= #
    when /^-?-?hela(_|-| )?cells$/i,
         /^-?-?hela$/i
      'https://www.atcc.org/products/ccl-2'
    # ======================================================================= #
    # === rf klamm-map
    # ======================================================================= #
    when /^-?-?klamm(_|-| )?map$/i,
         /^-?-?klamm$/i
      'https://www.google.com/maps/place/Brettner+S%C3%A4ge-+u.+Hobelwerk+Inh.+A.+Weinzettl/@47.66097,15.8678083,3a,55.9y,147.62h,90.69t/data=!3m6!1e1!3m4!1sHDPf2nGL6egCzLoC6PS_dw!2e0!7i16384!8i8192!4m8!1m2!2m1!1sklamm+am+semmering!3m4!1s0x476dded08bd03e99:0xfec6d9a6341921ca!8m2!3d47.6596384!4d15.8758754'
    # ======================================================================= #
    # === rf darth-vader-dance
    # ======================================================================= #
    when /^-?-?darth(_|-| )?vader(_|-| )?dance$/i
      'https://www.youtube.com/watch?v=8kmzUpQDBTU'
    # ======================================================================= #
    # === rf levan
    # ======================================================================= #
    when /^-?-?levan$/i
      'https://en.wikipedia.org/wiki/Levan_Saginashvili'
    # ======================================================================= #
    # === rf hofer-lebensmittel
    # ======================================================================= #
    when /^-?-?hofer(_|-| )?lebensmittel$/i
      'https://www.roksh.at/hofer/home?utm_source=hofer.at&utm_medium=referral&utm_campaign=lieferservice&utm_content=navigation'
    # ======================================================================= #
    # === rf etec
    # ======================================================================= #
    when /^-?-?e(_|-| )?tec$/i
      'https://www.e-tec.at/kundenstammdaten.php'
    # ======================================================================= #
    # === rf etec_homepage
    # ======================================================================= #
    when /^-?-?e(_|-| )?tec(_|-| )?homepage$/i
      'https://www.e-tec.at'
    # ======================================================================= #
    # === rf "java-reddit"
    # ======================================================================= #
    when /^java(_|-| )?reddit?$/i,
         /^reddit(_|-| )?java?$/i
      'https://old.reddit.com/r/java/'
    # ======================================================================= #
    # === rf "SD-cards"
    # ======================================================================= #
    when /^sd(_|-| )?cards?$/i
      'https://geizhals.at/?cat=sm_sdhc&xf=15024_microSD'
    # ======================================================================= #
    # === rf "gtk-docs"
    # ======================================================================= #
    when /^gtk(_|-| )?docs?$/i
      'https://devdocs.io/gtk/'
    # ======================================================================= #
    # === rf "kehrtermin"
    # ======================================================================= #
    when /^kehrtermin$/i
      'https://www.rauchfangkehrer.wien/kehrtermine/kehrtermin?blackRfkId=154&identNr=309#content'
    # ======================================================================= #
    # === rf "trailer"
    # ======================================================================= #
    when /^trailer$/i
      'https://www.youtube.com/watch?v=j0H0QBOym98'
    # ======================================================================= #
    # === rf "CSS reddit"
    # ======================================================================= #
    when /^CSS(_|-| )?reddit$/i
      'https://old.reddit.com/r/css/'
    # ======================================================================= #
    # === rf "Hannover"
    # ======================================================================= #
    when /^Hannover$/i
      'https://de.wikipedia.org/wiki/Hannover'
    # ======================================================================= #
    # === rf "Project Aon"
    # ======================================================================= #
    when /^Project(_|-| )?Aon$/i
      'https://www.projectaon.org/en/Main/Books'
    # ======================================================================= #
    # === rf "lonewolf"
    # ======================================================================= #
    when /^lone(_|-| )?wolf$/i
      'https://en.wikipedia.org/wiki/Lone_Wolf_(gamebooks)'
    # ======================================================================= #
    # === rf "lonewolf1"
    # ======================================================================= #
    when /^lone(_|-| )?wolf1$/i
      'https://www.projectaon.org/en/xhtml/lw/01fftd/title.htm'
    # ======================================================================= #
    # === rf notebook
    # ======================================================================= #
    when /^notebook$/i
      'https://geizhals.at/?o=53'
    # ======================================================================= #
    # === rf world_clock
    # ======================================================================= #
    when /^world(_|-| )?clock$/i,
      'https://www.timeanddate.com/worldclock/'
    # ======================================================================= #
    # === vienna_time
    # ======================================================================= #
    when 'vienna_time','weltzeit',
         'online_clock',
         'clock',
         'time',
         'worldtime',
         'uhrzeit'
      'https://www.timeanddate.com/worldclock/austria/vienna'
    # ======================================================================= #
    # === rf "tracking1"
    # ======================================================================= #
    when /^tracking1$/i,
         /^transport1$/i,
         /^transaction1$/i
      'https://www.post.at/en/s/item-details?snr=RO791686157AT'
    # ======================================================================= #
    # === rf "Green Revolution"
    # ======================================================================= #
    when /^green(_|-| )?revolution$/i
      'https://en.wikipedia.org/wiki/Green_Revolution'
    # ======================================================================= #
    # === rf "gramicidin"
    # ======================================================================= #
    when /^grami?cidin$/i
      'https://en.wikipedia.org/wiki/Gramicidin'
    # ======================================================================= #
    # === rf postamt
    # ======================================================================= #
    when /^postamt$/i,
         /^postoffice$/i
      'https://www.offen.net/wien/oesterreichische-post-6P258U/'
    # ======================================================================= #
    # === rf "Jesse Gelsinger"
    # ======================================================================= #
    when /^Jesse(_|-| )?Gelsinger$/i
      'https://en.wikipedia.org/wiki/Jesse_Gelsinger'
    # ======================================================================= #
    # === rf "Epic Roof Jump"
    # ======================================================================= #
    when /^Epic(_|-| )?Roof(_|-| )?Jump$/i
      'https://www.youtube.com/watch?v=f0xyzj545tc'
    # ======================================================================= #
    # === rf "Jerry Lewis Harassment"
    # ======================================================================= #
    when /^jerry(_|-| )?lewis(_|-| )?harassment$/i
      'https://www.youtube.com/watch?v=ddH-T91K0tU'
    # ======================================================================= #
    # === rf "True Lies"
    # ======================================================================= #
    when /^true(_|-| )?lies$/i
      'https://www.imdb.com/title/tt0111503/'
    # ======================================================================= #
    # === rf "time favicon"
    # ======================================================================= #
    when /^time(_|-| )?favicon$/i
      'https://i.imgur.com/m5hxywD.png'
    # ======================================================================= #
    # === rf "random favicon"
    # ======================================================================= #
    when /^random(_|-| )?favicon$/i
      'https://i.imgur.com/GR8pcxq.png'
    # ======================================================================= #
    # === rf "a fat cat"
    # ======================================================================= #
    when /^a(_|-| )?fat(_|-| )?cat$/i,
         /^fat(_|-| )?cat$/i
      'https://i.imgur.com/h8CTcxq.png'
    # ======================================================================= #
    # === rf "tastaturen"
    # ======================================================================= #
    when /^tastaturen$/i,
         /^tastatur$/i,
         /^keyboards$/i
      'https://geizhals.at/?cat=kb'
    # ======================================================================= #
    # === rf mäuse
    # ======================================================================= #
    when /^-?-?mäuse/i
      'https://geizhals.at/?cat=mouse'
    # ======================================================================= #
    # === rf online_banking
    # ======================================================================= #
    when 'erste',
         /^-?-?online_?banking/,
         /^-?-?erste_?bank/,
         /^-?-?erste(_|-| )?bank(_|-| )?george$/i,
         'onlinebank',
         'banking',
         'onlinebanken',
         'netbanking'
      # 'https://www.sparkasse.at/erstebank'
      # 'https://netbanking.sparkasse.at/casserver/login?service=https%3A%2F%2Fnetbanking.sparkasse.at%2FsPortal%2FvalidLogin.jsp&layout=netbanking&lang=de&channel=NB&desk=sparkasse_de_0198&loginType=0&referer=www.sparkasse.at&cookieEnabled=true&javaon=false&checked=true&status=3'
      # 'https://netbanking.sparkasse.at/casserver/login;CASJSESSIONID=mlMpXgJYJLWHGT1yJCX4shyhBQ554cJvv2fvhXXgN1JRf8wy1Twm!2054839813?service=https%3A%2F%2Fnetbanking.sparkasse.at%2FsPortal%2FvalidLogin.jsp&layout=netbanking&lang=de&codPortal=SP&channel=NB&desk=sparkasseat_de_0009&loginType=0&referer=netbanking.sparkasse.at&cookieEnabled=true&javaon=false&checked=true&status=3'
      # 'https://netbanking.sparkasse.at/sPortal/nbcontent/sPortal/index.html'
      # 'https://netbanking.sparkasse.at/casserver/login?service=https%3A%2F%2Fnetbanking.sparkasse.at%2FsPortal%2FvalidLogin.jsp&layout=netbanking&lang=de&codPortal=SP&channel=NB&desk=sparkasseat_de_0009&loginType=0&referer=netbanking.sparkasse.at&cookieEnabled=true&javaon=false&checked=true&status=3'
      'https://george.sparkasse.at/'
    # ======================================================================= #
    # === rf remote-der-standard
    # ======================================================================= #
    when 'standard',
         'stand',
         'derstd',
         'dstd',
         /^-?-?remote(_|-| )?der(_|-| )?standard$/i
      'https://derstandard.at/'
    # ======================================================================= #
    # === rf natalie
    # ======================================================================= #
    when /^-?-?natalie$/i
      'https://github.com/natalie-lang/natalie'
    # ======================================================================= #
    # === rf pygtk4
    # ======================================================================= #
    when /^-?-?pygtk4$/i
      'https://github.com/natorsc/gui-python-pygobject-gtk4'
    # ======================================================================= #
    # === rf geizhals_drucker
    # ======================================================================= #
    when /^-?-?geizhals(_|-| )?drucker$/i,
         'drucker2',
         'drucker',
         /^-?-?printer$/i
      'https://geizhals.at/?o=16'
    # ======================================================================= #
    # === rf will-haben
    # ======================================================================= #
    when /^will(_|-| )?haben$/i
      'https://www.willhaben.at/iad'
    # ======================================================================= #
    # === rf ita-dic
    # ======================================================================= #
    when /^ita(_|-| )?dic$/i
      'https://dictionary.cambridge.org/dictionary/english-italian/'
    # ======================================================================= #
    # === rf atlantis
    # ======================================================================= #
    when /^atlantis$/i
      'https://www.youtube.com/watch?v=NG1xmUNbDww'
    # ======================================================================= #
    # === rf pan
    # ======================================================================= #
    when /^pan$/i,
         /^pan(_|-| )?logs$/i
      'http://www.geocities.ws/chicka2425/logpage.html'
    # ======================================================================= #
    # === rf adapterkabel
    # ======================================================================= #
    when /^adapterkabel$/i
      'https://geizhals.at/?cat=kabeladapt'
    # ======================================================================= #
    # === rf "codeberg"
    # ======================================================================= #
    when /^codeberg$/i
      'https://codeberg.org/'
    # ======================================================================= #
    # === rf "slax"
    # ======================================================================= #
    when 'slax'
      'https://www.slax.org/'
    # ======================================================================= #
    # === rf "Choose Application ID"
    # ======================================================================= #
    when /^Choose(_|-| )?Application(_|-| )?ID$/i
      'https://wiki.gnome.org/HowDoI/ChooseApplicationID'
    # ======================================================================= #
    # === rf DDR4
    # ======================================================================= #
    when /^DDR4$/,
         /^RAM$/,
         /^arbeitsspeicher$/i
      'https://geizhals.at/?cat=ramddr3&xf=15903_DDR4&asuch=&bpmin=&bpmax=&v=e&hloc=at&plz=&dist=&mail=&sort=p&bl1_id=30#productlist'
    # ======================================================================= #
    # === rf rubygtkdocumentation
    # ======================================================================= #
    when 'rubygtkdocumentation',
         'gtkwiki',
         'remotegtk',
         /^-?-?ruby_?wiki$/i,
         /^-?-?rubygnomewiki$/i,
         /^-?-?rubygnome$/i
      # 'https://ruby-gnome2.osdn.jp/hiki.cgi'
      #'http://ruby-gnome2.osdn.jp/'
      'https://github.com/ruby-gnome/ruby-gnome'
    # ======================================================================= #
    # === rf "download-chromium"
    # ======================================================================= #
    when /^download(_|-| )?chromium?$/i
      'https://download-chromium.appspot.com'
    # ======================================================================= #
    # === rf "rbt"
    # ======================================================================= #
    when /^rbt?$/i,
         /^ruby(_|-| )?rbt?$/i
      'https://rubygems.org/gems/rbt'
    # ======================================================================= #
    # === rf "gtk-paradise"
    # ======================================================================= #
    when /^gtk(_|-| )?paradise?$/i
      'https://rubygems.org/gems/gtk_paradise'
    # ======================================================================= #
    # === rf "how-to-upgrade-glibc"
    # ======================================================================= #
    when /^how(_|-| )?to(_|-| )?upgrade(_|-| )?glibc?$/i
      'https://www.jertype.com/upgrading-glibc/'
    # ======================================================================= #
    # === rf "Linux API headers"
    # ======================================================================= #
    when /^Linux(_|-| )?API(_|-| )?headers?$/i
      'https://www.linuxfromscratch.org/lfs/view/development/chapter05/linux-headers.html'
    # ======================================================================= #
    # === rf "0815"
    # ======================================================================= #
    when /^0815$/i,
         /^1815$/i
      'https://www.0815.at/'
    # ======================================================================= #
    # === rf "gobolinux_iso"
    #
    # This entry point shall point towards the .iso used by GoboLinux.
    # ======================================================================= #
    when /^gobolinux(_|-| )?iso$/i
      'https://github.com/gobolinux/LiveCD/releases/download/017/GoboLinux-017-x86_64.iso'
    # ======================================================================= #
    # === rf "mainline_kernel_ubuntu"
    # ======================================================================= #
    when /^mainline(_|-| )?kernel(_|-| )?ubuntu$/i
      'https://kernel.ubuntu.com/~kernel-ppa/mainline/?C=M;O=D mainline_kernel_ubuntu'
    # ======================================================================= #
    # === rf "tiobe"
    # ======================================================================= #
    when 'tiobe'  
      'https://www.tiobe.com/tiobe-index/'
    # ======================================================================= #
    # === rf "enkida"
    #
    # Good old PO Blue.
    # ======================================================================= #
    when /^enkida$/i,
         /^blue$/i
      'https://www.deviantart.com/enkida'
    # ======================================================================= #
    # === rf "ASUS EZ Flash 3"
    # ======================================================================= #
    when /^ASUS(_|-| )?EZ(_|-| )?Flash(_|-| )?3$/i,
         /^easyflash$/i
      'https://www.asus.com/support/FAQ/1012815/'
    # ======================================================================= #
    # === rf "ASUS USB BIOS FlashBack"
    # ======================================================================= #
    when /^ASUS(_|-| )?USB(_|-| )?BIOS(_|-| )?FlashBack$/i
      'https://www.asus.com/support/FAQ/1038568/'
    # ======================================================================= #
    # === rf "online_barcode_reader"
    # ======================================================================= #
    when /^online(_|-| )?barcode(_|-| )?reader$/i,
         /^barcode(_|-| )?reader$/i
      'https://online-barcode-reader.inliteresearch.com/'
    # ======================================================================= #
    # === rf "NRE"
    # ======================================================================= #
    when /^NRE$/i
      'https://www.nre.at/'
    # ======================================================================= #
    # === rf goboblog
    # ======================================================================= #
    when /^festplatten(_|-| )?kabel$/i,
         /^SATA(_|-| )?kabel$/i
      'https://geizhals.at/?cat=kabelfp'
    # ======================================================================= #
    # === rf goboblog
    # ======================================================================= #
    when 'goboblog',
         'gobodiscourse',
         /^goboforum$/i,
         /^gobolinux(_|-| )?forum$/i
      'https://gobolinux.discourse.group/'
    # ======================================================================= #
    # === rf "lautsprecher"
    # ======================================================================= #
    when /^-?-?lautsprecher$/i
      'https://geizhals.at/?cat=carhaxial'
    # ======================================================================= #
    # === rf "grafikkarten"
    # ======================================================================= #
    when /^-?-?grafikkarten$/i,
         /^-?-?graphics(_|-| )?card?$/i
      'https://geizhals.at/?o=8'
    # ======================================================================= #
    # === rf "geizhals_festplatten"
    # === rf festplatten
    # ======================================================================= #
    when /^-?-?geizhals(_|-| )?festplatten$/i,
         /^-?-?festplatten?$/i
      'https://geizhals.at/?cat=hde7s'
    # ======================================================================= #
    # === rf "Andrew Carnegie Walford"
    # ======================================================================= #
    when /^-?-?andrew(_|-| )?carnegie$/i
      'https://en.wikipedia.org/wiki/Andrew_Carnegie'
    # ======================================================================= #
    # === rf "haym"
    # ======================================================================= #
    when /^-?-?haym$/i
      'https://haym.info/'
    # ======================================================================= #
    # === rf "solitaire"
    # ======================================================================= #
    when /^-?-?solitaire$/i
      'https://www.solitr.com/klondike-turn-one'
    # ======================================================================= #
    # === rf "Roy Walford"
    #
    # An anti-aging proponent.
    # ======================================================================= #
    when /^-?-?Roy(_|-| )?Walford$/i,
         /^-?-?walford$/i
      'https://en.wikipedia.org/wiki/Roy_Walford'
    # ======================================================================= #
    # === rf "stephen_lopez"
    # ======================================================================= #
    when /^-?-?stephen(_|-| )?lopez$/i,
         /^-?-?lopez$/i
      'https://www.taekwondodata.com/steven-lopez.a3a3.html'
    # ======================================================================= #
    # === rf "fountain_of_youth"
    # ======================================================================= #
    when /^-?-?fountain(_|-| )?of(_|-| )?youth$/i,
         /^-?-?fountain(_|-| )?legends$/i
      'https://en.wikipedia.org/wiki/Fountain_of_Youth'
    # ======================================================================= #
    # === rf "strache_twitter"
    # ======================================================================= #
    when /^-?-?strache(_|-| )?twitter$/i
      'https://twitter.com/hcstrache1'
    # ======================================================================= #
    # === rf "motherboard"
    # ======================================================================= #
    when /^-?-?motherboard$/i
      'https://geizhals.at/?o=9'
    # ======================================================================= #
    # === rf "Computergehäuse"
    # ======================================================================= #
    when /^-?-?Computer(_|-| )?gehäuse$/i
      'https://geizhals.at/?cat=gehatx'
    # ======================================================================= #
    # === rf "griner"
    # ======================================================================= #
    when /^-?-?griner$/i
      'https://i.imgur.com/50YLC0J.jpg'
    # ======================================================================= #
    # === rf "BA Computer"
    # ======================================================================= #
    when /^-?-?BA(_|-| )?Computer$/i
      'https://www.ba-computer.at/'
    # ======================================================================= #
    # === rf "namiyuki"
    # ======================================================================= #
    when /^-?-?namiyuki$/i
      'http://members.chello.at/playground/'
    # ======================================================================= #
    # === rf "JavaFX-downloads"
    # ======================================================================= #
    when /^-?-?JavaFX(_|-| )?downloads$/i
      'https://gluonhq.com/products/javafx/'
    # ======================================================================= #
    # === rf "JRubyFX"
    # ======================================================================= #
    when /^-?-?JRubyFX$/i
      'https://github.com/jruby/jrubyfx'
    # ======================================================================= #
    # === rf "RAM"
    # ======================================================================= #
    when /^-?-?RAM$/i
      'https://geizhals.at/?o=5'
    # ======================================================================= #
    # === rf "new-CPU"
    # ======================================================================= #
    when /^-?-?new(_|-| )?CPU$/i # 2022
      'https://geizhals.at/amd-ryzen-5-5500-100-100000457box-a2709165.html?hloc=at'
    # ======================================================================= #
    # === rf "prozessoren"
    # ======================================================================= #
    when /^-?-?prozessoren$/i
      'https://geizhals.at/?o=4'
    # ======================================================================= #
    # === rf "3stars"
    # ======================================================================= #
    when /^-?-?3stars$/i
      'https://i.imgur.com/Pfx8aZg.png'
    # ======================================================================= #
    # === rf "baerbock-bohrt-nach-strom"
    # ======================================================================= #
    when /^-?-?baerbock(_|-| )?bohrt(_|-| )?nach(_|-| )?strom$/i,
         /^-?-?bärbock(_|-| )?bohrt(_|-| )?nach(_|-| )?strom$/i
      'https://i.imgur.com/ZLYyaUF.jpg'
    # ======================================================================= #
    # === rf "canada_reddit"
    # ======================================================================= #
    when /^-?-?canada(_|-| )?reddit$/i,
         /^-?-?canada(_|-| )?protest$/i,
         /^-?-?canadian(_|-| )?reddits?$/i,
         /^-?-?reddit(_|-| )?canada?$/i
      'https://old.reddit.com/r/canada/'
    # ======================================================================= #
    # === rf morawa
    # ======================================================================= #
    when /morawa$/
      'https://www.morawa.at/about/stores/storeDetail/WO-artcStore/Morawa-Wollzeile-Wien-'
    # ======================================================================= #
    # === rf epic_xyllomer_log
    # ======================================================================= #
    when /epic(_|-| )?xyllomer(_|-| )?log$/
      'https://www.oocities.org/mr_dod/logs/hunt.txt'
    # ======================================================================= #
    # === rf shevyftp
    # ======================================================================= #
    when /my(_|-| )?homepage/,
         /my(_|-| )?ftp/,
         'square',
         'shevy',
         'shevyftp'
      # 'http://shevy.bplaced.net/?C=M;O=D'
      'http://shevy.bplaced.net/'
    # ======================================================================= #
    # === bplaced_admin
    # ======================================================================= #
    when /^bplaced(_|-| )?admin/
      'https://my.bplaced.net/datenbanken'
    # ======================================================================= #
    # === rf "bplaced"
    # ======================================================================= #
    when /^-?-?bplaced$/i
      'https://my.bplaced.net/'
    # ======================================================================= #
    # === rf "Raymond Feist"
    # ======================================================================= #
    when /^-?-?raymond(_|-| )?feist$/i,
         /^-?-?raymond(_|-| )?feist(_|-| )?blog$/i
      'http://www.crydee.com/'
    # ======================================================================= #
    # === rf "tonershop"
    # ======================================================================= #
    when /^-?-?tonershop$/i
      'https://www.tonerstore.at/de/'
    # ======================================================================= #
    # === rf "digitalisierung"
    # ======================================================================= #
    when /^-?-?digitalisierung$/i
      'https://mediafix.at'
    # ======================================================================= #
    # === rf "Bun framework"
    # ======================================================================= #
    when /^-?-?Bun(_|-| )?framework$/i,
         /^-?-?Bun$/i
      'https://bun.sh/?launch'
    # ======================================================================= #
    # === rf "Field's mall shooting"
    # ======================================================================= #
    when /^-?-?Field\'s(_|-| )?mall(_|-| )?shooting$/i,
         /^-?-?Copenhagen(_|-| )?mall(_|-| )?shooting$/i
      'https://en.wikipedia.org/wiki/2022_Copenhagen_mall_shooting'
    # ======================================================================= #
    # === rf bürosessel
    # ======================================================================= #
    when /^-?-?bürosessl$/i
      'https://www.xxxlutz.at/p/boxxx-drehstuhl-in-webstoff-schwarz-000788000501'
    # ======================================================================= #
    # === rf UK-reddit
    # ======================================================================= #
    when /^-?-?UK(_|-| )?reddit$/i
      'https://old.reddit.com/r/unitedkingdom/'
    # ======================================================================= #
    # === rf rubyissues
    # ======================================================================= #
    when 'rubyissues',
         'issues',
         'rubyissue',
         'rubyisue',
         'rubyisuse',
         'rubyusse',
         'rubyisse'
      #'https://bugs.ruby-lang.org/projects/ruby-trunk'
      'https://bugs.ruby-lang.org/projects/ruby-master'
    # ======================================================================= #
    # === rf taiwan-reddit
    # ======================================================================= #
    when /^-?-?taiwan(_|-| )?reddit$/i
      'https://old.reddit.com/r/taiwan/'
    # ======================================================================= #
    # === rf austria-reddit
    # ======================================================================= #
    when /^-?-?austrian?(_|-| )?reddit$/i
      'https://old.reddit.com/r/Austria/'
    # ======================================================================= #
    # === rf caxlsx-examples
    # ======================================================================= #
    when /^-?-?caxlsx(_|-| )?examples$/i
      'https://github.com/caxlsx/caxlsx/tree/master/examples'
    # ======================================================================= #
    # === rf next-buy
    # ======================================================================= #
    when /^-?-?next(_|-| )?buy?$/i
      'https://geizhals.at/intenso-memory-case-schwarz-1tb-6021560-a660268.html?hloc=at'
    # ======================================================================= #
    # === rf "the uttarakurus legend"
    # ======================================================================= #
    when /^-?-?the(_|-| )?uttarakurus(_|-| )?legend$/i
      'https://en.wikipedia.org/wiki/Uttarakuru'
    # ======================================================================= #
    # === rf "Hyperborea"
    # ======================================================================= #
    when /^-?-?Hyperborea$/i,
         /^-?-?the(_|-| )?hyperborean(_|-| )?legends$/i
      'https://en.wikipedia.org/wiki/Hyperborea'
    # ======================================================================= #
    # === rf "US presidents"
    # ======================================================================= #
    when /^-?-?US(_|-| )?presidents$/i
      'https://en.wikipedia.org/wiki/List_of_presidents_of_the_United_States'
    # ======================================================================= #
    # === rf "taiwan"
    # ======================================================================= #
    when /^-?-?taiwan$/i
      'https://old.reddit.com/r/taiwan/'
    # ======================================================================= #
    # === rf "alcazar"
    # ======================================================================= #
    when /^-?-?alcazar$/i
      'https://en.wikipedia.org/wiki/Alcazar_(group)'
    # ======================================================================= #
    # === rf "zwastika"
    # ======================================================================= #
    when /^-?-?zwastika$/i,
         /Maria Butina/,
         /^-?-?female(_|-| )?goebbels$/i
      'https://twitter.com/JenGriffinFNC/status/1500320205272240130'
    # ======================================================================= #
    # === rf "digitalkameras"
    # ======================================================================= #
    when /^-?-?digitalkameras?$/i
      'https://geizhals.at/?cat=dcam'
    # ======================================================================= #
    # === rf "compress pdf"
    # ======================================================================= #
    when /^-?-?compress(_|-| )?pdf$/i,
         /^-?-?optimi(s|z)e(_|-| )?pdf$/i
      'https://www.ilovepdf.com/compress_pdf'
    # ======================================================================= #
    # === rf shrink_pdf
    # ======================================================================= #
    when /^shrink(_|-| )?pdf$/i
      'https://shrinkpdf.com/'
    # ======================================================================= #
    # === rf free_pdfs
    # ======================================================================= #
    when 'free_pdfs','freepdf','pdf','pdfs','allpdfs',
         'findpdf','allpdf',
         'downloadpdfs',
         'downloadpdf'
      'https://www.pdfdrive.net/'
    # ======================================================================= #
    # === rf libro_öffnungszeiten
    # ======================================================================= #
    when /^libro(_|-| )?öffnungszeiten$/i,
         /^libro$/i
      'https://www.libro.at/filialfinder/wien-mariahilfer-strasse-75'
    # ======================================================================= #
    # === rf antediluvian_legends
    # ======================================================================= #
    when /^antediluvian(_|-| )?legends$/i,
         /^antediluvian$/i
      'https://en.wikipedia.org/wiki/Antediluvian'
    # ======================================================================= #
    # === rf "UB40 discography"
    # ======================================================================= #
    when /^UB40(_|-| )?discography$/i
      'https://en.wikipedia.org/wiki/UB40_discography#Singles'
    # ======================================================================= #
    # === rf next_dev_meeting
    # ======================================================================= #
    when /^next(_|-| )?dev(_|-| )?meeting$/i,
         /^ruby(_|-| )?developer(_|-| )?meeting$/i,
         /^ruby(_|-| )?meetings$/i,
         'developermeeting',
         'rubydeveloper',
         'rubydevmeeting',
         'rubydev',
         'devmeeting',
         'rubydevs',
         'devemeeting'
      'https://bugs.ruby-lang.org/issues/18747' # May 2022
    # ======================================================================= #
    # === rf "lxde"
    # ======================================================================= #
    when /^-?-?lxde$/i
      'https://www.lxde.org/get/'
    # ======================================================================= #
    # === rf dtube
    # ======================================================================= #
    when /dtube$/i
      'https://d.tube/'
    # ======================================================================= #
    # === rf NFKRZ
    # ======================================================================= #
    when /^-?-?NFKRZ$/i,
         /russian(_|-| )?expat(_|-| )?in(_|-| )?georgia$/i,
         /russian(_|-| )?expat(_|-| )$/i,
         /russian(_|-| )?blogger$/i
      'https://www.youtube.com/channel/UC19xLluI7dG093Gmw57BhHw'
    # ======================================================================= #
    # === rf richest_countries
    # ======================================================================= #
    when /richest(_|-| )?countries$/i
      'https://en.wikipedia.org/wiki/List_of_countries_by_total_wealth#Total_wealth_by_country'
    # ======================================================================= #
    # === rf highest_grossing_films_2017
    # ======================================================================= #
    when 'highest_grossing_films_2017'
      'https://en.wikipedia.org/wiki/2017_in_film#Highest_grossing_films'
    # ======================================================================= #
    # === rf diabody
    # ======================================================================= #
    when /^diabody$/i
      'https://en.wikipedia.org/wiki/Single-chain_variable_fragment#Bivalent_and_trivalent_scFvs'
    # ======================================================================= #
    # === rf the_old_alchemists
    # ======================================================================= #
    when /^the(_|-| )?old(_|-| )?alchemists$/i
      'https://en.wikipedia.org/wiki/Alchemy'
    # ======================================================================= #
    # === rf the_taoists
    # ======================================================================= #
    when /^the(_|-| )?taoists$/i
      'https://en.wikipedia.org/wiki/Taoism'
    # ======================================================================= #
    # === rf takashii
    # ======================================================================= #
    when /^takashii?$/i
      'https://www.youtube.com/channel/UCPSx50w7WavmAXmYowlhNWQ'
    # ======================================================================= #
    # === rf die_cyanobakterien
    # ======================================================================= #
    when /^die(_|-| )?cyanobakterien$/i
      'https://de.wikipedia.org/wiki/Cyanobakterien'
    # ======================================================================= #
    # === rf die_erle
    # ======================================================================= #
    when /^die(_|-| )?erle$/i
      'https://de.wikipedia.org/wiki/Erlen_(Gattung)'
    # ======================================================================= #
    # === rf haml_to_html
    # ======================================================================= #
    when /^haml(_|-| )?to(_|-| )?html$/i
      'https://www.haml-converter.com/'
    # ======================================================================= #
    # === rf thomas_aquinas
    # ======================================================================= #
    when /^thomas(_|-| )?aquinas$/i
      'https://en.wikipedia.org/wiki/Thomas_Aquinas'
    # ======================================================================= #
    # === rf avicenna
    # ======================================================================= #
    when /^Avicenna$/i
      'https://en.wikipedia.org/wiki/Avicenna'
    # ======================================================================= #
    # === rf klamm_am_semmering
    # ======================================================================= #
    when /^klamm(_|-| )?am(_|-| )?semmering$/i
      'https://de.wikipedia.org/wiki/Burgruine_Klamm'
    # ======================================================================= #
    # === rf scanner
    # ======================================================================= #
    when /^scanner$/i
      'https://geizhals.at/?cat=scn'
    # ======================================================================= #
    # === rf vorsorgeportal
    # ======================================================================= #
    when /^vorsorgeportal$/i
      'https://vorsorgeportal.valida.at/'
    # ======================================================================= #
    # === rf how_to_undress
    # ======================================================================= #
    when /^how(_|-| )?to(_|-| )?undress$/i
      'https://www.redgifs.com/watch/olivedrabevilafricanbushviper'
    # ======================================================================= #
    # === rf jquery_tutorial
    # ======================================================================= #
    when /^jquery(_|-| )?tutorial$/i
      'https://www.tutorialrepublic.com/jquery-examples.php'
    # ======================================================================= #
    # === rf affymetrix
    # ======================================================================= #
    when /^affymetrix$/i
      'https://en.wikipedia.org/wiki/Affymetrix'
    # ======================================================================= #
    # === rf geas
    # ======================================================================= #
    when 'geas_news',
         'gnews',
         'geasnews',
         /^geas(_|-| )?remote$/i
      'https://www.geas.de/'
    # ======================================================================= #
    # === rf hydrogenase
    # ======================================================================= #
    when /^hydrogenase$/i
      'https://en.wikipedia.org/wiki/Hydrogenase'
    # ======================================================================= #
    # === rf Demogracy
    # ======================================================================= #
    when /^Demogracy$/i
      'https://www.youtube.com/watch?v=g91-qxYjv7I'
    # ======================================================================= #
    # === rf woodman
    # ======================================================================= #
    when /^woodman$/i
      'https://storage.googleapis.com/glide-prod.appspot.com/uploads-v2/EDxaxHAZKfbYKIyjmIus/pub/nzLVUCQ4BiWryP6KUGd9.png'
    # ======================================================================= #
    # === rf pizzeria2
    # ======================================================================= #
    when 'pizzeria2',
         /^nerone$/i,
         /^pizza(_|-| )?wien$/i
      'https://www.yelp.com/biz/pizzeria-nerone-wien'
    # ======================================================================= #
    # === rf "toaster"
    # ======================================================================= #
    when /^-?-?toaster$/i
      'https://geizhals.at/?cat=htoaster'
    # ======================================================================= #
    # === rf "schrödingers katze"
    # ======================================================================= #
    when /^-?-?schrödingers(_|-| )?katze$/i
      'https://i.imgur.com/md4a3NA.jpg'
    # ======================================================================= #
    # === rf "etec-öffnungszeiten"
    # ======================================================================= #
    when /^-?-?e(_|-| )?tec(_|-| )?öffnungszeiten$/i
      'https://www.e-tec.at/page.php?page=etec_filialen'
    # ======================================================================= #
    # === rf sexy2
    # ======================================================================= #
    when 'sexy2'
      'http://karlsplatz.org/img/uploads/events/4912_image/event_normal.jpg?KeepThis=true&TB_iframe=true&height=500&width=800'
    # ======================================================================= #
    # === rf jahreskarte_kosten
    # ======================================================================= #
    when 'jahreskarte_kosten'
      # https://www.wienerlinien.at/eportal3/ep/channelView.do/pageTypeId/66526/channelId/-46648'
      'https://www.vor.at/tickets/jahreskarteklimaticket/'
    # ======================================================================= #
    # === rf wiener_linien
    # ======================================================================= #
    when 'wiener_linien',
         'vor'
      'https://www.vor.at/tickets/verkaufsstellen'
    # ======================================================================= #
    # === rf usb_sticks
    # ======================================================================= #
    when /^usb(_|-| )?sticks$/i
      'https://geizhals.at/?cat=sm_usb'
    # ======================================================================= #
    # === rf hdds
    # ======================================================================= #
    when 'hdds'
      'http://geizhals.at/?cat=hdx'
    # ======================================================================= #
    # === rf waagen
    # ======================================================================= #
    when /^waagen$/i
      'https://geizhals.at/?cat=hwbrwgn'
    # ======================================================================= #
    # === rf geizhals_laptop
    # ======================================================================= #
    when /^geizhals(_|-| )?laptop$/i,
         /^notebooks$/i,
         /^laptops?$/i
      'https://geizhals.at/?cat=nb'
    # ======================================================================= #
    # === rf komplettsysteme
    # ======================================================================= #
    when 'komplettsysteme'
      'https://geizhals.at/?cat=sysdiv'
    # ======================================================================= #
    # === rf "gehäuse"
    # ======================================================================= #
    when /^-?-?gehäuse$/i,
         /^-?-?PC(_|-| )?gehäuse$/i
      'https://geizhals.at/?cat=gehatx'
    # ======================================================================= #
    # === rf rails_tutorial
    # ======================================================================= #
    when /^rails(_|-| )?tutorial$/i,
         /^ruby(_|-| )?on(_|-| )?rails(_|-| )?tutorial$/i
      'https://guides.rubyonrails.org/getting_started.html'
    # ======================================================================= #
    # === rf "darth putin"
    # ======================================================================= #
    when /^-?-?darth(_|-| )?putin$/i
      'https://twitter.com/DarthPutinKGB'
    # ======================================================================= #
    # === rf "andyblog"
    # ======================================================================= #
    when /^-?-?andy(_|-| )?blog$/i
      'https://andymaleh.blogspot.com/'
    # ======================================================================= #
    # === rf "UN vote"
    # ======================================================================= #
    when /^-?-?UN(_|-| )?vote$/i,
         /^-?-?UNsanctions$/i
      'https://i.imgur.com/h2uoutb.png'
    # ======================================================================= #
    # === rf "lexogen"
    # ======================================================================= #
    when /^-?-?lexogen$/i
      'https://www.lexogen.com/careers/#_unsolicitedapplication'
    # ======================================================================= #
    # === rf "cls"
    # ======================================================================= #
    when /^-?-?cls$/i
      'https://www.cls.at/'
    # ======================================================================= #
    # === rf "ukraine reddit"
    # ======================================================================= #
    when /^-?-?ukraine(_|-| )?reddit$/i,
         /^-?-?ureddit$/i
      'https://old.reddit.com/r/ukraine/'
    # ======================================================================= #
    # === rf "dear daughter"
    # ======================================================================= #
    when /^-?-?dear(_|-| )?daughter$/i
      'https://www.bbc.com/news/world-europe-60600487'
    # ======================================================================= #
    # === rf "vienna map"
    # ======================================================================= #
    when /^-?-?vienna(_|-| )?map$/i
      'https://i.imgur.com/BVWsXl6.png'
    # ======================================================================= #
    # === rf "zangen"
    # ======================================================================= #
    when /^-?-?zangen$/i
      'https://geizhals.at/?cat=bmhwzza'
    # ======================================================================= #
    # === rf "russian warcrimes1"
    # ======================================================================= #
    when /^-?-?russian(_|-| )?warcrimes1$/i
      'https://twitter.com/Balshone/status/1497178406617759745'
    # ======================================================================= #
    # === rf hochrechnung
    # ======================================================================= #
    when /hochrechnung$/i
      'https://www.derstandard.at/story/2000133603107/umfrage-spoe-vor-oevp-aber-nehammer-vor-rendi-wagner'
    # ======================================================================= #
    # === rf "youtube-dislikes"
    # ======================================================================= #
    when /^-?-?youtube(_|-| )?dislikes?$/i
      'https://addons.mozilla.org/en-US/firefox/addon/return-youtube-dislikes/'
    # ======================================================================= #
    # === rf "stühle"
    # ======================================================================= #
    when /^-?-?stühle$/i,
         /^-?-?sessel$/i
       # 'https://geizhals.at/?cat=bstuhl'
      'https://geizhals.at/?cat=bstuhl&asuch=&bpmin=&bpmax=&v=e&hloc=at&plz=&dist=&mail=&sort=p&bl1_id=30#productlist'
    # ======================================================================= #
    # === rf "online image editor"
    # ======================================================================= #
    when /^-?-?online(_|-| )?image(_|-| )?editor$/i,
         /^-?-?image(_|-| )?editor$/i,
         /^-?-?online(_|-| )?images?$/i
      'https://www.online-image-editor.com/'
    # ======================================================================= #
    # === rf "pixlr"
    # ======================================================================= #
    when 'pixlr',
         'onlineimage','onlineimageedit',
         'imageedit',
         'online_edit',
         'editimage',
         'onlineedit'
      'https://pixlr.com/editor/' # 'https://pixlr.com/'
    # ======================================================================= #
    # === rf "minority_report"
    # ======================================================================= #
    when /^-?-?minority(_|-| )?report$/i
      'https://www.imdb.com/title/tt0181689/'
    # ======================================================================= #
    # === rf "NATO enlargement"
    # ======================================================================= #
    when /^-?-?NATO(_|-| )?enlargement$/i
      'https://en.wikipedia.org/wiki/Enlargement_of_NATO#Adriatic_Charter'
    # ======================================================================= #
    # === rf gtkblog
    # ======================================================================= #
    when /^-?-?gtk(_|-| )?blog$/i
      'https://blog.gtk.org/'
    # ======================================================================= #
    # === rf microSD
    #
    # This is the micoSD listing shown on geizhals, by default.
    # ======================================================================= #
    when /^-?-?microSD$/i
      'https://geizhals.at/?cat=sm_sdhc'
    # ======================================================================= #
    # === rf tonerstore
    # ======================================================================= #
    when /^-?-?tonerstore$/i,
         /^-?-?tonershop$/i
      'https://www.tonerstore.at/'
    # ======================================================================= #
    # === rf bestellungen
    # ======================================================================= #
    when 'bestellungen'
      [:a1_shop_bestellungen, :etec]
    # ======================================================================= #
    # === rf a1shop
    # ======================================================================= #
    when /^-?-?a1(_|-| )?shop$/i,
         'a1',
         '1ashop',
         'a1_shop'
      'https://www.1ashop.at/de/service-hilfe/impressum.html'
    # ======================================================================= #
    # === rf a1bestellungen
    # ======================================================================= #
    when /^-?-?a1(_|-| )?bestellungen$/i,
         /^-?-?a1(_|-| )?shop(_|-| )?bestellungen$/i
      'https://www.1ashop.at/de/kundenbereich/bestellungen.html'
    # ======================================================================= #
    # === rf all_emoji
    # ======================================================================= #
    when /^-?-?all(_|-| )?emoji$/i
      'https://unicode.org/emoji/charts/full-emoji-list.html'
    # ======================================================================= #
    # === rf post_filialen
    # ======================================================================= #
    when /^-?-?post(_|-| )?filialen$/i
      'https://www.google.com/maps/place/Post+Offices+and+BAWAG+P.S.K./@48.1916967,16.3497621,16z/data=!4m9!1m2!2m1!1swien+post+filiale!3m5!1s0x476d0789dd46e005:0xdd1a07885ccb8f9e!8m2!3d48.1938594!4d16.3499224!15sChF3aWVuIHBvc3QgZmlsaWFsZZIBC3Bvc3Rfb2ZmaWNl'
    # ======================================================================= #
    # === rf dvd
    # ======================================================================= #
    when 'dvd'
      'https://www.alza.at/verbatim-dvd-r-16x-druckbare-50pcs-cakebox-d55353.htm?o=2'
    # ======================================================================= #
    # === rf alza
    # ======================================================================= #
    when 'alza'
      'https://www.alza.at/'
    # ======================================================================= #
    # === rf geas_mudparty
    # ======================================================================= #
    when 'geas_mudparty',
         'geasmudparty',
         'gmudparty','chara_party','gparty',
         'geas_party'
      'https://geas.de/mudparty2005/' # http://geas.de/mudparty2004/
    # ======================================================================= #
    # === rf sana
    # ======================================================================= #
    when 'sana',
         'syrien',
         'syria',
         'snaa'
      'https://sana.sy/en/'
    # ======================================================================= #
    # === rf tree
    # ======================================================================= #
    when 'tree'
      'https://libraries.io/rubygems/bioroebe/0.10.50/tree'
    # ======================================================================= #
    # === rf drag_and_drop_tutorial
    # ======================================================================= #
    when /^-?-?drag(_|-| )?and(_|-| )?drop(_|-| )?tutorial$/i
      'http://ruby-gnome2.osdn.jp/hiki.cgi?tut-gtk2-dnd'
    # ======================================================================= #
    # === rf confree_gallery
    # ======================================================================= #
    when 'confree_gallery',
         'cfdg',
         'context',
         'remote_cfdg',
         /^-?-?cfdg(_|-| )?gallery$/i
      'https://www.contextfreeart.org/gallery/search.php?t=new&num=25'
    # ======================================================================= #
    # === rf remote-muds
    # ======================================================================= #
    when /^-?-?remote(_|-| )?muds$/i,
         /^-?-?mud(_|-| )?reddit$/i,
         /^-?-?reddit(_|-| )?mud$/i
      'https://old.reddit.com/r/MUD/'
    # ======================================================================= #
    # === rf libui-ng
    # ======================================================================= #
    when /^-?-?libui(_|-| )?ng$/i
      'https://github.com/libui-ng/libui-ng'
    # ======================================================================= #
    # === rf shards
    # ======================================================================= #
    when 'shards',
         'shard'
      'https://crystalshards.org/'
    # ======================================================================= #
    # === rf GraalVM
    # ======================================================================= #
    when /^GraalV?M?$/i
      'https://github.com/oracle/graal'
    # ======================================================================= #
    # === rf covid19
    # ======================================================================= #
    when /^covid1?9?$/i,
         'corona'
      'https://en.wikipedia.org/wiki/COVID-19_pandemic_by_country_and_territory#Total_cases,_deaths,_and_death_rates_by_country'
    # ======================================================================= #
    # === rf "corona death rate in sweden"
    # ======================================================================= #
    when /^-?-?corona(_|-| )?death(_|-| )?rate(_|-| )?in(_|-| )?sweden$/i
      'https://www.statista.com/statistics/1107913/number-of-coronavirus-deaths-in-sweden-by-age-groups/'
    # ======================================================================= #
    # === rf "central dogma"
    # ======================================================================= #
    when /^-?-?central(_|-| )?dogma$/i
      'https://en.wikipedia.org/wiki/Central_dogma_of_molecular_biology'
    # ======================================================================= #
    # === rf genbank
    # ======================================================================= #
    when 'genbank',
         'genebank'
      'https://www.ncbi.nlm.nih.gov/genbank/'
    # ======================================================================= #
    # === rf "protparam"
    # ======================================================================= #
    when /^-?-?protparam$/i
      'https://web.expasy.org/protparam/'
    # ======================================================================= #
    # === rf "try ruby"
    # ======================================================================= #
    when /^-?-?try(_|-| )?ruby$/i
      'https://try.ruby-lang.org/'
    # ======================================================================= #
    # === rf "Wasserwaage"
    # ======================================================================= #
    when /^-?-?Wasser(_|-| )?waage$/i
      'https://geizhals.at/?cat=wmess&xf=1951_Wasserwaage&asuch=&bpmin=&bpmax=&v=e&hloc=at&plz=&dist=&mail=&sort=p&bl1_id=30#productlist'
    # ======================================================================= #
    # === rf besteck
    # ======================================================================= #
    when /^besteck$/i
      'https://geizhals.at/?cat=hhkgklbs'
    # ======================================================================= #
    # === rf andy
    # ======================================================================= #
    when /^andy$/i
      'https://github.com/AndyObtiva/'
    # ======================================================================= #
    # === rf proxybay
    # ======================================================================= #
    when /^proxybay$/i
      'https://proxybay.ist'
    # ======================================================================= #
    # === rf simple_vpn
    # ======================================================================= #
    when /^simple(_|-| )?vpn$/i,
         /^proxy(_|-| )?forum$/i,
         /^vpn(_|-| )?forum$/i
      'https://hidester.com/proxy/'
    # ======================================================================= #
    # === rf "covid data explorer"
    # ======================================================================= #
    when /^covid(_|-| )?data(_|-| )?explorer$/i
      'https://ourworldindata.org/explorers/coronavirus-data-explorer?zoomToSelection=true&time=2021-07-04..latest&facet=none&uniformYAxis=0&pickerSort=asc&pickerMetric=location&Metric=Confirmed+cases&Interval=7-day+rolling+average&Relative+to+Population=true&Align+outbreaks=false&country=AUT~HUN~CZE~SVN~SVK~DEU'
    # ======================================================================= #
    # === rf batterien
    # ======================================================================= #
    when /^batterien?$/i
      'https://geizhals.at/?o=172'
    # ======================================================================= #
    # === rf batterien_kauf
    # ======================================================================= #
    when /^batterien(_|-| )?kauf$/i
      'https://www.mylemon.at/kategorie/elektronik-und-pos/batterien.html'
    # ======================================================================= #
    # === rf "DVD Rohlinge"
    # ======================================================================= #
    when /^-?-?DVD(_|-| )?rohlinge$/i
      'https://geizhals.at/?cat=dvdmed'
    # ======================================================================= #
    # === rf "blob video"
    # ======================================================================= #
    when /^-?-?blob(_|-| )?video$/i
      'https://i.imgur.com/fD9rvJZ.mp4'
    # ======================================================================= #
    # === rf "webcams"
    # ======================================================================= #
    when /^-?-?webcams?$/i
      'https://geizhals.at/?cat=cam'
    # ======================================================================= #
    # === rf "seaview"
    #
    # This refers to the software.
    # ======================================================================= #
    when /^-?-?seaview$/i
      'http://doua.prabi.fr/software/seaview'
    # ======================================================================= #
    # === rf denise
    #
    # Denise Schaffer.
    #
    #   https://www.tuaustria.ac.at/fileadmin/_processed_/a/3/csm_Gruppenfoto_Schaffer_Vignolle_Zehetner_Derntl_c_Audrey_Masi_web_7543698025.jpg
    #
    # ======================================================================= #
    when 'meine_denise',
         'sunshine','yoursunshine','girl1',
         'mygirl',
         'denise',
         'my_girl'
      'https://at.linkedin.com/in/denise-schaffer-a384975b/en'
    # ======================================================================= #
    # === rf badewannenarmaturen
    # ======================================================================= #
    when /^-?-?badewannenarmaturen$/i
      'https://geizhals.at/?cat=hkarmtbwa'
    # ======================================================================= #
    # === rf iris
    # ======================================================================= #
    when /^-?-?iris$/i
      'https://github.com/irydacea'
    # ======================================================================= #
    # === rf covid-verordnung
    # ======================================================================= #
    when /^-?-?covid(_|-| )?verordnung$/i
      'https://www.ris.bka.gv.at/Dokumente/BgblAuth/BGBLA_2021_II_475/BGBLA_2021_II_475.html'
    # ======================================================================= #
    # === rf "PC Gehäuse"
    # ======================================================================= #
    when /^PC(_|-| )?Gehäuse$/i
      'https://geizhals.at/?cat=gehatx'
    # ======================================================================= #
    # === rf zange
    # ======================================================================= #
    when /^zange$/i
      'https://geizhals.at/?cat=bmhwzza'
    # ======================================================================= #
    # === rf magic_cards_transactions
    # ======================================================================= #
    when /^magic(_|-| )?cards(_|-| )?transactions$/i,
         /^cardmarket$/i,
         /^magiccard$/i
      'https://www.cardmarket.com/en/Magic/Account/Transactions/Details'
    # ======================================================================= #
    # === rf css_tricks
    # ======================================================================= #
    when /^css(_|-| )?tricks$/i
      'https://ianlunn.github.io/Hover/'
    # ======================================================================= #
    # === rf "feiertage"
    # ======================================================================= #
    when 'feiertage',
         'holiday',
         'holidays',
         'ferientage',
         'ferienaustria',
         'offizielle_feiertage',
         'österreich_feiertage',
         'austria_holidays',
         'austria_feiertage',
         'austriafeiertage','feiertag',
         'austria_feier','ferien_austria',
         'feiertage_österreich',
         'österreichferien',
         'österreichfeiertage',
         'österreich_ferien',
         /austria_?ferien/,
         /^wien_?ferien/
      "https://www.feiertage-oesterreich.at/#{CURRENT_YEAR}/"
    # ======================================================================= #
    # === rf gnu
    # ======================================================================= #
    when 'gnu','gnu_ftp','gnuftp','ftpgnu','remotegnu'
      'https://ftp.gnu.org/pub/gnu/?C=M;O=D'
    # ======================================================================= #
    # === rf sendungsverfolgung
    # ======================================================================= #
    when /^sendungsverfolgung$/i,
         /^postverfolgung$/i,
         /^paketverfolgung$/i
      'https://www.post.at/sv/sendungssuche'
    # ======================================================================= #
    # === rf serra_angel
    # ======================================================================= #
    when /^serra(_|-| )?angel$/i
      'https://gatherer.wizards.com/pages/card/Details.aspx?multiverseid=1366'
    # ======================================================================= #
    # === rf Hover.css
    # ======================================================================= #
    when /^Hover(_|-| )?\.?css$/i
      'http://ianlunn.github.io/Hover/'
    # ======================================================================= #
    # === rf my_cards
    # ======================================================================= #
    when /^my(_|-| )?cards$/i
      'https://www.cardmarket.com/en/Magic/Orders/Sales/Paid'
    # ======================================================================= #
    # === rf profile-at-magic-shop
    # ======================================================================= #
    when /^profile(_|-| )?at(_|-| )?magic(_|-| )?shop$/i,
         'magicmarkt',
         'magicshop',
         'magickarten'
      'https://www.cardmarket.com/en/Magic/Account'
    # ======================================================================= #
    # === rf CPU-kühler
    # ======================================================================= #
    when /^CPU(_|-| )?kühler$/i
      'https://geizhals.at/?cat=cpucooler'
    # ======================================================================= #
    # === rf briefe_tarife
    # ======================================================================= #
    when 'briefe_tarife',/post_?tarife/
      'https://www.post.at/p/c/brief-ausland'
    # ======================================================================= #
    # === rf briefwaagen
    # ======================================================================= #
    when /^briefwaagen$/i
      'https://www.idealo.at/preisvergleich/ProductCategory/13913.html'
    # ======================================================================= #
    # === rf spielraum
    # ======================================================================= #
    when /^spielraum/i
      'https://www.spielraum.co.at/de/de.aspx'
    # ======================================================================= #
    # === rf card_condition
    # ======================================================================= #
    when /^card(_|-| )?condition/i,
         'magic_karten_guide',
         /card_?guide/,
         /^card(_|-| )?quality/i
      'https://www.cardmarket.com/en/Magic/Help/CardCondition'
    # ======================================================================= #
    # === rf my_offers
    # ======================================================================= #
    when /^my(_|-| )?offers$/i
      'https://www.cardmarket.com/en/Magic/MainPage/browseUserProducts?idUser=579744'
    # ======================================================================= #
    # === rf tarife_für_briefe
    # ======================================================================= #
    when /^tarife(_|-| )?für(_|-| )?briefe$/i
      'https://www.post.at/p/c/brief-tarife#314577135'
    # ======================================================================= #
    # === rf daily_dose_of_internet
    # ======================================================================= #
    when /^new(_|-| )?books(_|-| )?from(_|-| )?feist$/,
         /^new(_|-| )?books$/,
         /^new(_|-| )?feist$/
      'https://www.amazon.com/kindle-dbs/entity/author/B000AQU2EI?_encoding=UTF8&node=2656022011&offset=0&pageSize=12&searchAlias=stripbooks&sort=date-desc-rank&page=1&langFilter=default#formatSelectorHeader'
    # ======================================================================= #
    # === rf bibliography
    # ======================================================================= #
    when 'bibliography',
         'bib'
      'https://en.wikipedia.org/wiki/Raymond_E._Feist_bibliography'
    # ======================================================================= #
    # === rf feist
    # ======================================================================= #
    when 'feist'
      'https://en.wikipedia.org/wiki/Raymond_E._Feist_bibliography#The_War_of_Five_Crowns'
    # ======================================================================= #
    # === rf wien-wahl-2020
    # ======================================================================= #
    when /^wien(_|-| )?wahl(_|-| )?2020$/i
      'https://www.wien.gv.at/wahlergebnis/de/GR201/index.html'
    # ======================================================================= #
    # === rf wienwahl
    # ======================================================================= #
    when /^wien(_|-| )?wahl$/i,
         /^letzte(_|-| )?wahl$/i
      'https://de.wikipedia.org/wiki/Ergebnisse_der_Kommunalwahlen_in_Wien#Gemeinderatswahlen'
    # ======================================================================= #
    # === rf "rubytalk"
    # ======================================================================= #
    when /^ruby(_|-| )?talk$/i
      'http://blade.nagaokaut.ac.jp/ruby/ruby-talk/441401-441600.shtml'
    # ======================================================================= #
    # === rf "ynews"
    # ======================================================================= #
    when /^ynews$/i
      'https://news.ycombinator.com/'
    # ======================================================================= #
    # === rf "Jean Brachet"
    # ======================================================================= #
    when /^Jean(_|-| )?Brachet$/i
      'https://en.wikipedia.org/wiki/Jean_Brachet'
    # ======================================================================= #
    # === rf "kindle_source_code"
    # ======================================================================= #
    when /^kindle(_|-| )?source(_|-| )?code$/i
      'https://www.amazon.com/gp/help/customer/display.html?nodeId=200203720'
    # ======================================================================= #
    # === rf "koji"
    # ======================================================================= #
    when /^koji$/i
      'https://koji.fedoraproject.org/koji/buildinfo?buildID=1836245'
    # ======================================================================= #
    # === rf "loft"
    # ======================================================================= #
    when /^loft$/i
      'https://en.wikipedia.org/wiki/Loft_(group)'
    # ======================================================================= #
    # === rf "öffnungszeiten_etec"
    # ======================================================================= #
    when /^öffnungszeiten(_|-| )?etec$/i
      'https://download.gnome.org/sources/gnome-shell/40/gnome-shell-40.5.tar.xz'
    # ======================================================================= #
    # === rf "palemoon_reddit"
    # ======================================================================= #
    when /^palemoon(_|-| )?reddit$/i,
         /^reddit(_|-| )?palemoon$/i
      'https://old.reddit.com/r/palemoon/'
    # ======================================================================= #
    # === rf nano_videos
    # ======================================================================= #
    when 'nano_videos',
         'nanovideos',
         '3satnano',
         'mediathek'
      'https://www.3sat.de/wissen/nano'
    # ======================================================================= #
    # === rf gtk_issues
    # ======================================================================= #
    when /^gtk(_|-| )?issues?$/i
      'https://gitlab.gnome.org/GNOME/gtk/-/issues'
    # ======================================================================= #
    # === rf colour-picker
    # ======================================================================= #
    when /^-?-?colou?r(_|-| )?picker$/,
         /^-?-?html(_|-| )?colou?r(_|-| )?picker$/
      'https://htmlcolorcodes.com/color-picker/'
    # ======================================================================= #
    # === rf fahrräder
    # ======================================================================= #
    when /^fahrräder$/
      'https://geizhals.at/?cat=spradtrack&xf=15431_Citybike&asuch=&bpmin=&bpmax=&v=e&hloc=at&plz=&dist=&mail=&sort=p&bl1_id=30#productlist'
    # ======================================================================= #
    # === rf shyouhei
    # ======================================================================= #
    when 'shyouhei'
      'https://bugs.ruby-lang.org/users/10'
    # ======================================================================= #
    # === rf remote_gtk
    # ======================================================================= #
    when /^remote(_|-| )?gtk$/
      'https://gitlab.gnome.org/GNOME/gtk/-/issues'
    # ======================================================================= #
    # === bioruby_bugs
    # ======================================================================= #
    when 'bioruby_bugs',
         'bioruby_issues','bioruby_report'
      'https://github.com/bioruby/bioruby/issues'
    # ======================================================================= #
    # === gist
    # ======================================================================= #
    when 'gist',
         'gist_pastie'
      'https://gist.github.com/'
    # ======================================================================= #
    # === rf distrowatch
    # ======================================================================= #
    when 'distrowatch',
         'dwatch',
         'distrwoatch',
         'distro'
      'https://distrowatch.com/' 
    # ======================================================================= #
    # === rf "doskey"
    # ======================================================================= #
    when /^doskey$/i
      'https://kunalspathak.github.io/2020-11-21-About-doskeys/'
    # ======================================================================= #
    # === rf "al jazeera"
    # ======================================================================= #
    when /^al(_|-| )?jazeera$/i
      'https://www.aljazeera.com/'
    # ======================================================================= #
    # === rf "UFC chronology"
    # ======================================================================= #
    when /^UFC(_|-| )?chronology$/i
      'https://en.wikipedia.org/wiki/List_of_UFC_events#Past_events'
    # ======================================================================= #
    # === rf VEGA
    # ======================================================================= #
    when /^VEGA$/i
      'https://en.wikipedia.org/wiki/Vertebrate_and_Genome_Annotation_Project'
    # ======================================================================= #
    # === rf fernsehprogramm
    # ======================================================================= #
    when 'fernsehprogramm',
         'Fernsehprogramm TV'
      'https://www.tvinfo.de/'
    # ======================================================================= #
    # === rf gtk_for_windws
    # ======================================================================= #
    when /^gtk(_|-| )?for(_|-| )?windows$/i
      'http://www.tarnyko.net/dl/'
    # ======================================================================= #
    # === rf omim
    # ======================================================================= #
    when 'omim'
      'https://www.ncbi.nlm.nih.gov/omim/'
    # ======================================================================= #
    # === rf "sarah_knauss"
    # ======================================================================= #
    when /^sarah(_|-| )?knauss$/i
      'https://en.wikipedia.org/wiki/Sarah_Knauss'
    # ======================================================================= #
    # === rf abh
    # ======================================================================= #
    when 'abh',
         'abhar'
      'https://www.rpgwatch.com/forums/member.php?u=3868'
    # ======================================================================= #
    # === rf "aktuelle_volksbegehren"
    # ======================================================================= #
    when /^aktuelle(_|-| )?volksbegehren$/i
      'https://www.oesterreich.gv.at/themen/leben_in_oesterreich/buergerbeteiligung___direkte_demokratie/2/Seite.320475.html'
    # ======================================================================= #
    # === rf tenacity
    # ======================================================================= #
    when /^tenacity$/
      'https://github.com/tenacityteam/tenacity'
    # ======================================================================= #
    # === rf python_github
    # ======================================================================= #
    when 'python_github',
         'pythongithub'
      'https://github.com/python/cpython'
    # ======================================================================= #
    # === rf python_bug_tracker
    # ======================================================================= #
    when /^python(_|-| )?bug(_|-| )?tracker$/
      'https://bugs.python.org/'
    # ======================================================================= #
    # === rf "cfdg_forum"
    # ======================================================================= #
    when /^cfdg(_|-| )?forum$/i
      'https://www.contextfreeart.org/phpbb/index.php'
    # ======================================================================= #
    # === rf "HM"
    # ======================================================================= #
    when /^HM$/i,
         /^Henry(_|-| )?Molaison$/i
      'https://en.wikipedia.org/wiki/Henry_Molaison'
    # ======================================================================= #
    # === rf "jdk"
    # ======================================================================= #
    when /^jdk$/i
      'https://jdk.java.net/'
    # ======================================================================= #
    # === rf "genome"
    # ======================================================================= #
    when /^genome$/i
      'https://www.ncbi.nlm.nih.gov/genome'
    # ======================================================================= #
    # === rf orf2
    # ======================================================================= #
    when 'orf2'
      'https://tv.orf.at/program/orf2/'
    # ======================================================================= #
    # === rf "sinatra_app"
    # ======================================================================= #
    when /^sinatra(_|-| )?app$/i,
         /^main(_|-| )?roebe$/i,
         /^superroebe$/i # rf superroebe
      'http://localhost:4567/'
    # ======================================================================= #
    # === rf linsenplatz
    # ======================================================================= #
    when /^linsenplatz$/i
      'https://www.linsenplatz.de/'
    # ======================================================================= #
    # === rf "steiermark"
    # ======================================================================= #
    when /^steiermark$/i
      'https://de.wikipedia.org/wiki/Steiermark'
    # ======================================================================= #
    # === rf "jxl_support"
    # ======================================================================= #
    when /^jxl(_|-| )?support$/i
      'https://jpegxl.info/jxl-art.html'
    # ======================================================================= #
    # === rf "dhh"
    # ======================================================================= #
    when /^dhh$/i
      'https://github.com/dhh'
    # ======================================================================= #
    # === rf "geiz"
    # ======================================================================= #
    when 'geiz',
         'geizhals'
      'https://geizhals.at/'
    # ======================================================================= #
    # === rf "altern_wird_rätselhafter"
    # ======================================================================= #
    when /^altern(_|-| )?wird(_|-| )?rätselhafter$/i
      'https://www.derstandard.at/story/1385170583358/altern-wird-noch-raetselhafter'
    # ======================================================================= #
    # === rf "top_ten_games"
    # ======================================================================= #
    when /^top(_|-| )?ten(_|-| )?games$/i
      'https://www.mediamarkt.at/de/shop/games-charts.html#pc-games'
    # ======================================================================= #
    # === rf "webchat"
    # ======================================================================= #
    when /^webchat$/i
      'https://web.libera.chat/'
    # ======================================================================= #
    # === rf openjdk
    # ======================================================================= #
    when 'openjdk'
      'https://openjdk.java.net/install/index.html'
    # ======================================================================= #
    # === rf austriatop40
    # ======================================================================= #
    when 'austriatop40',
         'top40'
      'https://austriancharts.at/charts/singles'
    # ======================================================================= #
    # === rf ö3_austriatop40
    # ======================================================================= #
    when 'ö3_austriatop40'
      'https://oe3.orf.at/charts/stories/oe3austriatop40/'
    # ======================================================================= #
    # === rf "heroku"
    # ======================================================================= #
    when /^heroku$/i
      'https://dashboard.heroku.com/'
    # ======================================================================= #
    # === rf "richest US states"
    # ======================================================================= #
    when /^richest(_|-| )?US(_|-| )?states$/i
      'https://en.wikipedia.org/wiki/List_of_U.S._states_and_territories_by_income'
    # ======================================================================= #
    # === rf tv_programm
    # ======================================================================= #
    when 'tv_programm','remotetv','tvprogramm','tvlinks'
      'https://www.tv-media.at/programm'
    # ======================================================================= #
    # === rf chello_router
    # ======================================================================= #
    when /^chello(_|-| )?router$/i,
         'mychello'
      'http://192.168.0.1/'
    # ======================================================================= #
    # === expasy
    # ======================================================================= #
    when 'expasy'
      'https://www.expasy.org/spdbv'
    # ======================================================================= #
    # === rf liberachat
    # ======================================================================= #
    when /^libera(_|-| |.)?chat$/i
      'https://libera.chat/'
    # ======================================================================= #
    # === rf golgi
    # ======================================================================= #
    when /^golgi$/i
      'https://www.researchgate.net/profile/Benjamin-Glick-2/publication/26645650/figure/fig1/AS:341496214638599@1458430450895/Two-models-for-membrane-traffic-through-the-Golgi-a-Stable-compartments-model.png'
    # ======================================================================= #
    # === rf dotmatcher
    # ======================================================================= #
    when /^dotmatcher$/i
      'https://www.bioinformatics.nl/cgi-bin/emboss/dotmatcher'
    # ======================================================================= #
    # === rf info_gesundheitsministerium
    # ======================================================================= #
    when /^info(_|-| )?gesundheitsministerium$/i
      'https://info.gesundheitsministerium.at/'
    # ======================================================================= #
    # === rf virology_tools
    # ======================================================================= #
    when /^virology(_|-| )?tools$/i
      'https://4virology.net/virology-ca-tools/'
    # ======================================================================= #
    # === rf remote_cheese
    # ======================================================================= #
    when /^remote(_|-| )?cheese$/i
      'https://de.wikipedia.org/wiki/K%C3%A4se'
    # ======================================================================= #
    # === rf ublock_legacy
    # ======================================================================= #
    when /^ublock(_|-| )?legacy$/i
      'https://github.com/gorhill/uBlock-for-firefox-legacy/releases'
    # ======================================================================= #
    # === rf slackware_ftp
    # ======================================================================= #
    when /^slackware(_|-| )?ftp$/i,
         /^slackware(_|-| )?https$/i
      'https://slackware.nl/slackware/slackware-live/slackware64-current-live/'
    # ======================================================================= #
    # === rf newmail
    # ======================================================================= #
    when /^new(_|-| )?mail$/,
         /^-?-?inbox$/,
         /^-?-?inmail$/,
         /^remote(_|-| )?email$/
      'https://mail.inbox.lt/mailbox'
    # ======================================================================= #
    # === rf impfplan
    # ======================================================================= #
    when 'impfplan'
      'https://www.bmg.gv.at/home/Schwerpunkte/Gesundheitsfoerderung_Praevention/Impfen/Oesterreichischer_Impfplan_2015'
    # ======================================================================= #
    # === rf blfs_changelog
    # ======================================================================= #
    when /^-?-?blfs_?changelog/,
         /^-?-?lfs_?changelog/,
         /^-?-?bfls_?changelog/,
         /^-?-?bfls_?homepage/,
         /^-?-?blfs_?homepage/,
         'bfschangelog',
         'blschangelog',
         'blsfchangelog',
         'blfschangeog',
         'blfschangelo'
      # 'http://www.linuxfromscratch.org/blfs/view/cvs/introduction/changelog.html'
      'https://www.linuxfromscratch.org/blfs/view/svn/introduction/changelog.html'
    # ======================================================================= #
    # === rf topgems
    # ======================================================================= #
    when /^-?-?topgems$/i
      'https://rubygems.org/stats'
    # ======================================================================= #
    # === rf lewin
    # ======================================================================= #
    when 'lewin'
      'http://biology.jbpub.com/lewin/genesx/'
    # ======================================================================= #
    # === rf "efetch"
    # ======================================================================= #
    when /^efetch$/i
      'https://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi'
    # ======================================================================= #
    # === rf "splign"
    # ======================================================================= #
    when /^splign$/i
      'https://www.ncbi.nlm.nih.gov/sutils/splign/splign.cgi'
    # ======================================================================= #
    # === rf briar
    # ======================================================================= #
    when /^briar$/
      'https://briarproject.org/'
    # ======================================================================= #
    # === rf goborecipes
    # ======================================================================= #
    when 'goborecipes',
         'newrecipes',
         'goborecipe'
      'https://github.com/gobolinux/Recipes/'
    # ======================================================================= #
    # === rf "tair"
    # ======================================================================= #
    when 'tair',
         'arabidopsis'
      'https://www.arabidopsis.org/'
    # ======================================================================= #
    # === rf "worlds_plants"
    # ======================================================================= #
    when 'worlds_plants'
      'https://stateoftheworldsplants.com/'
    # ======================================================================= #
    # === rf qscop_blast
    # ======================================================================= #
    when 'qscop_blast'
      'https://www.ncbi.nlm.nih.gov/pmc/articles/PMC1933160/'
    # ======================================================================= #
    # === rf brenda
    # ======================================================================= #
    when 'brenda'
      'https://www.brenda-enzymes.info/'
    # ======================================================================= #
    # === rf blast
    # ======================================================================= #
    when 'blast',
         'ncbi_blast'
      'https://blast.ncbi.nlm.nih.gov/Blast.cgi'
    # ======================================================================= #
    # === rf orffinder
    # ======================================================================= #
    when /^orffinder$/i
      'https://www.ncbi.nlm.nih.gov/orffinder/'
    # ======================================================================= #
    # === rf komplettsystem
    # ======================================================================= #
    when /^komplettsysteme?$/i
      'https://geizhals.at/?cat=sysdiv'
    # ======================================================================= #
    # === top100_movies
    # ======================================================================= #
    when 'top100_movies','imdb_top',
         'top250','250_top','250top',
         'imdb_top250','imdb_250'
      'https://www.imdb.com/chart/top?ref_=nv_ch_250_4'
    # ======================================================================= #
    # === rf kabelundzubehör
    # ======================================================================= #
    when /^kabel(_|-| )?und(_|-| )?zubehör$/i
      'https://geizhals.at/?o=18'
    # ======================================================================= #
    # === rf "söder"
    # ======================================================================= #
    when /^söder$/i
      'https://i.imgur.com/Iz77Uny.jpg'
    # ======================================================================= #
    # === rf "disprot"
    # ======================================================================= #
    when /^disprot$/i
      'https://disprot.org/'
    # ======================================================================= #
    # === rf remote_gnome
    # ======================================================================= #
    when 'remote_gnome',
         'remotegnome',
         'rgnome',
         'gnome?',
         'gnomeftp',
         'gnomeurl',
         'gnome',
         'main_gnome',
         'maingnome',
         'gnometp',
         'gnomerecipes'
      'https://download.gnome.org/sources/?C=M;O=D'
    # ======================================================================= #
    # === rf jspaint
    # ======================================================================= #
    when /^jspaint$/
      'https://jspaint.app/#local:3cef9d104448b'
    # ======================================================================= #
    # === rf remote_ris
    # ======================================================================= #
    when /^remote(_|-| )?ris$/
      'https://www.ris.bka.gv.at/'
    # ======================================================================= #
    # === rf top100websites
    # ======================================================================= #
    when /^top100(_|-| )?websites$/
      'https://ahrefs.com/blog/most-visited-websites/'
    # ======================================================================= #
    # === rf max
    #
    # https://www.researchgate.net/profile/Maximilian_Koblischke
    # ======================================================================= #
    when /^maximilian(_|-| )?koblischke$/, # maximilian koblischke
         'max',
         'koblische',
         'koblischke'
      'http://www.virologie.meduniwien.ac.at/home/forschung/flavivirus-forschung/lang_1-content.html'
    # ======================================================================= #
    # === rf phyre2
    # ======================================================================= #
    when 'phyre2',
         'bioinformatics_phyre'
      'http://www.sbg.bio.ic.ac.uk/~phyre2/html/page.cgi?id=index'
    # ======================================================================= #
    # === rf girl12
    # ======================================================================= #
    when 'girl12'
      'https://www.websingles.at/pages/site/de/single_detail.php?id=1719069'
    # ======================================================================= #
    # === rf girl11
    # ======================================================================= #
    when 'girl11'
      'https://www.websingles.at/pages/site/de/single_detail.php?id=1435194'
    # ======================================================================= #
    # === rf mygirl2
    # ======================================================================= #
    when 'mygirl2','nextgirl'
      'https://www.websingles.at/pages/site/de/single_detail.php?id=1568632'
    # ======================================================================= #
    # === rf lehrl
    # ======================================================================= #
    when 'lehrl',
         'gregor_lehrl',
         'gregorlehrl'
      'https://www.notion.so/Gregor-Lehrl-f2ddded7f2af4e78b096643298312448'
      # 'https://twitter.com/lehrl'
    # ======================================================================= #
    # === rf kärnten_wahl_2021
    # ======================================================================= #
    when /^kärnten(_|-| )?wahl(_|-| )?2021$/i
      'https://www.ktn.gv.at/wahlen/grwahl2021/'
    # ======================================================================= #
    # === rf övpsucks1
    # ======================================================================= #
    when /^övp(_|-| )?sucks(_|-| )?1$/i
      'https://www.derstandard.at/story/2000124490547/eintrittstests-sollen-auch-an-unis-kommen-doch-das-noetige-gesetz'
    # ======================================================================= #
    # === rf pygobject
    # ======================================================================= #
    when /^pygobject$/i
      'https://stackoverflow.com/questions/tagged/pygobject'
    # ======================================================================= #
    # === rf devtalk_ruby
    # ======================================================================= #
    when /^devtalk(_|-| )?ruby$/i
      'https://devtalk.com/ruby'
    # ======================================================================= #
    # === rf remote_bioroebe
    # ======================================================================= #
    when /^remote(_|-| )?bioroebe$/i
      'https://rubygems.org/gems/bioroebe'
    # ======================================================================= #
    # === rf apparition
    # ======================================================================= #
    when 'apparition'
      'https://github.com/twalpole/apparition'
    # ======================================================================= #
    # === rf klenk
    # ======================================================================= #
    when /^klenk$/i
      'https://twitter.com/florianklenk'
    # ======================================================================= #
    # === rf dumbo
    # ======================================================================= #
    when /^dumbo$/i
      'https://i.imgur.com/Ij4tBSQ.jpg'
    # ======================================================================= #
    # === rf podserver
    # ======================================================================= #
    when /^podserver$/i
      'http://shevy.podserver.info'
    # ======================================================================= #
    # === rf ffmpeg_mailing_list
    # ======================================================================= #
    when /^ffmpeg(_|-| )?mailing(_|-| )?list$/i
      'http://ffmpeg.org/pipermail/ffmpeg-devel/'
    # ======================================================================= #
    # === rf kou
    # ======================================================================= #
    when /^kou$/i
      'https://github.com/kou'
    # ======================================================================= #
    # === rf lfs_bootscripts
    # ======================================================================= #
    when /^lfs(_|-| )?bootscripts$/i
      'http://www.linuxfromscratch.org/lfs/downloads/development/lfs-bootscripts-20191031.tar.xz'
    # ======================================================================= #
    # === rf kojix2
    # ======================================================================= #
    when /^-?-?kojix2$/i,
         /^-?-?kojix$/i
      'https://github.com/kojix2/LibUI'
    # ======================================================================= #
    # === rf "FFP Respirators"
    # ======================================================================= #
    when /^-?-?FFP(_|-| )?Respirators$/i
      'https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5058571/'
    # ======================================================================= #
    # === rf widget_gallery
    # ======================================================================= #
    when 'widget_gallery'
      'https://developer.gnome.org/gtk3/stable/ch03.html'
    # ======================================================================= #
    # === rf gstreamer
    # ======================================================================= #
    when 'gstreamer'
      'https://github.com/ashbb/green_shoes/blob/master/lib/plugins/video.rb'
    # ======================================================================= #
    # === rf emojipedia
    # ======================================================================= #
    when 'emojipedia'
      'https://emojipedia.org/'
    # ======================================================================= #
    # === rf bouncy_boobs
    # ======================================================================= #
    when /^bouncy(_|-| )?boobs$/i
      'https://www.pornhub.com/view_video.php?viewkey=ph5bb8eaefd00e3'
    # ======================================================================= #
    # === rf do_androids_dream_of_electric_sheep
    # ======================================================================= #
    when /^do(_|-| )?androids(_|-| )?dream(_|-| )?of(_|-| )?electric(_|-| )?sheep$/i
      'https://en.wikipedia.org/wiki/Do_Androids_Dream_of_Electric_Sheep%3F'
    # ======================================================================= #
    # === rf "covid_schnelltest"
    # ======================================================================= #
    when 'covid_schnelltest'
      'https://oesterreich-testet.at/#/landingPage'
    # ======================================================================= #
    # === rf "becky"
    # ======================================================================= #
    when /^-?-?becky$/i
      'http://yserasdaughter.com/'
    # ======================================================================= #
    # === rf "old_becky"
    # ======================================================================= #
    when /^-?-?old(_|-| )?becky$/i
      'http://reluctantraider.blogspot.com/2011/07/'
    # ======================================================================= #
    # === rf imperio
    # ======================================================================= #
    when 'imperio'
      'https://en.wikipedia.org/wiki/Imperio_(band)'
    # ======================================================================= #
    # === rf orf_zib
    # ======================================================================= #
    when /^-?-?orf(_|-| )?zib$/i
      'https://tvthek.orf.at/profile/ZIB-1/1203'
    # ======================================================================= #
    # === rf neuer_computer
    # ======================================================================= #
    when /^-?-?neuer(_|-| )?computer$/i
      'https://geizhals.at/?cat=sysnn&xf=628_24576&asuch=&bpmin=&bpmax=&v=e&hloc=at&plz=&dist=&mail=&sort=p&bl1_id=30#productlist'    
    # ======================================================================= #
    # === rf geas_forum
    # ======================================================================= #
    when 'geas_forum',
         'geas',
         'gea',
         'ge',
         'remotegeas',
         'geasforum'
      'https://forum.geas.de/' # http://s95103930.onlinehome.us/geas/forum/'
    # ======================================================================= #
    # === rf "microsoft wired keyboard"
    # ======================================================================= #
    when /^-?-?Microsoft(_|-| )?Wired(_|-| )?Keyboard$/i,
         /^-?-?hardware1$/i
      'https://geizhals.at/microsoft-wired-keyboard-600-schwarz-anb-00008-a390700.html?hloc=at'
    # ======================================================================= #
    # === rf shorturl
    # ======================================================================= #
    when /^-?-?short(_|-| )?url$/i,
         /^-?-?url(_|-| )?shortener$/i
      'https://www.shorturl.at/'
    # ======================================================================= #
    # === rf tupac
    # ======================================================================= #
    when 'tupac' 
      'https://en.wikipedia.org/wiki/Tupac_Shakur'
    # ======================================================================= #
    # === rf radiologie
    # ======================================================================= #
    when 'radiologie',
         'röntgen'
      'https://www.dzu.radiologie.at/Login/IndexTan'
    # ======================================================================= #
    # === rf online_macromolecular_museum
    # ======================================================================= #
    when 'online_macromolecular_museum'
      'https://earth.callutheran.edu/Academic_Programs/Departments/BioDev/omm/exhibits.htm'
    # ======================================================================= #
    # === rf chacora
    # ======================================================================= #
    when 'chacora'
      'http://www.pizzeria-chacora.at/online-bestellen'
    # ======================================================================= #
    # === rf my_best_gems
    # ======================================================================= #
    when 'my_best_gems'
      'https://bestgems.org/owners/58718'
    # ======================================================================= #
    # === rf "US elections 2020"
    # ======================================================================= #
    when /^-?-?US(_|-| )?elections(_|-| )?2020$/i,
         'elections'
      'https://en.wikipedia.org/wiki/2020_United_States_presidential_election'
    # ======================================================================= #
    # === rf python_cheatsheet
    # ======================================================================= #
    when 'python_cheatsheet'
      'https://gto76.github.io/python-cheatsheet/'
    # ======================================================================= #
    # === rf wetter
    # ======================================================================= #
    when 'wetter',
         'weather',
         'temperatur',
         /^wien(_|-| )?wetter$/i,
         /^wettervorhersage(_|-| )?wien$/i,
         /^remote(_|-| )?wettervorhersage(_|-| )?wien$/i,
         'wettervorhersage'
      'https://www.zamg.ac.at/cms/de/wetter/wetter-oesterreich/wien'
    # ======================================================================= #
    # === rf BIPA
    # ======================================================================= #
    when /^-?-?BIPA$/i
      'https://www.wogibtswas.at/fl/72743-bipa-filialen'
    # ======================================================================= #
    # === rf ASchG
    # ======================================================================= #
    when /^-?-?ASchG/i,
         /ArbeitnehmerInnenschutzgesetz/i
      'https://www.jusline.at/gesetz/aschg/paragraf/83'
    # ======================================================================= #
    # === rf jahreskarte
    # ======================================================================= #
    when 'jahreskarte'
      'https://shop.wienerlinien.at/index.php/product/12/show/0/0/0/0#ticket_options'
    # ======================================================================= #
    # === rf internet-radio
    # ======================================================================= #
    when /^-?-?internet(_|-| )?radio/i,
         /^-?-?internet(_|-| )?radio(_|-| )?stations/i
      'https://www.internet-radio.com/'
    # ======================================================================= #
    # === rf keyboards-and-synthesizers
    # ======================================================================= #
    when /^-?-?keyboards?(_|-| )?and(_|-| )?synthesizers?$/i
      'https://geizhals.at/?cat=mkeyboard'
    # ======================================================================= #
    # === rf wahlprognose-2020
    # ======================================================================= #
    when /^-?-?wahlprognose(_|-| )?2020$/i
      'https://www.vienna.at/features/wahlumfragen'
    # ======================================================================= #
    # === rf piratebay
    # ======================================================================= #
    when 'piratebay','pbay','pirate','bay','pirateaby',
         'pirate_bay',
         'torrent',
         'torrents',
         'new_piratebay',
         'pirte',
         'piate'
      'https://thepiratebay10.org/'
      # 'https://www.pirate-bay.net/view63'
      # 'https://www.pirate-bay.net/search?q='
      # 'https://sitenable.pw/o.php?u=MTcyLjIxLjAuMXw6Ly90aGVwaXJhdGViYXkub3JnL3xNb3ppbGxhLzUuMCAoWDExOyBMaW51eCB4ODZfNjQ7IHJ2OjY4LjkpIEdlY2tvLzIwMTAwMTAxIEdvYW5uYS80LjUgRmlyZWZveC82OC45IFBhbGVNb29uLzI4LjkuMC4yfDg4MjM4Mg==&mobile='
      # 'https://www.piratebayy.com/'
      # 'https://proxtpb.art/'
      # 'https://thepiratebay3.org/' # 'https://piratebaai.club/' # 'https://baypiratebay.be/' # 'https://thepiratebay.org/' # 'https://fastpiratebay.co.uk/'
    # ======================================================================= #
    # === rf personenwaagen
    # ======================================================================= #
    when /^-?-?personenwaagen$/i
      'https://geizhals.at/?cat=hkoerper_waage'
    # ======================================================================= #
    # === rf sendgb
    # ======================================================================= #
    when /^-?-?sendgb$/i
      'https://www.sendgb.com/'
    # ======================================================================= #
    # === rf pine64
    # ======================================================================= #
    when /^-?-?pine64$/i
      'https://store.pine64.org/'
    # ======================================================================= #
    # === rf htop
    # ======================================================================= #
    when 'htop'
      'https://github.com/htop-dev/htop'
    # ======================================================================= #
    # === rf remote_converter_decimal_to_binary
    # ======================================================================= #
    when /^remote(_|-| )?converter(_|-| )?decimal(_|-| )?to(_|-| )?binary$/i,
         'trainer'
      'https://www.rapidtables.com/convert/number/decimal-to-binary.html'
    # ======================================================================= #
    # === rf fruitassassin
    # ======================================================================= #
    when 'fruitassassin'
      'http://craftyjs.com/demos/fruitassassin/'
    # ======================================================================= #
    # === rf kde_bugs
    # ======================================================================= #
    when /^kde(_|-| )?bugs$/i,
         /^kde(_|-| )?bugs(_|-| )?reports$/i
      'https://bugs.kde.org/'
    # ======================================================================= #
    # === rf usb_ids
    # ======================================================================= #
    when 'usb_ids'
      'http://www.linux-usb.org/usb-ids.html'
    # ======================================================================= #
    # === rf gobo_recipe_review
    # ======================================================================= #
    when 'gobo_recipe_review'
      'http://recipes.gobolinux.org/review/'
    # ======================================================================= #
    # === rf not_clueless
    # ======================================================================= #
    when 'not_clueless','clueless'
      'http://www.gobolinux.org/?page=doc/articles/clueless'
    # ======================================================================= #
    # === rf goboadmin
    # ======================================================================= #
    when 'gobo_admin','goboadmin'
      'http://gobolinux.org/mwm/'
    # ======================================================================= #
    # === rf gobolinux_packages
    # ======================================================================= #
    when /^gobolinux(_|-| )?packages$/
      'https://gobolinux.org/release_notes_017.html'
    # ======================================================================= #
    # === rf gobowiki
    # ======================================================================= #
    when 'gobowiki'
      'https://github.com/gobolinux/Documentation/wiki'
    # ======================================================================= #
    # === rf gobolinux_mailinglist
    #
    # Note that the old mailing list appears to be gone.
    # ======================================================================= #
    when 'gobolinux_mailinglist', 'gobomailinglist','gobomailing',
         'gobomail','remotegobo',
         'gobolinuxmail'
      'https://github.com/gobolinux' # http://lists.gobolinux.org/pipermail/gobolinux-users/
    # ======================================================================= #
    # === rf gobolinux_github
    # ======================================================================= #
    when 'gobolinux_github','github_gobolinux','githubgobolinux','ggobo',
         'gobolinuxgithub','gobolinux_scripts','goboissue'
      'https://github.com/gobolinux'
    # ======================================================================= #
    # === rf stadthallenbad
    # ======================================================================= #
    when 'stadthallenbad'
      'http://www.wien-konkret.at/sport/schwimmbad/stadthallenbad/'
    # ======================================================================= #
    # === rf blfs
    # ======================================================================= #
    when 'blfs','blsf'
      'http://www.linuxfromscratch.org/blfs/view/svn/'
    # ======================================================================= #
    # === rf lampen
    # ======================================================================= #
    when /^lampen?$/
      'https://geizhals.at/?o=110'
    # ======================================================================= #
    # === rf gtm
    # ======================================================================= #
    when 'gmt'
      'http://wwp.greenwichmeantime.com/time-zone/europe/uk/time/'
    # ======================================================================= #
    # === rf beirut
    # ======================================================================= #
    when 'beirut'
      'https://en.wikipedia.org/wiki/2020_Beirut_explosions'
    # ======================================================================= #
    # === rf no_more_patreon
    # ======================================================================= #
    when 'no_more_patreon'
      'https://forum.palemoon.org/viewtopic.php?f=1&t=24600&p=192120&hilit=paypal#p192120'
    # ======================================================================= #
    # === rf bundesgesetzblatt
    # ======================================================================= #
    when /^bundesgesetzblatt$/i
      'https://www.ris.bka.gv.at/Dokumente/BgblAuth/BGBLA_2020_II_332/BGBLA_2020_II_332.html'
    # ======================================================================= #
    # === rf http_cats
    # ======================================================================= #
    when 'http_cats'
      'https://http.cat/'
    # ======================================================================= #
    # === rf ublock_origin_issues
    # ======================================================================= #
    when 'ublock_origin_issues'
      'https://github.com/uBlockOrigin/uBlock-issues/issues'
    # ======================================================================= #
    # === rf andreas_behal
    # ======================================================================= #
    when 'andreas_behal'
      'https://www.oefb.at/bewerbe/Spieler/1077632'
    # ======================================================================= #
    # === rf zanetti
    # ======================================================================= #
    when 'zanetti'
      # 'https://www.facebook.com/sandra.zanettiohare/media_set?set=piaarp.738430429.10158537829020430&type=1'
      'https://www.facebook.com/sandra.zanettiohare'
    # ======================================================================= #
    # === rf sandra_zanetti
    # ======================================================================= #
    when /^sandra_?zanetti/
      'https://at.linkedin.com/pub/sandra-zanetti-o-hare/1/304/0'
    # ======================================================================= #
    # === rf zanetti_spouse
    # ======================================================================= #
    when 'zanetti_spouse',
         'zanettispouse',
         'zanetti_haberer'
      'https://au.linkedin.com/in/terence-o-hare-125a333'
    # ======================================================================= #
    # === rf borbely
    # ======================================================================= #
    when 'borbely',
         'johannes_borbely'
      'https://www.couchsurfing.com/people/johannes.borbely' # https://www.linkedin.com/in/johannes-borbely-43a56678
    # ======================================================================= #
    # === rf microsoft-store-generator
    # ======================================================================= #
    when 'microsoft-store-generator'
      'https://store.rg-adguard.net/'
    # ======================================================================= #
    # === rf ameisengift
    # ======================================================================= #
    when 'ameisengift'
      'https://science.orf.at/stories/3201073/'
    # ======================================================================= #
    # === rf bytehost
    # ======================================================================= #
    when /^BYTEHOST$/i
      'http://shevy.byethost12.com'
    # ======================================================================= #
    # === rf one_drive
    # ======================================================================= #
    when /one_?drive/
      'https://onedrive.live.com/?id=EE5423A92C12B6B7!423&cid=EE5423A92C12B6B7'
    # ======================================================================= #
    # === rf pizza_john
    # ======================================================================= #
    when 'pizza_john'
      'https://www.pizza.at/john'
    # ======================================================================= #
    # === rf frascati
    # ======================================================================= #
    when 'frascati',
         'pizza',
         'pizzeria1',
         'pizzeria'
      'https://pizzeria-frascati.at/1327'
    # ======================================================================= #
    # === rf pizzeria_mamma_mia
    # ======================================================================= #
    when 'pizzeria_mamma_mia'
      'http://www.pizzeria-mamamia.at/downloads/Speisekarte-1060.pdf'
    # ======================================================================= #
    # === rf gastrogutschein
    # ======================================================================= #
    when 'gastrogutschein',
         'gutschein'
      'https://wienergastrogutschein.at/'
    # ======================================================================= #
    # === rf payer
    # ======================================================================= #
    when 'payer'
      'https://photos.allrounders.org/Impressum'
    # ======================================================================= #
    # === rf supported_games_in_scummvm
    # ======================================================================= #
    when 'supported_games_in_scummvm'
      'https://en.wikipedia.org/wiki/ScummVM#Supported_games'
    # ======================================================================= #
    # === rf timetable
    # ======================================================================= #
    when 'timetable'
      home_dir?+'/Studium/html/timetable.html'
    # ======================================================================= #
    # === rf echem
    # ======================================================================= #
    when 'echem'
      'http://www.tuwien.ac.at/dekanate/chemie/bachelorstudium/'
    # ======================================================================= #
    # === rf biocompare
    # ======================================================================= #
    when 'biocompare'
      'https://www.biocompare.com/'
    # ======================================================================= #
    # === rf paolo
    # ======================================================================= #
    when 'therealadam'
      'https://github.com/therealadam'
    # ======================================================================= #
    # === rf biopython
    # ======================================================================= #
    when 'biopython'
      'http://biopython.org/wiki/Documentation'
    # ======================================================================= #
    # === rf is_it_down
    # ======================================================================= #
    when 'is_it_down'
      'https://downforeveryoneorjustme.com/'
    # ======================================================================= #
    # === rf rubymainissue
    # ======================================================================= #
    when /^ruby(_|-| )?main(_|-| )?issue$/i
      'https://bugs.ruby-lang.org/issues/15973'
    # ======================================================================= #
    # === rf PhenomicDB
    # ======================================================================= #
    when /^Phenomic(_|-| )?DB$/i
      'http://www.phenomicdb.de/UI'
    # ======================================================================= #
    # === rf viral-bioinformatics
    # ======================================================================= #
    when 'viral-bioinformatics'
      'https://www.scoop.it/topic/viral-bioinformatics'
    # ======================================================================= #
    # === rf mundschutz
    # ======================================================================= #
    when 'mundschutz'
      'https://geizhals.at/?cat=hhdszrbergmst'
    # ======================================================================= #
    # === rf gsp
    # ======================================================================= #
    when 'gsp'
      'https://en.wikipedia.org/wiki/List_of_countries_by_GDP_(nominal)'
    # ======================================================================= #
    # === rf torbrowser
    # ======================================================================= #
    when /^tor(_|-| )?browser$/i
      'https://en.wikipedia.org/wiki/Tor_(anonymity_network)'
    # ======================================================================= #
    # === rf sima
    # ======================================================================= #
    when 'sima'
      'https://www.facebook.com/ullisima/'
    # ======================================================================= #
    # === rf "google storage"
    # ======================================================================= #
    when /^Google(_|-| )?storage$/i
      'https://one.google.com/u/0/storage'
    # ======================================================================= #
    # === rf azimy
    # ======================================================================= #
    when 'azimy',
        'latifa',
        'latifah'
      'https://ch.linkedin.com/in/latifa-azimy-harm-80083384' # lat_fa azzmy harm
    # ======================================================================= #
    # === rf "Alienbob slackware"
    # ======================================================================= #
    when /^Alienbob(_|-| )?slackware$/i
      'https://slackware.nl/slackware/slackware64-current-iso/slackware64-current-install-dvd.iso'
    # ======================================================================= #
    # === rf namjesky
    # ======================================================================= #
    when 'namjesky'
      'https://www.facebook.com/profile.php?id=100004994191332'
      # https://fbcdn-profile-a.akamaihd.net/hprofile-ak-xfp1/v/t1.0-1/p480x480/11018321_448216865354783_1564135639292513620_n.jpg?oh=2f153bed05815a70c518c36d7e4856a0&oe=5616655D&__gda__=1445493814_fbf8d31c547843bdb290d6d2d4dc7e08
    # ======================================================================= #
    # === rf rubynews
    # ======================================================================= #
    when /^ruby_?news/,
         'rubygithub',/ruby_?changelog/,'changelog',
         /^ruby_?log/,/ruby_?logs/,'rubylgos',
         /^ruby_?features$/,'rubygirt','rubyigt'
      'https://github.com/ruby/ruby/blob/master/NEWS.md'
    # ======================================================================= #
    # === rf "Nicole Wehmann"
    # ======================================================================= #
    when /^Nicole(_|-| )?Wehmann$/i
      'https://twitter.com/nwehmann?lang=en'
    # ======================================================================= #
    # === rf setanodus
    # ======================================================================= #
    when 'setanodus'
      'http://setanodus.net/?C=M;O=D'    
    # ======================================================================= #
    # === rf 3sat
    # ======================================================================= #
    when '3sat',
         'rsat'
      'https://www.3sat.de/programm/#border1800'
    # ======================================================================= #
    # === rf reproducible_builds
    # ======================================================================= #
    when /^reproducible(_|-| )?builds$/
      'https://wiki.debian.org/ReproducibleBuilds#Even_more'
    # ======================================================================= #
    # === imdb
    # ======================================================================= #
    when 'imdb','movie_database'
      'https://www.imdb.com/'
    # ======================================================================= #
    # === rf khalees
    # ======================================================================= #
    when /^khalees$/i,
         'khaales'
      'https://www.websingles.at/pages/site/de/single_detail.php?id=1675617'
    # ======================================================================= #
    # === rf lpi_events
    # ======================================================================= #
    when /^lpi(_|-| )?events$/i
      'https://lpievent.lpice.eu/index.php'
    # ======================================================================= #
    # === rf therapeutic_monoclonal_antibodies
    # ======================================================================= #
    when /^therapeutic(_|-| )?monocloncal(_|-| )?antibodies$/i
      'https://en.wikipedia.org/wiki/List_of_therapeutic_monoclonal_antibodies'
    # ======================================================================= #
    # === rf systemd_fun
    # ======================================================================= #
    when /^systemd(_|-| )?fun$/i
      'https://www.muylinux.com/wp-content/uploads/2014/08/funny-systemd.gif'
    # ======================================================================= #
    # === rf mouse_chromosome
    # ======================================================================= #
    when /^mouse(_|-| )?chromosome$/i,
         /^mus(_|-| )?musculus$/i,
         :top
      'ftp://ftp.ensembl.org/pub/release-75/fasta/mus_musculus/dna/'
    # ======================================================================= #
    # === rf "linuxkernel"
    # ======================================================================= #
    when /^linux(_|-| )?kernel$/i
      'http://www.linuxfromscratch.org/lfs/view/development/chapter05/linux-headers.html'
    # ======================================================================= #
    # === rf "linux reddit"
    # ======================================================================= #
    when /^linux(_|-| )?reddit$/i,
         /^reddit(_|-| )?linux$/i
      'https://old.reddit.com/r/linux/'
    # ======================================================================= #
    # === rf next_dev_meeting
    # ======================================================================= #
    when /^linux(_|-| )?analytics$/i,
         /^formula(_|-| )?analytics$/i,
         /^formulas$/i
      'https://formulae.brew.sh/analytics-linux/install/365d/'
    # ======================================================================= #
    # === rf klima_aktiv
    # ======================================================================= #
    when /^klima(_|-| )?aktiv$/i
      'https://klimaktiv.co2-rechner.de/de_DE/'
    # ======================================================================= #
    # === rf namjesky_blog
    # ======================================================================= #
    when /^namjesky(_|-| )?blog$/
      'https://alexandernamjeskyphoto.blogspot.co.at/'
    # ======================================================================= #
    # === rf alexa
    # ======================================================================= #
    when 'alexa',
         /^alexa( |-)?ranking$/i
      'https://www.alexa.com/topsites'
    # ======================================================================= #
    # === rf zwinger
    # ======================================================================= #
    when 'zwinger','gerald_zwinger'
      'https://www.gitarre-wien.at/'
      # https://at.linkedin.com/in/gerald-zwinger-9a555849
      # http://biotec-finder.de/profiles/971400: 8 Mitarbeiter Juni 2015.
    # ======================================================================= #
    # === rf against_corporations
    # ======================================================================= #
    when /^against(_|-| )?corporations$/i
      'https://www.dyne.org/open-letter-to-the-free-software-movement/'
    # ======================================================================= #
    # === rf billa_shop
    # ======================================================================= #
    when /^billa(_|-| )?shop$/i
      'https://www.billa.at/shop'
    # ======================================================================= #
    # === rf strache
    # ======================================================================= #
    when 'strache'
      'https://www.facebook.com/strache'
    # ======================================================================= #
    # === rf followgrubby
    # ======================================================================= #
    when /^follow(_| )?grubby$/i
      'https://www.twitch.tv/followgrubby'
    # ======================================================================= #
    # === rf antipedia
    # ======================================================================= #
    when /^antipedia$/i,
         /^antibodypedia$/i,
         /^apedia$/i
      'https://www.antibodypedia.com/'
    # ======================================================================= #
    # === rf mylemon
    # ======================================================================= #
    when 'mylemon','myleomn',
         'myshop',
         'shop' # ← A pointer.
      'https://www.mylemon.at/?account=settings'
    # ======================================================================= #
    # === rf "KDE Usability & Productivity"
    # ======================================================================= #
    when /^KDE(_|-| )?Usability(_|-| )?&(_|-| )?Productivity$/i
      'https://pointieststick.com/'
    # ======================================================================= #
    # === rf voidlinux
    # ======================================================================= #
    when 'voidlinux','void_linux','chris2','chris',
         'void'
      'https://github.com/void-linux/void-packages/commits?author=leahneukirchen'
    # ======================================================================= #
    # === rf libgen2
    # ======================================================================= #
    when 'libgen2'
      'http://gen.lib.rus.ec/'
    # ======================================================================= #
    # === rf lea
    # ======================================================================= #
    when 'lea'
      'https://www.websingles.at/pages/site/de/single_detail.php?id=1648880'
    # ======================================================================= #
    # === rf wesnothforum
    # ======================================================================= #
    when /^wesnoth(_|-| )?forum$/
      'https://forums.wesnoth.org/'
    # ======================================================================= #
    # === rf wesnoth
    # ======================================================================= #
    when 'wesnoth'
      'https://www.wesnoth.org/'
    # ======================================================================= #
    # === rf codons
    # ======================================================================= #
    when 'codons',
         /^codon(_|-| )?tables?$/i
      'https://en.wikipedia.org/wiki/DNA_codon_table'
    # ======================================================================= #
    # === rf rosalind
    # ======================================================================= #
    when 'rosalind',
         'bioinftasks'
      'http://rosalind.info/problems/list-view/'
    # ======================================================================= #
    # === rf mame
    # ======================================================================= #
    when 'mame'
      'https://github.com/ruby/ruby/commits?author=mame'
    # ======================================================================= #
    # === rf spax
    # ======================================================================= #
    when 'spax'
      'https://de.wikipedia.org/wiki/Spax_%28Rapper%29'
    # ======================================================================= #
    # === rf quizlet
    # ======================================================================= #
    when 'quizlet'
      'http://quizlet.com'
    # ======================================================================= #
    # === rf jhass
    # ======================================================================= #
    when 'jhass'
      'https://jhass.eu/'
    # ======================================================================= #
    # === rf "Mu-Chyun Wang"
    # ======================================================================= #
    when /^Mu(_|-| )?Chyun(_|-| )?Wang$/i # i k.section business solutions 
      'https://at.linkedin.com/in/mu-chyun-wang-b531b573'
    # ======================================================================= #
    # === rf avg
    # ======================================================================= #
    when 'avg'
      'https://www.ris.bka.gv.at/GeltendeFassung.wxe?Abfrage=Bundesnormen&Gesetzesnummer=10005768'
    # ======================================================================= #
    # === rf standard_inland
    # ======================================================================= #
    when /^standard(_|-| )?inland$/i
      'https://www.derstandard.at/inland'
    # ======================================================================= #
    # === rf wahlumfragen
    # ======================================================================= #
    when /^wahlumfragen$/i
      'https://neuwal.com/wahlumfragen/'
    # ======================================================================= #
    # === rf newgems
    # ======================================================================= #
    when /^new(_|-| )?gems$/i,
         'newsgem','newsgems'
      'https://rubygems.org/news'
    # ======================================================================= #
    # === rf banister
    # ======================================================================= #
    when 'banister','---','___','_'
      'https://old.reddit.com/user/banister'
    # ======================================================================= #
    # === rf travis
    # ======================================================================= #
    when 'travis'
      'https://travis-ci.org/'
    # ======================================================================= #
    # === rf oldest_people
    # ======================================================================= #
    when /^oldest_?people/
      'https://en.wikipedia.org/wiki/Oldest_people#Ten_oldest_verified_people_ever'
    # ======================================================================= #
    # === rf flixbus
    # ======================================================================= #
    when /^flixbus$/i
      'https://www.flixbus.at/'
    # ======================================================================= #
    # === rf slackware_releases
    # ======================================================================= #
    when /^slackware(_|-| )?releases$/i
      'https://slackware.nl/slackware-live/latest/?C=S;O=D'
    # ======================================================================= #
    # === memegenerator
    # ======================================================================= #
    when 'memegenerator'
      'http://memegenerator.net/create/instance'
    # ======================================================================= #
    # === rf meme
    # ======================================================================= #
    when 'meme',
         /^meme(_|-| )?database/
      'http://meme-suite.org/'
    # ======================================================================= #
    # === rf programming
    # ======================================================================= #
    when 'programming'
      'https://2uts.com/software/programming/'
    # ======================================================================= #
    # === rf remove_systemd_on_debian
    # ======================================================================= #
    when 'remove_systemd_on_debian'
      'http://without-systemd.org/wiki/index.php/How_to_remove_systemd_from_a_Debian_jessie/sid_installation'
    # ======================================================================= #
    # === rf debian_packages
    # ======================================================================= #
    when /^debian_?packages$/
      'https://www.debian.org/distrib/packages#search_packages'
    # ======================================================================= #
    # === rf fefe
    #
    # Revert geht für: https://blog.fefe.de/?css=
    # ======================================================================= #
    when 'fefe'
      'https://blog.fefe.de/?css=default'
    # ======================================================================= #
    # === rf araq
    # ======================================================================= #
    when 'araq'
      'https://github.com/Araq'
    # ======================================================================= #
    # === rf slackware_packages
    # ======================================================================= #
    when /^slackware(_|-| )?packages$/i,
         /^packages(_|-| )?slackware$/i
      'https://packages.slackware.com/'
    # ======================================================================= #
    # === rf html_colours
    # ======================================================================= #
    when /^html(_|-| )?colours$/
      'https://www.rapidtables.com/web/color/html-color-codes.html'
    # ======================================================================= #
    # === rf tobias_nimpf
    # ======================================================================= #
    when /^tobias(_|-| )?nimpf$/
      'https://www.facebook.com/tobiasnimpf'
    # ======================================================================= #
    # === rf övp_putsch
    # ======================================================================= #
    when /^övp(_|-| )?putsch$/
      'https://geraldkitzmueller.wordpress.com/2019/01/18/neuwahlen-im-herbst-die-oevp-plant-schon/?fbclid=IwAR094IZkP1otfefDKHOouAH_imB-zJ0wjyjdrNlt1QmmHHGFHlyRecvrXsI'
    # ======================================================================= #
    # === rf the_druggable_genome
    # ======================================================================= #
    when /^the(_|-| )?druggable(_|-| )?genome$/
      'https://druggablegenome.net/'
    # ======================================================================= #
    # === rf ila
    # ======================================================================= #
    when /^ila$/
      'https://ila.neocities.org/'
    # ======================================================================= #
    # === rf test_ip
    # ======================================================================= #
    when /^test(_|-| )?ip$/i
      'http://test-ipv6.com/'
    # ======================================================================= #
    # === rf chello_modem_name
    # ======================================================================= #
    when /^chello(_|-| )?modem(_|-| )?name$/i
      'TC7200'
    # ======================================================================= #
    # === rf lighty_status
    # ======================================================================= #
    when /^lighty(_|-| )?status$/i
      'http://localhost/server-status'
    # ======================================================================= #
    # === rf localhost
    # ======================================================================= #
    when /^localhost$/
      'http://127.0.0.1/'
    # ======================================================================= #
    # === rf duck_typing
    # ======================================================================= #
    when /^duck(_|-| )?typing$/i
      'https://cdn-images-1.medium.com/max/800/1*Gxyrlu41qHNbZAPdoxR7_w.jpeg'
    # ======================================================================= #
    # === rf duck_typing2
    # ======================================================================= #
    when /^duck(_|-| )?typing2$/i
      'https://i.imgur.com/IDJoH7u.png'
    # ======================================================================= #
    # === rf html_entities
    # ======================================================================= #
    when /^html(_|-| )?entities$/i,'entities'
      'https://www.freeformatter.com/html-entities.html'
    # ======================================================================= #
    # === rf gnu_propaganda
    # ======================================================================= #
    when /^gnu(_|-| )?propaganda$/i
      'https://www.gnu.org/gnu/gnu-linux-faq.html#linuxsyswithoutgnu'
    # ======================================================================= #
    # === rf javascript_cheat_sheet
    # ======================================================================= #
    when /^javascript(_|-| )?cheat(_|-| )?sheet$/i,
         /^js(_|-| )?cheat(_|-| )?sheet$/i
      'https://htmlcheatsheet.com/js/'
    # ======================================================================= #
    # === rf secretome
    # ======================================================================= #
    when /^secretome$/i
      'https://en.wikipedia.org/wiki/Secretome'
    # ======================================================================= #
    # === rf ruby-reddit
    # ======================================================================= #
    when /^ruby(_|-| )?reddit$/i
      'https://old.reddit.com/r/ruby/'
    # ======================================================================= #
    # === rf guido
    # ======================================================================= #
    when 'guido'
      'https://twitter.com/gvanrossum?lang=en'
    # ======================================================================= #
    # === rf game_walkthroughs
    # ======================================================================= #
    when /^game(_|-| )?walkthroughs$/i,
         /^walkthroughs$/i
      'https://gamefaqs.gamespot.com/'
    # ======================================================================= #
    # === rf GPI
    # ======================================================================= #
    when /^GPI$/i
      'https://www.researchgate.net/publication/275724863/figure/fig1/AS:614173662793749@1523441820475/Diagram-of-glycosyl-phosphatidylinositol-GPI-linked-protein-showing-the-acyl-chain.png'
    # ======================================================================= #
    # === rf lbt_forum
    # ======================================================================= #
    when 'lbt_forum','boku_fragen','boku_questions','boku_forum2',
         'bokuforum','boku_chem','lbtforum',
         'boku_forum','biotech_forum','lbt','lmbtforum',
         'lmbt','lbmtforum','lbtofurm'
      'http://www.lbtforum.at/forum/index.php' # http://www.lbtforum.at/forum/pfragen.php
    # ======================================================================= #
    # === rf gradle
    # ======================================================================= #
    when 'gradle'
      'https://gradle.org/'
    # ======================================================================= #
    # === rf sawa
    # ======================================================================= #
    when 'sawa'
      'https://bugs.ruby-lang.org/users/2963'
    # ======================================================================= #
    # === rf download_them_all
    # ======================================================================= #
    when /^download(_|-| )?them(_|-| )?all$/i
      'https://addons.thunderbird.net/en-US/seamonkey/addon/downthemall/versions/'
    # ======================================================================= #
    # === rf prawn
    # ======================================================================= #
    when 'prawn'
      'https://github.com/prawnpdf/prawn'
    # ======================================================================= #
    # === rf pinsker
    # ======================================================================= #
    when /^pinsker$/
      'https://www.facebook.com/richard.pinsker'
    # ======================================================================= #
    # === rf david
    # ======================================================================= #
    when 'david',
         'david2',
         'davids'
      'https://github.com/DavidS'
    # ======================================================================= #
    # === rf pypi
    # ======================================================================= #
    when /^pypi$/
      'https://pypi.org/'
    # ======================================================================= #
    # === rf mjit_documentation
    # ======================================================================= #
    when /^mjit(_|-| )?documentation$/
      'https://bugs.ruby-lang.org/projects/ruby/wiki/MJIT#Basic-usage'
    # ======================================================================= #
    # === rf ruby_stackoverflow
    # ======================================================================= #
    when /^ruby(_|-| )?stackoverflow$/
      'https://stackoverflow.com/questions/tagged/ruby?sort=newest&pageSize=15'
    # ======================================================================= #
    # === rf xfce_bugs
    # ======================================================================= #
    when /^xfce(_|-| )?bugs$/
      'https://bugzilla.xfce.org/'
    # ======================================================================= #
    # === rf sidrect
    # ======================================================================= #
    when /^sidrect$/
      'http://sidirect2.rnai.jp/'
    # ======================================================================= #
    # === rf search_for_rpms
    # ======================================================================= #
    when /^search(_|-| )?for(_|-| )?rpms$/
      'http://rpm.pbone.net/'
    # ======================================================================= #
    # === rf reddit_linux
    # ======================================================================= #
    when /^reddit(_|-| )?linux$/
      'https://old.reddit.com/r/linux/'
    # ======================================================================= #
    # === rf reddit_reactos
    # ======================================================================= #
    when /^reddit(_|-| )?reactos$/
      'https://old.reddit.com/r/reactos/'
    # ======================================================================= #
    # === rf kde_on_reddit
    # ======================================================================= #
    when /^kde(_|-| )?on(_|-| )?reddit$/i,
         /^kde(_|-| )?reddit$/i,
         /^reddit(_|-| )?kde$/i
      'https://old.reddit.com/r/kde/'
    # ======================================================================= #
    # === rf lambda
    # ======================================================================= #
    when 'lambda'
      'https://en.wikipedia.org/wiki/Lambda_phage'    
    # ======================================================================= #
    # === rf brg8
    # ======================================================================= #
    when 'brg8','home_gym','grg8',
         'albertgasse'
      'http://www.grg8.at/HP_GRG8_2016/wer1.html' # http://www.grg8.at/homepage/dassindwir/lehrer/lehrer.htm
    # ======================================================================= #
    # === rf farlik
    # ======================================================================= #
    when 'farlik','guru',/matthias_?farlik/,'farier', # Heirat 2017; 13 ppl Anfang Juni.
         'födinger'
      'http://www.cemm.oeaw.ac.at/research/groups/christoph-bock-group/people/'
    # ======================================================================= #
    # === rf rebase
    # ======================================================================= #
    when /^rebase$/
      'http://rebase.neb.com/rebase/rebase.html'
    # ======================================================================= #
    # === rf slackel
    # ======================================================================= #
    when /^slackel$/
      'https://sourceforge.net/projects/slackel/files/'
    # ======================================================================= #
    # === rf slackware
    # ======================================================================= #
    when 'slackware'
      'http://www.slackware.com/'
    # ======================================================================= #
    # === rf kernel_git
    # ======================================================================= #
    when /^kernel_?git$/
      'https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/'
    # ======================================================================= #
    # === rf kokubun
    # ======================================================================= #
    when 'kokubun','takashi'
      'https://twitter.com/k0kubun'
    # ======================================================================= #
    # === rf molecular_activity_painting
    # ======================================================================= #
    when 'molecular_activity_painting'
      'http://onlinelibrary.wiley.com/wol1/doi/10.1002/ange.201611432/abstract'
    # ======================================================================= #
    # === rai
    # ======================================================================= #
    when 'rai','raimund'
      'http://r-78.deviantart.com/'
    # ======================================================================= #
    # === rf vrm
    # ======================================================================= #
    when 'vrm','arf','for','rrpg','hansi','forum',
         'remote_forum','remotef','remoteforum'
      'https://mail.monoceros.at/forum' # 'http://www.dervinz.at/stephan/forum/index.php'
    # ======================================================================= #
    # === rf linux_wlan
    # ======================================================================= #
    when /^linux(_|-| )?wlan$/
      'https://www.blackmoreops.com/2014/09/18/connect-to-wifi-network-from-command-line-in-linux/'
    # ======================================================================= #
    # === rf OS_market_share_austria
    # ======================================================================= #
    when /^OS(_|-| )?market(_|-| )?share(_|-| )?austria$/i
      'http://gs.statcounter.com/os-market-share/all/austria'
    # ======================================================================= #
    # === rf literotica
    # ======================================================================= #
    when 'literotica','liberotica','erotica'
      'http://www.literotica.com/stories/new_submissions.php'
      # http://literotica.com/stories/
    # ======================================================================= #
    # === youtube2
    # ======================================================================= #
    when 'youtube2','downloader','download','dloader',
         'remotedownloader'
      'https://en.filsh.net/' # http://ankoder.net/ # http://www.downloadyoutubevideos.com/
    # ======================================================================= #
    # === rf hemma
    # ======================================================================= #
    when 'brandstätter','hemma' # https://www.facebook.com/hemma.brandstetter
      'https://www.xing.com/image/3_d_6_188cccb84_4578029_4/hemma-c-brandstetter-bozic-foto.1024x1024.jpg'
    # ======================================================================= #
    # === listing_of_free_website_hosting
    # ======================================================================= #
    when 'listing_of_free_website_hosting'
      'http://freehosting1.net/free_ftp_hosting.aspx'
      # https://www.thefreesite.com/Free_Web_Space/
    # ======================================================================= #
    # === rf free_hosting
    # ======================================================================= #
    when /^free(_|-| )?hosting$/
      'https://cpanel.fhio.xyz/panel/index.php'
    # ======================================================================= #
    # === rf free_web_hosting
    # ======================================================================= #
    when /^free(_|-| )?web(_|-| )?hosting$/
      'https://en.wikipedia.org/wiki/Comparison_of_free_web_hosting_services'
    # ======================================================================= #
    # === rf meine_bestellung
    # ======================================================================= #
    when /^meine(_|-| )?bestellung$/,'cyberport','nearby'
      'https://www.cyberport.at/tools/my-account/meine-bestellungen.html'
    # ======================================================================= #
    # === rf current_sumo
    # ======================================================================= #
    when /^current(_|-| )?sumo$/
      'https://en.wikipedia.org/wiki/2018_in_sumo#September'
    # ======================================================================= #
    # === rf square7
    # ======================================================================= #
    when 'square7','ftp_host'
      'http://shevegen.bplaced.net/'
    # ======================================================================= #
    # === rf erstehilfe
    # ======================================================================= #
    when /^erste_?hilfe/
      'http://www.roteskreuz.at/wien/kurse-aus-weiterbildung/erste-hilfe/erste-hilfe-grundkurs/#'
    # ======================================================================= #
    # === rf honbasho
    # ======================================================================= #
    when 'honbasho'
      'https://en.wikipedia.org/wiki/Honbasho'
    # ======================================================================= #
    # === rf kde_applications
    # ======================================================================= #
    when /^kde(_|-| )?applications$/i
      'https://download.kde.org/stable/applications/17.08.1/src/'
    # ======================================================================= #
    # === rf haiku_news
    # ======================================================================= #
    when /^haiku(_|-| )?news$/
      'https://review.haiku-os.org/'
    # ======================================================================= #
    # === rf geron
    # ======================================================================= #
    when 'geron'
      'https://en.wikipedia.org/wiki/Geron_Corporation'
    # ======================================================================= #
    # === rf shoutcast
    # ======================================================================= #
    when 'shoutcast'
      'https://www.shoutcast.com/'
    # ======================================================================= #
    # === rf mega
    # ======================================================================= #
    when 'mega','mozo','audiozeugs',/^mol_?med$/
      'https://mega.co.nz/' # https://mega.nz/fm/gaBTCS5J # mbgbiologie|gmail|com biologie1(6+1)
    # ======================================================================= #
    # === rf mega_service
    # ======================================================================= #
    when /^mega(_|-| )?service/
      'https://en.wikipedia.org/wiki/Mega_%28service%29'
    # ======================================================================= #
    # === rf kalenderwochen
    # ======================================================================= #
    when /kalenderwochen/
      'http://kalenderwochen.net/'
    # ======================================================================= #
    # === rf rfam
    # ======================================================================= #
    when 'rfam'
      'http://xfam.org/'
    # ======================================================================= #
    # === rf birdc
    # ======================================================================= #
    when /^bird-?c$/
      'https://www.bird-c.at/'
    # ======================================================================= #
    # === rf Aspartat
    # ======================================================================= #
    when /^Aspartat$/i,'Aspartate'
      'https://de.wikipedia.org/wiki/Asparagins%C3%A4ure'
    # ======================================================================= #
    # === rf Glutamat
    # ======================================================================= #
    when /^Glutamat$/i,'Glutamate'
      'https://de.wikipedia.org/wiki/Glutamins%C3%A4ure'
    # ======================================================================= #
    # === rf amazon_bücher
    # ======================================================================= #
    when /^amazon(_|-| )?bücher$/i
      'https://www.amazon.de/b%C3%BCcher-buch-lesen/b/ref=nav_shopall_bo?ie=UTF8&node=186606'
    # ======================================================================= #
    # === rf countries_by_GDP
    # ======================================================================= #
    when 'countries_by_GDP'
      'https://en.wikipedia.org/wiki/List_of_countries_by_GDP_%28PPP%29'
    # ======================================================================= #
    # === rf upc
    # ======================================================================= #
    when 'upc','myupc','chello_login'
      'https://www.upc.at/myupc/my-upc/'
    # ======================================================================= #
    # === rf cryo-em
    # ======================================================================= #
    when /^cryo(_|-| )?em$/i
      'https://github.com/topics/cryo-em'
    # ======================================================================= #
    # === rf relion
    # ======================================================================= #
    when 'relion'
      'https://github.com/3dem/relion'
    # ======================================================================= #
    # === rf nali
    # ======================================================================= #
    when 'nali'
      'https://www.tierarzt1060.at/ordinationszeiten'
    # ======================================================================= #
    # === rf intu
    # ======================================================================= #
    when 'intu'
      'https://www.intu.at/fbuch'
    # ======================================================================= #
    # === rf verlorene_tiere
    # ======================================================================= #
    when /verlorene_?tiere/,'tierasyl',
         'katzenasyl'
      'https://www.wien.gv.at/gesellschaft/tiere/fundservice/index.html#02'
    # ======================================================================= #
    # === rf winelog
    # ======================================================================= #
    when 'winelog'
      'https://source.winehq.org/git/wine.git/?a=shortlog;h=refs/tags/wine-3.14'
    # ======================================================================= #
    # === rf helios
    # ======================================================================= #
    when 'helios'
      'https://github.com/helios'
    # ======================================================================= #
    # === rf phages
    # ======================================================================= #
    when 'phagomed','phages'
      'http://www.phagomed.com/'
    # ======================================================================= #
    # === rf TUGRAZonline
    # ======================================================================= #
    when 'TUGRAZonline','tugraz'
      'https://online.tugraz.at/tug_online/webnav.ini'
    # ======================================================================= #
    # === rf wine_git
    # ======================================================================= #
    when /wine_?git$/i
      'https://source.winehq.org/git/wine.git/?a=shortlog;h=refs/tags/wine-3.13'
    # ======================================================================= #
    # === rf matz_tweet
    # ======================================================================= #
    when /matz_?tweet/,'matztwitter'
      'https://twitter.com/yukihiro_matz' # https://twitter.com/matz_translated
    # ======================================================================= #
    # === rf devtube
    # ======================================================================= #
    when /dev(_| )?tube/
      'https://dev.tube/'
    # ======================================================================= #
    # === rf wm_2018
    # ======================================================================= #
    when /wm_?2018$/i
      'https://de.wikipedia.org/wiki/Fu%C3%9Fball-Weltmeisterschaft_2018#Finalrunde'
    # ======================================================================= #
    # === rf nobu
    # ======================================================================= #
    when 'nobu'
      'https://bugs.ruby-lang.org/users/4'
    # ======================================================================= #
    # === rf pastebin
    # ======================================================================= #
    when 'pastebin','paste','pastie'
      'https://pastebin.com/'
    # ======================================================================= #
    # === rf "Hiroshi SHIBATA"
    # ======================================================================= #
    when /^Hiroshi(_|-| )?SHIBATA$/i
      'https://bugs.ruby-lang.org/users/572'
    # ======================================================================= #
    # === rf smart
    # ======================================================================= #
    when 'smart'
      'http://smart.embl-heidelberg.de/'
    # ======================================================================= #
    # === rf 3sat_mediathek
    # ======================================================================= #
    when '3sat_mediathek','mediathek_sorted'
      'http://www.3sat.de/mediathek/?red=nano&type=1'
    # ======================================================================= #
    # === rf obi
    # ======================================================================= #
    when 'obi',
         /obi_?markt/
      'https://www.obi.at/baumarkt/wien-triesterstrasse/'
    # ======================================================================= #
    # === rf facebook
    # ======================================================================= #
    when 'facebook'
      'https://www.facebook.com/'
    # ======================================================================= #
    # === rf brusher
    # ======================================================================= #
    when 'brusher'
      'http://kamranahmed.info/brusher/'
    # ======================================================================= #
    # === rf idiot
    # ======================================================================= #
    when 'idiot'
      'http://s.newsweek.com/sites/www.newsweek.com/files/styles/lg/public/2015/04/09/reuters-netanyahu.jpg'
    # ======================================================================= #
    # === rf nipponya
    # ======================================================================= #
    when /nippon(_|-| )?ya$/
      'https://www.nipponya.at/'
    # ======================================================================= #
    # === rf histidin
    # ======================================================================= #
    when 'histidin'
      'https://en.wikipedia.org/wiki/Histidine'
    # ======================================================================= #
    # === rf log-edit
    # ======================================================================= #
    when /^log(_|-| )?edit$/
      'https://docs.google.com/document/d/1Pv34BneCgrjOZ5neOrJpnRhC7adGVeY3gn8eIPMJn3M/edit'
    # ======================================================================= #
    # === rf pypy
    # ======================================================================= #
    when 'pypy'
      'https://pypi.org' 
    # ======================================================================= #
    # === rf "Anschlag in Münster"
    # ======================================================================= #
    when /^Anschlag(_|-| )?in(_|-| )?Münster$/i,
      'https://de.wikipedia.org/wiki/Anschlag_in_M%C3%BCnster_am_7._April_2018'
    # ======================================================================= #
    # === rf cedlemo
    # ======================================================================= #
    when 'cedlemo'
      'https://github.com/cedlemo'
    # ======================================================================= #
    # === rf orion_link
    # ======================================================================= #
    when /^orion(_|-| )?link$/,
         /^orion1$/
      'https://piratebaai.club/torrent/12053020/Master_of_Orion_1.3'
    # ======================================================================= #
    # === rf master_of_orion_1_manual
    # ======================================================================= #
    when 'master_of_orion_1_manual'
      'http://jonsullivan.com/misc/moo.pdf'
    # ======================================================================= #
    # === rf ruby_git
    # ======================================================================= #
    when /^ruby_?git$/i,
         'rubyheader'
      'https://git.ruby-lang.org/ruby.git/'
    # ======================================================================= #
    # === rf cedlemo_tutorial
    # ======================================================================= #
    when /^cedlemo(_|-| )?tutorial$/
      'https://github.com/cedlemo/ruby-gtk3-tutorial'
    # ======================================================================= #
    # === rf RNAfold_WebServer
    # ======================================================================= #
    when /^RNAfold(_|-| )?WebServer$/i
      'http://rna.tbi.univie.ac.at/cgi-bin/RNAWebSuite/RNAfold.cgi'
    # ======================================================================= #
    # === rf eprog
    # ======================================================================= #
    when 'eprog'
      'http://www.asc.tuwien.ac.at/eprog/'
    # ======================================================================= #
    # === rf java_sdk
    # ======================================================================= #
    when /java_?sdk/
      'http://www.oracle.com/technetwork/java/javase/downloads/jdk9-downloads-3848520.html'
    # ======================================================================= #
    # === rf phosida
    # ======================================================================= #
    when 'phosida'
      'http://141.61.102.18/phosida/index.aspx'
    # ======================================================================= #
    # === rf advanced_data_structures 
    # ======================================================================= #
    when 'advanced_data_structures'
      'https://ocw.mit.edu/courses/electrical-engineering-and-computer-science/6-851-advanced-data-structures-spring-2012/lecture-videos/'
    # ======================================================================= #
    # === interest1
    # ======================================================================= #
    when 'interest1'
      'https://www.websingles.at/pages/site/de/single_detail.php?id=1440317'
    # ======================================================================= #
    # === rf girl4
    # ======================================================================= #
    when 'girl4'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1533301'
    # ======================================================================= #
    # === rf hinterstoisser_videos
    # ======================================================================= #
    when /^hinterstoisser_?videos$/
      'https://learn.boku.ac.at/course/view.php?id=14409'
    # ======================================================================= #
    # === rf python_kurs
    # ======================================================================= #
    when /^python_?kurs$/
      'https://www.ilsb.tuwien.ac.at/lva/317.530_2017W/10.html'
    # ======================================================================= #
    # === rf watch_this_issue
    # ======================================================================= #
    when 'watch_this_issue'
      'https://github.com/pry/pry/issues/1730'
    # ======================================================================= #
    # === next_buy
    # ======================================================================= #
    when 'next_buy'
      'https://geizhals.at/asus-l202sa-fd0041t-blau-90nl0052-m01460-a1383258.html?hloc=at' # 357 Euro Anfang Mai 2017.
    # ======================================================================= #
    # === jacius
    # ======================================================================= #
    when 'jacius'
      'https://croisant.net/blog/2017-05-31-ten-years/#more'
    # ======================================================================= #
    # === rf ApE
    # ======================================================================= #
    when 'ApE'
      'http://biologylabs.utah.edu/jorgensen/wayned/ape/'
    # ======================================================================= #
    # === rf gquery
    # ======================================================================= #
    when 'gquery'
      'https://www.ncbi.nlm.nih.gov/sites/gquery'
    # ======================================================================= #
    # === rf slackex
    # ======================================================================= #
    when 'slackex'
      'https://sourceforge.net/projects/slackex/files/?source=navbar'
    # ======================================================================= #
    # === rf entwicklungsbiologie
    # ======================================================================= #
    when 'entwicklungsbiologie'
      'https://www.amazon.de/Entwicklungsbiologie-Reproduktionsbiologie-Menschen-bedeutender-Modellorganismen/dp/3662555336/ref=sr_1_2?ie=UTF8&qid=1511879628&sr=8-2&keywords=entwicklungsbiologie+m%C3%BCller'
    # ======================================================================= #
    # === rf python_tutorial
    # ======================================================================= #
    when 'python_tutorial'
      'https://www.ilsb.tuwien.ac.at/lva/317.530_2017W/'
    # ======================================================================= #
    # === rf transmembrane_regions
    # ======================================================================= #
    when 'transmembrane_regions','phobius'
      'http://phobius.sbc.su.se/'
    # ======================================================================= #
    # === rf clustalomega
    # ======================================================================= #
    when 'clustalomega','clustalo'
      'https://www.ebi.ac.uk/Tools/msa/clustalo/'
    # ======================================================================= #
    # === rf blast2sequence
    # ======================================================================= #
    when 'blast2sequence'
      'https://blast.ncbi.nlm.nih.gov/Blast.cgi?PAGE_TYPE=BlastSearch&BLAST_SPEC=blast2seq&LINK_LOC=align2seq'
    # ======================================================================= #
    # === rf pcloud
    # ======================================================================= #
    when 'pcloud','cloud'
      'https://my.pcloud.com/'
    # ======================================================================= #
    # === rf mainlink
    # ======================================================================= #
    when 'mainlink'
      'https://learn.boku.ac.at/course/view.php?id=11375'
    # ======================================================================= #
    # === rf ecoli_genotypes
    # ======================================================================= #
    when 'ecoli_genotypes'
      'https://openwetware.org/wiki/E._coli_genotypes'
    # ======================================================================= #
    # === rf zanetti2
    # ======================================================================= #
    when 'zanetti2'
      'https://www.instagram.com/alessandra_zanetti_/'
    # ======================================================================= #
    # === rf gun_deaths_in_the_USA
    # ======================================================================= #
    when 'gun_deaths_in_the_USA'
      'http://www.gunviolencearchive.org/reports/total-number-of-incidents'
    # ======================================================================= #
    # === rf arte
    # ======================================================================= #
    when 'arte'
      'https://www.arte.tv/de/guide/'
    # ======================================================================= #
    # === rf gnome_without_systemd
    # ======================================================================= #
    when 'gnome_without_systemd'
      'https://wiki.gentoo.org/wiki/GNOME/GNOME_Without_systemd'
    # ======================================================================= #
    # === rf kde_apps
    # ======================================================================= #
    when 'kde_apps','kdeapps','apps'
      'https://download.kde.org/stable/applications/17.08.2/src/'
    # ======================================================================= #
    # === rf homebrew_formulas
    # ======================================================================= #
    when /homebrew(_|-| )?formulas/,
         /homebrew(_|-| )?changelog/,
         'homebrewhomepage',
         'homebrewpackages',
         'homebrewblog'
      'http://formulae.brew.sh/'
    # ======================================================================= #
    # === rf mirbase
    # ======================================================================= #
    when 'mirbase'
      'http://www.mirbase.org/'
    # ======================================================================= #
    # === rf wahlkarten_ergebnisse
    # ======================================================================= #
    when 'wahlkarten_ergebnisse','wahlkarten','wahlzettel'
      'https://wahl17.bmi.gv.at/bw_ov_0.html'
    # ======================================================================= #
    # === rf kde_plasma
    # ======================================================================= #
    when 'kde_plasma'
      'https://www.kde.org/info/plasma-5.11.0.php'
    # ======================================================================= #
    # === rf liveslak
    # ======================================================================= #
    when 'liveslak'
      'http://bear.alienbase.nl/cgit/liveslak/'
    # ======================================================================= #
    # ==== rf strange_licence
    # ======================================================================= #
    when 'strange_licence'
      'https://github.com/google/protobuf/blob/master/LICENSE'
    # ======================================================================= #
    # ==== rf awesome-unicode-symbols
    # ======================================================================= #
    when 'awesome-unicode-symbols'
      'http://jrgraphix.net/r/Unicode/2600-26FF'
    # ======================================================================= #
    # === rf tim_berners_lee_when_he_was_young
    # ======================================================================= #
    when 'tim_berners_lee_when_he_was_young'
      'https://webfoundation.org/about/vision/history-of-the-web/'
    # ======================================================================= #
    # === rf new_mail
    # ======================================================================= #
    when /new_?mail/,'gmail','mail'
      'https://mail.google.com/mail/#inbox?compose=new' # http://gmail.com/
    # ======================================================================= #
    # === rf slackware_changelog
    # ======================================================================= #
    when /slackware_?changelog/,'slackwarechangelo',
         'slackwarec','slackwareftp','slackwarechangeog'
      #'http://www.slackware.com/changelog/current.php?cpu=i386'
      'http://www.slackware.com/changelog/current.php?cpu=x86_64'
    # ======================================================================= #
    # === rf old_firefox
    # ======================================================================= #
    when /^old_?firefox$/
      'https://ftp.mozilla.org/pub/firefox/releases/52.0.1/linux-x86_64/en-GB/'
    # ======================================================================= #
    # === rf firefox_downloads
    # ======================================================================= #
    when /^firefox_?downloads$/
      'https://www.mozilla.org/en-US/firefox/all/'
    # ======================================================================= #
    # === rf slackware_blog
    # ======================================================================= #
    when /slackware_?blog/
      'https://slackblogs.blogspot.co.at/'
    # ======================================================================= #
    # === rf mozilla_send
    # ======================================================================= #
    when /mozilla_?send/
      'https://send.firefox.com/'
    # ======================================================================= #
    # === rf ping
    # ======================================================================= #
    when 'ping'
      'http://just-ping.com/'
    # ======================================================================= #
    # === rf chemie2
    # ======================================================================= #
    when 'chemie2'
      'data.nawi.at'
    # ======================================================================= #
    # === rf "programming_languages"
    # ======================================================================= #
    when 'programming_languages','programming_popularity','ruby_popularity',
         'ruby_stats','rubytrend','programmingtrend','programmingtrends',
         'trens','trends2','trends','charts','rubytrends','trend',
         'languagetrends'
      'https://trends.google.com/trends/explore?date=today%205-y&q=Ruby%20-%20Programming%20language,Perl%20-%20Programming%20language,PHP%20-%20Programming%20language,Python%20-%20Programming%20language,JavaScript%20-%20Programming%20language'
    # ======================================================================= #
    # === lfs_development
    # ======================================================================= #
    when 'lfs_development'
      'http://www.linuxfromscratch.org/lfs/view/development/'
    # ======================================================================= #
    # === astrid_langer
    # ======================================================================= #
    when /astrid_?langer/,
         'alanger'
      'https://www.facebook.com/astrid.langer.9'
    # ======================================================================= #
    # === rf letzt_wahl
    # ======================================================================= #
    when /letzte_?wahl/
      'https://de.wikipedia.org/wiki/Nationalratswahl_in_%C3%96sterreich_2013'
    # ======================================================================= #
    # === rf pdb
    # ======================================================================= #
    when 'proteines','proteins','pdb'
      'http://www.pdb.org/pdb/home/home.do'
    # ======================================================================= #
    # === rf ncbi
    # ======================================================================= #
    when 'ncbi'
      'https://www.ncbi.nlm.nih.gov/'
    # ======================================================================= #
    # === rf "List of projects using Meson"
    # ======================================================================= #
    when /^List(_|-| )?of(_|-| )?projects(_|-| )?using(_|-| )?Meson$/
      'http://mesonbuild.com/Users.html'
    # ======================================================================= #
    # === rf rubymailinglist
    # ======================================================================= #
    when 'rubyforum','rforum','remoteruby','remote',
         'rubymailinglist','ruby_remote_webforum','remote_ruby_forum',
         'ruby_forum','remote_ruby','rubymailing'
      'http://blade.nagaokaut.ac.jp/ruby/ruby-talk/index.shtml'
    # ======================================================================= #
    # === rf windowsblog
    # ======================================================================= #
    when /windows_?blog/,'windowsbash','bashonwindows','windowsonbash',
         'wsl'
      'https://blogs.msdn.microsoft.com/commandline/'
    # ======================================================================= #
    # === rf ruby_snapshot
    # ======================================================================= #
    when 'ruby_snapshot'
      'https://cache.ruby-lang.org/pub/ruby/snapshot.tar.gz'
    # ======================================================================= #
    # === rf biopython_docu
    # ======================================================================= #
    when 'biopython_docu'
      'http://biopython.org/wiki/Documentation'
    # ======================================================================= #
    # === rf svgenes
    # ======================================================================= #
    when 'svgenes'
      'https://github.com/danmaclean/bioruby-svgenes'
    # ======================================================================= #
    # === rf certdata
    # ======================================================================= #
    when 'certdata'
      'https://hg.mozilla.org/releases/mozilla-release/raw-file/default/security/nss/lib/ckfw/builtins/certdata.txt'
    # ======================================================================= #
    # === rf ruby-gnome-on-windows
    # ======================================================================= #
    when 'ruby-gnome-on-windows' # Always point to the most recent variant for gnome.
      'http://prdownloads.sourceforge.net/ruby-gnome2/ruby-gnome2-0.16.0-1-i386-mswin32.exe?download'
    # ======================================================================= #
    # === rf batchentrez
    # ======================================================================= #
    when 'batchentrez'
      'https://www.ncbi.nlm.nih.gov/sites/batchentrez'
    # ======================================================================= #
    # === rf gff_format
    # ======================================================================= #
    when 'gff_format','gff3'
      'https://github.com/The-Sequence-Ontology/Specifications/blob/master/gff3.md'
    # ======================================================================= #
    # === rf geas_logs
    # ======================================================================= #
    when /geas_?logs/
      'http://wiki.geas.de/index.php/GeasLogs'
    # ======================================================================= #
    # === rf next_paper
    # ======================================================================= #
    when /next_?paper/,/my_?paper/,/presentation_?paper/
      'https://www.ncbi.nlm.nih.gov/pmc/articles/PMC55746/'
    # ======================================================================= #
    # === rf michael_homer
    # ======================================================================= #
    when /michael_?homer/
      'https://twitter.com/michaelhomer'
    # ======================================================================= #
    # === rf slackbuilds
    # ======================================================================= #
    when 'slackbuilds'
      'http://www.slackware.com/~alien/slackbuilds'
    # ======================================================================= #
    # === rf github_viennarna
    # ======================================================================= #
    when /github_?viennarna/
      'https://github.com/ViennaRNA'
    # ======================================================================= #
    # === rf eurosongcontest_winners
    # ======================================================================= #
    when 'eurosongcontest_winners'
      'http://eurosong-contest.wikia.com/wiki/Eurovision_Song_Contest_Wiki'
    # ======================================================================= #
    # === rf uk_vote_2017
    # ======================================================================= #
    when 'uk_vote_2017'
      'https://en.wikipedia.org/wiki/United_Kingdom_general_election,_2017'
    # ======================================================================= #
    # === rf europe_temperature
    # ======================================================================= #
    when /europe_?temperature/
      'https://www.timeanddate.com/weather/?continent=europe'
    # ======================================================================= #
    # === rf us_presidential_election_results_2016
    # ======================================================================= #
    when 'us_presidential_election_results_2016'
      'https://en.wikipedia.org/wiki/United_States_presidential_election,_2016'
    # ======================================================================= #
    # === rf largest_cities_in_italy
    # ======================================================================= #
    when 'largest_cities_in_italy'
      'https://en.wikipedia.org/wiki/List_of_cities_in_Italy'
    # ======================================================================= #
    # === rf tuncay
    # ======================================================================= #
    when 'tuncay'
      'http://www.taekwondodata.com/tuncay-caliskan.at6.html'
    # ======================================================================= #
    # === rf sarah_bilek
    # ======================================================================= #
    when 'sarah_bilek','bilek'
      'https://about.me/sarahbilek'
    # ======================================================================= #
    # === rf ionenradius
    # ======================================================================= #
    when 'ionenradius'
      'https://de.wikibooks.org/wiki/Tabellensammlung_Chemie/_Atom-_und_Ionenradien'
    # ======================================================================= #
    # === rf cath
    # ======================================================================= #
    when 'cath'
      'http://www.cathdb.info/'
    # ======================================================================= #
    # === why_tabs_are_bad
    # ======================================================================= #
    when 'why_tabs_are_bad'
      'https://github.com/ruby/ruby/commit/c26a9a733848a0696976bb98abfe623e15ba2979'
    # ======================================================================= #
    # === rf exam_topics
    # ======================================================================= #
    when 'exam_topics'
      'http://shevegen.bplaced.net/exam_topics/?C=M;O=D'
    # ======================================================================= #
    # === rf dropbox_all_lectures_at_uni_vienna
    # ======================================================================= #
    when 'dropbox_all_lectures_at_uni_vienna'
      'https://www.dropbox.com/sh/mefl0k5o2xh0ri8/AAB0qwbmGnQIq50PzT8nDOWva?dl=0'
    # ======================================================================= #
    # === lorenzo
    # ======================================================================= #
    when 'lorenzo'
      'Lorenzo.schwaiger@gmail.com'
    # ======================================================================= #
    # === rf wetransfer
    # ======================================================================= #
    when 'wetransfer'
      'https://wetransfer.com/'
    # ======================================================================= #
    # === rf grundlagen_der_chemie_videos
    # ======================================================================= #
    when 'mainvids','main_videos','mainvideos','tuvids',
         'tuwien_vorlesung','tuvideos',/grundlagen_?der_?chemie_?videos/,
         'tuvideo','tuvid','tu_videos','aktuelle_tuwien_chemie_vorlesung'
      'http://www.ias.tuwien.ac.at/163112/'
    # ======================================================================= #
    # === rf daft_punk_discography
    # ======================================================================= #
    when 'daft_punk_discography'
      'https://en.wikipedia.org/wiki/Daft_Punk_discography#Singles'
    # ======================================================================= #
    # === rf "renzi vote 2016"
    # ======================================================================= #
    when /renzi(_|-| )?vote(_|-| )?2016/i
      'https://en.wikipedia.org/wiki/Italian_constitutional_referendum,_2016'
    # ======================================================================= #
    # === rf ncbi_databases
    # ======================================================================= #
    when 'ncbi_databases','all_databases'
      'http://www.ncbi.nlm.nih.gov/guide/all/#databases_'
    # ======================================================================= #
    # === rf libreoffice_changelog
    # ======================================================================= #
    when 'libreoffice_changelog','libreofficechangelog','libreofficec',
         'changelog_libreoffice','libreofficelogs',
         'remotelibreoffice','libreofficechangeog',
         'liberofficechangelog'
      'https://cgit.freedesktop.org/libreoffice/core/log/'
    # ======================================================================= #
    # === rf SSC
    # ======================================================================= #
    when 'ssc'
      'http://ssc-lebenswissenschaften.univie.ac.at/'
    # ======================================================================= #
    # === rf nutzungsbedingungen_george
    # ======================================================================= #
    when 'nutzungsbedingungen_george'
      'https://www.sparkasse.at/content/dam/at/spk-erstebank/agb/agb-4020-george.pdf'
    # ======================================================================= #
    # === rf robert_miles_discography
    # ======================================================================= #
    when 'robert_miles_discography'
      'https://en.wikipedia.org/wiki/Robert_Miles#Singles'
    # ======================================================================= #
    # === rf braumeister
    # ======================================================================= #
    when 'braumeister','braumaster'
      'http://braumeister.org/'
    # ======================================================================= #
    # === rf barcode
    # ======================================================================= #
    when 'barcode'
      'http://www.boldsystems.org/'
    # ======================================================================= #
    # === rf git_gnome
    # ======================================================================= #
    when 'git_gnome','gitgnome','gnomegithub','gnomegit'
      'https://git.gnome.org/browse/?s=idle'
    # ======================================================================= #
    # === rf bundesministerium_anerkennung_von_prüfungen
    # ======================================================================= #
    when 'bundesministerium_anerkennung_von_prüfungen'
      'https://wissenschaft.bmwfw.gv.at/fileadmin/user_upload/Kasparovsky/EMpfehlungen/2.1.4.04_Anerk._OE_BF.pdf'
    # ======================================================================= #
    # === rf mohit
    # ======================================================================= #
    when 'mohit','kumaal','kumar'
      'https://www.linkedin.com/in/mohit-kumar-42a564a0'
    # ======================================================================= #
    # === rf pseudomonas_genome_database
    # ======================================================================= #
    when 'pseudomonas_genome_database'
      'http://www.pseudomonas.com/'
    # ======================================================================= #
    # === rf wikipedia_stats
    # ======================================================================= #
    when 'wikipedia_stats'
      'https://en.wikipedia.org/wiki/Special:Statistics'
    # ======================================================================= #
    # === rf twitter_rubygems
    # ======================================================================= #
    when 'twitter_rubygems','twitterrubygems','twitter_ruby',
         'twittergem','twitter_gems',
         'rubytwitter'
      'https://twitter.com/rubygems'
    # ======================================================================= #
    # === rf photobiotechnologie
    # ======================================================================= #
    when 'photobiotechnologie'
      'http://www.ruhr-uni-bochum.de/pbt/'
    # ======================================================================= #
    # === rf fluxbox_git
    # ======================================================================= #
    when 'fluxbox_git'
      'http://git.fluxbox.org/fluxbox.git/'
    # ======================================================================= #
    # === rf dgd
    # ======================================================================= #
    when 'dgd','dworkin_github'
      'https://github.com/dworkin'
    # ======================================================================= #
    # === rf elispot
    # ======================================================================= #
    when 'elispot'
      'http://www.elispot.com/index.html?method.htm'
    # ======================================================================= #
    # === rf viralzone
    # ======================================================================= #
    when /viralzone/i
      'http://viralzone.expasy.org/'
    # ======================================================================= #
    # === rf tu_graz_studienangebot
    # ======================================================================= #
    when /tu_?graz_?studienangebot/
      'https://www.tugraz.at/studium/studienangebot/ueberblick-studienangebot/'
    # ======================================================================= #
    # === rf servustv
    # ======================================================================= #
    when 'servustv'
      'http://www.servustv.com/at/TV-Programm/heute'
    # ======================================================================= #
    # === rf libreoffice_release_notes
    # ======================================================================= #
    when 'libreoffice_release_notes'
      'https://www.libreoffice.org/download/release-notes/'
    # ======================================================================= #
    # === rf ccc
    # ======================================================================= #
    when 'ccc','ccc_schedule'
      'https://fahrplan.events.ccc.de/congress/2016/Fahrplan/schedule/0.html'
    # ======================================================================= #
    # === rf künstliche_dna_synthese
    # ======================================================================= #
    when 'künstliche_dna_synthese'
      'https://www.uni-marburg.de/fb15/ag-geyer/teaching/oc4/ws1213/dna2.pdf'
    # ======================================================================= #
    # === rf duckduckgo
    # ======================================================================= #
    when 'duckduckgo','duckgo'
      'https://duckduckgo.com/'
    # ======================================================================= #
    # === rf kickass_torrents
    # ======================================================================= #
    when /kickass_?torrents/
      'https://katcr.co/new/'
    # ======================================================================= #
    # === rf wahl_bp_2016
    # ======================================================================= #
    when 'wahl_bp_2016'
      'http://wahl16.bmi.gv.at/'
    # ======================================================================= #
    # === rf genome_biology
    # ======================================================================= #
    when /genome_?biology/,'gbiology'
      'http://genomebiology.com/'
    # ======================================================================= #
    # === rf magickartenmarkt_transactions
    # ======================================================================= #
    when /magickartenmarkt_?transactions/
      'https://www.magickartenmarkt.de/?mainPage=showMyTransactions'
    # ======================================================================= #
    # === rf genewise
    # ======================================================================= #
    when 'genewise'
      'http://www.ebi.ac.uk/Tools/psa/genewise/'
    # ======================================================================= #
    # === rf pointers 
    # ======================================================================= #
    when 'pointers'
      'http://boredzo.org/pointers/'
    # ======================================================================= #
    # === rf sell_cards
    # ======================================================================= #
    when 'sell_cards','sellcards'
      'https://www.magickartenmarkt.de/?mainPage=listProducts'
    # ======================================================================= #
    # === rf dan
    # ======================================================================= #
    when 'dan','danvk'
      'http://www.danvk.org/'
    # ======================================================================= #
    # === rf imgur
    # ======================================================================= #
    when 'imgur'
      'https://imgur.com/upload' # http://imgur.com/
    when /loidl_?homepage/
      'http://homepage.univie.ac.at/josef.loidl/'
    when /magic_?karten_?markt/,'deutschland_magic'
      'https://www.magickartenmarkt.de/'
    when 'magic_the_gathering_timeline','magicthegatheringtimeline',
         'magic_sets'
      'https://en.wikipedia.org/wiki/List_of_Magic:_The_Gathering_sets#Base.2Fcore_set_editions'
    when 'spielraum_magic'
      'http://www.spielraum.co.at/de/magic/magic.aspx'
    when 'new_magic_cards','newmagiccards'
      'http://magic.wizards.com/en/game-info/products/card-set-archive'
    when 'magic'
      'http://magic.wizards.com/'
    when 'orffinder'
      'https://www.ncbi.nlm.nih.gov/orffinder'
    when /Kansas(_|-| )?Discography/i
      'https://en.wikipedia.org/wiki/Kansas_discography#Singles'
    when 'boty',/battle_?of_?the_?year/
      'http://www.battleoftheyear.de/news/'
    when 'computational_concepts_in_biology_I_moodle',
      'https://moodle.univie.ac.at/course/view.php?id=56102'
    when /tilab_?timetable/i
      'http://www.tilab.tuwien.ac.at/timetable.shtml'
    when /nanovorlesung/
      'http://online.univie.ac.at/vlvz?&lvnr=270090&semester=W2016'
    when /schiaparelli_?launcher/
      'https://en.wikipedia.org/wiki/Schiaparelli_EDM_lander#Overview'
    when 'ÖH_Beratung'
      'https://www.oeh.ac.at/bipol'
    when /ökologische_?landwirtschaft/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277660'
    when /jäger/
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=8881DCAC46FFABF6&pPersonenGruppe=3'
    when /java_?exam/
      'http://vvz.wu.ac.at/cgi-bin/vvz.pl?C=L;I=0381;S=16W;LANG=DE;LV=5;L2=125;L3=122001;L4=122348;L5=122415;SP=125;'
    when /master_?bioinformatics_?biologie/
      'http://www.cibiv.at/master_bioinformatics/biol/'
    when /gemüseproduktion/
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277846'
    when 'organische_chemie_Übungen',/organische_?chemie_?übungen/,
         'organischechemieübungen','boku_organischechemieübungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279434'
    when 'lichtenegger'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=638E88B3F9C61769&pPersonenGruppe=3'
    when /boku(_|-| )?aktuelle(_|-| )?videoaufzeichnungen/
      'http://www.boku.ac.at/lehrentwicklung/e-learning-und-didaktik-neuer-lehr-und-lernformen/themen/vorlesungsaufzeichnung/201516/'
    when /bachelor_?dropbox/
      'https://www.dropbox.com/home/Molekulare%20Biologie'
    when /east_?17_?discography/
      'https://en.wikipedia.org/wiki/East_17_discography#Singles'
    when /crop_?plant_?science/
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278358'
    when 'IAGZ','boku_institut_für_genetik',/boku_?genetik/,'boku_genetics'
      'https://online.boku.ac.at/BOKUonline/webnav.navigate_to?corg=15895'
    when /ruby_?irc_?logs?/,/ruby_?irc/
      'https://irclog.whitequark.org/ruby'
    when 'biomaterialchemie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278639'
    when /getreidemarkt_?wien/
      'https://www.wien.gv.at/wiki/index.php?title=Getreidemarkt'
    when 'usearch'
      'http://search.obvsg.at/primo_library/libweb/action/search.do?mode=Basic&vid=UWI&tab=default_tab'
    when /japan_?population_?growth/
      'https://en.wikipedia.org/wiki/Demography_of_Japan'
    when 'boku_mathematik_lbt','boku_mathematik_lmbt'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276493'
    when 'rhetorik_und_präsentationstechniken'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277669'
    when 'chemische_übungen','chemische_Übungen','chemischen_Übungen',
         'chemübungen','chemische_übung','chemüb','chemübung',
         'chem_übung','chem_übungen','bokuchem'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279397'
    when 'poll','strawpoll'
      'http://www.strawpoll.me/'
    when 'topdeck','deckbox'
      'https://deckbox.org/'
    when 'boku_agrobiotechnology','boku_agrobiotechnologie',
         'boku_agrarbiotechnologie'
      'https://online.boku.ac.at/BOKUonline/webnav.navigate_to?corg=15790'
    when 'osfam1','top500'
      'http://www.top500.org/statistics/details/osfam/1'
    when 'supercomputer','top_computers'
      'http://www.top500.org/statistics/list/' # or 'http://www.top500.org/statistics/details/osfam/1'
    when 'simpsons_seasons','simpsonsseasons'
      'https://en.wikipedia.org/wiki/List_of_The_Simpsons_episodes'
    when 'marriage_statistics','marriagestatistics'
      'http://ec.europa.eu/eurostat/statistics-explained/index.php/Marriage_and_divorce_statistics'
    when 'einführung_in_das_wissenschaftliche_arbeiten_für_nNaturwissenschafterinnen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279451'
    when 'alois','jungbauer','jungblunzer','jungblauer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=4482E653E2B4C1B3&pPersonenGruppe=3'
    when 'alvaro_soler_discography'
      'https://en.wikipedia.org/wiki/%C3%81lvaro_Soler#Singles'
    when 'boku_lebensmitteldepartment'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?porgnr=15691'
    when 'alexa_top_sites'
      'http://www.alexa.com/topsites'
    when 'forum_bachelor_medizinische_informatik'
      'https://www.informatik-forum.at/forum/bachelorstudien-tu-wien/bachelorstudium-medizinische-informatik'
    when 'all_curricula_at_the_university_of_vienna',
         'alle_curricula','all_curricula'
      'http://studentpoint.univie.ac.at/?id=96352#277326'
    when 'advanced_github_search'
      'https://github.com/search/advanced'
    when 'roland_ludwig','rolandludwig','ludwig_roland','ludwig1','boku_ludwig',
         'ludwig'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=9858F877C1E3BA1A&pPersonenGruppe=3'
    when 'ludwig2','boltzmann'
      'http://lbicr.lbg.ac.at/'
    when 'olympia_2016','olympia2016'
      'https://en.wikipedia.org/wiki/2016_Summer_Olympics_medal_table#Medal_table'
    when 'boku_studienabteilung_öffnungszeiten','bokuopening',
         'boku_studienabteilung','bokustudienabteilung',
         /boku_?öffnungszeiten/i
      'https://www.boku.ac.at/studienservices/'
    when 'molecular_evolution_and_phylogenetics_in_eng',
         'molecular_evolution_and_phylogenetics'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=280286&pSpracheNr=1&pMUISuche=FALSE'
    when 'oakenfield_discography','oakenfielddiscography'
      'https://en.wikipedia.org/wiki/Paul_Oakenfold_discography#Single_chart_positions'
    when 'US_population'
      'https://en.wikipedia.org/wiki/List_of_U.S._states_and_territories_by_population'
    when 'kernel_mailing_list','linux_mailing_list','kernel_mail',
         'kernelmail','last_100','kernellist','hot_linux',
         'kernel_mailinglist'
      'https://lkml.org/lkml/last100/'
    when 'engineering_of_biotechnological_production_facilities'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278351'
    when 'quality_management_in_biotechnology'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278353'
    when 'forstwirtschaft'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278311'
    when 'pflanzenanatomie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279279'
    when 'doktorat1'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278776'
    when 'fully_sequenced_genomes','fullysequencedgenomes'
      'https://gold.jgi.doe.gov/projects?Project.Project+Status=Complete+and+Published&Project.Is+Public=Yes'
    when 'bachelor_informatik_uni_wien'
      'http://senat.univie.ac.at/fileadmin/user_upload/senat/Konsolidierte_Curricula/Bachelors/BA_Informatik_Version2016.pdf'
    when 'agrarökologie-Übungen','agrarökologie_Übungen',
         'agrarökologie_übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279507'
    when 'gesteinskunde-Übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278928'
    when 'pflanzenbau-Übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278262'
    when 'botanik-Übungen-anatomie','botanik_Übungen_anatomie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279279'
    when 'tazegul'
      'http://www.taekwondodata.com/servet-tazegl.a94q.html'
    when 'enzyme_technology_seminar','enzymetechnologyseminar'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278451'
    when 'biochemical_reaction_engineering','biochemicalreactionengineering'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279680'
    when 'klosterneuburg'
      'http://www.klosterneuburg.at/system/web/zusatzseite.aspx?menuonr=220507429&detailonr=220481174'
    when 'pflichtpraxisseminar_agrarbiologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278069'
    when 'EST_database'
      'http://www.ncbi.nlm.nih.gov/dbEST/'
    when 'informatik_forum','informatikforum'
      'https://www.informatik-forum.at/'
    when 'bioinformatik_übungen','bioinformatikübungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=280285'
    when 'boku_studienzahlen','bokustudienzahlen'
      'https://www.boku.ac.at/fileadmin/data/H01000/H10090/H10400/H10420/Geschichte/Studierendenzahlen_V5_full.jpg'
    when 'remote_blosum','remoteblosum'
      'https://en.wikipedia.org/wiki/BLOSUM'
    when 'boden_als_pflanzenstandort'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279940'
    when 'dürrschmid'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=4EFF236A172C1B5B&pPersonenGruppe=3'
    when 'weather_records'
      'https://en.wikipedia.org/wiki/List_of_weather_records'
    when 'allgemeine_betriebswirtschaftslehre'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276840'
    when 'imp_bioinformatics','impbioinformatics'
      'http://cores.imp.ac.at/bioinformatics/'
    when 'klemens_vierlinger'
      'http://www.ait.ac.at/departments/health-environment/molecular-diagnostics/bioinformatics/'
    when 'spaceship_generator'
      'http://www.blendernation.com/2016/06/23/spaceship-generator/'
    when 'botanik_übungen','botanikübungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279279'
    when 'tierische_produktion_und_landwirtschaftliche_betriebswirtschaftslehre'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275094'
    when 'gemüse_und_zierpflanzenproduktion','gemüseundzierpflanzenproduktion'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274742'
    when 'lebensräume_heimischer_pflanzen_und_tiere'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276458'
    when 'ökologische_landwirtschaft'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277660'
    when 'Grundlagen der Ökonomie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276550'
    when 'karteikarten_pathophysiologie'
      'http://www.karteikarte.com/subject/4000/pathophysiologie'
    when 'tagesspiegel'
      'http://www.tagesspiegel.de/berlin/'
    when 'todesstrafe'
      'https://de.wikipedia.org/wiki/Todesstrafe'
    when 'prince_discography','princediscography'
      'https://en.wikipedia.org/wiki/Prince_singles_discography#Singles'
    when 'schengen'
      'https://de.wikipedia.org/wiki/Schengener_Abkommen'
    when 'beach_boys_discography'
      'https://en.wikipedia.org/wiki/The_Beach_Boys_discography#1980.E2.80.93present_singles'
    when 'depeche_mode_discography'
      'https://en.wikipedia.org/wiki/Depeche_Mode_discography#Singles'
    when 'duran_duran_discography'
      'https://en.wikipedia.org/wiki/Duran_Duran_discography#Singles'
    when 'blondie_discography','blondiediscography'
      'https://en.wikipedia.org/wiki/Blondie_discography#Singles'
    when 'mandl'
      'https://www.linkedin.com/in/cwmandl'
    when 'bokucalendar'
      'https://www.boku.ac.at/fileadmin/data/H05000/H12000/Baum_2012/B-_International_Students_coming_to_BOKU/I-_Wie_plane_ich_mein_Studium_an_der_BOKU/Academic_Calendar_1516.pdf'
    when 'tropenveterinärmedizin'
      'https://online.vu-wien.ac.at/VUWonline/wblv.wbShowLvDetail?pStpSpNr=55476'  
    when 'next_olympic_games'
      'https://www.olympic.org/rio-2016'
    when 'best_gems','bestgems'
      'http://bestgems.org/'
    when 'wahl_deutschland','wahl_deutschland_2013'
      'https://de.wikipedia.org/wiki/Bundestagswahl_2013'
    when 'slackware_bittorrent','bittorrent_slackware'
      'http://www.slackware.com/getslack/torrents.php'
    when 'fake_coup_turkey_2016','fakecoupturkey2016'
      'https://en.wikipedia.org/wiki/2016_Turkish_coup_d%27%C3%A9tat_attempt'
    when 'nizza_attack_2016','nizza_attack','main_news','mainnews'
      'https://en.wikipedia.org/wiki/2016_attack_in_Nice'
    when 'tuchem_library','chemlibrary'
      'http://www.ub.tuwien.ac.at/eng/chemab_eng.php#opening_hours'
    when 'boku_library'
      'http://www.boku.ac.at/en/bib/oeffnungszeiten/'
    when 'bokulibrary'
      'https://www.boku.ac.at/fileadmin/data/H05000/H18000/pdf16/Ostern_2016_en.pdf'
    when 'human_nutrition_and_food','humannutritionandfood'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275673&pSpracheNr=2&pMUISuche=FALSE'
    when 'gemüse-_und_zierpflanzenbau','gemüseundzierpflanzenbau'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274728'
    when 'lebensmitteltoxikologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275019'
    when 'patentrecht_und_strategisches_patentmanagement',
         'patentrechtundstrategischespatentmanagement'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276563'
    when 'biotechnologischer_anlagenbau_und_prozessleittechnik',
         'biotechnologischeranlagenbauundprozessleittechnik'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275246'
    when 'metabolic_modelling','metabolicmodelling'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275039'
    when 'boku_2016'
      'https://www.boku.ac.at/fileadmin/data/H05000/H11100/Zeittafel_Studienjahr_2016-17.pdf'
    when 'boku_zeittafel','bokuzeittafel'
      'https://www.boku.ac.at/studienservices/themen/termine-fristen/zeittafel/'
    when 'boku_fristen','bokufristen'
      'https://www.boku.ac.at/studienservices/themen/termine-fristen/'
    when 'bodenkunde_prüfung','bodenkunde_prüfungen','bodenkundeprüfung'
      'https://online.boku.ac.at/BOKUonline/wbExamOffer.wbExamsOfCourse?pCourseNr=276905'
    when 'friederike_seiler','friederikeseiler'
      'https://at.linkedin.com/in/friederike-seiler-80933283'
    when 'nicole_kröpfl','nicole','kröpfl'
      'https://www.xing.com/profile/Nicole_Kroepfl'
    when 'andreas_färber','xyllo_boss'
      'https://www.xing.com/profile/Andreas_Faerber'
    when 'orf1','tv1'
      'http://tv.orf.at/program/orf1/'
    when 'em2016','EM2016','EM_2016'
      'https://de.wikipedia.org/wiki/Fu%C3%9Fball-Europameisterschaft_2016#Finalrunde'
    when 'oliver_schön','oliverschön','schön'
      'http://www.jamjam.at/'
    when 'brexit'
      'https://www.youtube.com/watch?v=U2e8273S03E'
    when 'world_population'
      'https://en.wikipedia.org/wiki/List_of_countries_and_dependencies_by_population'
    when 'boku_berghofer','berghofer'
      'https://forschung.boku.ac.at/fis/suchen.person_uebersicht?sprache_in=de&menue_id_in=101&id_in=19' 
    when 'werkstoff-_und_materialkunde','werkstoff_und_materialkunde',
         'werkstoffundmaterialkunde'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275632'
    when 'bioprocess_engineering','bioprocess_engineering_I','bioprocess_engineering_i'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278852'
    when 'biophysical_chemistry'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279424'
    when 'molekularbiologie_Übungen_ii','molekularbiologie_übungen_ii'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278370'
    when 'chopchop'
      'http://chopchop.cbu.uib.no/'
    when 'metabolic_and_cell_engineering','metabolicandcellengineering',
         'metabolic_engineering'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274580'
    when 'mattanovich'
      'https://forschung.boku.ac.at/fis/suchen.person_uebersicht?sprache_in=en&menue_id_in=101&id_in=441'
    when 'korbei'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=3A2FCE910C839822&pPersonenGruppe=3'
    when 'plant_morphology','plantmorphology'
      'http://online.univie.ac.at/vlvz?&lvnr=300424&semester=W2015'
    when 'd_e_akers'
      'https://rubygems.org/profiles/Ox0dea'
    when 'boku_lebensmittelrecht','lebensmittelrecht'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275026'
    when 'molekularbiologie_Übungen_i','molekularbiologie_übungen_i',
         'boku_molekularbiologie_übungen','molekularbiologie_übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274805'
    when 'analytische_chemie_Übungen','analytische_chemie_übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276357'
    when 'biochemische_Übungen_i'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276370'
    when 'ressourcenmärkte'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275701'
    when 'plant_biochemistry_and_cell_biology','biochemie_pflanzen',
         'plant_biochemistry'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275570'
    when 'allgemeine_mikrobiologie','boku_mikrobiologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276400'
    when 'trending_ruby','trendingruby'
      'https://github.com/trending/ruby'
    when 'alto_c_programming_course'
      'http://mooc.fi/courses/2016/aalto-c/en/'
    when 'atp_rankings','atprankings'
      'https://en.wikipedia.org/wiki/Association_of_Tennis_Professionals#Current_rankings'
    when 'hanmac','rwx','rxw'
      'https://github.com/Hanmac/rwx'
    when 'kelly'
      'https://s-media-cache-ak0.pinimg.com/736x/74/ce/b2/74ceb243f3aacbdce27668badb69e2ca.jpg'
    when 'henry_jäger'
      'https://forschung.boku.ac.at/fis/suchen.person_uebersicht?sprache_in=de&menue_id_in=101&id_in=141112'
    when 'biochemische_technologie','biochemische_technologien',
         'biochemischetechnologie','biochemischetechnologien'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274640'
    when 'bioseminars','ibioseminars'
      'http://www.ibiology.org/ibioseminars.html'
    when 'mathematik_Übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276494'
    when 'angewandte_mikrobiologie_Übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276401'
    when 'allgemeine_prozesstechnik'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275510'
    when 'introduction_to_molecular_biology'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274929'
    when 'boku_allgemeine_mikrobiologie_übungen','allgemeine_mikrobiologie_übungen',
         'allgemeine_mikrobiologie_Übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275507'
    when 'organische_chemie_für_lebensmittel-_und_biotechnologen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274913'
    when 'einführung_in_die_chemie_übungen','einführung_in_die_chemie_Übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276356'
    when 'ddbj'
      'http://www.ddbj.nig.ac.jp/'
    when 'human_y_chromosome','y_chromosome'
      'https://en.wikipedia.org/wiki/Y_chromosome'
    when 'adam'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=1FAFFC80D13F59A3&pPersonenGruppe=3'
    when 'bp_wahl_2016'
      'https://de.wikipedia.org/wiki/Bundespr%C3%A4sidentenwahl_in_%C3%96sterreich_2016#Zweiter_Wahlgang'
    when 'plantpathogens','pathogen','molecular_biology_of_plant-pathogen_interactions'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274814'
    when 'arabidopsis_flowering_database','arabidopsisfloweringdatabase'
      'http://www.phytosystems.ulg.ac.be/florid/'
    when 'biophp','bio_php'
      'http://www.biophp.org/'
    when 'club_biotech','clubbiotech'
      'http://clubbiotech.org/'
    when 'cazy_database'
      'http://www.cazy.org/'
    when 'bioperl'
      'http://bioperl.org/howtos/index.html'
    when 'ground_up_programming'
      'http://download-mirror.savannah.gnu.org/releases/pgubook/ProgrammingGroundUp-1-0-booksize.pdf'
    when 'gefahrensymbole'
      'http://www.gewerbeaufsicht.bremen.de/fastmedia/12/Gefahrensymbole_EG_wei%DF.jpg'
    when 'evaluierung'
      'https://online.boku.ac.at/BOKUonline/qt_eval1.display_eval_fb?cstp_sp_nr=277330'
    when 'einführung_in_die_chemie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276355'
    when 'boku_learn_hinterstoisser2','boku_learn_hinterstoisser'
      'https://learn.boku.ac.at/course/view.php?id=6648'
    when 'boku_knopp','knopp'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A9E7A745D1C6EA23&pPersonenGruppe=3'
    when 'boku_zehetner','zehetner'
      'https://forschung.boku.ac.at/fis/suchen.person_uebersicht?sprache_in=en&menue_id_in=101&id_in=751'
    when 'umweltanalytik'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276360'
    when 'boku_luschnig','bokuluschnig','luschnig'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A82C9968C2A050FE&pPersonenGruppe=3'
    when 'prenner'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=561AA8130ADD9358&pPersonenGruppe=3'
    when 'gras','gras_organismus'
      'http://www.accessdata.fda.gov/scripts/fdcc/?set=GRASNotices'
    when 'gras_on_wikipedia'
      'https://en.wikipedia.org/wiki/Generally_recognized_as_safe'
    when 'stoffwechselphysiologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276607'
    when 'plant_polysaccharide_analysis','polysaccharides','polysaccharide',
         'plant_polysaccharides'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277272'
    when 'boku_ktww_forum','bokuktwwforum'
      'http://www.bokuwiese.at/forum/253'
    when 'nächste_anmeldung'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279397'
    when 'boku_sterflinger','sterflinger'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=8429BC86628C08A9&pPersonenGruppe=3'
    when 'landwirtschaftliche_baukunde'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275073'
    when 'emboss_transeq','embosstranseq','transeq','transseq'
      'http://www.bioinformatics.nl/cgi-bin/emboss/transeq'
    when 'emboss_showorf','embossshoworf','showorf'
      'http://www.bioinformatics.nl/cgi-bin/emboss/showorf'
    when 'energiewirtschaft'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275985'
    when 'emboss','emboss_explorer','embossexplorer'
      'http://www.bioinformatics.nl/emboss-explorer/'
    when 'ttp_atlas','ttpatlas'
      'http://ttp-atlas.univie.ac.at/'
    when 'emboss_matcher','embossmatcher'
      'http://www.ebi.ac.uk/Tools/psa/emboss_matcher/'
    when 'emboss_needle','embossneedle'
      'http://www.ebi.ac.uk/Tools/psa/emboss_needle/'
    when 'emboss_cpgplot','embosscpgplot','cgplot','cg_plot',
         'cpgplot'
      'http://www.bioinformatics.nl/cgi-bin/emboss/cpgplot'
    when 'emboss_compseq','embosscompseq','compseq'
      'http://www.bioinformatics.nl/cgi-bin/emboss/compseq'
    when 'google_drive','googledrive','gdrive','godrive','drive2'
      'https://drive.google.com/drive/my-drive'
    when 'primer_design','primerdesign'
      'http://www.ncbi.nlm.nih.gov/tools/primer-blast/'
    when 'pflanzengenetik'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277330'
    when 'gerhard_adam'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=1FAFFC80D13F59A3&pPersonenGruppe=3'
    when 'allgemeine_botanik_videos'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2009/prof-hietz-allgemeine-botanik/'
    when 'boku_lehrveranstaltungen','bokulehrveranstaltungen'
      'https://online.boku.ac.at/BOKUonline/sa2.lvanmelden?cst_person_nr=289784'
    when 'umwelttoxikologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276914'
    when 'adaptive_und_selbstheilende_materialien'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277301'
    when 'pflanzeproduktion'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275169'
    when 'tobias_göllner','tobiasgöllner'
      'http://online.univie.ac.at/pers?zuname=G%C3%B6llner%2C+Tobias'
    when 'technologie_pflanzlicher_lebensmittel'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276616'
    when 'lianj'
      'https://rubygems.org/profiles/lian'
    when 'mikrobio_übung','next_course'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276637'
    when 'boku_zoologie','boku_zoologie_übung'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276453'
    when 'corrupt_cameron'
      'http://www.theguardian.com/politics/2012/apr/20/cameron-family-tax-havens'
    when 'apeiron'
      'http://www.viennabiocenter.org/sites/biotech/apeiron.html'
    when 'arbeitsgruppe_altmann'
      'http://www.chemie.boku.ac.at/abteilung-fuer-biochemie-dchbc/arbeitsgruppen-glykobiologie/gruppe-altmann/'
    when 'arbeitsgruppe_furtmüller'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=17195565DD7B6FD0&pPersonenGruppe=3'
    when 'arbeitsgruppe_obinger'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=F65FC9936595D142&pPersonenGruppe=3'
    when 'arbeitsgruppe_staudacher'
      'http://www.chemie.boku.ac.at/abteilung-fuer-biochemie-dchbc/arbeitsgruppen-glykobiologie/gruppe-staudacher/'
    when 'arbeitsgruppe_wilson'
      'http://www.chemie.boku.ac.at/abteilung-fuer-biochemie-dchbc/arbeitsgruppen-glykobiologie/gruppe-wilson/'
    when 'arbeitsgruppe_svehla'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=F6CF55F8BDA70C1D&pPersonenGruppe=3'
    when 'essay','esay','next1'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275036'
    when 'new_animated_asciis','new_ascii','newascii','newasc'
      'http://asciimator.net/asciimations'
    when 'latest_news'
      'https://en.wikipedia.org/wiki/2016_Brussels_bombings'
    #when 'franziskus_forster'
    when 'boku_doris_glasl','doris_glasl','glasl'
      'https://www.boku.ac.at/personen/person/49E30A437C7AB1C4/'
    when 'boku_petra_kranyak','petra_kranyak','kranyak',
         'kranyek'
      'https://www.boku.ac.at/personen/person/A48DF8D046AAED56/'
    when 'bundesverwaltungsgericht'
      'https://www.bvwg.gv.at/'
    when 'tuwien_professoren','kubicek_gruppenfoto'
      'http://www.vt.tuwien.ac.at/biotechnologie_und_mikrobiologie/'
    when 'tuwien_videos','tuwien_vorlesungen','tuwienvideos',
         'tuvideos2'
      'http://mh-engage.ltcc.tuwien.ac.at/engage/ui/index.html'
    when 'angewandte_virologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276426'
    when 'strasser'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=1A21C8937CDA195C&pPersonenGruppe=3'
    when 'top_poker','toppoker'
      'http://www.top10pokersites.net/top-10-poker-players'
    when 'gnu_long_options'
      'https://www.gnu.org/prep/standards/html_node/Option-Table.html#Option-Table'
    when 'leo_neue_einträge'
      'http://dict.leo.org/forum/previewWrongentry.php?idForum=6&lp=ende&lang=de'
    when 'aw_angebot'
      'http://www.boku.ac.at/lehre/studabt/studien/bakk/h033255/lv-angebot/'
    when 'slackware_changelog'
      'http://www.slackware.com/changelog/current.php?cpu=x86_64'
    when 'lebensmittelbericht'
      'https://www.bmlfuw.gv.at/land/lebensmittel/lebensmittelbericht.html'
    when 'fh_biotechnologie'
      'https://www.fh-campuswien.ac.at/studium/studien-und-weiterbildungsangebot/detail/molekulare-biotechnologie-bachelor.html'
    when 'goliant'
      'https://www.xing.com/profile/Bastian_Luebke'
    when 'conservation_lab'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=277230'
    when 'technologie_tierischer_lebensmittel'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276597'
    when 'esearch'
      'http://eutils.ncbi.nlm.nih.gov/entrez/eutils/esearch.fcgi'
    when 'zenspider'
      'https://rubygems.org/profiles/zenspider'
    when 'iam_boku'
      'https://iam.boku.ac.at/edu/'
    when 'italiandictionary','italian_dictionary'
      'http://www.wordreference.com/enit/'
    when 'fremdsprachenkurs'
      'https://sprachenzentrum.univie.ac.at/sprachniveaus/einstufungstermine-fremdsprachen/'
    when 'sputniknews'
      'http://de.sputniknews.com/'
    when 'genbank_austria','genbankaustria'
      'http://www.genbank.at/'
    when 'vielen_dank'
      'https://www.youtube.com/watch?v=PU3-ogXJlCQ'
    when 'organic_compounds'
      'https://www.ncbi.nlm.nih.gov/pccompound/?term=benzene'
    when 'codex_alimentarius'
      'http://www.fao.org/fao-who-codexalimentarius/about-codex/en/'
    when 'fefe_blog','fefeblog'
      'https://blog.fefe.de/?css=' # https://blog.fefe.de/
    when 'schäffer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=83D1ED6876E15508&pPersonenGruppe=3'
    when 'haltrich'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=599ACC407BCD32BF&pPersonenGruppe=3'
    when 'chara'
      'https://www.flickr.com/photos/linnapaw'
    when 'open_source_motto','open_source_advice'
      'http://taskwarrior.org/docs/advice.html'
    when 'beispiel_dissertation','beispieldissertation'
      'http://archiv.ub.uni-marburg.de/diss/z2013/0350/pdf/dsn.pdf'
    when 'meszaros_lehrveranstaltungen'
      'https://online.boku.ac.at/BOKUonline/lv.person_liste?cperson_nr=12038'
    when 'ruby_channel_log'
      'http://irclog.whitequark.org/ruby/'
    when 'biology_courses','mit_bio_courses','mit_courses','mit'
      'http://ocw.mit.edu/courses/biology/'
    when 'quintus'
      'https://github.com/Quintus'
    when 'ruby_compiler'
      'http://hokstad.com/compiler'
    when 'open_source_repositories'
      'https://www.openhub.net/repositories/compare'
    when 'aaron_cook','aaroncook','aaron','cook'
      'http://www.taekwondodata.com/aaron-cook.aago.html'
    when 'trembl'
      'http://www.ebi.ac.uk/uniprot/Documentation/'
    when 'nim_addons','nimaddons'
      'https://github.com/nim-lang/packages'
    when 'kinemages'
      'http://kinemage.biochem.duke.edu/'
    when 'ttip_verarsche','ttipverarsche'
      'http://www.presseportal.de/pm/30621/3230486'
    when 'upload2','drive','drive_google'
      'https://drive.google.com/'
    when 'stephen_lopez'
      'http://www.taekwondodata.com/steven-lopez.a3a3.html'
    when 'the_hallmarks_of_cancer'
      'http://www.cell.com/cell/fulltext/S0092-8674%2800%2981683-9'
    when 'webserver_real_stats','webserver_share' # Always point to the current month.
      'http://news.netcraft.com/archives/2015/09/16/september-2015-web-server-survey.html'
    when 'aufs'
      'http://aufs.sourceforge.net/'
    when 'ruby_trends'
      'http://sotagtrends.com/?tags=[ruby]'
    when 'mark_kerr','kerr','mark_kerr_tribute'
      'https://www.youtube.com/watch?v=5SMQEw6Iwm0'
    when 'sevenseacat'
      'http://sevenseacat.net/'
    when 'etetoolkit'
      'http://etetoolkit.org/'
    when 'kelly_bundy'
      'http://i.imgur.com/euLPyqh.jpg'
    when 'golden_girls','goldengirls'
      'https://www.youtube.com/watch?v=23GrEhLUF_k'
    when 'captain_future_theme','flash_theme','captain_future'
      'https://www.youtube.com/watch?v=ep07BcETQKs&feature=youtu.be'
    when 'myplaylist'
      'https://www.youtube.com/playlist?list=PLeJs_VIp9-8v6PKJijGJ8VCSaHy5lTYuQ'
    when 'mark_shuttleworth'
      'http://www.markshuttleworth.com/'
    when 'debian_devel'
      'https://www.mail-archive.com/debian-devel@lists.debian.org/'
    when 'we_love_systemd'
      'http://i.imgur.com/isFjnK6.gif'
    when 'sketchpad'
      'https://sketch.io/sketchpad/'
    when 'wikipedia_homepage'
      'https://en.wikipedia.org/wiki/Main_Page'
    when 'erwin_pröll'
      'https://www.youtube.com/watch?v=GxOnpOAZXyQ'
    when 'ccc_videos'
      'https://media.ccc.de/b/congress/2015'
    when 'wat'
      'https://www.youtube.com/watch?v=20BySC_6HyY'
    when 'gentoo_portage'
      'https://wiki.gentoo.org/wiki/Project:Portage'
    when 'next_chemie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276346'
    when 'manveru'
      'https://github.com/manveru'
    when 'radar'
      'http://ryanbigg.com/'
    when 'havenwood'
      'https://rubygems.org/profiles/havenwood'
    when 'getreidemarkt'
      'http://www.vt.tuwien.ac.at/home/EN/'
    when 'ccc_streaming'
      'https://streaming.media.ccc.de/32c3/'
    when 'porg','paco'
      'http://porg.sourceforge.net/'
    when 'nuvie_changelog'
      'https://raw.githubusercontent.com/nuvie/nuvie/master/ChangeLog'
    when 'ruby_ftp','rubyftp','rftp'
      'http://ruby-doc.org/stdlib/libdoc/net/ftp/rdoc/Net/FTP.html'
    when 'linux_news'
      'https://lwn.net/'
    when 'corriere'
      'http://www.corriere.it/index.shtml'
    when 'wormbase','wormy'
      'http://www.wormbase.org/'
    when 'boehringer_ingelheim','boehringer_ingelheim_wien'
      'http://www.boehringer-ingelheim.at/'
    when 'sublime_forum','sublimeforum'
      'http://www.sublimetext.com/forum/index.php'
    when 'pharmazie_biochemie'
      'http://online.univie.ac.at/vlvz?&lvnr=321017&semester=W2015'
    when 'rubygems_stats'
      'https://rubygems.org/stats'
    when 'professor_stingeder','stingeder'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=291F5BC4FFB6520D&pPersonenGruppe=3'
    when 'aldo','jose_aldo'
      'http://www.latimes.com/sports/sportsnow/la-sp-ufc-194-live-updates-aldo-mcgregor-20151212-story.html'
    when 'Veronika_Somoza','milf','MILF'
      'http://online.univie.ac.at/pers?pkey=6906'
    when 'rpm_book'
      'http://www.rpm.org/max-rpm/'
    when 'erwi_net','erwi','ern_erwi'
      'http://erwi.net/Default.aspx?tabid=298'
    when 'telefondatenauswertung'
      'http://www.noz.de/lokales/osnabrueck/artikel/646493/polizei-osnabruck-wertet-nach-attacke-massenhaft-daten-aus'
    when 'anerkennungen_boku','boku_anerkennungen','bokuanerkennungen',
         'boku_anerkennung'
      'http://www.boku.ac.at/lehre/studabt/themen/anerkennungen/leitfaden-anerkennung/'
    when 'bruckner'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=AC810EDF1237D7B4&pPersonenGruppe=3'
    when 'kreil','kreill'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=77B08EB684F824F3&pPersonenGruppe=3'
    when 'hietz_video'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2011/prof-hietz-allgemeine-botanik/'
    when 'svg_graph' # Really awesome graph.
      'http://www.germane-software.com/software/SVG/SVG::Graph/'
    when 'boku_chemie_übungen_aw'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276343'
    when 'ncbi_blosum'
      'http://www.ncbi.nlm.nih.gov/IEB/ToolBox/C_DOC/lxr/source/data/'
    when 'kopp'
      'https://pharmakognosie.univie.ac.at/people/kopp-brigitte/'
    when 'levent_tuncat'
      'http://www.taekwondodata.com/levent-tuncat.a86m.html'
    when 'ruby_forum_de','german_rubyforum'
      'http://forum.ruby-portal.de/'
    when 'but_why','but_why?'
      'http://i.imgur.com/ZCGJyxl.gifv'
    when 'videos_agrarwissenschaften','remote_agrarwissenschaften'
      'https://learn.boku.ac.at/course/view.php?id=9603'
    when 'ruby_private'
      'http://i.imgur.com/Y6FnFVn.png'
    when 'molbio_dropbox','master1','dropbox_main','dropboxmain',
         'dropbox2','dropboxmaster'
      'https://www.dropbox.com/sh/h12mducajvuv0u3/qQhwErFirx'
    when 'dropbox'
      'https://www.dropbox.com/sh/r0s74867zkuwv6u/IDfbcrY5Hk?m='
    when 'gratipay'
      'https://gratipay.com'
    when 'fh_dropbox'
      'https://www.dropbox.com/sh/bdme1v8n76dk5pp/AAC5UAvaTvG11IvWR8r4AwBwa'
    when 'symbol'
      'symbolhound.com'
    when 'prof_hofreither'
      'http://www.boku.ac.at/personen/person/D676C378DEBE9D50/'
    when 'remote_youtube'
      'https://www.youtube.com/'
    when 'rubyconf_live_stream','rubyconf2015'
      'http://confreaks.tv/videos/rubyconf2015-live-stream'
    when 'population_clock'
      'http://www.worldometers.info/world-population/'
    when 'bokuvideos','bokuvideo','bokuarchiv'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2010/'
    when 'recent_event','recent_events'
      'https://en.wikipedia.org/wiki/November_2015_Paris_attacks'
    when 'boku_ergebnisse','boku_ergebnis','bokuergebnisse',
         'ergebnisseboku','bokuergebnis','bokuresults'
      'https://online.boku.ac.at/BOKUonline/lv.anzeigeStat?pStpSpNr=272021&pSpracheNr=1&pOrgNr=15683'
    when 'nives_gobo','nieves_gobo','nieves'
      'https://vimeo.com/134553266'
    when 'aw_botanik'
      'https://learn.boku.ac.at/course/view.php?id=9287'
    when 'webserver_stats'
      'http://news.netcraft.com/'
    when 'smidt'
      'http://www.boku.ac.at/personen/person/B3E4D54EC414091D/'
    when 'ubrm_chemie'
      'https://learn.boku.ac.at/course/view.php?id=9192'
    when 'alot'
      'http://3.bp.blogspot.com/_D_Z-D2tzi14/S8TTPQCPA6I/AAAAAAAACwA/ZHZH-Bi8OmI/s400/ALOT2.png'
    when 'mortal_kombat_crew','mortal_kombat'
      'https://www.youtube.com/watch?v=5DfqbqWi0U0'
    when 'pennymarkt_öffnungszeiten'
      'https://www.penny.at/Service/_ffnungszeiten/_ffnungszeiten/pe_DefaultContent1.aspx'
    when 'seminars','lecture','imba_seminars2','imbaseminars2',
         'super_seminars'
      'http://seminars.viennabiocenter.org/seminars.php?display=archive'
    when 'ruby_operator_precedence'
      'http://stackoverflow.com/questions/21060234/ruby-operator-precedence-table/21060235#21060235'
    when 'nerd_sniping'
      'https://xkcd.com/356/'
    when 'vorlesungsreihe_informatik'
      'https://www.youtube.com/watch?v=oUhmuS7FBpw'
    when 'boku_orgc'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274913'
    when 'boku_learn','bokulearn','learn_boku','boku learn',
         'boku_moodle','bokumoodle'
      'https://learn.boku.ac.at/login/index.php'
    when 'postgraduate'
      'http://www.postgraduatecenter.at/fileadmin/user_upload/ref_weiter/PGC_Broschueren/Gesamtbroschuere_2015_16_web.pdf'
    when 'boku_anmeldung','bokuanmeldung','boku_anmeldungen'
      'https://online.boku.ac.at/BOKUonline/sa2.lvsearch?cst_person_nr=289784&csjnr=1761'
    when 'broinger'
      'http://www.symbios-architektur.at/'
    when 'mirror_repeat'
      'https://www.youtube.com/watch?v=5SC_PX9dW80'
    when 'wu_vorlesungsverzeichnis'
      'http://vvz.wu.ac.at/cgi-bin/vvz.pl'
    when 'botanik_prüfung','botanik'
      'https://online.boku.ac.at/BOKUonline/wbExamOffer.wbExamsOfCourse?pCourseNr=272416'
    when 'man_and_beast','man_versus_beast'
      'https://www.youtube.com/user/ManAndBeastVideos/videos?view=0&shelf_id=1&sort=dd'
    when 'grundlagen_des_rechts'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276547'
    when 'imba_seminare','imbaseminars','seminare',
         'imba_news','imba_seminars'
      'http://seminars.viennabiocenter.org/mondayseminars_all.php'
    when 'tiss_favoriten','tiss2'
      'https://tiss.tuwien.ac.at/education/favorites.xhtml?windowId=b3a'
    when 'makroökonomie'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2011/grundlagen-der-makrooekonomie/'
    when 'hisham_blog'
      'http://hisham.hm/category/en_us/'
    when 'hishman','hisham'
      'https://github.com/hishamhm'
    when 'desktop_notifications'
      'https://developer.cdn.mozilla.net/media/uploads/demos/e/l/elfoxero/c17223c414d8ddafb7808972b5617d9e/html5-notifications_1400214081_demo_package/index.html'
    when 'ubrmt_next_exam'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275535'
    when 'gesteinskunde'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275849'
    when 'holubar'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=9C0A467231FCC4EB&pPersonenGruppe=3'
    when 'tueco','nachhaltigkeit'
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=af0&semester=2015S&courseNr=164225'
    when 'ecocyc','ecoli_database'
      'http://ecocyc.org/'
    when 'tuwel','tuwi','tuwis'
      'https://tuwel.tuwien.ac.at/?lang=en'
    when 'bliem'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=C910B96672CE011E&pPersonenGruppe=3'
    when 'übung_zoologie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276453'
    when 'übungen_vetmed'
      'http://online.univie.ac.at/vlvz?&lvnr=270313&semester=W2015'
    when 'boku_ökologie2'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=275825'
    when 'boku_ökologie','boku_ecology','mainvid'
      'https://learn.boku.ac.at/course/view.php?id=7409'
    when 'rails_issues','github_rails','githubrails'
      'https://github.com/rails/rails/issues'
    when 'mruby'
      'https://github.com/mruby/mruby'
    when 'tu_wien_statistik','tuwien_stats'
      'https://www.tuwien.ac.at/wir_ueber_uns/zahlen_und_fakten/daten/'
    when 'green_chemistry'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=0cf&courseNr=163149&semester=2015W'
    when 'firefox_forum'
      'http://forums.mozillazine.org/'
    when 'latest_firefox'
      'http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/latest/linux-x86_64/en-GB/'
    when 'kattinger','katinger'
      'http://www.boku.ac.at/en/personen/person/D7D6D9D8C238FE89/?cHash=fccdb7d2d348e8149bd66e3d2c1ef2c4'
    when 'github_stats','githubstatistics','github_languages'
      'http://adambard.com/blog/top-github-languages-for-2013-so-far/'
    when 'githubranking','gitranking','github_stats2','githubstats'
      'http://githubranking.com/'
    when 'github_language_stats'
      'http://redmonk.com/dberkholz/2014/05/02/github-language-trends-and-the-fragmenting-landscape/'
    when 'lucas'
      'https://github.com/lucasvr'
    when 'mikrobioübung'
      'https://online.boku.ac.at/BOKUonline/sa2.auswahl?cst_person_nr=289784&clvnr=276638&cststudnr='
    when 'fpm'
      'https://github.com/jordansissel/fpm'
    when 'appfs'
      'http://appfs.rkeene.org/web/artifact/dc320025c3e0c205'
    when 'coderay'
      'https://rubygems.org/gems/coderay'
    when 'rubocop'
      'https://rubygems.org/gems/rubocop/versions'
    when 'genetik1'
      'https://online.vu-wien.ac.at/VUWonline/wblv.wbShowLvDetail?pStpSpNr=52761'
    when 'obst','obstprüfung'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=270954'
    when 'c++_exam'
      'http://online.univie.ac.at/vlvz?&lvnr=050022&semester=W2015'
    when 'straight_outta_compton'
      'https://www.youtube.com/watch?v=TMZi25Pq3T8'
    when 'biopython_tutorial','biopythontutorial'
      'http://biopython.org/DIST/docs/tutorial/Tutorial.html'
    when 'yaml_specification','yamlspecification'
      'http://yaml.org/spec/1.2/spec.html'
    when 'matedesktop'
      'http://mate-desktop.org/'
    when 'landtechnik'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=270782'
    when 'pöschl','poeschl','gernot_pöschl'
      'https://www.xing.com/profile/Gernot_Poeschl'
    when 'linus'
      'https://github.com/torvalds/linux'
    when 'beliar'
      'https://fife-rpg.github.io/'
    when 'prüfungstermine_zmb','prüfungstermine_molbio',
         'pruefungstermine_zmb','zmb_prüfungstermine'
      'http://molekularebiologie.univie.ac.at/pruefungstermine/'
    when 'steop_zeitplan'
      'http://molekularebiologie.univie.ac.at/fileadmin/user_upload/zentrum_molekulare_biologie/Infos/STEOP_Zeitplan.pdf'
    when 'boston_song','boston'
      'https://www.youtube.com/watch?v=SSR6ZzjDZ94'
    when 'forum_cgtalk','forumcgtalk','cgiforum'
      'http://forums.cgsociety.org/'
    when 'openttd'
      'http://www.openttd.org/en/'
    when 'ruby_readline'
      'http://ruby-doc.org/stdlib-2.1.0/libdoc/readline/rdoc/Readline.html'
    when 'drepper_blog','drepper'
      'http://www.akkadia.org/drepper/blog/html/'
    when 'klausegger'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/195275?suchtext=raimund+klausegger' # https://tiss.tuwien.ac.at/course/courseList.xhtml?windowId=5a9&lecturerOid=5254461'
    when 'hummel','thomas_hummel'
      'http://online.univie.ac.at/vlvz?pkey=33440&semester=current'
    when 'alumni','boku_abgeschlossen'
      'http://www.alumni.boku.ac.at/'
    when 'boku_agrarwissenschaften'
      'http://www.boku.ac.at/lehre/studabt/studien/bakk/h033255/'
    when 'anmeldefristen'
      'http://studentpoint.univie.ac.at/durchs-studium/anmeldesystem/anmeldefristen/'
    when 'life_of_brian_script'
      'http://montypython.50webs.com/Life_of_Brian.htm'
    when 'evolution_vorlesungen','evolutionvorlesungen'
      'https://moodle.univie.ac.at/course/view.php?id=38525'
    when 'ursula_klausegger'
      'https://www.infona.pl/contributor/1@bwmeta1.element.elsevier-3c4d6ece-5fa7-3695-9c10-6fc2c3a99401/tab/publications'
    when 'pearson_login'
      'https://register.pearsoncmg.com/userprofile/'
    when 'mastering_chemistry'
      'https://session.masteringchemistry.com/myct/start?login=1'
    when 'gmp','good_manufacturing_process'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=b9c&courseNr=164169&semester=2015S'
    when 'interrogation_game'
      'http://www.kongregate.com/games/BrandLibel/indefinite-interrogation-game'
    when 'david_schmitt','davidschmitt','schmitt'
      'https://at.linkedin.com/in/davidschmitt'
    when 'tu_master_biotech_vorlesungen'
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?windowId=838&orgUnitCode=E166'
    when 'tierarzt'
      'http://www.tierarzt1060.at/#!ordinationszeiten/c14vl'
    when 'operating_systems','operating_systems_share'
      'http://www.netmarketshare.com/operating-system-market-share.aspx?qprid=10&qpcustomd=0'
    when 'gpl3'
      'http://www.gnu.org/licenses/gpl-3.0.en.html'
    when 'boku_chemie_stingeder','boku_video','boku_videos',
         'bokuvid','stingeder?','stingeder_main','boku_main_video',
         'onlinevideo','onlinevideos','bokuwien','stingedervideo'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2012/771101-prof-stingeder-einfuehrung-in-die-chemie/'
    when 'glößl'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=894B21216DE180F1&pPersonenGruppe=3'
    when 'mohit2'
      'http://www.ncbi.nlm.nih.gov/pubmed/?term=Kumar%20M[Author]&cauthor=true&cauthor_uid=25261310'
    when 'tiss_suche','tisssuche','tsearch'
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?windowId=545'
    when 'ethesis','abschlussarbeiten'
      'http://othes.univie.ac.at/'
    when 'christian_doppler','gentherapie_cluster'
      'https://www.cdg.ac.at/forschungseinheiten/labor/gentherapeutische-vektor-entwicklung-i/?tx_cdglabors_labors[action]=show&tx_cdglabors_labors[controller]=Labor&cHash=f31d02677b7df4f060837c655838985b'
    when 'vetmed_team'
      'http://www.vetmeduni.ac.at/de/studium/ansprechpersonen/'
    when 'papers'
      'http://www.ncbi.nlm.nih.gov/omim/?term=g%C3%BCnzburg'
    when 'karrer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=32F42256FE8BD75E&pPersonenGruppe=3'
    when 'agrarbiologie'
      'http://www.boku.ac.at/lehre/lehre/studienangebot/masterstudien/agrarbiologie/'
    when 'bokumail2'
      'https://students.boku.ac.at/index.php?Horde=6c7f21b60b1414053fd33ffbdb22d1b2'
    when 'playlist','my_playlist'
      'https://www.youtube.com/watch?v=4om1rQKPijI&list=PLeJs_VIp9-8v6PKJijGJ8VCSaHy5lTYuQ'
    when 'botanik_exam'
      'https://online.boku.ac.at/BOKUonline/wbregisterexam.lv_termine?cstp_sp_nr=272416&cheader=J'
    when 'main_game','maingame','maingam','game1'
      'https://us1.lacunaexpanse.com/'
    when 'grepolis','polis'
      'http://lp.empire.goodgamestudios.com/?country=de&pid=1&gid=12&network=d&creative=23405425296&placement=www.learncpp.com&keyword=browser%20spiel%20free&camp=5&adgr=9&client=1'
    when 'ubrm_katalog'
      'http://www.bokuwiese.at/katalogliste?r=ubrm&ebe=start'
    when 'universitätsgesetz','unistg','unigesetz3','unigesetz'
      'http://www.ris.bka.gv.at/GeltendeFassung.wxe?Abfrage=Bundesnormen&Gesetzesnummer=20002128'
    when 'kommissionelle_prüfungen'
      'http://www.boku.ac.at/fileadmin/data/H05000/H11000/H11030/_TEMP_/HPneu/Rechtslage_Kommisionelle_Pr%C3%BCfungen.pdf'
    when 'vorziehregelung'
      'http://www.boku.ac.at/fileadmin/data/H05000/H19000/Themen-Content/H19030/Pruefungsverwaltung-in-BOKUonline/DezentralePruefungsVerwaltung.pdf'
    when 'gnome_forum','rubygnome_forum','gtkforum',
         'rubygtk_forum','rubygtkforum'
      'https://www.ruby-forum.com/forum/gnome2'
    when 'colo_beauty','redtube2'
      'http://www.redtube.com/378600'
    when 'übung_biotechnologie_tu'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=c73&semester=2014W&courseNr=166222'
    when 'boku_chemie','chemie_übung'
      'https://online.boku.ac.at/BOKUonline/lv.detail?clvnr=272543'
    when '100m_world_record'
      'https://en.wikipedia.org/wiki/2009_World_Championships_in_Athletics_%E2%80%93_Men%27s_100_metres#Final'
    when 'syria2'
      'https://www.youtube.com/channel/UC4W9wBp-HQSpfo-Y4t4jQSQ'
    when 'random_card' # Random Magic Card.
      'http://gatherer.wizards.com/Pages/Card/Details.aspx?action=random'
    when 'boku_botanik','boku_aw'
      'https://online.boku.ac.at/BOKUonline/wbregisterexam.lv_termine?cstp_sp_nr=272416&cheader=J'
    when 'rubyinside'
      'https://twitter.com/rubyinside'
    when 'adobe_flash','flash'
      'https://get.adobe.com/flashplayer/'
    when 'boden_boris','boris'
      'http://www.umweltbundesamt.at/umweltsituation/boden/boris/'
    when 'charts1'
      'http://www.spieletipps.de/charts/pc/1/'
    when 'programming_trends'
      'http://www.indeed.com/jobtrends?q=ruby%2C+python%2C+php%2C+javascript%2C+perl&l='
    when 'uspace_gast','uspace_start'
      'https://uspace.univie.ac.at/web/gast'
    when 'egypt_massacre'
      'https://www.youtube.com/watch?v=BMI7-WY-hds'
    when 'w3c_validator'
      'https://validator.w3.org/'
    when 'omm'
      'http://www.callutheran.edu/Academic_Programs/Departments/BioDev/omm/gallery.htm'
    when 'wintersemester'
      'https://studentpoint.univie.ac.at/en/studying/term-dates/the-academic-year/'
    when 'imba'
      'http://www.imba.oeaw.ac.at/'
    when 'omicsmaps' 
      'http://www.omicsmaps.com/'
    when 'standard_browser'
      'http://derstandard.at/2000015249544/Browser-und-Betriebssystem-Was-derStandardat-LeserInnen-nutzen'
    when 'interferon'
      'https://en.wikipedia.org/wiki/Interferon'
    when 'lying_eu'
      'http://www.theguardian.com/environment/2015/may/22/eu-dropped-pesticide-laws-due-to-us-pressure-over-ttip-documents-reveal'
    when 'restriction_enzymes'
      'https://en.wikipedia.org/wiki/List_of_restriction_enzyme_cutting_sites'
    when 'viley','wiley'
      # 'http://www.wiley-vch.de/publish/dt/'
      'http://www.wiley-vch.de/publish/dt/books/justPublished201505/?sID=fv5jh8kq0km5prsatgf2bvc022'
    when 'agrarmarkt'
      'https://online.boku.ac.at/BOKUonline/lv.detail?clvnr=273068'
    when 'peptidoglycan'
      'https://www.youtube.com/watch?v=jsvhuSujfiU'
    when 'konkurrenz'
      'https://rubygems.org/gems/pry'
    when 'ruby_feature_requests'
      'https://bugs.ruby-lang.org/projects/ruby-trunk/issues?set_filter=1&tracker_id=2'
    when 'weitzer','georg_weitzer'
      'https://homepage.univie.ac.at/georg.weitzer/Lectures.html'
    when 'wu_zulassung'
      'http://www.wu.ac.at/students/org/calendar/year/'
    when 'loidl2' # Teaching-Termine.
      'http://homepage.univie.ac.at/josef.loidl/teaching03.htm'
    when 'johannes_rath'
      'http://online.univie.ac.at/vlvz?pkey=9786&semester=S2015' 
    when 'geas_wp'
      'http://www.geas.de/wp-content/uploads/'
    when 'virtual_cell'
      'http://www.nrcam.uchc.edu/'
    when 'stackoverflow','my_stackoverflow','ruby_stackoverflow',
         'rubyhelp','rubystack','rubystackoverflow','rubyquestions'
      'http://stackoverflow.com/questions/tagged/ruby?sort=newest&pageSize=15'
    when 'boku_mustercurricula'
      'http://www.boku.ac.at/universitaetsleitung/senat/boku-studien-fuer-die-zukunft/studienentwicklung/mustercurricula/'
    when 'ruby_news','rubynews'
      'https://github.com/ruby/ruby/blob/trunk/NEWS'
    when 'ruby_cgi'
      'https://github.com/ruby/ruby/commits/trunk/lib/cgi'
    when 'drugbank'
      'http://www.drugbank.ca/'
    when 'wien_wetter2','wienwetter2'
      'http://www.wetter.at/wetter/oesterreich/wien'
    when 'hacienda'
      'https://www.youtube.com/watch?v=-Lt_WVZZJkg'
    when 'univis_anmeldung2'
      'https://univis.univie.ac.at/as_anmeldung/flow/?_flowId=as_belegung-flow&_flowExecutionKey=e2s2'
    when 'univis_anmeldung'
      'https://univis.univie.ac.at/as_anmeldung/flow/as_belegung-flow?_flowId=as_belegung-flow&_flowExecutionKey=e4s4'
    when 'web_irb'
      'http://joshnuss.github.io/mruby-web-irb/'
    when 'ruby_spec'
      'https://www.ipa.go.jp/osc/english/ruby/ruby_draft_specification_agreement.html'
    when 'masterarbeit'
      'http://ssc-lebenswissenschaften.univie.ac.at/formulare-und-infoblaetter-download/diplom-und-masterstudium/'
    when 'standards','xkcd_standard','xkcdstandard',
         'xkcd1','xkcd','xkcdstandards'
      'https://xkcd.com/927/'
    when 'pharmareferent','pharmaref','pharmig','pharmaberuf',
         'pharma'
      'http://www.pharmig.at/DE/Pharmareferenten/Pr%C3%BCfungstermine/Schriftliche%20Pr%C3%BCfungen/Schriftliche+Pr%C3%BCfungen.aspx'
    when 'ptox','pharmazie_termine','pharmazieexams'
      'http://www.univie.ac.at/ptox/users/index.php'
    when 'enzyme_nomenclature','enzymenomenclature','eclature'
      'http://www.chem.qmw.ac.uk/iubmb/enzyme/'
    when 'der_runtergang','derruntergang'
      'https://www.youtube.com/watch?v=Va6I5YagNDc'
    when 'timo_langemann','timo','langemann'
      'https://www.xing.com/profile/Timo_Langemann2'
    when 'multimedia_formats'
      'https://www.itscj.ipsj.or.jp/sc29/29w42911.htm'
    when 'boku_prüfungstermine'
      'https://online.boku.ac.at/BOKUonline/webnav.ini?pUrl=anmeldung.durchfuehren'
    when 'pdb_tutorial'
      'http://www.wwpdb.org/documentation/file-format-content/format33/sect1.html'
    when 'wu_wien_zulassungsfrist'
      'http://www.wu.ac.at/prospective/admission/national/bachelor/201516-ba-wiso/'
    when 'wu_wien_öffnungszeiten'
      'http://wu.ac.at/structure/servicecenters/studies/'
    when 'travelling_ruby'
      'https://phusion.github.io/traveling-ruby/'
    when 'free_web_hosting'
      'http://www.free-webhosts.com/webhosting-01.php'
    when 'simpson_staffel','simpsons'
      'https://en.wikipedia.org/wiki/List_of_The_Simpsons_episodes'
    when 'ruby_faq','rubyfaq'
      'http://ruby-community.com/faq'
    when 'sublime3'
      'http://www.sublimetext.com/3'
    when 'python_bash'
      'http://bash.org/?400459'
    when 'remote_chimera','chimera'
      #http://www.cgl.ucsf.edu/chimera/'
    when 'anchem'
      'http://anchem.univie.ac.at/blackboard/'
    when 'nucleotide_blast'
      'http://blast.ncbi.nlm.nih.gov/Blast.cgi?PROGRAM=blastn&PAGE_TYPE=BlastSearch&LINK_LOC=blasthome'
    when 'doodle'
      'http://doodle.com/bfy3p95a7997du4k'
    when 'max_groups','groups'
      'https://www.mfpl.ac.at/groups.html'
    when 'univis_zeugnisse'
      'https://univis.univie.ac.at/pruefungsleistungen/?_language=de'
    when 'tiss_zeugnisse','tiss3','tisszeugnisse'
      'https://tiss.tuwien.ac.at/graduation/certificates.xhtml?windowId=29d'
    when 'techbase'
      'https://techbase.kde.org/Welcome_to_KDE_TechBase'
    when 'organische_chemie_tutorial'
      'http://www.chem.uzh.ch/robinson/lectures/AC_BII/Kap1/kap1.html'
    when 'mowl','owl','morning_of_owl','morning','morningofowl'
      'https://www.youtube.com/watch?v=yvjfP4-kwys'
    when 'elearning_pharmazie','elearning'
      'http://www.univie.ac.at/ptox/eLearning/main.html'
    when 'menuetos'
      'www.menuetos.net'
    when 'dict2','tu_chemnitz_dictionary'
      'http://dict.tu-chemnitz.de/'
    when 'godd2'
      'https://github.com/nicklink483/dare'
    when 'grundlagen_der_chemie_videos_2014'
      'http://www.ias.tuwien.ac.at/163112/'
    when 'studienprogramm_biologie'
      'http://online.univie.ac.at/vlvz?kapitel=3001&semester=S2015'
    when 'glasblas_übungen'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=85f&courseNr=153164&semester=2015S'
    when 'seminar2'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=bc5&courseNr=151398&semester=2014S'
    when 'ausarbeitungen','tu_ausarbeitungen','tu_summary'
      'http://www.matthias_schinagl.public1.linz.at/Ausarbeitungen.htm'
    when 'mnemosyne'
      'http://mnemosyne-proj.org/'
    when 'gentoo_ebuilds'
      'http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/'
    when 'kegg_database','kegg'
      'http://www.genome.jp/kegg/kegg1.html'
    when 'boku_stundenplan','bokustundenplan','bokustundenpan'
      'http://www.boku.ac.at/lehre/studabt/studien/bakk/h033217/lv-angebot/'
    when 'gamecharts'
      'http://www.esl.eu/de/gamecharts/'
    when 'steg'
      'https://www.informatik.tuwien.ac.at/steg/account/login'
    when 'arte_videothek','videothek'
      'http://videos.arte.tv/en/do_search/videos/search?q=biologie'
    when 'öh_boku'
      'http://oehboku.at/english/office/'
    when 'bioinformatik_tutorial'
      'http://www.wiley-vch.de/HOME/bioinformatik/'
    when 'vetucation','vetmed_platform','vetmedcampus',
         'vetmed_skripten','vetmedmoodle','vetmoodle'
      'https://vetucation.vu-wien.ac.at/'
    when 'geas_funny_snippets','geas1'
      'http://s95103930.onlinehome.us/geas/forum/viewtopic.php?f=6&t=1600&start=420'
    when 'geas_members','geasmembers','gmembers'
      'http://s95103930.onlinehome.us/geas/forum/memberlist.php'
    when 'department_of_pharmacology'
      'http://www.univie.ac.at/ptox/page.php?p=prakt'
    when 'TU Wien','tu','tu_öffnungszeiten','öffnugszeiten','openhours',
         'tuwien_öffnungszeiten','tu_studienabteilung','tuwien_studienabteilung'
      'http://www.tuwien.ac.at/dle/studienabteilung/die_studien_und_pruefungsabteilung/'
    when 'docker'
      'https://hub.docker.com/account/settings/'
    when 'atv_programm','atv'
      'http://www.tvinfo.de/tv-programm/atv'
    when 'singaporean_time','singaporean_timezone','singapore_timezone',
         'singapore_time'
      'http://www.timeanddate.com/worldclock/singapore/singapore'
    when 'supercomputers'
      'http://www.top500.org/statistics/details/osfam/1'
    when 'hofer_öffnungszeiten','öffnungszeiten_hofer','hofer_öffnungszeit',
         'hoferöffnungszeiten','hoferöffnung'
      'https://www.hofer.at/de/infos-und-services/infos/filialsuche-und-oeffnungszeiten/'
    when 'yard_cheatsheet'
      'https://gist.github.com/chetan/1827484'
    when 'pharmazie_prüfung'
      'http://www.univie.ac.at/ptox/users/lecture_list.php?fu=1'
    when 'öffnungszeiten','erste_bank_öffnungszeiten'
      'http://www.herold.at/gelbe-seiten/wien/3DJ7s/erste-bank-d-oesterreichischen-sparkassen-ag/#tabMap'
    when 'öffnungszeiten_lidl','lidl','lidl_öffnungszeiten',
         'öffnungszeitenlidl','lidlöffnungszeiten'
      'http://www.wogibtswas.at/f/lidl-filialen'
    when 'why_not_eye_surgery'
      'http://www.thesun.co.uk/sol/homepage/showbiz/6163411/mel-b-blind-in-one-eye-after-laser-surgery.html?CMP=spklr-120155924-Editorial-FBPAGE-The%20Sun%20-%20thesun-20141208-Television'
    when 'botanik_vorlesung','botanikvorlesung','ab2_vorlesung'
      'https://learn.boku.ac.at/course/view.php?id=6749'
    when 'nimrod_forum'
      'http://178.62.143.63/'
    when 'heliohost'
      'http://shevy.heliohost.org/'
    when 'hinterstoisser_chemie','chemie_hinterstoisser','hinterstoisserchemie'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2010/prof-hinterstoisser-allgemeine-chemie/'
    when 'markdown_example'
      'https://en.wikipedia.org/wiki/Markdown#Example'
    when 'typing','typing_speed','typing_master','trainer2',
         'typetrainer'
      'http://10fastfingers.com/typing-test/english' # In Nov 2014 I reached 114 words per minute. 119 on second try, und danach mit aufwärmen 121. Dann 109 am 21.11. 15.07.2015: 113 WPM
    when 'allgemeine_biotechnologie' # Von Prof. Kunert
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/sommersemester-2010/prof-kunert-biotechnologie/'
    # 'http://ern_dropbox/'
    when 'molekularbiologische_arbeitsmethoden'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2010/prof-rueker/'
    when 'boku_chemie_studierendenkartei','department_for_chemistry'
      'http://chemue.boku.ac.at/kartei/index.php'
    when 'uni_search','unisearch'
      'http://online.univie.ac.at/vlvz?titel=Infektionsbiologie&match_t=substring&zuname=&vorname=&match=substring&lvnr=&sprachauswahl=-1&von_t=&von_m=&von_j=&wt=&von_stunde=&von_min=&bis_stunde=&bis_min=&semester=W2014&extended=Y'
    when 'current_semester'
      'http://online.univie.ac.at/vlvz?titel=Biologie&action=Suchen&semester=current'
    when 'mozilla_blog','mozillablog'
      'https://blog.mozilla.org/'
    when 'fh_remote','fh_login','fh_portal',
         'fhportal','fhport','fhonline','fhmain'
      'https://portal.fh-campuswien.ac.at/studierende/default.asp'
    when 'fh2','fh_molbio'
      'https://www.fh-campuswien.ac.at/departments/applied-life-sciences/studiengaenge/detail/molekulare-biotechnologie-bachelor.html'
    when 'origimm'
      'http://www.origimm.com/'
    when 'libreoffice_translation','conversion_table', # German to English and back.
         'openoffice_konversionen'
      'http://www.ooowiki.de/DeutschEnglischCalcFunktionen.html'
    when 'vorlesung1'
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=2e0&semester=2014W&courseNr=166117'
    when 'gefahrensymbol'
      'http://de.wikipedia.org/wiki/Global_harmonisiertes_System_zur_Einstufung_und_Kennzeichnung_von_Chemikalien'
    when 'supercalendar'
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?windowId=ec1&roomCode=1665&initialDate=20141006'
    when 'richness'
      'https://en.wikipedia.org/wiki/List_of_countries_by_GDP_%28nominal%29'
    when 'virus_podcasts'
      'https://www.youtube.com/channel/UCyFgCoP4ovsHbt92vM4zN2A'
    when 'dome'
      'http://www.microbial-ecology.net/'
    when 'hugo','human_genome_project'
      'http://web.ornl.gov/sci/techresources/Human_Genome/index.shtml'
    when 'wine_appdb','wineapps'
      'https://appdb.winehq.org/'
    when 'rrna_database'
      'http://www.arb-silva.de/'
    when 'das_erste','daserste'
      'http://www.daserste.de/live/index.html'
    when 'cute_bacteria','giantmicrobes','giant_microbes'
      'http://www.giantmicrobes.com/'
    when 'rechtsberatung','beratung','rechtsschutz','rechtsmittel',
         'recht','rechtsstreit','anwalt','rechtsanwalt'
      'http://neu.oeh.univie.ac.at/beratung/faqs/rechtsberatung'
    when 'öh_beratungszentrum','öh_rechtsberatung'
      'http://www.oeh.univie.ac.at/beratung/beratungszentrum/'
    when 'nikki'
      'http://image.importtuner.com/f/models/1305_nikki_rhee_import_tuner_model/50241652/08-nikki-rhee-import-tuner-model.jpg'
    when 'bioinformatik_biologen'
      'http://www.cibiv.at/teaching/view_course.php?id=99'
    when 'mh17_absturz'
      'http://www.onderzoeksraad.nl/uploads/phase-docs/701/b3923acad0ceprem-rapport-mh-17-en-interactief.pdf'
    when 'threonin','threonine'
      'http://groups.molbiosci.northwestern.edu/holmgren/Glossary/Images/pics/amino_acids/Threonine.gif'
    when 'ard'
      'http://programm.ard.de/TV/Programm/Jetzt-im-TV'
    when 'shortener','url_shortener'
      'https://bitly.com/'
    when 'html_checker','htmlchecker'
      'http://validator.w3.org'
    when 'lfs','lfsremote'
      'http://www.linuxfromscratch.org/lfs/view/development/chapter02/introduction.html'
    when 'lfs_mail','lfsmail','lfsmailing',
      'http://linuxfromscratch.org/pipermail/lfs-dev/'
    when 'polls'
      'http://strawpoll.me/'
    when /nano_?3sat/
      'http://www.3sat.de/nano/index.html'
    when 'kabelkanal'
      'http://www.kabeleins.at/tv-programm'
    when 'picture_upload','pictureupload','uploader','upload',
         'uploadimage','uploaded','image_upload'
      'imgur.com' #'http://tinypic.com/' # http://www.pictureupload.de/
    when 'fh_semesterbeginn'
      'http://www.fh-campuswien.ac.at/bachelor___master/einteilung_studienjahr/'
    when 'fh_ferien'
      'http://www.fh-campuswien.ac.at/bachelor___master/studieren_und_leben_in_wien/studium_an_der_fh/studienjahr/'
    when 'fh_klassenliste'
      'https://www.dropbox.com/sh/bdme1v8n76dk5pp/AABd_jxcExKIilb1UzKf2Xp0a/Organisatorisches/Klassenliste-2.xls'
    when 'masterstudium_biomedical_engineering' 
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?windowId=c2b&key=42680'
    when 'fh_moodle','fhmoodle'
      'https://moodle.fh-campuswien.ac.at/moodle/my/'
    when 'fhmail','fh_mail'
      'https://amsprd0310.outlook.com/owa/' # c1310539011
    when 'unigesetz2'
      'http://www.jusline.at/Universitaetsgesetz_%28UnivG%29.html'
    when 'universitätslehrgang'
      'https://tiss.tuwien.ac.at/education/favorites.xhtml?windowId=fb8'
    when 'geas_logs','geaslogs','glogs'
      'http://wiki.geas.de/bin/view/Main/GeasLogs'
    when 'css_buttons','cssbuttons'
      'http://css3buttongenerator.in/'
    when 'entscheidung','challenge','pharma_challenge'
      'http://www.univie.ac.at/pharmakognosie/staff_html/brko_en.html'
    when 'die_passt','diepasst','dpasst','girl2'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1429054'
    when 'girl3'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1443718'
    when 'girl5'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1514210'
    when 'girl6'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1442067'
    #when 'girl8'
    #  'http://www.websingles.at/pages/site/de/single_detail.php?id=1443748'
    when 'girl9'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1409133'
    when 'girl10'
      'http://www.websingles.at/pages/site/de/single_detail.php?id=1450457'
    when 'informatik'
      'http://www.mat.univie.ac.at/~praxis/'
    when 'genome_browser'
      'http://www.ncbi.nlm.nih.gov/projects/mapview/maps.cgi?taxid=9606&chr=8'
    when 'tanriel_thread'
      'http://s95103930.onlinehome.us/geas/forum/viewtopic.php?f=3&t=2373&p=28679#p28679'
    when 'anerkennungen'
      'http://www.boku.ac.at/fileadmin/data/H05000/H19000/Themen-Content/H19030/Anerkennungen_in_BOKUonline/Anerkennungen_DE.pdf'
    when 'boku_fortsetzung'
      'http://www.boku.ac.at/it-services/teach-learn/studium-meldung-weitermeldung-abschluss/'
    when 'master_zulassung'
      'http://studentpoint.univie.ac.at/zum-studium/zulassung-masterstudien/abschluss-der-universitaet-wien/'
    when 'croma_pharma','croma'
      'http://www.croma.at/en/home'
    when 'top_pharma'
      'http://biz.yahoo.com/p/510mktd.html'
    when 'tuwien_library'
      'http://catalogplus.tuwien.ac.at/primo_library/libweb/action/search.do?vid=UTW'
    when 'pcbsd_repo'
      'http://pkg.cdn.pcbsd.org/10.0-RELEASE/amd64/All/'
    when 'pflichtpraxis','berufspraxis','berufspraktikum'
      'http://www.boku.ac.at/7227.html'
    when 'google_trends'
      'http://www.google.com/trends/explore#q=ruby%2C%20perl%2C%20python&cmpt=q'
    when 'vote_for_geas','vote_geas'
      'http://www.topmudsites.com/vote-abhar.html'
    when 'boku_unterlagen'
      'https://learn.boku.ac.at/course/view.php?id=1715'
    when 'lieferservice2'
      'http://www.lieferservice.at/essen-bestellen-1060'
    when 'lieferservice'
      'http://www.lieferservice.at/'
    when 'map_kinase'
      'http://www.bio.davidson.edu/courses/immunology/Flash/MAPK.html'
    when 'rubular'
      'http://rubular.com/'
    when 'kabel1'
      'http://www.kabeleins.at/tv-programm'
    when 'asrock'
      'http://www.asrock.com/support/download.asp?cat=BIOS'
    when 'mudrankings'
      'http://www.mudconnect.com/cgi-bin/all_rankings.cgi'
    when 'hookipa'
      'http://www.hookipabiotech.com/'
    when 'github_trending','githubtrending'
      'https://github.com/trending'
    when 'wetware'
      'http://openwetware.org/wiki/Main_Page'
    when 'browserstatistic'
      'http://www.oewa.at/index.php?id=14885'
    when 'oegmbt','ögmbt','gute_kurse'
      'http://www.oegmbt.at/'
    when 'cazy'
      'http://www.cazy.org/'
    when 'ec','enzyme_classification'
      'http://www.chem.qmul.ac.uk/iubmb/'
    when 'frontiers','frontier'
      'http://frontiers.univie.ac.at/'
    when 'biochemical_engineering','open_positions'
      'http://www.vt.tuwien.ac.at/biochemical_engineering/open_positions/'
    when 'tu_wien','tuwien','tuuni'
      'http://www.vt.tuwien.ac.at/'
    when 'viral_genomes','viralgenomes'
      'https://www.ncbi.nlm.nih.gov/genomes/GenomesHome.cgi?taxid=10239'
    when 'gamebox'
      'https://github.com/shawn42/gamebox'
    when 'ldigc_man'
      'http://atto.photonik.tuwien.ac.at/index.php?option=com_content&view=article&id=45&Itemid=102'
    when 'uniprot'
      'http://www.uniprot.org'
    when 'promedmail'
      'http://www.promedmail.org/'
    when 'orf','orf_programm'
      'http://tv.orf.at/'
    when 'gnome_bugs','gnomebugs'
      'https://bugzilla.gnome.org/buglist.cgi'
    when 'phage_search'
      'http://phast.wishartlab.com/'
    when 'erdwissenschaften'
      'https://strv-erdwissenschaften.univie.ac.at/'
    when 'gebäudeplan'
      'http://ssc-lebenswissenschaften.univie.ac.at/fileadmin/user_upload/SSC/SSC_Leben/_temp_/Geba_udeplan_Biozentrum.pdf'
    when 'pro7','prosieben'
      'http://www.prosieben.at/tv-programm'
    when 'vtforum'
      'https://www.vt-forum.info/index.php'
    when 'remote_game','mygame'
      'http://s5.loa.teebik.com/'
    when 'erste_bank_filiale'
      'https://www.sparkasse.at/erstebank/Ueber-uns/Filialsuche/AT01980062'
    when 'dreamgirls'
      'http://2.bp.blogspot.com/-XHHYd6Yhn0w/T15x-eWwgrI/AAAAAAAAB98/gdwaFMpvuXg/s1600/Dream_Home_3.jpg'
    when 'gno'
      'http://www.linuxcompatible.org/'
    when 'master2' # Master Immunbiologie.
      'http://online.univie.ac.at/vlvz?kapitel=3001&semester=current#3001_150'
    when 'bugs_gobolinux'
      'http://bugs.gobolinux.org/my_view_page.php'
    when 'schacharena'
      'http://schacharena.de/new/mitte_s.php?brett=11877&tc=1394231384'
    when 'ruby_logo'
      'https://www.ruby-lang.org/en/about/logo/'
    when 'lightning'
      'http://lightning.the-reincarnation.com'
    when 'genosense'
      'http://web2.cylex.de/reviews/viewcompanywebsite.aspx?firmaName=genosense-diagnostics-gmbh&companyId=4497487'
    when 'deal_with_it'
      'http://fc00.deviantart.net/fs70/i/2011/288/7/6/deal_with_it___rainbow_style__by_j_brony-d4cwgad.png'
    when 'mt_dna'
      'http://www.ncbi.nlm.nih.gov/nuccore/251831106'
    when 'imp'
      'http://www.imp.ac.at/news/press-releases/'
    when 'wyatt'
      'http://www.wyatt.eu/'
    when 'competence','excellence'
      'http://www.prisma-zentrum.com/start.php4?m1id=8&m2id=54&m3id=151&m4id=280'
    when 'broadinstitute'
      'http://www.broadinstitute.org/'
    when 'stadtplan','wien','stadtkarte','karte','karten',
         'remote_stadtplanwien'
      'http://www.wien.gv.at/stadtplan/'
    when 'medal_table','medaltable','sochi','medaillenspiegel',
         'medaille','medaillen'
      'https://en.wikipedia.org/wiki/2014_Winter_Olympics_medal_table#Medal_table'
    when 'main_calendar'
      'http://www.timeanddate.com/calendar/'
    when 'fileutils'
      'http://ruby-doc.org/stdlib-2.1.0/libdoc/fileutils/rdoc/FileUtils.html'
    when 'fefe?'
      'felix-bloginput@fefe.de'
    when 'beliebte_fehler','beliebtefehler'
      'http://www.korrekturen.de/beliebte_fehler.shtml'
    when 'team_schleiffer','schleiffer','teamschleiffer'
      'http://cores.imp.ac.at/bioinformatics/members/'
    when 'hexchat_issues'
      'https://github.com/hexchat/hexchat/issues?page=1&state=open'
    when 'allgemeine_zulassungsfristen','wichtige_fristen'
      'http://studentpoint.univie.ac.at/wichtige-fristen/'
    when 'post'
      'http://www.post.at/privat_filialen_filalfinder_filialfinder.php'
    when 'sideeffects'
      'http://sideeffect.kr/popularconvention/#ruby'
    when 'synbio'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=8fa&semester=2014S&courseNr=166647'
    when 'myquote','my_quote'
      'http://www.bash.org/?956971'
    when 'html5_draft','html_draft'
      'http://www.w3.org/html/wg/drafts/html/CR/'
    when 'periodic_html_table','html_table'
      'http://joshduck.com/periodic-table.html'
    when 'medforum' # Meduni Wien Forum.
      'http://www.meduni.com/index.php?id=276'
    when 'vdrc','vienne_drosophila_rnai_center'
      'http://www.vdrc.at'
    when 'free_chemistry'
      'http://www.learnerstv.com/Free-chemistry-video-lecture-courses.htm'
    when 'canon'
      'http://www.canon.de/Support/Consumer_Products/products/printers/InkJet/PIXMA_iP_series/PIXMA_iP7250.aspx?DLtcmuri=tcm:83-1111796&page=1&type=download'
    when 'boku_onair'
      'onair.boku.ac.at'
    when 'tintin_forum'
      'http://tintin.sourceforge.net/board/'
    when 'bokuforum_old'
      'http://oeh.boku.ac.at/forum2/index.php'
    when 'tu_news'
      'https://tiss.tuwien.ac.at/education/messages.xhtml?windowId=859'
    when 'bio?','biostar','bioinfo_training','bioinf_training',
         'biotraining'
      'http://www.biostars.org/'
    when 'max_perutz_library'
      'http://cores.imp.ac.at/max-perutz-library/members/'
    when 'pubmed'
      'http://www.ncbi.nlm.nih.gov/pubmed/advanced'
    when 'canon?'
      'http://www.openprinting.org/printers'
    when 'masterstudium'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?windowId=400&key=65334'
    when 'tote'
      'http://progs.wiennet.at/bestattungskalender/calender.asp'
    when 'bohrgasse_bibliothek','imp_library'
      'http://cores.imp.ac.at/library'
    when 'uni_graz'
      'http://www.uni-graz.at/~koraiman/'
    when 'ernährungswissenschaft','ernährung_remote'
      'http://nutrition.univie.ac.at/news/kalender/pruefungen/'
    when 'anrechnungen'
      'http://studentpoint.univie.ac.at/durchs-studium/anerkennungen/interne-pruefungen/'
    when 'gm3' # Der GM3 Hörsaal.
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?windowId=960&roomCode=VORT&initialDate=20131002'
    when 'bokuskripten','skriptendienst','skriptenverkauf'
      'http://www.chemie.boku.ac.at/20106.html'
    when 'zid'
      'http://www.univie.ac.at/ZID/unet/'
    when 'miecb'
      'http://www.microbial-ecology.net'
    when 'skripten3'
      'http://www.univie.ac.at/chromosomes/studentenpage/skripten.htm'
    when 'exams_result','studentlogin','remotestud','remotestudent','pruefungsanmeldung',
         'examresults','einloggen','ergebnisse','examresult',
         'results','result','remoteergebnisse','ergebnis' # Prüfungsergebnisse
      'https://www.univie.ac.at/psi/main.jsp'
    when 'studentpages','studentpage'
      'http://www.univie.ac.at/gem/'
    when 'refseq'
      'http://www.ncbi.nlm.nih.gov/refseq/'
    when 'vetmed_bibliothek'
      'http://www.vu-wien.ac.at/bibl/'
    when 'vetmed_homepage'
      'http://www.vu-wien.ac.at/'
    when 'max_perutz','uniseite','rna_biology','rnabiology'
      'http://www.mfpl.ac.at/home.html?no_cache=1' # http://www.mfpl.ac.at/index.php
    when 'pir'
      'http://pir.georgetown.edu/'
    when 'remote_mail'
      'https://mail.google.com/mail/?shva=1#inbox'
    when '2011','boku_lehrveranstaltungen_2011'
      'http://www.boku.ac.at/19637.html'
    when 'rotter','laserlicht'
      'http://dollywood.itp.tuwien.ac.at/~rotter/'
    when 'rubymail'
      'http://blade.nagaokaut.ac.jp/ruby/ruby-talk/index.shtml'
    when 'zahnärzte','zahn'
      'http://wr.zahnaerztekammer.at/page.php?katid=195'
    when 'alf', # alf tag
      'http://alf.minhiriath.org/'
    when 'geas_vote','geasvote','gvote'
      'http://www.topmudsites.com/vote-abhar.html'
    when 'stv_zentral'
      'http://www.univie.ac.at/stv-biologie/index.php'
    when 'aufnahmeverfahren','zulassungsbedingung'
      'http://aufnahmeverfahren.univie.ac.at/studien/biologie/'
    when 'alle_skripten','skriptenforum','skriptenf'
      'https://skriptenforum.net/wiki/Spezial:Daten_browsen/Lernunterlage?Studienrichtung=Biologie_%28Uni_Wien%29&Universit%C3%A4t=Uni_Wien'
    when 'remote_bioinf'
      'http://www.cibiv.at/teaching/view_course.php?id=99'
    when 'univid','univideos'
      'http://stream.univie.ac.at/media/lvs/2012W/300288.1/16824_f2eac92c089f24ae128b0a27e41ef635/angle0'
    when 'pesticides'
      'http://www.pesticideinfo.org/Detail_Country.jsp?Country=European%20Union#ChemReg'
    when 'zwischen_karriere'
      'http://www.media.tuwien.ac.at/fileadmin/user_upload/abirbaumer/Pruefungsfragen/Pruefungsfragen2012.pdf'
    when 'self-assessment','selfassessment'
      'http://osa-av.univie.ac.at/'
    when 'unet'
      'a9703011@unet.univie.ac.at'
    when 'phd'
      'http://www.phd-mcca.at/index.php/application'
    when 'pdb_snapshots'
      'ftp://snapshots.wwpdb.org/'
    when 'kuros1','dirk_trauner'
      'http://www.cup.uni-muenchen.de/oc/trauner/page5/page7/page7.html'
    when 'catalog+','catalogplus'
      'http://catalogplus.tuwien.ac.at/primo_library/libweb/action/search.do?dscnt=1&dstmp=1362239875004&vid=UTW&fromLogin=true'
    when 'ist'
      'http://ist.ac.at/'
    when 'rmk'
      'https://devel.pegasus-alpha.eu/projects/openrubyrmk/boards'
    when 'last_semester','lastsemester'
      'http://online.univie.ac.at/vlvz?pkey=432&semester=last'
    when 'isohunt'
      'http://isohunt.com/torrents/?ihq=Undisputed+3'
    when 'ichem','iechemtest'
      'http://www.ichemlab.at/main.asp'
    when 'bundesschatz'
      'www.bundesschatz.at/main/start.html'
    when 'literature'
      'http://literotica.com'
    when 'lovechat'
      'http://www.love.at/unternehmen/webchat/chatbefehle/'
    when 'r_tutorial' # An diesem Tutorial weiterarbeiten.
      'http://www.cyclismo.org/tutorial/R/types.html'
    when 'google_docs','googledocs','googledoc','gdoc'
      'https://drive.google.com/'
    when 'scholar'
      'scholar.google.com'
    when 'rubybugs','bugsruby','ruby_bugs','rubytracker',
         'rubycore','rubylang','rubybug'
      'http://bugs.ruby-lang.org/projects/ruby-trunk'
    when 'acib'
      'http://www.acib.at/index.php/wbindex/start'
    when 'ubahn','fahrpläne_wien','u-bahn'
      'http://homepage.univie.ac.at/horst.prillinger/metro/deutsch/fahrplaene.html'
    when 'rubygems_bugs'
      'https://github.com/rubygems/rubygems/issues'
    when 'shevygems','shevy_gems','mygems','my_gems',
         'mygem','myrubygem','shevy?','rubygems',
         'remote_gems'
      'https://rubygems.org/profiles/58718'
    when 'netto','brutto_netto','bruttonetto'
      'http://onlinerechner.haude.at/bmf/brutto-netto-rechner.html'
    when 'encode'
      'http://www.genome.gov/10005107' # http://www.encodingenhancers.com/
    when 'remote_date','superdate','kinder','main_date','friendseek'
      'http://www.friendseek.com/index'
    when 'einzahlen'
      'https://tiss.tuwien.ac.at/admin/authentifizierung'
    when 'bird'
      'http://www.bird-c.com/'
    when 'genetic_experiments'
      'http://www.dnaftb.org/'
    when 'goodgame'
      'http://lp.empire.goodgamestudios.com/?country=de&pid=1&gid=12&network=d&creative=23405425296&placement=www.learncpp.com&keyword=browser%20spiel%20free&camp=5&adgr=9&client=1'
    when 'zahnarzt'
      'http://members.aon.at/dolbrich/emes/EmeseTermin.htm'
    when 'wikiupload','pargpupload','parpgupload'
      'http://wiki.parpg.net/Special:Upload'
    when 'flirt','friendscout'
      'http://member.friendscout24.kurier.at/frameset.html?directPage=%2Fmemberhomepage.html%3Fz%3D42%26uid%3D25686212%26unique%3D256862121811025287474&frs_affil=u_0003_h_065_k_009&uid=25686212&ttid=7EA217BC36D6826D7F03'
    when 'direct_democracy'
      'http://www.opoe.at/home/'
    when 'internet_users'
      'https://en.wikipedia.org/wiki/List_of_countries_by_number_of_Internet_users'
    when 'resizer'
      'http://www.picresize.com/'
    when 'bahn'
      'https://ticket.oebb.at/bin/frame_ticket.pl?ticket=nticket.pl?'
    when 'tetris'
      'http://alteredqualia.com/cubeout/'
    when 'summer_school','summerschool','school'
      'http://www.vbcsummerschool.at/'
    when 'bioruby_wiki','remote_bioruby'
      'http://dev.bioruby.org/wiki/en/'
    when 'chess'
      'http://en.lichess.org'
    when 'molli'
      'http://www.selfservix.de/molli/index.html'
    when 'shakes','main_browser_game','shake'
      'http://s17.sfgame.de/?cid=sf_de_0067&playerclass=3'
      # 'http://s2.sfgame.de/'
    when 'sandi','sandiego','sdiego'
      'http://www.timeanddate.com/worldclock/city.html?n=770'
    when 'seenot'
      'http://esys.org/news/sos.html'
    when 'stats','login'
      'https://ppp.telekom.at/cscint/onlinestatistic/index.sp'
    when 'pseudomonas_genome'
      'http://www.pseudomonas.com/'
    when 'apache_remote','apache_homepage'
      'http://www.apache.org/'
    when 'rbt_homepage','codegoogle'
      'http://code.google.com/p/ruby-build-tools/'
    when 'online_course'
      'http://ml-class.org/'
    when 'courses','indian_courses'
      'http://nptel.iitm.ac.in/courses.php?disciplineId=102'
    when 'my_ip','myip','ip'
      'http://ifconfig.me/'
    when 'apollo_kinoprogramm'
      'http://www.cineplexx.at/filme/jetzt-im-kino/'
    # when 'rf','rubyforen','rubyforumde'
    #   'http://www.rubyforen.de/' # Nicht mehr seit Aug 2011.
    when 'homebrew','brew','formula','formulas','machomebrew',
         'macformula'
      'https://github.com/mxcl/homebrew/commits/master/Library/Formula'
    when 'pry'
      'http://pry.github.com/'
    when 'avidemux_homepage'
      'http://fixounet.free.fr/avidemux/'
    when 'host_html'
      'pastehtml.com'
    when 'asciiflow'
      'http://www.asciiflow.com/'
    when 'comteam'
      'http://www2.comteam.at/adsl.php?page_id=6250'
    when 'editor','online_editor','onlineeditor','crop'
      'http://www.online-image-editor.com/'
    when 'tagmaker'
      'http://www.tagsmaker.com/'
    when 'tucows'
      'http://www.tucows.com/top-100.html?pf=win'
    when 'massbio'
      'http://www.massbio.org/'
    when 'yellowgrass'
      'http://yellowgrass.org/'
    when 'schulden','staatsschulden'
      'http://www.staatsschulden.at/'
    when 'mindpicnic'
      'http://www.mindpicnic.de/'
    when 'reincarnation'
      'nil' # http://www.the-reincarnation.com/ # retired 25.10.2011.
    when 'chickenfoot'
      'http://groups.csail.mit.edu/uid/chickenfoot/tutorial/'
    when 'css3'
      'http://www.thisiserichoffman.com/css3-generator/' # sehr schön!
    when 'css_compass'
      'http://compass-style.org/'
    when 'webchat'
      'http://webchat.freenode.net/'
    when 'remote_webmin'
      'http://www.webmin.com/'
    when 'pickaxe3'
      'http://pragprog.com/titles/ruby3/code'
    when 'remote_songs' # für mp3 downloads
      'http://www.x-song.com/article2036.html'
    when 'telekom',
      'http://www.telekom.at/onlinerechnung'
    when 'telekom2','tele2'
      'http://www.telekom.at/site/'
      # http://www.telekom.at/bankeinzug
      # https://ppp.a1.net/cc/index.sp?returnId=KostenUndRechnung/Rechnung
    when 'telekom3'
      'www.telekom.at/Festplatte'
    when 'query_ip','queryip'
      'http://www.db.ripe.net/whois?searchtext='
    when 'html5'
      'http://diveintohtml5.org/peeks-pokes-and-pointers.html'
    when 'austria','austria40'
      'http://charts.orf.at/oe3/single'
    when 'javascript_game','js_game'
      'http://dougx.net/plunder/plunder.html'
    when 'clocks'
      'http://geekwhisperer.blogspot.com/2010/01/twisty-maze-of-linux-clocks-all.html'
    when 'aero'
      'http://www.soyos.net/tl_files/demos/aero-window/'
    when 'subtitles','subtitle'
      'http://subscene.com/'
    when 'torture'
      'http://www.listaholic.com/12-of-the-most-horrifying-torture-devices-in-history.html'
    when 'tuwien2'
      'http://www.tuwien.ac.at/dle/studienabteilung/'
    when 'ester'
      'http://de.wikipedia.org/wiki/Ester'
    when 'wikiexamples'
      'http://meta.wikimedia.org/wiki/Help:Wikitext_examples'
    when 'wiki_formatting','wikiformatting','wikilayout','wlayout','markup'
      'http://www.mediawiki.org/wiki/Help:Formatting'
    when 'image_syntax','wiki_image_syntax','wiki_rules','wikirules'
      'https://en.wikipedia.org/wiki/Image_markup'
    when 'fileext'
      'http://filext.com/'
    when 'profivy'
      'http://proxify.co.uk/'
    when 'any_programming_language'
      'http://ideone.com/'
    when 'patches'
      'http://www.linuxfromscratch.org/lfs/view/development/chapter03/patches.html'
    when 'debianforum'
      'http://debianforum.de/forum/viewtopic.php?f=2&t=116650&p=741562#p741562'
    when 'myunet','anet'
      'http://www.unet.univie.ac.at/~a9703011/'
    when 'remote_gcc','remotegcc'
      'http://gcc.gnu.org/ml/gcc/'
    when 'bildersuche'
      'http://www.pictures.com/'
    when 'tintin'
      'http://tintin.sourceforge.net/'
    when 'onelineyaml','online_yaml'
      'http://yaml-online-parser.appspot.com/'
    when 'mathe'
      'http://www.mdy.univie.ac.at/lehre/mathe/'
    when 'parpg'
      'http://blog.parpg.net/'
    when 'remote_colours','rem_col'
      'http://0to255.com/86ddf0'
    when 'shevymania'
      'http://shevymania.blogspot.com/2012/02/test-1.html'
    when 'pin'
      'https://data.univie.ac.at/pin/'
    when 'rene','reneblog','einicher','rblog','emn','plexus'
      'http://markus-rene-einicher.blogspot.com/'
    when 'modeline','modeline_generator'
      'http://www.bohne-lang.de/spec/linux/modeline/'
    when 'interactive_bac_map'
      'http://wishart.biology.ualberta.ca/BacMap/index.html'
    when 'watson'
      'http://wps.aw.com/bc_watson_mbog_6/79/20234/5179986.cw/index.html'
    when 'miguel'
      'http://tirania.org/blog/'
    when 'iecb'
      'http://www.univie.ac.at/IECB/' # http://www.univie.ac.at/IECB/cgi-bin/finalpruefung.cgi
    when 'öamtc','auto','ömtc','oamtc','fahrtest'
      'http://www.oeamtc.at/fuehrerschein/onlinetest/'
    when 'rubydoc'
      'http://ruby-doc.org/'
    when 'remotexorg','remotex','xorgremote'
      'http://xorg.freedesktop.org/releases/individual/?C=M;O=D'
    when 'xorgmailinglist'
      'http://lists.freedesktop.org/archives/xorg/2009-September/thread.html'
    when 'archlinux','archlinux_packages'
      'http://www.archlinux.org/packages/'
    when 'keepvid'
      'http://keepvid.com/'
    when 'happy','happypenguin','peng','penguin'
      'http://happypenguin.org/'
    when 'leo'
      'http://dict.leo.org/'
    when 'xyl','xyllo','xylloforum','xyllomer_forum'
      'http://forum.xyllomer.de/'
    when 'freshmeat','fresh','meat','fmeat','neat'
      'http://freshmeat.net/'
    when 'rubyhomepage','ruby_homepage'
      'http://www.ruby-lang.org/en/'
    when 'mariahilf'
      'http://www.wien.gv.at/mariahilf/'
    when 'sexygirl5'
      'https://i.imgur.com/IvchLsZ.jpg'
    when 'wikileaks'
      'http://88.80.13.160/'
    when 'remote_directfb','remotedirectfb'
      'http://www.directfb.org/'
    when 'ribosomes'
      'http://rdp.cme.msu.edu/'
    when 'plos','public'
      'http://www.plos.org/'
    when 'remote_gobo','gobolinuxwebpage','gobodist_homepage'
      'http://www.gobolinux.org/'
    when 'tvprogramm2'
      'http://www.tvspielfilm.de/'
    when 'kino','apollo'
      'http://www.cineplexx.at/content/kinos/kinoprogramm.aspx?id=1'
    when 'google','goo'
      'http://www.google.com/'
    when 'ras','rasmol'
      'http://rasmol.org/'
    when 'formatting'
      'http://www.mediawiki.org/wiki/Help:Formatting/de'
    # ======================================================================= #  
    # Now come links which are special, i.e. batch mode.
    # For example, if i do:
    #   rf news
    # then i want it to open MULTIPLE pages.
    # ======================================================================= #
    # ======================================================================= #
    # Websingles tag.
    # ======================================================================= #
    when 'websingles','girls'
      %w(
        http://www.websingles.at/pages/site/de/single_detail.php?id=1372798
        http://www.websingles.at/pages/site/de/single_detail.php?id=819971
        http://www.websingles.at/pages/site/de/single_detail.php?id=1257082
      )
    # ======================================================================= #
    # === news
    # ======================================================================= #
    when 'news','neuigkeiten','new','pc_news','pcnews', # nette news allgemeinerer + linux
         'gather_pc_news' 
      return %w(
        http://reddit.com/r/programming/
        http://blog.fefe.de/
        http://www.ruby-forum.org/
        http://www.theregister.co.uk/
        http://www.kde-apps.org/index.php
        http://distrowatch.com/
        http://www.linuxcompatible.org/
        http://linux.byexamples.com/
        http://linuxfromscratch.org/pipermail/lfs-dev/
        http://osdir.com/
        http://news.google.at/
      )
    # ======================================================================= #
    # === ScienceNews (News tag, Science tag)
    #
    # rf science_news
    # ======================================================================= #
    when 'scinews','scineuigkeiten','snew','bionews'
      %w(
        http://www.focus.de/wissen/technik/
        http://www.bionity.com/de/
        http://www.sciencenews.org/
        http://derstandard.at/Wissenschaft
        http://www.3sat.de/nano/
        http://www.zukunftwissen.apa.at/
        http://science.orf.at/
        http://news.bbc.co.uk/1/hi/sci/tech/default.stm
        http://www.foresight.org/nanodot/
        http://www.wissenschaft-online.de/biologie
        http://www.bio.net/
        http://www.techportal.de/de/b/2/start,public,start/
        http://web.mit.edu/newsoffice/
        http://www.uni-protokolle.de/
        http://www.plosgenetics.org/home.action
        http://www.lifesciencesworld.com/
      )
    # ======================================================================= #
    # Aggregate together several visits.
    # ======================================================================= #
    when 'super'
      %w(
        univis3
        unimail
        gmail
        wt3
        girl1
        girl2
      )
    # ======================================================================= #
    # === Tasks tag                               (Projects tag, project tag)
    #
    # Next, we handle all our custom tasks.
    #
    # They can be loaded (and defined) via:
    #
    #   bl $MY_TODO/YAML/tasks.yml
    #   bl tasks
    #
    # bl cybersprawltask
    # ======================================================================= #
    when 'ftp_tasks','ftptasks','ftptask','taskftp',
         'ftp_project'
      YFT['ftp_tasks']
    when 'gtk_project','ruby_gtk_project','rubygtk_project',
         'rubygtkproject'
      YFT['ruby_gtk_project'] # bl tasks
    when 'diamond_shell_project','diaproject','diamond_project',
         'diatasks','dia_task','diatask','ditask','dia_project'
      YFT['diamond_shell_project'] # bl diatask
    when 'bioroebe_project','project_bioroebe','bioroebeproject',
         'bioroebe_projekt','bioroebeprojekt','bio_project'
      YFT['bioroebe_project']
    when 'cybersprawltask','cybersprawltasks','webtask','cybertasks',
         'cybertask','cyberweb_tasks','cyber_projects'
      YFT['cybersprawl']
    when 'ruby_build_tools','rbttask','rubytask'
      YFT['ruby_build_tools'] # rbt task. rf rbttask. bl rbttask
    when 'csstask','csstasks'
      YFT['css']
    # ======================================================================= #
    # === javascripttasks
    # ======================================================================= #
    when 'javascripttasks','jstasks'
      YFT['javascript']
    when 'bottask','bottasks'
      YFT['bot']
    else
      return i # Else return the unaltered input.
    end
  end

end