#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will contain university-links, that is, entries that
# are from a university or a university-associated URL.
# =========================================================================== #
# require 'beautiful_url/toplevel_methods/university_menu.rb'
# =========================================================================== #
module BeautifulUrl

  # ========================================================================= #
  # === BeautifulUrl.university_menu
  # ========================================================================= #
  def self.university_menu(
      i = :top
    )
    case i # (case tag, casetag)
    # ======================================================================= #
    # === rf lukas-schindler
    # ======================================================================= #
    when /^lukas(_|-| )?schindler$/
      'https://ufind.univie.ac.at/de/person.html?id=102449&teaching=true'
    # ======================================================================= #
    # === rf mitbelegung_vetmed
    # ======================================================================= #
    when /^mitbelegung(_|-| )?vetmed$/,
         /^mitbeleger(_|-| )?vetmed$/,
         /^vetmed(_|-| )?mitbelegung$/,
         'vumitbelegung',
         'vetmedmitbeleger',
         'mitbelegervu',
         'mitbelegungmeduniwien'
      'https://www.vetmeduni.ac.at/de/studium/mitbelegung/'
    # ======================================================================= #
    # === rf agrarmeteorologie
    # ======================================================================= #
    when 'agrarmeteorologie'
      'https://www.oehboku.at/fileadmin/user_folders/referate/Idip/Genehmigte_Studien/2013-14_Bachelor/Agrarmeteorologie.pdf'
    # ======================================================================= #
    # === rf verordnung
    # ======================================================================= #
    when 'verordnung'
      'https://slw.univie.ac.at/fileadmin/user_upload/s_studienservice/Zulassung/Verordnung_Individuelle_Studien.pdf'
    # ======================================================================= #
    # === rf "Introduction to urbanism"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?urbanism$/i,
         /^Introduction(_|-| )?to(_|-| )?urbanism(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^855107(_|-| )?Introduction(_|-| )?to(_|-| )?urbanism(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'urbanism',
         '855107'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288397' # 2020S
    # ======================================================================= #
    # === rf "Quantitative Tiergenetik (in Eng.)"
    # ======================================================================= #
    when /^Quantitative(_|-| )?Tiergenetik(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^932311(_|-| )?Quantitative(_|-| )?Tiergenetik(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         '932311'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=291990' # 2020W
    # ======================================================================= #
    # === rf "Protein Transport u. Sortierung in Säugetierzellen"
    # ======================================================================= #
    when /^Protein(_|-| )?Transport(_|-| )?un?d?(_|-| )?\.?(_|-| )?Sortierung(_|-| )?in(_|-| )?Säugetierzellen$/i,
         /^301665(_|-| )?Protein(_|-| )?Transport(_|-| )?un?d?\.(_|-| )?Sortierung(_|-| )?in(_|-| )?Säugetierzellen$/i,
         '301665',
         'protein_transport_und_sortierung_in_säugetierzellen'
      'https://ufind.univie.ac.at/de/course.html?lv=301665&semester=2020S'
    # ======================================================================= #
    # === rf auflagen_molekulare_biologie
    # ======================================================================= #
    when 'auflagen_molekulare_biologie',
         'master_anrechnungen',
         'anrechnungen',
         'anrechnung',
         'durchlässigkeit'
      # 'https://typo3.univie.ac.at/fileadmin/user_upload/studentpoint_2011/Student_Point/PDFs/Durchlaessigkeit/Masterstudium_Molekulare_Biologie.pdf'
      'https://slw.univie.ac.at/fileadmin/user_upload/s_studienservice/Studienwahl-Angebot/Studienangebot/MasterAccessGuide_PDFs/MAG_Molekulare_Biologie.pdf'
    # ======================================================================= #
    # === rf vetmedmitteilungsblätter
    # ======================================================================= #
    when /^vetmed(_|-| )?mitteilungs(_|-| )?blätter$/i
      'https://www.vetmeduni.ac.at/de/infoservice/mitteilungsblatt/'
    # ======================================================================= #
    # === rf "Brigitte Besemer-Rosenwirth"
    # ======================================================================= #
    when /^Brigitte(_|-| )?Besemer(_|-| )?Rosenwirth$/i
      'https://ufind.univie.ac.at/de/person.html?id=14955&teaching=true'
    # ======================================================================= #
    # === rf bachelor_curriculum_uni_graz
    # ======================================================================= #
    when /^bachelor_curriculum_uni_graz$/i,
         'maincurriculum'
      'https://online.uni-graz.at/kfu_online/wbMitteilungsblaetter.display?pNr=271004'
    # ======================================================================= #
    # === rf curriculum_vetmed_biomedizin
    # ======================================================================= #
    when /^curriculum(_|-| )?vetmed(_|-| )?biomedizin$/i
      'http://www.vetmeduni.ac.at/fileadmin/v/z/mitteilungsblatt/curricula/20160630_Studienplan_Bachelor_Biomedizin.pdf'
    # ======================================================================= #
    # === rf "Physik (KTWW + HNT)"
    # ======================================================================= #
    when '134.997'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7231&dsrid=152&courseNr=134997'
    # ======================================================================= #
    # === rf "Physik (KTWW + HNT)"
    # ======================================================================= #
    when /^Physik(_|-| )?\(?KTWW(_|-| )?\+(_|-| )?HNT\)?$/i,
         /^Physik(_|-| )?\(?KTWW\)?$/i,
         /^892100(_|-| )?Physik(_|-| )?\(?KTWW(_|-| )?\+(_|-| )?HNT\)?$/i,
         '892100'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=292704' # 2019W
    # ======================================================================= #
    # === rf "BOKU PROTEIN ENGINEERING"
    # ======================================================================= #
    when /^BOKU(_|-| )PROTEIN(_|-| )ENGINEERING$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287946' # 2019W
    # ======================================================================= #
    # === rf 166.127
    # ======================================================================= #
    when '166.127'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9261&dsrid=561&courseNr=166127&semester=2020S'
    # ======================================================================= #
    # === rf sneezum
    # ======================================================================= #
    when 'sneezum'
      'https://ufind.univie.ac.at/de/person.html?id=60330&teaching=true'
    # ======================================================================= #
    # === rf "Toolkit für in silico Sequenzanalysen"
    # ======================================================================= #
    when /^Toolkit(_|-| )?für(_|-| )?in(_|-| )?silico(_|-| )?Sequenzanalysen$/i,
         /^301214(_|-| )?Toolkit(_|-| )?für(_|-| )?in(_|-| )?silico(_|-| )?Sequenzanalysen$/i,
         '301214',
         'in-silico'
      'https://ufind.univie.ac.at/de/course.html?lv=301214&semester=2020S' # 2020S
    # ======================================================================= #
    # === rf UBVO
    # ======================================================================= #
    when /^UBVO$/i
      'https://www.ris.bka.gv.at/GeltendeFassung.wxe?Abfrage=Bundesnormen&Gesetzesnummer=10010067'
    # ======================================================================= #
    # === rf stammzelle
    # ======================================================================= #
    when /^166\.?218(_|-| )?Grundlagen(_|-| )?der(_|-| )?Stammzelltechnologie$/i,
         'stammzelle'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5176&dsrid=949&courseNr=166218&semester=2020S'
    # ======================================================================= #
    # === rf "Genetische Ressourcen von Nutzpflanzen"
    # ======================================================================= #
    when /^Genetische(_|-| )?Ressourcen(_|-| )?von(_|-| )?Nutzpflanzen$/i,
         /^941111(_|-| )?Genetische(_|-| )?Ressourcen(_|-| )?von(_|-| )?Nutzpflanzen$/i,
         'genetische_ressourcen',
         'ressourcen','genressourcen','genetischeressourcen','1'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287390' # 2020S
    # ======================================================================= #
    # === rf kirchner
    # ======================================================================= #
    when 'kirchner'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/146483'
    # ======================================================================= #
    # === rf Seminar
    # ======================================================================= #
    when /^Seminar$/i,
         'next_seminar'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287914'
    # ======================================================================= #
    # === rf zehetner
    # ======================================================================= #
    when /^zehetner$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D5D3D2FCF426729C&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Laboratory Course in Molecular Biology II"
    # ======================================================================= #
    when /^Laboratory(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Biology(_|-| )?II/i,
         /^941323(_|-| )?Laboratory(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Biology(_|-| )?II/i,
          /^941323(_|-| )?Laboratory(_|-| )?course(_|-| )?in(_|-| )?molecular(_|-| )?biology(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Laboratory(_|-| )?Course(_|-| )?II$/i,
         'moby2',
         'mobi2',
         'mobii',
         'mopy2',
         'mopy',
         'moby'
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284337' # 2018W
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287786' # 2020S
    # ======================================================================= #
    # === rf "Fachschaft Wiki"
    # ======================================================================= #
    when /^Fachschaft(_|-| )?Wiki$/i
      'https://wiki.fsinf.at/wiki/Course_reactions_to_coronavirus/Chemie?fbclid=IwAR3syOI2IpEAiRBUbALCl9TExnl52HfbePNrg9EuT29QNCW5RfrI1T2uaLk'
    # ======================================================================= #
    # === rf "Flow Cytometry"
    # ======================================================================= #
    when /^791325(_|-| )?Flow(_|-| )?cytometry(_|-| )?and(_|-| )?cell(_|-| )?sorting(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791325(_|-| )?Flow(_|-| )?cytometry(_|-| )?and(_|-| )?cell(_|-| )?sorting(_|-| )?in(_|-| )?biotechnology$/i,
         /^Flow(_|-| )?cytometry(_|-| )?and(_|-| )?cell(_|-| )?sorting(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.\)?$/,
         /^flow_?cytometry/i,
         /^FACS$/i,
         /^flow$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288767' # 2020S
    # ======================================================================= #
    # === rf "BOKU Core Facilities"
    # ======================================================================= #
    when /^BOKU(_|-| )?Core(_|-| )?Facilities$/i
      'https://boku.ac.at/wissenschaftliche-zentren-core-facilities'
    # ======================================================================= #
    # === rf jokubauskaite
    # ======================================================================= #
    when /^jokubauskaite$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=11A872156DE7AADD&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Spezielle Aspekte der Genetik"
    # ======================================================================= #
    when /^Spezielle(_|-| )?Aspekte(_|-| )?der(_|-| )?Genetik$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=60086' # 2020S
    # ======================================================================= #
    # === rf drazen
    # ======================================================================= #
    when 'drazen',
         'petrov',
         'top1'
      'https://bitbucket.org/durozlikovski/python_programming/src/master/'
    # ======================================================================= #
    # === rf "Erweiterungsstudium Digitale Kompetenzen"
    # ======================================================================= #
    when /^Erweiterungsstudium(_|-| )?Digitale(_|-| )?Kompetenzen$/i,
         'top'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=1887&dsrid=868&key=68984'
    # ======================================================================= #
    # === rf python1
    # ======================================================================= #
    when 'python1'
      'https://learn.boku.ac.at/mod/forum/view.php?id=475771#%202020S'
    # ======================================================================= #
    # === rf bokuzoom
    # ======================================================================= #
    when /^boku(_|-| )?zoom$/i
      'https://bokuvienna.zoom.us/j/98043631524'
    # ======================================================================= #
    # === rf tuwiencorona
    # ======================================================================= #
    when /^tu(_|-| )?wien(_|-| )?corona$/i
      'https://colab.tuwien.ac.at/display/CORONA/CORONA+Information'
    # ======================================================================= #
    # === rf dirk
    # ======================================================================= #
    when 'dirk'
      'https://www.youtube.com/playlist?list=PLh3UqxvxUmkDx8ah9JCMnjycWj_bRmrYm'
    # ======================================================================= #
    # === rf frühwirth
    # ======================================================================= #
    when /^frühwirth$/i
      'https://www.youtube.com/channel/UCSTgIH6RlNWn_FCN5TpSRgw'
    # ======================================================================= #
    # === rf vetmed_bibliothek
    # ======================================================================= #
    when /^vetmed(_|-| )?bibliothek$/i
      'https://search-uvw-obvsg-at.ezproxy.vetmeduni.ac.at/primo-explore/search?prefLang=de_DE&institution=UVW&vid=UVW&tab=default_tab&search_scope=Gesamtbestand&mode=basic&pcAvailabiltyMode=true&displayMode=full&bulkSize=10&highlight=true&dum=true&query=any,contains,Q-Exam%20vetmed&displayField=all&lang=de_DE'
    # ======================================================================= #
    # === rf wilson
    # ======================================================================= #
    when 'wilson'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=0B990B717F6F4158&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf grubi
    # ======================================================================= #
    when 'grubi'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288723'
    # ======================================================================= #
    # === rf haslberger
    # ======================================================================= #
    when 'haslberger',
         'haselberger',
         'haselbauer'
      'https://ufind.univie.ac.at/de/person.html?id=10422&teaching=true'
    # ======================================================================= #
    # === rf "Statistics with R"
    # ======================================================================= #
    when /^Statistics(_|-| )?with(_|-| )?R$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288847' # 2020S
    # ======================================================================= #
    # === rf tiss_news
    # ======================================================================= #
    when /^tiss(_|-| )?news$/i,
         /^tnews$/i
      'https://tiss.tuwien.ac.at/education/messages.xhtml?dswid=3221&dsrid=330'
    # ======================================================================= #
    # === rf Lab
    # ======================================================================= #
    when /^Lab$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8291&dsrid=88&courseNr=163192&semester=2020S'
    # ======================================================================= #
    # === rf Proteomics
    # ======================================================================= #
    when /^Proteomics$/i,
         /^Proteomics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^772306(_|-| )?Proteomics$/i,
         /^772306(_|-| )?Proteomics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288725' # 2020S
    # ======================================================================= #
    # === rf zulassung_master_molekulare_biologie
    # ======================================================================= #
    when /^zulassung(_|-| )?master(_|-| )?molekulare(_|-| )?biologie$/i
      'https://studienservice-lehrwesen.univie.ac.at/fileadmin/user_upload/s_studienservice/Studienwahl-Angebot/Studienangebot/MasterAccessGuide_PDFs/MAG_Molekulare_Biologie_062017.pdf'
    # ======================================================================= #
    # === rf "protein engineering"
    # ======================================================================= #
    when /^protein(_|-| )?engineering$/i,
         /^tu(_|-| )?lab$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7341&dsrid=869&courseNr=163192&semester=2020S'
    # ======================================================================= #
    # === rf "tu wien gebäudeplan"
    # ======================================================================= #
    when /^tu(_|-| )?wien(_|-| )?gebäudeplan$/i
      'https://www.tuwien.at/tu-wien/campus/tu-univercity/standorte/getreidemarkt/'
    # ======================================================================= #
    # === rf "Nikolas Popper"
    # ======================================================================= #
    when /^Nikolas(_|-| )?Popper$/,'popper'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/49563'
    # ======================================================================= #
    # === rf "Robert Paul Zimmermann"
    # ======================================================================= #
    when /^Robert(_|-| )?Paul(_|-| )?Zimmermann$/i
      'https://ufind.univie.ac.at/de/person.html?id=33692&teaching=true'
    # ======================================================================= #
    # === rf fachstuko_aw
    # ======================================================================= #
    when /^fachstuko_?aw$/i
      'https://www.boku.ac.at/universitaetsleitung/senat/aufgabenbereiche/kommissionen/fachstukos-doktoratsstuko-fachag-wb/fachstudienkommission-aw/'
    # ======================================================================= #
    # === rf vetmed_calendar
    # ======================================================================= #
    when /^vetmed(_|-| )?calendar$/i
      'https://online.vu-wien.ac.at/VUWonline/ee/ui/ca2/app/desktop/#/pl/ui/$ctx/wbKalender.wbPerson?$ctx='
    # ======================================================================= #
    # === rf "David Wurm"
    # ======================================================================= #
    when /^David(_|-| )?Wurm$/i
      'https://tiss.tuwien.ac.at/fpl/person/index.xhtml?id=104512'
    # ======================================================================= #
    # === rf anmeldung1
    # ======================================================================= #
    when /^anmeldung1$/i,
         'anmeldung' # ← This value can be changed, to point to another lecture.
      'https://tuwel.tuwien.ac.at/mod/grouptool/view.php?id=726241'
    # ======================================================================= #
    # === rf "153.075 Chemie für TPH"
    # === rf anmeldung
    # ======================================================================= #
    when /^153\.?075(_|-| )?Chemie(_|-| )?für(_|-| )?TPH$/i,
         /^Chemie(_|-| )?für(_|-| )?TPH$/i,
         /^Chemie(_|-| )?für(_|-| )?Physiker$/i,
         /^chemie(_|-| )?tph$/i,
         /^Chemistry(_|-| )?for(_|-| )?TPH$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6283&dsrid=391&courseNr=153075&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf anmeldephasen
    # ======================================================================= #
    when 'anmeldephasen',
         'anmeldungsfristen',
         'fristen',
         'anmeldefristen',
         /uniwien(_|-| )?zeit/
      'https://sss-biwi.univie.ac.at/studium/studienorganisation/anmeldung-zu-lv/'
      # 'https://uspace.univie.ac.at/documents/10210/0/Anmeldephase_Sommersemester2018.pdf/35e2eb8d-7531-d160-a016-c6faa7b86225'
    # ======================================================================= #
    # === rf steop_vorziehregelung
    #
    # Or: rf steop_status
    # ======================================================================= #
    when /^steop(_|-| )?vorziehregelung$/i,
         /^steop(_|-| )?status$/i,
         /^main(_|-| )?steop$/i
      'https://online.boku.ac.at/BOKUonline/wbSteopStatus.wbInitOverview?pStudyId=257581&pOrgId=&pCurriculumId=4176'
    # ======================================================================= #
    # === rf ehmoser
    # ======================================================================= #
    when 'ehmoser'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=16D9CAA7C51764E3&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "cell regulation"
    # ======================================================================= #
    when /^cell(_|-| )?regulation/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288754' # 2020S
    # ======================================================================= #
    # === rf "Human Gene Therapy: From basics to clinical applications"
    # ======================================================================= #
    when /^Human(_|-| )?Gene(_|-| )?Therapy(_|-| |:)?(_|-| )?From(_|-| )?basics(_|-| )?to(_|-| )?clinical(_|-| )?applications$/i,
         /^322054(_|-| )?Human(_|-| )?Gene(_|-| )?Therapy(_|-| |:)?(_|-| )?From(_|-| )?basics(_|-| )?to(_|-| )?clinical(_|-| )?applications$/i,
         /^322054(_|-| )?Human(_|-| )?Gene(_|-| )?Therapy(_|-| |:)?(_|-| )?From(_|-| )?basics(_|-| )?to(_|-| )?clinical(_|-| )?applications(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Somatische(_|-| )?Gentherapie(_|-| |:)?(_|-| )?Technologie(_|-| )?und(_|-| )?Anwendungsbeispiele$/i,
         /^Somatische(_|-| )?Gentherapie$/i,
         /^Human(_|-| )?Gene(_|-| )?Therapy(_|-| |:)?(_|-| )?From(_|-| )?basics(_|-| )?to(_|-| )?clinical(_|-| )?applications(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Human(_|-| )?Gene(_|-| )?Therapy$/i,
         /^Gene(_|-| )?Therapy/i,
         'gentherapie','gentherapy','gentheryp',
         'genetherapy'
      'https://ufind.univie.ac.at/de/course.html?lv=322054&semester=2020S'
    # ======================================================================= #
    # === rf tuwien_mitbelegung
    # ======================================================================= #
    when 'mitbelegung',
         /^tuwien(_|-| )?mitbelegung$/i,
         /^mitbelegung(_|-| )?tu$/i
      'https://www.tuwien.at/studium/zulassung/mitbelegung/'
    # ======================================================================= #
    # === rf "Bachelor Ernährungswissenschaften"
    # ======================================================================= #
    when /^Bachelor(_|-| )?Ernährungswissenschaften$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=242550' # 2020S
    # ======================================================================= #
    # === rf "Python-Programmierung"
    # ======================================================================= #
    when /^Python(_|-| )?Programmierung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7836&dsrid=77&courseNr=362171&semester=2020S'
    # ======================================================================= #
    # === rf "Patent Law and strategic patent management"
    # ======================================================================= #
    when /^Patent(_|-| )?Law(_|-| )?and(_|-| )?strategic(_|-| )?patent(_|-| )?management$/i,
         /^736302(_|-| )?Patent(_|-| )?Law(_|-| )?and(_|-| )?strategic(_|-| )?patent(_|-| )?management$/i,
         /^736302(_|-| )?Patent(_|-| )?Law(_|-| )?and(_|-| )?strategic(_|-| )?patent(_|-| )?management(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285479' # 2019S   
    # ======================================================================= #
    # === rf "Ortrun Mittelsten Scheid"
    # ======================================================================= #
    when /^Ortrun(_|-| )?Mittelsten(_|-| )?Scheid$/i
      'https://ufind.univie.ac.at/de/person.html?id=29696&teaching=true'
    # ======================================================================= #
    # === rf moodle_meduni
    # ======================================================================= #
    when 'moodle_meduni',
         'moodlemeduni',
         /^meduni(_|-| )?moodle$/i
      'https://moodle.meduniwien.ac.at/'
    # ======================================================================= #
    # === rf next_moodle
    # ======================================================================= #
    when 'next_moodle'
      'https://moodle.univie.ac.at/course/view.php?id=43931'
    # ======================================================================= #
    # === rf aufgabe
    # ======================================================================= #
    when 'aufgabe'
      'https://moodle.univie.ac.at/mod/assign/view.php?id=3213880'
    # ======================================================================= #
    # === rf boku_genetik
    # ======================================================================= #
    when /^boku(_|-| )?genetik$/i
      # 'https://online.boku.ac.at/BOKUonline/wborg.display?PORGNR=15895'
      'https://online.boku.ac.at/BOKUonline/webnav.navigate_to?corg=15792'
    # ======================================================================= #
    # === rf traxlmayr
    # ======================================================================= #
    when /^traxlmayr/i,
         'traxlmayer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=316BAEC4A035CFB4&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Allgemeine Betriebswirtschaftslehre"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Betriebswirtschaftslehre$/i,
         /^734100(_|-| )?Allgemeine(_|-| )?Betriebswirtschaftslehre$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285681' # 2018W
    # ======================================================================= #
    # === rf aufnahmeverfahren_uni_wien
    # ======================================================================= #
    when /^-?-?aufnahmeverfahren(_|-| )?uni(_|-| )?wien$/i
      'https://informatik.univie.ac.at/studium/fuer-studieninteressierte/aufnahmeverfahren/'
    # ======================================================================= #
    # === rf "tuaufnahmeverfahren"
    # ======================================================================= #
    when 'tuaufnahmeverfahren'
      'https://aufnahme.informatik.tuwien.ac.at/account/login'
    # ======================================================================= #
    # === rf tuwien_aufnahmeverfahren
    # ======================================================================= #
    when /^tuwien_?aufnahmeverfahren/,
         /^aufnahmeverfahren_?tu_?wien/,
         'aufnahme'
      'http://www.informatik.tuwien.ac.at/aufnahme'
    # ======================================================================= #
    # === rf bibliothek_biologie
    # ======================================================================= #
    when /^bibliothek(_|-| )?biologie$/i
      'https://bibliothek.univie.ac.at/fb-biologie/'
    # ======================================================================= #
    # === rf wurzinger
    # ======================================================================= #
    when 'wurzinger'
      'https://ufind.univie.ac.at/de/person.html?id=16572&teaching=true'
    # ======================================================================= #
    # === rf bock
    # ======================================================================= #
    when 'bock'
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=96DD7FE552A95F31&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf 840.001
    # ======================================================================= #
    when /840\.?001$/
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=337485'
    # ======================================================================= #
    # === rf 773311
    # ======================================================================= #
    when /773311/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288737'
    # ======================================================================= #
    # === rf "vetmed_online_system"
    # ======================================================================= #
    when /^vetmed(_|-| )?online(_|-| )?system$/i
      'https://online.vu-wien.ac.at/VUWonline/wblvangebot.wbshowlvoffer?porgnr=18836'
    # ======================================================================= #
    # === rf master_tuwien
    # ======================================================================= #
    when /^master_?tuwien/,
         'tu_master',
         'tu_masterstudium',
         'curriculum_tuwien_biotechnologie',
         /^Mastercurriculum(_|-| )?Technische(_|-| )?Chemie$/i,
         /^Master(_|-| )?Technische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=9036&dsrid=410&key=65334'
    # ======================================================================= #
    # === rf charpentier
    # ======================================================================= #
    when /^Emmanuelle(_|-| )?Charpentier$/i,
         'charpentier'
      'https://ufind.univie.ac.at/de/person.html?id=81127&teaching=true'
    # ======================================================================= #
    # === rf zmb_prognose_prüfungstermine
    # ======================================================================= #
    when 'zmb_prognose_prüfungstermine'
      'http://molekularebiologie.univie.ac.at/fileadmin/user_upload/zentrum_molekulare_biologie/Infos/Pr%C3%BCfungseinteilung.pdf'
    # ======================================================================= #
    # === rf 790037
    # ======================================================================= #
    when '790037'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=289397'
    # ======================================================================= #
    # === rf addon
    # ======================================================================= #
    when 'addon','prüfungskalendar','pruefungskalendar',
         'addon_calendar'
      'http://dl.dropbox.com/u/8743192/univis_exams_calendar_v0.1.3_r533.xpi'
    # ======================================================================= #
    # === rf kuss
    # ======================================================================= #
    when 'kuss'
      'https://kusss.jku.at/kusss/index.action'
    # ======================================================================= #
    # === rf "zamyatina"
    # ======================================================================= #
    when 'zamyatina'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=5085'
    # ======================================================================= #
    # === rf "Biological nanosciences and nanotechnology"
    # ======================================================================= #
    when /^802300(_|-| )?Biological(_|-| )?nanosciences(_|-| )?and(_|-| )?nanotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'biological_nanosciences_and_nanotechnology','biological_nanosciences',
         /^Biological(_|-| )?nanosciences(_|-| )?and(_|-| )?nanotechnology$/i,
         /^Biological(_|-| )?nanosciences(_|-| )?and(_|-| )?nanotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/,
         /^802300(_|-| )?Biological(_|-| )?nanosciences(_|-| )?and(_|-| )?nanotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/,
         /^Biological(_|-| )?nanosciences(_|-| )?and(_|-| )?nanotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'nano1','nano'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288215' # 2019W
    # ======================================================================= #
    # === rf biotechnologie_graz
    # ======================================================================= #
    when /^biotechnologie(_|-| )?graz$/i
      'https://online.tugraz.at/tug_online/wbExamOffer.wbExamsOfOrg?pOrgNr=14446'
    # ======================================================================= #
    # === rf "Studienangebot TU Wien"
    # ======================================================================= #
    when /^studienangebot(_|-| )?tu(_|-| )?wien$/i,
         /^tu(_|-| )?studienangebot$/i
      'https://tiss.tuwien.ac.at/curriculum/studyCodes.xhtml'
    # ======================================================================= #
    # === rf biologie_curriculum_graz
    # ======================================================================= #
    when /^biologie(_|-| )?curriculum(_|-| )?graz$/i
      'https://online.uni-graz.at/kfu_online/semesterplaene.uebersicht?pStpStpNr=9076&corg_nr=&csr_nr=3388&csprache_nr=1&csj_nr=1790'
    # ======================================================================= #
    # === rf "Agnes Draxler"
    # ======================================================================= #
    when /^Agnes(_|-| )?Draxler$/i
      'https://ufind.univie.ac.at/de/person.html?id=104014'
    # ======================================================================= #
    # === rf "Katalog Freie Wahlfächer - Informatik"
    # ======================================================================= #
    when /^Katalog(_|-| )?Freie(_|-| )?Wahlfächer(_|-| )?(_|-| )?(_|-| )?Informatik$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=9063&dsrid=308&date=20191001&key=57489'
    # ======================================================================= #
    # === rf "Bachelor Informatik"
    # ======================================================================= #
    when /^Bachelor(_|-| )?Informatik$/i,
         /^Bachelorcurriculum(_|-| )?Informatik$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=233801&from=1&to=2' # 2019W
    # ======================================================================= #
    # === rf "VO Statistik und Wahrscheinlichkeitstheorie"
    # ======================================================================= #
    when /^VO(_|-| )?Statistik(_|-| )?und(_|-| )?Wahrscheinlichkeitstheorie$/i,
         /^Statistik(_|-| )?und(_|-| )?Wahrscheinlichkeitstheorie$/i,
         /^107\.?254(_|-| )?Statistik(_|-| )?und(_|-| )?Wahrscheinlichkeitstheorie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6431&dsrid=224&courseNr=107254&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Übung in Molekularer Genetik u. Pathologie"
    # ======================================================================= #
    when /^Übung(_|-| )?in(_|-| )?Molekularer(_|-| )?Genetik(_|-| )?u\.(_|-| )?Pathologie$/i,
         /^301120(_|-| )?Übung(_|-| )?in(_|-| )?Molekularer(_|-| )?Genetik(_|-| )?u\.(_|-| )?Pathologie$/i,
         /^301120(_|-| )?Übung(_|-| )?in(_|-| )?Molekularer(_|-| )?Genetik(_|-| )?u\.?(_|-| )?Pathologie(_|-| )?\(?Zellbiologie\)?$/i,
         /^Übung(_|-| )?in(_|-| )?Molekularer(_|-| )?Genetik(_|-| )?u\.?(_|-| )?Pathologie(_|-| )?\(?Zellbiologie\)?$/i,
         /^Pathologie$/i,
          '301120'
      'https://ufind.univie.ac.at/de/course.html?lv=301120&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Mikroskopie in der Biologie"
    # ======================================================================= #
    when /^Mikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie$/i,
         /^166\.?200(_|-| )?Mikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie$/i,
         /^mikroskopie_?in_?der_?biologie/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9646&dsrid=62&windowId=e6c&courseNr=166200&semester=2020S' # 2020S
    # ======================================================================= #
    # === rf "Bachelorcurriculum Technische Chemie"
    # ======================================================================= #
    when /^Bachelorcurriculum(_|-| )?Technische(_|-| )?Chemie$/i,
         /^Bachelorstudium(_|-| )?Technische(_|-| )?Chemie$/i,
         /^Bachelor(_|-| )?Technische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=1856&dsrid=360&key=37748'
    # ======================================================================= #
    # === rf "Immunologie u. zelluläre Mikrobiologie, Teil A"
    # ======================================================================= #
    when /^Immunologie(_|-| )?u.(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?(_|-| |,)?(_|-| )?Teil(_|-| )?A/i,
         /^301260(_|-| )?Immunologie(_|-| )?u.(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?(_|-| |,)?(_|-| )?Teil(_|-| )?A/i,
         /^Decker(_|-| )?Immuno(_|-| )?A$/i,
         /^Teil(_|-| )?A(_|-| )?Decker(_|-| )?Immuno$/i,
         /^Immunologie(_|-| )?Teil(_|-| )?A$/i,
         /^Immuno(_|-| )?Teil(_|-| )?A$/i,
         /^Immuno(_|-| )?A$/i,
         /^Immunologie(_|-| )?A$/i,
         /^Immunulogie(_|-| )?und(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301260&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Sabine Glasl-Tazreiter"
    # ======================================================================= #
    when /^Sabine(_|-| )?Glasl(_|-| )?Tazreiter$/
      'https://ufind.univie.ac.at/de/person.html?id=1454&teaching=true'
    # ======================================================================= #
    # === rf "Antigene und Impfstoffe"
    # ======================================================================= #
    when 'vaccination',
         'antigene'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288762' # 2019W
    # ======================================================================= #
    # === rf schweyen
    # ======================================================================= #
    when 'schweyen'
      'https://ufind.univie.ac.at/de/person.html?id=5167&teaching=true'
    # ======================================================================= #
    # === rf "boku_bibliothek"
    # ======================================================================= #
    when /^boku(_|-| )?bibliothek$/
      'https://boku.summon.serialssolutions.com/de-DE/#!/'
    # ======================================================================= #
    # === rf "Karl-Heinz Wagner"
    # ======================================================================= #
    when /^Karl(_|-| )?Heinz(_|-| )?Wagner$/
      'https://ufind.univie.ac.at/de/person.html?id=16044&teaching=true'
    # ======================================================================= #
    # === rf kovarik_übungen
    # ======================================================================= #
    when /^kovarik_?übungen$/i
      'http://online.univie.ac.at/vlvz?&lvnr=300214&semester=W2015'
    # ======================================================================= #
    # === rf "Protein Design"
    # ======================================================================= #
    when /^Protein(_|-| )?Design$/
      'https://ufind.univie.ac.at/de/course.html?lv=301159&semester=2019W'
    # ======================================================================= #
    # === rf "Anja Baumann"
    # ======================================================================= #
    when /^Anja(_|-| )?Baumann$/
      'https://ufind.univie.ac.at/de/person.html?id=63330&teaching=true'
    # ======================================================================= #
    # === rf boku_studienangebot
    # ======================================================================= #
    when /^boku(_|-| )?studienangebot$/i,
         'studienangebot'
      'https://boku.ac.at/studienangebot'
    # ======================================================================= #
    # === rf hafner
    # ======================================================================= #
    when 'hafner'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=08E0642260C0FEA7&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf janauer
    # ======================================================================= #
    when 'janauer',
         /^Georg(_|-| )?Janauer$/i
      'https://ufind.univie.ac.at/de/person.html?id=2278&teaching=true'
    # ======================================================================= #
    # === rf stich
    # ======================================================================= #
    when 'stich',
         /^Karl(_|-| )?Stich$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/162339'
    # ======================================================================= #
    # === rf elektrotechnik
    # ======================================================================= #
    when 'elektrotechnik'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=2459&dsrid=784&key=58908'
    # ======================================================================= #
    # === rf 301853
    # ======================================================================= #
    when '301853'
      'https://ufind.univie.ac.at/de/course.html?lv=301853&semester=2019W'
    # ======================================================================= #
    # === rf chemie_prüfungen
    # ======================================================================= #
    when 'chemie_prüfungen',
         'chemie_exams'
      'http://igchemie.jimdo.com/termine-kalender/' # Kalendar für Chemie an der Uni Wien.
    # ======================================================================= #
    # === rf chemie_forum_öh_wien
    # ======================================================================= #
    when 'chemie_forum_öh_wien','chemie_forum_oeh_wien'
      'http://igchemie.jimdo.com/'
    # ======================================================================= #
    # === rf marko
    # ======================================================================= #
    when /^marko$/i
      'https://ufind.univie.ac.at/de/person.html?id=37829&teaching=true'
    # ======================================================================= #
    # === rf stv_unterlagen
    # ======================================================================= #
    when /^stv( |_|-)?unterlagen$/i
      'https://www.univie.ac.at/stv-biologie/secure/Unterlagen.html'
    # ======================================================================= #
    # === rf popgen
    # ======================================================================= #
    when 'popgen'
      'http://www.univie.ac.at/stv-biologie/forum/viewtopic.php?f=120&t=17941'
    # ======================================================================= #
    # === rf stv_unterlagen
    # ======================================================================= #
    when 'unterlagen2','stv_unterlagen'
      'http://www.univie.ac.at/stv-biologie/HP/Unterlagen.html'
    # ======================================================================= #
    # === rf stv
    # ======================================================================= #
    when 'stv','stv biologie','stvz','stv_forum','stvforum','stv_forum_biologie',
         'st','stcv'
      'http://www.univie.ac.at/stv-biologie/forum/'
    # ======================================================================= #
    # === rf auditorium
    # ======================================================================= #
    when 'auditorium','ephrodite','vorlesungsaufzeichnungen',
         'stvaudio','audiosammlung'
      'http://www.univie.ac.at/stv-biologie/forum/viewtopic.php?f=11&t=13634'
    # ======================================================================= #
    # === rf stv_prüfungsfragen
    # ======================================================================= #
    when 'stv_prüfungsfragen','prüfungsfragen','pfragen2','prfg_normal',
         'prfg','pruefungsfragen2','prfg1','exam_questions',
         'stvprüfungsfragen'
      'http://www.univie.ac.at/stv-biologie/forum/viewforum.php?f=120'
    # ======================================================================= #
    # === rf uza_biozentrum_plan
    # ======================================================================= #
    when /^uza(_|-| )?biozentrum(_|-| )?plan$/i
      'https://www.univie.ac.at/stv-biologie/HP/files/UZA_Biozentrum.pdf'
    # ======================================================================= #
    # === rf unikalendar
    # ======================================================================= #
    when 'unikalendar','uniextension'
      'http://www.univie.ac.at/stv-biologie/forum/viewtopic.php?f=26&t=17692'
    # ======================================================================= #
    # === rf betriebswirtschaft_moodle
    # ======================================================================= #
    when /^betriebswirtschaft(_|-| )?moodle$/
      'https://learn.boku.ac.at/course/view.php?id=20657'
    # ======================================================================= #
    # === rf "Mastercurriculum Biotechnology"
    # ======================================================================= #
    when /^Mastercurriculum(_|-| )?Biotechnology$/i
      'https://boku.ac.at/en/studienservices/studien/master-en/h066418?selectedTypes=group'
    # ======================================================================= #
    # === rf "Bachelorcurriculum Lebensmittel- und Biotechnologie"
    # ======================================================================= #
    when /^Bachelorcurriculum(_|-| )?Lebensmittel(_|-| )?(_|-| )?und(_|-| )?Biotechnologie$/i
      'https://boku.ac.at/studienservices/studien/bakk/h033217'
    # ======================================================================= #
    # === rf immunmodulation
    # ======================================================================= #
    when /immunmodulation/
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=331128' # 2018W
    # ======================================================================= #
    # === rf "Erhard Hofer"
    # ======================================================================= #
    when /^Erhard(_|-| )?Hofer$/i
      'https://ufind.univie.ac.at/de/person.html?id=12482&teaching=true'
    # ======================================================================= #
    # === rf "graz_molbio"
    # ======================================================================= #
    when /^graz(_|-| )?molbio$/i
      'https://www.tugraz.at/studium/studienangebot/bachelorstudien/molekularbiologie/'
    # ======================================================================= #
    # === rf "185.A07 Grundzüge der Informatik für Vermessung und Geoinformation"
    # ======================================================================= #
    when /^185\.?A07(_|-| )?Grundzüge(_|-| )?der(_|-| )?Informatik(_|-| )?für(_|-| )?Vermessung(_|-| )?und(_|-| )?Geoinformation$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9544&dsrid=839&courseNr=185A07&semester=2019W'
    # ======================================================================= #
    # === rf mitbelegung_wu_wien
    # ======================================================================= #
    when /^mitbelegung(_|-| )?wu(_|-| )?wien$/i,
         /^mitbelegung(_|-| )?wu$/i,
         'wu','wu_mitbelegung' # Mitbelegung an der WU.
      'https://www.wu.ac.at/studium/bewerbung-und-zulassung/mitbeleg'
    # ======================================================================= #
    # === rf mitbelegung_boku_wien
    # ======================================================================= #
    when /^mitbelegung(_|-| )?boku(_|-| )?wien$/i,
         /^mitbelegung(_|-| )?boku$/i
      'https://boku.ac.at/studienservices/themen/studierendenstatus-o-ao-mitbelegend/mitbelegung'
    # ======================================================================= #
    # === rf öffnungszeiten_uniwien
    # ======================================================================= #
    when /^öffnungszeiten(_|-| )?uniwien$/i,
         /^öffnungszeiten(_|-| )?studienabteilung$/i,
         'unifristen',
         'uniöffnungszeiten',
         /^studienreferat_uniwien$/i
      'https://slw.univie.ac.at/wir-ueber-uns/studienzulassung/'
    # ======================================================================= #
    # === rf "Biointerfaces, biomaterials and biophysics in Nanobiosciences (in Eng.)"
    # ======================================================================= #
    when /^Biointerfaces(_|-| |,)?(_|-| )?biomaterials(_|-| )?and(_|-| )?biophysics(_|-| )?in(_|-| )?Nanobiosciences(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^803110(_|-| )?Biointerfaces(_|-| |,)?(_|-| )?biomaterials(_|-| )?and(_|-| )?biophysics(_|-| )?in(_|-| )?Nanobiosciences(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^803110_Biointerfaces_biomaterials_and_biophysics_in_Nanobiosciences_in_Eng$/i,
         /^Biointerfaces(_|-| )?biomaterials(_|-| )?and(_|-| )?biophysics$/i,
         /^Biointerfaces(_|-| |,)?(_|-| )?biomaterials(_|-| )?and(_|-| )?biophysics(_|-| )?in(_|-| )?Nanobiosciences$/i,
         /^biointerfaces_biomaterials_and_biophysics_in_Nanobiosciences_in_Eng\.?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287932' # 2019W
    # ======================================================================= #
    # === rf "Practical Course in Molecular Microbiology"
    # ======================================================================= #
    when /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology$/i,
         /^301841(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301841&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=301841&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Gentechnik für Mediziner"
    # ======================================================================= #
    when /^Gentechnik(_|-| )?für(_|-| )?Mediziner$/i,
         /^653\.?264(_|-| )?Gentechnik(_|-| )?für(_|-| )?Mediziner$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=337303' # 2019W
    # ======================================================================= #
    # === rf "stiasny"
    # ======================================================================= #
    when /^stiasny$/i
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=D6E51A03BB71E600&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "202.647 Mathematical Systems Biology"
    # ======================================================================= #
    when /^202\.?647(_|-| )?Mathematical(_|-| )?Systems(_|-| )?Biology$/i,
         /^Mathematical(_|-| )?Systems(_|-| )?Biology$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7527&dsrid=816&courseNr=202647&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Mess- und Regeltechnik I"
    # ======================================================================= #
    when /^Mess(_|-| )?(_|-| )?und(_|-| )?Regeltechnik(_|-| )?I$/i,
         /^893105(_|-| )?Mess(_|-| )?(_|-| )?und(_|-| )?Regeltechnik(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284961' # 2019S
    # ======================================================================= #
    # === rf "Anselm Pavlik"
    # ======================================================================= #
    when /^Anselm(_|-| )?Pavlik$/i,
         'pavlik'
      'https://ufind.univie.ac.at/de/person.html?id=52929&teaching=true'
    # ======================================================================= #
    # === rf "Projektmanagement (LBT)"
    # ======================================================================= #
    when /^731101(_|-| )?Projektmanagement$/i,
         /^Projektmanagement(_|-| )?\(LBT\)/i,
         'projektmanagement','projektmanagement_LBT'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288875' # 2020S
    # ======================================================================= #
    # === rf "Mathematik für Molekulare Biologen"
    # ======================================================================= #
    when /^Mathematik(_|-| )?\(?LBT\)?$/i,
         /^835100(_|-| )?Mathematik(_|-| )?\(?LBT\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288832' # 2019W
    # ======================================================================= #
    # === rf "Biological Therapeutics"
    # ======================================================================= #
    when /^Biological(_|-| )?Therapeutics$/i,
         /^Biological(_|-| )?therapeutics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791368(_|-| )?Biological(_|-| )?therapeutics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791368(_|-| )?Biological(_|-| )?therapeutics$/i,
         'biological_therapeutics',
         'therapeutics'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287783' # 2019W 
    # ======================================================================= #
    # === rf "Betriebswirtschaft und Betriebsorganisation"
    # ======================================================================= #
    when /^Betriebswirtschaft(_|-| )?und(_|-| )?Betriebsorganisation$/i,
         /^754104(_|-| )?Betriebswirtschaft(_|-| )?und(_|-| )?Betriebsorganisation$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288962' # 2019W
    # ======================================================================= #
    # === rf "Allgemeine und anorganische Chemie (AW)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Allgemeine(_|-| )?und(_|-| )?anorganische(_|-| )?Chemie(_|-| )?\(?AW\)?/i,
         /^Allgemeine(_|-| )?und(_|-| )?anorganische(_|-| )?Chemie(_|-| )?\(?AW\)?/i,
         /^770100(_|-| )?Allgemeine(_|-| )?und(_|-| )?anorganische(_|-| )?Chemie(_|-| )?\(?AW\)?/i,
         'allgemeine_und_anorganische_chemie_aw'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287558' # 2019W
    # ======================================================================= #
    # === rf "Theorie und Anwendung des Konfokal-Mikroskops"
    # ======================================================================= #
    when /^Theorie(_|-| )?und(_|-| )?Anwendung(_|-| )?des(_|-| )?Konfokal(_|-| )?Mikroskops$/i,
         /^300517(_|-| )?Theorie(_|-| )?und(_|-| )?Anwendung(_|-| )?des(_|-| )?Konfokal(_|-| )?Mikroskops$/i,
         /^Konfokal(_|-| )?Mikroskopie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300517&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Chemisches Rechnen I"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Rechnen(_|-| )?I$/i,
         /^771118(_|-| )?Chemisches(_|-| )?Rechnen(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=288714' # 2019W
    # ======================================================================= #
    # === rf "Analytische Chemie II"
    # ======================================================================= #
    when /^Analytische(_|-| )?Chemie(_|-| )?II$/i,
         /^164\.?178(_|-| )?Analytische(_|-| )?Chemie(_|-| )?II$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8520&dsrid=76&courseNr=164178&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf 803110
    # ======================================================================= #
    when '803110'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287932'
    # ======================================================================= #
    # === rf kunze
    # ======================================================================= #
    when 'kunze'
      'https://ufind.univie.ac.at/de/person.html?id=20029&teaching=true'
    # ======================================================================= #
    # === rf uni_intern
    # ======================================================================= #
    when /^uni(_|-| )?intern$/i
      'http://medienportal.univie.ac.at/uniview/uni-intern/'
    # ======================================================================= #
    # === rf "Alexander Schleiffer"
    # ======================================================================= #
    when /^Alexander(_|-| )?Schleiffer$/i
      'https://ufind.univie.ac.at/de/person.html?id=10584&teaching=true'
    # ======================================================================= #
    # === rf "Sebastian Burgstaller-Muehlbacher"
    #
    # A ruby-guy.
    # ======================================================================= #
    when /^Sebastian(_|-| )?Burgstaller(_|-| )?Muehlbacher$/i
      'http://www.cibiv.at/people/sebastian/'
    # ======================================================================= #
    # === rf "Molekulare Biologie UE III"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Biologie(_|-| )?UE(_|-| )?III$/i,
         /^Molekulare(_|-| )?Biologie(_|-| )?UE(_|-| )?III(_|-| )?\(?Zellbiologie\)?$/i,
         /^301253(_|-| )?Molekulare(_|-| )?Biologie(_|-| )?UE(_|-| )?III(_|-| )?\(?Zellbiologie\)?$/i,
         /^UE(_|-| )?III(_|-| )?Zellbiologie$/i,
         /^Zellbiologie(_|-| )?III$/i,
         /^Übung(_|-| )?Zellbiologie$/i,
         /^UE(_|-| )?Zellbiologie(_|-| )?III$/i,
         /^UE(_|-| )?Molekulare(_|-| )?Zellbiologie$/i,
         /^Übung(_|-| )?Molekulare(_|-| )?Zellbiologie$/i,
         /^Zellbiologie(_|-| )?Übung$/i,
         /^Molek\.?Biologie(_|-| )?UE(_|-| )?III$/i,
         /^Molekulare(_|-| )?Zellbiologie(_|-| )?Übung$/i,
         'zellbioübung',
         'zellbio',
         '301253'
      'https://ufind.univie.ac.at/de/course.html?lv=301253&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Masterstudium Medizinische Informatik"
    # ======================================================================= #
    when /^Masterstudium(_|-| )?Medizinische(_|-| )?Informatik$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLVAngebot.wbShowLVOffer?pOrgNr=17819&pPersonNr=&pSjNr=1744&pGroup=W&pStpLvTypNr=-1&pSort=18'
    # ======================================================================= #
    # === rf "270110 Praktikum: Analyse großer Datensätze von omics-typ Experimenten"
    # ======================================================================= #
    when /^270110(_|-| )?Praktikum(_|-| |:)?(_|-| )?Analyse(_|-| )?großer(_|-| )?Datensätze(_|-| )?von(_|-| )?omics(_|-| )?typ(_|-| )?Experimenten$/i,
         /^270110(_|-| )?Praktikum(_|-| |:)?(_|-| )?Analyse(_|-| )?großer(_|-| )?Datensätze(_|-| )?von(_|-| )?"omics"(_|-| )?typ(_|-| )?Experimenten$/i,
         'omics'
      'https://ufind.univie.ac.at/de/course.html?lv=270005&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Jessica Walker"
    # ======================================================================= #
    when /^Jessica(_|-| )?Walker$/i
      'https://ufind.univie.ac.at/de/person.html?id=40090&teaching=true'
    # ======================================================================= #
    # === rf gerner1
    # ======================================================================= #
    when 'gerner1'
      'https://ustream.univie.ac.at/media/core.html?format=hls&id=ded386ff-b26a-40d2-82ac-ce96399c3012'
    # ======================================================================= #
    # === rf boku_biochemie
    #
    # Das Biochemie-Institut an der BOKU Wien.
    # ======================================================================= #
    when /^boku(_|-| )?biochemie$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?porgnr=15680'
    # ======================================================================= #
    # === rf "Basiswissen Informatik für die Bioinformatik"
    # ======================================================================= #
    when /^Basiswissen(_|-| )?Informatik(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         /^BIOINF01b(_|-| )?Basiswissen(_|-| )?Informatik(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         /^Modul(_|-| )?BIOINF01b(_|-| )?Basiswissen(_|-| )?Informatik(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         /^Informatik(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         'grundlagen1',
         'megabioinfo',
         'megabioinformatics',
         'superbioinformatics'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=234571' # 2019W
    # ======================================================================= #
    # === rf "UE A Strukturbiologie - Basic Practical Course in Structural Biology"
    # ======================================================================= #
    when /^UE(_|-| )?A(_|-| )?Strukturbiologie(_|-| )?(_|-| )?(_|-| )?Basic(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Structural(_|-| )?Biology$/i,
         /^UE(_|-| )?A(_|-| )?Strukturbiologie$/i,
         /^301853(_|-| )?UE(_|-| )?A(_|-| )?Strukturbiologie$/i,
         /^Strukturbiologie(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301853&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf jantsch
    # ======================================================================= #
    when 'jantsch'
      'https://ufind.univie.ac.at/de/person.html?id=2294&teaching=true'
    # ======================================================================= #
    # === rf vpn
    # ======================================================================= #
    when 'vpn','secure_login','account','access','vpnlogin',
         'secure','nature','publication','publikation',
         'pub','onlinepub','onlinelesen','nature_login',
         'naturelogin',
         'securelogin',
         'vpn_login',
         'univpn'
      'https://univpn.univie.ac.at/+CSCOE+/logon.html?reason=1'
    # ======================================================================= #
    # === rf "Helmut Weinke"
    # ======================================================================= #
    when /^Helmut(_|-| )?Weinke$/i,
         'weinke' # rf weine    
      'https://ufind.univie.ac.at/de/person.html?id=6152&teaching=true'
    # ======================================================================= #
    # === rf "Techniken in der Molekularen Biologie"
    # ======================================================================= #
    when /^Techniken(_|-| )?in(_|-| )?der(_|-| )?Molekularen(_|-| )?Biologie$/i,
         /^270190(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Molekularen(_|-| )?Biologie$/i,
         '270190',
         'ü4'
      'https://ufind.univie.ac.at/de/course.html?lv=270190&semester=2019W' # 2018W
    # ======================================================================= #
    # === rf "Bachelor Technische Informatik"
    # ======================================================================= #
    when /^Bachelor(_|-| )?Medizinische(_|-| )?Informatik$/i
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=8303&dsrid=925&key=46319'
    # ======================================================================= #
    # === rf gewebekultur
    # ======================================================================= #
    when 'gewebekultur','pflanzenkultur','zellkultur','kultur'
      'http://online.univie.ac.at/vlvz?&lvnr=320009&semester=W2015'
    # ======================================================================= #
    # === rf müllner
    # ======================================================================= #
    when 'müllner',
         /^Ernst(_|-| )?Müllner$/i
      'https://ufind.univie.ac.at/de/person.html?id=3738&teaching=true'
    # ======================================================================= #
    # === rf "Helmut Dolznig"
    # ======================================================================= #
    when /^Helmut(_|-| )?Dolznig$/i,
         /^Dolznig$/i
      'https://ufind.univie.ac.at/de/person.html?id=24656&teaching=true'
    # ======================================================================= #
    # === rf mikulits
    # ======================================================================= #
    when 'mikulits',
         /^Wolfgang(_|-| )?Mikulits$/i
      'https://ufind.univie.ac.at/de/person.html?id=15235&teaching=true'
    # ======================================================================= #
    # === rf jürg_graf
    # ======================================================================= #
    when 'jürg_graf'
      'http://online.univie.ac.at/pers?pkey=1525'
    # ======================================================================= #
    # === rf "301151 UE in Fluoreszenz und Konfokalmikroskopie inkl.Übungen zur Bild-bearbeitung/analyse"
    # ======================================================================= #
    when /^301151(_|-| )?UE(_|-| )?in(_|-| )?Fluoreszenz(_|-| )?und(_|-| )?Konfokalmikroskopie(_|-| )?inkl\.?Übungen(_|-| )?zur(_|-| )?Bild(_|-| )?bearbeitung\/?analyse$/i,
         /^UE(_|-| )?in(_|-| )?Fluoreszenz(_|-| )?und(_|-| )?Konfokalmikroskopie$/i,
         /^UE(_|-| )?in(_|-| )?Fluoreszenz(_|-| )?und(_|-| )?Konfokalmikroskopie(_|-| )?inkl\.?Übungen(_|-| )?zur(_|-| )?Bild(_|-| )?bearbeitung\/?analyse$/i,
         '301151'
      'https://ufind.univie.ac.at/de/course.html?lv=301151&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "Helmut Spreitzer"
    # ======================================================================= #
    when /^Helmut(_|-| )?Spreitzer$/i,
         'spreitzer'
      'https://ufind.univie.ac.at/de/person.html?id=5395&teaching=true'
    # ======================================================================= #
    # === rf "Bioanalytische Methoden zur Identifikation und Evaluierung von Biomarkern"
    # ======================================================================= #
    when /^Bioanalytische(_|-| )?Methoden(_|-| )?zur(_|-| )?Identifikation(_|-| )?und(_|-| )?Evaluierung(_|-| )?von(_|-| )?Biomarkern$/i,
         /^442706(_|-| )?Bioanalytische(_|-| )?Methoden(_|-| )?zur(_|-| )?Identifikation(_|-| )?und(_|-| )?Evaluierung(_|-| )?von(_|-| )?Biomarkern$/i,
         /^442706(_|-| )?Bioanalytische(_|-| )?Methoden(_|-| )?zur(_|-| )?Identifikation(_|-| )?und(_|-| )?Evaluierung(_|-| )?von$/i,
         /^442706(_|-| )?Bioanalytische(_|-| )?Methoden(_|-| )?zur(_|-| )?Identifikation(_|-| )?und(_|-| )?Evaluierung$/i,
         'biomarker','bioanalytik',
         'bioana','bioana1',
         /^next(-|_)?lecture$/i
      'https://ufind.univie.ac.at/de/course.html?lv=442706&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Holger Bohlmann"
    # ======================================================================= #
    when /^Holger(_|-| )?Bohlmann$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=999611D98C057984&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Bachelorcurriculum Chemie"
    # ======================================================================= #
    when /^Bachelorcurriculum(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=230323' # 2019W
    # ======================================================================= #
    # === rf ernährungswissenschaften_studienplan
    # ======================================================================= #
    when 'ernährungswissenschaften_studienplan'
      'http://studentpoint.univie.ac.at/vor-dem-studium/detailansicht/studium/033-638/?tx_univiestudentpoint_pi1[backpid]=100480&cHash=ac3b6ec1fef37d88fb52da2616b10216'
    # ======================================================================= #
    # === rf "Übung I A"
    # ======================================================================= #
    when /^Übung(_|-| )?I(_|-| )?A$/i,
         /^Übungen(_|-| )?I(_|-| )?A$/i,
         /^Übungen(_|-| )?I(_|-| )?A(_|-| )?(_|-| )?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Genetik$/i,
         /^301626(_|-| )?Übungen(_|-| )?I(_|-| )?A(_|-| )?(_|-| )?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Genetik$/i,
         'Übungen_I_A','übung_I_A','übung_i_a',
         'übung_i','übung_ia','übung_IA','blaesi_übung',
         /^UE(_|-| )?IA$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301626&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf boku_zahl_studenten
    # ======================================================================= #
    when 'boku_zahl_studenten',
         'boku_studenten'
      'http://www.boku.ac.at/universitaetsleitung/rektorat/stabsstellen/oeffentlichkeitsarbeit/themen/geschichte/studierendenzahlen/'
    # ======================================================================= #
    # === rf new_univie_vpn
    # ======================================================================= #
    when 'new_univie_vpn','vpn2' # Das is für die TU Wien.
      'https://vpn.univie.ac.at/my.policy'
    # ======================================================================= #
    # === rf tanzer_übung
    # ======================================================================= #
    when 'tanzer_übung'
      'http://online.univie.ac.at/vlvz?&lvnr=300599&semester=W2015'
    # ======================================================================= #
    # === rf "UE III"
    # ======================================================================= #
    when /^UE(_|-| )?III$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301253&semester=2019W'
    # ======================================================================= #
    # === rf schnabl
    # ======================================================================= #
    when 'schnabl'
      'https://ufind.univie.ac.at/de/person.html?id=7298&teaching=true'
    # ======================================================================= #
    # === rf altmann
    # ======================================================================= #
    when 'altmann',
         'altman'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=71BA9EE2971B406B&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf pharmazie_account
    # ======================================================================= #
    when 'pharmazie_account',
         'pharmazie_prüfungen'
      'http://www.univie.ac.at/ptox/users/index.php'
    # ======================================================================= #
    # === rf "Molekularbiologie Übungen I"
    # ======================================================================= #
    when /^Molekularbiologie(_|-| )?Übungen(_|-| )?I$/i,
         /^941101(_|-| )?Molekularbiologie(_|-| )?Übungen(_|-| )?I/i,
         'mobi',
         'molbio1'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=287386' # 2019W
    # ======================================================================= #
    # === rf "Bachelor Chemie"
    # ======================================================================= #
    when /^Bachelor(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=230323' # 2019W
    # ======================================================================= #
    # === rf erstes_semester_pharmazie
    # ======================================================================= #
    when 'erstes_semester_pharmazie'
      'http://www.univie.ac.at/stv-pharmazie/wp-content/uploads/2015/09/Erstes-Semester-271681-Pharmazie.pdf'
    # ======================================================================= #
    # === rf "Mirjam Messner"
    # ======================================================================= #
    when /^Mirjam(_|-| )?Messner/i,
         'messner'
      'https://ufind.univie.ac.at/de/person.html?id=52902'
    # ======================================================================= #
    # === rompel
    # ======================================================================= #
    when 'rompel','rompelt'
      'https://ufind.univie.ac.at/de/person.html?id=81329&teaching=true'
    # ======================================================================= #
    # === rf uni_wien_organische_chemie
    # ======================================================================= #
    when 'uni_wien_organische_chemie'
      'http://orgchem.univie.ac.at/bio/vo-bio/'
    # ======================================================================= #
    # === rf anmeldesystem
    # ======================================================================= #
    when 'anmeldesystem'
      'http://studentpoint.univie.ac.at/durchs-studium/anmeldesystem/'
    # ======================================================================= #
    # === rf slany
    # ======================================================================= #
    when 'slany',
         'astrid'
      'https://ufind.univie.ac.at/de/person.html?id=48249&teaching=true'
    # ======================================================================= #
    # === rf sequenzanalyse
    # ======================================================================= #
    when 'sequenzanalyse'
      'http://online.univie.ac.at/vlvz?&lvnr=300245&semester=S2016'
    # ======================================================================= #
    # === rf toca
    # ======================================================================= #
    when 'toca',
         'jose'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=025494E732FB3A88&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Ruth Quint"
    # ======================================================================= #
    when /^Ruth( |_)?Quint$/i
      'https://ufind.univie.ac.at/de/person.html?id=4387&teaching=true'
    # ======================================================================= #
    # === rf waitzbauer
    # ======================================================================= #
    when 'waitzbauer'
      'https://ufind.univie.ac.at/de/person.html?id=6044&teaching=true'
    # ======================================================================= #
    # === rf "Fakultät für Lebenswissenschaften"
    # ======================================================================= #
    when /^Fakultät( |_)?für( |_)?Lebenswissenschaften$/i
      'https://ufind.univie.ac.at/de/pvz_sub.html?id=50'
    # ======================================================================= #
    # === rf "Gerhard Ecker"
    # ======================================================================= #
    when /^Gerhard( |_)?Ecker$/i
      'https://ufind.univie.ac.at/de/person.html?id=904&teaching=true'
    # ======================================================================= #
    # === rf lea
    # ======================================================================= #
    when 'atanasova',
         /^Lea( |_)?Atanasova$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/2685601'
    # ======================================================================= #
    # === rf "Xiaoliang Sun"
    # ======================================================================= #
    when /^Xiaoliang(_|-| )?Sun$/i,
         'xiaoliang'
      'https://ufind.univie.ac.at/de/person.html?id=41211&teaching=true'
    # ======================================================================= #
    # === rf bachelor_ernährungswissenschaften
    # ======================================================================= #
    when 'bachelor_ernährungswissenschaften','erncurriculum',
         'bachelor_ernährung','bachelorern','bachelorernährung',
         'vorlesungsverzeichnis_ernährungswissenschaften_2017WS',
         'vorlesungsverzeichnis_ernährungswissenschaften',
         'ernährungswissenschaften',
         /^bachelor(_|-| )?ern$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=233704' # 2018W
    # ======================================================================= #
    # === rf pharmazie_bachelor
    # ======================================================================= #
    when /^pharmazie(_|-| )?bachelor$/,
         /^bachelor(_|-| )?pharmazie$/i,
         /^bachelor(_|-| )?pharma$/i,
         'curriculum_pharmazie'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=233077' # 2019W
    # ======================================================================= #
    # === rf pharmatermine_prüfungen2
    # ======================================================================= #
    when 'pharmazie_prüfungen2','pharmaskripten'
      'https://ssc-lebenswissenschaften.univie.ac.at/studienrichtungen/pharmazie/pruefungstermine/'
    # ======================================================================= #
    # === rf pharmatermine
    # ======================================================================= #
    when 'pharmatermine'
      'http://www.univie.ac.at/pharmakognosie/teach_exams_dates_en.html'
    # ======================================================================= #
    # === rf "Biotechnological products"
    # ======================================================================= #
    when /^Biotechnological(_|-| )?products$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285939' # 2019S
    # ======================================================================= #
    # === rf spl
    # ======================================================================= #
    when 'spl'
      'https://www.univie.ac.at/ueber-uns/leitung-organisation/studien-lehrorganisation/'
    # ======================================================================= #
    # === rf "boku_individuelles_studium_äquivalenzliste"
    # ======================================================================= #
    when 'boku_individuelles_studium_äquivalenzliste',
         'three_pillars',
         'säulenzuordnung'
      'http://www.oehboku.at/fileadmin/user_upload/oehref/individuell/Maerz_2015__3-Saeulenzurodnung.xls'
    # ======================================================================= #
    # === rf boku_antragstellung_individuelles_studium
    # ======================================================================= #
    when /^boku_?antragstellung_?individuelles_?studium$/i
      'http://www.boku.ac.at/studienservices/themen/zulassung/inlaendische-vorbildung/individuelle-studien/'
    # ======================================================================= #
    # === rf quizlet_ape
    # ======================================================================= #
    when /^quizlet(_|-| )?ape$/,
         /^quizlet(_|-| )?top$/,
         /^main(_|-| )?quizlet$/,
         'ape'
      'https://quizlet.com/171994491/ape-wanninger-samtliche-altfragen-flash-cards/'
    # ======================================================================= #
    # === rf ebner
    # ======================================================================= #
    when 'ebner','florian'
      'https://ufind.univie.ac.at/de/person.html?id=44312&teaching=true'
    # ======================================================================= #
    # === rf eislmayr
    # ======================================================================= #
    when /^eislmayr$/i,
         'eislmayer'
      'https://ufind.univie.ac.at/de/person.html?id=57942&teaching=true'
    # ======================================================================= #
    # === rf prolog
    # ======================================================================= #
    when 'prolog',
         'matheübung',
         /^tu(-|_)?übung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2201&dsrid=203&courseNr=180771&semester=2019W'
    # ======================================================================= #
    # === rf "Christiane Riedel"
    # ======================================================================= #
    when /^Christiane(_|-| )?Riedel$/i
      'https://www.vetmeduni.ac.at/en/virology/vir/research/research-groups/christiane-riedel/'
    # ======================================================================= #
    # === rf "Applied Bacterial Genetics"
    # ======================================================================= #
    when /^Applied(_|-| )?Bacterial(_|-| )?Genetics$/i,
         'bacterial_genetics'
      'https://ufind.univie.ac.at/de/course.html?lv=322065&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Applied programming for Bioinformatics"
    # ======================================================================= #
    when /^Applied(_|-| )?programming(_|-| )?for(_|-| )?Bioinformatics$/i,
         /^Applied(_|-| )?programming$/i,
         /^300353(_|-| )?Applied(_|-| )?programming(_|-| )?for(_|-| )?Bioinformatics$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300353&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=300043&semester=2019S' # 2019S  
    # ======================================================================= #
    # === rf "Applied Virology"
    # ======================================================================= #
    when /^BOKU(_|-| )?Applied(_|-| )?Virology(_|-| )?\(?in(_|-| )?Eng\.?\)?/i,
         'boku_applied_virology','applied_virology','appliedvirology',
         'avirology',
         /^Applied(_|-| )?Virology(_|-| )?\(?in(_|-| )?(_|-| )?Eng\.?\)?$/i,
         /^791310(_|-| )?Applied(_|-| )?Virology(_|-| )?\(?in(_|-| )?(_|-| )?Eng\.?\)?$/i,
         /^Applied(_|-| )?Virology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282942' # 2018W
    # ======================================================================= #
    # === rf "Maximilian Valler"
    # ======================================================================= #
    when /^Maximilian(_|-| )?Valler$/i,'valler',
         'max2'
      'https://ufind.univie.ac.at/de/person.html?id=45626&teaching=true'
    # ======================================================================= #
    # === rf sammelzeugnis
    # ======================================================================= #
    when 'sammelzeugnis'
      STUDIUM+'EXAMS_RESULT/UNI_WIEN/24.07.2019_UniWien_Sammelzeugnis_Matrikelnummer_970301100.pdf'
    # ======================================================================= #
    # === rf Haselbach
    # ======================================================================= #
    when 'haselbach',
         'hasselbach',
         'hasselbalch',
         'haselbalch'
      'https://ufind.univie.ac.at/de/person.html?id=102699&teaching=true'
    # ======================================================================= #
    # === rf "Uniwien Pathophysiology"
    # ======================================================================= #
    when /^Uniwien(_|-| )?Pathophysiology$/i,
         /^321015(_|-| )?Pathophysiologie$/i,
         /^Pathophysiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321015&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf lehrveranstaltungen_medizinische_informatik
    # ======================================================================= #
    when /^lehrveranstaltungen(_|-| )?medizinische(_|-| )?informatik$/i
      'https://campus.meduniwien.ac.at/med.campus/lv.liste?corg=17819&csj_nr='
    # ======================================================================= #
    # === rf "Allgemeine Biologie IV"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Biologie(_|-| )?IV$/i
      'https://ufind.univie.ac.at/de/course.html?lv=891099&semester=2002S'
    # ======================================================================= #
    # === rf helge
    # ======================================================================= #
    when 'helge'
      'https://ufind.univie.ac.at/de/person.html?id=1996&teaching=true'
    # ======================================================================= #
    # === rf uniwien_informatik
    # ======================================================================= #
    when /^uniwien(_|-| )?informatik$/i
      'http://informatik.univie.ac.at'
    # ======================================================================= #
    # === rf meduni_scripts
    # ======================================================================= #
    when /^meduni(_|-| )?scripts$/i
      'http://www.meduniwien.ac.at/PhDPrograms/Medical_Propedeutics/Scripts.htm'
    # ======================================================================= #
    # === rf hai 
    # ======================================================================= #
    when 'hai'
      'http://www.meduniwien.ac.at/orgs/index.php?id=449'
    # ======================================================================= #
    # === rf meduni_kalendar
    # ======================================================================= #
    when /^meduni(_|-| )?kalendar$/i
      'https://campus.meduniwien.ac.at/med.campus/wbKalender.wbPerson?pDisplayMode=w&pDatum='
    # ======================================================================= #
    # === rf schmidbaur
    # ======================================================================= #
    when 'schmidbaur'
      'https://ufind.univie.ac.at/de/person.html?id=54794'
    # ======================================================================= #
    # === rf "Christa Hofmann"
    # ======================================================================= #
    when /^Christa(_|-| )?Hofmann$/i
      'https://ufind.univie.ac.at/de/person.html?id=9996&teaching=true'
    # ======================================================================= #
    # === rf holtzmann
    # ======================================================================= #
    when 'holtzmann',
         'holzmann'
      'https://campus.meduniwien.ac.at/med.campus/wblv.wbShowLvDetail?pStpSpNr=308198'
    # ======================================================================= #
    # === rf zimmermann
    # ======================================================================= #
    when 'zimmermann'
      'https://ufind.univie.ac.at/de/person.html?id=33692'
    # ======================================================================= #
    # === rf "Martin Neumann"
    # ======================================================================= #
    when /^Martin(_|-| )?Neumann$/i,
         'neumann'
      'https://ufind.univie.ac.at/de/person.html?id=3817&teaching=true'
    # ======================================================================= #
    # === rf mittermann
    # ======================================================================= #
    when 'mittermann'
      'https://ufind.univie.ac.at/de/person.html?id=82685&teaching=true'
    # ======================================================================= #
    # === rf georg_hoffmann
    # ======================================================================= #
    when 'hofman','hoffmann','hoffman','georg_hoffmann','georg_hoffman'
      'https://ufind.univie.ac.at/de/person.html?id=48645'
    # ======================================================================= #
    # === rf hagemann
    # ======================================================================= #
    when 'hagemann'
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=40FE3AE0A453C8EA&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Martina Römer"
    # ======================================================================= #
    when /^Martina(_|-| )?Römer$/i
      'https://ufind.univie.ac.at/en/person.html?id=23922'
    # ======================================================================= #
    # === rf 2019W
    # ======================================================================= #
    when /^2019W$/i,
         /^Vorlesungsverzeichnis(_|-| )?2019W$/i
      'https://ufind.univie.ac.at/de/vvz.html?semester=2019W'
    # ======================================================================= #
    # === rf 2018W
    # ======================================================================= #
    when /^2018W$/i,
         /^Vorlesungsverzeichnis(_|-| )?2018W$/i
      'https://ufind.univie.ac.at/de/vvz.html?semester=2018W'
    # ======================================================================= #
    # === rf 2019S
    # ======================================================================= #
    when /^2019S$/i,
         /^Vorlesungsverzeichnis(_|-| )?2019S$/i
      'https://ufind.univie.ac.at/de/vvz.html?semester=2019S'
    # ======================================================================= #
    # === rf meduni_bibliothek
    # ======================================================================= #
    when 'meduni_bibliothek',
         'medunibibliothek'
      'http://ub.meduniwien.ac.at/ueber-uns/oeffnungszeiten/'
    # ======================================================================= #
    # === rf "Regina Hitzenberger"
    # ======================================================================= #
    when /^Regina(_|-| )?Hitzenberger$/i,
         'hitzenberger'
      'https://ufind.univie.ac.at/de/person.html?id=2018&teaching=true'
    # ======================================================================= #
    # === rf vetmed_forum
    # ======================================================================= #
    when /^vetmed(_|-| )?forum$/i
      'http://way2vet.eu/phpbb3/viewforum.php?f=702'
    # ======================================================================= #
    # === rf "tierische systeme"
    # ======================================================================= #
    when /^tierische(_|-| )?systeme/,
         'tsysteme'
      'http://www.meduniwien.ac.at/user/wolfgang.mikulits/'
    # ======================================================================= #
    # === rf 618.500_Zellbiologisches_Großpraktikum
    #
    # Das heisst nun anders.
    # ======================================================================= #
    when '618.500_Zellbiologisches_Großpraktikum'
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=330993&pSpracheNr=' # 2019S
    # ======================================================================= #
    # === rf meduni_immunologie
    # ======================================================================= #
    when 'meduni_immunologie','meduniimmunologie'
      'https://campus.meduniwien.ac.at/med.campus/wblv.wbShowLvDetail?pStpSpNr=319753'
    # ======================================================================= #
    # === rf master_biologie
    # ======================================================================= #
    when /^master_?biologie$/,
         /^master_?bio$/,
         /^Masterstudium(_|-| )?Biologie(_|-| )?WS2017$/i,
         /biologie(_|-| )?master/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=203989' # 2018S
    # ======================================================================= #
    # === rf karagöz
    # ======================================================================= #
    when /^karagöz$/i
      'https://ufind.univie.ac.at/de/person.html?id=106468'
    # ======================================================================= #
    # === rf boku_english_einstufungstest
    # ======================================================================= #
    when 'boku_english_einstufungstest',
         'boku_einstufungstest'
      'http://www.boku.ac.at/international/themen/sprachkurse/einstufung/'
    # ======================================================================= #
    # === rf sedivy
    # ======================================================================= #
    when 'sedivy'
      'https://ufind.univie.ac.at/de/person.html?id=40379&teaching=true'
    # ======================================================================= #
    # === rf tropenmedizin
    # ======================================================================= #
    when 'tropenmedizin',
         'tropenmed'
      'http://www.meduniwien.ac.at/hp/tropenmedizin/lehre/'
    # ======================================================================= #
    # === rf "Christian Studenik"
    # ======================================================================= #
    when /^Christian(_|-| )?Studenik$/i,
         'studenik'
      'https://ufind.univie.ac.at/de/person.html?id=5589&teaching=true'
    # ======================================================================= #
    # === rf "Waheed Shabbir"
    # ======================================================================= #
    when /^Waheed(_|-| )?Shabbir$/i,
         'waheed'
      'https://ufind.univie.ac.at/de/person.html?id=33726&teaching=true'
    # ======================================================================= #
    # === rf "Andrew Calcino"
    # ======================================================================= #
    when /^Andrew(_|-| )?Calcino$/i,
         'andrew',
         'calcini',
         'calzini',
         'calcino'
      'https://ufind.univie.ac.at/de/person.html?id=59170&teaching=true'
    # ======================================================================= #
    # === rf katja
    # ======================================================================= #
    when /^katja$/i
      'https://ufind.univie.ac.at/de/person.html?id=64808&teaching=true'
    # ======================================================================= #
    # === rf "MOL.309UB Evolution"
    # ======================================================================= #
    when /^MOL\.?309UB(_|-| )?Evolution$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=526490' # 2018W
    # ======================================================================= #
    # === rf "MOL.505UB Molekulare Zellbiologie"
    # ======================================================================= #
    when /^MOL\.?505UB(_|-| )?Molekulare(_|-| )?Zellbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=525931' # 2018W
    # ======================================================================= #
    # === rf meduni_termine
    # ======================================================================= #
    when /^meduni(_|-| )?termine$/i
      'www.meduniwien.ac.at/homepage/content/studium-lehre/zulassung-administratives/termine-und-fristen/zulassungsfristen/'
    # ======================================================================= #
    # === rf garber
    # ======================================================================= #
    when /^garber$/i,
         /^Karin(_|-| )?Garber$/i
      'https://ufind.univie.ac.at/de/person.html?id=16605&teaching=true'
    # ======================================================================= #
    # === rf uniwien_bibliothek
    # ======================================================================= #
    when /^uniwien(_|-| )?bibliothek$/i
      'http://bibliothek.univie.ac.at/fb-biologie/wir_ueber_uns.html'
    # ======================================================================= #
    # === rf "Ines Swoboda"
    # ======================================================================= #
    when /^Ines(_|-| )?Swoboda$/i
      'https://ufind.univie.ac.at/de/person.html?id=9034&teaching=true'
    # ======================================================================= #
    # === rf valenta
    # ======================================================================= #
    when 'valenta'
      'https://ufind.univie.ac.at/de/person.html?id=5895&teaching=true'
    # ======================================================================= #
    # === rf lipp
    # ======================================================================= #
    when 'lipp'
      'https://ufind.univie.ac.at/de/person.html?id=13324&teaching=true'
    # ======================================================================= #
    # === rf "Agnes Reiner"
    # ======================================================================= #
    when /^Agnes(_|-| )?Reiner$/i,
         'agnes',
         'reiner'
      'https://ufind.univie.ac.at/de/person.html?id=101512&teaching=true'
    # ======================================================================= #
    # === rf rosenwirth
    # ======================================================================= #
    when /^rosenwirth$/
      'https://usse.cs.univie.ac.at/de/person.html?id=14955&teaching=true'
    # ======================================================================= #
    # === rf lorkovic
    # ======================================================================= #
    when /^lorkovic$/i
      'https://ufind.univie.ac.at/de/person.html?id=28655&teaching=true'
    # ======================================================================= #
    # === rf "universität_wien_bibliothek_öffnungszeiten"
    # ======================================================================= #
    when /universität_wien_bibliothek_öffnungszeiten$/i
      'http://bibliothek.univie.ac.at/oeffnungszeiten.html'
    # ======================================================================= #
    # === rf keine_mitbelegung
    # ======================================================================= #
    when /^keine(_|-| )?mitbelegung$/i
      'https://rewi.uni-graz.at/de/studieren/waehrend-des-studiums/anerkennungen-diplom-jus/sonstige-anerkennungen-oesterreich/mitbelegung/'
    # ======================================================================= #
    # === rf greilhuber
    # ======================================================================= #
    when 'greilhuber'
      'https://ufind.univie.ac.at/de/person.html?id=1559&teaching=true'
    # ======================================================================= #
    # === rf barth 
    # ======================================================================= #
    when /^barth$/i,
         /^Friedrich(_|-| )?Barth$/i
      'https://ufind.univie.ac.at/de/person.html?id=228&teaching=true'
    # ======================================================================= #
    # === rf ubrm_forum
    # ======================================================================= #
    when 'ubrm_forum','ubrmforum','forum10','forum_ubrm','ubrm',
         'wassermanagement','ubmforum','ubrmtforum',
         'ubrforum'
      'http://forum.ubrm.at/'
    # ======================================================================= #
    # === rf boku_organische_chemie
    # ======================================================================= #
    when 'boku_organische_chemie'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274913'
    # ======================================================================= #
    # === rf preusche
    # ======================================================================= #
    when 'preusche'
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=15D9C129C730F0C4&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Dieter Klein"
    # ======================================================================= #
    when /Dieter(_|-| )?Klein$/i
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=BCD75C55DAAE8C68&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Wissenschaft und Medizin"
    # ======================================================================= #
    when /^Wissenschaft(_|-| )?und(_|-| )?Medizin$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=320801'
    # ======================================================================= #
    # === rf "Methoden der Medizinischen Wissenschaft"
    # ======================================================================= #
    when /Methoden(_|-| )?der(_|-| )?Medizinischen(_|-| )?Wissenschaft$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=320301'
    # ======================================================================= #
    # === rf meduni_wien_studentenforum
    # ======================================================================= #
    when 'meduni_wien_studentenforum'
      'http://www.meduni.com/channels/oesterreich/wien/medforum.html'
    # ======================================================================= #
    # === rf prüfungskalender_humanmedizin
    # ======================================================================= #
    when 'prüfungskalender_humanmedizin'
      'https://www.meduniwien.ac.at/web/studierende/mein-studium/diplomstudium-humanmedizin/pruefungen-pruefungsergebnisse/pruefungskalender/'
    # ======================================================================= #
    # === rf c++_programmierung
    # ======================================================================= #
    when 'c++_programmierung','C++_programmierpraktikum'
      'https://ufind.univie.ac.at/de/course.html?lv=050022&semester=2016S'
    # ======================================================================= #
    # === rf "Exercises in molecular biology"
    # ======================================================================= #
    when /^BOKU(_|-| )?Exercises(_|-| )?in(_|-| )?molecular(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^941336(_|-| )?Exercises(_|-| )?in(_|-| )?molecular(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Exercises(_|-| )?in(_|-| )?molecular(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Exercises(_|-| )?in(_|-| )?molecular(_|-| )?biology$/i,
         'exercises',
         'exercises_in_molecular_biology_in_eng'
      #'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278762'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284696' # 2018W
    # ======================================================================= #
    # === rf claus
    # ======================================================================= #
    when 'claus'
      'https://ufind.univie.ac.at/de/person.html?id=674&teaching=true'
    # ======================================================================= #
    # === rf "Tim Causon"
    # ======================================================================= #
    when /^Tim(_|-| )?Causon$/i,
         /^Tim(_|-| )?Clauson$/i,
         /^Tim(_|-| )?Clausen$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=F55F47B2534D2F5B&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf clausen
    # ======================================================================= #
    when 'clausen'
      'https://ufind.univie.ac.at/de/person.html?id=86694&teaching=true'
    # ======================================================================= #
    # === rf grundlagen_der_edv 
    # ======================================================================= #
    when 'grundlagen_der_edv','grundlagenderedv'
      'https://ufind.univie.ac.at/de/course.html?lv=300111&semester=2016W'
    # ======================================================================= #
    # === rf polaschek 
    # ======================================================================= #
    when 'polaschek',
         /^martin(_|-| )?polaschek/
      'https://ufind.univie.ac.at/de/person.html?id=4236&teaching=true'
    # ======================================================================= #
    # === rf popp
    # ======================================================================= #
    when 'popp','marianne_popp','mariannepopp'
      'https://ufind.univie.ac.at/de/person.html?id=9381&teaching=true'
    # ======================================================================= #
    # === rf "Katja Zappe"
    # ======================================================================= #
    when /^Katja(_|-| )?Zappe$/,
         'zappe'
      'https://ufind.univie.ac.at/de/person.html?id=64808&teaching=true'
    # ======================================================================= #
    # === rf kratzl
    # ======================================================================= #
    when 'kratzl','martin_kratzl','martinkratzl'
      'https://ufind.univie.ac.at/de/person.html?id=2842'
    # ======================================================================= #
    # === rf bioinformatische_übungen
    # ======================================================================= #
    when 'bioinformatische_Übungen','bioinformatische_übungen',
         'boku_bioinformatische_übungen','bioinformatik_übung',
         'bioinfo_übung','bioinf_übung','bioinfübung',
         'bioinf_übungen','bioinfoübung','bioinfübun',
         /Bioinformatische(_|-| )?Übung/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282884' # 2017W
    # ======================================================================= #
    # === rf "Bojan Zagrovic"
    # ======================================================================= #
    when /^Bojan(_|-| )?Zagrovic$/i,
         /^Zagrovic$/i,
         'zag',
         'bojan'
      'https://ufind.univie.ac.at/de/person.html?id=40429&teaching=true'
    # ======================================================================= #
    # === rf "Allgemeine und Molekulare Genetik II"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Genetik(_|-| )?II$/i,
         /^301213(_|-| )?Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Genetik(_|-| )?II$/i,
         /^Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Genetik(_|-| )?Teil(_|-| )?II$/i,
         /^301213(_|-| )?Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Genetik(_|-| )?Teil(_|-| )?II$/i,
         'AMG2','amg2'
      'https://ufind.univie.ac.at/de/course.html?lv=301213&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf industrielle_organische_chemie
    # ======================================================================= #
    when /^industrielle(_|-| )?organische(_|-| )?chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270183&semester=2015W'
    # ======================================================================= #
    # === rf vorbesprechung1
    # ======================================================================= #
    when /^vorbesprechung1$/
      'https://ufind.univie.ac.at/de/course.html?lv=270045&semester=2019S'
    # ======================================================================= #
    # === rf "270045 Wahlfachpraktikum: Nukleinsäureanalytik"
    # ======================================================================= #
    when /^270045(_|-| )?Wahlfachpraktikum\:?(_|-| )?Nukleinsäureanalytik$/i,
         /^Wahlfachpraktikum\:?(_|-| )?Nukleinsäureanalytik$/i,
         '270045'
      'https://ufind.univie.ac.at/de/course.html?lv=270045&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf erweiterte_grundlagen_der_bioinformatik
    # ======================================================================= #
    when 'erweiterte_grundlagen_der_bioinformatik'
      'https://ufind.univie.ac.at/de/course.html?lv=050063&semester=2016W'
    # ======================================================================= #
    # === rf uniwien_studienverzeichnis
    # ======================================================================= #
    when 'uniwien_studienverzeichnis'
      'https://ufind.univie.ac.at/de/vvz.html'
    # ======================================================================= #
    # === rf preininger
    # ======================================================================= #
    when 'preininger'
      'https://www.researchgate.net/profile/Claudia_Preininger'
    # ======================================================================= #
    # === rf paulus
    # ======================================================================= #
    when 'paulus','hannes_paulus'
      'https://ufind.univie.ac.at/de/person.html?id=4015&teaching=true'
    # ======================================================================= #
    # === rf berit_hippe
    # ======================================================================= #
    when /^berit(_|-| )?hippe$/i,
         'hippe'
      'https://ufind.univie.ac.at/de/person.html?id=37630&teaching=true'
    # ======================================================================= #
    # === rf "Thomas Rattei"
    # ======================================================================= #
    when /^Thomas(_|-| )?Rattei$/i,
         'rattei','rattinger'
      'https://ufind.univie.ac.at/de/person.html?id=17116&teaching=true'
    # ======================================================================= #
    # === rf "DNA-Tumorviren, vom Krebsauslöser zum Therapeutikum"
    # ======================================================================= #
    when /^DNA(_|-| )?Tumorviren(_|-| |,)?(_|-| )?vom(_|-| )?Krebsauslöser(_|-| )?zum(_|-| )?Therapeutikum$/i,
         /^301407(_|-| )?DNA(_|-| )?Tumorviren(_|-| |,)?(_|-| )?vom(_|-| )?Krebsauslöser(_|-| )?zum(_|-| )?Therapeutikum$/i,
         /^300407(_|-| )?DNA(_|-| )?Tumorviren(_|-| |,)?(_|-| )?vom(_|-| )?Krebsauslöser(_|-| )?zum(_|-| )?Therapeutikum$/i,
         /^DNA(_|-| )?Tumorviren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301407&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf reikerstorfer
    # ======================================================================= #
    when 'reikerstorfer','reinke'
      'https://ufind.univie.ac.at/de/person.html?id=33711&teaching=true'
    # ======================================================================= #
    # === rf WZB
    # ======================================================================= #
    when 'WZB','wissenschaftliche_zusatzqualifikationen_für_biologinnen_und_biologen'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163744'
    # ======================================================================= #
    # === rf uniwien_grundlagen_der_chemie
    # ======================================================================= #
    when 'uniwien_grundlagen_der_chemie','grundlagenderchemie'
      'https://ufind.univie.ac.at/de/course.html?lv=330103&semester=2015W'
    # ======================================================================= #
    # === rf 2016W
    # ======================================================================= #
    when '2016W',
         'ufind_2016W','ufind2016W','neues_semester','aktuelles_semester'
      'https://ufind.univie.ac.at/de/vvz_sub.html?semester=2016W&path=163330'
    # ======================================================================= #
    # === rf "Pathogene Bakterien"
    # ======================================================================= #
    when /^Pathogene(_|-| )?Bakterien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301282&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300354 UE Molecular phylogenetics and phylogenomics"
    # ======================================================================= #
    when /^300354(_|-| )?UE(_|-| )?Molecular(_|-| )?phylogenetics(_|-| )?and(_|-| )?phylogenomics$/i,
         /^macromolecules(_|-| )?and(_|-| )?molecular(_|-| )?phylogeny(_|-| )?in(_|-| )?plant(_|-| )?systematics(_|-| )?and(_|-| )?evolution$/
      'https://ufind.univie.ac.at/de/course.html?lv=300354&semester=2018W'
    # ======================================================================= #
    # === rf spezielle_fachverbreiterung
    # ======================================================================= #
    when /^spezielle(_|-| )?fachverbreiterung$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=220279&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf kühleitner
    # ======================================================================= #
    when 'kühleitner'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=98F35EF8B0AAE9FF&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf technische_grundlagen_der_informatik
    # ======================================================================= #
    when 'technische_grundlagen_der_informatik'
      'https://ufind.univie.ac.at/de/vvz_sub.html?details=true&path=155618'
    # ======================================================================= #
    # === rf saukel
    # ======================================================================= #
    when 'saukel'
      'https://ufind.univie.ac.at/de/person.html?id=4775&teaching=true'
    # ======================================================================= #
    # === rf "Helmut Dolznig"
    # ======================================================================= #
    when /^Martin(_|-| )?Knöfler$/i,
         /^knöfler$/i
      'https://ufind.univie.ac.at/de/person.html?id=2656&teaching=true'
    # ======================================================================= #
    # === rf ufind
    # ======================================================================= #
    when 'ufind','ufind_new','ufind_search','ufind2'
      'http://ufind.univie.ac.at/de/index.html'
    # ======================================================================= #
    # === rf ws2018
    # ======================================================================= #
    when /^ws2018$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=211820'
    # ======================================================================= #
    # === rf 2018S
    # ======================================================================= #
    when '2018S'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=203733'
    # ======================================================================= #
    # === rf "Johannes Jäger"
    # ======================================================================= #
    when /^Johannes(_|-| )?Jäger$/i,
         /^Johannes(_|-| )?Jaeger$/i
      'https://ufind.univie.ac.at/de/person.html?id=61215&teaching=true'
    # ======================================================================= #
    # === rf "500050 Biochemie"
    # ======================================================================= #
    when /^500050(_|-| )?Biochemie$/i,
         /^vetmed(_|-| )?biochemie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56713' # 2018S
    # ======================================================================= #
    # === rf ÖH-Wahl-2019
    # ======================================================================= #
    when /^öh(_|-| )?wahl(_|-| )?2019$/i,
         /^öh(_|-| )?wahl$/i
      'https://derstandard.at/2000103991537/Das-Ergebnis-der-OeH-Wahl-2019'
    # ======================================================================= #
    # === rf "Erich Neuwirth"
    # ======================================================================= #
    when /^Erich(_|-| )?Neuwirth$/i,'neuwirth'
      'https://ufind.univie.ac.at/de/person.html?id=3836&teaching=true'
    # ======================================================================= #
    # === rf "Safety in the laboratory"
    # ======================================================================= #
    when /^Safety(_|-| )?in(_|-| )?the(_|-| )?laboratory$/i,
         /^300265(_|-| )?Safety(_|-| )?in(_|-| )?the(_|-| )?laboratory$/i,
         'safety'
      'https://ufind.univie.ac.at/de/course.html?lv=300265&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "791380 Engineering of biotechnological production facilities (in Eng.)"
    # ======================================================================= #
    when /^791380(_|-| )?Engineering(_|-| )?of(_|-| )?biotechnological(_|-| )?production(_|-| )?facilities(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283228'
    # ======================================================================= #
    # === rf öh_versicherung
    # ======================================================================= #
    when /^öh(_|-| )?versicherung$/
      'https://www.oeh.ac.at/service/oeh-versicherung'
    # ======================================================================= #
    # === rf "Pathophysiologie unimoodle"
    # ======================================================================= #
    when /^Pathophysiologie(_|-| )?unimoodle$/i
      'https://moodle.univie.ac.at/course/view.php?id=53310'
    # ======================================================================= #
    # === rf "Melati Avedis"
    # ======================================================================= #
    when /^Melati(_|-| )?Avedis$/
      'https://boku.ac.at/en/rali/iasc/personen/avedis-melati-sekretariat/'
    # ======================================================================= #
    # === rf bürstmayer
    # ======================================================================= #
    when 'bürstmayer','burstmayer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=8536A6D850487AB2&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf vetmed_plan
    # ======================================================================= #
    when /^vetmed(_|-| )?plan$/
      'https://www.vetmeduni.ac.at/fileadmin/_processed_/8/9/csm_Vetmeduni_LageplanA4_02-2019_d4e6b29055.png'
    # ======================================================================= #
    # === rf vetmed_öffnungszeiten
    # ======================================================================= #
    when 'vetmed_öffnungszeiten',
         'vetmed_studienabteilung'
      'https://www.vetmeduni.ac.at/studies/contact-persons/student-services/'
    # ======================================================================= #
    # === rf "Eva Ringler"
    # ======================================================================= #
    when /^Eva(_|-| )?Ringler$/i
      'https://ufind.univie.ac.at/de/person.html?id=31452&teaching=true'
    # ======================================================================= #
    # === rf "Andreas Richter"
    # ======================================================================= #
    when /^Andreas(_|-| )?Richter$/i
      'https://ufind.univie.ac.at/de/person.html?id=4584&teaching=true'
    # ======================================================================= #
    # === rf bachmair
    # ======================================================================= #
    when 'bachmair','bachmayer','bachmaier'
      'https://ufind.univie.ac.at/de/person.html?id=183&teaching=true'
    # ======================================================================= #
    # === rf peroxisomes_folien
    # ======================================================================= #
    when /^peroxisomes_?folien/
      'ftp://ftp.hifo.meduniwien.ac.at/SS%2016/'
    # ======================================================================= #
    # === rf "Mikrobiologie und Hygiene"
    # ======================================================================= #
    when /^330065(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Hygiene$/i,
         /^Mikrobiologie(_|-| )?und(_|-| )?Hygiene$/i,
         /^Mikrobiologie(_|-| )?Hygiene$/i,
         /Manafi(_|-| )?Mikrobiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330065&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biology of aging"
    # ======================================================================= #
    when /^Biology(_|-| )?of(_|-| )?aging$/i,
         /^Biology(_|-| )?of(_|-| )?aging(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Biology(_|-| )?of(_|-| )?aging\(?in(_|-| )?Eng\.?\)?$/i,
         /^791333(_|-| )?Biology(_|-| )?of(_|-| )?aging\(?in(_|-| )?Eng\.\)?$/i,
         /^791333(_|-| )?Biology(_|-| )?of(_|-| )?aging(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Biological(_|-| )?Aging$/i,
         'aging',
         'agin'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285349' # 2019S
    # ======================================================================= #
    # === rf doktorat_biologie
    # ======================================================================= #
    when /^doktorat(_|-| )?biologie$/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163358'
    # ======================================================================= #
    # === rf "Einführung in das molekulargenetische Labor"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?das(_|-| )?molekulargenetische(_|-| )?Labor$/i,
         /^500122(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?molekulargenetische(_|-| )?Labor$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=59032' # 2019S
    # ======================================================================= #
    # === rf "Eva Sevcsik"
    # ======================================================================= #
    when /^Eva(_|-| )?Sevcsik$/i,
         /^sevcsik$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/240778'
    # ======================================================================= #
    # === rf "Biologische Chemie II"
    # ======================================================================= #
    when /^Biologische(_|-| )?Chemie(_|-| )?II$/i,
         /^Biologische(_|-| )?Chemie(_|-| )?2$/i,
         /^270238(_|-| )?Biologische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270238&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf schober
    # ======================================================================= #
    when 'schober'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=138117'
    # ======================================================================= #
    # === meduni_toxikologie
    # ======================================================================= #
    when /^meduni(_|-| )?toxikologie$/i
      'http://www.meduniwien.ac.at/toxicology/php/index.php'
    # ======================================================================= #
    # === rf "270312 Toxikologie"
    # ======================================================================= #
    when /^270312(_|-| )?Toxikologie$/i,
         'toxicology','toxikologie'
      'https://ufind.univie.ac.at/de/course.html?lv=270312&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf grillari
    # ======================================================================= #
    when /^grillari$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=3FB7F47EC765D935&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf cherrier
    # ======================================================================= #
    when /^cherrier$/i
      'https://ufind.univie.ac.at/de/person.html?id=16881'
    # ======================================================================= #
    # === rf "300098 Anatomie und Gesundheitslehre des Menschen"
    # ======================================================================= #
    when /^300098(_|-| )?Anatomie(_|-| )?und(_|-| )?Gesundheitslehre(_|-| )?des(_|-| )?Menschen$/i,
         /^Anatomie(_|-| )?und(_|-| )?Gesundheitslehre(_|-| )?des(_|-| )?Menschen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300098&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf kirchengast
    # ======================================================================= #
    when 'kirchengast'
      'https://ufind.univie.ac.at/de/person.html?id=8355&teaching=true'
    # ======================================================================= #
    # === rf "300385 Die Frau in den Naturwissenschaften"
    # ======================================================================= #
    when /^300385(_|-| )?Die(_|-| )?Frau(_|-| )?in(_|-| )?den(_|-| )?Naturwissenschaften$/i,
         /^Die(_|-| )?Frau(_|-| )?in(_|-| )?den(_|-| )?Naturwissenschaften$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300385&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf bücker
    # ======================================================================= #
    when 'bücker'
      'https://ufind.univie.ac.at/de/person.html?id=59603&teaching=true'
    # ======================================================================= #
    # === rf "Roustan Valentin"
    # ======================================================================= #
    when /^Roustan(_|-| )?Valentin$/i
      'https://ufind.univie.ac.at/de/person.html?id=54110'
    # ======================================================================= #
    # === rf "Statistische Simulation und computerintensive Methoden"
    # ======================================================================= #
    when /^Statistische(_|-| )?Simulation(_|-| )?und(_|-| )?computerintensive(_|-| )?Methoden$/i,
         /^107\.?330(_|-| )?Statistische(_|-| )?Simulation(_|-| )?und(_|-| )?computerintensive(_|-| )?Methoden$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8628&dsrid=1&courseNr=107330&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "270044 Physik für das Lehramt Chemie"
    # ======================================================================= #
    when /^270044(_|-| )?Physik(_|-| )?für(_|-| )?das(_|-| )?Lehramt(_|-| )?Chemie$/i,
         /^Physik(_|-| )?für(_|-| )?das(_|-| )?Lehramt(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270044&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Molekularbiologie der RNA"
    # ======================================================================= #
    when /^Molekularbiologie(_|-| )?der(_|-| )?RNA$/i,
         /^301652(_|-| )?Molekularbiologie(_|-| )?der(_|-| )?RNA$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301652&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Jürg Schönenberger"
    # ======================================================================= #
    when /^Jürg(_|-| )?Schönenberger$/i
      'https://ufind.univie.ac.at/de/person.html?id=38874&teaching=true'
    # ======================================================================= #
    # === rf "Analytische Chemie 1 für Biologen"
    # ======================================================================= #
    when /^Analytische(_|-| )?Chemie(_|-| )?1(_|-| )?für(_|-| )?Biologen$/i,
         /^Analytische(_|-| )?Chemie(_|-| )?für(_|-| )?Biologen(_|-| )?1$/i,
         /^301619(_|-| )?Analytische(_|-| )?Chemie(_|-| )?1(_|-| )?für(_|-| )?Biologen$/i,
         /^Analytische(_|-| )?Chemie(_|-| )?1$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301619&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Bodenökologie"
    # ======================================================================= #
    when /^Bodenökologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300264&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Antibiotika im klinischen Einsatz"
    # ======================================================================= #
    when /^Antibiotika(_|-| )?im(_|-| )?klinischen(_|-| )?Einsatz(_|-| )?$/
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=322702'
    # ======================================================================= #
    # === rf "Einführung in die pharmazeutischen Wissenschaften"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?pharmazeutischen(_|-| )?Wissenschaften$/i,
         /^321001(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?pharmazeutischen(_|-| )?Wissenschaften$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321001&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine Toxikologie"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Toxikologie$/i,
         /^321019(_|-| )?Allgemeine(_|-| )?Toxikologie$/i,
         /^321019(_|-| )?Allgemeine(_|-| )?Toxikologie(_|-| )?(_|-| )?(_|-| )?B11$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=321019&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=321019&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Übungen zur Mikrobiologie"
    # ======================================================================= #
    when /^Übungen(_|-| )?zur(_|-| )?Mikrobiologie$/i,
         /^330089(_|-| )?Übungen(_|-| )?zur(_|-| )?Mikrobiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330089&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf rizzi
    # ======================================================================= #
    when 'rizzi'
      'https://ufind.univie.ac.at/de/person.html?id=4634&teaching=true'
    # ======================================================================= #
    # === rf "270011 Erstellen der Bachelorarbeit A"
    # ======================================================================= #
    when /^270011(_|-| )?Erstellen(_|-| )?der(_|-| )?Bachelorarbeit(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270011&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "791110 Industrial production of secondary metabolites and comparative biotechnology (in Eng.)"
    # ======================================================================= #
    when /^791110(_|-| )?Industrial(_|-| )?production(_|-| )?of(_|-| )?secondary(_|-| )?metabolites(_|-| )?and(_|-| )?comparative(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Industrial(_|-| )?production(_|-| )?of(_|-| )?secondary(_|-| )?metabolites(_|-| )?and(_|-| )?comparative(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Industrial(_|-| )?production(_|-| )?of(_|-| )?secondary(_|-| )?metabolites(_|-| )?and(_|-| )?comparative(_|-| )?biotechnology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285331' # 2018W
    # ======================================================================= #
    # === rf "The Human Microbiome"
    # ======================================================================= #
    when /^The(_|-| )?Human(_|-| )?Microbiome$/i,
         /^300115(_|-| )?The(_|-| )?Human(_|-| )?Microbiome$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300115&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "051021 Betriebssysteme"
    # ======================================================================= #
    when /^051022(_|-| )?Betriebssysteme$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051021&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "051022 Betriebssysteme"
    # ======================================================================= #
    when /^051022(_|-| )?Betriebssysteme$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051022&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf schmelz
    # ======================================================================= #
    when 'schmelz'
      'http://www.schmelzweb.at/'
    # ======================================================================= #
    # === rf "Grundlagen der Physiologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Physiologie$/i,
         /^350295(_|-| )?BB1II(_|-| )?(_|-| )?(_|-| )?Grundlagen(_|-| )?der(_|-| )?Physiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=350295&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf smekal
    # ======================================================================= #
    when 'smekal'
      'https://ufind.univie.ac.at/de/person.html?id=5323&teaching=true'
    # ======================================================================= #
    # === rf "Grundlagen der Physiologie: von Mikroorganismen zu Pflanzen und Tieren"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Physiologie:(_|-| )?von(_|-| )?Mikroorganismen(_|-| )?zu(_|-| )?Pflanzen(_|-| )?und(_|-| )?Tieren$/i,
         /^300185(_|-| )?Grundlagen(_|-| )?der(_|-| )?Physiologie:(_|-| )?von(_|-| )?Mikroorganismen(_|-| )?zu(_|-| )?Pflanzen(_|-| )?und(_|-| )?Tieren$/i,
         'grundlagen_der_physiologie:_von_mikroorganismen_zu_pflanzen_und_tieren'
      'https://ufind.univie.ac.at/de/course.html?lv=300185&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Fluoreszenzfärbung, Konfokalmikroskopie und computergestützte 3D-Rekonstruktion"
    # ======================================================================= #
    when /Fluoreszenzfärbung(_|-| |,)?(_|-| )?Konfokalmikroskopie(_|-| )?und(_|-| )?computergestützte(_|-| )?3D(_|-| )?Rekonstruktion$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300232&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Fluoreszenz in Situ Hybridisierung"
    # ======================================================================= #
    when /^Fluoreszenz(_|-| )?In(_|-| )?Situ(_|-| )?Hybridisierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300286&semester=2018W'
    # ======================================================================= #
    # === rf "BB3II - Immunologie und Sport"
    # ======================================================================= #
    when /^BB3II(_|-| )?(_|-| )?(_|-| )?Immunologie(_|-| )?und(_|-| )?Sport$/i,
         /^350256(_|-| )?BB3II(_|-| )?(_|-| )?(_|-| )?Immunologie(_|-| )?und(_|-| )?Sport$/i,
         /^Immunologie(_|-| )?und(_|-| )?Sport$/i
      'https://ufind.univie.ac.at/de/course.html?lv=350256&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Kulturgeschichte der Ernährung - Kulturgeschichte der Ernährung"
    # ======================================================================= #
    when /^Kulturgeschichte(_|-| )?der(_|-| )?Ernährung(_|-| )?(_|-| )?(_|-| )?Kulturgeschichte(_|-| )?der(_|-| )?Ernährung$/i,
         /^330022(_|-| )?Kulturgeschichte(_|-| )?der(_|-| )?Ernährung(_|-| )?(_|-| )?(_|-| )?Kulturgeschichte(_|-| )?der(_|-| )?Ernährung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330022&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Umweltethik (UBRM)"
    # ======================================================================= #
    when /^Umweltethik(_|-| )?\(?UBRM\)?$/i,
         /^818100(_|-| )?Umweltethik(_|-| )?\(?UBRM\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285975' # 2019S
    # ======================================================================= #
    # === rf "Grundlagen wissenschaftlichen Arbeitens, Bioethik und Medizinethik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?wissenschaftlichen(_|-| )?Arbeitens(_|-| |,)?(_|-| )?Bioethik(_|-| )?und(_|-| )?Medizinethik$/i,
         /^301540(_|-| )?Grundlagen(_|-| )?wissenschaftlichen(_|-| )?Arbeitens(_|-| |,)?(_|-| )?Bioethik(_|-| )?und(_|-| )?Medizinethik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301540&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "893119 Prozesstechnik I"
    # ======================================================================= #
    when /^893119(_|-| )?Prozesstechnik(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284648' # 2018W
    # ======================================================================= #
    # === rf "Biochemie II"
    # ======================================================================= #
    when /^Biochemie(_|-| )?II$/i,
         /^166\.?163(_|-| )?Biochemie(_|-| )?II$/i,
          /tu_?biochemie/i,'biochemie2','bem2',
         /^Biochemie(_|-| )?2$/i,
         'biochem2'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1545&dsrid=697&windowId=db0&courseNr=166163&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf Kowalski
    # ======================================================================= #
    when /^Kowalski$/i
      'https://ufind.univie.ac.at/de/person.html?id=2807&teaching=true'
    # ======================================================================= #
    # === rf tuwel1 
    # ======================================================================= #
    when 'tuwel1'
      'https://tuwel.tuwien.ac.at/course/view.php?id=13034' # 2019S
    # ======================================================================= #
    # === rf "Translation und Translationskontrolle bei Eukaryonten II"
    # ======================================================================= #
    when /^Translation(_|-| )?und(_|-| )?Translationskontrolle(_|-| )?bei(_|-| )?Eukaryonten(_|-| )?II$/i,
         /^301586(_|-| )?Translation(_|-| )?und(_|-| )?Translationskontrolle(_|-| )?bei(_|-| )?Eukaryonten(_|-| )?II$/i,
         /^Translationskontrolle(_|-| )?II$/,
         /^transconII$/i,
         'transcon2','transcon'
      'https://ufind.univie.ac.at/de/course.html?lv=301586&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "165.156 Physikalische Chemie I"
    # ======================================================================= #
    when /^165\.?156(_|-| )?Physikalische(_|-| )?Chemie I$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9038&dsrid=917&courseNr=165156&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Cell Factories"
    # ======================================================================= #
    when /^BOKU(_|-| )?Cell(_|-| )?Factories$/i,
         /^BOKU(_|-| )?Cell(_|-| )?Factories(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Cell(_|-| )?Factories$/i,
         /^Cell(_|-| )?Factories(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^791351(_|-| )?Cell(_|-| )?factories(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284781' # 2018W
    # ======================================================================= #
    # === rf "Structural Bioinformatics II"
    # ======================================================================= #
    when /^Structural(_|-| )?Bioinformatics(_|-| )?II$/i,
         /^301186(_|-| )?Structural(_|-| )?Bioinformatics(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301186&semester=2019S' # 2019S 
    # ======================================================================= #
    # === rf paun
    # ======================================================================= #
    when 'paun',/Ovidiu ?Paun/i,'ovidiu'
      'https://ufind.univie.ac.at/de/person.html?id=84010&teaching=true'
    # ======================================================================= #
    # === rf "Synthetic biology (in Eng.)"
    # ======================================================================= #
    when /^Synthetic(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^804310(_|-| )?Synthetic(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         'synthetic_biology_in_eng',
         /^Synthetic(_|-| )?Biology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284316' # 2019S
    # ======================================================================= #
    # === rf linert
    # ======================================================================= #
    when 'linert'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/156813'
    # ======================================================================= #
    # === rf "Diätetik"
    # ======================================================================= #
    when /^Diätetik$/i,
         /^321022(_|-| )?Diätetik(_|-| )?(_|-| )?(_|-| )?B11$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321022&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Einführung in die Evolutionsgenetik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Evolutionsgenetik$/i,
         /^300329(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Evolutionsgenetik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300329&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf zafiu
    # ======================================================================= #
    when /^zafiu$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=E95788226A56C8EB&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf Cellbiology
    # ======================================================================= #
    when /^Cellbiology?$/i,
         /^Cellbiology(_|-| )?1?$/i,
         /^Cellbiology(_|-| )?I?$/i,
         /^Cell(_|-| )?Biology$/i,
         /^Cell(_|-| )?Biology(_|-| )?1$/i,
         /^Cell(_|-| )?Biology(_|-| )?I$/i,
         /^301037(_|-| )?Cell(_|-| )?Biology/i,
         'cell_biology','dammermann_cell_biology'
      'https://ufind.univie.ac.at/de/course.html?lv=301037&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Cell biology (in Eng.)"
    # ======================================================================= #
    when /^Cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^BOKU(_|-| )?Cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277931'
    # ======================================================================= #
    # === rf "301038 Cell Biology II"
    # ======================================================================= #
    when /^301038(_|-| )?Cell(_|-| )?Biology(_|-| )?II$/i,
         /^Cell(_|-| )?Biology(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301038&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "322070 Zellkulturen als Modelle in der pharmazeutisch-technologischen Analytik - Grundlagen - M7/M14"
    # ======================================================================= #
    when /^322070(_|-| )?Zellkulturen(_|-| )?als(_|-| )?Modelle(_|-| )?in(_|-| )?der(_|-| )?pharmazeutisch(_|-| )?technologischen(_|-| )?Analytik(_|-| )?(_|-| )?(_|-| )?Grundlagen(_|-| )?(_|-| )?(_|-| )?M7\/?M14$/i,
         /^Zellkulturen(_|-| )?als(_|-| )?Modelle(_|-| )?in(_|-| )?der(_|-| )?pharmazeutisch(_|-| )?technologischen(_|-| )?Analytik(_|-| )?(_|-| )?(_|-| )?Grundlagen(_|-| )?(_|-| )?(_|-| )?M7\/?M14$/i,
         /^322070(_|-| )?Zellkulturen(_|-| )?als(_|-| )?Modelle(_|-| )?in(_|-| )?der(_|-| )?pharmazeutisch(_|-| )?technologischen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322070&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Übungen zu Mathematik für Molekulare Biologen"
    # ======================================================================= #
    when /^Übungen(_|-| )?zu(_|-| )?Mathematik(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i,
         /^301629(_|-| )?Übungen(_|-| )?zu(_|-| )?Mathematik(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301629&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Theoretische Informatik"
    # ======================================================================= #
    when /^Theoretische(_|-| )?Informatik$/i,
         /^051013(_|-| )?Theoretische(_|-| )?Informatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051013&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf rath 
    # ======================================================================= #
    when 'rath'
      'https://ufind.univie.ac.at/de/person.html?id=9786&teaching=true'
    # ======================================================================= #
    # === rf "Bodenkunde (AW)"
    # ======================================================================= #
    when /^Bodenkunde(_|-| )?\(?AW\)?/i,
         /^911102(_|-| )?Bodenkunde(_|-| )?\(?AW\)?$/i,
         'bodenkunde_online','bodenkunde2',
         'bodenkunde',
         'bodenkunde_aw'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285737' # 2019S
    # ======================================================================= #
    # === rf "Methoden in der Zellbiologie"
    # ======================================================================= #
    when /^Methoden(_|-| )?in(_|-| )?der(_|-| )?Zellbiologie$/i,
         /^301417(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Zellbiologie$/i,
         'methoden'
      'https://ufind.univie.ac.at/de/course.html?lv=301417&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf funktionelle_anatomie_und_biologie_des_menschen
    # ======================================================================= #
    when 'funktionelle_anatomie_und_biologie_des_menschen',
         'funktionelleanatomieundbiologiedesmenschen'
      'https://ufind.univie.ac.at/de/course.html?lv=300460&semester=2016W'
    # ======================================================================= #
    # === rf vorlesungsverzeichnis_chemie
    # ======================================================================= #
    when /^vorlesungsverzeichnis(_|-| )?chemie/
      'http://ufind.univie.ac.at/de/vvz_sub.html?semester=2016S&path=154253|159027|159191'
    # ======================================================================= #
    # === rf "733118 Umweltmanagementsysteme"
    # ======================================================================= #
    when /^733118(_|-| )?Umweltmanagementsysteme$/i,
         /^Umweltmanagementsysteme$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284031' # 2019S
    # ======================================================================= #
    # === rf sabine_meier
    # ======================================================================= #
    when 'sabine_meier','sabinemeier','meier'
      'https://ufind.univie.ac.at/de/person.html?id=30254&teaching=true'
    # ======================================================================= #
    # === rf vetschera
    # ======================================================================= #
    when 'vetschera','karin_vetschera'
      'https://ufind.univie.ac.at/de/person.html?id=5930&teaching=true'
    # ======================================================================= #
    # === rf peduzzi
    # ======================================================================= #
    when 'peduzzi'
      'https://ufind.univie.ac.at/de/person.html?id=4032&teaching=true'
    # ======================================================================= #
    # === rf "Ökophysiologie"
    # ======================================================================= #
    when /^Ökophysiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300495&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf zanghellini
    # ======================================================================= #
    when /^zanghellini$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=8CAC00A9DB828078&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Einführung in die Biotechnologie und Bioverfahrenstechnik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Bioverfahrenstechnik$/i,
         /^166.212(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Bioverfahrenstechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5403&dsrid=308&courseNr=166212&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "TU Theoretische Informatik"
    # ======================================================================= #
    when /^TU(_|-| )?Theoretische(_|-| )?Informatik$/i,
         /^108\.?036(_|-| )?Theoretische(_|-| )?Informatik$/i,
         'tutheoinf'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4000&dsrid=696&courseNr=108036&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Advanced Biochemical and Biophysical Methods"
    # ======================================================================= #
    when /^Advanced(_|-| )?Biochemical(_|-| )?and(_|-| )?Biophysical(_|-| )?Methods$/i,
         /^301234(_|-| )?Advanced(_|-| )?Biochemical(_|-| )?and(_|-| )?Biophysical(_|-| )?Methods$/i,
         /^Advanced(_|-| )?Biochemical(_|-| )?Methods$/i,
         /^Biochemical(_|-| )?and(_|-| )?biophysical(_|-| )?characterization(_|-| )?and(_|-| )?validation(_|-| )?approaches$/i,
         'biophysical'
      'https://ufind.univie.ac.at/de/course.html?lv=301234&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Obst- und Weinbau"
    # ======================================================================= #
    when /^Obst(_|-| )?(_|-| )?und(_|-| )?Weinbau$/i,
         /^958118(_|-| )?Obst(_|-| )?(_|-| )?und(_|-| )?Weinbau$/i,
         'obstbau',
         'weinbau'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283865' # 2019S
    # ======================================================================= #
    # === rf grünlandbewirtschaftung
    # ======================================================================= #
    when /^grünlandbewirtschaftung$/i,
         /^951107(_|-| )?Grünlandbewirtschaftung$/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284238' # 2018W
    # ======================================================================= #
    # === rf "Geologie Aufzeichnungen"
    # ======================================================================= #
    when /^Geologie(_|-| )?Aufzeichnungen$/i
      'https://learn.boku.ac.at/course/view.php?id=18156'
    # ======================================================================= #
    # === rf "Grundlagen der industriellen Biotechnologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?industriellen(_|-| )?Biotechnologie$/i,   
         /^500165(_|-| )?Grundlagen(_|-| )?der(_|-| )?industriellen(_|-| )?Biotechnologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58827' # 2019S
    # ======================================================================= #
    # === rf "901.603 Propedeutics: Methods of Life Sciences - SS 2019"
    # ======================================================================= #
    when /^901\.?603(_|-| )?Propedeutics\:?(_|-| )?Methods(_|-| )?of(_|-| )?Life(_|-| )?Sciences(_|-| )?(_|-| )?(_|-| )?SS(_|-| )?2019$/i,
         /^901\.?603(_|-| )?Propedeutics\:?(_|-| )?Methods(_|-| )?of(_|-| )?Life(_|-| )?Sciences$/i,
         /^Propedeutics\:?(_|-| )?Methods(_|-| )?of(_|-| )?Life(_|-| )?Sciences$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=330697' # 2019S
    # ======================================================================= #
    # === rf freissmuth
    # ======================================================================= #
    when 'freissmuth'
      'https://ufind.univie.ac.at/de/person.html?id=1227&teaching=true'    
    # ======================================================================= #
    # === rf moll
    # ======================================================================= #
    when 'moll','isabella_moll','isabellamoll'
      'https://ufind.univie.ac.at/de/person.html?id=18345&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Humanökologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Humanökologie$/i,
         /^300426(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Humanökologie$/i,
         /^Humanökologie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300426&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300420 Ethische Aspekte des Natur- und Artenschutzes"
    # ======================================================================= #
    when /^300420(_|-| )?Ethische(_|-| )?Aspekte(_|-| )?des(_|-| )?Natur(_|-| )?(_|-| )?und(_|-| )?Artenschutzes$/i,
         /^Ethische(_|-| )?Aspekte(_|-| )?des(_|-| )?Natur(_|-| )?(_|-| )?und(_|-| )?Artenschutzes$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300420&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Natur- und Landschaftsschutz"
    # ======================================================================= #
    when /^Natur(_|-| )?(_|-| )?und(_|-| )?Landschaftsschutz$/i,
         /^300341(_|-| )?Natur(_|-| )?(_|-| )?und(_|-| )?Landschaftsschutz$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300341&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Doris Nagel"
    # ======================================================================= #
    when /^Doris(_|-| )?Nagel$/i
      'https://ufind.univie.ac.at/de/person.html?id=3748&teaching=true'
    # ======================================================================= #
    # === rf "300329 Biogeochemistry of the Ocean"
    # ======================================================================= #
    when /^300329(_|-| )?Biogeochemistry(_|-| )?of(_|-| )?the(_|-| )?Ocean$/i,
         /^Biogeochemistry(_|-| )?of(_|-| )?the(_|-| )?Ocean$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300329&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Uniwien Nanotechnologie"
    # ======================================================================= #
    when /^Uniwien(_|-| )?Nanotechnologie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=220880'
    # ======================================================================= #
    # === rf "Chemie für PhysikerInnen - Teil B (Organische Chemie)"
    #
    # This lecture appears to have been abandoned in 2017 by the university.
    # ======================================================================= #
    when /^Chemie(_|-| )?für(_|-| )?PhysikerInnen(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?B(_|-| )?\(?Organische(_|-| )?Chemie\)?$/i,
         /^260131(_|-| )?Chemie(_|-| )?für(_|-| )?PhysikerInnen(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?B(_|-| )?\(?Organische(_|-| )?Chemie\)?$/i,
         /^Chemie(_|-| )?für(_|-| )?PhysikerInnen(_|-| )?Organische(_|-| )?Chemie$/i,
         /^Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Physiker$/i
      'https://ufind.univie.ac.at/de/course.html?lv=260131&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf heinz
    # ======================================================================= #
    when 'heinz',/^Franz(_|-| )?Xaver(_|-| )?Heinz$/i
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=E8762A312A20D24E&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Karlheinz Hilber"
    # ======================================================================= #
    when /^Karlheinz(_|-| )?Hilber$/i,'hilber'
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=76522E56B1C6AF99&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Thomas Decker"
    # ======================================================================= #
    when /^Thomas(_|-| )?Decker$/i,'decker'
      'https://ufind.univie.ac.at/de/person.html?id=12543&teaching=true'
    # ======================================================================= #
    # === kowol
    # ======================================================================= #
    when 'kowol'
      'https://ufind.univie.ac.at/de/person.html?id=87363&teaching=true'
    # ======================================================================= #
    # === timischl
    # ======================================================================= #
    when 'timischl'
      'https://ufind.univie.ac.at/de/person.html?id=9957&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Kohlenhydratchemie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Kohlenhydratchemie$/i,
         /^270143(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Kohlenhydratchemie$/i,
         /^270071(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Kohlenhydratchemie$/i,
         'zucker','kohlenhydrate','kohlenhydratchemie'
      'https://ufind.univie.ac.at/de/course.html?lv=270071&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Semisynthese von Proteinen"
    # ======================================================================= #
    when /^Semisynthese(_|-| )?von(_|-| )?Proteinen$/i,
         /^270025(_|-| )?Semisynthese(_|-| )?von(_|-| )?Proteinen$/i,
         /^270028(_|-| )?Semisynthese(_|-| )?von(_|-| )?Proteinen$/i,
         /^Semisynthese(_|-| )?der(_|-| )?Proteine$/i,
         'semisynthese','semi'
      'https://ufind.univie.ac.at/de/course.html?lv=270025&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Grundlagen der Stammzelltechnologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Stammzelltechnologie$/i,
         /^166.218(_|-| )?Grundlagen(_|-| )?der(_|-| )?Stammzelltechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7078&dsrid=54&courseNr=166218&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Rudolf Frühwirth"
    # ======================================================================= #
    when /^Rudolf(_|-| )?Frühwirth$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1137097'
    # ======================================================================= #
    # === rf "301047 Prozesse und Methoden in der Life Science Industrie"
    # ======================================================================= #
    when /^301047(_|-| )?Prozesse(_|-| )?und(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Life(_|-| )?Science(_|-| )?Industrie$/i,
         /^Prozesse(_|-| )?und(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Life(_|-| )?Science(_|-| )?Industrie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301047&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Erika Staudacher"
    # ======================================================================= #
    when /^Erika(_|-| )?Staudacher$/i,
         'staudacher','staudinger'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=4183A2932D78AA31&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Grundlagen der Biotechnologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Biotechnologie$/i,
         /^500146(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biotechnologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=59047' # 2019S
    # ======================================================================= #
    # === rf ernährungspsychologie
    # ======================================================================= #
    when 'ernährungspsychologie',
         /^754351(_|-| )?Ernährungspsychologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284347' # 2018W
    # ======================================================================= #
    # === rf "736133 Umweltrecht"
    # ======================================================================= #
    when /^736133(_|-| )?Umweltrecht$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285477' # 2018W
    # ======================================================================= #
    # === rf "912121 Standortkunde I"
    # ======================================================================= #
    when /^912121(_|-| )?Standortkunde(_|-| )?I$/i,
         /^Standortkunde(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285769' # 2018W
    # ======================================================================= #
    # === rf "912117 Standortkunde II"
    # ======================================================================= #
    when /^912117(_|-| )?Standortkunde(_|-| )?II$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285768' # 2019S
    # ======================================================================= #
    # === rf "Zellkulturen als Modelle in der pharmazeutisch-technologischen Analytik - Grundlagen"
    # ======================================================================= #
    when /^Zellkulturen(_|-| )?als(_|-| )?Modelle(_|-| )?in(_|-| )?der(_|-| )?pharmazeutisch(_|-| )?technologischen(_|-| )?Analytik(_|-| )?(_|-| )?(_|-| )?Grundlagen$/i,
         /^Zellkulturen(_|-| )?als(_|-| )?Modelle(_|-| )?in(_|-| )?der(_|-| )?pharmazeutisch(_|-| )?technologischen(_|-| )?Analytik(_|-| )?(_|-| )?(_|-| )?$/i,
         /^322070(_|-| )?Zellkulturen(_|-| )?als(_|-| )?Modelle(_|-| )?in(_|-| )?der(_|-| )?pharmazeutisch(_|-| )?technologischen(_|-| )?Analytik(_|-| )?(_|-| )?(_|-| )?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322070&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "322053 Anwendung neuerer spektroskopischer Techniken in der Pharmazeutischen Chemie - M14"
    # ======================================================================= #
    when /^322053(_|-| )?Anwendung(_|-| )?neuerer(_|-| )?spektroskopischer(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Pharmazeutischen(_|-| )?Chemie(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Anwendung(_|-| )?neuerer(_|-| )?spektroskopischer(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Pharmazeutischen(_|-| )?Chemie(_|-| )?(_|-| )?(_|-| )?M14$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322053&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Immunobiology and Vascular Diseases"
    # ======================================================================= #
    when /^791363(_|-| )?Immunobiology(_|-| )?and(_|-| )?vascular(_|-| )?diseases(_|-| )?in(_|-| )?Eng$/i,
         /^Immunobiology(_|-| )?and(_|-| )?Vascular(_|-| )?Diseases$/i,
         /^Immunobiology(_|-| )?and(_|-| )?Vascular(_|-| )?Diseases(_|-| )?\(?in(_|-| )?Eng.\)?$/i,
         /^791363(_|-| )?Immunobiology(_|-| )?and(_|-| )?Vascular(_|-| )?Diseases(_|-| )?\(?in(_|-| )?Eng.\)?$/i,
         'boku_immunobiology',
         'immunobiology',
         'immunobiology_diseases'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284328' # 2019S
    # ======================================================================= #
    # === rf "051021 Betriebssysteme"
    # ======================================================================= #
    when /^051021(_|-| )?Betriebssysteme$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051021&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "051061 Informationssicherheit"
    # ======================================================================= #
    when /^051061(_|-| )?Informationssicherheit$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051061&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "051121 Mathematische Grundlagen der Informatik 2"
    # ======================================================================= #
    when /^051121(_|-| )?Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?2$/i,
         /^Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051121&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "051032 VU Grundlagen der Intelligenten Systeme"
    # ======================================================================= #
    when /^051032(_|-| )?VU(_|-| )?Grundlagen(_|-| )?der(_|-| )?Intelligenten(_|-| )?Systeme$/i,
         /^051032(_|-| )?Grundlagen(_|-| )?der(_|-| )?Intelligenten(_|-| )?Systeme$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Intelligenten(_|-| )?Systeme$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051032&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Pharmazeutisches Imaging"
    # ======================================================================= #
    when /^Pharmazeutisches(_|-| )?Imaging$/i,
         /^321026(_|-| )?Pharmazeutisches(_|-| )?Imaging(_|-| )?(_|-| )?(_|-| )?B13$/i,
         /^Pharmazeutisches(_|-| )?Imaging(_|-| )?(_|-| )?(_|-| )?B13$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321026&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf live_imaging
    # ======================================================================= #
    when 'live_imaging',
         /^Live(_|-| )?Imaging(_|-| )?Course/i, # Live Imaging
         /^301272(_|-| )?Live(_|-| )?Imaging(_|-| )?Course/i
       'https://ufind.univie.ac.at/de/course.html?lv=301272&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "301350 Quantitative Methoden in der Molekularbiologie"
    # ======================================================================= #
    when /^301350(_|-| )?Quantitative(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie$/i,
         /^Quantitative(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie$/i,
         /^Quantitative(_|-| )?Methoden(_|-| )?der(_|-| )?Molekularbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301350&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "270164 Bioinformatische Auswertungsstrategien"
    # ======================================================================= #
    when /^270164(_|-| )?Bioinformatische(_|-| )?Auswertungsstrategien$/i,
         /^Bioinformatische(_|-| )?Auswertungsstrategien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270164&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "051130 Einführende Statistik"
    # ======================================================================= #
    when /^051130(_|-| )?Einführende(_|-| )?Statistik$/i,
         /^Einführende(_|-| )?Statistik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051130&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Elektrophoretische und Chromatographische Trennmethoden"
    # ======================================================================= #
    when /^270111(_|-| )?Elektrophoretische(_|-| )?und(_|-| )?Chromatographische(_|-| )?Trennmethoden$/i,
         /^Elektrophoretische(_|-| )?und(_|-| )?Chromatographische(_|-| )?Trennmethoden$/i,
         'electrophoresis', # === rf electrophoresis
         'elektrophorese','electrophorese',
         /^Gelelektrophorese$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270111&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "853109 Natur- und Landschaftsschutz - Grundlagen und Instrumente"
    # ======================================================================= #
    when /^853109(_|-| )?Natur(_|-| )?(_|-| )?und(_|-| )?Landschaftsschutz(_|-| )?(_|-| )?(_|-| )?Grundlagen(_|-| )?und(_|-| )?Instrumente$/i,
         /^Natur(_|-| )?(_|-| )?und(_|-| )?Landschaftsschutz(_|-| )?(_|-| )?(_|-| )?Grundlagen(_|-| )?und(_|-| )?Instrumente$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285085' # 2019S
    # ======================================================================= #
    # === rf "Recht für Biotechnologen"
    # ======================================================================= #
    when /^Recht(_|-| )?für(_|-| )?Biotechnologen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285481' # 2019S
    # ======================================================================= #
    # === rf "Fortgeschrittene objektorientierte Programmierung"
    # ======================================================================= #
    when /^Fortgeschrittene(_|-| )?objektorientierte(_|-| )?Programmierung$/i,
         /^185.211(_|-| )?Fortgeschrittene(_|-| )?objektorientierte(_|-| )?Programmierung$/i,
         /^Fortgeschrittene(_|-| )?OOP(_|-| )?Themen$/i,
         /^fortg?eschrittene(_|-| )?programmierung$/i,
         /^OOP$/,'oop'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8453&dsrid=758&courseNr=185211&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Zellbiologische Übungen"
    # ======================================================================= #
    when /^Zellbiologische(_|-| )?Übungen$/i,
         /^941108(_|-| )?Zellbiologische(_|-| )?Übungen$/i,
         /^BOKU(_|-| )?941108(_|-| )?Zellbiologische(_|-| )?Übungen$/i,
         /^zellbio(_|-| )?übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283926' # 2019S
    # ======================================================================= #
    # === rf "Übung II - Biochemie"
    # ======================================================================= #
    when /^Übung(_|-| )?II(_|-| )?(_|-| )?(_|-| )?Biochemie$/i,
         /^301135(_|-| )?Übung(_|-| )?II(_|-| )?(_|-| )?(_|-| )?Biochemie$/i,
         /^Übung(_|-| )?II$/i,'übung_ii_b',
         /^Biochem(_|-| )?Übung$/i,
         /^Übung(_|-| )?Biochemie$/i,
         /^UE(_|-| )?II(_|-| )?Biochemie$/,
         /^Übung(_|-| )?IIB$/i,
         /^Biochemie(_|-| )?Übung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301135&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "166.648 Biologie und Genetik in dustrieller Mikroorganismen"
    # ======================================================================= #
    when /^166.648(_|-| )?Biologie(_|-| )?und(_|-| )?Genetik(_|-| )?in(_|-| )?dustrieller(_|-| )?Mikroorganismen$/i,
         /^Biologie(_|-| )?und(_|-| )?Genetik(_|-| )?in(_|-| )?dustrieller(_|-| )?Mikroorganismen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4757&dsrid=732&courseNr=166648&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Statistik für PharmazeutInnen"
    # ======================================================================= #
    when /^Statistik(_|-| )?für(_|-| )?PharmazeutInnen$/i,
         /^321007(_|-| )?Statistik(_|-| )?für(_|-| )?PharmazeutInnen$/i,
         /^Statistik(_|-| )?für(_|-| )?Pharmazeuten$/i,
         /^Statistik(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?BA7(_|-| )?(_|-| )?(_|-| )?B3$/i,
         /^321007(_|-| )?Statistik(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?BA7(_|-| )?(_|-| )?(_|-| )?B3$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321007&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biochemische und vertiefende pharmazeutisch-chemische Arbeitstechniken"
    # ======================================================================= #
    when /^Biochemische(_|-| )?und(_|-| )?vertiefende(_|-| )?pharmazeutisch-chemische(_|-| )?Arbeitstechniken$/i,
         /^Biochemische(_|-| )?und(_|-| )?vertiefende(_|-| )?pharmazeutisch-chemische(_|-| )?Arbeitstechniken(_|-| )?(_|-| )?(_|-| )?B17$/i,
         /^321031(_|-| )?Biochemische(_|-| )?und(_|-| )?vertiefende(_|-| )?pharmazeutisch-chemische(_|-| )?Arbeitstechniken(_|-| )?(_|-| )?(_|-| )?B17$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321031&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf naturschutzbiologie
    # ======================================================================= #
    when 'naturschutzbiologie'
      'https://ufind.univie.ac.at/de/course.html?lv=300367&semester=2018W'
    # ======================================================================= #
    # === rf "Practical course in plant biotechnology (in Eng.)"
    # ======================================================================= #
    when /^Practical(_|-| )?course(_|-| )?in(_|-| )?plant(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^791327(_|-| )?Practical(_|-| )?course(_|-| )?in(_|-| )?plant(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285333' # 2019S
    # ======================================================================= #
    # === rf "Grundlagen zum universitären Arbeiten"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?zum(_|-| )?universitären(_|-| )?Arbeiten$/i,
         /^850106(_|-| )?Grundlagen(_|-| )?zum(_|-| )?universitären(_|-| )?Arbeiten$/i,
         /^universitäres(_|-| )?arbeiten$/i
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286163' # 2018W
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286162' # 2019S
    # ======================================================================= #
    # === rf "Kinetics of biochemical reactions"
    # ======================================================================= #
    when /^Kinetics(_|-| )?of(_|-| )?biochemical(_|-| )?reactions$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285308' # 2019S
    # ======================================================================= #
    # === rf hammerschmidt
    # ======================================================================= #
    when /^hammerschmidt$/i
      'https://ufind.univie.ac.at/de/person.html?id=1795&teaching=true'
    # ======================================================================= #
    # === rf pallitsch
    # ======================================================================= #
    when 'pallitsch'
      'https://ufind.univie.ac.at/de/person.html?id=44235&teaching=true'
    # ======================================================================= #
    # === rf "Practical course in plant biotechnology"
    # ======================================================================= #
    when /^Practical(_|-| )?course(_|-| )?in(_|-| )?plant(_|-| )?biotechnology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285333' # 2019S
    # ======================================================================= #
    # === rf "166.605 Biopharmazeutische Prozesstechnologie"
    # ======================================================================= #
    when /^166\.?605(_|-| )?Biopharmazeutische(_|-| )?Prozesstechnologie$/i,
         /^Biopharmazeutische(_|-| )?Prozesstechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4866&dsrid=674&courseNr=166605&semester=2019S'
    # ======================================================================= #
    # === rf "Preclinical studies"
    # ======================================================================= #
    when /^Preclinical(_|-| )?studies$/i,
         /^Preclinical(_|-| )?studies(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791364(_|-| )?Preclinical(_|-| )?studies(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284329' # 2019S
    # ======================================================================= #
    # === rf patzl
    # ======================================================================= #
    when 'patzl'
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=1E7B6517C5253267&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Hygiene, Mikrobiologie und Infektiologie"
    # ======================================================================= #
    when /^Hygiene(_|-| |,)?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Infektiologie(_|-| )?(_|-| )?(_|-| )?B14$/i,
         /^321027(_|-| )?Hygiene(_|-| |,)?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Infektiologie(_|-| )?(_|-| )?(_|-| )?B14$/i,
         /^Hygiene(_|-| |,)?(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Infektiologie$/i,
         /^hygiene(_|-| )?pharmazie/i,
         /^Pharmazie(_|-| )?Hygiene$/i,
         /^321027(_|-| )?Hygiene(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Infektiologie$/i,
         'hygiene2'
      'https://ufind.univie.ac.at/de/course.html?lv=321027&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Advanced light and chemical microscopy in life science"
    # ======================================================================= #
    when /^Advanced(_|-| )?light(_|-| )?and(_|-| )?chemical(_|-| )?microscopy(_|-| )?in(_|-| )?life(_|-| )?science$/i,
         /^Advanced(_|-| )?light(_|-| )?and(_|-| )?chemical(_|-| )?microscopy(_|-| )?in(_|-| )?life(_|-| )?science(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791014(_|-| )?Advanced(_|-| )?light(_|-| )?and(_|-| )?chemical(_|-| )?microscopy(_|-| )?in(_|-| )?life(_|-| )?science(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283821' # 2018W
    # ======================================================================= #
    # === rf "791430 3D cell culture (in Eng.)"
    # ======================================================================= #
    when /^791430(_|-| )?3D(_|-| )?cell(_|-| )?culture(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^3D(_|-| )?cell(_|-| )?culture(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^3D(_|-| )?cell(_|-| )?culture$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284694' # 2019S
    # ======================================================================= #
    # === rf Primatologie
    # ======================================================================= #
    when /^Primatologie$/i,
         /^300227(_|-| )?Primatologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300227&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Live-cell microarray & Organ-on-a-chip Technologien"
    # ======================================================================= #
    when /^Live(_|-| )?cell(_|-| )?microarray(_|-| )?&(_|-| )?Organ(_|-| )?on(_|-| )?a(_|-| )?chip(_|-| )?Technologien$/i,
         /^163.179(_|-| )?Live(_|-| )?cell(_|-| )?microarray(_|-| )?&(_|-| )?Organ(_|-| )?on(_|-| )?a(_|-| )?chip(_|-| )?Technologien$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7723&dsrid=824&courseNr=163179&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Wahlbeispiel Molekulare Medizin - Teil 1"
    # ======================================================================= #
    when /^Wahlbeispiel(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?1$/i,
         /^301858(_|-| )?Wahlbeispiel(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?1$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301858&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Wahlbeispiel Molekulare Medizin - Teil 2"
    # ======================================================================= #
    when /^Wahlbeispiel(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?2$/i,
         /^301859(_|-| )?Wahlbeispiel(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301859&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Maxim Romanov"
    # ======================================================================= #
    when /^Maxim(_|-| )?Romanov$/i,'romanov'
      'https://ufind.univie.ac.at/de/person.html?id=75001&teaching=true'
    # ======================================================================= #
    # === rf "Chemisches Grundpraktikum I"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Grundpraktikum(_|-| )?I$/i,
         /^STEOP\:?(_|-| )?Chemisches(_|-| )?Grundpraktikum(_|-| )?I$/i,
         /^270026(_|-| )?Chemisches(_|-| )?Grundpraktikum(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270026&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "320008 Protein Stability and Formulation"
    # ======================================================================= #
    when /^320008(_|-| )?Protein(_|-| )?Stability(_|-| )?and(_|-| )?Formulation$/i,
         /^Protein(_|-| )?Stability(_|-| )?and(_|-| )?Formulation$/i
      'https://ufind.univie.ac.at/de/course.html?lv=320008&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Wahlbeispiele Peptid- und Proteinchemie"
    # ======================================================================= #
    when /^Wahlbeispiele(_|-| )?Peptid(_|-| )?(_|-| )?und(_|-| )?Proteinchemie$/i,
         /^270137(_|-| )?Wahlbeispiele(_|-| )?Peptid(_|-| )?(_|-| )?und(_|-| )?Proteinchemie$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=270137&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=270137&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Steop Biologie für PharmazeutInnen"
    # ======================================================================= #
    when /^321002(_|-| )?Steop(_|-| )?Biologie(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?B2$/i,
         /^Steop(_|-| )?Biologie(_|-| )?für(_|-| )?PharmazeutInnen/i,
         /^Biologie(_|-| )?für(_|-| )?PharmazeutInnen/i,
         /^321002(_|-| )?Biologie(_|-| )?für(_|-| )?PharmazeutInnen/i,
         'biologie_für_pharmazeutinnen',
         'biologie_für_pharmazeuten'
      'https://ufind.univie.ac.at/de/course.html?lv=321002&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Technische Grundlagen der Informatik"
    # ======================================================================= #
    when /^Technische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik$/i,
         /^051011(_|-| )?Technische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik$/i,
         /^Technische(_|-| )?Praxis$/i,
         /^Technische(_|-| )?Grundlagen$/i,
         /^Technische(_|-| )?Informatik$/i,
         /^Technische(_|-| )?Informatik$/i,
         /^Technische(_|-| )?Praxis(_|-| )?der(_|-| )?Computersysteme$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051011&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "270010 Lebensmitteltoxikologie I"
    # ======================================================================= #
    when /^270010(_|-| )?Lebensmitteltoxikologie(_|-| )?I$/i,
         /^Lebensmitteltoxikologie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270010&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biochemische Übungen"
    # ======================================================================= #
    when /^Biochemische(_|-| )?Übungen$/i,
         /^330018(_|-| )?Biochemische(_|-| )?Übungen$/i,
         '330018'
      # 'https://ufind.univie.ac.at/de/course.html?lv=330018&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=330018&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Natur in unserer Hand"
    # ======================================================================= #
    when /^Natur(_|-| )?in(_|-| )?unserer(_|-| )?Hand$/i,
         /^300379(_|-| )?Natur(_|-| )?in(_|-| )?unserer(_|-| )?Hand$/i,
         'natur'
      'https://ufind.univie.ac.at/de/course.html?lv=300379&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biochemisches Praktikum für Chemiker"
    # ======================================================================= #
    when /^Biochemisches(_|-| )?Praktikum(_|-| )?für(_|-| )?Chemiker$/i,
         /^Biochemisches(_|-| )?Praktikum$/i,
         /^Biochemie(_|-| )?UE$/i,
         /^270175(_|-| )?Biochemisches(_|-| )?Praktikum(_|-| )?für(_|-| )?Chemiker$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270175&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Methodological course - Tools and Techniques for Digital Humanities"
    # ======================================================================= #
    when /^Methodological(_|-| )?course(_|-| )?(_|-| )?(_|-| )?Tools(_|-| )?and(_|-| )?Techniques(_|-| )?for(_|-| )?Digital(_|-| )?Humanities$/i,
         /^070146(_|-| )?Methodological(_|-| )?course(_|-| )?(_|-| )?(_|-| )?Tools(_|-| )?and(_|-| )?Techniques(_|-| )?for(_|-| )?Digital(_|-| )?Humanities$/i,
         /^Methodological(_|-| )?course$/i
      'https://ufind.univie.ac.at/de/course.html?lv=070146&semester=2019S' # 2019S
    # ======================================================================= #
    # === voit
    # ======================================================================= #
    when 'voit'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=108426'
    # ======================================================================= #
    # === rf "Grundlagen der molekularen Parasitologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?molekularen(_|-| )?Parasitologie$/i,
         /^Grundlagen(_|-| )?der(_|-| )?molekularen(_|-| )?Parasitologie(_|-| )?(_|-| )?(_|-| )?Molekulare(_|-| )?Parasitologie$/i,
         /^300439(_|-| )?Grundlagen(_|-| )?der(_|-| )?molekularen(_|-| )?Parasitologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300439&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Die Zelle im Lichtmikroskop"
    # ======================================================================= #
    when /^Die(_|-| )?Zelle(_|-| )?im(_|-| )?Lichtmikroskop$/i,
         /^300386(_|-| )?Die(_|-| )?Zelle(_|-| )?im(_|-| )?Lichtmikroskop$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300386&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Flora Haider"
    # ======================================================================= #
    when /^Flora(_|-| )?Haider$/i,'flora'
      'https://ufind.univie.ac.at/de/person.html?id=34704&teaching=true'
    # ======================================================================= #
    # === rf "Peter Fuchs"
    # ======================================================================= #
    when /^Peter(_|-| )?Fuchs$/i,'fuchs'
      'https://ufind.univie.ac.at/de/person.html?id=17169&teaching=true'
    # ======================================================================= #
    # === rf vetmed_öffnungszeiten
    # ======================================================================= #
    when /^vetmed(_|-| )?öffnungszeiten$/i
      'https://www.vetmeduni.ac.at/de/studium/ansprechpersonen/studienreferat/'
    # ======================================================================= #
    # === rf "Bioanalytische Übungen"
    # ======================================================================= #
    when /^Bioanalytische(_|-| )?Übungen$/i,
         /^Vetmed(_|-| )?Bioanalytische(_|-| )?Übungen$/i,
         /^500128(_|-| )?Bioanalytische(_|-| )?Übungen$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58725' # 2019S
    # ======================================================================= #
    # === rf "Programmierung"
    # ======================================================================= #
    when /^Programmierung$/i,
         /^Programmierung(_|-| )?1$/i,
         /^051010(_|-| )?Programmierung(_|-| )?1$/i,
         /^Programming(_|-| )?1/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=051010&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=051010&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "834101 Integrativer Naturschutz"
    # ======================================================================= #
    when /^834101(_|-| )?Integrativer(_|-| )?Naturschutz$/i,
         /^Integrativer(_|-| )?Naturschutz$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285394' # 2018W
    # ======================================================================= #
    # === rf "Biochemisches Praktikum C + Biochemische Übungen für Fortgeschrittene"
    # ======================================================================= #
    when /^Biochemisches(_|-| )?Praktikum(_|-| )?C(_|-| )?(_|-| |\+)?(_|-| )?Biochemische(_|-| )?Übungen(_|-| )?für(_|-| )?Fortgeschrittene$/i,
         /^270109(_|-| )?Biochemisches(_|-| )?Praktikum(_|-| )?C(_|-| )?(_|-| |\+)?(_|-| )?Biochemische(_|-| )?Übungen(_|-| )?für(_|-| )?Fortgeschrittene$/i,
         /^Biochemisches(_|-| )?Praktikum(_|-| )?C(_|-| )?(_|-| |\+)?(_|-| )?Biochemische(_|-| )?Übungen(_|-| )?für(_|-| )?Fortgeschrittene(_|-| )?(_|-| )?(_|-| )?Proteinbiochemie$/i,
         /^Biochemisches(_|-| )?Praktikum(_|-| )?$/i,
         /^Biochemisches(_|-| )?Praktikum(_|-| )?C$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270109&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "791304 Strain improvement of microorganisms and higher eukaryotic cells (in Eng.)"
    # ======================================================================= #
    when /^791304(_|-| )?Strain(_|-| )?improvement(_|-| )?of(_|-| )?microorganisms(_|-| )?and(_|-| )?higher(_|-| )?eukaryotic(_|-| )?cells(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Strain(_|-| )?improvement(_|-| )?of(_|-| )?microorganisms(_|-| )?and(_|-| )?higher(_|-| )?eukaryotic(_|-| )?cells(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^strain(_|-| )?improvements$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285341' # 2019S
    # ======================================================================= #
    # === rf "300275 Übungen zur Physiologie der Tiere 1"
    # ======================================================================= #
    when /^300275(_|-| )?Übungen(_|-| )?zur(_|-| )?Physiologie(_|-| )?der(_|-| )?Tiere(_|-| )?1$/i,
         /^Übungen(_|-| )?zur(_|-| )?Physiologie(_|-| )?der(_|-| )?Tiere(_|-| )?1$/i,
         /^Übungen(_|-| )?zur(_|-| )?Physiologie(_|-| )?der(_|-| )?Tiere(_|-| )?1(_|-| )?(_|-| )?(_|-| )?Fortpflanzung\,?(_|-| )?Stoffwechsel\,?(_|-| )?Immunologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300275&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "300648 Animal Physiology I: Energy, Respiration, Homeostasis"
    # ======================================================================= #
    when /^300648(_|-| )?Animal(_|-| )?Physiology(_|-| )?I\:?(_|-| )?Energy\,?(_|-| )?Respiration\,?(_|-| )?Homeostasis$/i,
         /^Animal(_|-| )?Physiology(_|-| )?I\:?(_|-| )?Energy\,?(_|-| )?Respiration\,?(_|-| )?Homeostasis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300648&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Anatomie und Physiologie"
    # ======================================================================= #
    when /^Anatomie(_|-| )?und(_|-| )?Physiologie$/i,
         /^321014(_|-| )?Anatomie(_|-| )?und(_|-| )?Physiologie$/i,
         /^321014(_|-| )?Anatomie(_|-| )?und(_|-| )?Physiologie(_|-| )?(_|-| )?(_|-| )?B8$/i,
         /^Big(_|-| )?&(_|-| )?Physiology$/i,
         /^Pharmazie(_|-| )?Anatomie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321014&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Analytisch-chemisches Praktikum"
    # ======================================================================= #
    when /^Analytisch(_|-| )?chemisches(_|-| )?Praktikum$/i,
         /^270101(_|-| )?Analytisch(_|-| )?chemisches(_|-| )?Praktikum$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=270101&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=270101&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Chemisches Grundpraktikum I - einführende Laborübungen"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Grundpraktikum(_|-| )?I(_|-| )?(_|-| )?(_|-| )?einführende(_|-| )?Laborübungen$/i,
         /^270017(_|-| )?Chemisches(_|-| )?Grundpraktikum(_|-| )?I(_|-| )?(_|-| )?(_|-| )?einführende(_|-| )?Laborübungen$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=270017&semester=2017W' # 2017W
      'https://ufind.univie.ac.at/de/course.html?lv=270017&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf gordana
    # ======================================================================= #
    when 'gordana'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A9E7A745D1C6EA23&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Sequenz- und Struktur-Bioinformatik"
    # ======================================================================= #
    when /^Sequenz(_|-| )?(_|-| )?und(_|-| )?Struktur(_|-| )?Bioinformatik$/i,
         /^053521(_|-| )?Sequenz(_|-| )?(_|-| )?und(_|-| )?Struktur(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=053521&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Mathematik (UBRM)"
    # ======================================================================= #
    when /^Mathematik(_|-| )?\(?UBRM\)?$/i,
         /^835109(_|-| )?Mathematik(_|-| )?\(?UBRM\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285419' # 2019S
    # ======================================================================= #
    # === rf kaiblinger
    # ======================================================================= #
    when /^kaiblinger$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=0642910E78990EB9&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Martin Grassberger"
    # ======================================================================= #
    when /^Martin(_|-| )?Grassberger$/i,
         'grassberger'
      'https://ufind.univie.ac.at/de/person.html?id=18742&teaching=true'
    # ======================================================================= #
    # === rf "Programmierpraktikum"
    # ======================================================================= #
    when /^Programmierpraktikum$/i,
         /^250021(_|-| )?Programmierpraktikum/i,
         /^250066(_|-| )?Programmierpraktikum/i
      'https://ufind.univie.ac.at/de/course.html?lv=250066&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Genetik und Molekularbiologie UE"
    # ======================================================================= #
    when /^Genetik(_|-| )?und(_|-| )?Molekularbiologie(_|-| )?UE$/i,
         /^300536(_|-| )?Genetik(_|-| )?und(_|-| )?Molekularbiologie(_|-| )?UE$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300536&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Übungen zu Grundlagen in der Bioinformatik"
    # ======================================================================= #
    when /^Übungen(_|-| )?zu(_|-| )?Grundlagen(_|-| )?in(_|-| )?der(_|-| )?Bioinformatik$/i,
         /^301632(_|-| )?Übungen(_|-| )?zu(_|-| )?Grundlagen(_|-| )?in(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301632&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Übung III A - Molekularbiologische Laborarbeiten"
    # ======================================================================= #
    when /^Übung(_|-| )?III(_|-| )?A(_|-| )?(_|-| )?(_|-| )?Molekularbiologische(_|-| )?Laborarbeiten$/i,
         /^301171(_|-| )?Übung(_|-| )?III(_|-| )?A(_|-| )?(_|-| )?(_|-| )?Molekularbiologische(_|-| )?Laborarbeiten$/i,
         /^Übung(_|-| )?III$/i,
         /^UE(_|-| )?3A$/i,
         /^Übung(_|-| )?III(_|-| )?A$/i,
         /^Übungen(_|-| )?III(_|-| )?A$/i,
         'übung_IIIA','übungIIIA',
         'übung_iiia','übung_3A',
         'Übungen III A',
         'übungen_iii_a',
         /^III(_|-| )?A$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301171&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=301171&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf Pflanzenzüchtung
    # ======================================================================= #
    when /^Pflanzenzüchtung$/i,
         /^957106(_|-| )?Pflanzenzüchtung$/i,
         /^BOKU(_|-| )?Pflanzenzüchtung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281181' # 2018S
    # ======================================================================= #
    # === rf "Computational Concepts in Biology II"
    # ======================================================================= #
    when /^269020(_|-| )?Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Biology(_|-| )?II$/i,
         /^Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Biology(_|-| )?II$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=269020&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=269020&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Eva Millesi"
    # ======================================================================= #
    when /^Eva(_|-| )?Millesi$/i
      'https://ufind.univie.ac.at/de/person.html?id=5961&teaching=true'
    # ======================================================================= #
    # === dittami
    # ======================================================================= #
    when 'dittami'
      'https://ufind.univie.ac.at/de/person.html?id=800&teaching=true'
    # ======================================================================= #
    # === rf "104.265 Algebra und Diskrete Mathematik für Informatik und Wirtschaftsinformatik"
    # ======================================================================= #
    when /^104.265(_|-| )?Algebra(_|-| )?und(_|-| )?Diskrete(_|-| )?Mathematik(_|-| )?für(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i,
         /^Algebra(_|-| )?und(_|-| )?Diskrete(_|-| )?Mathematik(_|-| )?für(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7795&dsrid=551&courseNr=104265&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "774326 Chemikalien aus Biomasse"
    # ======================================================================= #
    when /^774326(_|-| )?Chemikalien(_|-| )?aus(_|-| )?Biomasse$/i,
         /^Chemikalien(_|-| )?aus(_|-| )?Biomasse$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283752' # 2018W
    # ======================================================================= #
    # === rf "Nucleic Acid Biotechnology"
    # ======================================================================= #
    when /^Nucleic(_|-| )?Acid(_|-| )?Biotechnology$/i,
         /^270159(_|-| )?Nucleic(_|-| )?Acid(_|-| )?Biotechnology$/i,
         /^270147(_|-| )?Nucleic(_|-| )?Acid(_|-| )?Biotechnology$/i,
         /^Nucleic(_|-| )?Acid$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270147&semester=2018S' # 2019S
    # ======================================================================= #
    # === rf "188.519 Programmierung von Geschäfts-Anwendungen mit Ruby on Rails"
    # ======================================================================= #
    when /^188\.?519(_|-| )?Programmierung(_|-| )?von(_|-| )?Geschäfts(_|-| )?Anwendungen(_|-| )?mit(_|-| )?Ruby(_|-| )?on(_|-| )?Rails$/i,
         /^Programmierung(_|-| )?von(_|-| )?Geschäfts(_|-| )?Anwendungen(_|-| )?mit(_|-| )?Ruby(_|-| )?on(_|-| )?Rails$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4411&dsrid=706&courseNr=188519&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Algorithmen und Programmentwicklung für die Biologische Chemie"
    # ======================================================================= #
    when /^Algorithmen(_|-| )?und(_|-| )?Programmentwicklung(_|-| )?für(_|-| )?die(_|-| )?Biologische(_|-| )?Chemie$/i,
         /^270056(_|-| )?Algorithmen(_|-| )?und(_|-| )?Programmentwicklung(_|-| )?für(_|-| )?die(_|-| )?Biologische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270056&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Literaturseminar Molekulare Medizin"
    # ======================================================================= #
    when /^Literaturseminar(_|-| )?Molekulare(_|-| )?Medizin$/i,
         /^301589(_|-| )?Literaturseminar(_|-| )?Molekulare(_|-| )?Medizin$/i,
         /^Literaturseminar$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301589&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=301589&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf hödl
    # ======================================================================= #
    when 'hödl'
      'https://ufind.univie.ac.at/de/person.html?id=1672&teaching=true'
    # ======================================================================= #
    # === rf bors
    # ======================================================================= #
    when 'bors',/heberle(_|-| )?bors/
      'https://ufind.univie.ac.at/de/person.html?id=1890&teaching=true'
    # ======================================================================= #
    # === rf "500158 Grundlagen der Regulationssysteme und -mechanismen für Biomedizin"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Regulationssysteme(_|-| )?und(_|-| )?(_|-| )?mechanismen(_|-| )?für(_|-| )?Biomedizin$/i,
         /^500158(_|-| )?Grundlagen(_|-| )?der(_|-| )?Regulationssysteme(_|-| )?und(_|-| )?(_|-| )?mechanismen(_|-| )?für(_|-| )?Biomedizin$/i,
         'ergebnisse',
         'vetmed1'
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58076' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Mikroökonomie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Grundlagen(_|-| )?der(_|-| )?mikroökonomie$/i,
         /^731127(_|-| )?Grundlagen(_|-| )?der(_|-| )?Mikroökonomie/i,
         /^Grundlagen(_|-| )?der(_|-| )?mikroökonomie$/i,
         'mikroökonomie'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284569' # 2018W
    # ======================================================================= #
    # === rf "Ökologie in der Landschaftsplanung"
    # ======================================================================= #
    when /^Ökologie(_|-| )?in(_|-| )?der(_|-| )?Landschaftsplanung$/i,
         /^853102(_|-| )?Ökologie(_|-| )?in(_|-| )?der(_|-| )?Landschaftsplanung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285078' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Mikroökonomie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Makroökonomie$/i,
         /^731128(_|-| )?Grundlagen(_|-| )?der(_|-| )?Makroökonomie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284759' # 2018W
    # ======================================================================= #
    # === rf "Heidemarie Holzmann"
    # ======================================================================= #
    when /^Heidemarie(_|-| )?Holzmann$/i 
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=7360272727D6407D&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Introduction to Metabolic Modelling"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?Metabolic(_|-| )?Modelling$/i,
         /^791355(_|-| )?Introduction(_|-| )?to(_|-| )?metabolic(_|-| )?modelling(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Introduction(_|-| )?to(_|-| )?metabolic(_|-| )?modelling(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284133' # 2019S  
    # ======================================================================= #
    # === rf "Einführung in die Zellbiologie und Genetik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik$/i,
         /^941106(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik$/i,
         /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik$/i,
         /^Einführung(_|-| )?in(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281470' # 2018W
    # ======================================================================= #
    # === rf "Molekulare Zellbiologie"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Zellbiologie$/i,
         /^270194(_|-| )?Molekulare(_|-| )?Zellbiologie$/i,
         /^Molekulare(_|-| )?Zellbiologie(_|-| )?für(_|-| )?Chemiker$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270194&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Zellbiologie der Pflanzen - Struktur und Funktion der Pflanzenzelle"
    # ======================================================================= #
    when /Zellbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?(_|-| )?(_|-| )?Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Pflanzenzelle$/i,
         /^300248(_|-| )?Zellbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?(_|-| )?(_|-| )?Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Pflanzenzelle$/i,
         /^300248(_|-| )?Zellbiologie(_|-| )?der(_|-| )?Pflanzen$/i,
         /^Zellbiologie(_|-| )?der(_|-| )?Pflanzen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300248&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Programmierung 1"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Programmierung(_|-| )?1$/i,
         /^185\.?A91(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Programmierung(_|-| )?1$/i,
         /^einführung_?in_?die_?programmierung$/i,
         /^TU(_|-| )?Programmierung(_|-| )?1$/i           
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1885&dsrid=153&courseNr=185A91&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "835305 Mathematische Modellierung in den Biowissenschaften"
    # ======================================================================= #
    when /^835305(_|-| )?Mathematische(_|-| )?Modellierung(_|-| )?in(_|-| )?den(_|-| )?Biowissenschaften$/i,
         /^Mathematische(_|-| )?Modellierung(_|-| )?in(_|-| )?den(_|-| )?Biowissenschaften$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284687' # 2019S
    # ======================================================================= #
    # === rf "Reingard Grabherr"
    # ======================================================================= #
    when /^Reingard(_|-| )?Grabherr$/i,
         'grabherr'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D685703E1410E5C0&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Sabine Strauss-Goller"
    # ======================================================================= #
    when /^Sabine(_|-| )?Strauss(_|-| )?Goller$/i,'sabine'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A6D9B5C289E9EE61&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf boku_strauss
    # ======================================================================= #
    when /boku(_|-| )?strauss/,'strauss','struass'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=EFBC54E2A27346D1&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Wissenschaftliches Arbeiten und Wissenschaftstheorien"
    # ======================================================================= #
    when /^Wissenschaftliches(_|-| )?Arbeiten(_|-| )?und(_|-| )?Wissenschaftstheorien/i,
         /^735100(_|-| )?Wissenschaftliches(_|-| )?Arbeiten(_|-| )?und(_|-| )?Wissenschaftstheorien/i,
         'wissenschaftliches_arbeiten','wissenschaftliches_arbeiten_und_wissenschaftstheorien',
         'wissenschaftlichesarbeiten','warbeiten'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283704' # 2018W
    # ======================================================================= #
    # === rf "Antibodies and beyond"
    # ======================================================================= #
    when /^791393(_|-| )?Antibodies(_|-| )?and(_|-| )?beyond(_|-| )?(_|-| )?(_|-| )?emerging(_|-| )?fields(_|-| )?in(_|-| )?antibody(_|-| )?engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Antibodies(_|-| )?and(_|-| )?beyond(_|-| )?(_|-| )?(_|-| )?emerging(_|-| )?fields(_|-| )?in(_|-| )?antibody(_|-| )?engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Antibodies(_|-| )?and(_|-| )?beyond(_|-| )?(_|-| )?(_|-| )?emerging(_|-| )?fields(_|-| )?in(_|-| )?antibody(_|-| )?engineering(_|-| )?$/i,
         /^Antibodies(_|-| )?and(_|-| )?beyond$/i,
         /^Antibody(_|-| )?Engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Antibody(_|-| )?Engineering$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284700' # 2018W
    # ======================================================================= #
    # === rf "Antibody Engineering"
    # ======================================================================= #
    when /^BOKU(_|-| )?Antibody(_|-| )?Engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791376(_|-| )?Antibody(_|-| )?Engineering$/i,
         'antibody_engineering',
         /^791376(_|-| )?Antibody(_|-| )?Engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i 
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281624' # 2017W
    # ======================================================================= #
    # === rf "Introduction to Bioinformatics"
    # ======================================================================= #
    when /^BOKU(_|-| )?Introduction(_|-| )?to(_|-| )?Bioinformatics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^BOKU(_|-| )?Introduction(_|-| )?to(_|-| )?Bioinformatics$/i,
         /^introduction_?to_?bioinformatics/,
         /^894101(_|-| )?Introduction(_|-| )?to(_|-| )?bioinformatics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^894101(_|-| )?Introduction(_|-| )?to(_|-| )?bioinformatics$/i,
         /^Introduction(_|-| )?to(_|-| )?bioinformatics$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283691' # 2018W
    # ======================================================================= #
    # === rf meduni_mitbelegung
    # ======================================================================= #
    when /^meduni(_|-| )?mitbelegung$/,
         /^mitbelegung(_|-| )?meduni$/,
         'medunimitbelegung'
      'https://www.meduniwien.ac.at/web/studium-weiterbildung/anmeldung-zulassung/mitbelegung/'
    # ======================================================================= #
    # === rf "Applied data analysis"
    # ======================================================================= #
    when /^Applied(_|-| )?data(_|-| )?analysis$/i,
         /^300362(_|-| )?Applied(_|-| )?data(_|-| )?analysis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300362&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "500157 Populationsgenetik"
    # ======================================================================= #
    when /^500157(_|-| )?Populationsgenetik$/i,
         'populationsgenetik'
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=59331' # 2018W  
    # ======================================================================= #
    # === rf "873101 Bodenmechanik und Grundbau"
    # ======================================================================= #
    when /^873101(_|-| )?Bodenmechanik(_|-| )?und(_|-| )?Grundbau$/i,
         /^Bodenmechanik(_|-| )?und(_|-| )?Grundbau$/i,
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284870' # 2019S
    # ======================================================================= #
    # === rf "915180 Projektmanagement"
    # ======================================================================= #
    when /^915180(_|-| )?Projektmanagement$/i,
         /^915180$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285810' # 2019S
    # ======================================================================= #
    # === rf "Introduction to programming"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?programming$/i,
         /^Introduction(_|-| )?to(_|-| )?programming(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^851319(_|-| )?Introduction(_|-| )?to(_|-| )?programming(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284409' # 2019S
    # ======================================================================= #
    # === rf "Biodiversität und molekulare Ökologie der Mikroorganismen 1"
    # ======================================================================= #
    when /^Biodiversität(_|-| )?und(_|-| )?molekulare(_|-| )?Ökologie(_|-| )?der(_|-| )?Mikroorganismen(_|-| )?1$/i,
         /^300317(_|-| )?Biodiversität(_|-| )?und(_|-| )?molekulare(_|-| )?Ökologie(_|-| )?der(_|-| )?Mikroorganismen(_|-| )?1$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300317&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biodiversität und molekulare Ökologie der Mikroorganismen 2"
    # ======================================================================= #
    when /^Biodiversität(_|-| )?und(_|-| )?molekulare(_|-| )?Ökologie(_|-| )?der(_|-| )?Mikroorganismen(_|-| )?2$/i,
         /^300609(_|-| )?Biodiversität(_|-| )?und(_|-| )?molekulare(_|-| )?Ökologie(_|-| )?der(_|-| )?Mikroorganismen(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300609&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Molekulare Infektionsbiologie"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Infektionsbiologie$/i,
         /^301707(_|-| )?Molekulare(_|-| )?Infektionsbiologie$/i,
         'molekulare_infektionsbiologie',
         'infektionsbiologie',
         'infekt'
      'https://ufind.univie.ac.at/de/course.html?lv=301707&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen der Systembiologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Systembiologie$/i,
         /^301696(_|-| )?Grundlagen(_|-| )?der(_|-| )?Systembiologie$/i,
         'systembiologie',
         'systembio',
         'sysbio'
      'https://ufind.univie.ac.at/de/course.html?lv=301696&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf zangerl
    # ======================================================================= #
    when 'zangerl'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=137534'
    # ======================================================================= #
    # === rf "733319 Welternährungswirtschaft"
    # ======================================================================= #
    when /^Goldenberg$/i
      'https://ufind.univie.ac.at/de/person.html?id=37849&teaching=true'
    # ======================================================================= #
    # === rf goldenberg
    # ======================================================================= #
    when /^Goldberg$/i
      'https://ufind.univie.ac.at/de/person.html?id=1481&teaching=true'
    # ======================================================================= #
    # === rf "733319 Welternährungswirtschaft"
    # ======================================================================= #
    when /^733319(_|-| )?Welternährungswirtschaft$/i,
         /^Welternährungswirtschaft$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285673' # 2018W
    # ======================================================================= #
    # === rf "Food microbiology for SIFC (in Eng.)"
    # ======================================================================= #
    when /^Food(_|-| )?microbiology(_|-| )?for(_|-| )?SIFC(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^754325(_|-| )?Food(_|-| )?microbiology(_|-| )?for(_|-| )?SIFC(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283993' # 2018W
    # ======================================================================= #
    # === rf "871312 Naturgefahren"
    # ======================================================================= #
    when /^871312(_|-| )?Naturgefahren$/i,
         /^Naturgefahren$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284085' # 2019S
    # ======================================================================= #
    # === rf "270115 Protein Folding Problem"
    # ======================================================================= #
    when /^270115(_|-| )?Protein(_|-| )?Folding(_|-| )?Problem$/i,
         /^Protein(_|-| )?Folding(_|-| )?Problem$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270115&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "875108 Hochbau und Bauphysik"
    # ======================================================================= #
    when /^875108(_|-| )?Hochbau(_|-| )?und(_|-| )?Bauphysik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284082' # 2019S
    # ======================================================================= #
    # === rf "951109 Bachelorseminar Pflanzliche Produktion"
    # ======================================================================= #
    when /^951109(_|-| )?Bachelorseminar(_|-| )?Pflanzliche(_|-| )?Produktion$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284240' # 2018S
    # ======================================================================= #
    # === rf "Allgemeine und Agrarsoziologie"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Agrarsoziologie$/i,
         /^731113(_|-| )?Allgemeine(_|-| )?und(_|-| )?Agrarsoziologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285464' # 2019S
    # ======================================================================= #
    # === rf "Ackerbauliche Nutzpflanzenkunde"
    # ======================================================================= #
    when /^Ackerbauliche(_|-| )?Nutzpflanzenkunde/i,
         /^951110(_|-| )?Ackerbauliche(_|-| )?Nutzpflanzenkunde/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284242' # 2019S
    # ======================================================================= #
    # === rf "Pflichtpraxisseminar AW"
    # ======================================================================= #
    when /^Pflichtpraxisseminar(_|-| )AW(_|-| )?$/i,
         /^PflichtpraxisseminarAW$/i,
         /^951111(_|-| )Pflichtpraxisseminar(_|-| )(_|-| )(_|-| )Pflanzliche(_|-| )Produktion$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277662'
    # ======================================================================= #
    # === rf "856110 Fuß- und Radverkehr"
    # ======================================================================= #
    when /^856110(_|-| )?Fuß(_|-| )?(_|-| )?und(_|-| )?Radverkehr$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284979' # 2019S
    # ======================================================================= #
    # === rf "932120 Tierzucht für Pferdewissenschaften"
    # ======================================================================= #
    when /^932120(_|-| )?Tierzucht(_|-| )?für(_|-| )?Pferdewissenschaften$/i,
         /^Tierzucht(_|-| )?für(_|-| )?Pferdewissenschaften$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284184' # 2018W
    # ======================================================================= #
    # === rf "731310 Ökonomik nachhaltiger Landnutzung im Globalen Wandel"
    # ======================================================================= #
    when /^731310(_|-| )?Ökonomik(_|-| )?nachhaltiger(_|-| )?Landnutzung(_|-| )?im(_|-| )?Globalen(_|-| )?Wandel$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285555' # 2019S
    # ======================================================================= #
    # === rf "813100 Abfallwirtschaft und Abfallentsorgung"
    # ======================================================================= #
    when /^813100(_|-| )?Abfallwirtschaft(_|-| )?und(_|-| )?Abfallentsorgung$/i,
         /^Abfallwirtschaft(_|-| )?und(_|-| )?Abfallentsorgung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285206' # 2018W
    # ======================================================================= #
    # === rf "Die Zelle im Elektronenmikroskop"
    # ======================================================================= #
    when /^Die(_|-| )?Zelle(_|-| )?im(_|-| )?Elektronenmikroskop$/i,
         /^300208(_|-| )?Die(_|-| )?Zelle(_|-| )?im(_|-| )?Elektronenmikroskop$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300208&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "300133 Evolution"
    # ======================================================================= #
    when /^300133(_|-| )?Evolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300133&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Genome structure and evolution"
    # ======================================================================= #
    when /^Genome(_|-| )?structure(_|-| )?and(_|-| )?evolution$/i,
         /^300343(_|-| )?Genome(_|-| )?structure(_|-| )?and(_|-| )?evolution$/i,
         /genome_?structure_?and_?evolution/i
      'https://ufind.univie.ac.at/de/course.html?lv=300343&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300308 Human Evolutionary Genetics: genomic, genes, diseases"
    # ======================================================================= #
    when /^300308(_|-| )?Human(_|-| )?Evolutionary(_|-| )?Genetics(_|-| |:)?(_|-| )?genomic(_|-| |,)?(_|-| )?genes(_|-| |,)?(_|-| )?diseases$/i,
         /^Human(_|-| )?Evolutionary(_|-| )?Genetics(_|-| |:)?(_|-| )?genomic(_|-| |,)?(_|-| )?genes(_|-| |,)?(_|-| )?diseases$/i,
         /^Human(_|-| )?Evolutionary(_|-| )?Genetics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300308&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Anatomie, Phylogenie und Evolution der Tiere"
    # ======================================================================= #
    when /^Anatomie(_|-| |,)(_|-| )?Phylogenie(_|-| )?und(_|-| )?Evolution(_|-| )?der(_|-| )?Tiere/i,
         /^300034(_|-| )?Anatomie(_|-| |,)(_|-| )?Phylogenie(_|-| )?und(_|-| )?Evolution(_|-| )?der(_|-| )?Tiere/i,
         'anaomtie'
      'https://ufind.univie.ac.at/de/course.html?lv=300034&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Human Evolutionary Genetics: genomic, genes, diseases"
    # ======================================================================= #
    when /^Human(_|-| )?Evolutionary(_|-| )?Genetics:(_|-| )?genomic,(_|-| )?genes,(_|-| )?diseases$/i,
         /^300308(_|-| )?Human(_|-| )?Evolutionary(_|-| )?Genetics:(_|-| )?genomic,(_|-| )?genes,(_|-| )?diseases$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300308&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Evolution und menschliche Organisation"
    # ======================================================================= #
    when /^Evolution(_|-| )?und(_|-| )?menschliche(_|-| )?Organisation$/i,
         /^300431(_|-| )?Evolution(_|-| )?und(_|-| )?menschliche(_|-| )?Organisation$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300431&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Molecular evolution and phylogenetics (in Eng.)"
    # ======================================================================= #
    when /^Molecular(_|-| )?evolution(_|-| )?and(_|-| )?phylogenetics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791390(_|-| )?Molecular(_|-| )?evolution(_|-| )?and(_|-| )?phylogenetics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286125' # 2018W
    # ======================================================================= #
    # === rf hominidenevolution
    # ======================================================================= #
    when /^300078(_|-| )?VO(_|-| )?Hominidenevolution$/i,
         /^300078(_|-| )?Hominidenevolution$/i,
         /^Hominidenevolution$/i,
         'hominidenevolution'
      'https://ufind.univie.ac.at/de/course.html?lv=300078&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Machine learning and pattern recognition for bioinformatics"
    # ======================================================================= #
    when /^Machine(_|-| )?learning(_|-| )?and(_|-| )?pattern(_|-| )?recognition(_|-| )?for(_|-| )?bioinformatics$/i,
         /^Machine(_|-| )?learning(_|-| )?and(_|-| )?pattern(_|-| )?recognition(_|-| )?for(_|-| )?bioinformatics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791384(_|-| )?Machine(_|-| )?learning(_|-| )?and(_|-| )?pattern(_|-| )?recognition(_|-| )?for(_|-| )?bioinformatics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286202' # 2019S
    # ======================================================================= #
    # === rf "Computergestuetzte Strukturelle Biologie"
    # ======================================================================= #
    when /^Computergestuetzte(_|-| )?Strukturelle(_|-| )?Biologie$/i,
         /^301232(_|-| )?Computergestuetzte(_|-| )?Strukturelle(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301232&semester=2019S' # 2018S
    # ======================================================================= #
    # === rf "301615 Organisch-chemische Übungen"
    # ======================================================================= #
    when /^301615(_|-| )?Organisch(_|-| )?chemische(_|-| )?Übungen$/i,
         /^Organisch(_|-| )?chemische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301615&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "300043 PP Script Programming in genome analysis"
    # ======================================================================= #
    when /^300043(_|-| )?PP(_|-| )?Script(_|-| )?Programming(_|-| )?in(_|-| )?genome(_|-| )?analysis$/i,
         /^300043(_|-| )?Script(_|-| )?Programming(_|-| )?in(_|-| )?genome(_|-| )?analysis$/i,
         /^Script(_|-| )?Programming(_|-| )?in(_|-| )?genome(_|-| )?analysis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300043&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "321029 Pharmazeutische Chemie 2 - B15"
    # ======================================================================= #
    when /^321029(_|-| )?Pharmazeutische(_|-| )?Chemie(_|-| )?2(_|-| )?(_|-| )?(_|-| )?B15$/i,
         /^Pharmazeutische(_|-| )?Chemie(_|-| )?2(_|-| )?(_|-| )?(_|-| )?B15$/i,
         /^Pharmazeutische(_|-| )?Chemie(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321029&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "321011 Bioorganische Chemie - B6"
    # ======================================================================= #
    when /^321011(_|-| )?Bioorganische(_|-| )?Chemie(_|-| )?(_|-| )?(_|-| )?B6$/i,
         /^321011(_|-| )?Bioorganische(_|-| )?Chemie$/i,
         /^Bioorganische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321011&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Pharmazeutische Technologie und Biopharmazie"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Technologie(_|-| )?und(_|-| )?Biopharmazie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321030&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "321023 Trenn- und Analysemethoden org. Arzneistoffe inkl. bioanalyt. Methoden - B12"
    # ======================================================================= #
    when /^321023(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden(_|-| )?(_|-| )?(_|-| )?B12$/i,
         /^321023(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden$/i,
         /^Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321023&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Einführung in die Biologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie$/i,
         /^166\.?201(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1335&dsrid=640&courseNr=166201&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Pharmazie Curriculum"
    # ======================================================================= #
    when /^Pharmazie(_|-| )?Curriculum$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=225541' # 2019S
    # ======================================================================= #
    # === rf "323101 VU Pharmacoinformatics - MPS5"
    # ======================================================================= #
    when /^323101(_|-| )?VU(_|-| )?Pharmacoinformatics(_|-| )?(_|-| )?(_|-| )?MPS5$/i,
         /^323101(_|-| )?Pharmacoinformatics(_|-| )?(_|-| )?(_|-| )?MPS5$/i,
         /^323101(_|-| )?Pharmacoinformatics$/i,
         /^Pharmacoinformatics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=323101&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Bioinformatics for non-bioinformaticians"
    # ======================================================================= #
    when /^Bioinformatics(_|-| )?for(_|-| )?non(_|-| )?bioinformaticians$/i,
         /^Bioinformatics(_|-| )?for(_|-| )?non(_|-| )?bioinformaticians(_|-| )?(_|-| )?(_|-| )?how(_|-| )?to(_|-| )?build(_|-| )?and(_|-| )?analyse(_|-| )?a(_|-| )?transcriptome$/i,
         /^UE(_|-| )?Bioinformatics(_|-| )?for(_|-| )?non(_|-| )?bioinformaticians(_|-| )?(_|-| )?(_|-| )?how(_|-| )?to(_|-| )?build(_|-| )?and(_|-| )?analyse(_|-| )?a(_|-| )?transcriptome$/i,
         /^300191(_|-| )?Bioinformatics(_|-| )?for(_|-| )?non(_|-| )?bioinformaticians(_|-| )?(_|-| )?(_|-| )?how(_|-| )?to(_|-| )?build(_|-| )?and(_|-| )?analyse(_|-| )?a(_|-| )?transcriptome$/i,
         /^non(_|-| )?bioinformatics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300191&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "600018 Grundlagen der Parasitologie"
    # ======================================================================= #
    when /^600018(_|-| )?Grundlagen(_|-| )?der(_|-| )?Parasitologie$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Parasitologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=59050' # 2018W
    # ======================================================================= #
    # === rf "300197 Introduction to R for Anthropologists"
    # ======================================================================= #
    when /^300197(_|-| )?Introduction(_|-| )?to(_|-| )?R(_|-| )?for(_|-| )?Anthropologists$/i,
         /^Introduction(_|-| )?to(_|-| )?R(_|-| )?for(_|-| )?Anthropologists$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300197&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Practical Course in Molecular Microbiology, Microbial Ecology and Immunobiology 3"
    # ======================================================================= #
    when /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?3$/i,
         /^Immunology(_|-| )?practical(_|-| )?course$/i,
         /^301843(_|-| )?Practical(_|-| )?Course(_|-| )?Molecular(_|-| )?Immunobiology(_|-| )?3$/i,
         /^301843(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?and(_|-| )?Cellular(_|-| )?Immunobiology$/i,
         /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?and(_|-| )?Cellular(_|-| )?Immunobiology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301843&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf kuchler
    # ======================================================================= #
    when 'kuchler'
      'https://ufind.univie.ac.at/de/person.html?id=2962&teaching=true'
    # ======================================================================= #
    # === rf "815100 Hydraulik und Hydromechanik"
    # ======================================================================= #
    when /^815100(_|-| )?Hydraulik(_|-| )?und(_|-| )?Hydromechanik$/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285242' # 2019S
    # ======================================================================= #
    # === rf "Labortechnik für VT"
    # ======================================================================= #
    when /^Labortechnik(_|-| )?für(_|-| )?VT$/i,
         /^163\.?181(_|-| )?Labortechnik(_|-| )?für(_|-| )?VT$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7807&dsrid=297&courseNr=163181&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Analysenmethoden der Forschungsrichtung Metabolomics"
    # ======================================================================= #
    when /^Analysenmethoden(_|-| )?der(_|-| )?Forschungsrichtung(_|-| )?Metabolomics$/i,
         /^270102(_|-| )?Analysenmethoden(_|-| )?der(_|-| )?Forschungsrichtung(_|-| )?Metabolomics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270102&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Herbert Auer"
    # ======================================================================= #
    when /^Herbert(_|-| )?Auer$/i
      'https://ufind.univie.ac.at/de/person.html?id=133&teaching=true'
    # ======================================================================= #
    # === rf "Anerkennung von Prüfungen Urteil"
    # ======================================================================= #
    when /^Anerkennung(_|-| )?von(_|-| )?Prüfungen(_|-| )?Urteil$/i
      'https://www.ris.bka.gv.at/Dokumente/Bvwg/BVWGT_20160830_W224_2128866_1_00/BVWGT_20160830_W224_2128866_1_00.html'
    # ======================================================================= #
    # === rf "Johannes Theiner"
    # ======================================================================= #
    when /^Johannes(_|-| )?Theiner$/i
      'https://ufind.univie.ac.at/de/person.html?id=5714&teaching=true'
    # ======================================================================= #
    # === rf vetmed_fristen
    # ======================================================================= #
    when /^270102(_|-| )?Analysenmethoden(_|-| )?der(_|-| )?Forschungsrichtung(_|-| )?Metabolomics$/,
         /^Analysenmethoden(_|-| )?der(_|-| )?Forschungsrichtung(_|-| )?Metabolomics$/
      'https://ufind.univie.ac.at/de/course.html?lv=270102&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Harald Marx"
    # ======================================================================= #
    when /^Harald(_|-| )?Marx$/i,'marx'
      'https://ufind.univie.ac.at/de/person.html?id=100216&teaching=true'
    # ======================================================================= #
    # === rf meduni_anmeldefristen
    # ======================================================================= #
    when /^meduni(_|-| )?anmeldefristen$/i
      'https://www.meduniwien.ac.at/web/studium-weiterbildung/anmeldung-zulassung/zulassungsfristen/'
    # ======================================================================= #
    # === rf "301554 Abschlussarbeit im Schwerpunkt Molekulare Biologie"
    # ======================================================================= #
    when /^301554(_|-| )?Abschlussarbeit(_|-| )?im(_|-| )?Schwerpunkt(_|-| )?Molekulare(_|-| )?Biologie$/i,
         /^Abschlussarbeit(_|-| )?im(_|-| )?Schwerpunkt(_|-| )?Molekulare(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301554&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "951117 Grünlandbewirtschaftung und Weidewirtschaft beim Pferd"
    # ======================================================================= #
    when /^951117(_|-| )?Grünlandbewirtschaftung(_|-| )?und(_|-| )?Weidewirtschaft(_|-| )?beim(_|-| )?Pferd$/i,
         /^Grünlandbewirtschaftung(_|-| )?und(_|-| )?Weidewirtschaft(_|-| )?beim(_|-| )?Pferd$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284247' # 2018W
    # ======================================================================= #
    # === rf "976319 Qualität tierischer Lebensmittel"
    # ======================================================================= #
    when /^976319(_|-| )?Qualität(_|-| )?tierischer(_|-| )?Lebensmittel$/i,
         /^Qualität(_|-| )?tierischer(_|-| )?Lebensmittel$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284678' # 2018W
    # ======================================================================= #
    # === rf "Siedlungswasserwirtschaft und Gewässerschutz"
    # ======================================================================= #
    when /^Siedlungswasserwirtschaft(_|-| )?und(_|-| )?Gewässerschutz$/i,
         /^811108(_|-| )?Siedlungswasserwirtschaft(_|-| )?und(_|-| )?Gewässerschutz$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285649' # 2018W
    # ======================================================================= #
    # === rf "104.261 Analysis für Informatik und Wirtschaftsinformatik"
    # ======================================================================= #
    when /^Analysis(_|-| )?für(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i,
         /^VO(_|-| )?Analysis(_|-| )?für(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i,
         /^104\.?261(_|-| )?Analysis(_|-| )?für(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4753&dsrid=336&courseNr=104261&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf wanek
    # ======================================================================= #
    when 'wanek','helmut_wanek'
      'https://ufind.univie.ac.at/de/person.html?id=20123&teaching=true'
    # ======================================================================= #
    # === rf "Plant biotechnology"
    # ======================================================================= #
    when /^Plant(_|-| )?biotechnology$/i,
         /^Plant(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791111(_|-| )?Plant(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^BOKU(_|-| )?Plant(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         'plant_biotechnology','plantbiotechnology',
         /^Plant(_|-| )?biotech$/i,
         /^Pflanzliche(_|-| )?Biotechnologie$/i          
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285332' # 2018W
    # ======================================================================= #
    # === rf "816101 Hydrologie und Wasserwirtschaft I"
    # ======================================================================= #
    when /^816101(_|-| )?Hydrologie(_|-| )?und(_|-| )?Wasserwirtschaft(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285267' # 2018W
    # ======================================================================= #
    # === rf "Christoph Gerner"
    # ======================================================================= #
    when /^Christoph(_|-| )?Gerner$/i,'gerner','gernot'
      'https://ufind.univie.ac.at/de/person.html?id=7237&teaching=true'
    # ======================================================================= #
    # === rf Chemieinformatik
    # ======================================================================= #
    when /^Chemieinformatik$/i,
         /^270037(_|-| )?Chemieinformatik$/i,
         /^Chemienformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270037&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "322002 Antiinfektiva, Antineoplastika und (Bio)pharmazeutika mit Wirkung auf das Immunsystem - M2"
    # ======================================================================= #
    when /^322002(_|-| )?Antiinfektiva\,?(_|-| )?Antineoplastika(_|-| )?und(_|-| )?(Bio)pharmazeutika(_|-| )?mit(_|-| )?Wirkung(_|-| )?auf(_|-| )?das(_|-| )?Immunsystem(_|-| )?(_|-| )?(_|-| )?M2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322002&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "321003 Steop Allgemeine Chemie für PharmazeutInnen - B2"
    # ======================================================================= #
    when /^321003(_|-| )?Steop(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?B2$/i,
         /^Steop(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?B2$/i,
         /^Steop(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?PharmazeutInnen$/i,
         /^Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?PharmazeutInnen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321003&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Peter Raspor"
    # ======================================================================= #
    when /^Peter(_|-| )?Raspor$/i,'raspor'
      'https://ufind.univie.ac.at/de/person.html?id=36219&teaching=true'
    # ======================================================================= #
    # === rf kommissionell 
    # ======================================================================= #
    when 'kommissionell'
      'https://ssc-lebenswissenschaften.univie.ac.at/pharmazie/bachelorstudium/anmeldungen/'
    # ======================================================================= #
    # === rf "MOL.504_1UF Analyse von DNA- und Proteinsequenzen"
    # ======================================================================= #
    when /^MOL\.?504_1UF(_|-| )?Analyse(_|-| )?von(_|-| )?DNA(_|-| )?(_|-| )?und(_|-| )?Proteinsequenzen$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214719' # 2018W
    # ======================================================================= #
    # === rf "MOL.506UF Bioprozesstechnik"
    # ======================================================================= #
    when /^MOL\.?506UF(_|-| )?Bioprozesstechnik$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214720' # 2018W
    # ======================================================================= #
    # === rf "MOL.405UB Biochemische Übungen"
    # ======================================================================= #
    when /^MOL\.?405UB(_|-| )?Biochemische(_|-| )?Übungen$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528670' # 2018W
    # ======================================================================= #
    # === rf "MOL.605_2UB Diskurs Gentechnik und Bioethik"
    # ======================================================================= #
    when /^MOL\.?605_2UB(_|-| )?Diskurs(_|-| )?Gentechnik(_|-| )?und(_|-| )?Bioethik$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=526066' # 2018W
    # ======================================================================= #
    # === rf "MOL.306UB Einführung in Biochemie"
    # ======================================================================= #
    when /^MOL\.?306UB(_|-| )?Einführung(_|-| )?in(_|-| )?Biochemie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529783' # 2018W
    # ======================================================================= #
    # === rf "MOL.402UB Einführung in Strukturbiologie"
    # ======================================================================= #
    when /^MOL\.?402UB(_|-| )?Einführung(_|-| )?in(_|-| )?Strukturbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528457' # 2019S
    # ======================================================================= #
    # === rf "MOL.602UF Gentechnik"
    # ======================================================================= #
    when /^MOL\.?602UF(_|-| )?Gentechnik$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=216077' # 2018W
    # ======================================================================= #
    # === rf "MOL.606_1UF Bachelorarbeit"
    # ======================================================================= #
    when /^MOL\.?606_1UF(_|-| )?Bachelorarbeit$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=212155' # 2018W
    # ======================================================================= #
    # === rf "MOL.404UF Einführung in Biotechnologie"
    # ======================================================================= #
    when /^MOL\.?404UF(_|-| )?Einführung(_|-| )?in(_|-| )?Biotechnologie$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=212803' # 2018W
    # ======================================================================= #
    # === rf "MOL.501_1UF Molekularbiologische Übungen I"
    # ======================================================================= #
    when /^MOL\.?501_1UF(_|-| )?Molekularbiologische(_|-| )?Übungen(_|-| )?I$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214296' # 2018W
    # ======================================================================= #
    # === rf "MOL.601_2UB Molekularbiologische Übungen II"
    # ======================================================================= #
    when /^MOL\.?601_2UB(_|-| )?Molekularbiologische(_|-| )?Übungen(_|-| )?II$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=540043' # 2018W
    # ======================================================================= #
    # === rf uni_graz
    # ======================================================================= #
    when /^uni(_|-| )?graz$/i
      'https://online.uni-graz.at/kfu_online/wbstudienplan.showStudienplan?pOrgNr=14028&pStpStpNr=9047&pSJNr=1790' # 'https://online.uni-graz.at/kfu_online/'
    # ======================================================================= #
    # === rf "MOL.601_2UB Molekularbiologische Übungen II"
    # ======================================================================= #
    when /^MOL\.?601_2UB(_|-| )?Molekularbiologische(_|-| )?Übungen(_|-| )?II$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=540043' # 2018W
    # ======================================================================= #
    # === rf "MOL.301_1UF Präsentationstechnik"
    # ======================================================================= #
    when /^MOL\.?301_1UF(_|-| )?Präsentationstechnik$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214551' # 2018W
    # ======================================================================= #
    # === rf "MOL.202UB EDV II - Informationssysteme"
    # ======================================================================= #
    when /^MOL\.?202UB(_|-| )?EDV(_|-| )?II(_|-| )?(_|-| )?(_|-| )?Informationssysteme$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=516342' # 2018W
    # ======================================================================= #
    # === rf "MOL.201UB Mathematik für MolekularbiologInnen"
    # ======================================================================= #
    when /^MOL\.?201UB(_|-| )?Mathematik(_|-| )?für(_|-| )?MolekularbiologInnen$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=516060' # 2018W
    # ======================================================================= #
    # === rf "MOL.103_1UF Erste Hilfe"
    # ======================================================================= #
    when /^MOL\.?103_1UF(_|-| )?Erste(_|-| )?Hilfe$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214550' # 2018W
    # ======================================================================= #
    # === rf "MOL.101UB Einführung in das Studium"
    # ======================================================================= #
    when /^MOL\.?101UB(_|-| )??Einführung(_|-| )?in(_|-| )?das(_|-| )?Studium$/i,
         /^Einführung(_|-| )?in(_|-| )?das(_|-| )?Studium$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=516059' # 2018W
    # ======================================================================= #
    # === rf "MOL.106UB Naturwissenschaftliches Rechnen"
    # ======================================================================= #
    when /^MOL\.?106UB(_|-| )?Naturwissenschaftliches(_|-| )?Rechnen$/i,
         /^Naturwissenschaftliches(_|-| )?Rechnen$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529443' # 2018W
    # ======================================================================= #
    # === rf "BUG.01405UB Grundlagen der Sinnes- und Verhaltensbiologie"
    # ======================================================================= #
    when /^BUG\.?01405UB(_|-| )?Grundlagen(_|-| )?der(_|-| )?Sinnes(_|-| )?(_|-| )?und(_|-| )?Verhaltensbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=526023' # 2018W
    # ======================================================================= #
    # === rf "649.026 Verhalten, Neuro-, Sinnesphysiologie"
    # ======================================================================= #
    when /^649\.?026(_|-| )?Verhalten(_|-| |,)?(_|-| )?Neuro(_|-| )?(_|-| |,)?(_|-| )?Sinnesphysiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528657' # 2018W
    # ======================================================================= #
    # === rf "MOL.207UB Einführung in Mikroskopietechniken"
    # ======================================================================= #
    when /^MOL\.?207UB(_|-| )?Einführung(_|-| )?in(_|-| )?Mikroskopietechniken$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529652' # 2018W
    # ======================================================================= #
    # === rf "649.006 Funktionelle Pflanzenanatomie"
    # ======================================================================= #
    when /^649\.?006(_|-| )?Funktionelle(_|-| )?Pflanzenanatomie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=527834' # 2018W
    # ======================================================================= #
    # === rf "MOL.206UB Tierphysiologie"
    # ======================================================================= #
    when /^MOL\.?206UB(_|-| )?Tierphysiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=517057' # 2018W
    # ======================================================================= #
    # === rf "649.011 Zoologisches Proseminar"
    # ======================================================================= #
    when /^649\.?011(_|-| )?Zoologisches(_|-| )?Proseminar$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=517058' # 2018W
    # ======================================================================= #
    # === rf "MOL.406UF Immunologische Methoden"
    # ======================================================================= #
    when /^MOL\.?406UF(_|-| )?Immunologische(_|-| )?Methoden$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214191' # 2018W
    # ======================================================================= #
    # === rf "MOL.407UF Immunologische Methoden"
    # ======================================================================= #
    when /^MOL\.?407UF(_|-| )?Immunologische(_|-| )?Methoden$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=216701' # 2018W
    # ======================================================================= #
    # === rf "MOL.507UB Einführung in die Mykologie"
    # ======================================================================= #
    when /^MOL\.?507UB(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Mykologie$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Mykologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=516562' # 2018W
    # ======================================================================= #
    # === rf "MOL.109UB Einführung in Molekular- und Mikrobiologie"
    # ======================================================================= #
    when /^MOL\.?109UB(_|-| )?Einführung(_|-| )?in(_|-| )?Molekular(_|-| )?(_|-| )?und(_|-| )?Mikrobiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529782' # 2018W
    # ======================================================================= #
    # === rf "MOL.209_1UF Mikrobiologische Übungen"
    # ======================================================================= #
    when /^MOL\.?209_1UF(_|-| )?Mikrobiologische(_|-| )?Übungen$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=212103' # 2018W
    # ======================================================================= #
    # === rf "MOL.307UB Molekulare Ökologie der Mikroorganismen"
    # ======================================================================= #
    when /^MOL\.?307UB(_|-| )?Molekulare(_|-| )?Ökologie(_|-| )?der(_|-| )?Mikroorganismen$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528511' # 2018W
    # ======================================================================= #
    # === rf "MOL.403UB Antibiotika und deren Wirkungsmechanismen"
    # ======================================================================= #
    when /^MOL\.?403UB(_|-| )?Antibiotika(_|-| )?und(_|-| )?deren(_|-| )?Wirkungsmechanismen$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529784' # 2018W
    # ======================================================================= #
    # === rf "MOL.503UB Mikrobiologie II"
    # ======================================================================= #
    when /^MOL\.?503UB(_|-| )?Mikrobiologie(_|-| )?II$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528144' # 2018W
    # ======================================================================= #
    # === rf "MOL.508UB Zellkultur"
    # ======================================================================= #
    when /^MOL\.?508UB(_|-| )?Zellkultur$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=525791' # 2018W
    # ======================================================================= #
    # === rf "MOL.603UB Molekulare Virologie"
    # ======================================================================= #
    when /^MOL\.?603UB(_|-| )?Molekulare(_|-| )?Virologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=526957' # 2018W
    # ======================================================================= #
    # === rf "MOL.604UB Medizinische Mikrobiologie"
    # ======================================================================= #
    when /^MOL\.?604UB(_|-| )?Medizinische(_|-| )?Mikrobiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=525612' # 2018W
    # ======================================================================= #
    # === rf "MOL.208UB Einführung in Genetik"
    # ======================================================================= #
    when /^MOL\.?208UB(_|-| )?Einführung(_|-| )?in(_|-| )?Genetik$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528282' # 2018W
    # ======================================================================= #
    # === rf "MOL.401UB Einführung in Molekularbiologie"
    # ======================================================================= #
    when /^MOL\.?401UB(_|-| )?Einführung(_|-| )?in(_|-| )?Molekularbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528284' # 2018W
    # ======================================================================= #
    # === rf "MOL.501_1UF Molekularbiologische Übungen I"
    # ======================================================================= #
    when /^MOL\.?501_1UF(_|-| )?Molekularbiologische(_|-| )?Übungen I$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=214296' # 2018W
    # ======================================================================= #
    # === rf "MOL.502UF Molekulare Analytik"
    # ======================================================================= #
    when /^MOL\.?502UF(_|-| )?Molekulare(_|-| )?Analytik$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=215492' # 2018W
    # ======================================================================= #
    # === rf aw_forum
    # ======================================================================= #
    when 'aw_forum','awforum','agrarforum','bokufragen',
         'ktwwforum'
      'http://www.bokuwiese.at/katalogliste&ebe=section&r=aw&section=L1'
    # ======================================================================= #
    # === rf "MOL.110UB Einführung in Botanik"
    # ======================================================================= #
    when /^MOL\.?110UB(_|-| )?Einführung(_|-| )?in(_|-| )?Botanik$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=525868' # 2018W
    # ======================================================================= #
    # === rf schiebl 
    # ======================================================================= #
    when 'schiebl'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279890'
    # ======================================================================= #
    # === rf "Mathias Müller"
    # ======================================================================= #
    when /^Mathias(_|-| )?Müller$/i
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=2DCFEF23A6972E92&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Spezielle Kapitel aus der Immunologie"
    # ======================================================================= #
    when /^Spezielle(_|-| )?Kapitel(_|-| )?aus(_|-| )?der(_|-| )?Immunologie$/i,
         /^301588(_|-| )?Spezielle(_|-| )?Kapitel(_|-| )?aus(_|-| )?der(_|-| )?Immunologie$/i,
         /^301588(_|-| )?Signalling(_|-| )?in(_|-| )?the(_|-| )?Immune(_|-| )?System$/i,
         /^Signalling(_|-| )?in(_|-| )?the(_|-| )?Immune(_|-| )?System$/i,
         /^Signaling(_|-| )?in(_|-| )?the(_|-| )?Immune(_|-| )?System$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301588&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Mathematik für Molekulare Biologen"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i,
         /^301628(_|-| )?Mathematik(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i,
         /^Uniwien(_|-| )?Mathematik$/i,
         /^Mathematik(_|-| )?für(_|-| )?Biologen$/i,
         /^mathe(_|-| )?für(_|-| )?molbio$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301628&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf puschenreiter
    # ======================================================================= #
    when 'puschenreiter'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D20014CF730A8B47&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Bodo Lachmann"
    # ======================================================================= #
    when /^Bodo(_|-| )?Lachmann$/i,'lachmann'
      'https://ufind.univie.ac.at/de/person.html?id=23154&teaching=true'
    # ======================================================================= #
    # === rf "BUB.01106UB Anatomie und Physiologie der Pflanzen"
    # ======================================================================= #
    when /^BUB\.?01106UB(_|-| )?Anatomie(_|-| )?und(_|-| )?Physiologie(_|-| )?der(_|-| )?Pflanzen$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529883' # 2018W
    # ======================================================================= #
    # === rf "MOL.111UB Einführung in Zoologie"
    # ======================================================================= #
    when /^MOL\.?111UB(_|-| )?Einführung(_|-| )?in(_|-| )?Zoologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528024' # 2018W
    # ======================================================================= #
    # === rf "BUB.03108UB Anatomie und Physiologie der Tiere"
    # ======================================================================= #
    when /^BUB\.?03108UB(_|-| )?Anatomie(_|-| )?und(_|-| )?Physiologie(_|-| )?der(_|-| )?Tiere$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529192' # 2018W
    # ======================================================================= #
    # === rf "MOL.303_1UF Analytische Chemie für Studierende der Molekularbiologie"
    # ======================================================================= #
    when /^MOL\.?303_1UF(_|-| )?Analytische(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Molekularbiologie$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=213851' # 2018W
    # ======================================================================= #
    # === rf "MOL.302UB Analytische Chemie für Studierende der Molekularbiologie"
    # ======================================================================= #
    when /^MOL\.?302UB(_|-| )?Analytische(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Molekularbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528283' # 2018W
    # ======================================================================= #
    # === rf "MOL.304UB Physikalische Chemie für Studierende der Molekularbiologie"
    # ======================================================================= #
    when /^MOL\.?304UB(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Molekularbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529962' # 2018W
    # ======================================================================= #
    # === rf "MOL.305_1UF Chemische Übungen für Studierende der Biologie"
    # ======================================================================= #
    when /^MOL\.?305_1UF(_|-| )?Chemische(_|-| )?Übungen(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=212392' # 2018W
    # ======================================================================= #
    # === rf "MOL.203UB Organische Chemie für Studierende der Biologie (Teil I)"
    # ======================================================================= #
    when /^MOL\.?203UB(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?I\)?$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=525840' # 2018W
    # ======================================================================= #
    # === rf "MOL.204UB Organische Chemie für Studierende der Biologie (Teil II)"
    # ======================================================================= #
    when /^MOL\.?204UB(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?II\)?$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529166' # 2018W
    # ======================================================================= #
    # === rf "Martin Kratzel"
    # ======================================================================= #
    when /^Martin(_|-| )?Kratzel$/i,
         /^kratzel$/i
      'https://ufind.univie.ac.at/de/person.html?id=2842&teaching=true'
    # ======================================================================= #
    # === rf "Principles in Genetics and Developmental Biology"
    # ======================================================================= #
    when /^Principles(_|-| )?in(_|-| )?Genetics(_|-| )?and(_|-| )?Developmental(_|-| )?Biology$/i,
         /^Principles(_|-| )?in(_|-| )?Genetics(_|-| )?and(_|-| )?Developmental$/i,
         /^Principles(_|-| )?in(_|-| )?Developmental(_|-| )?Biology(_|-| )?$/i,
         /^301557(_|-| )?Principles(_|-| )?in(_|-| )?Genetics(_|-| )?and(_|-| )?Developmental(_|-| )?Biology$/i,
         /^Principles(_|-| )?Genetics$/i,
         'principles'
      'https://ufind.univie.ac.at/de/course.html?lv=301557&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf entwicklungsgenetik
    # ======================================================================= #
    when 'entwicklungsgenetik'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=274815'
    # ======================================================================= #
    # === rf "Johannes Winkler"
    # ======================================================================= #
    when /^Johannes(_|-| )?Winkler$/i,'winkler','winckler'
      'https://ufind.univie.ac.at/de/person.html?id=22265&teaching=true'
    # ======================================================================= #
    # === rf "MOL.108UB Allgemeine Chemie für Studierende der Biologie (Teil II)"
    # ======================================================================= #
    when /^MOL\.?108UB(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?II\)?$/i,
         /^647\.?108(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?II\)?$/i,
         /^Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?II\)?$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=527146' # 2019S
    # ======================================================================= #
    # === rf "647.107 Allgemeine Chemie für Studierende der Biologie (Teil I)"
    # ======================================================================= #
    when /^647\.?107(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?I\)?$/i,
         /^MOL\.?107UB(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?I\)?$/i,
         /^Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?\(?Teil(_|-| )?I\)?$/i,
         /^Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?Studierende(_|-| )?der(_|-| )?Biologie(_|-| )?$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=525759' # 2018W
    # ======================================================================= #
    # === rf max_perutz_library
    # ======================================================================= #
    when /^max_?perutz_?library/
      'http://cores.imp.ac.at/max-perutz-library/location/'
    # ======================================================================= #
    # === baccarini
    # ======================================================================= #
    when 'baccarini'
      'https://ufind.univie.ac.at/de/person.html?id=12431&teaching=true'
    # ======================================================================= #
    # === rf "Philipp Rescheneder"
    # ======================================================================= #
    when /^Philipp(_|-| )?Rescheneder$/i,
         'rescheneder'
      'https://ufind.univie.ac.at/de/person.html?id=30999&teaching=true'
    # ======================================================================= #
    # === rf "Rik Oost"
    # ======================================================================= #
    when /^Rik(_|-| )?Oost$/i,
         'oost'
      'https://ufind.univie.ac.at/de/person.html?id=54079&teaching=true'
    # ======================================================================= #
    # === rf "270132 Organisch-chemisches Praktikum"
    # ======================================================================= #
    when /^270132(_|-| )?Organisch(_|-| )?chemisches(_|-| )?Praktikum$/i,
         /^Organisch(_|-| )?chemisches(_|-| )?Praktikum$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270132&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "856102 Verkehrsplanung und Mobilität"
    # ======================================================================= #
    when /^856102(_|-| )?Verkehrsplanung(_|-| )?und(_|-| )?Mobilität$/i,
         /^Verkehrsplanung(_|-| )?und(_|-| )?Mobilität$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284991' # 2018W
    # ======================================================================= #
    # === rf "Universitäten in Österreich"
    # ======================================================================= #
    when /^Universitäten(_|-| )?in(_|-| )?Österreich$/i
      'https://www.studium.at/universitaeten?sort_by=field_ausbildungsst_os_ws17_value'
    # ======================================================================= #
    # === rf "Biosensoren und Bioprozessanalytik"
    # ======================================================================= #
    when /^Biosensoren(_|-| )?und(_|-| )?Bioprozessanalytik$/i,
         /^164.199(_|-| )?Biosensoren(_|-| )?und(_|-| )?Bioprozessanalytik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8427&dsrid=700&courseNr=164199&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "840.053 Medizinisches Propädeutikum Teil 2"
    # ======================================================================= #
    when /^840\.?053(_|-| )?Medizinisches(_|-| )?Propädeutikum(_|-| )?Teil(_|-| )?2$/i,
         /^Medizinisches(_|-| )?Propädeutikum(_|-| )?Teil(_|-| )?2$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=325027' # 2017W
    # ======================================================================= #
    # === rf "Medizinisches Propädeutikum Teil 1"
    # ======================================================================= #
    when /^Medizinisches(_|-| )?Propädeutikum(_|-| )?Teil(_|-| )?1/i
      'https://campus.meduniwien.ac.at/med.campus/wblv.wbShowLvDetail?pStpSpNr=320522' # 2016S
    # ======================================================================= #
    # === rf "MOL.104UF EDV Basiswissen"
    # ======================================================================= #
    when /^MOL\.?104UF(_|-| )?EDV(_|-| )?Basiswissen$/i
      'https://online.tugraz.at/tug_online/wbLv.wbShowLvDetail?pStpSpNr=215650' # 2018W
    # ======================================================================= #
    # === rf "MOL.102UB Einführung in die Laboratoriumspraxis"
    # ======================================================================= #
    when /^MOL\.?102UB(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Laboratoriumspraxis$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=529708' # 2018W
    # ======================================================================= #
    # === rf "270059 Anorganische Chemie II"
    # ======================================================================= #
    when /^270059(_|-| )?Anorganische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270059&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Organische Chemie II"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?II$/i,
         /^270085(_|-| )?Organische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270085&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "MOL.105UB Einführung in Physik"
    # ======================================================================= #
    when /^MOL\.?105UB(_|-| )?Einführung(_|-| )?in(_|-| )?Physik$/i,
         /^Einführung(_|-| )?in(_|-| )?Physik$/i
      'https://online.uni-graz.at/kfu_online/wbLv.wbShowLVDetail?pStpSpNr=528496' # 2018W
    # ======================================================================= #
    # === rf graz_biologie
    # ======================================================================= #
    when /^graz(_|-| )?biologie$/i
      'https://online.uni-graz.at/kfu_online/wbstudienplan.showStudienplan?pOrgNr=14028&pStpStpNr=9076&pSJNr=1790'
    # ======================================================================= #
    # === rf graz_biologie
    # ======================================================================= #
    when /^graz(_|-| )?molekularbiologie$/i
      'https://online.uni-graz.at/kfu_online/wbstudienplan.showStudienplan?pOrgNr=14028&pStpStpNr=9047&pSJNr=1790'
    # ======================================================================= #
    # === rf "731110 Umweltsoziologie"
    # ======================================================================= #
    when /^731110(_|-| )?Umweltsoziologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285461' # 2018W
    # ======================================================================= #
    # === rf "uni graz studienabteilung"
    # ======================================================================= #
    when /^uni(_|-| )?graz(_|-| )?studienabteilung$/i
      'https://studienabteilung.uni-graz.at/de/termine-fristen/'
    # ======================================================================= #
    # === rf "Structure and function of proteins (in Eng.)"
    # ======================================================================= #
    when /^Structure(_|-| )?and(_|-| )?Functions(_|-| )?of(_|-| )?Proteins$/i,
         /^Structure(_|-| )?and(_|-| )?function(_|-| )?of(_|-| )?proteins$/i,
         /^Structure(_|-| )?and(_|-| )?function(_|-| )?of(_|-| )?proteins\(?in(_|-| )?Eng\.\)?$/i,
         /^752318(_|-| )?Structure(_|-| )?and(_|-| )?function(_|-| )?of(_|-| )?proteins\(?in(_|-| )?Eng\.\)?$/i,
         /^Structure(_|-| )?and(_|-| )?function(_|-| )?of(_|-| )?proteins(_|-| )?\(?in(_|-| )?Eng.\)?$/i,
         /^752318(_|-| )?Structure(_|-| )?and(_|-| )?function(_|-| )?of(_|-| )?proteins(_|-| )?\(?in(_|-| )?Eng.\)?$/i,
         /^BOKU(_|-| )?Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Proteine$/i,
         /^753318(_|-| )?Structure(_|-| )?and(_|-| )?Functions(_|-| )?of(_|-| )?Proteins$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285533' # 2018W
    # ======================================================================= #
    # === rf "Mechanisms of cell regulation in biotechnology"
    # ======================================================================= #
    when /^Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?in(_|-| )?biotechnology$/i,
         /^Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation$/i,
         /^791370(_|-| )?Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?in(_|-| )?biotechnology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282206' # 2018S
    # ======================================================================= #
    # === rf "Mechanisms of cell regulation in biotechnology practical (in Eng.)"
    # ======================================================================= #
    when /^Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?in(_|-| )?biotechnology(_|-| )?practical(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?practical$/i,
         /^791378(_|-| )?Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?in(_|-| )?biotechnology(_|-| )?practical(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?in(_|-| )?biotechnology(_|-| )?practical$/i,
         /^791370(_|-| )?Mechanisms(_|-| )?of(_|-| )?cell(_|-| )?regulation(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284702' # 2018W
    # ======================================================================= #
    # === rf übung5
    # ======================================================================= #
    when 'übung5'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284702'
    # ======================================================================= #
    # === rf "Sebastian Will"
    # ======================================================================= #
    when /^Sebastian(_|-| )?Will$/i,'will'
      'https://ufind.univie.ac.at/de/person.html?id=63930&teaching=true'
    # ======================================================================= #
    # === rf "Genetik der Diversität"
    # ======================================================================= #
    when /^Genetik(_|-| )?der(_|-| )?Diversität$/i,
         /^Genetik(_|-| )?der(_|-| )?Diversität(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^932312(_|-| )?Genetik(_|-| )?der(_|-| )?Diversität(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284192' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Vorratshaltung"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Vorratshaltung$/i,
         /^330047(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Vorratshaltung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330047&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Kommunikations- und Medienforschung"
    # ======================================================================= #
    when /^Kommunikations(_|-| )?(_|-| )?und(_|-| )?Medienforschung$/i,
         /^330084(_|-| )?Kommunikations(_|-| )?(_|-| )?und(_|-| )?Medienforschung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330084&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Verhaltensgenetik
    # ======================================================================= #
    when 'verhaltensgenetik','verhaltensg'
      'https://ufind.univie.ac.at/de/course.html?lv=300189&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "330001 Chemische Übungen"
    # ======================================================================= #
    when /^330001(_|-| )?Chemische(_|-| )?Übungen$/i,
         /^Chemische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330001&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "330051 Einführung in die Laborpraxis"
    # ======================================================================= #
    when /^330051(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Laborpraxis$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Laborpraxis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330051&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Lothar Brecker"
    # ======================================================================= #
    when /^Lothar(_|-| )?Brecker$/i
      'https://ufind.univie.ac.at/de/person.html?id=82537&teaching=true'
    # ======================================================================= #
    # === rf "Nuno Maulide"
    # ======================================================================= #
    when /^Nuno(_|-| )?Maulide$/i
      'https://ufind.univie.ac.at/de/person.html?id=51490&teaching=true'
    # ======================================================================= #
    # === rf "Green Chemistry"
    # ======================================================================= #
    when /^Green(_|-| )?Chemistry$/i,
         /^163.149(_|-| )?Green(_|-| )?Chemistry$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5836&dsrid=199&courseNr=163149&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Forstliche Biometrie I"
    # ======================================================================= #
    when /^Forstliche(_|-| )?Biometrie(_|-| )?I$/i,
         /^914147(_|-| )?Forstliche(_|-| )?Biometrie(_|-| )?I$/i
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285804' # 2018W
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285803' # 2019S
    # ======================================================================= #
    # === rf "Physik (LBT)"
    # ======================================================================= #
    when /^Physik(_|-| )\(?LBT\)?$/i,
         /^892104(_|-| )Physik(_|-| )\(?LBT\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284952' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine und Physikalische Chemie"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Physikalische(_|-| )?Chemie$/i,
         /^771109(_|-| )?Allgemeine(_|-| )?und(_|-| )?Physikalische(_|-| )?Chemie$/i,
         /^allgemeine_?und_?physikalische_?chemie/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286168' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine Prozesstechnik"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Prozesstechnik$/i,
         /^893121(_|-| )?Allgemeine(_|-| )?Prozesstechnik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281473' # 2018S
    # ======================================================================= #
    # === rf "Master Molekulare Mikrobiologie, Mikrobielle Ökologie und Immunbiologie"
    # ======================================================================= #
    when /^Master(_|-| )?Molekulare(_|-| )?Mikrobiologie(_|-| |,)?(_|-| )?Mikrobielle(_|-| )?Ökologie(_|-| )?und(_|-| )?Immunbiologie$/i,
         /^Master(_|-| )?Molekulare(_|-| )?Mikrobiologie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=212075&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "500054 Allgemeine Pathologie für Biomediziner"
    # ======================================================================= #
    when /^500054(_|-| )?Allgemeine(_|-| )?Pathologie(_|-| )?für(_|-| )?Biomediziner$/i,
         /^Allgemeine(_|-| )?Pathologie(_|-| )?für(_|-| )?Biomediziner$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58056' # 2018W
    # ======================================================================= #
    # === rf "Naturwissenschaftliche Grundlagen-Chemie"
    # ======================================================================= #
    when /^Naturwissenschaftliche(_|-| )?Grundlagen(_|-| )?Chemie$/i,
         /^600003(_|-| )?Naturwissenschaftliche(_|-| )?Grundlagen(_|-| )?Chemie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58635' # 2018W
    # ======================================================================= #
    # === rf "Molekulare Medizin 2"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Medizin(_|-| )?2$/i,
         /^301586(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?2$/i,
         'molmed2'
      'https://ufind.univie.ac.at/de/course.html?lv=301586&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Translation und Translationskontrolle bei Eukaryonten I"
    # ======================================================================= #
    when /^Translation(_|-| )?und(_|-| )?Translationskontrolle(_|-| )?bei(_|-| )?Eukaryonten(_|-| )?I$/i,
         /^301585(_|-| )?Translation(_|-| )?und(_|-| )?Translationskontrolle(_|-| )?bei(_|-| )?Eukaryonten(_|-| )?I$/i,
         /^Translationskontrolle(_|-| )?I$/,'transcon1','transconi'
      'https://ufind.univie.ac.at/de/course.html?lv=301585&semester=2018W'
    # ======================================================================= #
    # === rf "Grundlagen der Landtechnik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Landtechnik$/i,
         /^931103(_|-| )?Grundlagen(_|-| )?der(_|-| )?Landtechnik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283705' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Ökonomie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Ökonomie$/i,
         /^731115(_|-| )?Grundlagen(_|-| )?der(_|-| )?Ökonomie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282338' # 2017W
    # ======================================================================= #
    # === rf "Analytische Chemie II"
    # ======================================================================= #
    when /^Analytische(_|-| )?Chemie(_|-| )?II$/i,
         /^270108(_|-| )?Analytische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270108&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf enemy
    # ======================================================================= #
    when /^mein_?feind/,'enemy','feind'
      'https://ufind.univie.ac.at/de/person.html?id=3029&teaching=true' # http://online.univie.ac.at/pers?zuname=k%C3%A4hlig
    # ======================================================================= #
    # === rf "Geplante Qualität - GMP in der industriellen Arzneimittelherstellung"
    # ======================================================================= #
    when /^Geplante(_|-| )?Qualität(_|-| )?(_|-| )?(_|-| )?GMP(_|-| )?in(_|-| )?der(_|-| )?industriellen(_|-| )?Arzneimittelherstellung$/i,
         /^322076(_|-| )?Geplante(_|-| )?Qualität(_|-| )?(_|-| )?(_|-| )?GMP(_|-| )?in(_|-| )?der(_|-| )?industriellen(_|-| )?Arzneimittelherstellung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322076&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Zielgerichtete Arzneiformen"
    # ======================================================================= #
    when /^Zielgerichtete(_|-| )?Arzneiformen$/i,
         /^322072(_|-| )?Zielgerichtete(_|-| )?Arzneiformen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322072&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Ausgewählte Kapitel aus der KTWW"
    # ======================================================================= #
    when /^Ausgewählte(_|-| )?Kapitel(_|-| )?aus(_|-| )?der(_|-| )?KTWW$/i,
         /^Ausgewählte(_|-| )?Kapitel$/i,
         /^850110(_|-| )?Ausgewählte(_|-| )?Kapitel(_|-| )?aus(_|-| )?der(_|-| )?KTWW$/i,
         'ktww'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284284' # 2018W
    # ======================================================================= #
    # === rf "Bodenkunde (KTWW)"
    # ======================================================================= #
    when /^Bodenkunde(_|-| )?\(?KTWW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285735' # 2019S
    # ======================================================================= #
    # === rf "Food biotechnology"
    # ======================================================================= #
    when /^Food(_|-| )?biotechnology/i,
         /^Food(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^752324(_|-| )?Food(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284119' # 2018S
    # ======================================================================= #
    # === rf "804301 Synthetic bioarchitectures (in Eng.)"
    # ======================================================================= #
    when /^804301(_|-| )?Synthetic(_|-| )?bioarchitectures(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Synthetic(_|-| )?bioarchitectures(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284323' # 2019S
    # ======================================================================= #
    # === rf "Stefan Ameres"
    # ======================================================================= #
    when /^Stefan(_|-| )?Ameres$/i,'ameres'
      'https://ufind.univie.ac.at/de/person.html?id=15141&teaching=true'
    # ======================================================================= #
    # === rf "Microscopy Lab in Biophysics"
    # ======================================================================= #
    when /^Microscopy(_|-| )?Lab(_|-| )?in(_|-| )?Biophysics$/i,
         /^803311(_|-| )?Microscopy(_|-| )?Lab(_|-| )?in(_|-| )?Biophysics$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280761' # 2018S
    # ======================================================================= #
    # === rf "300064 VO Biologie und Ökologie der Alpentiere"
    # ======================================================================= #
    when /^300064(_|-| )?VO(_|-| )?Biologie(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Alpentiere$/i,
         /^300064(_|-| )?Biologie(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Alpentiere$/i,
         /^Biologie(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Alpentiere$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300064&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "322020 PR Klinische Pharmazie und chemische Diagnostik - M11"
    # ======================================================================= #
    when /^322020(_|-| )?PR(_|-| )?Klinische(_|-| )?Pharmazie(_|-| )?und(_|-| )?chemische(_|-| )?Diagnostik(_|-| )?(_|-| )?(_|-| )?M11$/i,
         /^PR(_|-| )?Klinische(_|-| )?Pharmazie(_|-| )?und(_|-| )?chemische(_|-| )?Diagnostik(_|-| )?(_|-| )?(_|-| )?M11$/i,
         /^322020(_|-| )?Klinische(_|-| )?Pharmazie(_|-| )?und(_|-| )?chemische(_|-| )?Diagnostik(_|-| )?(_|-| )?(_|-| )?M11$/i,
         /^Klinische(_|-| )?Pharmazie(_|-| )?und(_|-| )?chemische(_|-| )?Diagnostik(_|-| )?(_|-| )?(_|-| )?M11$/i,
         /^Klinische(_|-| )?Pharmazie(_|-| )?und(_|-| )?chemische(_|-| )?Diagnostik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322020&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Armin Resch"
    # ======================================================================= #
    when /^Armin(_|-| )?Resch$/i
      'https://ufind.univie.ac.at/de/person.html?id=8806&teaching=true'
    # ======================================================================= #
    # === rf "Organische Chemie für Lebensmittel- und Biotechnologen"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Lebensmittel(_|-| )?(_|-| )?und(_|-| )?Biotechnologen$/i,
         /^773113(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Lebensmittel(_|-| )?(_|-| )?und(_|-| )?Biotechnologen$/i,
         /^Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Biotechnologen$/
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280960' # 2017W
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286169' # 2018W
    # ======================================================================= #
    # === rf "Organische Chemie für Molekulare Biologen"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i,
         /^301324(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301324&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine und Organische Chemie für BiologInnen"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?BiologInnen$/i,
         /^300195(_|-| )?Allgemeine(_|-| )?und(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?BiologInnen$/i,
         /^Allgemeine(_|-| )?und(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Biologen$/i,
         /^Chemie(_|-| )?für(_|-| )?Biologen$/i,
         'chemie_in_der_biologie'
      'https://ufind.univie.ac.at/de/course.html?lv=300195&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Organische Chemie II"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270085&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "163.119 Organische Chemie I"
    # ======================================================================= #
    when /^163\.?119(_|-| )?Organische(_|-| )?Chemie(_|-| )?I$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4354&dsrid=950&courseNr=163119&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Anorganische Chemie I"
    # ======================================================================= #
    when /^Anorganische(_|-| )?Chemie(_|-| )?I$/i,
         /^270061(_|-| )?Anorganische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270061&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "270146 Theoretisch-chemische Übungen"
    # ======================================================================= #
    when /^270146(_|-| )?Theoretisch(_|-| )?chemische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270146&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Organische Chemie Übungen"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?Übungen/i,
         /^773108(_|-| )?Organische(_|-| )?Chemie(_|-| )?Übungen/i,
         /^Organische(_|-| )?Chemie(_|-| )?Übung/i
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282184' # 2018S
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285312' # 2018W
    # ======================================================================= #
    # === rf "163.130 Organische Chemie 2"
    # ======================================================================= #
    when /^163\.?130(_|-| )?Organische(_|-| )?Chemie(_|-| )?2$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3881&dsrid=178&courseNr=163130&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "153.052 Bioanorganische Chemie"
    # ======================================================================= #
    when /^153\.?052(_|-| )?Bioanorganische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5206&dsrid=652&courseNr=153052&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Lab-on-a-Chip Technologien"
    # ======================================================================= #
    when /^Lab(_|-| )?on(_|-| )?a(_|-| )?Chip(_|-| )?Technologien$/i,
         /^163\.?178(_|-| )?Lab(_|-| )?on(_|-| )?a(_|-| )?Chip(_|-| )?Technologien$/i,
         /^Lab(_|-| )?on(_|-| )?a(_|-| )?Chip(_|-| )?/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4294&dsrid=648&courseNr=163178&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "159.786 Chemische Verfahrenstechnik"
    # ======================================================================= #
    when /^159\.?786(_|-| )?Chemische(_|-| )?Verfahrenstechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8668&dsrid=113&courseNr=159786&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Gerhard Adam"
    # ======================================================================= #
    when /^Gerhard(_|-| )?Adam$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=1FAFFC80D13F59A3&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "931104 Landwirtschaftliche Baukunde"
    # ======================================================================= #
    when /^931104(_|-| )?Landwirtschaftliche(_|-| )?Baukunde$/i,
         /^Landwirtschaftliche(_|-| )?Baukunde$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284163' # 2018W
    # ======================================================================= #
    # === rf "270009 Physikalische Chemie III"
    # ======================================================================= #
    when /^270009(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?III$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270009&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biomolecular modeling and simulation (in Eng.)"
    # ======================================================================= #
    when /^Biomolecular(_|-| )?modeling(_|-| )?and(_|-| )?simulation(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^894002(_|-| )?Biomolecular(_|-| )?modeling(_|-| )?and(_|-| )?simulation(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283268' # 2017W
    # ======================================================================= #
    # === rf "270221 Lebensmittelmikrobiologie und Hygiene"
    # ======================================================================= #
    when /^270221(_|-| )?Lebensmittelmikrobiologie(_|-| )?und(_|-| )?Hygiene$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270221&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "970015 Microbial adaptation to extreme environmental conditions (in Eng.)"
    # ======================================================================= #
    when /^970015(_|-| )?Microbial(_|-| )?adaptation(_|-| )?to(_|-| )?extreme(_|-| )?environmental(_|-| )?conditions(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286139' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Agrarwissenschaften"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Agrarwissenschaften$/i,
         /^930100(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Agrarwissenschaften$/i,
         /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Agrarwissenschaften$/i,
         'agrarwissenschaften',
         'agrarwissenschaften1'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286073' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Bionik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Bionik$/i,
         /^300168(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Bionik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300168&semester=2018W' # 2018W       
    # ======================================================================= #
    # === rf "300181 Current topics in bioinformatics and computational systems biology"
    # ======================================================================= #
    when /^300181(_|-| )?Current(_|-| )?topics(_|-| )?in(_|-| )?bioinformatics(_|-| )?and(_|-| )?computational(_|-| )?systems(_|-| )?biology$/i,
         /^Current(_|-| )?topics(_|-| )?in(_|-| )?bioinformatics(_|-| )?and(_|-| )?computational(_|-| )?systems(_|-| )?biology$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300181&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=300181&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "050066 Statistische Methoden in der Bioinformatik"
    # ======================================================================= #
    when /^050066(_|-| )?Statistische(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050066&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "322091 Bioinformatics in Natural Product Research - M14"
    # ======================================================================= #
    when /^322091(_|-| )?Bioinformatics(_|-| )?in(_|-| )?Natural(_|-| )?Product(_|-| )?Research(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Bioinformatics(_|-| )?in(_|-| )?Natural(_|-| )?Product(_|-| )?Research(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Bioinformatics(_|-| )?in(_|-| )?Natural(_|-| )?Product(_|-| )?Research$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322091&semester=2018W' 
    # ======================================================================= #
    # === rf "Einführung in die Bioinformatik für Medizininformatik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Bioinformatik(_|-| )?für(_|-| )?Medizininformatik$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050083&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Bioinformatics meets Proteomics: An Introduction to Computational Proteomics"
    # ======================================================================= #
    when /^Bioinformatics(_|-| )?meets(_|-| )?Proteomics\:?(_|-| )?An(_|-| )?Introduction(_|-| )?to(_|-| )?Computational(_|-| )?Proteomics$/i,
         /^300079(_|-| )?Bioinformatics(_|-| )?meets(_|-| )?Proteomics\:?(_|-| )?An(_|-| )?Introduction(_|-| )?to(_|-| )?Computational(_|-| )?Proteomics$/i,
         /^Bioinformatics(_|-| )?meets(_|-| )?Proteomics$/i,
         /^Bioinformatics(_|-| )?meets(_|-| )?Proteomics\:?(_|-| )?An(_|-| )?Introduction(_|-| )?to(_|-| )?Computational(_|-| )?Proteomics(_|-| )?(_|-| )?(_|-| )?The(_|-| )?seminar(_|-| )?introduces(_|-| )?concepts\,?(_|-| )?algorithms\,?(_|-| )?and(_|-| )?software(_|-| )?in(_|-| )?mass(_|-| )?spectrometry(_|-| )?based(_|-| )?proteomics$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300079&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=300079&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Peter Sinner"
    # ======================================================================= #
    when /^Peter(_|-| )?Sinner$/,'sinner'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/317509'
    # ======================================================================= #
    # === rf "Übungen zu Grundlagen in der Bioinformatik"
    # ======================================================================= #
    when /^Übungen(_|-| )?zu(_|-| )?Grundlagen(_|-| )?in(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301632&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Praktikum zu Bioinformatischen Problemen aus Chemie und Biologie"
    # ======================================================================= #
    when /^Praktikum(_|-| )?zu(_|-| )?Bioinformatischen(_|-| )?Problemen(_|-| )?aus(_|-| )?Chemie(_|-| )?und(_|-| )?Biologie$/i,
         /^Praktikum(_|-| )?zu(_|-| )?Bioinformatischen(_|-| )?Problemen$/i,
         /^270065(_|-| )?Praktikum(_|-| )?zu(_|-| )?Bioinformatischen(_|-| )?Problemen(_|-| )?aus(_|-| )?Chemie(_|-| )?und(_|-| )?Biologie$/i,
         /^270065(_|-| )?UE(_|-| )?Praktikum(_|-| )?zu(_|-| )?Bioinformatischen(_|-| )?Problemen(_|-| )?aus(_|-| )?Chemie(_|-| )?und(_|-| )?Biologie$/i,
         '270065'
      'https://ufind.univie.ac.at/de/course.html?lv=270065&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "053522 Bioinformatik für Phylogenie und evolutionäre Stammbaumrekonstruktion"
    # ======================================================================= #
    when /^053522(_|-| )?Bioinformatik(_|-| )?für(_|-| )?Phylogenie(_|-| )?und(_|-| )?evolutionäre(_|-| )?Stammbaumrekonstruktion$/i,
         /^Bioinformatik(_|-| )?für(_|-| )?Phylogenie(_|-| )?und(_|-| )?evolutionäre(_|-| )?Stammbaumrekonstruktion$/i
      'https://ufind.univie.ac.at/de/course.html?lv=053522&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "301599 Praktikum Bioinformatik"
    # ======================================================================= #
    when /^301599(_|-| )?Praktikum(_|-| )?Bioinformatik$/i,
         /^Praktikum(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301599&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "270274 Übungen zur Computersimulation von Biopolymeren"
    # ======================================================================= #
    when /^270274(_|-| )?Übungen(_|-| )?zur(_|-| )?Computersimulation(_|-| )?von(_|-| )?Biopolymeren$/i,
         /^Übungen(_|-| )?zur(_|-| )?Computersimulation(_|-| )?von(_|-| )?Biopolymeren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270274&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Angewandte Bioinformatik"
    # ======================================================================= #
    when /^Angewandte(_|-| )?Bioinformatik$/i,
         /^166\.?231(_|-| )?Angewandte(_|-| )?Bioinformatik$/i,
         /^UE(_|-| )?Angewandte(_|-| )?Bioinformatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1507&dsrid=31&courseNr=166231&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Bioinformatik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Bioinformatik$/i,
         /^VO(_|-| )?Grundlagen(_|-| )?der(_|-| )?Bioinformatik$/i,
         /^301590(_|-| )?Grundlagen(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301590&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Forschungsbeispiel aus Chem- und Bioinformatik"
    # ======================================================================= #
    when /^Forschungsbeispiel(_|-| )?aus(_|-| )?Chem(_|-| )?(_|-| )?und(_|-| )?Bioinformatik$/i 
      'https://ufind.univie.ac.at/de/course.html?lv=270086&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Gunda Köllensperger"
    # ======================================================================= #
    when /^Gunda(_|-| )?Köllensperger$/i,'köllensperger'
      'https://ufind.univie.ac.at/de/person.html?id=36396&teaching=true'
    # ======================================================================= #
    # === rf "Thomas Dechat"
    # ======================================================================= #
    when /^Thomas(_|-| )?Dechat$/i,'dechat'
      'https://ufind.univie.ac.at/de/person.html?id=10360&teaching=true'
    # ======================================================================= #
    # === rf "Immunologie u. zelluläre Mikrobiologie, Teil B"
    # ======================================================================= #
    when /^Immunologie(_|-| )?u.(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?(_|-| |,)?(_|-| )?Teil(_|-| )?B$/i,
         /^301344(_|-| )?Immunologie(_|-| )?u.(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?(_|-| |,)?(_|-| )?Teil(_|-| )?B$/i,
         /^Immunologie(_|-| )?und(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?Teil(_|-| )?B$/i,
         /^Immunologie(_|-| )?B$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301344&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Molekulare Entwicklungsbiologie"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Entwicklungsbiologie$/i,
         /^301609(_|-| )?Molekulare(_|-| )?Entwicklungsbiologie$/i,
         'molekulare_entwicklungsbiologie',
         'molekulareentwicklungsbiologie'
      'https://ufind.univie.ac.at/de/course.html?lv=301609&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine und Molekulare Mikrobiologie I"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Mikrobiologie(_|-| )?I$/i,
         /^301210(_|-| )?Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Mikrobiologie(_|-| )?I$/i,
         'amm1'
      'https://ufind.univie.ac.at/de/course.html?lv=301210&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Ausgewählte Stoffwechselleistungen der Mikroorganismen"
    # ======================================================================= #
    when /^Ausgewählte(_|-| )?Stoffwechselleistungen(_|-| )?der(_|-| )?Mikroorganismen$/i,
         /^300131(_|-| )?Ausgewählte(_|-| )?Stoffwechselleistungen(_|-| )?der(_|-| )?Mikroorganismen$/i,
         'stoffwechselleistungen'
      'https://ufind.univie.ac.at/de/course.html?lv=300131&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Virologie für Biomediziner"
    # ======================================================================= #
    when /^Virologie(_|-| )?für(_|-| )?Biomediziner$/i,
         /^500133(_|-| )?Virologie(_|-| )?für(_|-| )?Biomediziner$/i,
         /^Vetmed(_|-| )?Virologie(_|-| )?für(_|-| )?Biomediziner$/i,
         /^Vetmed(_|-| )?Virologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=59228' # 2018W
    # ======================================================================= #
    # === rf "Physik für Biologinnen und Biologen und LA-BU"
    # ======================================================================= #
    when /^Physik(_|-| )?für(_|-| )?Biologinnen(_|-| )?und(_|-| )?Biologen(_|-| )?und(_|-| )?LA(_|-| )?BU/i,
         /^300053(_|-| )?Physik(_|-| )?für(_|-| )?Biologinnen(_|-| )?und(_|-| )?Biologen(_|-| )?und(_|-| )?LA(_|-| )?BU/i,
         /^300003(_|-| )?Physik(_|-| )?für(_|-| )?Biologinnen(_|-| )?und(_|-| )?Biologen(_|-| )?und(_|-| )?LA(_|-| )?BU/i
      'https://ufind.univie.ac.at/de/course.html?lv=300003&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Rapid prototyping and polymeric microfabrication - from a digital design to a functional microdevice"
    # ======================================================================= #
    when /^Rapid(_|-| )?prototyping(_|-| )?and(_|-| )?polymeric(_|-| )?microfabrication(_|-| )?(_|-| )?(_|-| )?from(_|-| )?a(_|-| )?digital(_|-| )?design(_|-| )?to(_|-| )?a(_|-| )?functional(_|-| )?microdevice$/i,
         /^163.180(_|-| )?Rapid(_|-| )?prototyping(_|-| )?and(_|-| )?polymeric(_|-| )?microfabrication(_|-| )?(_|-| )?(_|-| )?from(_|-| )?a(_|-| )?digital(_|-| )?design(_|-| )?to(_|-| )?a(_|-| )?functional(_|-| )?microdevice$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7481&dsrid=280&courseNr=163180&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Ökogenetik
    # ======================================================================= #
    when /^Ökogenetik$/i,
         /^300309(_|-| )?Ökogenetik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300309&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "322010 Metabolismus und Wechselwirkungen - M9"
    # ======================================================================= #
    when /^322010(_|-| )?Metabolismus(_|-| )?und(_|-| )?Wechselwirkungen(_|-| )?(_|-| )?(_|-| )?M9$/i,
         /^322010(_|-| )?Metabolismus(_|-| )?und(_|-| )?Wechselwirkungen$/i,
         /^Metabolismus(_|-| )?und(_|-| )?Wechselwirkungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322010&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Evolutionäre Medizin"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Evolutionäre(_|-| )?Medizin$/i,
         /^300215(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Evolutionäre(_|-| )?Medizin$/i,
         'evolutionäre_medizin'
      'https://ufind.univie.ac.at/de/course.html?lv=300215&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Epigenetik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Epigenetik$/i,
         /^300121(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Epigenetik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300121&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Life history evolution: Warum leben Elefanten länger als Fliegen ?"
    # ======================================================================= #
    when /^300208(_|-| )?Life(_|-| )?history(_|-| )?evolution:?(_|-| )?Warum(_|-| )?leben(_|-| )?Elefanten(_|-| )?länger(_|-| )?als(_|-| )?Fliegen(_|-| )?\??$/i,
         /^Life(_|-| )?history(_|-| )?evolution\:?(_|-| )?Warum(_|-| )?leben(_|-| )?Elefanten(_|-| )?länger(_|-| )?als(_|-| )?Fliegen(_|-| )?\??$/i,
         /^300208(_|-| )?Life(_|-| )?history(_|-| )?evolution\:?(_|-| )?Warum(_|-| )?leben(_|-| )?Elefanten(_|-| )?länger(_|-| )?als(_|-| )?Fliegen$/i,
         'elefanten'
      'https://ufind.univie.ac.at/de/course.html?lv=300208&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Strukturbiologie II"
    # ======================================================================= #
    when /^Strukturbiologie(_|-| )?II$/i,
         /^301618(_|-| )?Strukturbiologie(_|-| )?II$/i,
         'strubi2','strub2'
       'https://ufind.univie.ac.at/de/course.html?lv=301618&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "UE B Strukturbiologie"
    # ======================================================================= #
    when /^UE(_|-| )?B(_|-| )?Strukturbiologie$/i,
         /^301854(_|-| )?UE(_|-| )?B(_|-| )?Strukturbiologie$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301854&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=301854&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Wahlbeispiel Strukturbiologie"
    # ======================================================================= #
    when /^Wahlbeispiel(_|-| )?Strukturbiologie$/i,
         /^301855(_|-| )?Wahlbeispiel(_|-| )?Strukturbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301855&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Principles of Molecular Virology"
    # ======================================================================= #
    when /^Principles(_|-| )?of(_|-| )?Molecular(_|-| )?Virology$/i,
         /^301347(_|-| )?Principles(_|-| )?of(_|-| )?Molecular(_|-| )?Virology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301347&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die pflanzliche Zell- und Gewebekultur"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?pflanzliche(_|-| )?Zell(_|-| )?(_|-| )?und(_|-| )?Gewebekultur$/i,
         /^322064(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?pflanzliche(_|-| )?Zell(_|-| )?(_|-| )?und(_|-| )?Gewebekultur$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322064&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Warenkunde I - Produktion und Qualität pflanzlicher Lebensmittel"
    # ======================================================================= #
    when /^Warenkunde(_|-| )?I(_|-| )?(_|-| )?(_|-| )?Produktion(_|-| )?und(_|-| )?Qualität(_|-| )?pflanzlicher(_|-| )?Lebensmittel$/i,
         /^Warenkunde(_|-| )?I$/i,
         /^330101(_|-| )?Warenkunde(_|-| )?I(_|-| )?(_|-| )?(_|-| )?Produktion(_|-| )?und(_|-| )?Qualität(_|-| )?pflanzlicher(_|-| )?Lebensmittel$/i,
         'warenkunde'
      'https://ufind.univie.ac.at/de/course.html?lv=330101&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen der Mikrobiologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Mikrobiologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57036' # 2018S                 
    # ======================================================================= #
    # === rf "Pharmazeutische Wirkstoffentwicklung"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Wirkstoffentwicklung$/i,
         /^270071(_|-| )?Pharmazeutische(_|-| )?Wirkstoffentwicklung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270071&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300151 Einführung in die Evolutionsbiologie des Menschen"
    # ======================================================================= #
    when /^300151(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Evolutionsbiologie(_|-| )?des(_|-| )?Menschen$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Evolutionsbiologie(_|-| )?des(_|-| )?Menschen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300151&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf bachelor_verfahrenstechnik
    # ======================================================================= #
    when /^-?-?verfahrenstechnik$/,
         /^-?-?bachelor(_|-| )?verfahrenstechnik$/,
         /^-?-?curriculum(_|-| )?verfahrenstechnik$/,
         /^tu(_|-| )?wien(_|-| )?curriculum(_|-| )?verfahrenstechnik$/,
         /^tuwien(_|-| )?verfahrenstechnik$/
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=2567&dsrid=595&key=37582'
    # ======================================================================= #
    # === rf "LU Bioverfahrenstechnik"
    # ======================================================================= #
    when /^LU(_|-| )?Bioverfahrenstechnik$/i,
         /166\.?603(_|-| )?Bioverfahrenstechnik$/i 
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4597&dsrid=880&courseNr=166603&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Verfahrenstechnik Pflanzliche Produktion"
    # ======================================================================= #
    when /^Verfahrenstechnik(_|-| )?Pflanzliche(_|-| )?Produktion$/i,
         /^931100(_|-| )?Verfahrenstechnik(_|-| )?Pflanzliche(_|-| )?Produktion$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281108' # 2018S
    # ======================================================================= #
    # === rf "159.731 Thermische Verfahrenstechnik"
    # ======================================================================= #
    when /^159\.?731(_|-| )?Thermische(_|-| )?Verfahrenstechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7427&dsrid=987&courseNr=159731&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "166.164 Bioverfahrenstechnik"
    # ======================================================================= #
    when /^166\.?164(_|-| )?Bioverfahrenstechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1968&dsrid=480&courseNr=166164'
    # ======================================================================= #
    # === rf bioverfahrenstechnik
    # ======================================================================= #
    when /^Bioverfahrenstechnik$/i,
         /^166\.?061(_|-| )?Bioverfahrenstechnik$/i,
         /^VO(_|-| )?Bioverfahrenstechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3949&dsrid=143&courseNr=166061&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Demonstrationen zu Chemie für TPH"
    # ======================================================================= #
    when /^Demonstrationen(_|-| )?zu(_|-| )?Chemie(_|-| )?für(_|-| )?TPH$/i,
         /^153\.?063(_|-| )?Demonstrationen(_|-| )?zu(_|-| )?Chemie(_|-| )?für(_|-| )?TPH$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4601&dsrid=722&courseNr=153063&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Informatische Grundlagen für Chemie und Biologie"
    # ======================================================================= #
    when /^Informatische(_|-| )?Grundlagen(_|-| )?für(_|-| )?Chemie(_|-| )?und(_|-| )?Biologie$/i,
         /^270069(_|-| )?Informatische(_|-| )?Grundlagen(_|-| )?für(_|-| )?Chemie(_|-| )?und(_|-| )?Biologie$/i,
         /^270069(_|-| )?1(_|-| )?Informatische(_|-| )?Grundlagen(_|-| )?für(_|-| )?Chemie(_|-| )?und(_|-| )?Biologie$/i,
         /^Informatische(_|-| )?Grundlagen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270069&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "600119 Einführung in die Krankheitslehre"
    # ======================================================================= #
    when /^600119(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Krankheitslehre$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Krankheitslehre$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57968' # 2018W
    # ======================================================================= #
    # === rf sami
    # ======================================================================= #
    when 'sami','haider','haidar','haida','sadi','hami',
         /^Haider(_|-| )?Sami$/i,
         'hadi'
      'https://ufind.univie.ac.at/de/person.html?id=55024&teaching=true'
    # ======================================================================= #
    # === rf "300307 Practical Course in Molecular Microbiology, Microbial Ecology and Immunobiology 2"
    # ======================================================================= #
    when /^300307(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300307&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf molecular_plant_breeding
    # ======================================================================= #
    when /^molecular_?plant_?breeding$/i,
         /^957325(_|-| )?Molecular(_|-| )?plant(_|-| )?breeding$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283863' # 2018W
    # ======================================================================= #
    # === rf "Gerhard Müller"
    # ======================================================================= #
    when /^Gerhard(_|-| )?Müller$/i
      'https://ufind.univie.ac.at/de/person.html?id=3721&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Entwicklung der Tiere"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Entwicklung(_|-| )?der(_|-| )?Tiere$/i,
         /^300014(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Entwicklung(_|-| )?der(_|-| )?Tiere$/i,
         /^Entwicklung(_|-| )?der(_|-| )?Tiere$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300014&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300293 Spezielle Forensische Anthropologie"
    # ======================================================================= #
    when /^300293(_|-| )?Spezielle(_|-| )?Forensische(_|-| )?Anthropologie$/i,
         /^Spezielle(_|-| )?Forensische(_|-| )?Anthropologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300293&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Stefan Hetzl"
    # ======================================================================= #
    when /^Stefan(_|-| )?Hetzl$/i,
         'hetzl'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/53603'
    # ======================================================================= #
    # === rf "108.037 Theoretische Informatik, Übung"
    # ======================================================================= #
    when /^108\.?037(_|-| )?Theoretische(_|-| )?Informatik\,?(_|-| )?Übung$/i,
         /^Theoretische(_|-| )?Informatik\,?(_|-| )?Übung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7338&dsrid=261&courseNr=108037&semester=2019S' # 2019W
    # ======================================================================= #
    # === rf "Applied Mathematics and Biostatistics"
    # ======================================================================= #
    when /^Applied(_|-| )?Mathematics(_|-| )?and(_|-| )?Biostatistics$/i,
         /^851314(_|-| )?Applied(_|-| )?Mathematics(_|-| )?and(_|-| )?Biostatistics$/i,
         /^851314(_|-| )?Applied(_|-| )?mathematics(_|-| )?and(_|-| )?biostatistics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284134' # 2018W
    # ======================================================================= #
    # === rf "322064 Einführung in die pflanzliche Zell- und Gewebekultur - M14"
    # ======================================================================= #
    when /^322064(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?pflanzliche(_|-| )?Zell(_|-| )?(_|-| )?und(_|-| )?Gewebekultur(_|-| )?(_|-| )?(_|-| )?M14?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322064&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in das Programmieren für Technische Mathematik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?das(_|-| )?Programmieren(_|-| )?für(_|-| )?Technische(_|-| )?Mathematik$/i,
         /^101.275(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?Programmieren(_|-| )?für(_|-| )?Technische(_|-| )?Mathematik$/i
      # 'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9158&dsrid=334&courseNr=101275&semester=2018S' # 2018S
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9158&dsrid=334&courseNr=101275&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Struktur und Funktion der Proteine"
    # ======================================================================= #
    when /^Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Proteine$/i,
         /^301507(_|-| )?Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Proteine$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301507&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf zechmeister
    # ======================================================================= #
    when /^Zechmeister$/i
      'https://ufind.univie.ac.at/de/person.html?id=9236&teaching=true'
    # ======================================================================= #
    # === rf schneeweiss
    # ======================================================================= #
    when 'schneeweiss','hanna',
         /^Hanna(_|-| )?Schneeweiss$/i
      'https://ufind.univie.ac.at/de/person.html?id=22347&teaching=true'
    # ======================================================================= #
    # === rf "Mikrobiologie-Übungen (AW)"
    # ======================================================================= #
    when /^Mikrobiologie(_|-| )?Übungen(_|-| )?\(?AW\)?$/i,
         /^754117(_|-| )?Mikrobiologie(_|-| )?(_|-| )?(_|-| )?Übungen(_|-| )?\(?AW\)?$/i,
         /^Mikrobiologie(_|-| )?(_|-| )?(_|-| )?Übungen(_|-| )?\(?AW\)?$/i,
         /^Mikrobiologie(_|-| )?(_|-| )?(_|-| )?Übung(_|-| )?\(?AW\)?$/i,
         /^Mikrobiologie(_|-| )?(_|-| )?(_|-| )?Übungen$/i  
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285538' # 2018W
    # ======================================================================= #
    # === rf "Chemische Übungen (AW)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Chemische(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         /^Chemische(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         /^770102(_|-| )?Chemische(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         'boku_allgemeine_chemie_übung','chemie_übungen_aw',
         'boku_allgemeine_chemie','allgemeine_chemie_übung',
         'chemie_übungen', # Auf der BOKU.
         'next_übung'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282153' # 2017W
    # ======================================================================= #
    # === rf "Molekularbiologie der Pflanzen I"
    # ======================================================================= #
    when /^Molekularbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?I$/i,
         /^301212(_|-| )?Molekularbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?I$/i,
         /^Molekularbiologie(_|-| )?der(_|-| )?Pflanze(_|-| )?I$/i,
         /^Molekularbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?I$/i,
         /^Molekularbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?1$/i,
         'molplants1'
      'https://ufind.univie.ac.at/de/course.html?lv=301212&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Übung III B: Sequenzanalysen in der Molekularbiologie"
    # ======================================================================= #
    when /^Übung(_|-| )?III(_|-| )?B:?(_|-| )?Sequenzanalysen(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie$/i,
         /^Sequenzanalysen(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie/i,
         /^Übung(_|-| )?III(_|-| )?B$/i,
         /^UE(_|-| )?Übung(_|-| )?III(_|-| )?B(_|-| |:)?(_|-| )?Sequenzanalysen(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie$/i,
         /^Übung(_|-| )?III(_|-| )?B(_|-| )?Sequenzanalysen$/i,
         /^UE(_|-| )?IIIB$/i,
         /^III(_|-| )?B$/i
      #'https://ufind.univie.ac.at/de/course.html?lv=300214&semester=2017W' # 2017W
      'https://ufind.univie.ac.at/de/course.html?lv=301214&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Basics of Neuroscience"
    # ======================================================================= #
    when /^Basics(_|-| )?of(_|-| )?Neuroscience$/i,
         /^301137(_|-| )?Basics(_|-| )?of(_|-| )?Neuroscience$/i,
         /^neuroscience$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301137&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Tierernährung"
    # ======================================================================= #
    when /^Tierernährung$/i,
         /^976104(_|-| )?Tierernährung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285507' # 2018W
    # ======================================================================= #
    # === rf Meteorologie
    # ======================================================================= #
    when /^Meteorologie$/i,
         /^814102(_|-| )?Meteorologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285231' # 2018W
    # ======================================================================= #
    # === rf "187.A23 Anwendungen im Gesundheitswesen"
    # ======================================================================= #
    when /^187\.?A23(_|-| )?Anwendungen(_|-| )?im(_|-| )?Gesundheitswesen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6665&dsrid=122&courseNr=187A23&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf tu_library
    # ======================================================================= #
    when 'tulibrary','tubibliothek','bibliothek','tu_bibliothek',
         'tulib','tu_library','tulibary','tuli',/chem_?library/,
         /tu(_|-| )?öffnungszeit/
      'http://www.ub.tuwien.ac.at/eng/oeffnungszeiten_eng.html'
    # ======================================================================= #
    # === rf "322083 Zelluläre und molekulare Pharmakologie und molekulare Medizin - M14"
    # ======================================================================= #
    when /^322083(_|-| )?Zelluläre(_|-| )?und(_|-| )?molekulare(_|-| )?Pharmakologie(_|-| )?und(_|-| )?molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Zelluläre(_|-| )?und(_|-| )?molekulare(_|-| )?Pharmakologie(_|-| )?und(_|-| )?molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Zelluläre(_|-| )?und(_|-| )?molekulare(_|-| )?Pharmakologie(_|-| )?und(_|-| )?molekulare(_|-| )?Medizin$/i,
         'cell1'
      'https://ufind.univie.ac.at/de/course.html?lv=322083&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Ronny Lorenz"
    # ======================================================================= #
    when /^Ronny(_|-| )?Lorenz$/i,'ronny','lorenz'
      'https://ufind.univie.ac.at/de/person.html?id=34253&teaching=true'
    # ======================================================================= #
    # === rf "Computational Life Sciences"
    # ======================================================================= #
    when /^Computational(_|-| )?Life(_|-| )?Sciences$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050037&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf steop1
    # ======================================================================= #
    when 'steop','steop1','steopI','steopi'
      'https://moodle.univie.ac.at/course/view.php?id=88732' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine Botanik"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Botanik$/i,
         /^831135(_|-| )?Allgemeine(_|-| )?Botanik$/i,
         'allgemeine_botanik'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285187' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine Mikrobiologie Übungen"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Mikrobiologie(_|-| )?Übungen$/i,
         /^791128(_|-| )?Allgemeine(_|-| )?Mikrobiologie(_|-| )?Übungen$/i,
         /^Allgemeine(_|-| )?Mikrobiologie(_|-| )?VU$/i,
         'allgemeinen_mikrobiologie_übungen'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282765' # 2018S
    # ======================================================================= #
    # === rf "311.136 Grundlagen der Lasertechnik"
    # ======================================================================= #
    when /^311\.?136(_|-| )?Grundlagen(_|-| )?der(_|-| )?Lasertechnik$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Lasertechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6138&dsrid=916&courseNr=311136&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Animal Cell Culture"
    # ======================================================================= #
    when /^791318(_|-| )?Animal(_|-| )?cell(_|-| )?culture(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Animal(_|-| )?cell(_|-| )?culture(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /boku_animal_cell_culture/,/animal_?cell_?culture/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284131' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Ökologie 1: Ökologische Genetik, Verhaltens- und Populationsökologie"
    # ======================================================================= #
    when /grundlagen(_|-| )?der(_|-| )?ökologie(_|-| )?1/,
         /Grundlagen(_|-| )?der(_|-| )?Ökologie(_|-| )?1/i,
         /Grundlagen(_|-| )?der(_|-| )?Ökologie(_|-| )?1:(_|-| )?Ökologische(_|-| )?Genetik,(_|-| )?Verhaltens(_|-| )?(_|-| )?und(_|-| )?Populationsökologie$/i,
         /Grundlagen(_|-| )?der(_|-| )?Ökologie(_|-| )?1:(_|-| )?Ökologische(_|-| )?Genetik,(_|-| )?Verhaltens(_|-| )?(_|-| )?und(_|-| )?Populationsökologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285764' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die digitale Bildverarbeitung"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?digitale(_|-| )?Bildverarbeitung$/,
         /^186\.?841(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?digitale(_|-| )?Bildverarbeitung$/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9145&dsrid=373&courseNr=186841&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Physik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Physik$/i,
         /^138\.?038(_|-| )?Grundlagen(_|-| )?der(_|-| )?Physik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4134&dsrid=171&courseNr=138038&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Drogenanalyse"
    # ======================================================================= #
    when /^Drogenanalyse$/i,
         /^321036(_|-| )?Drogenanalyse(_|-| )?(_|-| )?(_|-| )?(_|-| )?B19$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321036&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Arzneistoffsynthese"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Arzneistoffsynthese$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Arzneistoffsynthese(_|-| )?(_|-| )?(_|-| )?B6$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321010&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "770150 Allgemeine Chemie"
    # ======================================================================= #
    when /^770150(_|-| )?Allgemeine(_|-| )? Chemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285281' # 2018W
    # ======================================================================= #
    # === rf "Logik für Wissensrepräsentation"
    # ======================================================================= #
    when /^Logik(_|-| )?für(_|-| )?Wissensrepräsentation$/i,
         /^184\.?208(_|-| )?Logik(_|-| )?für(_|-| )?Wissensrepräsentation$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9860&dsrid=776&courseNr=184208&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Theoretische Informatik und Logik"
    # ======================================================================= #
    when /^Theoretische(_|-| )?Informatik(_|-| )?und(_|-| )?Logik$/i,
         /^185\.?278(_|-| )?Theoretische(_|-| )?Informatik(_|-| )?und(_|-| )?Logik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5667&dsrid=758&courseNr=185278&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "322018 Chemische Diagnostik - M11"
    # ======================================================================= #
    when /^322018(_|-| )?Chemische(_|-| )?Diagnostik(_|-| )?(_|-| )?(_|-| )?M11$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322018&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "183.636 Mobile Computing in Health Care"
    # ======================================================================= #
    when /^183\.?636(_|-| )?Mobile(_|-| )?Computing(_|-| )?in(_|-| )?Health(_|-| )?Care$/i,
         /^Mobile(_|-| )?Computing(_|-| )?in(_|-| )?Health(_|-| )?Care$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8287&dsrid=94&courseNr=183636&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Rechtliche Grundlagen der medizinischen Versorgung"
    # ======================================================================= #
    when /^Rechtliche(_|-| )?Grundlagen(_|-| )?der(_|-| )?medizinischen(_|-| )?Versorgung$/i,
         /^185\.?A57(_|-| )?Rechtliche(_|-| )?Grundlagen(_|-| )?der(_|-| )?medizinischen(_|-| )?Versorgung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8230&dsrid=375&courseNr=185A57&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Molecular Mechanisms of Normal and Pathological Cell Proliferation"
    # ======================================================================= #
    when /^Molecular(_|-| )?Mechanisms(_|-| )?of(_|-| )?Normal(_|-| )?and(_|-| )?Pathological(_|-| )?Cell(_|-| )?Proliferation$/i,
         /^618\.?025(_|-| )?Molecular(_|-| )?Mechanisms(_|-| )?of(_|-| )?Normal(_|-| )?and(_|-| )?Pathological(_|-| )?Cell(_|-| )?Proliferation$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=331219' # 2018W
    # ======================================================================= #
    # === rf "791391 Efficient microarray data analysis using R and FSPMA (in Eng.)"
    # ======================================================================= #
    when /^791391(_|-| )?Efficient(_|-| )?microarray(_|-| )?data(_|-| )?analysis(_|-| )?using(_|-| )?R(_|-| )?and(_|-| )?FSPMA(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Efficient(_|-| )?microarray(_|-| )?data(_|-| )?analysis(_|-| )?using(_|-| )?R(_|-| )?and(_|-| )?FSPMA(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Efficient(_|-| )?microarray(_|-| )?data(_|-| )?analysis(_|-| )?using(_|-| )?R(_|-| )?and(_|-| )?FSPMA$/i,
         /^Efficient(_|-| )?microarray(_|-| )?data(_|-| )?analysis$/i,
         'microarray'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286207' # 2018W
    # ======================================================================= #
    # === rf "Immunanalytische Methoden"
    # ======================================================================= #
    when /^Immunanalytische(_|-| )?Methoden$/i,
         /^270281(_|-| )?Immunanalytische(_|-| )?Methoden$/i,
         /^immunanalytik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270281&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf epigenetics
    # ======================================================================= #
    when /^301101(_|-| )?Epigenetics(_|-| )?(_|-| )?From(_|-| )?basic(_|-| )?mechanisms(_|-| )?to(_|-| )?medical(_|-| )?applications$/i,
         /^Epigenetics(_|-| )?(_|-| )?From(_|-| )?basic(_|-| )?mechanisms(_|-| )?to(_|-| )?medical(_|-| )?applications$/i,
         'epigenetics','remote_epigenetik','epigenetik','epigenetic',
         'remote_epigenetic'
      'https://ufind.univie.ac.at/de/course.html?lv=301101&semester=2018W' 
    # ======================================================================= #
    # === rf "Ernährung und Epigenetik, Methoden und Epidemiologie"
    # ======================================================================= #
    when /^Ernährung(_|-| )?und(_|-| )?Epigenetik(_|-| |,)?(_|-| )?Methoden(_|-| )?und(_|-| )?Epidemiologie$/i,
         /^330102(_|-| )?Ernährung(_|-| )?und(_|-| )?Epigenetik(_|-| |,)?(_|-| )?Methoden(_|-| )?und(_|-| )?Epidemiologie$/i,
         /^Epigenetik(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330102&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "TU Mikrobiologie"
    # ======================================================================= #
    when /^TU(_|-| )?Mikrobiologie$/i,
         /^166\.?159(_|-| )?Mikrobiologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5655&dsrid=661&courseNr=166159&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "164.268 Biosensoren und Bioprozessanalytik"
    # ======================================================================= #
    when /^164\.?268(_|-| )?Biosensoren(_|-| )?und(_|-| )?Bioprozessanalytik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1688&dsrid=117&courseNr=164268&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Industrieseminar"
    # ======================================================================= #
    when /^Industrieseminar$/i,
         /^159\.?073(_|-| )?Industrieseminar$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6802&dsrid=20&courseNr=159073&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf bokumail
    # ======================================================================= #
    when /^boku(_|-| )?mail/,'boku_mail','bmail','bokmail','bokuma'
      'https://students.boku.ac.at/'
    # ======================================================================= #
    # === rf webmail_tuwien
    # ======================================================================= #
    when 'webmail_tuwien','webmail','wmail','tumail','tu_mail',
         /^tuwien(_|-| )?mail/
      # 'https://webmail.tuwien.ac.at/horde/dimp/#msg%3AINBOX%3A2'
      'https://mail.student.tuwien.ac.at/webmail/'
    # ======================================================================= #
    # === rf "Physikalische Chemie II"
    # ======================================================================= #
    when /^Physikalische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270145&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Theoretische Chemie"
    # ======================================================================= #
    when /^Theoretische(_|-| )?Chemie$/i,
         /^270059(_|-| )?Theoretische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270059&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Physikalische Chemie I"
    # ======================================================================= #
    when /^Physikalische(_|-| )?Chemie(_|-| )?I$/i,
         /^270161(_|-| )?UE(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270161&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "270219 Physikalische Chemie I"
    # ======================================================================= #
    when /^270219(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270219&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biologische Chemie I"
    # ======================================================================= #
    when /^\(?Biochemie\)?(_|-| )?Biologische(_|-| )?Chemie(_|-| )?I$/i,
         /^270006(_|-| )?\(?Biochemie\)?(_|-| )?Biologische(_|-| )?Chemie(_|-| )?I$/i,
         /^Biologische(_|-| )?Chemie(_|-| )?I$/i,
         /^Biochemie(_|-| )?\(?Biologische(_|-| )?Chemie(_|-| )?I\)?$/i,
         /^\(?Biochemie\)?(_|-| )?Biologische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270008&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Anorganische Chemie II"
    # ======================================================================= #
    when /^Anorganische(_|-| )?Chemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270059&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Labortechnik"
    # ======================================================================= #
    when /^Labortechnik$/i, # An der Universität Wien.
         /^270116(_|-| )?Labortechnik/i
      'https://ufind.univie.ac.at/de/course.html?lv=270116&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Gentherapie für Biomediziner"
    # ======================================================================= #
    when /^Gentherapie(_|-| )?für(_|-| )?Biomediziner$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=55524'
    # ======================================================================= #
    # === rf "270077 Chemisches Grundpraktikum II A"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Grundpraktikum(_|-| )?II(_|-| )?A$/i,
         /^270077(_|-| )?Chemisches(_|-| )?Grundpraktikum(_|-| )?II(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270077&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Mathematik Grundlagen"
    # ======================================================================= #
    when /^Mathematik(_|-| )?Grundlagen$/i,
         /^270152(_|-| )?Mathematik(_|-| )?Grundlagen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270152&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Physik für ChemikerInnen"
    # ======================================================================= #
    when /^Physik(_|-| )?für(_|-| )?ChemikerInnen$/i,
         /^270036(_|-| )?Physik(_|-| )?für(_|-| )?ChemikerInnen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270036&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Chemisches Grundpraktikum I - präparative Laborübungen"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Grundpraktikum(_|-| )?I(_|-| )?(_|-| )?(_|-| )?präparative(_|-| )?Laborübungen$/i,
         /^270029(_|-| )?Chemisches(_|-| )?Grundpraktikum(_|-| )?I(_|-| )?(_|-| )?(_|-| )?präparative(_|-| )?Laborübungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270029&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Physikalisch-chemisches Praktikum"
    # ======================================================================= #
    when /^Physikalisch(_|-| )?chemisches(_|-| )?Praktikum$/i,
         /^270140(_|-| )?Physikalisch(_|-| )?chemisches(_|-| )?Praktikum$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270140&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biologisch-chemisches Praktikum, Teil B"
    # ======================================================================= #
    when /^Biologisch(_|-| )?chemisches(_|-| )?Praktikum(_|-| |,)?(_|-| )?Teil(_|-| )?B$/i,
         /^Biologisch(_|-| )?chemisches(_|-| )?Praktikum$/i,
         /^UE(_|-| )?Biologisch(_|-| )?chemisches(_|-| )?Praktikum\,?(_|-| )?Teil(_|-| )?B$/i,
         /^Übung(_|-| )?Biologisches(_|-| )?Praktikum$/i,
         /^Biologische(_|-| )?Praktikum$/i,
         /^Biologisches(_|-| )?Praktikum$/i,
         /^Teil(_|-| )?B$/i,
         /^270042(_|-| )?Biologisch(_|-| )?chemisches(_|-| )?Praktikum(_|-| |,)?(_|-| )?Teil(_|-| )?B$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270042&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine Chemie B"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Chemie(_|-| )?B$/i,
         /^270058(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?B$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270058&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Allgemeine Chemie A"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Chemie(_|-| )?A$/i,
         /^270054(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270054&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Mathematik für ChemikerInnen"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?ChemikerInnen$/i,
         /^VU(_|-| )?Mathematik(_|-| )?für(_|-| )?ChemikerInnen$/i,
         /^270231(_|-| )?Mathematik(_|-| )?für(_|-| )?ChemikerInnen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270231&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "173.409 Phytochemie"
    # ======================================================================= #
    when /^173\.?409(_|-| )?Phytochemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1961&dsrid=976&courseNr=173409&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "163.048 Bioorganische Chemie"
    # ======================================================================= #
    when /^163\.?048(_|-| )?Bioorganische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8565&dsrid=632&courseNr=163048&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "104.907 Optimierung für Chemiker"
    # ======================================================================= #
    when /^104\.?907(_|-| )?Optimierung(_|-| )?für(_|-| )?Chemiker$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6865&dsrid=471&courseNr=104907&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "165.115 Physikalische Chemie II"
    # ======================================================================= #
    when /^165\.?115(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?II$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2155&dsrid=472&courseNr=165115&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Mathematik für TCH I"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?TCH(_|-| )?I$/i,
         /^Mathematik(_|-| )?für(_|-| )?Technische(_|-| )?Chemie(_|-| )?I$/i,
         /^104.084(_|-| )?Mathematik(_|-| )?für(_|-| )?TCH(_|-| )?I$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6767&dsrid=390&courseNr=104084&semester=2017W&dsrid=119' # 2018W
    # ======================================================================= #
    # === rf biberhofer
    # ======================================================================= #
    when 'biberhofer'
      'https://ufind.univie.ac.at/de/person.html?id=41766&teaching=true'
    # ======================================================================= #
    # === rf "941322 Plant biochemistry and cell biology (in Eng.)"
    # ======================================================================= #
    when /^941322(_|-| )?Plant(_|-| )?biochemistry(_|-| )?and(_|-| )?cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Plant(_|-| )?biochemistry(_|-| )?and(_|-| )?cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Plant(_|-| )?biochemistry$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284598' # 2019S
    # ======================================================================= #
    # === rf "321024 Arzneistoffanalytik - B12"
    # ======================================================================= #
    when /^321024(_|-| )?Arzneistoffanalytik(_|-| )?(_|-| )?(_|-| )?B12$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321024&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf medprop2
    # ======================================================================= #
    when /^Medizinisches(_|-| )?Propädeutikum(_|-| )?Teil(_|-| )?2$/i,
         'medizinisches_propädeutikum_teil_2','medizinischespropädeutikumteil2',
         'medprop2',
         'propäd1'
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=320062' # 2017S
    # ======================================================================= #
    # === rf "Business in Biotech"
    # ======================================================================= #
    when /^Business(_|-| )?in(_|-| )?Biotech$/i,
         /^301267(_|-| )?Business(_|-| )?in(_|-| )?Biotech$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301267&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf punz
    # ======================================================================= #
    when 'punz'
      'https://ufind.univie.ac.at/de/person.html?id=4362&teaching=true'
    # ======================================================================= #
    # === rf konecka 
    # ======================================================================= #
    when 'konecka'
      'https://www.phd-structural-biology.at/about-us/contact.html'
    # ======================================================================= #
    # === rf "Grundlagen chemischen Rechnens"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?chemischen(_|-| )?Rechnens$/i,
         /^321008(_|-| )?Grundlagen(_|-| )?chemischen(_|-| )?Rechnens$/i,
         /^321008(_|-| )?Grundlagen(_|-| )?chemischen(_|-| )?Rechnens(_|-| )?(_|-| )?(_|-| )?B4$/i,
         /^Grundlagen(_|-| )?chemischen(_|-| )?Rechnens(_|-| )?(_|-| )?(_|-| )?B4$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321008&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Geschichte der Landwirtschaft und der ältesten Kulturpflanzen Europas"
    # ======================================================================= #
    when /Geschichte(_|-| )?der(_|-| )?Landwirtschaft(_|-| )?und(_|-| )?der(_|-| )?ältesten(_|-| )?Kulturpflanzen(_|-| )?Europas/i,
         /Geschichte/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282061' # 2017W
    # ======================================================================= #
    # === rf "Lukas Bartonek"
    # ======================================================================= #
    when /^Lukas(_|-| )?Bartonek$/i,
         'bartonek'
      'https://ufind.univie.ac.at/de/person.html?id=51004'
    # ======================================================================= #
    # === rf "Joachim Seipelt"
    # ======================================================================= #
    when /^Joachim(_|-| )?Seipelt$/i,
         'seipelt'
      'https://ufind.univie.ac.at/de/person.html?id=17207&teaching=true'
    # ======================================================================= #
    # === rf "322011 Personalisierte Pharmakotherapie - M9"
    # ======================================================================= #
    when /^322011(_|-| )?Personalisierte(_|-| )?Pharmakotherapie(_|-| )?(_|-| )?(_|-| )?M9$/i,
         /^Personalisierte(_|-| )?Pharmakotherapie(_|-| )?(_|-| )?(_|-| )?M9$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322011&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Thomas Köcher"
    # ======================================================================= #
    when /^Thomas(_|-| )?Köcher$/i,'köcher'
      'https://ufind.univie.ac.at/de/person.html?id=87822&teaching=true'
    # ======================================================================= #
    # === rf "Methods in ultrastructure research"
    # ======================================================================= #
    when /^803302(_|-| )?Methods(_|-| )?in(_|-| )?ultrastructure(_|-| )?research(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Methods(_|-| )?in(_|-| )?ultrastructure(_|-| )?research(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Methods(_|-| )?in(_|-| )?ultrastructure(_|-| )?research$/i,
         /^Methods(_|-| )?in(_|-| )?Ultrastructure$/i,
         'methods_in_ultrastructure_research_in_eng'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285630' # 2018W
    # ======================================================================= #
    # === rf "Quality Management in Biotechnology"
    # ======================================================================= #
    when /^Quality(_|-| )?Management(_|-| )?in(_|-| )?Biotechnology$/i,
         /^791353(_|-| )?Quality(_|-| )?management(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284320' # 2018W
    # ======================================================================= #
    # === rf "Pathophysiology for Biotechnologists"
    # ======================================================================= #
    when /^Pathophysiology(_|-| )?for(_|-| )?biotechnologists(_|-| )?\(in(_|-| )?Eng\.\)$/i,
         /^Pathophysiology(_|-| )?for(_|-| )?biotechnologists$/i,
         /^Pathophysiology$/i,
         /^pathophysiology_for_biotechnologists_in_eng/i,
         /^Pathophysiology(_|-| )?for(_|-| )?biotechnologists\(in(_|-| )? Eng\.\)$/i,
         /^Pathophysiology(_|-| )?for(_|-| )?Biotechnologists(_|-| )?in(_|-| )?Eng$/i,
         /^941326(_|-| )?Pathophysiology(_|-| )?for(_|-| )?biotechnologists(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280699' # 2018S
    # ======================================================================= #
    # === rf "Current Trends in Bioanalytical Technologies"
    # ======================================================================= #
    when /^Current(_|-| )?Trends(_|-| )?in(_|-| )?Bioanalytical(_|-| )?Technologies$/i,
         /^301465(_|-| )?Current(_|-| )?Trends(_|-| )?in(_|-| )?Bioanalytical(_|-| )?Technologies$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301465&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "500163 Übungen aus Biochemie II"
    # ======================================================================= #
    when /^500163(_|-| )?Übungen(_|-| )?aus(_|-| )?Biochemie(_|-| )?II$/i,
         /^Übungen(_|-| )?aus(_|-| )?Biochemie(_|-| )?II$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58617' # 2018W
    # ======================================================================= #
    # === rf "322076 Geplante Qualität - GMP in der industriellen Arzneimittelherstellung - M7/M14"
    # ======================================================================= #
    when /^322076(_|-| )?Geplante(_|-| )?Qualität(_|-| )?(_|-| )?(_|-| )?GMP(_|-| )?in(_|-| )?der(_|-| )?industriellen(_|-| )?Arzneimittelherstellung(_|-| )?(_|-| )?(_|-| )?M7\/?M14$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322076&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Marketing Grundlagen"
    # ======================================================================= #
    when /^Marketing(_|-| )?Grundlagen$/i,
         /^360\.?173(_|-| )?Marketing(_|-| )?Grundlagen$/i
      # 'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9897&dsrid=153&courseNr=360173&semester=2018S' # 2018S
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6729&dsrid=63&courseNr=360173&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Doris Lucyshyn"
    # ======================================================================= #
    when /^Doris(_|-| )?Lucyshyn$/i,
         'lucshyn'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=DA32DCE17FC05314&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "142.090 Statistik"
    # ======================================================================= #
    when /^142\.?090(_|-| )?Statistik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8112&dsrid=158&courseNr=142090&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf stadtökologie
    # ======================================================================= #
    when 'stadtökologie',
         /^300058(_|-| )?Stadtökologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300058&semester=2018W'
    # ======================================================================= #
    # === rf "Mikroskopie an Biomolekülen"
    # ======================================================================= #
    when /^Mikroskopie(_|-| )?an(_|-| )?Biomolekülen$/i,
         /^Microscopy(_|-| )?on(_|-| )?Biomolecules$/i,
         /^134\.?996(_|-| )?Mikroskopie(_|-| )?an(_|-| )?Biomolekülen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2483&dsrid=722&courseNr=134996&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Egon Ogris"
    # ======================================================================= #
    when /^Egon(_|-| )?Ogris$/i,
         'egon'
      'https://ufind.univie.ac.at/de/person.html?id=3915&teaching=true'
    # ======================================================================= #
    # === rf "164.023 Bioelektrochemie"
    # ======================================================================= #
    when /^164\.?023(_|-| )Bioelektrochemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6894&dsrid=919&courseNr=164023&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Industrielle Proteomik"
    # ======================================================================= #
    when /^Industrielle(_|-| )Proteomik$/i,
         /^164.302(_|-| )Industrielle(_|-| )Proteomik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9939&dsrid=773&courseNr=164302&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Verfahrenstechnisches Praktikum"
    # ======================================================================= #
    when /^Verfahrenstechnisches(_|-| )?Praktikum$/i,
         /^750103(_|-| )?Verfahrenstechnisches(_|-| )?Praktikum$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285496' # 2018W
    # ======================================================================= #
    # === rf "Pflichtpraxisseminar LMBT"
    # ======================================================================= #
    when /^Pflichtpraxisseminar(_|-| )LMBT(_|-| )?/i,
         /^791113(_|-| )Pflichtpraxisseminar$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280655' # 2017W
    # ======================================================================= #
    # === rf agrar_videos
    # ======================================================================= #
    when /agrar(_|-| )?videos/,'agrovids','agrovid'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2012/930105-einfuehrung-in-die-agrarwissenschaften/'
    # ======================================================================= #
    # === rf "Chemische Übungen für Kulturtechniker"
    # ======================================================================= #
    when /^Chemische(_|-| )?Übungen(_|-| )?für(_|-| )?Kulturtechniker$/i,
         /^773111(_|-| )?Chemische(_|-| )?Übungen(_|-| )?für(_|-| )?Kulturtechniker$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285310' # 2019S
    # ======================================================================= #
    # === rf "Orientierung Informatik und Wirtschaftsinformatik"
    # ======================================================================= #
    when /^Orientierung(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i,
         /^180\.?766(_|-| )?Orientierung(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2843&dsrid=192&courseNr=180766&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Das dynamische Bild der Erde (LA)"
    # ======================================================================= #
    when /^Das(_|-| )?dynamische(_|-| )?Bild(_|-| )?der(_|-| )?Erde(_|-| )?\(?LA\)?$/i,
         /^300650(_|-| )?Das(_|-| )?dynamische(_|-| )?Bild(_|-| )?der(_|-| )?Erde(_|-| )?\(?LA\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300650&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Molekularbiologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Molekularbiologie$/i,
         /^500123(_|-| )?Grundlagen(_|-| )?der(_|-| )?Molekularbiologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58721' # 2018W
    # ======================================================================= #
    # === rf Lebensmittelchemie
    # ======================================================================= #
    when /^Lebensmittelchemie$/i,
         /^270032(_|-| )?Lebensmittelchemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270032&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf nägele
    # ======================================================================= #
    when 'nägele','nägeli','nägel'
      'https://ufind.univie.ac.at/de/person.html?id=48262&teaching=true'
    # ======================================================================= #
    # === rf "941332 Genetically modified organisms in the environment (in Eng.)"
    # ======================================================================= #
    when /^941332(_|-| )?Genetically(_|-| )?modified(_|-| )?organisms(_|-| )?in(_|-| )?the(_|-| )?environment(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Genetically(_|-| )?modified(_|-| )?organisms(_|-| )?in(_|-| )?the(_|-| )?environment(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300221&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "270037 Übungen zu Computergrafik und Molekulare Modellierung"
    # ======================================================================= #
    when /^270037(_|-| )?Übungen(_|-| )?zu(_|-| )?Computergrafik(_|-| )?und(_|-| )?Molekulare(_|-| )?Modellierung$/i,
         /^Übungen(_|-| )?zu(_|-| )?Computergrafik(_|-| )?und(_|-| )?Molekulare(_|-| )?Modellierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270037&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "270089 Forschungsbeispiele aus der Theoretischen Chemie"
    # ======================================================================= #
    when /^270089(_|-| )?Forschungsbeispiele(_|-| )?aus(_|-| )?der(_|-| )?Theoretischen(_|-| )?Chemie$/i,
         /^Forschungsbeispiele(_|-| )?aus(_|-| )?der(_|-| )?Theoretischen(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270089&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf carugo
    # ======================================================================= #
    when 'carugo','carguo'
      'https://ufind.univie.ac.at/de/person.html?id=27092&teaching=true'
    # ======================================================================= #
    # === rf "322012 Angewandte Pharmakokinetik - M9"
    # ======================================================================= #
    when /^322012(_|-| )?Angewandte(_|-| )?Pharmakokinetik(_|-| )?(_|-| )?(_|-| )?M9$/i,
         /^Angewandte(_|-| )?Pharmakokinetik(_|-| )?(_|-| )?(_|-| )?M9$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322012&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Physik für PharmazeutInnen"
    # ======================================================================= #
    when /^Physik(_|-| )?für(_|-| )?PharmazeutInnen$/i,
         /^Physik(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?B3$/i,
         /^321004(_|-| )?Physik(_|-| )?für(_|-| )?PharmazeutInnen(_|-| )?(_|-| )?(_|-| )?B3$/i,
         /^Physik(_|-| )?für(_|-| )?Pharmazeut$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321004&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Methodik der NMR"
    # ======================================================================= #
    when /^Methodik(_|-| )?der(_|-| )?NMR$/i,
         /^270016(_|-| )?Methodik(_|-| )?der(_|-| )?NMR$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270016&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "270043 Bioanorganische Chemie"
    # ======================================================================= #
    when /^270043(_|-| )?Bioanorganische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270043&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "163.177 Grundlagen der Chemie"
    # ======================================================================= #
    when /^163\.?177(_|-| )?Grundlagen(_|-| )?der(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1551&dsrid=565&courseNr=163177&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Meereskunde"
    # ======================================================================= #
    when /^Meereskunde$/i,
         /^300496(_|-| )?Meereskunde$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300496&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300309 Mikrobielle Genomplastizität"
    # ======================================================================= #
    when /^300309(_|-| )?Mikrobielle(_|-| )?Genomplastizität$/i,
         /^300309(_|-| )?VO(_|-| )?Mikrobielle(_|-| )?Genomplastizität$/i,
         /^Mikrobielle(_|-| )?Genomplastizität$/i,
         'genomplastizität','genomplasti'
      'https://ufind.univie.ac.at/de/course.html?lv=300309&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Margit Cichna-Markl"
    # ======================================================================= #
    when /^Margit(_|-| )?Cichna(_|-| )?Markl$/i,'cichna'
      'https://ufind.univie.ac.at/de/person.html?id=670&teaching=true'
    # ======================================================================= #
    # === rf "051020 Programmierung 2"
    # ======================================================================= #
    when /^051020(_|-| )?Programmierung(_|-| )?2$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=051020&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=051020&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Superresolution microscopy with single molecules"
    # ======================================================================= #
    when /^Superresolution(_|-| )?microscopy(_|-| )?with(_|-| )?single(_|-| )?molecules$/i,
         /^134\.?220(_|-| )?Superresolution(_|-| )?microscopy(_|-| )?with(_|-| )?single(_|-| )?molecules$/i,
         /^Superresolution(_|-| )?Microscopy$/i,
         'superresolution'
      # 'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9637&dsrid=159&courseNr=134220&semester=2018S' # 2018S
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6095&dsrid=16&courseNr=134220&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Chemie im Bauwesen"
    # ======================================================================= #
    when /^Chemie(_|-| )?im(_|-| )?Bauwesen$/i,
         /^226.024(_|-| )?Chemie(_|-| )?im(_|-| )?Bauwesen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6325&dsrid=939&courseNr=226024&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf verne
    # ======================================================================= #
    when /^Jürgen(_|-| )?Kleine(_|-| )?Vehn$/i,
         'verne'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=0C9D8AC9D487C1BC&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Trenn- und Analysemethoden org. Arzneistoffe inkl. bioanalyt. Methoden"
    # ======================================================================= #
    when /^Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.(_|-| )?Arzneistoffe(_|-| )?inkl\.(_|-| )?bioanalyt\.(_|-| )?Methoden$/i,
         /^321023(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.(_|-| )?Arzneistoffe(_|-| )?inkl\.(_|-| )?bioanalyt\.(_|-| )?Methoden$/i,
         /^301465(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.(_|-| )?Arzneistoffe(_|-| )?inkl\.(_|-| )?bioanalyt\.(_|-| )?Methoden$/i,
         /^Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden(_|-| )?(_|-| )?(_|-| )?B12$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321023&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf steinkellner 
    # ======================================================================= #
    when 'steinkellner'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=B8209B1FFD1547BB&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Laborübungen Genetik für Agrarwissenschaften (in Eng.)"
    # ======================================================================= #
    when /^Laborübungen(_|-| )?Genetik(_|-| )?für(_|-| )?Agrarwissenschaften(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941110(_|-| )?Laborübungen(_|-| )?Genetik(_|-| )?für(_|-| )?Agrarwissenschaften(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Laborübungen(_|-| )?Genetik(_|-| )?für(_|-| )?Agrarwissenschaften$/i,
         /^941110(_|-| )?Laborübungen(_|-| )?Genetik(_|-| )?für(_|-| )?Agrarwissenschaften$/i,
         /^Laborübungen(_|-| )?Genetik(_|-| )?für(_|-| )?AW$/i,
         'übung2','ü2','agrarübung'
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283132' # 2018S
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285983' # 2018W
    # ======================================================================= #
    # === rf "500044 Einführung in das Arbeiten im biomedizinischen Labor"
    # ======================================================================= #
    when /^500044(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?Arbeiten(_|-| )?im(_|-| )?biomedizinischen(_|-| )?Labor$/i,
         /^Einführung(_|-| )?in(_|-| )?das(_|-| )?Arbeiten(_|-| )?im(_|-| )?biomedizinischen(_|-| )?Labor$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58055' # 2018W
    # ======================================================================= #
    # === rf "Mathematik (LBT)"
    # ======================================================================= #
    when /^Mathematik(_|-| )?\(LBT\)$/i,
         /^Mathematik(_|-| )?LBT$/i,
         /mathematik_?lbt/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285414' # 2018W
    # ======================================================================= #
    # === rf "Advanced Genetic Engineering"
    # ======================================================================= #
    when /^Advanced(_|-| )?Genetic(_|-| )?Engineering$/i,
         /^301246(_|-| )?Advanced(_|-| )?Genetic(_|-| )?Engineering$/i,
         /^Advanced(_|-| )?Genetic(_|-| )?Engineering(_|-| )?in(_|-| )?Yeast$/i,
         /^301246(_|-| )?Advanced(_|-| )?Genetic(_|-| )?Engineering(_|-| )?in(_|-| )?Yeast$/i,
         /^Advanced(_|-| )?Genetic(_|-| )?Engineering(_|-| )?in(_|-| )?Yeast(_|-| )?(_|-| )?(_|-| )?Praktikum(_|-| )?und(_|-| )?Seminar$/i,
         /^301246(_|-| )?Advanced(_|-| )?Genetic(_|-| )?Engineering(_|-| )?in(_|-| )?Yeast(_|-| )?(_|-| )?(_|-| )?Praktikum(_|-| )?und(_|-| )?Seminar$/i,
         'übung3','ü3'
      'https://ufind.univie.ac.at/de/course.html?lv=301246&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Felix Rauh"
    # ======================================================================= #
    when /^Felix(_|-| )?Rauh$/,'rauh'
      'https://ufind.univie.ac.at/de/person.html?id=100495'
    # ======================================================================= #
    # === rf "Analytische Chemie III"
    # ======================================================================= #
    when /^Analytische(_|-| )?Chemie(_|-| )?III$/i,
         /^164\.?253(_|-| )?Analytische(_|-| )?Chemie(_|-| )?III$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1135&dsrid=129&courseNr=164253&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Methoden der Biomolekularen Simulation"
    # ======================================================================= #
    when /^Methoden(_|-| )?der(_|-| )?Biomolekularen(_|-| )?Simulation$/i,
         /^Seminar(_|-| |:)?(_|-| )?Methoden(_|-| )?der(_|-| )?Biomolekularen(_|-| )?Simulation$/i,
         /^270060(_|-| )?Seminar(_|-| |:)?(_|-| )?Methoden(_|-| )?der(_|-| )?Biomolekularen(_|-| )?Simulation$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270060&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Products and processes in biotechnology (in Eng.)"
    # ======================================================================= #
    when /^Products(_|-| )?and(_|-| )?processes(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^791360(_|-| )?Products(_|-| )?and(_|-| )?processes(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283741' # 2018W
    # ======================================================================= #
    # === rf "Qualitätsmanagement I"
    # ======================================================================= #
    when /^Qualitätsmanagement(_|-| )?I$/i,
         /^754109(_|-| )?Qualitätsmanagement(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283692' # 2019S
    # ======================================================================= #
    # === rf "Qualitätsmanagement im Betrieb"
    # ======================================================================= #
    when /^Qualitätsmanagement(_|-| )?im(_|-| )?Betrieb$/i,
         /^330003(_|-| )?Qualitätsmanagement(_|-| )?im(_|-| )?Betrieb$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330003&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Zellbiologie der Pflanzen"
    # ======================================================================= #
    when /^Zellbiologie(_|-| )?der(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300248&semester=2016W'
    # ======================================================================= #
    # === rf "Pflanzenanatomie Übungen"
    # ======================================================================= #
    when /Pflanzenanatomie(_|-| )?Übungen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300056&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Nanometrology"
    # ======================================================================= #
    when /^Nanometrology$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9449&dsrid=426&courseNr=376052&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Seminar in Zellbiologie"
    # ======================================================================= #
    when /^Seminar(_|-| )?in(_|-| )?Zellbiologie$/i,
         /^301121(_|-| )?Seminar(_|-| )?in(_|-| )?Zellbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301121&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Pharmazeutische Nanotechnologie"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Nanotechnologie$/i,
         /^322073(_|-| )?Pharmazeutische(_|-| )?Nanotechnologie$/i,
         /^322073(_|-| )?Pharmazeutische(_|-| )?Nanotechnologie(_|-| )?(_|-| )?(_|-| )?M7\/?M14$/i,
         /^322073(_|-| )?VU(_|-| )?Pharmazeutische(_|-| )?Nanotechnologie(_|-| )?(_|-| )?(_|-| )?M7\/?M14$/i,
         /^Pharmazeutische(_|-| )?Nanotechnologie(_|-| )?(_|-| )?(_|-| )?M7\/M14$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322073&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen des Rechts"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?des(_|-| )?Rechts$/i,
         /^736112(_|-| )?Grundlagen(_|-| )?des(_|-| )?Rechts$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285463' # 2018W
    # ======================================================================= #
    # === rf "Konzepte der Ökologie"
    # ======================================================================= #
    when /^Konzepte(_|-| )?der(_|-| )?Ökologie$/i,
         /^300024(_|-| )?Konzepte(_|-| )?der(_|-| )?Ökologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300024&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Pflanzenphysiologie für LA-BU"
    # ======================================================================= #
    when /^Pflanzenphysiologie(_|-| )?für(_|-| )?LA(_|-| )?BU$/i # Eine Übung.
      'https://ufind.univie.ac.at/de/course.html?lv=300503&semester=2017S'
    # ======================================================================= #
    # === rf "Advanced Techniques in Molecular Microbiology"
    # ======================================================================= #
    when /^Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology$/i,
         /^301842(_|-| )?Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301842&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Analysemethoden für Proteomics und Lipidomics"
    # ======================================================================= #
    when /^Analysemethoden(_|-| )?für(_|-| )?Proteomics(_|-| )?und(_|-| )?Lipidomics$/i,
         /^270114(_|-| )?Analysemethoden(_|-| )?für(_|-| )?Proteomics(_|-| )?und(_|-| )?Lipidomics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270114&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf kontaxis
    # ======================================================================= #
    when 'kontaxis'
      'https://ufind.univie.ac.at/de/person.html?id=14705&teaching=true'
    # ======================================================================= #
    # === rf "Seminar in biotechnology"
    # ======================================================================= #
    when /^Seminar(_|-| )?in(_|-| )?biotechnology$/i,
         /^Seminar(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791377(_|-| )?Seminar(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Seminar(_|-| )?Biotechnology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284701' # 2018W
    # ======================================================================= #
    # === rf "185.330 Anatomie und Histologie"
    # ======================================================================= #
    when /^185\.?330(_|-| )?Anatomie(_|-| )?und(_|-| )?Histologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6899&dsrid=177&courseNr=185330&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Special Chapters in RNA Research - DK RNA"
    # ======================================================================= #
    when /^Special(_|-| )?Chapters(_|-| )?in(_|-| )?RNA(_|-| )?Research(_|-| )?(_|-| )?(_|-| )?DK(_|-| )?RNA$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301231&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf unibibliothek
    # ======================================================================= #
    when 'unibibliothek'
      'https://bibliothek.univie.ac.at/'
    # ======================================================================= #
    # === rf ernskripten
    # ======================================================================= #
    when 'ern_skriptenpool','ern_doodle','ernskripten'
      'http://www.univie.ac.at/strvew/pool/'
    # ======================================================================= #
    # === rf strukturaufklärung
    # ======================================================================= #
    when 'strukturaufklärung',
         /^Strukturaufklärung(_|-| )?an(_|-| )?der(_|-| )?TU(_|-| )?Wien$/i,
         /^163\.?176(_|-| )?Strukturaufklärung$/i,
         /^SE(_|-| )?Strukturaufklärung$/i,
         /^PS(_|-| )?Strukturaufklärung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6077&dsrid=590&courseNr=163176&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf introduction_to_molecular_techniques
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?molecular(_|-| )?techniques$/i,
         /^300394(_|-| )?Introduction(_|-| )?to(_|-| )?molecular(_|-| )?techniques$/i,
         'introduction_to_genetic_techniques'
      'https://ufind.univie.ac.at/de/course.html?lv=300394&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "301656 Übung in Cyto- und Entwicklungsgenetik"
    # ======================================================================= #
    when /^301656(_|-| )?Übung(_|-| )?in(_|-| )?Cyto(_|-| )?(_|-| )?und(_|-| )?Entwicklungsgenetik$/i,
         /^Übung(_|-| )?in(_|-| )?Cyto(_|-| )?(_|-| )?und(_|-| )?Entwicklungsgenetik$/i,
         /^301656$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301656&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Proseminar zur Molekularen Mikrobiologie"
    # ======================================================================= #
    when /^Proseminar(_|-| )?zur(_|-| )?Molekularen(_|-| )?Mikrobiologie$/i,
         /^301556(_|-| )?Proseminar(_|-| )?zur(_|-| )?Molekularen(_|-| )?Mikrobiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301556&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Single molecule microscopy"
    # ======================================================================= #
    when /^Single(_|-| )?molecule(_|-| )?microscopy$/i,
         /^134\.?203(_|-| )?Single(_|-| )?molecule(_|-| )?microscopy$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4958&dsrid=496&courseNr=134203&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300371 Advanced topics in Molecular Biology and Physiology of Bacteria and Archaea"
    # ======================================================================= #
    when /^300371(_|-| )?Advanced(_|-| )?topics(_|-| )?in(_|-| )?Molecular(_|-| )?Biology(_|-| )?and(_|-| )?Physiology(_|-| )?of(_|-| )?Bacteria(_|-| )?and(_|-| )?Archaea$/i,
         /^Advanced(_|-| )?topics(_|-| )?in(_|-| )?Molecular(_|-| )?Biology(_|-| )?and(_|-| )?Physiology(_|-| )?of(_|-| )?Bacteria(_|-| )?and(_|-| )?Archaea$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300371&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biochemie und Biotechnologie"
    # ======================================================================= #
    when /^Biochemie(_|-| )?und(_|-| )?Biotechnologie$/i,
         /^166\.?222(_|-| )?Biochemie(_|-| )?und(_|-| )?Biotechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6596&dsrid=110&courseNr=166222&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Kryopräparation biologischer Proben für ultrastrukturelle Studien"
    # ======================================================================= #
    when /^Kryopräparation(_|-| )?biologischer(_|-| )?Proben(_|-| )?für(_|-| )?ultrastrukturelle(_|-| )?Studien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300104&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Johann Rotheneder"
    # ======================================================================= #
    when /^Johann(_|-| )?Rotheneder$/i,'rotheneder','roteneder'
      'https://ufind.univie.ac.at/de/person.html?id=4676&teaching=true'
    # ======================================================================= #
    # === rf "Proseminar Immunobiology"
    # ======================================================================= #
    when /^Proseminar(_|-| )?Immunobiology$/i,
         /^301008(_|-| )?Proseminar(_|-| )?Immunobiology$/i,
         /^Proseminar(_|-| )?Immunobiologie$/i,
         /^Proseminar(_|-| )?zur(_|-| )?Immunobiologie$/i,
         /^Proseminar(_|-| )?zur(_|-| )?Immunbiologie$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301008&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=301008&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Licht- und Videomikroskopie in Theorie und Praxis"
    # ======================================================================= #
    when /^Licht(_|-| )?(_|-| )?und(_|-| )?Videomikroskopie(_|-| )?in(_|-| )?Theorie(_|-| )?und(_|-| )?Praxis$/i,
         /^Licht(_|-| )?(_|-| )?und(_|-| )?Videomikroskopie(_|-| )?in(_|-| )?Theorie(_|-| )?und(_|-| )?Praxis(_|-| )?\(?in(_|-| )?Parallelen\)?$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300149&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=300149&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "322084 Parasitology - M14"
    # ======================================================================= #
    when /^322084(_|-| )?Parasitology(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Parasitology(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Parasitology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322084&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Medizinische Parasitologie"
    # ======================================================================= #
    when /^Medizinische(_|-| )?Parasitologie$/i,
         /^300433(_|-| )?Medizinische(_|-| )?Parasitologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300433&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Zoologie (AW)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Zoologie(_|-| )?\(?AW\)?$/i,
         /^Zoologie(_|-| )?\(?AW\)?$/i,
         /^833104(_|-| )?Zoologie(_|-| )?\(?AW\)?$/i,
         'zoologie'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285375' # 2018W
    # ======================================================================= #
    # === rf "051120 Mathematische Grundlagen der Informatik 2"
    # ======================================================================= #
    when /^051120(_|-| )?Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?2$/i,
         /^Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?2$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=051110&semester=2018W' # 2018W
      'https://ufind.univie.ac.at/de/course.html?lv=051110&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biochemie, Molekularbiologie und Biotechnologie"
    # ======================================================================= #
    when /^Biochemie(_|-| |,)?(_|-| )?Molekularbiologie(_|-| )?und(_|-| )?Biotechnologie$/i,
         /^166\.?691(_|-| )?Biochemie(_|-| |,)?(_|-| )?Molekularbiologie(_|-| )?und(_|-| )?Biotechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6541&dsrid=111&courseNr=166691&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Juraj Gregan"
    # ======================================================================= #
    when /^Juraj(_|-| )?Gregan$/i,'gregan'
      'https://ufind.univie.ac.at/de/person.html?id=19800&teaching=true'
    # ======================================================================= #
    # === rf "Fritz Pittner"
    # ======================================================================= #
    when /^Fritz(_|-| )?Pittner$/i,'pittner'
      'https://ufind.univie.ac.at/de/person.html?id=4184&teaching=true'
    # ======================================================================= #
    # === rf ammerer
    # ======================================================================= #
    when 'ammerer','gustav_ammerer'
      'https://ufind.univie.ac.at/de/person.html?id=77&teaching=true'
    # ======================================================================= #
    # === rf rudroff
    # ======================================================================= #
    when 'rudroff'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/52792'
    # ======================================================================= #
    # === rf "Computational Concepts in Chemistry I"
    # ======================================================================= #
    when /^Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Chemistry(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=269003&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf uniwien_calendar
    # ======================================================================= #
    when /uniwien_?calendar/,'rembart','unirembart',
         'unicalendar','biologie_prüfungstermine','uniexam',
         'biocalendar','biologiecalendar',/calendar_?biologie/,
         'uniexams','uni_exams','biologie_calendar',
         'biologie_prüfungen',
         'unitermine','unikalender','uni_kalender'
      'http://uni.rembart.at/index.php?kalender=1&m='+Date.today.month.to_s+'&j='+Date.today.year.to_s
    # ======================================================================= #
    # === rf tiss_calendar
    # ======================================================================= #
    when 'tiss_calendar','tisscalendar'
      'https://tiss.tuwien.ac.at/events/personSchedule.xhtml?windowId=e19'
    # ======================================================================= #
    # === rf "300527 Molekulare Phylogenie auf der Basis von Museumsmaterial"
    # ======================================================================= #
    when /^300527(_|-| )?Molekulare(_|-| )?Phylogenie(_|-| )?auf(_|-| )?der(_|-| )?Basis(_|-| )?von(_|-| )?Museumsmaterial$/i,
         /^Molekulare(_|-| )?Phylogenie(_|-| )?auf(_|-| )?der(_|-| )?Basis(_|-| )?von(_|-| )?Museumsmaterial$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300527&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "DNA sequencing: molecular protocols, Sanger sequencing and NGS"
    # ======================================================================= #
    when /^DNA(_|-| )?sequencing(_|-| |:)?(_|-| )?molecular(_|-| )?protocols(_|-| |,)?(_|-| )?Sanger(_|-| )?sequencing(_|-| )?and(_|-| )?NGS$/i,
         /^300200(_|-| )?DNA(_|-| )?sequencing(_|-| |:)?(_|-| )?molecular(_|-| )?protocols(_|-| |,)?(_|-| )?Sanger(_|-| )?sequencing(_|-| )?and(_|-| )?NGS$/i,
         /^300200(_|-| )?UE(_|-| )?DNA(_|-| )?sequencing(_|-| |:)?(_|-| )?molecular(_|-| )?protocols(_|-| |,)?(_|-| )?Sanger(_|-| )?sequencing(_|-| )?and(_|-| )?NGS$/i,
         /^DNA(_|-| )?Sequencing$/i,
         /^DNA(_|-| )?sequencing(_|-| |:)?(_|-| )?molecular(_|-| )?protocols$/i,
         /^Sanger(_|-| )?sequencing$/i,
         'ngs'
      'https://ufind.univie.ac.at/de/course.html?lv=300200&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Marieluise Weidinger"
    # ======================================================================= #
    when /^Marieluise(_|-| )?Weidinger$/i,
         'weidinger'
      'https://ufind.univie.ac.at/de/person.html?id=6137&teaching=true'
    # ======================================================================= #
    # === rf "300484 Practical Course in Molecular Microbiology, Microbial Ecology and Immunobiology"
    # ======================================================================= #
    when /^300484(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300484&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Ernährung und Immunologie"
    # ======================================================================= #
    when /^Ernährung(_|-| )?und(_|-| )?Immunologie$/i,
         /^330012(_|-| )?Ernährung(_|-| )?und(_|-| )?Immunologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330012&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Peter Ertl"
    # ======================================================================= #
    when /^Peter(_|-| )?Ertl$/i,'ertl',
         /^Paul(_|-| )?Ertl$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/2222121'
    # ======================================================================= #
    # === rf "Zellbiologie tierischer Zellen"
    # ======================================================================= #
    when /^Zellbiologie(_|-| )?tierischer(_|-| )?Zellen$/i,
         /^301120(_|-| )?Zellbiologie(_|-| )?tierischer(_|-| )?Zellen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301120&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf kryopräparation
    # ======================================================================= #
    when 'kryopräparation',
         /"Hands(_|-| )?on"(_|-| )?(_|-| )?Kryopräparation$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300104&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Hands-on Immunolabelling for Light and Electron Microscopy"
    # ======================================================================= #
    when /^Hands-on(_|-| )?Immunolabelling(_|-| )?for(_|-| )?Light(_|-| )?and(_|-| )?Electron(_|-| )?Microscopy$/i,
         /^Hands(_|-| )?on(_|-| )?Immunolabelling(_|-| )?for(_|-| )?Light(_|-| )?and(_|-| )?Electron(_|-| )?Microscopy(_|-| )?(_|-| )?(_|-| )?techniques(_|-| )?and(_|-| )?preparations(_|-| )?for(_|-| )?biologists$/i,
         /^300306(_|-| )?Hands(_|-| )?on(_|-| )?Immunolabelling(_|-| )?for(_|-| )?Light(_|-| )?and(_|-| )?Electron(_|-| )?Microscopy(_|-| )?(_|-| )?(_|-| )?techniques(_|-| )?and(_|-| )?preparations(_|-| )?for(_|-| )?biologists$/i,
         /^Hands(_|-| )?on$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300306&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Chemische Biologie"
    # ======================================================================= #
    when /^Chemische(_|-| )?Biologie$/i,
         /^270052(_|-| )?Chemische(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270052&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "953318 Gene technology for plant pathologists (in Eng.)"
    # ======================================================================= #
    when /^953318(_|-| )?Gene(_|-| )?technology(_|-| )?for(_|-| )?plant(_|-| )?pathologists(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /Gene(_|-| )?technology(_|-| )?for(_|-| )?plant(_|-| )?pathologists(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /Gene(_|-| )?technology(_|-| )?for(_|-| )?plant(_|-| )?pathologists$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283915' # 2018W
    # ======================================================================= #
    # === rf "Gesteinskunde-Übungen (AW)"
    # ======================================================================= #
    when /^Gesteinskunde(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         /^Gesteinskunde(_|-| )?(_|-| )?(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         /^872105(_|-| )?Gesteinskunde(_|-| )?(_|-| )?(_|-| )?Übungen(_|-| )?\(?AW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284850' # 2018W
    # ======================================================================= #
    # === rf "Spezielle Themen der Biochemie"
    # ======================================================================= #
    when /^Spezielle(_|-| )?Themen(_|-| )?der(_|-| )?Biochemie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163568&semester=2016W' # 2016W
    # ======================================================================= #
    # === rf "300257 Forschungs- und Universitätsmanagement"
    # ======================================================================= #
    when /^300257(_|-| )?Forschungs(_|-| )?(_|-| )?und(_|-| )?Universitätsmanagement$/i,
         /^Forschungs(_|-| )?(_|-| )?und(_|-| )?Universitätsmanagement$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300257&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Christoph Schüller"
    # ======================================================================= #
    when /^Christoph(_|-| )?Schüller/i,'schüller'
      'https://ufind.univie.ac.at/de/person.html?id=9676&teaching=true'
    # ======================================================================= #
    # === rf "Biochemie und Immunologie"
    # ======================================================================= #
    when /^Biochemie(_|-| )?und(_|-| )?Immunologie$/i,
         /^321017(_|-| )?Biochemie(_|-| )?und(_|-| )?Immunologie$/i,
         /^321017(_|-| )?Biochemie(_|-| )?und(_|-| )?Immunologie(_|-| )?(_|-| )?(_|-| )?B10$/i,
         /^Biochemie(_|-| )?und(_|-| )?Immunologie(_|-| )?(_|-| )?(_|-| )?B10$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321017&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf fachschaft_chemie
    # ======================================================================= #
    when 'fachschaft','fachschaft_chemie','tc_forum',
         'tuforum','chemieforum2','tuwien_forum','tuwienforum',
         'tuchemie_forum'
      'http://www.fsch.at/'
    # ======================================================================= #
    # === rf "Molecular tools in plant systematics and evolution"
    # ======================================================================= #
    when /Molecular(_|-| )?tools(_|-| )?in(_|-| )?plant(_|-| )?systematics(_|-| )?and(_|-| )?evolution/i
      'https://ufind.univie.ac.at/de/course.html?lv=300110&semester=2016W'
    # ======================================================================= #
    # === rf "Wladyslaw Szymanski"
    # ======================================================================= #
    when /^Wladyslaw(_|-| )?Szymanski$/i
      'https://ufind.univie.ac.at/de/person.html?id=5650&teaching=true'
    # ======================================================================= #
    # === rf "Erstellen von wissenschaftlichen Protokollen mit LaTeX"
    # ======================================================================= #
    when /^Erstellen(_|-| )?von(_|-| )?wissenschaftlichen(_|-| )?Protokollen(_|-| )?mit(_|-| )?LaTeX$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270184&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Die Zelle im Elektronenmikroskop"
    # ======================================================================= #
    when /^Die(_|-| )?Zelle(_|-| )?im(_|-| )?Elektronenmikroskop$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300208&semester=2018S'
    # ======================================================================= #
    # === rf "Daniela Gruber"
    # ======================================================================= #
    when /^Daniela(_|-| )?Gruber$/i
      'https://ufind.univie.ac.at/de/person.html?id=1606&teaching=true'
    # ======================================================================= #
    # === rf "Martin Leeb"
    # ======================================================================= #
    when /^Martin(_|-| )?Leeb$/i
      'https://ufind.univie.ac.at/de/person.html?id=58363&teaching=true' 
    # ======================================================================= #
    # === rf "Peter Turacek"
    # ======================================================================= #
    when /^Peter(_|-| )?Turecek$/i,'turacek'
      'https://ufind.univie.ac.at/de/person.html?id=17447&teaching=true' 
    # ======================================================================= #
    # === rf "Übungen aus Mikrobiologie"
    # ======================================================================= #
    when /^Übungen(_|-| )?aus(_|-| )?Mikrobiologie$/i,
         /^321032(_|-| )?Übungen(_|-| )?aus(_|-| )?Mikrobiologie$/i,
         /^Übungen(_|-| )?aus(_|-| )?Mikrobiologie/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=321032&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=321032&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Chemie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie$/i,
         /^771100(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286167' # 2018W
    # ======================================================================= #
    # === rf Antiinfektiva
    # ======================================================================= #
    when /Antiinfektiva,(_|-| )?Antineoplastika(_|-| )?und(_|-| )?(Bio)pharmazeutika(_|-| )?mit(_|-| )?Wirkung(_|-| )?auf(_|-| )?das(_|-| )?Immunsystem/i,
         'antiinfektiva'
      'https://ufind.univie.ac.at/de/course.html?lv=322002&semester=2016W'
    # ======================================================================= #
    # === rf "164.185 Festkörperchemie"
    # ======================================================================= #
    when /^164\.?185(_|-| )?Festkörperchemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8004&dsrid=412&courseNr=164185&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "164.240 Festkörperchemie"
    # ======================================================================= #
    when /^164\.?240(_|-| )?Festkörperchemie$/i,
        'festkörperchemie'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8004&dsrid=412&courseNr=164240&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Struktur und Dynamik von Biopolymeren"
    # ======================================================================= #
    when /^Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i,
         /^270087(_|-| )?Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270087&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Zoologie-Übungen (AW)"
    # ======================================================================= #
    when /^Zoologie(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         /^833106(_|-| )?Zoologie(_|-| )?Übungen(_|-| )?\(?AW\)?/i,
         /^Zoologie(_|-| )?(_|-| )?(_|-| )?Übungen(_|-| )?\(?AW\)?/i   
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285376' # 2018W
    # ======================================================================= #
    # === rf "Mathematik (AW)"
    # ======================================================================= #
    when /^Mathematik(_|-| )?\(?AW\)?/i,
         /^835103(_|-| )?Mathematik(_|-| )?\(?AW\)?/i
       'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285416' # 2018W
    # ======================================================================= #
    # === rf "Molekularbiologie für Agrarwissenschaften"
    # ======================================================================= #
    when /^Molekularbiologie(_|-| )?für(_|-| )?Agrarwissenschaften$/i,
         /^941104(_|-| )?Molekularbiologie(_|-| )?für(_|-| )?Agrarwissenschaften$/i,
         /^BOKU(_|-| )?Molekularbiologie(_|-| )?für(_|-| )?Agrarwissenschaften$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280875' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen und Umgang von Geistiges Eigentum für Naturwissenschaftler"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?und(_|-| )?Umgang(_|-| )?von(_|-| )?Geistiges(_|-| )?Eigentum(_|-| )?für(_|-| )?Naturwissenschaftler$/i,
         /^Geistiges(_|-| )?Eigentum$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301565&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Introduction to Nanotechnology"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?Nanotechnology$/i,
         /^134\.152(_|-| )?Introduction(_|-| )?to(_|-| )?Nanotechnology$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2239&dsrid=58&courseNr=134152&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf konrat
    # ======================================================================= #
    when /Robert(_|-| )?Konrat/,'konrat'
      'https://ufind.univie.ac.at/de/person.html?id=26040&teaching=true'
    # ======================================================================= #
    # === rf "Pharmaziekarte"
    # ======================================================================= #
    when 'pharmazie_karte',
         /Pharmaziekarte/i
      'http://bibliothek.univie.ac.at/fb-pharmazie/lageplan.html'
    # ======================================================================= #
    # === rf "134.209 Molekulare Biophysik"
    # ======================================================================= #
    when /^134\.?209(_|-| )?Molekulare(_|-| )?Biophysik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2151&dsrid=398&courseNr=134209&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Human Life History"
    # ======================================================================= #
    when /^Human(_|-| )?Life(_|-| )?History$/i,
         /^300321(_|-| )?Human(_|-| )?Life(_|-| )?History$/i,
         /^Life(_|-| )?History$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300321&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Proteomics in systembiology"
    # ======================================================================= #
    when /^Proteomics(_|-| )?in(_|-| )?systembiology$/i,
         /^300094(_|-| )?Proteomics(_|-| )?in(_|-| )?systembiology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300094&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Enzyme - Mechanismen und Anwendungen"
    # ======================================================================= #
    when /^Enzyme(_|-| )?(_|-| )?(_|-| )?Mechanismen(_|-| )?und(_|-| )?Anwendungen$/i,
         /^270095(_|-| )?Enzyme(_|-| )?(_|-| )?(_|-| )?Mechanismen(_|-| )?und(_|-| )?Anwendungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270095&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf siomos
    # ======================================================================= #
    when 'siomos'
      'https://ufind.univie.ac.at/de/person.html?id=28623&teaching=true'
    # ======================================================================= #
    # === rf "Chemisches Grundpraktikum II B"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Grundpraktikum(_|-| )?II(_|-| )?B$/i,
         /^270062(_|-| )?Chemisches(_|-| )?Grundpraktikum(_|-| )?II(_|-| )?B$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=270062&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=270062&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Bionik - technische Lösungen aus der Natur"
    # ======================================================================= #
    when /^Bionik(_|-| )?(_|-| )?(_|-| )?technische(_|-| )?Lösungen(_|-| )?aus(_|-| )?der(_|-| )?Natur$/i,
         /^892325(_|-| )?Bionik(_|-| )?(_|-| )?(_|-| )?technische(_|-| )?Lösungen(_|-| )?aus(_|-| )?der(_|-| )?Natur$/i,
         'bionik'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284126' # 2018W       
    # ======================================================================= #
    # === rf "Einführung in die Zellbiologie und Genetik Übungen"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik(_|-| )?Übungen$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik(_|-| )?Übung$/i,
         /^941107(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Zellbiologie(_|-| )?und(_|-| )?Genetik(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283098'
    # ======================================================================= #
    # === rf "Immunologie für Biomediziner"
    # ======================================================================= #
    when /^Immunologie(_|-| )?für(_|-| )?Biomediziner$/i,
         /^500132(_|-| )?Immunologie(_|-| )?für(_|-| )?Biomediziner$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=58300' # 2018W
    # ======================================================================= #
    # === rf "791040 Emerging and re-emerging viral threats (in Eng.)"
    # ======================================================================= #
    when /^791040(_|-| )?Emerging(_|-| )?and(_|-| )?re(_|-| )?emerging(_|-| )?viral(_|-| )?threats(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Emerging(_|-| )?Viral(_|-| )Threats$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=286499' # 2018W
    # ======================================================================= #
    # === rf "Antibiotika und Angeborene Immunität"
    # ======================================================================= #
    when /Antibiotika(_|-| )?und(_|-| )?Angeborene(_|-| )?Immunität/i
      'https://ufind.univie.ac.at/de/course.html?lv=270093&semester=2016S'
    # ======================================================================= #
    # === rf "Immunanalytische und Molekularbiologische Methoden"
    # ======================================================================= #
    when /^Immunanalytische(_|-| )?und(_|-| )?Molekularbiologische(_|-| )?Methoden$/i,
         /^270157(_|-| )?Immunanalytische(_|-| )?und(_|-| )?Molekularbiologische(_|-| )?Methoden$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270157&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf fauland
    # ======================================================================= #
    when 'fauland'
      'https://ufind.univie.ac.at/de/person.html?id=16032'
    # ======================================================================= #
    # === rf "Christina Waldsich"
    # ======================================================================= #
    when /^Christina(_|-| )?Waldsich$/i
      'https://ufind.univie.ac.at/de/person.html?id=22074&teaching=true'
    # ======================================================================= #
    # === rf hepner
    # ======================================================================= #
    when 'hepner',/^Martin(_|-| )? Hepner$/i
      'https://ufind.univie.ac.at/de/person.html?id=82920&teaching=true'
    # ======================================================================= #
    # === rf "Chemisches Rechnen für Biologen"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Rechnen(_|-| )?für(_|-| )?Biologen$/i,
         /^301141(_|-| )?Chemisches(_|-| )?Rechnen(_|-| )?für(_|-| )?Biologen$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301141&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=301141&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der Theoretischen Biologie und Evolutionstheorie"
    # ======================================================================= #
    when /^300205(_|-| )?Grundlagen(_|-| )?der(_|-| )?Theoretischen(_|-| )?Biologie(_|-| )?und(_|-| )?Evolutionstheorie$/i,
         /^Grundlagen(_|-| )?der(_|-| )?Theoretischen(_|-| )?Biologie(_|-| )?und(_|-| )?Evolutionstheorie$/i,
         /^Theoretische(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300205&semester=2018S'
    # ======================================================================= #
    # === rf "Karin Nowikovsky"
    # ======================================================================= #
    when /Karin(_|-| )?Nowikovsky/i,
         'Nowikovsky','nowikovsky'
      'https://ufind.univie.ac.at/de/person.html?id=25451&teaching=true'
    # ======================================================================= #
    # === rf "Biophysikalische Chemie der Makromoleküle"
    # ======================================================================= #
    when /Biophysikalische(_|-| )?Chemie(_|-| )?der(_|-| )?Makromoleküle/i
      'https://ufind.univie.ac.at/de/course.html?lv=300270&semester=2016W'
    # ======================================================================= #
    # === rf "Microbial Nitrogen Cycling"
    # ======================================================================= #
    when /^Microbial(_|-| )?Nitrogen(_|-| )?Cycling$/i,
         /^Microbial(_|-| )?Nitrogen(_|-| )?Cycling(_|-| |:)?(_|-| )?From(_|-| )?Single(_|-| )?Cells(_|-| )?to(_|-| )?Ecosystems$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300291&semester=2016W'
    # ======================================================================= #
    # === rf hauptbibliothek
    # ======================================================================= #
    when 'hauptbibliothek'
      'https://bibliothek.univie.ac.at/hauptbibliothek/'
    # ======================================================================= #
    # === rf hüttinger
    # ======================================================================= #
    when /hüttinger/
      'https://ufind.univie.ac.at/de/person.html?id=2227&teaching=true'
    # ======================================================================= #
    # === rf "Institut für Immunologie"
    # ======================================================================= #
    when /^Institut(_|-| )?für(_|-| )?Immunologie$/i
      'https://campus.meduniwien.ac.at/med.campus/webnav.navigate_to?corg=15934'
    # ======================================================================= #
    # === rf "Zentrum für Virologie"
    # ======================================================================= #
    when /^Zentrum(_|-| )?für(_|-| )?Virologie$/i
      'https://campus.meduniwien.ac.at/med.campus/webnav.navigate_to?corg=14641'
    # ======================================================================= #
    # === rf "Mikrob. Lebensgemeinschaften"
    # ======================================================================= #
    when /^Mikrob\.?(_|-| )?Lebensgemeinschaften$/i,
         /^300178(_|-| )?Mikrob\.?(_|-| )?Lebensgemeinschaften$/i,
         /^Mikrobielle(_|-| )?Lebensgemeinschaften$/i,
         /^300178(_|-| )?Mikrobielle(_|-| )?Lebensgemeinschaften$/i,
         'lebensgemeinschaften'
      'https://ufind.univie.ac.at/de/course.html?lv=300178&semester=2018S'
    # ======================================================================= #
    # === rf "Bioethik und Forschungsethik"
    # ======================================================================= #
    when /^Bioethik(_|-| )?und(_|-| )?Forschungsethik$/i,
         /^300036(_|-| )?Bioethik(_|-| )?und(_|-| )?Forschungsethik$/i,
         /^300022(_|-| )?Bioethik(_|-| )?und(_|-| )?Forschungsethik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300022&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Arzneistoffanalytik"
    # ======================================================================= #
    when /^Arzneistoffanalytik/i
      'https://ufind.univie.ac.at/de/course.html?lv=321024&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Instrumentelle Arzneistoffanalytik"
    # ======================================================================= #
    when /Instrumentelle(_|-| )?Arzneistoffanalytik/i
      'https://ufind.univie.ac.at/de/course.html?lv=321016&semester=2016W'
    # ======================================================================= #
    # === rf "Nomenklatur von Arzneistoffen"
    # ======================================================================= #
    when /Nomenklatur(_|-| )?von(_|-| )?Arzneistoffen/i
      'https://ufind.univie.ac.at/de/course.html?lv=321012&semester=2016W'
    # ======================================================================= #
    # === rf "Bioorganische Chemie"
    # ======================================================================= #
    when /^Bioorganische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321011&semester=2016S'
    # ======================================================================= #
    # === rf "Conservation Genetics - Genetik in Natur- und Artenschutz"
    # ======================================================================= #
    when /^Conservation(_|-| )?Genetics(_|-| )?(_|-| )?(_|-| )?Genetik(_|-| )?in(_|-| )?Natur(_|-| )?(_|-| )?und(_|-| )?Artenschutz$/i,
         /^300159(_|-| )?Conservation(_|-| )?Genetics(_|-| )?(_|-| )?(_|-| )?Genetik(_|-| )?in(_|-| )?Natur(_|-| )?(_|-| )?und(_|-| )?Artenschutz$/i,
         /^Conservation(_|-| )?Genetics$/i,
         'conservation_genetics'
      'https://ufind.univie.ac.at/de/course.html?lv=300159&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Algorithmische Bioinformatik"
    # ======================================================================= #
    when /^Algorithmische(_|-| )?Bioinformatik$/i,
         /^053520(_|-| )?Algorithmische(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=053520&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die allgemeine Pharmakologie und Pharmakokinetik"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?die(_|-| )?allgemeine(_|-| )?Pharmakologie(_|-| )?und(_|-| )?Pharmakokinetik/i
      'https://ufind.univie.ac.at/de/course.html?lv=321020&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Allgemeine Pharmakologie und Pharmakokinetik"
    # ======================================================================= #
    when /Allgemeine(_|-| )?Pharmakologie(_|-| )?und(_|-| )?Pharmakokinetik/i
      'https://ufind.univie.ac.at/de/course.html?lv=321021&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Chemie Übungen"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie(_|-| )?Übungen$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie(_|-| )?Übung$/i,
         /^771102(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Chemie(_|-| )?Übungen$/i,
         'boku_chemie_übungen' # Einführung in die Chemie Übungen.
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285290' # 2018W
    # ======================================================================= #
    # === rf "Nasschemische Arzneibuchanalytik"
    # ======================================================================= #
    when /Nasschemische(_|-| )?Arzneibuchanalytik/i
      'https://ufind.univie.ac.at/de/course.html?lv=321009&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Grundlagen der physikalischen Chemie"
    # ======================================================================= #
    when /Grundlagen(_|-| )?der(_|-| )?physikalischen(_|-| )?Chemie/i
      'https://ufind.univie.ac.at/de/course.html?lv=321005&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Studienprogrammleitung 32 - Pharmazie"
    # ======================================================================= #
    when /^Studienprogrammleitung(_|-| )?32(_|-| )?(_|-| )?(_|-| )?Pharmazie$/i,
         /^Studienprogrammleitung(_|-| )?Pharmazie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=215795&from=1&to=2'
    # ======================================================================= #
    # === rf anmeldesystem_pharmazie
    # ======================================================================= #
    when /^anmeldesystem_?pharmazie$/i
      'http://www.univie.ac.at/ulg-pqm/anmeldesystemPHARMAZIE/'
    # ======================================================================= #
    # === rf zachos
    # ======================================================================= #
    when 'zachos'
      'https://ufind.univie.ac.at/de/person.html?id=47197&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die biologische Chemie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?biologische(_|-| )?Chemie$/i,
         /^163\.?137(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?biologische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=45a&courseNr=163137&semester=2018W' # 2018W  
    # ======================================================================= #
    # === rf "051024 Algorithmen und Datenstrukturen 1"
    # ======================================================================= #
    when /^051024(_|-| )?Algorithmen(_|-| )?und(_|-| )?Datenstrukturen(_|-| )?1$/i,
         'algorithms'
      'https://ufind.univie.ac.at/de/course.html?lv=051024&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf kraft
    # ======================================================================= #
    when /Kraft/i
      'https://ufind.univie.ac.at/de/person.html?id=44436&teaching=true'
    # ======================================================================= #
    # === rf "Allgemeine und Molekulare Mikrobiologie II"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Mikrobiologie(_|-| )?II$/i,
         /^301211(_|-| )?Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Mikrobiologie(_|-| )?II$/i,
         'amm2'
      'https://ufind.univie.ac.at/de/course.html?lv=301211&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf Hygiene
    # ======================================================================= #
    when /^Hygiene$/i,
         /^BOKU(_|-| )?Hygiene$/i,
         /^754100(_|-| )?Hygiene$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285535' # 2018W
    # ======================================================================= #
    # === rf "Advanced NMR Spectroscopy"
    # ======================================================================= #
    when /^Advanced(_|-| )?NMR(_|-| )?Spectroscopy$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322068&semester=2017S'
    # ======================================================================= #
    # === rf klein
    # ======================================================================= #
    when 'klein',/^Franz(_|-| )?Klein$/i,'franz'
      'https://ufind.univie.ac.at/de/person.html?id=2619&teaching=true'
    # ======================================================================= #
    # === rf "Mikrobielle Physiologie"
    # ======================================================================= #
    when /^Mikrobielle(_|-| )?Physiologie$/i,
         /^791116(_|-| )?Mikrobielle(_|-| )?Physiologie$/i,
         /^mikrobielle_?physiologie$/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284013' # 2018W
    # ======================================================================= #
    # === rf moodle2
    # ======================================================================= #
    when 'moodle2','unimoodle2'
      'https://moodle.univie.ac.at/course/view.php?id=84555'
    # ======================================================================= #
    # === rf moodle3
    # ======================================================================= #
    when 'moodle3','unimoodle3'
      'https://moodle.univie.ac.at/course/view.php?id=75513'
    # ======================================================================= #
    # === rf "Franco Laccone"
    # ======================================================================= #
    when /^Franco(_|-| )?Laccone$/i
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=08E448FB2045B7BD&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Sofija Laufer"
    # ======================================================================= #
    when /^Sofija(_|-| )?Lauferin$/i
      'https://ufind.univie.ac.at/de/person.html?id=55815&teaching=true'
    # ======================================================================= #
    # === rf Yudushkin
    # ======================================================================= #
    when /Yudushkin/i,'yudshkin',
         'yudshikin',
         'ivan'
      'https://ufind.univie.ac.at/de/person.html?id=50948&teaching=true'
    # ======================================================================= #
    # === rf "791366 Infectious diseases and vaccines (in Eng.)"
    # ======================================================================= #
    when /^791366(_|-| )?Infectious(_|-| )?diseases(_|-| )?and(_|-| )?vaccines(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284331' # 2018W
    # ======================================================================= #
    # === rf kinga
    # ======================================================================= #
    when 'kinga'
      'https://www.facebook.com/kinga.h.skorupska'
    # ======================================================================= #
    # === rf bibliothek
    # ======================================================================= #
    when 'bibliothek_univie'
      'http://bibliothek.univie.ac.at/'
    # ======================================================================= #
    # === rf "Lebenszyklus der Pflanzen"
    # ======================================================================= #
    when /Lebenszyklus(_|-| )?der(_|-| )?Pflanzen$/i,
         /Lebenszyklen(_|-| )?der(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300616&semester=2017S'
    # ======================================================================= #
    # === kovarik
    # ======================================================================= #
    when 'kovarik'
      'https://ufind.univie.ac.at/de/person.html?id=10106&teaching=true'
    # ======================================================================= #
    # === rf "Aquatic Viral Ecology"
    # ======================================================================= #
    when /^Aquatic(_|-| )?Viral(_|-| )?Ecology$/i,
         /^300326(_|-| )?Aquatic(_|-| )?Viral(_|-| )?Ecology$/i,
         /^Ökologie(_|-| )?aquatischer(_|-| )?Viren$/i,
         /^Ökologie(_|-| )?mariner(_|-| )?Viren$/i,
         /marine(_|-| )?virology/
      'https://ufind.univie.ac.at/de/course.html?lv=300326&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Ingo Ebersberger"
    # ======================================================================= #
    when /^Ingo(_|-| )?Ebersberger$/i
      'https://ufind.univie.ac.at/en/person.html?id=29169&teaching=true'
    # ======================================================================= #
    # === rf lichtenecker
    # ======================================================================= #
    when /lichtenecker/
      'https://ufind.univie.ac.at/de/person.html?id=80678&teaching=true'
    # ======================================================================= #
    # === rf "Jiri Veis"
    # ======================================================================= #
    when /^Jiri(_|-| )Veis$/i
      'https://ufind.univie.ac.at/de/person.html?id=81119&teaching=true'
    # ======================================================================= #
    # === rf "Christa Bücker"
    # ======================================================================= #
    when /^Christa(_|-| )?Bücker$/i
      'https://ufind.univie.ac.at/de/person.html?id=59603&teaching=true'
    # ======================================================================= #
    # === rf "Special Chapters in RNA Research"
    # ======================================================================= #
    when /^Special(_|-| )?Chapters(_|-| )?in(_|-| )?RNA(_|-| )?Research$/i,
         /^301231(_|-| )?Special(_|-| )?Chapters(_|-| )?in(_|-| )?RNA(_|-| )?Research$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301231&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Rasterelektronenmikroskopie - Techniken und Präparationen für Biologen"
    # ======================================================================= #
    when /^Rasterelektronenmikroskopie(_|-| )?(_|-| )?(_|-| )?Techniken(_|-| )?und(_|-| )?Präparationen(_|-| )?für(_|-| )?Biologen$/i,
         /^300218(_|-| )?Rasterelektronenmikroskopie(_|-| )?(_|-| )?(_|-| )?Techniken(_|-| )?und(_|-| )?Präparationen(_|-| )?für(_|-| )?Biologen$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300218&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=300218&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Writing and Speaking Scientific English"
    # ======================================================================= #
    when /^Writing(_|-| )?and(_|-| )?Speaking(_|-| )?Scientific(_|-| )?English$/i,
         /^301711(_|-| )?Writing(_|-| )?and(_|-| )?Speaking(_|-| )?Scientific(_|-| )?English$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301711&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biologie für Chemiker"
    # ======================================================================= #
    when /^Biologie(_|-| )?für(_|-| )?Chemiker$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270302&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Einführung in molekularbiologische Arbeitstechniken"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?molekularbiologische(_|-| )?Arbeitstechniken$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300108&semester=2017S'
    # ======================================================================= #
    # === rf "Genetisches Seminar"
    # ======================================================================= #
    when /Genetisches(_|-| )?Seminar$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300250&semester=2016W'
    # ======================================================================= #
    # === rf "Übungen zu Struktur und Dynamik von Biopolymeren"
    # ======================================================================= #
    when /^Übungen(_|-| )?zu(_|-| )?Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i,
         /^270041(_|-| )?Übungen(_|-| )?zu(_|-| )?Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i,
         /^270038(_|-| )?Übungen(_|-| )?zu(_|-| )?Struktur(_|-| )?und(_|-| )?Dynamik(_|-| )?von(_|-| )?Biopolymeren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270041&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Methods in Cell Biology"
    # ======================================================================= #
    when /^Methods(_|-| )?in(_|-| )?Cell(_|-| )?Biology$/i,
         /^941339(_|-| )?Methods(_|-| )?in(_|-| )?Cell(_|-| )?Biology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284475' # 2018S
    # ======================================================================= #
    # === rf "Eva Dworkin"
    # ======================================================================= #
    when /^Eva(_|-| )?Dworkin$/i,
         'dworkin'
      'https://ufind.univie.ac.at/de/person.html?id=10371&teaching=true'
    # ======================================================================= #
    # === rf hengtschläger
    # ======================================================================= #
    when 'hengstschläger','hengstschleger','markus_hengstschläger'
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=B108F72A9D25B87B&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Einführung in das Physikstudium"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?das(_|-| )?Physikstudium$/i,
         /^130\.?005(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?Physikstudium$/i
      # 'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3324&dsrid=586&courseNr=130005&semester=2018S&dsrid=488' # 2018S
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2982&dsrid=17&courseNr=130005&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf tierzucht
    # ======================================================================= #
    when 'tierzucht',
         /^932102(_|-| )?Tierzucht$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284178' # 2018W
    # ======================================================================= #
    # === rf "Übungen aus Lebensmittelmikrobiologie und Hygiene"
    # ======================================================================= #
    when /^Übungen(_|-| )?aus(_|-| )?Lebensmittelmikrobiologie(_|-| )?und(_|-| )?Hygiene$/i,
         /^270313(_|-| )?Übungen(_|-| )?aus(_|-| )?Lebensmittelmikrobiologie(_|-| )?und(_|-| )?Hygiene$/i,
         /^270313(_|-| )?UE(_|-| )?Übungen(_|-| )?aus(_|-| )?Lebensmittelmikrobiologie(_|-| )?und(_|-| )?Hygiene$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270313&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Transmissionselektronenmikroskopie von Zellen und Geweben - Techniken und Präparation"
    # ======================================================================= #
    when /^Transmissionselektronenmikroskopie(_|-| )?von(_|-| )?Zellen(_|-| )?und(_|-| )?Geweben(_|-| )?(_|-| )?(_|-| )?Techniken(_|-| )?und(_|-| )?Präparation$/i,
         /^300221(_|-| )?Transmissionselektronenmikroskopie(_|-| )?von(_|-| )?Zellen(_|-| )?und(_|-| )?Geweben(_|-| )?(_|-| )?(_|-| )?Techniken(_|-| )?und(_|-| )?Präparation$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300221&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=300221&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "269003 Computational Concepts in Chemistry I"
    # ======================================================================= #
    when /^269003(_|-| )?Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Chemistry(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=269003&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Structural Bioinformatics I"
    # ======================================================================= #
    when /^Structural(_|-| )?Bioinformatics(_|-| )?I$/i,
         /^301185(_|-| )?Structural(_|-| )?Bioinformatics(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301185&semester=2018W' # 2018W 
    # ======================================================================= #
    # === rf "Genomische Medizin"
    # ======================================================================= #
    when /^Genomische(_|-| )?Medizin$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=326796' # 2017W
    # ======================================================================= #
    # === rf "Molekularbiologische Analyse der Genexpression"
    # ======================================================================= #
    when /^Molekularbiologische(_|-| )?Analyse(_|-| )?der(_|-| )?Genexpression$/i,
         /^562\.?432(_|-| )?Molekularbiologische(_|-| )?Analyse(_|-| )?der(_|-| )?Genexpression$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=324681' # 2018S
    # ======================================================================= #
    # === rf koehler
    # ======================================================================= #
    when 'koehler','gottfried_koehler'
      'https://ufind.univie.ac.at/de/person.html?id=2695&teaching=true'
    # ======================================================================= #
    # === rf uni_wien_bachelor_dropbox
    # ======================================================================= #
    when 'uni_wien_bachelor_dropbox',/molbio_?dropbox/,'unidropbox',
         'dropbox1',
         'dropboxmolbio'
      'https://www.dropbox.com/sh/h12mducajvuv0u3/AAAyXm9HMuDNKvZawJDRAF-Ca?dl=0'
    # ======================================================================= #
    # === rf "Physikalische Chemie"
    # ======================================================================= #
    when /^Physikalische(_|-| )?Chemie$/i,
         /^301370(_|-| )?Physikalische(_|-| )?Chemie$/i,
         /^Physikalische(_|-| )?Chemie(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301370&semester=2019W' # 2019W
    # ======================================================================= #
    # === rf "BVo: Molekulare Biologie der RNA"
    # ======================================================================= #
    when /^BVo\:?(_|-| )?Molekulare(_|-| )?Biologie(_|-| )?der(_|-| )?RNA$/i,
         /^861\.?035(_|-| )?BVo\:?(_|-| )?Molekulare(_|-| )?Biologie(_|-| )?der(_|-| )?RNA$/i,
         /^861\.?035(_|-| )?Molekulare(_|-| )?Biologie(_|-| )?der(_|-| )?RNA$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=327133' # 2018S
    # ======================================================================= #
    # === rf zulassung_boku
    # ======================================================================= #
    when 'zulassung_boku','zulassung','zulassungsvoraussetzung'
      'http://www.boku.ac.at/lehre/studabt/news/interne-zulassung/'
    # ======================================================================= #
    # === rf "Harry Martin"
    # ======================================================================= #
    when /^Harry(_|-| )?Martin$/i
      'https://ufind.univie.ac.at/de/person.html?id=15983&teaching=true'
    # ======================================================================= #
    # === rf "Physiologie für Anthropologen"
    # ======================================================================= #
    when /^Physiologie(_|-| )?für(_|-| )?Anthropologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300298&semester=2016S'
    # ======================================================================= #
    # === rf sintes
    # ======================================================================= #
    when 'sintes'
      'https://ufind.univie.ac.at/de/person.html?id=39821&teaching=true'
    # ======================================================================= #
    # === rf "Genetische Grundlagen der Biodiversität (in Eng.)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Genetische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biodiversität(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Genetische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biodiversität(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Genetische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biodiversität$/i,
         'genetische_grundlagen_der_biodiversität',
         'genetischegrundlagenderbiodiversität'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284492' # 2018W
    # ======================================================================= #
    # === rf remote_stundenplan
    # ======================================================================= #
    when 'remote_stundenplan','stundenplan_tu'
      'http://www.tuwien.ac.at/dekanate/chemie/stundenplaene_bachelorstudium/' # Das sind die Stundenpläne für TU Chemie.
    # ======================================================================= #
    # === rf "Struktur und Funktion des Immunsystems"
    # ======================================================================= #
    when /^Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?des(_|-| )?Immunsystems$/i,
         /^330024(_|-| )?Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?des(_|-| )?Immunsystems$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330024&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf imba_seminars3
    # ======================================================================= #
    when 'imba_seminars3'
      'http://seminars.viennabiocenter.org/seminars.php'
    # ======================================================================= #
    # === rf "Thomas Marlovits"
    # ======================================================================= #
    when /^Thomas(_|-| )?Marlovits$/i,'marlovits'
      'https://ufind.univie.ac.at/de/person.html?id=8701&teaching=true'
    # ======================================================================= #
    # === rf arbeitsgruppen
    # ======================================================================= #
    when 'arbeitsgruppen'
      'http://www.mfpl.ac.at/groups.html'
    # ======================================================================= #
    # === rf manafi
    # ======================================================================= #
    when 'manafi'
      'https://ufind.univie.ac.at/de/person.html?id=3398&teaching=true'
    # ======================================================================= #
    # === rf huber
    # ======================================================================= #
    when 'huber',/^Lukas(_|-| )?Huber$/i
      'https://ufind.univie.ac.at/de/person.html?id=16129&teaching=true'
    # ======================================================================= #
    # === rf "Elektronenmikroskopie_in_der_Biologie_Methodik_Präparation_und_Interpretation"
    # ======================================================================= #
    when /^Elektronenmikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie(_|-| )?Methodik(_|-| )?Präparation(_|-| )?und(_|-| )?Interpretation$/i,
         /^300291(_|-| )?Elektronenmikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie(_|-| )?Methodik(_|-| )?Präparation(_|-| )?und(_|-| )?Interpretation$/i,
         /^Elektronenmikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300291&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Bodenmikrobiologie
    # ======================================================================= #
    when /^Bodenmikrobiologie$/i,
         /^911329(_|-| )?Bodenmikrobiologie$/i,
         /BOKU(_|-| )?Bodenmikrobiologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284125' # 2018W
    # ======================================================================= #
    # === rf "Mikrobiologische Exkursionen"
    # ======================================================================= #
    when /^Mikrobiologische(_|-| )?Exkursionen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300387&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Silvia Ulrich"
    # ======================================================================= #
    when /Silvia(_|-| )?Ulrich$/i
      'https://ufind.univie.ac.at/de/person.html?id=87952&teaching=true'
    # ======================================================================= #
    # === rf mfpl_events
    # ======================================================================= #
    when 'mfpl_events'
      'http://www.mfpl.ac.at/events.html'
    # ======================================================================= #
    # === rf projektpraktikum
    # ======================================================================= #
    when 'biologie_projektpraktikum','projektpraktikum',
         'projektpraktika'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=203827' # 2018S
    # ======================================================================= #
    # === rf "Christian Kolowrat"
    # ======================================================================= #
    when /^Christian(_|-| )?Kolowrat$/i
      'https://ufind.univie.ac.at/de/person.html?id=85188&teaching=true'
    # ======================================================================= #
    # === rf "Makromolekulare Kristallographie"
    # ======================================================================= #
    when /Makromolekulare(_|-| )?Kristallographie/i,
         'kristallographie'
      'https://ufind.univie.ac.at/de/course.html?lv=300693&semester=2017S'
    # ======================================================================= #
    # === rf busslinger
    # ======================================================================= #
    when 'busslinger'
      'https://ufind.univie.ac.at/de/person.html?id=7574&teaching=true'
    # ======================================================================= #
    # === rf "360.017 Programmieren 2"
    # ======================================================================= #
    when /^360\.?017(_|-| )?Programmieren(_|-| )?2$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5966&dsrid=400&courseNr=360017&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Abschlussarbeit im Schwerpunkt Mikrobiologie und Genetik/Immunbiologie und Bioinformatik"
    # ======================================================================= #
    when /^Abschlussarbeit(_|-| )?im(_|-| )?Schwerpunkt(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Genetik\/?(_|-| )?Immunbiologie(_|-| )?und(_|-| )?Bioinformatik$/i,
         /^301553(_|-| )?Abschlussarbeit(_|-| )?im(_|-| )?Schwerpunkt(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Genetik\/?Immunbiologie(_|-| )?und(_|-| )?Bioinformatik$/i,
         'bachelorarbeit'
      'https://ufind.univie.ac.at/de/course.html?lv=301553&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Helmut Schaschl"
    # ======================================================================= #
    when /^Helmut(_|-| )?Schaschl$/i,
         'schaschl'
      'https://ufind.univie.ac.at/de/person.html?id=37367&teaching=true'
    # ======================================================================= #
    # === rf "Vorlesung Physikalische Chemie I"
    # ======================================================================= #
    when /^Vorlesung(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270219&semester=2017S'
    # ======================================================================= #
    # === rf "Computer in der Biologischen Chemie"
    # ======================================================================= #
    when /^Computer(_|-| )?in(_|-| )?der(_|-| )?Biologischen(_|-| )?Chemie$/i,
         /^270004(_|-| )?Computer(_|-| )?in(_|-| )?der(_|-| )?Biologischen(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270004&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Essentials for bioinformatics data analysis"
    # ======================================================================= #
    when /^Essentials(_|-| )?for(_|-| )?bioinformatics(_|-| )?data(_|-| )?analysis$/i,
         /^Essentials(_|-| )?for(_|-| )?bioinformatics(_|-| )?data(_|-| )?analysis(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791381(_|-| )?Essentials(_|-| )?for(_|-| )?bioinformatics(_|-| )?data(_|-| )?analysis(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'essentials'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285867' # 2018W
    # ======================================================================= #
    # === rf "Dalibor Milic"
    # ======================================================================= #
    when /^Dalibor(_|-| )?Milic$/i
      'https://ufind.univie.ac.at/de/person.html?id=101704'
    # ======================================================================= #
    # === rf "Einführung in die Immunologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Immunologie/i,
         /^791121(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Immunologie/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285335' # 2019S
    # ======================================================================= #
    # === rf "Einführung in pharmazeutisches Imaging"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?pharmazeutisches(_|-| )?Imaging$/i,
         /^Einführung(_|-| )?in(_|-| )?pharmazeutisches(_|-| )?Imaging(_|-| )?(_|-| )?(_|-| )?B13$/i,
         /^321025(_|-| )?Einführung(_|-| )?in(_|-| )?pharmazeutisches(_|-| )?Imaging(_|-| )?(_|-| )?(_|-| )?B13$/i,
         /^Einführung(_|-| )?in(_|-| )?pharmazeutisches(_|-| )?Imaging/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=321025&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=321025&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "300122 Archaea Biology"
    # ======================================================================= #
    when /^300122(_|-| )?Archaea(_|-| )?Biology$/i,
         /^300122(_|-| )?VO(_|-| )?Archaea(_|-| )?Biology$/i,
         /^Archaea(_|-| )?Biology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300122&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf rogl
    # ======================================================================= #
    when 'rogl'
      'https://ufind.univie.ac.at/de/person.html?id=4646&teaching=true'
    # ======================================================================= #
    # === rf lichtscheidl
    # ======================================================================= #
    when 'lichtscheidl','lichtscheid'
      'https://ufind.univie.ac.at/de/person.html?id=3216&teaching=true'
    # ======================================================================= #
    # === rf "Biomolekulare Nanotechnologie"
    # ======================================================================= #
    when /^Biomolekulare(_|-| )?Nanotechnologie$/i,
         /^270090(_|-| )?Biomolekulare(_|-| )?Nanotechnologie$/i,
         /^270009(_|-| )?Biomolekulare(_|-| )?Nanotechnologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270009&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Einführung in die Forstwirtschaft"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Forstwirtschaft$/i,
         /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Forstwirtschaft$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284280'
     # ======================================================================= #
    # === rf "Advanced Molecular Evolution - Lecture for Master- and PhD Students"
    # ======================================================================= #
    when /^Advanced(_|-| )?Molecular(_|-| )?Evolution(_|-| )?(_|-| )?(_|-| )?Lecture(_|-| )?for(_|-| )?Master(_|-| )?(_|-| )?and(_|-| )?PhD(_|-| )?Students$/i,
         /^300179(_|-| )?Advanced(_|-| )?Molecular(_|-| )?Evolution(_|-| )?(_|-| )?(_|-| )?Lecture(_|-| )?for(_|-| )?Master(_|-| )?(_|-| )?and(_|-| )?PhD(_|-| )?Students$/i,
         /^Advanced(_|-| )?Molecular(_|-| )?Evolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300179&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf schweizer
    # ======================================================================= #
    when /Schweizer$/i
      'https://ufind.univie.ac.at/de/person.html?id=5162&teaching=true'
    # ======================================================================= #
    # === rf hartig
    # ======================================================================= #
    when 'hartig', /andreas_?hartig/,'harting'
      'https://ufind.univie.ac.at/de/person.html?id=1820&teaching=true'
    # ======================================================================= #
    # === rf "Biosynthese von Naturstoffen"
    # ======================================================================= #
    when /Biosynthese(_|-| )?von(_|-| )?Naturstoffen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270014&semester=2017S'
    # ======================================================================= #
    # === rf "Massenspektrometrie 2"
    # ======================================================================= #
    when /^Massenspektrometrie(_|-| )?2$/i,
         /^Massenspektrometrie(_|-| )?2(_|-| )?(_|-| )?(_|-| )?Moderne(_|-| )?Instrumentierung(_|-| |,)?(_|-| )?Methoden(_|-| )?und(_|-| )?Anwendungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270010&semester=2017S'
    # ======================================================================= #
    # === rf "Pathogene Bakterien Molekulare Diagnostik und ihre systematische Einordnung"
    # ======================================================================= #
    when /^Pathogene(_|-| )?Bakterien(_|-| )?Molekulare(_|-| )?Diagnostik(_|-| )?und(_|-| )?ihre(_|-| )?systematische(_|-| )?Einordnung$/i,
         /^Pathogene(_|-| )?Bakterien(_|-| )?Molekulare(_|-| )?Diagnostik(_|-| )?und(_|-| )?ihre(_|-| )?systema$/i,
         /^Pathogene(_|-| )?Bakterien(_|-| )?(_|-| )?(_|-| )?Molekulare(_|-| )?Diagnostik(_|-| )?und(_|-| )?ihre(_|-| )?systematische(_|-| )?Einordung$/i,
         /^301282(_|-| )?Pathogene(_|-| )?Bakterien(_|-| )?(_|-| )?(_|-| )?Molekulare(_|-| )?Diagnostik(_|-| )?und(_|-| )?ihre(_|-| )?systematische(_|-| )?Einordung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301282&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf diplomstudium_humanmedizin_curriculum
    # ======================================================================= #
    when /diplomstudium_?humanmedizin_?curriculum/ # Stand: Oktober 2016
      'https://www.meduniwien.ac.at/web/fileadmin/content/serviceeinrichtungen/studienabteilung/studierende/humanmedizin/pdf/Human_KonsFassung2016.pdf'
    # ======================================================================= #
    # === rf "Biologische Physik I"
    # ======================================================================= #
    when /Biologische(_|-| )?Physik(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=899581&semester=1997W'
    # ======================================================================= #
    # === rf pact_summerschool
    # ======================================================================= #
    when 'pact_summerschool'
      'http://www.pact.ac.at/'
    # ======================================================================= #
    # === rf "Essential scientific writing"
    # ======================================================================= #
    when /^Essential(_|-| )?scientific(_|-| )?writing$/i,
         /^301282(_|-| )?Essential(_|-| )?scientific(_|-| )?writing$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301282&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Allgemeine,Organische Chemie"
    # ======================================================================= #
    when /Allgemeine,Organische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=809041&semester=1999W'
    # ======================================================================= #
    # === rf "Übungen Lebensstil-/ernährungsassoziierte Erkrankungen/Diätetik"
    # ======================================================================= #
    when /^Übungen(_|-| )?Lebensstil(_|-| )?\/ernährungsassoziierte(_|-| )?Erkrankungen\/Diätetik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330038&semester=2017S'
    # ======================================================================= #
    # === rf "Medical Propedeutics I - Anatomy & Physiology"
    # ======================================================================= #
    when /^Medical(_|-| )?Propedeutics(_|-| )?I(_|-| )?(_|-| )?(_|-| )?Anatomy(_|-| )?&(_|-| )?Physiology$/i,
         /^Medical(_|-| )?Propedeutics(_|-| )?I(_|-| )?(_|-| )?(_|-| )?Anatomy(_|-| )?and(_|-| )?Physiology$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=321723'
    # ======================================================================= #
    # === rf "Grundlagen der Chemie für VT"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Chemie(_|-| )?für(_|-| )?VT/i,
         /^Grundlagen(_|-| )?der(_|-| )?Chemie(_|-| )?und(_|-| )?Labortechnik$/i,
         'tuwien_chemische_übungen','tu_chemische_übungen',
         'tu_chemie_übung','grundlagen_der_chemie_und_labortechnik',
         'tu_labor','tu_chem',/tuwien_?laborübung/,
         'grundlagenderchemieundlabortechnik','tuwien_chemische_übung',
         /TU(_|-| )?Wien(_|-| )?Laborübung$/i,
         'tuwienchemie','laborpraxis',
         /^Laborübung$/i,
         'tuwien_chemübung','tuwien_übung','tuwien_chemieübung'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9598&dsrid=99&courseNr=163183&semester=2018S'
    # ======================================================================= #
    # === rf "Pharmazeutische Chemie 1"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Chemie(_|-| )?1/i,
         /^321028(_|-| )?Pharmazeutische(_|-| )?Chemie(_|-| )?1/i
      'https://ufind.univie.ac.at/de/course.html?lv=321028&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "RNA-Profiling in Mikrobiologie/Immunologie"
    # ======================================================================= #
    when /^RNA(_|-| )?Profiling(_|-| )?in(_|-| )?(_|-| )?Mikrobiologie(\/)?Immunologie$/i,
         /^301432(_|-| )?RNA(_|-| )?Profiling(_|-| )?in(_|-| )?(_|-| )?Mikrobiologie(\/)?Immunologie$/i,
         /^RNA(_|-| )?Profiling$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301432&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "DNA-Barcoding"
    # ======================================================================= #
    when /^DNA(_|-| )?Barcoding$/i,
         /^300106(_|-| )?DNA(_|-| )?Barcoding$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300106&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "953322 Plant virology and bacteriology (in Eng.)"
    # ======================================================================= #
    when /^953322(_|-| )?Plant(_|-| )?virology(_|-| )?and(_|-| )?bacteriology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Plant(_|-| )?virology(_|-| )?and(_|-| )?bacteriology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283916' # 2018W
    # ======================================================================= #
    # === rf "270025 Wahlfachpraktikum: Proteinanalytik"
    # ======================================================================= #
    when /^270025(_|-| )?Wahlfachpraktikum(_|-| |:)?(_|-| )?Proteinanalytik$/i,
         /^Wahlfachpraktikum(_|-| |:)?(_|-| )?Proteinanalytik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270025&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "163.172 Orientierungslehrveranstaltung Technische Chemie II"
    # ======================================================================= #
    when /^163\.?172Chemie(_|-| )?OrientierungslehrveranstaltungChemie(_|-| )?TechnischeChemie(_|-| )?ChemieChemie(_|-| )?II$/i,
         /^OrientierungslehrveranstaltungChemie(_|-| )?TechnischeChemie(_|-| )?ChemieChemie(_|-| )?II$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2413&dsrid=389&courseNr=163172&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "163.173 Orientierungslehrveranstaltung für Erstsemestrige in der Technischen Chemie I"
    # ======================================================================= #
    when /^163\.?173(_|-| )?Orientierungslehrveranstaltung(_|-| )?für(_|-| )?Erstsemestrige(_|-| )?in(_|-| )?der(_|-| )?Technischen(_|-| )?Chemie(_|-| )?I$/i,
         /^Orientierungslehrveranstaltung(_|-| )?für(_|-| )?Erstsemestrige(_|-| )?in(_|-| )?der(_|-| )?Technischen(_|-| )?Chemie(_|-| )?I$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4263&dsrid=797&courseNr=163173&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Orientierungslehrveranstaltung für Erstsemestrige in der Technischen Chemie"
    # ======================================================================= #
    when /^Orientierungslehrveranstaltung(_|-| )?für(_|-| )?Erstsemestrige(_|-| )?in(_|-| )?der(_|-| )?Technischen(_|-| )?Chemie$/i,
         /^Orientierungslehrveranstaltung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3610&dsrid=185&windowId=dc5&courseNr=163136&semester=2017W'
    # ======================================================================= #
    # === rf "164.249 Quantitatives Analytisches Praktikum"
    # ======================================================================= #
    when /^164\.?249(_|-| )?Quantitatives(_|-| )?Analytisches(_|-| )?Praktikum$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5725&dsrid=32&courseNr=164249&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Computergrafik und Molekulare Modellierung"
    # ======================================================================= #
    when /^Computergrafik(_|-| )?und(_|-| )?Molekulare(_|-| )?Modellierung$/i,
         /^270073(_|-| )?Computergrafik(_|-| )?und(_|-| )?Molekulare(_|-| )?Modellierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270073&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Software Tools and Libraries for Scientific Computing"
    # ======================================================================= #
    when /^Software(_|-| )?Tools(_|-| )?and(_|-| )?Libraries(_|-| )?for(_|-| )?Scientific(_|-| )?Computing$/i,
         /^052113(_|-| )?Software(_|-| )?Tools(_|-| )?and(_|-| )?Libraries(_|-| )?for(_|-| )?Scientific(_|-| )?Computing$/i,
         'dont_forget'
      'https://ufind.univie.ac.at/de/course.html?lv=052113&semester=2017W'
    # ======================================================================= #
    # === rf "Frontiers in Chromosome Biology"
    # ======================================================================= #
    when /^Frontiers(_|-| )?in(_|-| )?Chromosome(_|-| )?Biology$/i,
         /^301289(_|-| )?Frontiers(_|-| )?in(_|-| )?Chromosome(_|-| )?Biology$/i
       'https://ufind.univie.ac.at/de/course.html?lv=301289&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Ökologische Landwirtschaft"
    # ======================================================================= #
    when /^Ökologische(_|-| )?Landwirtschaft$/i,
         /^933101(_|-| )?Ökologische(_|-| )?Landwirtschaft$/i, 
         /^Ökologischer(_|-| )?Landbau$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283706' # 2018W
    # ======================================================================= #
    # === rf "Pflanzenschutz-Übungen"
    # ======================================================================= #
    when /^Pflanzenschutz(_|-| )?(_|-| )?(_|-| )?Übungen/i,
         /^953112(_|-| )?Pflanzenschutz(_|-| )?(_|-| )?(_|-| )?Übungen/i,
         'pflanzenschutz-Übungen','pflanzenschutzübungen'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285965' # 2018W
    # ======================================================================= #
    # === rf "Ernährung als Wissenschaft"
    # ======================================================================= #
    when /^Ernährung(_|-| )?als(_|-| )?Wissenschaft$/i,
         /^330105(_|-| )?Ernährung(_|-| )?als(_|-| )?Wissenschaft$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330105&semester=2018S'
    # ======================================================================= #
    # === rf "Branislav Vecerek"
    # ======================================================================= #
    when /^Branislav(_|-| )?Vecerek$/i
      'https://ufind.univie.ac.at/de/person.html?id=87661&teaching=true'
    # ======================================================================= #
    # === rf "Molekulare Biophysik"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Biophysik$/i,
         /^301288(_|-| )?Molekulare(_|-| )?Biophysik$/i
      #'https://ufind.univie.ac.at/de/course.html?lv=301288&semester=2018S' # 2018S
      'https://ufind.univie.ac.at/de/course.html?lv=301288&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "902.216 Propedeutics: Scientific Software and Databases - WS 2018/19"
    # ======================================================================= #
    when /^902\.?216(_|-| )?Propedeutics(_|-| |:)?(_|-| )?Scientific(_|-| )?Software(_|-| )?and(_|-| )?Databases(_|-| )?(_|-| )?(_|-| )?(_|-| )?WS(_|-| )?2018\/?19$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=330192' # 2018W
    # ======================================================================= #
    # === rf meduniwien
    # ======================================================================= #
    when 'meduniwien','meduni_wien','medcampus','studenten_meduni_wien',
         'meduni','unimed','meduni_anmeldung','medonline','medunio',
         'medunicampis','medunionline','medunianmeldung','medunicampus',
         'meduninonline','metuni','medun'
      'https://campus.meduniwien.ac.at/med.campus/webnav.ini'
    # ======================================================================= #
    # === rf "Pharmazeutische Biotechnologie"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Biotechnologie$/i,
         /^Pharmazeutische(_|-| )?Biotechnologie(_|-| )?(_|-| )?(_|-| )?B10$/i,
         /^321018(_|-| )?Pharmazeutische(_|-| )?Biotechnologie(_|-| )?(_|-| )?(_|-| )?B10$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321018&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Techniken in der Molekularen Biologie"
    # ======================================================================= #
    when /^Techniken(_|-| )?in(_|-| )?der(_|-| )?Molekularen(_|-| )?Biologie$/i,
         /^270190(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Molekularen(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270190&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf tuwien_master_medizinische_informatik
    # ======================================================================= #
    when /^Mastercurriculum(_|-| )?Biomedical(_|-| )?Engineering$/i,
         /tuwien_?master_?medizinische_?informatik/,
         'biomedical_engineer_master'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?windowId=eab&semester=CURRENT&key=42680'
    # ======================================================================= #
    # === rf "Medical Propedeutics - Linking Biology and Diseases"
    # ======================================================================= #
    when /^Medical(_|-| )?Propedeutics(_|-| )?(_|-| )?(_|-| )?Linking(_|-| )?Biology(_|-| )?and(_|-| )?Diseases$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=321242'
    # ======================================================================= #
    # === rf "Präsentation von Bachelorarbeiten"
    # ======================================================================= #
    when /^Präsentation(_|-| )?von(_|-| )?Bachelorarbeiten$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270024&semester=2017S'
    # ======================================================================= #
    # === rf "Wahlfachpraktikum A (Bachelormodul)"
    # ======================================================================= #
    when /^Wahlfachpraktikum(_|-| )?A(_|-| )?\(?Bachelormodul\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270012&semester=2017S'
    # ======================================================================= #
    # === rf "Wahlfachpraktikum: Proteinanalytik"
    # ======================================================================= #
    when /^Wahlfachpraktikum(_|-| |:)?(_|-| )?Proteinanalytik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270027&semester=2017S'
    # ======================================================================= #
    # === rf "Management genetischer Ressourcen"
    # ======================================================================= #
    when /^Management(_|-| )?genetischer(_|-| )?Ressourcen$/i,
         /^957120(_|-| )?Management(_|-| )?genetischer(_|-| )?Ressourcen$/i,
         /^BOKU(_|-| )?Management(_|-| )?genetischer(_|-| )?Ressourcen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284249' # 2018W
    # ======================================================================= #
    # === rf "Advanced Cell Biology"
    # ======================================================================= #
    when /^Advanced(_|-| )?Cell(_|-| )?Biology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301591&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Management gefährdeter Tierarten"
    # ======================================================================= #
    when /^Management(_|-| )?gefährdeter(_|-| )?Tierarten$/i,
         /^300669(_|-| )?Management(_|-| )?gefährdeter(_|-| )?Tierarten$/i,
         /^300669(_|-| )?VO(_|-| )?Management(_|-| )?gefährdeter(_|-| )?Tierarten$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300669&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "301708 Embryonen- und Stammzellforschung II"
    # ======================================================================= #
    when /^301708(_|-| )?Embryonen(_|-| )?(_|-| )?und(_|-| )?Stammzellforschung(_|-| )?II$/i,
         /^301708(_|-| )?VO(_|-| )?Embryonen(_|-| )?(_|-| )?und(_|-| )?Stammzellforschung(_|-| )?II$/i,
         /^Embryonen(_|-| )?(_|-| )?und(_|-| )?Stammzellforschung(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301708&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf glössl
    # ======================================================================= #
    when 'glössl'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=894B21216DE180F1&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Klaus Huber"
    # ======================================================================= #
    when /^Klaus(_|-| )?Huber$/i
      'https://ufind.univie.ac.at/de/person.html?id=16490&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Molekulare Biologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Molekulare(_|-| )?Biologie$/i,
         /^840\.?081(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Molekulare(_|-| )?Biologie$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=327860' # 2018S
    # ======================================================================= #
    # === rf Umweltmikrobiologie
    # ======================================================================= #
    when /^Umweltmikrobiologie$/i,
         /^BOKU(_|-| )?Umweltmikrobiologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282598' # 2018S
    # ======================================================================= #
    # === rf "Receptor-Ligand Interactions"
    # ======================================================================= #
    when /^Receptor(_|-| )?Ligand(_|-| )?Interactions$/i,
         /^270297(_|-| )?Receptor(_|-| )?Ligand(_|-| )?Interactions$/i,
         /^270297(_|-| )?VO(_|-| )?Receptor(_|-| )?Ligand(_|-| )?Interactions$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270297&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Biochemie für Biologen und Molekulare Biologe"
    # ======================================================================= #
    when /^Biochemie(_|-| )?für(_|-| )?Biologen(_|-| )?und(_|-| )?Molekulare(_|-| )?Biologen/i,
         /^Biochemie(_|-| )?für(_|-| )?Biologen/i,
         /^Biochemie$/i,
         /^301284(_|-| )?Biochemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301284&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Diversität der Pilze in ihrem Lebensraum"
    # ======================================================================= #
    when /^Diversität(_|-| )?der(_|-| )?Pilze(_|-| )?in(_|-| )?ihrem(_|-| )?Lebensraum/i,
         /^300545(_|-| )?Diversität(_|-| )?der(_|-| )?Pilze(_|-| )?in(_|-| )?ihrem(_|-| )?Lebensraum/i
      'https://ufind.univie.ac.at/de/course.html?lv=300545&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Statistik in der Biologie"
    # ======================================================================= #
    when /^Statistik(_|-| )?in(_|-| )?der(_|-| )?Biologie/i,
         /^300718(_|-| )?Statistik(_|-| )?in(_|-| )?der(_|-| )?Biologie/i,
         /^statistik_?in_?der_?biologie/,
         /^statistik_?biologie/
      'https://ufind.univie.ac.at/de/course.html?lv=300718&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Gabriele Linzer"
    # ======================================================================= #
    when /^Gabriele(_|-| )?Linzer$/i
      'https://ufind.univie.ac.at/de/person.html?id=34845'
    # ======================================================================= #
    # === vetmed_mail
    # ======================================================================= #
    when 'vetmed_mail','vetmedemail','vedmetunimail'
      'https://owa.vetmeduni.ac.at/OWA/auth/logon.aspx?replaceCurrent=1&url=https%3a%2f%2fowa.vetmeduni.ac.at%2fOWA%2f'
    # ======================================================================= #
    # === rf "Parasitäre Infektionen - Immunbiologie und Immundiagnostik parasitärer Infektionen"
    # ======================================================================= #
    when /Parasitäre(_|-| )?Infektionen(_|-| )?(_|-| )?(_|-| )?Immunbiologie(_|-| )?und(_|-| )?Immundiagnostik(_|-| )?parasitärer(_|-| )?Infektionen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300463&semester=2016W'
    # ======================================================================= #
    # === rf univis_prüfungen
    # ======================================================================= #
    when /univis(_|-| )?prüfungen?/i,
         'univis3','github3'
      'https://uspace.univie.ac.at/web/studierende/anmeldung-zu-lehrveranstaltungen/prufungen'
    # ======================================================================= #
    # === rf "Basic Lecture - Computer Science in Clinical Settings"
    # ======================================================================= #
    when /^Basic(_|-| )?Lecture(_|-| )?(_|-| )?(_|-| )?Computer(_|-| )?Science(_|-| )?in(_|-| )?Clinical(_|-| )?Settings$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=322672'
    # ======================================================================= #
    # === rf "Introduction to Nanomedicine: Nucleic acid therapy and Bioimaging"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?Nanomedicine(_|-| |:)?(_|-| )?Nucleic(_|-| )?acid(_|-| )?therapy(_|-| )?and(_|-| )?Bioimaging$/i,
         /^Introduction(_|-| )?to(_|-| )?Nanomedicine(_|-| |:)?(_|-| )?Nucleic(_|-| )?acid(_|-| )?therapy(_|-| )?and(_|-| )?Bioimaging(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^322056(_|-| )?Introduction(_|-| )?to(_|-| )?Nanomedicine(_|-| |:)?(_|-| )?Nucleic(_|-| )?acid(_|-| )?therapy(_|-| )?and(_|-| )?Bioimaging(_|-| )?(_|-| )?(_|-| )?M14$/i,
         /^Introduction(_|-| )?to(_|-| )?Nanomedicine$/i,
         'nanomedicine'
      'https://ufind.univie.ac.at/de/course.html?lv=322056&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Geologie (AW)"
    # ======================================================================= #
    when /^Geologie(_|-| )?\(?AW\)?/i,
         /^872104(_|-| )?Geologie(_|-| )?\(?AW\)?/i,
         'geologie_aw',
         'geologie'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284100' # 2018W
    # ======================================================================= #
    # === rf "Othmar Steinhauser"
    # ======================================================================= #
    when /^Othmar(_|-| )?Steinhauser$/i
      'https://ufind.univie.ac.at/de/person.html?id=5476&teaching=true'
    # ======================================================================= #
    # === rf "Computational Concepts in Biology I"
    # ======================================================================= #
    when /^Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Biology(_|-| )?I$/i,
         /^269004(_|-| )?Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Biology(_|-| )?I$/i,
         /^Computational(_|-| )?Concepts$/i
      'https://ufind.univie.ac.at/de/course.html?lv=269004&semester=2018W' # 2017W
    # ======================================================================= #
    # === rf "051019 Informatik und Recht"
    # ======================================================================= #
    when /^051019(_|-| )?Informatik(_|-| )?und(_|-| )?Recht$/i,
         /^Informatik(_|-| )?und(_|-| )?Recht$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051019&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen der Bioprozesstechnik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Bioprozesstechnik$/i,
         /^791120(_|-| )?Grundlagen(_|-| )?der(_|-| )?Bioprozesstechnik$/i,
         'grundlagen_der_bioprozesstechnik','grundlagenderbioprozesstechnik',
         'bioprozesstechnik',
         'bioprozess'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284547' # 2018W
    # ======================================================================= #
    # === rf "330019 Biochemie"
    # ======================================================================= #
    when /^330019(_|-| )?Biochemie$/i,
         'ern_biochemie','ernbiochemie'
      'https://ufind.univie.ac.at/de/course.html?lv=330019&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Neue Entwicklungen in der RNA Bioinformatik"
    # ======================================================================= #
    when /^Neue(_|-| )?Entwicklungen(_|-| )?in(_|-| )?der(_|-| )?RNA(_|-| )?Bioinformatik$/i,
         /^270151(_|-| )?Neue(_|-| )?Entwicklungen(_|-| )?in(_|-| )?der(_|-| )?RNA(_|-| )?Bioinformatik$/i,
         /^270151(_|-| )?SE(_|-| )?Neue(_|-| )?Entwicklungen(_|-| )?in(_|-| )?der(_|-| )?RNA(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270151&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Mikroskopie für Fortgeschrittene"
    # ======================================================================= #
    when /^Mikroskopie(_|-| )?für(_|-| )?Fortgeschrittene$/i,
         /^Mikroskopie(_|-| )?für(_|-| )?Fortgeschrittene(_|-| )?Anwendung(_|-| )?i(_|-| |.)?d(_|-| |.)?Lebenswissenschaften$/i,
         /^301271(_|-| )?Mikroskopie(_|-| )?für(_|-| )?Fortgeschrittene(_|-| )?Anwendung(_|-| )?i(_|-| |.)?d(_|-| |.)?Lebenswissenschaften$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301271&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Angewandte Mikrobiologie Übungen"
    # ======================================================================= #
    when /^Angewandte(_|-| )?Mikrobiologie(_|-| )?Übungen$/i,
         /^791105(_|-| )?Angewandte(_|-| )?Mikrobiologie(_|-| )?Übungen$/i,
         /^Angewandte(_|-| )?Mikrobiologie$/i
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282201' # 2018S
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=285330' # 2018W
    # ======================================================================= #
    # === rf "270149 Praktikum: Immunanalytische Methoden"
    # ======================================================================= #
    when /^270149(_|-| )?Praktikum(_|-| |:)?(_|-| )?Immunanalytische(_|-| )?Methoden$/i 
      'https://ufind.univie.ac.at/de/course.html?lv=270149&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "301250 Genetisches Seminar"
    # ======================================================================= #
    when /^301250(_|-| )?Genetisches(_|-| )?Seminar$/i,
         /^301250(_|-| )?SE(_|-| )?Genetisches(_|-| )?Seminar$/i,
         /^Genetisches(_|-| )?Seminar$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301250&semester=2018W' # 2018WS
    # ======================================================================= #
    # === rf "Bernd Binder"
    # ======================================================================= #
    when /^Bernd(_|-| )?Binder$/i
      'https://ufind.univie.ac.at/de/person.html?id=378&teaching=true'
    # ======================================================================= #
    # === rf arndt
    # ======================================================================= #
    when 'aarndt','arndt','haseler','haeseler','andt'
      'https://ufind.univie.ac.at/de/person.html?id=28350&teaching=true'
    # ======================================================================= #
    # === rf pharmapoint
    # ======================================================================= #
    when 'pharmapoint','pharmazieforum','pharma2'
      'http://pharmapoint.at/forum/viewforum.php?f=37'
    # ======================================================================= #
    # === rf "Animals Physiology I: Energy, Respiration, Homeostasis"
    # ======================================================================= #
    when /Animals(_|-| )?Physiology(_|-| )?I(_|-| |:)?(_|-| )?Energy,(_|-| )?Respiration,(_|-| )?Homeostasis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300648&semester=2016W'
    # ======================================================================= #
    # === rf "Anatomy and Physiology"
    # ======================================================================= #
    when /Anatomy(_|-| )?and(_|-| )?Physiology$/i,
         /Anatomy(_|-| )?&(_|-| )?Physiology$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=321723'
    # ======================================================================= #
    # === rf kroiss
    # ======================================================================= #
    when 'kroiss'
      'https://ufind.univie.ac.at/de/person.html?id=2921&teaching=true'
    # ======================================================================= #
    # === rf "Arzneistoffsynthese"
    # ======================================================================= #
    when /^Arzneistoffsynthese/i,
         /^321013(_|-| )?Arzneistoffsynthese(_|-| )?(_|-| )?(_|-| )?B7$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321013&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Bioorganische Chemie"
    # ======================================================================= #
    when /^Bioorganische(_|-| )?Chemie/i
      'https://ufind.univie.ac.at/de/course.html?lv=321011&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Genetic model organisms in biotechnology (in Eng.)"
    # ======================================================================= #
    when /^Genetic(_|-| )?model(_|-| )?organisms(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Genetic(_|-| )?model(_|-| )?organisms(_|-| )?in(_|-| )?biotechnology(_|-| )?$/i,
         /^772322(_|-| )?Genetic(_|-| )?model(_|-| )?organisms(_|-| )?in(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=284471' # 2018W
    # ======================================================================= #
    # === rf "czerny"
    # ======================================================================= #
    when 'czerny'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=7F9A24CF94CC066D&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Swen Renner"
    # ======================================================================= #
    when /^Swen(_|-| )?Renner$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=C79C2624489B4949&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Biomedical Mass Spectrometry - Biomedizinische Massenspektrometrie"
    # ======================================================================= #
    when /^Biomedical(_|-| )?Mass(_|-| )?Spectrometry(_|-| )?(_|-| )?(_|-| )?Biomedizinische(_|-| )?Massenspektrometrie$/i,
         /^Biomedical(_|-| )?Mass(_|-| )?Spectrometry$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=4cb&courseNr=164235&semester=2018S'
    # ======================================================================= #
    # === rf "Bernhard Lendl"
    # ======================================================================= #
    when /^Bernhard(_|-| )?Lendl$/i,
         'lendl'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/40676'
    # ======================================================================= #
    # === rf bachelor_biologie_uni_wien_ab_SS2016
    # ======================================================================= #
    when 'bachelor_biologie_uni_wien_ab_SS2016'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=161268&semester=2016S'
    # ======================================================================= #
    # === rf sieghart
    # ======================================================================= #
    when 'sieghart'
      'https://ufind.univie.ac.at/de/person.html?id=5266&teaching=true'
    # ======================================================================= #
    # === rf "182.709 Betriebssysteme"
    # ======================================================================= #
    when /^182\.?709(_|-| )?Betriebssysteme$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4772&dsrid=242&courseNr=182709&semester=2018S'
    # ======================================================================= #
    # === rf "051019 Informatik und Recht"
    # ======================================================================= #
    when /^051019(_|-| )?Informatik(_|-| )?und(_|-| )?Recht$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051019&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "051031 Datenbanksysteme"
    # ======================================================================= #
    when /^051031(_|-| )?Datenbanksysteme$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051031&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "051023 Modellierung"
    # ======================================================================= #
    when /^051023(_|-| )?Modellierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051023&semester=2018S'
    # ======================================================================= #
    # === rf "051050 Software Engineering 2"
    # ======================================================================= #
    when /^051050(_|-| )?Software(_|-| )?Engineering(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051050&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "051034 Netzwerktechnologien"
    # ======================================================================= #
    when /^051034(_|-| )?Netzwerktechnologien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051034&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "164.339 Qualitatives Analytisches Praktikum"
    # ======================================================================= #
    when /^164\.?339(_|-| )?Qualitatives(_|-| )?Analytisches(_|-| )?Praktikum$/i,
         /^Qualitatives(_|-| )?Analytisches(_|-| )?Praktikum$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6965&dsrid=545&courseNr=164339&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Physik I für TCH"
    # ======================================================================= #
    when /^Physik(_|-| )?I(_|-| )?für(_|-| )?TCH$/i,
         /^138\.?041(_|-| )?Physik(_|-| )?I(_|-| )?für(_|-| )?TCH$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4220&dsrid=667&courseNr=138041&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Statistik für KTWW - Übungen"
    # ======================================================================= #
    when /^Statistik(_|-| )?für(_|-| )?KTWW(_|-| )?(_|-| )?(_|-| )?Übungen$/i,
         /^851114(_|-| )?Statistik(_|-| )?für(_|-| )?KTWW(_|-| )?(_|-| )?(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281332' # 2018S
    # ======================================================================= #
    # === rf "851113 Statistik für KTWW"
    # ======================================================================= #
    when /^851113(_|-| )?Statistik(_|-| )?für(_|-| )?KTWW$/i,
         /^Statistik(_|-| )?für(_|-| )?KTWW$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281331' # 2018S
    # ======================================================================= #
    # === rf Pathophysiologie
    # ======================================================================= #
    when /^Pathophysiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321015&semester=2017S'
    # ======================================================================= #
    # === rf skern
    # ======================================================================= #
    when 'skern'
      'https://ufind.univie.ac.at/de/person.html?id=5302&teaching=true'
    # ======================================================================= #
    # === rf gorke
    # ======================================================================= #
    when 'gorke'
      'https://ufind.univie.ac.at/de/person.html?id=52142&teaching=true'
    # ======================================================================= #
    # === rf manfred_ogris
    # ======================================================================= #
    when 'manfred_ogris',
         /^Manfred(_|-| )?Ogris/i
      'https://ufind.univie.ac.at/de/person.html?id=43898&teaching=true'
    # ======================================================================= #
    # === rf ogris
    # ======================================================================= #
    when 'ogris','egon_ogris','egonogris'
      'https://ufind.univie.ac.at/en/person.html?id=3915&teaching=true'
    # ======================================================================= #
    # === rf "Chemie der Nanomaterialien"
    # ======================================================================= #
    when /^Chemie(_|-| )?der(_|-| )?Nanomaterialien$/i,
         /^Nanomaterialien$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8335&dsrid=289&courseNr=165088&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf warren
    # ======================================================================= #
    when 'warren'
      'https://ufind.univie.ac.at/de/person.html?id=31493&teaching=true'
    # ======================================================================= #
    # === rf "300463 Parasitäre Infektionen - Immunbiologie und Immundiagnostik"
    # ======================================================================= #
    when /^300463(_|-| )?Parasitäre(_|-| )?Infektionen(_|-| )?(_|-| )?(_|-| )?Immunbiologie(_|-| )?und(_|-| )?Immundiagnostik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300463&semester=2017W'
    # ======================================================================= #
    # === rf "Sexualbiologie"
    # ======================================================================= #
    when /^Sexualbiologie$/i,
         /^300017(_|-| )?Sexualbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300017&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Isabella Kiss"
    # ======================================================================= #
    when /^Isabella(_|-| )?Kiss$/i,
         /^Izabella(_|-| )?Kiss$/i
      'https://ufind.univie.ac.at/de/person.html?id=45627&teaching=true'
    # ======================================================================= #
    # === rf boku_ferien
    # ======================================================================= #
    when /boku_?ferien/,'boku_semesterferien',
         /boku_?feiertage/
      'https://www.boku.ac.at/studienservices/themen/termine-fristen/zeittafel/'
    # ======================================================================= #
    # === rf "Developmental genetics (in Eng.)"
    # ======================================================================= #
    when /^Developmental(_|-| )?genetics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941307(_|-| )?Developmental(_|-| )?genetics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^VO(_|-| )?Developmental(_|-| )?genetics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941307(_|-| )?Entwicklungsgenetik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280881' # 2018S
    # ======================================================================= #
    # === rf rechtsgrundlagen
    # ======================================================================= #
    when /^736102(_|-| )Rechtsgrundlagen$/i,
         'rechtsgrundlagen'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282330' # 2018S
    # ======================================================================= #
    # === rf schmid
    # ======================================================================= #
    when /^Johannes(_|-| )?Schmid$/i,
         /^Johannes(_|-| )?Schmie?d$/i,
         /johannes_?schmid/i,
         'schmid','schmied'
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=6C254D62FC8AC145&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf schmidt
    # ======================================================================= #
    when 'heiko','schmidt',
         /^Heiko(_|-| )?Schmidt$/i
      'https://ufind.univie.ac.at/de/person.html?id=28689&teaching=true'
    # ======================================================================= #
    # === rf teige
    # ======================================================================= #
    when 'teige','markus_teige',
         /^Markus(_|-| )?Teige$/i
      'https://ufind.univie.ac.at/de/person.html?id=16934&teaching=true'
    # ======================================================================= #
    # === rf "Lebensmitteltechnologische Grundverfahren"
    # ======================================================================= #
    when /^Lebensmitteltechnologische(_|-| )?Grundverfahren/i,
         /^752100(_|-| )?Lebensmitteltechnologische(_|-| )?Grundverfahren/i,
         'lebensmitteltechnologische_grundverfahren',
         'lebensmitteltechnologischegrundverfahren'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282389&pSpracheNr=' # 2017W
    # ======================================================================= #
    # === rf bewertung1
    # ======================================================================= #
    when 'bewertung1'
      'https://moodle.univie.ac.at/grade/report/user/index.php?id=77906'
    # ======================================================================= #
    # === rf dropbox_uniwien_master
    # ======================================================================= #
    when 'dropbox_uniwien_master','main_dropbox',
         'remote_master','dropbox_all','moldrop',
         'dropbox3','maindropbox','uniwiendropbox',
         'masterdropbox'
      # 'https://www.dropbox.com/sh/h12mducajvuv0u3/AAC__EUm5l-SN0OCqnDb5khra/lecture%20folders%20HERE%20%28Bachelor-%20%26%20Master-LVs%29?dl=0'
      'https://www.dropbox.com/home/Molekulare%20Biologie/lecture%20folders%20here%20%28bachelor-%20%26%20master-lvs%29'
    # ======================================================================= #
    # === rf "Seminar zu Techniken in der Molekularen Biologie"
    # ======================================================================= #
    when /^Seminar(_|-| )?zu(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Molekularen(_|-| )?Biologie$/i,
         /^270195(_|-| )?Seminar(_|-| )?zu(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Molekularen(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270195&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Statistik (UBRM)"
    # ======================================================================= #
    when /^Statistik(_|-| )?\(?UBRM\)?$/i,
         /^851109(_|-| )?Statistik(_|-| )?\(?UBRM\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281613' # 2017W
    # ======================================================================= #
    # === rf "Methoden der Immunologie"
    # ======================================================================= #
    when /^Methoden(_|-| )?der(_|-| )?Immunologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=54764'
    # ======================================================================= #
    # === rf bestehende_lehrveranstaltungstypen
    # ======================================================================= #
    when 'bestehende_lehrveranstaltungstypen'
      'https://studien-lehrwesen.univie.ac.at/fileadmin/user_upload/studienundlehrwesen/schulungsunterlagen/anleitungenpdf/20110915_LV_Typen.pdf'
    # ======================================================================= #
    # === rf "Wärme- und Stoffübertragung"
    # ======================================================================= #
    when /^Wärme(_|-| )?(_|-| )?und(_|-| )?Stoffübertragung/i,
         /^893123(_|-| )?Wärme(_|-| )?(_|-| )?und(_|-| )?Stoffübertragung/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281475' # 2017W
    # ======================================================================= #
    # === rf steop2
    # ======================================================================= #
    when 'steop2','steop2_moodle','steop2moodle','step2'
      # 'https://moodle.univie.ac.at/course/view.php?id=54381'
      'https://moodle.univie.ac.at/course/view.php?id=76368' # 2018S
    # ======================================================================= #
    # === rf "Qualitätsmanagement II"
    # ======================================================================= #
    when /^Qualitätsmanagement(_|-| )?II$/i,
         /^754110(_|-| )?Qualitätsmanagement(_|-| )?II$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283693' # 2018S
    # ======================================================================= #
    # === rf "Qualitätsmanagement Übungen"
    # ======================================================================= #
    when /^Qualitätsmanagement(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282418'
    # ======================================================================= #
    # === rf "754103 Qualitätsmanagement Übungen"
    # ======================================================================= #
    when /^754103(_|-| )?Qualitätsmanagement(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282417' # 2018S
    # ======================================================================= #
    # === rf "Uni Wien Analytische Chemie I"
    # ======================================================================= #
    when /^Uni(_|-| )?Wien(_|-| )?Analytische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270052&semester=2017S'
    # ======================================================================= #
    # === rf instrumental_analytical_biochemistry
    # ======================================================================= #
    when 'instrumental_analytical_biochemistry',
         'instrumentalanalyticalbiochemistry',
         /^164\.?234(_|-| )?Instrumental(_|-| )?Analytical(_|-| )?Biochemistry(_|-| )?(_|-| )?(_|-| )?Instrumentelle(_|-| )?Analytische(_|-| )?Biochemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7130&dsrid=659&windowId=256&courseNr=164234&semester=201SS' # 2018S
    # ======================================================================= #
    # === rf "Verteilte Systeme"
    # ======================================================================= #
    when /^Verteilte(_|-| )?Systeme$/i,
         /^184\.?237(_|-| )?Verteilte(_|-| )?Systeme$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7484&dsrid=997&courseNr=184237&semester=2017W'
    # ======================================================================= #
    # === rf "Javier Martinez"
    # ======================================================================= #
    when /^Javier(_|-| )?Martinez$/i
      'https://ufind.univie.ac.at/de/person.html?id=88085&teaching=true'
    # ======================================================================= #
    # === rf "Pharmazeutische Bioanalytik"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Bioanalytik$/i,
         /^320075(_|-| )?Pharmazeutische(_|-| )?Bioanalytik$/i,
         /^320075(_|-| )?VO(_|-| )?Pharmazeutische(_|-| )?Bioanalytik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=320075&semester=2015W' # 2015W
    # ======================================================================= #
    # === rf "Practical course in cell biology (in Eng.)"
    # ======================================================================= #
    when /^Practical(_|-| )?course(_|-| )?in(_|-| )?cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941337(_|-| )?Practical(_|-| )?course(_|-| )?in(_|-| )?cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281386' # 2017W
    # ======================================================================= #
    # === rf "Franz Gabor"
    # ======================================================================= #
    when /^Franz(_|-| )?Gabor$/i
      'https://ufind.univie.ac.at/de/person.html?id=1338&teaching=true'
    # ======================================================================= #
    # === rf Immunologie
    # ======================================================================= #
    when /^791311(_|-| )?Immunologie$/i,
         /^791311(_|-| )?Immunologie(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791311(_|-| )?Immunology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Immunology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'boku_immunologie','bokuimmunologie',
         'immunologie'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282943' # 2018S
    # ======================================================================= #
    # === rf "Angewandte Virologie"
    # ======================================================================= #
    when /^Angewandte(_|-| )?Virologie$/i,
         /^791774(_|-| )?Angewandte(_|-| )?Virologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282944'
    # ======================================================================= #
    # === rf "Zellbiologie für Lehramtsstudierende"
    # ======================================================================= #
    when /^Zellbiologie(_|-| )?für(_|-| )?Lehramtsstudierende$/i,
         /^Zellbiologie(_|-| )?für(_|-| )?Lehramtsstudierende(_|-| )?BU$/i,
         /^300071(_|-| )?Zellbiologie(_|-| )?für(_|-| )?Lehramtsstudierende(_|-| )?BU$/i,
         /^300071(_|-| )?VO(_|-| )?Zellbiologie(_|-| )?für(_|-| )?Lehramtsstudierende(_|-| )?BU$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300071&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Tommy Horozov"
    # ======================================================================= #
    when /^Tommy(_|-| )?Horozov$/i
      'https://ufind.univie.ac.at/de/person.html?id=64613&teaching=true'
    # ======================================================================= #
    # === rf "Grundlagen der Stammzelltechnologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Stammzelltechnologie$/i,
         /^166\.?218(_|-| )?Grundlagen(_|-| )?der(_|-| )?Stammzelltechnologie$/i,
         /^Stem(_|-| )?Cell(_|-| )?Course$/i,
         /^166\.?218(_|-| )?Stem(_|-| )?Cell(_|-| )?Course$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4383&dsrid=84&courseNr=166218&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf hofacker
    # ======================================================================= #
    when 'hofacker','ivo','hoacker',
         /^Ivo(_|-| )?Hofacker$/
      'https://ufind.univie.ac.at/de/person.html?id=7204&teaching=true'
    # ======================================================================= #
    # === rf "Bio 9"
    # ======================================================================= #
    when /^Bio(_|-| )?9$/i,
         /^B?(_|-| )?Bio(_|-| )?9$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=204041'
    # ======================================================================= #
    # === rf "BMG 1"
    # ======================================================================= #
    when /^BMG(_|-| )?1$/i,
         /^B?(_|-| )?BMG(_|-| )?1$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=204067' # 2018S
    # ======================================================================= #
    # === rf "270164 Methoden der Nukleinsäureanalytik / Genomics-Bioinformatische Auswertungsstrategien"
    # ======================================================================= #
    when /^270164(_|-| )?Methoden(_|-| )?der(_|-| )?Nukleinsäureanalytik(_|-| )?\/?(_|-| )?Genomics(_|-| )?Bioinformatische(_|-| )?Auswertungsstrategien$/i,
         /^Methoden(_|-| )?der(_|-| )?Nukleinsäureanalytik(_|-| )?\/?(_|-| )?Genomics(_|-| )?Bioinformatische(_|-| )?Auswertungsstrategien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270164&semester=2017S' # 2017S
    # ======================================================================= #
    # === rf "Introduction to Security"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?Security$/i,
         /^183\.?594(_|-| )?Introduction(_|-| )?to(_|-| )?Security$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5495&dsrid=480&courseNr=183594&semester=2017W'
    # ======================================================================= #
    # === rf "Biomolekulare NMR-Spektroskopie"
    # ======================================================================= #
    when /^Biomolekulare(_|-| )?NMR(_|-| )?Spektroskopie$/i,
         /^301461(_|-| )?Biomolekulare(_|-| )?NMR(_|-| )?Spektroskopie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301461&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Symbiosis - concepts and model systems (Part 1)"
    # ======================================================================= #
    when /^Symbiosis(_|-| )?(_|-| )?(_|-| )?concepts(_|-| )?and(_|-| )?model(_|-| )?systems(_|-| )?\(?Part(_|-| )?1\)?$/i,
         /^Symbiosis(_|-| )?(_|-| )?(_|-| )?concepts(_|-| )?and(_|-| )?model(_|-| )?systems$/i,
         /^300125(_|-| )?Symbiosis(_|-| )?(_|-| )?(_|-| )?concepts(_|-| )?and(_|-| )?model(_|-| )?systems(_|-| )?\(?Part(_|-| )?1\)?$/i,
         'symbiosos','symbiosis'
      'https://ufind.univie.ac.at/de/course.html?lv=300125&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Werkstoff- und Materialkunde"
    # ======================================================================= #
    when /^Werkstoff(_|-| )?(_|-| )?und(_|-| )?Materialkunde$/i,
         /^875110(_|-| )?Werkstoff(_|-| )?(_|-| )?und(_|-| )?Materialkunde$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281581'
    # ======================================================================= #
    # === rf "Orientierungslehrveranstaltung Technische Chemie II"
    # ======================================================================= #
    when /^Orientierungslehrveranstaltung(_|-| )?Technische(_|-| )?Chemie(_|-| )?II$/i,
         /^163\.?172(_|-| )?Orientierungslehrveranstaltung(_|-| )?Technische(_|-| )?Chemie(_|-| )?II$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7268&dsrid=792&courseNr=163172&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Einführung in die Fernerkundung (UBRM)"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Fernerkundung(_|-| )?\(?UBRM\)?$/i,
         /^857107(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Fernerkundung(_|-| )?\(?UBRM\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281921'
    # ======================================================================= #
    # === rf "Optimierungsmodelle und natürliche Ressourcen"
    # ======================================================================= #
    when /^Optimierungsmodelle(_|-| )?und(_|-| )?natürliche(_|-| )?Ressourcen$/i,
         /^734185(_|-| )?Optimierungsmodelle(_|-| )?und(_|-| )?natürliche(_|-| )?Ressourcen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282560'
    # ======================================================================= #
    # === rf "Trenn- und Analysemethoden"
    # ======================================================================= #
    when /^Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden$/i,
         /^Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden$/i,
         /^Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden$/i,
         /^321023(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden$/i,
         /^321023(_|-| )?VO(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden$/i,
         /^321023(_|-| )?VO(_|-| )?Trenn(_|-| )?(_|-| )?und(_|-| )?Analysemethoden(_|-| )?org\.?(_|-| )?Arzneistoffe(_|-| )?inkl\.?(_|-| )?bioanalyt\.?(_|-| )?Methoden(_|-| )?(_|-| )?(_|-| )?B12$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321023&semester=2018S'
    # ======================================================================= #
    # === rf pharma_forum
    # ======================================================================= #
    when 'pharma_forum','pharmaforum','pharmforum'
      'http://pharmapoint.at/forum/viewforum.php?f=34'
    # ======================================================================= #
    # === rf pharmapoint2
    # ======================================================================= #
    when 'pharmapoint2'
      'http://pharmapoint.at/forum/viewforum.php?f=34&sid=6f79e3d86360cf6aa6b1f46366604f25'
    # ======================================================================= #
    # === rf pharmaziehomepage
    # ======================================================================= #
    when 'pharmaziehomepage'
      'https://pharmakognosie.univie.ac.at/for-students/downloads/'
    # ======================================================================= #
    # === rf stv-pharmazie
    # ======================================================================= #
    when /stv-?pharmazie/
      'http://www.univie.ac.at/stv-pharmazie/'
    # ======================================================================= #
    # === rf pharmazie_prüfungen3
    # ======================================================================= #
    when /pharmazie_?prüfungen3/
      'https://pharmakognosie.univie.ac.at/for-students-in-german/pruefungen/'
    # ======================================================================= #
    # === rf pharmazie_curriculum
    # ======================================================================= #
    when /pharmazie_?curriculum/
      'https://ssc-lebenswissenschaften.univie.ac.at/studienrichtungen/pharmazie/curricula-uebersicht/'
    # ======================================================================= #
    # === rf vorlesungsverzeichnis_pharmazie
    # ======================================================================= #
    when 'vorlesungsverzeichnis_pharmazie'
      'http://online.univie.ac.at/vlvz?kapitel=3201&semester=S2016'
    # ======================================================================= #
    # === rf "300290 Einführung in die Bestäubungsbiologie"
    # ======================================================================= #
    when /^300290(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Bestäubungsbiologie$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Bestäubungsbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300290&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf erndrop
    # ======================================================================= #
    when 'mydrive_ern','ernmydrive','mydrive','ern_dropbox',
         'erndropbox','erndrive','erndrop' # gesund@ernaehrung, pw: allyoucaneat
      'https://www.mydrive.ch/browse#/' # gesund@ernährung - allyoucaneat
    # ======================================================================= #
    # === rf "Elektronenmikroskopie in der Biologie - Methodik, Präparation und Interpretation"
    # ======================================================================= #
    when /^Elektronenmikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie(_|-| )?(_|-| )?(_|-| )?Methodik(_|-| |,)?(_|-| )?Präparation(_|-| )?und(_|-| )?Interpretation$/i,
         /^300291(_|-| )?Elektronenmikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie(_|-| )?(_|-| )?(_|-| )?Methodik(_|-| |,)?(_|-| )?Präparation(_|-| )?und(_|-| )?Interpretation$/i,
         /^Elektronenmikroskopie(_|-| )?in(_|-| )?der(_|-| )?Biologie(_|-| )?Methodik(_|-| )?P$/i,
         'elektronenmikroskopie','elektronenmikroskop'
      'https://ufind.univie.ac.at/de/course.html?lv=300291&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "138.049 Elektronenmikroskopie"
    # ======================================================================= #
    when /^138\.?049(_|-| )?Elektronenmikroskopie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8827&dsrid=456&courseNr=138049&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Seminar Biochemisches Praktikum C"
    # ======================================================================= #
    when /^Seminar(_|-| )?Biochemisches(_|-| )?Praktikum(_|-| )?C$/i,
         /^Seminar(_|-| )?Biochemisches(_|-| )?Praktikum(_|-| )?C(_|-| )?(_|-| )?(_|-| )?Proteinbiochemie$/i,
         /^270156(_|-| )?Seminar(_|-| )?Biochemisches(_|-| )?Praktikum(_|-| )?C(_|-| )?(_|-| )?(_|-| )?Proteinbiochemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270156&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Computational Concepts in Chemistry II"
    # ======================================================================= #
    when /^Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Chemistry(_|-| )?II$/i,
         /^269019(_|-| )?Computational(_|-| )?Concepts(_|-| )?in(_|-| )?Chemistry(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=269019&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Elisabeth Puchhammer"
    # ======================================================================= #
    when /^Elisabeth(_|-| )?Puchhammer$/i
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=EA149D69A033B5CE&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Metalloproteins in Archaea"
    # ======================================================================= #
    when /^Metalloproteins(_|-| )?in(_|-| )?Archaea$/i,
         /^270188(_|-| )?Metalloproteins(_|-| )?in(_|-| )?Archaea$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270188&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "831106 Bau der Pflanze"
    # ======================================================================= #
    when /^831106(_|-| )?Bau(_|-| )?der(_|-| )?Pflanze$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282055' # 2017W
    # ======================================================================= #
    # === rf "Protein chemistry and protein engineering"
    # ======================================================================= #
    when /^Protein(_|-| )?chemistry(_|-| )?and(_|-| )?protein(_|-| )?engineering$/i,
         /^772304(_|-| )?Protein(_|-| )?chemistry(_|-| )?and(_|-| )?protein(_|-| )?engineering$/i,
         /^772304(_|-| )?Protein(_|-| )?chemistry(_|-| )?and(_|-| )?protein(_|-| )?engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281267'
    # ======================================================================= #
    # === rf "Einführung in die Sozialbiologie des Menschen"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Sozialbiologie(_|-| )?des(_|-| )?Menschen$/i,
         /^300231(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Sozialbiologie(_|-| )?des(_|-| )?Menschen$/i,
         /^Einführung(_|-| )?Sozialbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300231&semester=2017W'
    # ======================================================================= #
    # === rf "Research Examples Soft Materials"
    # ======================================================================= #
    when /^Research(_|-| )?Examples(_|-| )?Soft(_|-| )?Materials$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270163&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf daims
    # ======================================================================= #
    when 'daims'
      'https://ufind.univie.ac.at/de/person.html?id=82996&teaching=true'
    # ======================================================================= #
    # === rf "Forschungs- und Universitätsmanagement"
    # ======================================================================= #
    when /^Forschungs(_|-| )?(_|-| )?und(_|-| )?Universitätsmanagement$/i,
         /^300257(_|-| )?Forschungs(_|-| )?(_|-| )?und(_|-| )?Universitätsmanagement$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300257&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Biofunktionalität"
    # ======================================================================= #
    when /^Biofunktionalität$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330037&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Lebensmittelmikrobiologie Übungen"
    # ======================================================================= #
    when /^Lebensmittelmikrobiologie(_|-| )?Übungen$/i,
         /^754359(_|-| )?Lebensmittelmikrobiologie(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282818' # 2018S
    # ======================================================================= #
    # === rf "Konrad Domig"
    # ======================================================================= #
    when /^Konrad(_|-| )?Domig$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=6F3483E812393E01&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Evolution und Entwicklung"
    # ======================================================================= #
    when /^Evolution(_|-| )?und(_|-| )?Entwicklung$/i,
         /^300210(_|-| )?Evolution(_|-| )?und(_|-| )?Entwicklung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300210&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "301583 Vertiefungsübung in Genetik und Entwicklungsbiologie"
    # ======================================================================= #
    when /^301583(_|-| )?Vertiefungsübung(_|-| )?in(_|-| )?Genetik(_|-| )?und(_|-| )?Entwicklungsbiologie$/i,
         /^Vertiefungsübung(_|-| )?in(_|-| )?Genetik(_|-| )?und(_|-| )?Entwicklungsbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301583&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Martin Piskernig"
    # ======================================================================= #
    when /^Martin(_|-| )?Piskernig$/i
      'https://ufind.univie.ac.at/de/person.html?id=23920&teaching=true'
    # ======================================================================= #
    # === rf "Organische Chemie und Biochemie (AW)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Organische(_|-| )?Chemie(_|-| )?und(_|-| )?Biochemie(_|-| )?\(?AW\)?/i,
         /^Organische(_|-| )?Chemie(_|-| )?und(_|-| )?Biochemie(_|-| )?\(?AW\)?/i,
         /^770101(_|-| )?Organische(_|-| )?Chemie(_|-| )?und(_|-| )?Biochemie(_|-| )?\(?AW\)?/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282151' # 2018S
    # ======================================================================= #
    # === rf "Statistik Übungen (LBT)"
    # ======================================================================= #
    when /^Statistik(_|-| )?Übungen(_|-| )?\(?LBT\)?/i,
         /^851106(_|-| )?Statistik(_|-| )?Übungen(_|-| )?\(?LBT\)?/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280966' # 2018S
    # ======================================================================= #
    # === rf "Prozesstechnik I"
    # ======================================================================= #
    when /^Prozesstechnik(_|-| )?I$/i,
         /^893118(_|-| )?Prozesstechnik(_|-| )?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281576' # 2017W
    # ======================================================================= #
    # === rf "von haeseler"
    # ======================================================================= #
    when 'von haeseler'
      'https://ufind.univie.ac.at/de/person.html?id=28350'
    # ======================================================================= #
    # === rf Probenvorbereitungstechnik
    # ======================================================================= #
    when /^Probenvorbereitungstechnik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270078&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Christian Obinger"
    # ======================================================================= #
    when /^Christian(_|-| )?Obinger$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=F65FC9936595D142&pPersonenGruppe=3' # 2018S
    # ======================================================================= #
    # === rf "104.262 Analysis für Informatik und Wirtschaftsinformatik"
    # ======================================================================= #
    when /^104\.?262(_|-| )?Analysis(_|-| )?für(_|-| )?Informatik(_|-| )?und(_|-| )?Wirtschaftsinformatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9773&dsrid=643&courseNr=104262&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Die Welt der Milben"
    # ======================================================================= #
    when /^Die(_|-| )?Welt(_|-| )?der(_|-| )?Milben$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300482&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "270128 Biotechnologie Praktikum"
    # ======================================================================= #
    when /^270128(_|-| )?Biotechnologie(_|-| )?Praktikum$/i,
         'biotechnologie_praktikum','biotechnologiepraktikum',
         'praktikum','next_praktikum','next_focus',
         'nextpraktikum','nextfocus'
      'https://ufind.univie.ac.at/de/course.html?lv=270128&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "138.000 Physikalisches Praktikum für InformatikerInnen"
    # ======================================================================= #
    when /^138\.?000(_|-| )?Physikalisches(_|-| )?Praktikum(_|-| )?für(_|-| )?InformatikerInnen$/i
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=088&semester=2017W&courseNr=138000'
    # ======================================================================= #
    # === rf "Walther Schmid"
    # ======================================================================= #
    when /^Walther(_|-| )?Schmid$/i
      'https://ufind.univie.ac.at/de/person.html?id=4960&teaching=true'
    # ======================================================================= #
    # === rf "Basiswissen Biologie für die Bioinformatik"
    # ======================================================================= #
    when /^Basiswissen(_|-| )?Biologie(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         'grundlagen3'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=188592' # 2018S
    # ======================================================================= #
    # === rf "Basiswissen Mathematik für die Bioinformatik"
    # ======================================================================= #
    when /^Basiswissen(_|-| )?Mathematik(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         /^Mathematik(_|-| )?für(_|-| )?die(_|-| )?Bioinformatik$/i,
         'grundlagen2'
      # 'https://ufind.univie.ac.at/de/exam.html?mod=180182&eq=05-3512&semester=2017S' # 2017S
      'https://ufind.univie.ac.at/de/exam.html?mod=211311&eq=05-3512&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "300590 Grundlagen der Bioinformatik"
    # ======================================================================= #
    when /^300590(_|-| )?Grundlagen(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300590&semester=2016W'
    # ======================================================================= #
    # === rf "Nanobiotechnologie und klinische Anwendungen"
    # ======================================================================= #
    when /^Nanobiotechnologie(_|-| )?und(_|-| )?klinische(_|-| )?Anwendungen$/i,
         /^270151(_|-| )?Nanobiotechnologie(_|-| )?und(_|-| )?klinische(_|-| )?Anwendungen$/i,
         /^270151(_|-| )?SE(_|-| )?Nanobiotechnologie(_|-| )?und(_|-| )?klinische(_|-| )?Anwendungen$/i,
         'nanobiotech','nanobiotechnologie','nanobiotech1'
      'https://ufind.univie.ac.at/de/course.html?lv=270151&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "901.605 Propedeutics: Ethics in Medicine and Good Scientific Practice - SS 2018"
    # ======================================================================= #
    when /^901\.?605(_|-| )?Propedeutics(_|-| |:)?(_|-| )?Ethics(_|-| )?in(_|-| )?Medicine(_|-| )?and(_|-| )?Good(_|-| )?Scientific(_|-| )?Practice(_|-| )?(_|-| )?(_|-| )?SS(_|-| )?2018$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=324102' # 2018S
    # ======================================================================= #
    # === rf "166.202 Introduction to Biomaterials and Tissue Engineering"
    # ======================================================================= #
    when /^166\.?202(_|-| )?Introduction(_|-| )?to(_|-| )?Biomaterials(_|-| )?and(_|-| )?Tissue(_|-| )?Engineering$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6247&dsrid=876&courseNr=166202&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "184.686 Datenbanksysteme"
    # ======================================================================= #
    when /^184\.?686(_|-| )?Datenbanksysteme$/i 
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7396&dsrid=814&courseNr=184686&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "182.711 Betriebssysteme"
    # ======================================================================= #
    when /^182\.?711(_|-| )?Betriebssysteme$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1032&dsrid=841&courseNr=182711&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Grundlagen der Programmierung"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Programmierung$/i,
         /^500118(_|-| )?Grundlagen(_|-| )?der(_|-| )?Programmierung$/i,
         /^Grundlagen(_|-| )?des(_|-| )?Programmierung$/i,
         /^Grundlagen(_|-| )?des(_|-| )?Programmierens$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56354'
    # ======================================================================= #
    # === rf "164.322 Analytische Methoden und Trennverfahren"
    # ======================================================================= #
    when /^164\.?322(_|-| )?Analytische(_|-| )?Methoden(_|-| )?und(_|-| )?Trennverfahren$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6556&dsrid=405&courseNr=164322&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Übungen zur Humanernährung II"
    # ======================================================================= #
    when /^Übungen(_|-| )?zur(_|-| )?Humanernährung(_|-| )?II$/i,
         /^UE(_|-| )?zur(_|-| )?Humanernährung(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330108&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Spezielle Techniken in der Elektronenmikroskopie und Ultrastrukturforschung"
    # ======================================================================= #
    when /^Spezielle(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Elektronenmikroskopie(_|-| )?und(_|-| )?Ultrastrukturforschung$/i,
         /^300156(_|-| )?Spezielle(_|-| )?Techniken(_|-| )?in(_|-| )?der(_|-| )?Elektronenmikroskopie(_|-| )?und(_|-| )?Ultrastrukturforschung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300156&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Organische Chemie I"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?I$/i,
         /^270186(_|-| )?Organische(_|-| )?Chemie(_|-| )?I$/i,
         /^BachelorChemie(_|-| )?Organische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270186&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "186.822 Einführung in Visual Computing"
    # ======================================================================= #
    when /^186\.?822(_|-| )?Einführung(_|-| )?in(_|-| )?Visual(_|-| )?Computing$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7326&dsrid=551&courseNr=186822&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Statistische Methoden der Bioinformatik"
    # ======================================================================= #
    when /^Statistische(_|-| )?Methoden(_|-| )?der(_|-| )?Bioinformatik$/i,
         /^053530(_|-| )?Statistische(_|-| )?Methoden(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=053530&semester=2017W'
    # ======================================================================= #
    # === rf "770113 Bachelorseminar"
    # ======================================================================= #
    when /^770113(_|-| )?Bachelorseminar$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281490'
    # ======================================================================= #
    # === rf "835101 Mathematik Übungen (LBT)"
    # ======================================================================= #
    when /^835101(_|-| )?Mathematik(_|-| )?Übungen(_|-| )?\(?LBT\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282287' # 2017W
    # ======================================================================= #
    # === rf "Blüten: Struktur, Funktion und Diversität"
    # ======================================================================= #
    when /^Blüten:(_|-| )?Struktur(_|-| |,)?(_|-| )?Funktion(_|-| )?und(_|-| )?Diversität$/i,
         /^300147(_|-| )?Blüten(_|-| |:)?(_|-| )?Struktur(_|-| |,)?(_|-| )?Funktion(_|-| )?und(_|-| )?Diversität$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300147&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Konzepte und Arbeitsmethoden zu Reproduktions-, Entwicklungs- und Strukturbiologie der Pflanzen"
    # ======================================================================= #
    when /^Konzepte(_|-| )?und(_|-| )?Arbeitsmethoden(_|-| )?zu(_|-| )?Reproduktions(_|-| )?,(_|-| )?Entwicklungs(_|-| )?(_|-| )?und(_|-| )?Strukturbiologie(_|-| )?der(_|-| )?Pflanzen/i,
         /^300376(_|-| )?Konzepte(_|-| )?und(_|-| )?Arbeitsmethoden(_|-| )?zu(_|-| )?Reproduktions(_|-| )?,(_|-| )?Entwicklungs(_|-| )?(_|-| )?und(_|-| )?Strukturbiologie(_|-| )?der(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300376&semester=2017W'
    # ======================================================================= #
    # === rf "185.A12 Logikprogrammierung und Constraints"
    # ======================================================================= #
    when /^185\.?A12(_|-| )?Logikprogrammierung(_|-| )?und(_|-| )?Constraints$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9255&dsrid=611&courseNr=185A12&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "184.700 Deklaratives Problemlösen"
    # ======================================================================= #
    when /^184\.?700(_|-| )?Deklaratives(_|-| )?Problemlösen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3362&dsrid=559&courseNr=184700&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "186.866 Algorithmen und Datenstrukturen"
    # ======================================================================= #
    when /^186\.?866(_|-| )?Algorithmen(_|-| )?und(_|-| )?Datenstrukturen$/i,
         /^TU(_|-| )?Algorithmen(_|-| )?und(_|-| )?Datenstrukturen(_|-| )?1$/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1277&dsrid=402&courseNr=186866&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Algorithmen und Datenstrukturen 1"
    # ======================================================================= #
    when /^Algorithmen(_|-| )?und(_|-| )?Datenstrukturen(_|-| )?1$/i,
         /^UniWien(_|-| )?Algorithmen(_|-| )?und(_|-| )?Datenstrukturen(_|-| )?1$/
      'https://ufind.univie.ac.at/de/course.html?lv=051024&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Computersimulation von Biopolymeren"
    # ======================================================================= #
    when /^Computersimulation(_|-| )?von(_|-| )?Biopolymeren$/i,
         /^270275(_|-| )?Computersimulation(_|-| )?von(_|-| )?Biopolymeren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270275&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Ernährung und Genregulation"
    # ======================================================================= #
    when /^Ernährung(_|-| )?und(_|-| )?Gen(_|-| )?regulation$/i,
         /^330029(_|-| )?Ernährung(_|-| )?und(_|-| )?Gen(_|-| )?regulation$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330029&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Practical course in cell culture and fermentation"
    # ======================================================================= #
    when /^Practical(_|-| )?course(_|-| )?in(_|-| )?cell(_|-| )?culture(_|-| )?and(_|-| )?fermentation$/i,
         /^Practical(_|-| )?course(_|-| )?in(_|-| )?cell(_|-| )?culture(_|-| )?and(_|-| )?fermentation(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791369(_|-| )?Practical(_|-| )?course(_|-| )?in(_|-| )?cell(_|-| )?culture(_|-| )?and(_|-| )?fermentation(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      # 'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281278' # 2017W
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281277' # 2018S
    # ======================================================================= #
    # === rf "Practical Course in Modelling and Systems Biology"
    # ======================================================================= #
    when /^Practic?al(_|-| )?Course(_|-| )?in(_|-| )?Modelling(_|-| )?and(_|-| )?Systems(_|-| )?Biology$/i,
         /^300332(_|-| )?Practic?al(_|-| )?Course(_|-| )?in(_|-| )?Modelling(_|-| )?and(_|-| )?Systems(_|-| )?Biology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300332&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Biomaterials
    # ======================================================================= #
    when /^Biomaterials$/i,
         /^Biomaterials(_|-| )?\(?in(_|-| )?Eng\.\)?$/i, # rf "Biomaterials (in Eng.)"
         /^892110(_|-| )?Biomaterials(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280643' # 2018S
    # ======================================================================= #
    # === rf "308.119 Biomaterials"
    # ======================================================================= #
    when /^308\.?119(_|-| )?Biomaterials$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7616&dsrid=212&courseNr=308119&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "300616 Lebenszyklen der Pflanzen"
    # ======================================================================= #
    when /^300616(_|-| )?Lebenszyklen(_|-| )?der(_|-| )?Pflanzen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300616&semester=2018S'
    # ======================================================================= #
    # === rf "Softwareentwicklungsprojekt Bioinformatik"
    # ======================================================================= #
    when /^Softwareentwicklungsprojekt(_|-| )?Bioinformatik$/i,
         /^053531(_|-| )?Softwareentwicklungsprojekt(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=053531&semester=2017W'
    # ======================================================================= #
    # === rf "Metabolomics"
    # ======================================================================= #
    when /^Metabolomics$/i,
         /^300358(_|-| )?Metabolomics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300358&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Praktikum zur Bioinformatik der Nukleinsäuren"
    # ======================================================================= #
    when /^Praktikum(_|-| )?zur(_|-| )?Bioinformatik(_|-| )?der(_|-| )?Nukleinsäuren$/i,
         /^270034(_|-| )?Praktikum(_|-| )?zur(_|-| )?Bioinformatik(_|-| )?der(_|-| )?Nukleinsäuren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270034&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "High performance Computing in Chemistry"
    # ======================================================================= #
    when /^High(_|-| )?performance(_|-| )?Computing(_|-| )?in(_|-| )?Chemistry$/i,
         /^270005(_|-| )?High(_|-| )?performance(_|-| )?Computing(_|-| )?in(_|-| )?Chemistry$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270005&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Introduction to Quantitative Biology and Systems Biology"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?Quantitative(_|-| )?Biology(_|-| )?and(_|-| )?Systems(_|-| )?Biology$/i,
         /^300344(_|-| )?Introduction(_|-| )?to(_|-| )?Quantitative(_|-| )?Biology(_|-| )?and(_|-| )?Systems(_|-| )?Biology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300344&semester=2018S'
    # ======================================================================= #
    # === rf "Pflanzenphysiologische Übungen"
    # ======================================================================= #
    when /^Pflanzenphysiologische(_|-| )?Übungen/i,
         /^300333(_|-| )?Pflanzenphysiologische(_|-| )?Übungen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300333&semester=2017W'
    # ======================================================================= #
    # === rf Paläobiogeographie
    # ======================================================================= #
    when /^Paläobiogeographie$/i,
         /^300269(_|-| )?Paläobiogeographie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300269&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Ökophysiologisch-gärtnerische Übungen"
    # ======================================================================= #
    when /Ökophysiologisch-gärtnerische(_|-| )?Übungen/i,
         /^300157(_|-| )?Ökophysiologisch(_|-| )?gärtnerische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300157&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Diversität und Phylogenie der Höheren Pflanzen"
    # ======================================================================= #
    when /Diversität(_|-| )?und(_|-| )?Phylogenie(_|-| )?der(_|-| )?Höheren(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300023&semester=2016S'
    # ======================================================================= #
    # === rf "Diversität der Höheren Pflanzen in ihrem Lebensraum"
    # ======================================================================= #
    when /Diversität(_|-| )?der(_|-| )?Höheren(_|-| )?Pflanzen(_|-| )?in(_|-| )?ihrem(_|-| )?Lebensraum/i
      'https://ufind.univie.ac.at/de/course.html?lv=300292&semester=2016S'
    # ======================================================================= #
    # === rf "Diversität und Systematik der Höheren Pflanzen"
    # ======================================================================= #
    when /Diversität(_|-| )?und(_|-| )?Systematik(_|-| )?der(_|-| )?Höheren(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300293&semester=2016S'
    # ======================================================================= #
    # === rf "Diversität und Phylogenie der Niederen Pflanzen"
    # ======================================================================= #
    when /Diversität(_|-| )?und(_|-| )?Phylogenie(_|-| )?der(_|-| )?Niederen(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300016&semester=2017W'
    # ======================================================================= #
    # === rf "Diversität und Systematik der Niederen Pflanzen und Pilze"
    # ======================================================================= #
    when /Diversität(_|-| )?und(_|-| )?Systematik(_|-| )?der(_|-| )?Niederen(_|-| )?Pflanzen(_|-| )?und(_|-| )?Pilze/i
      'https://ufind.univie.ac.at/de/course.html?lv=300043&semester=2017W'
    # ======================================================================= #
    # === rf "Wachstum und Stoffwechsel der Pflanzen"
    # ======================================================================= #
    when /^Wachstum(_|-| )?und(_|-| )?Stoffwechsel(_|-| )?der(_|-| )?Pflanzen/i,
         /^300606(_|-| )?Wachstum(_|-| )?und(_|-| )?Stoffwechsel(_|-| )?der(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300606&semester=2017W'
    # ======================================================================= #
    # === rf "733113 Rechnungswesen"
    # ======================================================================= #
    when /^733113(_|-| )?Rechnungswesen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282312'
    # ======================================================================= #
    # === rf pflanzenernährung
    # ======================================================================= #
    when /^pflanzenernährung/,
         /^951115(_|-| )?Pflanzenernährung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281190' # 2017W
    # ======================================================================= #
    # === rf botanik-übungen-anatomie
    # ======================================================================= #
    when /^botanik(_|-| )?Übungen(_|-| )?anatomie$/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279279'
    # ======================================================================= #
    # === rf "270052 Analytische Chemie I"
    # ======================================================================= #
    when /^270052(_|-| )?Analytische(_|-| )?Chemie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270052&semester=2018S'
    # ======================================================================= #
    # === rf findeiß
    # ======================================================================= #
    when 'findeiß','findeiss'
      'https://ufind.univie.ac.at/en/person.html?id=45277&teaching=true'
    # ======================================================================= #
    # === rf "Wahlfachpraktikum: Proteinanalytik"
    # ======================================================================= #
    when /^Wahlfachpraktikum(_|-| |:)?(_|-| )?Proteinanalytik$/i,
         /^270027(_|-| )?Wahlfachpraktikum(_|-| |:)?(_|-| )?Proteinanalytik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270027&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Seminar in nanobiosciences and nanotechnology I (in Eng.)"
    # ======================================================================= #
    when /^Seminar(_|-| )?in(_|-| )?nanobiosciences(_|-| )?and(_|-| )?nanotechnology(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^803304(_|-| )?Seminar(_|-| )?in(_|-| )?nanobiosciences(_|-| )?and(_|-| )?nanotechnology(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280697'
    # ======================================================================= #
    # === rf saalmüller
    # ======================================================================= #
    when 'saalmüller',
         /^Armin(_|-| )?Saalmüller$/i
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=CB13DF2EA2DF0270&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "200.271 Orientierungslehrveranstaltung"
    # ======================================================================= #
    when /^200\.?271(_|-| )?Orientierungslehrveranstaltung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6178&dsrid=734&courseNr=200271&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Conservation Planning - tools for mainstreaming biodiversity management"
    # ======================================================================= #
    when /^Conservation(_|-| )?Planning(_|-| )?(_|-| )?(_|-| )?tools(_|-| )?for(_|-| )?mainstreaming(_|-| )?biodiversity(_|-| )?management$/i,
         /^300274(_|-| )?Conservation(_|-| )?Planning(_|-| )?(_|-| )?(_|-| )?tools(_|-| )?for(_|-| )?mainstreaming(_|-| )?biodiversity(_|-| )?management$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300274&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Statistik für Chemiker - Eine praxisorientierte Einführung"
    # ======================================================================= #
    when /^Statistik(_|-| )?für(_|-| )?Chemiker(_|-| )?(_|-| )?(_|-| )?Eine(_|-| )?praxisorientierte(_|-| )?Einführung$/i,
         /^164\.?279(_|-| )?Statistik(_|-| )?für(_|-| )?Chemiker(_|-| )?(_|-| )?(_|-| )?Eine(_|-| )?praxisorientierte(_|-| )?Einführung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1040&dsrid=888&courseNr=164279&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Wahlübung Röntgendiffraktometrie"
    # ======================================================================= #
    when /^Wahlübung(_|-| )?Röntgendiffraktometrie$/i,
         /^164\.?304(_|-| )?Wahlübung(_|-| )?Röntgendiffraktometrie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9235&dsrid=439&courseNr=164304&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "165.009 Theoretische Chemie"
    # ======================================================================= #
    when /^165\.?009(_|-| )?Theoretische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5543&dsrid=884&courseNr=165009&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Synthetische Biologie"
    # ======================================================================= #
    when /^Synthetische(_|-| )?Biologie$/i,
         /^166\.?647(_|-| )?Synthetische(_|-| )?Biologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1796&dsrid=833&courseNr=166647&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Gentechnik und Industrielle Genomik"
    # ======================================================================= #
    when /^Gentechnik(_|-| )?und(_|-| )?Industrielle(_|-| )?Genomik$/i,
         /^166\.?156(_|-| )?Gentechnik(_|-| )?und(_|-| )?Industrielle(_|-| )?Genomik$/i
       'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8688&dsrid=714&courseNr=166156&semester=2017W'
    # ======================================================================= #
    # === rf "Biotechnologie 2"
    # ======================================================================= #
    when /^Biotechnologie(_|-| )?2$/i,
         /^166\.?210(_|-| )?Biotechnologie(_|-| )?2$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2049&dsrid=711&courseNr=166210&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Bioprozess Technologie und Bioanalytik"
    # ======================================================================= #
    when /^Bioprozess(_|-| )?Technologie(_|-| )?und(_|-| )?Bioanalytik$/i,
         /^166.604(_|-| )?Bioprozess(_|-| )?Technologie(_|-| )?und(_|-| )?Bioanalytik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7433&dsrid=88&courseNr=166604&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "166.605 Biopharmazeutische Prozesstechnologie"
    # ======================================================================= #
    when /^166\.?605(_|-| )?Biopharmazeutische(_|-| )?Prozesstechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7204&dsrid=222&courseNr=166605&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biologie und Genetik in dustrieller Mikroorganismen"
    # ======================================================================= #
    when /^Biologie(_|-| )?und(_|-| )?Genetik(_|-| )?in(_|-| )?dustrieller(_|-| )?Mikroorganismen$/i,
         /^166\.?648(_|-| )?Biologie(_|-| )?und(_|-| )?Genetik(_|-| )?in(_|-| )?dustrieller(_|-| )?Mikroorganismen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5456&dsrid=45&courseNr=166648&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Molekülspektroskopie
    # ======================================================================= #
    when /^Molekülspektroskopie$/i,
         /^270066(_|-| )?Molekülspektroskopie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270066&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "301704 Molekularbiologie der Pflanzen II"
    # ======================================================================= #
    when /^301704(_|-| )?Molekularbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301704&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Peroxisomes in Health and Disease"
    # ======================================================================= #
    when /^Peroxisomes(_|-| )?in(_|-| )?Health(_|-| )?and(_|-| )?Disease?$/i,
         /^301324(_|-| )?Peroxisomes(_|-| )?in(_|-| )?Health(_|-| )?and(_|-| )?Disease?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301324&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Cell factory - plants (in Eng.)"
    # ======================================================================= #
    when /^Cell(_|-| )?factory(_|-| )?(_|-| )?(_|-| )?plants(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941331(_|-| )?Cell(_|-| )?factory(_|-| )?(_|-| )?(_|-| )?plants(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280765' # 2018S
    # ======================================================================= #
    # === rf "Biometrisches Seminar für AnfängerInnen"
    # ======================================================================= #
    when /^Biometrisches(_|-| )?Seminar(_|-| )?für(_|-| )?AnfängerInnen$/i,
         /^300438(_|-| )?Biometrisches(_|-| )?Seminar(_|-| )?für(_|-| )?AnfängerInnen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300438&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Imaging and visualization in developmental biology"
    # ======================================================================= #
    when /^Imaging(_|-| )?and(_|-| )?visualization(_|-| )?in(_|-| )?developmental(_|-| )?biology$/i,
         /^300530(_|-| )?Imaging(_|-| )?and(_|-| )?visualization(_|-| )?in(_|-| )?developmental(_|-| )?biology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300530&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Limnology Seminar - Current research and ecological concepts"
    # ======================================================================= #
    when /^Limnology(_|-| )?Seminar(_|-| )?(_|-| )?(_|-| )?Current(_|-| )?research(_|-| )?and(_|-| )?ecological(_|-| )?concepts$/i,
         /^300659(_|-| )?Limnology(_|-| )?Seminar(_|-| )?(_|-| )?(_|-| )?Current(_|-| )?research(_|-| )?and(_|-| )?ecological(_|-| )?concepts$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300659&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Betriebswirtschaft und Vermarktung in der ÖLW"
    # ======================================================================= #
    when /^Betriebswirtschaft(_|-| )?und(_|-| )?Vermarktung(_|-| )?in(_|-| )?der(_|-| )?ÖLW$/i,
         /^733105(_|-| )?Betriebswirtschaft(_|-| )?und(_|-| )?Vermarktung(_|-| )?in(_|-| )?der(_|-| )?ÖLW$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282482' # 2017W
    # ======================================================================= #
    # === rf "Economics and politics of natural resources (in Eng.)"
    # ======================================================================= #
    when /^Economics(_|-| )?and(_|-| )?politics(_|-| )?of(_|-| )?natural(_|-| )?resources(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^854106(_|-| )?Economics(_|-| )?and(_|-| )?politics(_|-| )?of(_|-| )?natural(_|-| )?resources(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282004' # 2017W
    # ======================================================================= #
    # === rf "Bodenkunde und Geologie"
    # ======================================================================= #
    when /^Bodenkunde(_|-| )?und(_|-| )?Geologie$/i,
         /^911103(_|-| )?Bodenkunde(_|-| )?und(_|-| )?Geologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282607' # 2018S
    # ======================================================================= #
    # === rf "Botanik-Übungen-Anatomie (AW)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Botanik(_|-| )?Übungen(_|-| )?(_|-| )?(_|-| )?Anatomie(_|-| )?\(?AW\)?/i,
         /^Botanik(_|-| )?Übungen(_|-| )?(_|-| )?(_|-| )?Anatomie(_|-| )?\(?AW\)?/i,
         /^831111(_|-| )?Botanik(_|-| )?Übungen(_|-| )?(_|-| )?(_|-| )?Anatomie(_|-| )?\(?AW\)?$/i,
         'botanik_übung',
         /^Botanik(_|-| )?Übungen(_|-| )?Anatomie/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282057' # 2017W.
    # ======================================================================= #
    # === rf "Lebensräume heimischer Pflanzen und Tiere"
    # ======================================================================= #
    when /^Lebensräume(_|-| )?heimischer(_|-| )?Pflanzen(_|-| )?und(_|-| )?Tiere$/i,
         /^833112(_|-| )?Lebensräume(_|-| )?heimischer(_|-| )?Pflanzen(_|-| )?und(_|-| )?Tiere$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282252' # 2018S
    # ======================================================================= #
    # === rf "951111 Pflichtpraxisseminar - Pflanzliche Produktion (in Eng.)"
    # ======================================================================= #
    when /^951111(_|-| )?Pflichtpraxisseminar(_|-| )?(_|-| )?(_|-| )?Pflanzliche(_|-| )?Produktion(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280666' # 2018S
    # ======================================================================= #
    # === rf "Landwirtschaftliche Betriebswirtschaftslehre"
    # ======================================================================= #
    when /^Landwirtschaftliche(_|-| )?Betriebswirtschaftslehre$/i,
         /^733107(_|-| )?Landwirtschaftliche(_|-| )?Betriebswirtschaftslehre$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282485' # 2018S
    # ======================================================================= #
    # === rf "Gemüse- und Zierpflanzenbau"
    # ======================================================================= #
    when /^Gemüse(_|-| )?(_|-| )?und(_|-| )?Zierpflanzenbau/i,
         /^zierpflanzenproduktion/,'zierpflanzenbau',
         /^Zierpflanzen/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280818' # 2018S
    # ======================================================================= #
    # === rf Pflanzenbau
    # ======================================================================= #
    when /^Pflanzenbau$/i,
         /^951104(_|-| )?Pflanzenbau$/i,
         /^BOKU(_|-| )?Pflanzenbau$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281179' # 2017W
    # ======================================================================= #
    # === rf "Instrumentelles und Bioanalytisches Labor"
    # ======================================================================= #
    when /^Instrumentelles(_|-| )?und(_|-| )?Bioanalytisches(_|-| )?Labor$/i,
         /^Instrumentelles(_|-| )?Labor$/i,
         /^164\.?254(_|-| )?Instrumentelles(_|-| )?und(_|-| )?Bioanalytisches(_|-| )?Labor$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2453&dsrid=473&courseNr=164254&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Analytische Chemie I"
    # ======================================================================= #
    when /^Analytische(_|-| )?Chemie(_|-| )?I$/i,
         /^164\.?053(_|-| )?Analytische(_|-| )?Chemie(_|-| )?I$/i
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=c40&semester=2017W&courseNr=164053' # 2017W
    # ======================================================================= #
    # === rf "Systematik und Ökologie der Pflanzen (AW)"
    # ======================================================================= #
    when /^Systematik(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?\(?AW\)?/i,
         /^834113(_|-| )?Systematik(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?\(?AW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282059' # 2018S
    # ======================================================================= #
    # === rf "Projektmanagement (AW)"
    # ======================================================================= #
    when 'projektmanagement_AW',
         /^Projektmanagement(_|-| )?\(?AW\)?$/i,
         /^731121(_|-| )?Projektmanagement(_|-| )?\(?AW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280672' # 2917W
    # ======================================================================= #
    # === rf "Regionalplanung (AW)"
    # ======================================================================= #
    when /^Regionalplanung(_|-| )?\(?AW\)?/i,
         /^731120(_|-| )?Regionalplanung(_|-| )?\(?AW\)?/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282343' # 2018S
    # ======================================================================= #
    # === rf Nutztierethologie
    # ======================================================================= #
    when /^Nutztierethologie$/i,
         /^932112(_|-| )?Nutztierethologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281537' # 2018S
    # ======================================================================= #
    # === rf bioprozess_technologie
    # ======================================================================= #
    when 'bioprozess_technologie'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=9cf&semester=2014S&courseNr=166604'
    # ======================================================================= #
    # === rf rhetorik
    # ======================================================================= #
    when /rhetorik/,
         /^735102(_|-| )?Rhetorik(_|-| )?und(_|-| )?Präsentationstechniken(_|-| )?\(?AW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280673' # 2018S
    # ======================================================================= #
    # === rf "Agrarökologie - Übungen"
    # ======================================================================= #
    when /^Agrarökologie(_|-| )?(_|-| )?(_|-| )?Übungen$/i,
         /^833107(_|-| )?Agrarökologie(_|-| )?(_|-| )?(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282248' # 2018S
    # ======================================================================= #
    # === rf Agrarökologie
    # ======================================================================= #
    when /^Agrarökologie$/i,
         /^833103(_|-| )?Agrarökologie$/i,
         /^BOKU(_|-| )?Agrarökologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282245' # 2018S
    # ======================================================================= #
    # === rf agrarphys
    # ======================================================================= #
    when /agrarphys/, 
         /^892102(_|-| )?Agrarphysik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281855' # 2018S
    # ======================================================================= #
    # === rf tierhaltung
    # ======================================================================= #
    when 'tierhaltung',
         /^932104(_|-| )?Tierhaltung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281125' # 2017W
    # ======================================================================= #
    # === rf "Agrarmärkte (AW)"
    # ======================================================================= #
    when /^Agrarmärkte(_|-| )?\(?AW\)?$/i,
         /^735101(_|-| )?Agrarmärkte(_|-| )?\(?AW\)?$/i,
         /^BOKU(_|-| )?Agrarmärkte$/i,
         'agrarmärkte',
         'agrarmärkte_aw'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282564' # 2018S
    # ======================================================================= #
    # === rf "Genetik (AW)"
    # ======================================================================= #
    when /^BOKU(_|-| )?Genetik(_|-| )?\(AW\)/i,
         /^Genetik(_|-| )?\(AW\)/i,
         /^941112(_|-| )?Genetik(_|-| )?\(AW\)/i,
         /genetik_?aw/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280670' # 2018S
    # ======================================================================= #
    # === rf "Mikrobiologie (AW)"
    # ======================================================================= #
    when /^Mikrobiologie(_|-| )?\(AW\)/i,
         /^754101(_|-| )?Mikrobiologie(_|-| )?\(AW\)/i,
         /mikrobiologie_?aw/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282406' # 2017W
    # ======================================================================= #
    # === rf Pflanzenschutz
    # ======================================================================= #
    when /^Pflanzenschutz$/i,
         /^953100(_|-| )?Pflanzenschutz$/i,
         /^BOKU(_|-| )?Pflanzenschutz$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280852' # 2017W
    # ======================================================================= #
    # === rf "Physikalisches Praktikum für Biologen"
    # ======================================================================= #
    when /^Physikalisches(_|-| )?Praktikum(_|-| )?für(_|-| )?Biologen$/i,
         /^809584(_|-| )?Physikalisches(_|-| )?Praktikum(_|-| )?für(_|-| )?Biologen$/i
      'http://ufind.at/de/course.html?lv=809584&semester=1999W' # 1999W
    # ======================================================================= #
    # === rf Umweltethik
    # ======================================================================= #
    when /^BOKU(_|-| )?Umweltethik$/i,
         /^Umweltethik$/i,
         /^833115(_|-| )?Umweltethik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282254' # 2017W
    # ======================================================================= #
    # === rf "Effizientes Lernen"
    # ======================================================================= #
    when /^Effizientes(_|-| )?Lernen$/i,
         /^300545(_|-| )?Effizientes(_|-| )?Lernen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300545&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "STEOP: Hilfsmittel aus der EDV"
    # ======================================================================= #
    when /^STEOP(_|-| |:)?(_|-| )?Hilfsmittel(_|-| )?aus(_|-| )?der(_|-| )?EDV$/i,
         /^250002(_|-| )?STEOP(_|-| |:)?(_|-| )?Hilfsmittel(_|-| )?aus(_|-| )?der(_|-| )?EDV$/i
      'https://ufind.univie.ac.at/de/course.html?lv=250002&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Antiinfektiva, Antineoplastika und (Bio)pharmazeutika mit Wirkung auf das Immunsystem"
    # ======================================================================= #
    when /^Antiinfektiva(_|-| |,)?(_|-| )?Antineoplastika(_|-| )?und(_|-| )?(Bio)pharmazeutika(_|-| )?mit(_|-| )?Wirkung(_|-| )?auf(_|-| )?das(_|-| )?Immunsystem$/i,
         /^322002(_|-| )?Antiinfektiva(_|-| |,)?(_|-| )?Antineoplastika(_|-| )?und(_|-| )?(Bio)pharmazeutika(_|-| )?mit(_|-| )?Wirkung(_|-| )?auf(_|-| )?das(_|-| )?Immunsystem$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322002&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "UE zu quantitativen Methoden für Molekulare Biologen"
    # ======================================================================= #
    when /^UE(_|-| )?zu(_|-| )?quantitativen(_|-| )?Methoden(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i,
         /^301351(_|-| )?UE(_|-| )?zu(_|-| )?quantitativen(_|-| )?Methoden(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301351&semester=2017W' # 2017WS
    # ======================================================================= #
    # === rf "Modellierung, Simulation und Steuerung von Bioprozessen"
    # ======================================================================= #
    when /^Modellierung(_|-| |,)?(_|-| )?Simulation(_|-| )?und(_|-| )?Steuerung(_|-| )?von(_|-| )?Bioprozessen$/i,
         /^166\.?606(_|-| )?Modellierung(_|-| |,)?(_|-| )?Simulation(_|-| )?und(_|-| )?Steuerung(_|-| )?von(_|-| )?Bioprozessen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6820&dsrid=672&courseNr=166606&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Molekulare Entwicklungsbiologie der Pflanzen"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Entwicklungsbiologie(_|-| )?der(_|-| )?Pflanzen$/i,
         /^301083(_|-| )?Molekulare(_|-| )?Entwicklungsbiologie(_|-| )?der(_|-| )?Pflanzen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301083&semester=2018W' # 2018W
    # ======================================================================= #
    # === rf "Bestimmungsübungen heimischer Tiere"
    # ======================================================================= #
    when /^Bestimmungsübungen(_|-| )?heimischer(_|-| )?Tiere$/i,
         /^300101(_|-| )?Bestimmungsübungen(_|-| )?heimischer(_|-| )?Tiere$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300101&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Chemie-Propädeutikum"
    # ======================================================================= #
    when /^Chemie(_|-| )?Propädeutikum$/i,
         /^163\.?162(_|-| )?Chemie(_|-| )?Propädeutikum$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3202&dsrid=378&courseNr=163162&semester=2017W'
    # ======================================================================= #
    # === rf georg_reischer
    # ======================================================================= #
    when 'georg_reischer','reischer','georg'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/2975149'
    # ======================================================================= #
    # === rf "Großpraktikum Molekulare Biologie"
    # ======================================================================= #
    when /^Großpraktikum(_|-| )?Molekulare(_|-| )?Biologie$/i,
         /^301850(_|-| )?Großpraktikum(_|-| )?Molekulare(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301850&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Next generation sequencing data analysis"
    # ======================================================================= #
    when /^Next(_|-| )?generation(_|-| )?sequencing(_|-| )?data(_|-| )?analysis$/i,
         /^301242(_|-| )?Next(_|-| )?generation(_|-| )?sequencing(_|-| )?data(_|-| )?analysis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301242&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Wahlbeispiel Biochemie"
    # ======================================================================= #
    when /^Wahlbeispiel(_|-| )?Biochemie$/i,
         /^301852(_|-| )?Wahlbeispiel(_|-| )?Biochemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301852&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Mechanical and Thermal Processes II"
    # ======================================================================= #
    when /^Mechanical(_|-| )?and(_|-| )?Thermal(_|-| )?Processes(_|-| )?II$/i,
         /^893303(_|-| )?Mechanical(_|-| )?and(_|-| )?Thermal(_|-| )?Processes(_|-| )?II$/i,
         /^893303(_|-| )?Mechanical(_|-| )?and(_|-| )?thermal(_|-| )?process(_|-| )?technology(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281071' # 2017W
    # ======================================================================= #
    # === rf "Cell and Molecular Biology II"
    # ======================================================================= #
    when /^BOKU(_|-| )?Cell(_|-| )?and(_|-| )?Molecular(_|-| )?Biology(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Cell(_|-| )?and(_|-| )?Molecular(_|-| )?Biology(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Cell(_|-| )?and(_|-| )?Molecular(_|-| )?Biology(_|-| )?II$/i,
         /^Cell(_|-| )?and(_|-| )?Molecular(_|-| )?Biology(_|-| )?II(_|-| )?\(in(_|-| )? Eng\.\)$/i,
         /^941325(_|-| )?Cell(_|-| )?and(_|-| )?molecular(_|-| )?biology(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'cell_and_molecular_biology_ii'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281270' # 2017W
    # ======================================================================= #
    # === rf "Compulsory Internship Seminar"
    # ======================================================================= #
    when /^Compulsory(_|-| )?Internship(_|-| )?Seminar$/i,
         /^791373(_|-| )?Compulsory(_|-| )?Internship(_|-| )?Seminar$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281441' # 2018S
    # ======================================================================= #
    # === rf "Plant molecular biology"
    # ======================================================================= #
    when /^Plant(_|-| )?molecular(_|-| )?biology$/i,
         /^Plant(_|-| )?molecular(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng.\)?$/i,
         /^941321(_|-| )?Plant(_|-| )?molecular(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280885' # 2018S
    # ======================================================================= #
    # === rf "Engineering of Biotechnological Production Facilities"
    # ======================================================================= #
    when /^Engineering(_|-| )?of(_|-| )?Biotechnological(_|-| )?Production(_|-| )?Facilities$/i,
         /^791352(_|-| )?Engineering(_|-| )?of(_|-| )?Biotechnological(_|-| )?Production(_|-| )?Facilities$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278351'
    # ======================================================================= #
    # === rf "Biochemie für Fortgeschrittene"
    # ======================================================================= #
    when /^Biochemie(_|-| )?für(_|-| )?Fortgeschrittene$/i,
         /^301164(_|-| )?Biochemie(_|-| )?für(_|-| )?Fortgeschrittene$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301164&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Cell and Molecular Biology I"
    # ======================================================================= #
    when /^Cell(_|-| )?and(_|-| )?molecular(_|-| )?biology(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Cell(_|-| )?and(_|-| )?Molecular(_|-| )?Biology(_|-| )?I$/i,
         /^Cell(_|-| )?and(_|-| )?Molecular(_|-| )?Biology(_|-| )?I(_|-| )?\(in(_|-| )? Eng\.\)$/i,
         /^BOKU(_|-| )?Zell(_|-| )?(_|-| )?und(_|-| )?Molekularbiologie(_|-| )?I$/i,
         /^Zell(_|-| )?(_|-| )?und(_|-| )?Molekularbiologie(_|-| )?I$/i,
         /^941319(_|-| )?Cell(_|-| )?and(_|-| )?molecular(_|-| )?biology(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281260' # 2017W
    # ======================================================================= #
    # === rf "Practical Course in Biochemistry II"
    # ======================================================================= #
    when /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Biochemistry(_|-| )?II$/i,
         /^772305(_|-| )?Practical(_|-| )?course(_|-| )?in(_|-| )?biochemistry(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281715'
    # ======================================================================= #
    # === rf "Umweltaspekte in der Pflanzenproduktion"
    # ======================================================================= #
    when /^Umweltaspekte(_|-| )?in(_|-| )?der(_|-| )?Pflanzenproduktion$/i,
         /^951108(_|-| )?Umweltaspekte(_|-| )?in(_|-| )?der(_|-| )?Pflanzenproduktion$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281183'
    # ======================================================================= #
    # === rf Pflanzenphysiologie
    # ======================================================================= #
    when /^Pflanzenphysiologie$/i,
         /^BOKU(_|-| )?Pflanzenphysiologie$/i,
         /^831114(_|-| )?Pflanzenphysiologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282060' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die Biomechanik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biomechanik$/i,
         /^317.043(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Biomechanik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4122&dsrid=991&courseNr=317043&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Applied Mathematics and Biostatistics Exercises"
    # ======================================================================= #
    when /^Applied(_|-| )?Mathematics(_|-| )?and(_|-| )?Biostatistics(_|-| )?Exercises$/i,
         /^851315(_|-| )?Applied(_|-| )?mathematics(_|-| )?and(_|-| )?biostatistics(_|-| )?exercises(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281708' # 2017W
    # ======================================================================= #
    # === rf Geoinformationssysteme
    # ======================================================================= #
    when /^Geoinformationssysteme$/i,
         /^857108(_|-| )?Geoinformationssysteme$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280973'
    # ======================================================================= #
    # === rf "Zellbiologische Techniken für Fortgeschrittene"
    # ======================================================================= #
    when /^Zellbiologische(_|-| )?Techniken(_|-| )?für(_|-| )?Fortgeschrittene$/i,
         /^301856(_|-| )?Zellbiologische(_|-| )?Techniken(_|-| )?für(_|-| )?Fortgeschrittene$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301856&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Advanced instrumental analytical chemistry (in Eng.)"
    # ======================================================================= #
    when /^Advanced(_|-| )?instrumental(_|-| )?analytical(_|-| )?chemistry(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Advanced(_|-| )?Instrumental(_|-| )?Analytical(_|-| )?Chemistry$/i,
         /^771317(_|-| )?Advanced(_|-| )?instrumental(_|-| )?analytical(_|-| )?chemistry(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280758'
    # ======================================================================= #
    # === rf "Biophysical Chemistry"
    # ======================================================================= #
    when /^Biophysical(_|-| )?Chemistry/i,
         /^772300(_|-| )?Biophysical(_|-| )?Chemistry/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282177' # 2018S
    # ======================================================================= #
    # === rf "Angewandte Genetik und Molekularbiologie"
    # ======================================================================= #
    when /^Angewandte(_|-| )?Genetik(_|-| )?und(_|-| )?Molekularbiologie$/i,
         /^330030(_|-| )?Angewandte(_|-| )?Genetik(_|-| )?und(_|-| )?Molekularbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330030&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Propedeutics: Scientific Software and Databases - WS 2017"
    # ======================================================================= #
    when /^Propedeutics(_|-| |:)?(_|-| )?Scientific(_|-| )?Software(_|-| )?and(_|-| )?Databases(_|-| )?(_|-| )?(_|-| )?WS(_|-| )?2017$/i,
         /^902\.?216(_|-| )?Propedeutics(_|-| |:)?(_|-| )?Scientific(_|-| )?Software(_|-| )?and(_|-| )?Databases(_|-| )?(_|-| )?(_|-| )?WS(_|-| )?2017$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=325848' # 2017W
    # ======================================================================= #
    # === rf Biophysik
    # ======================================================================= #
    when /^biophysik$/i,'biophysi',
         /^362\.?111(_|-| )?Biophysik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5698&dsrid=258&courseNr=362111&semester=2017W'
    # ======================================================================= #
    # === rf "Anorganisch-chemisches Praktikum"
    # ======================================================================= #
    when /^Anorganisch(_|-| )?chemisches(_|-| )?Praktikum$/i,
         /^270126(_|-| )?Anorganisch(_|-| )?chemisches(_|-| )?Praktikum$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270126&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Biostatistik
    # ======================================================================= #
    when /^Biostatistik$/i,
         /^330098(_|-| )?Biostatistik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330098&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf gentechnik
    # ======================================================================= #
    when 'gentechnik'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=0e2&courseNr=166156&semester=2015W'
    # ======================================================================= #
    # === rf "Bioinformatik-Praktikum II"
    # ======================================================================= #
    when /^Bioinformatik(_|-| )?Praktikum(_|-| )?II$/i,
         /^301600(_|-| )?Bioinformatik(_|-| )?Praktikum(_|-| )?II$/i,
         /^Bioinformatik(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301600&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Mathematik für Pharmazeuten"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?Pharmazeuten$/i,
         /^320130(_|-| )?Mathematik(_|-| )?für(_|-| )?Pharmazeuten$/i
      'https://ufind.univie.ac.at/de/course.html?lv=320130&semester=2017W'
    # ======================================================================= #
    # === rf "Technologie tierischer Lebensmittel"
    # ======================================================================= #
    when /^Technologie(_|-| )?tierischer(_|-| )?Lebensmittel$/i,
         /^976103(_|-| )?Technologie(_|-| )?tierischer(_|-| )?Lebensmittel$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282377' # 2018S
    # ======================================================================= #
    # === rf "Mathematik für Biologische Chemiker"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?Biologische(_|-| )?Chemiker$/i,
         /^270058(_|-| )?Mathematik(_|-| )?für(_|-| )?Biologische(_|-| )?Chemiker$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270058&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Molekularbiologische Methoden"
    # ======================================================================= #
    when /^Molekularbiologische(_|-| )?Methoden$/i,
         /^500129(_|-| )?Molekularbiologische(_|-| )?Methoden$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56948'
    # ======================================================================= #
    # === rf "Molekularbiologische Übungen"
    # ======================================================================= #
    when /^Molekularbiologische(_|-| )?Übungen$/i,
         /^500109(_|-| )?Molekularbiologische(_|-| )?Übungen$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57228' # 2018S
    # ======================================================================= #
    # === rf "TU Wien Grundlagen der Mikroökonomie"
    # ======================================================================= #
    when /^105\.?620(_|-| )?Grundlagen(_|-| )?der(_|-| )?Mikroökonomie$/i,
         /^TU(_|-| )?Wien(_|-| )?Grundlagen(_|-| )?der(_|-| )?Mikroökonomie$/i,
         /^TU(_|-| )?Grundlagen(_|-| )?der(_|-| )?Mikroökonomie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6088&dsrid=307&courseNr=105620&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "270010 Massenspektrometrie" 
    # ======================================================================= #
    when /^270010(_|-| )?Massenspektrometrie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270010&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "915101 Projektmanagement" 
    # ======================================================================= #
    when /^915101(_|-| )?Projektmanagement$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280976' # 2018S
    # ======================================================================= #
    # === rf "Medizinische Biochemie" 
    # ======================================================================= #
    when /^Medizinische(_|-| )?Biochemie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57325' # 2018S
    # ======================================================================= #
    # === rf Lebensmittelchemie
    # ======================================================================= #
    when /^Lebensmittelchemie$/i,
         /^270032(_|-| )?Lebensmittelchemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270032&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Diversität der Höheren Pflanzen in ihrem Lebensraum"
    # ======================================================================= #
    when /^Diversität(_|-| )?der(_|-| )?Höheren(_|-| )?Pflanzen(_|-| )?in(_|-| )?ihrem(_|-| )?Lebensraum$/i,
         /^300292(_|-| )?Diversität(_|-| )?der(_|-| )?Höheren(_|-| )?Pflanzen(_|-| )?in(_|-| )?ihrem(_|-| )?Lebensraum$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300292&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Anatomie und Histologie"
    # ======================================================================= #
    when /^Anatomie(_|-| )?und(_|-| )?Histologie$/i,
         /^330112(_|-| )?Anatomie(_|-| )?und(_|-| )?Histologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330112&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Einführung in das wissenschaftliche Arbeiten"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?das(_|-| )?wissenschaftliche(_|-| )?Arbeiten$/i,
         /^731130(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?wissenschaftliche(_|-| )?Arbeiten$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282345' # 2018S
    # ======================================================================= #
    # === rf "Practical course in plant biotechnology (in Eng.)"
    # ======================================================================= #
    when /^791327(_|-| )?Practical(_|-| )?course(_|-| )?in(_|-| )?plant(_|-| )?biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Practical(_|-| )?course(_|-| )?in(_|-| )?plant(_|-| )?biotechnology$/i,
         /^Practical(_|-| )?course(_|-| )?in(_|-| )?plant(_|-| )?biotechnology\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282205' # 2018S
    # ======================================================================= #
    # === rf chemische_technologie_organischer_stoffe_für_vt
    # ======================================================================= #
    when /^163\.?133(_|-| )?Chemische(_|-| )?Technologie(_|-| )?organischer(_|-| )?Stoffe(_|-| )?für(_|-| )?Verfahrenstechniker$/i,
         /chemische_?technologie_?organischer_?stoffe_?für_?vt/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=1f7&courseNr=163133&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Physiologie des Menschen"
    # ======================================================================= #
    when /^Physiologie(_|-| )?des(_|-| )?Menschen$/i,
         /^330088(_|-| )?Physiologie(_|-| )?des(_|-| )?Menschen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330088&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf chemische_technologie_anorganischer_stoffe_für_vt
    # ======================================================================= #
    when /^164\.?211(_|-| )?Chemische(_|-| )?Technologie(_|-| )?anorganischer(_|-| )?Stoffe(_|-| )?für(_|-| )?VT/i,
         /chemische_?technologie_?anorganischer_?stoffe_?für_?vt/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3861&dsrid=138&courseNr=164211&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen der Statistik und Biostatistik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Statistik(_|-| )?und(_|-| )?Biostatistik$/i,
         /^600013(_|-| )?Grundlagen(_|-| )?der(_|-| )?Statistik(_|-| )?und(_|-| )?Biostatistik$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57179' # 2018S
    # ======================================================================= #
    # === rf kubicek
    # ======================================================================= #
    when 'kubicek'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/614769'
    # ======================================================================= #
    # === rf "Allgemeine und anorganische Chemie"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?und(_|-| )?anorganische(_|-| )?Chemie$/i,
         /^330107(_|-| )?Allgemeine(_|-| )?und(_|-| )?anorganische(_|-| )?Chemie$/i,
         /^Modulprüfung(_|-| )?M2(_|-| )?Grundlagen(_|-| )?der(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330107&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biokompatible Werkstoffe"
    # ======================================================================= #
    when /^Biokompatible(_|-| )?Werkstoffe$/i,
         /^308\.106(_|-| )?Biokompatible(_|-| )?Werkstoffe$/i,
         /^Biocompatible(_|-| )?Materials$/i,
         /^308\.106(_|-| )?Biocompatible(_|-| )?Materials$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3279&dsrid=997&courseNr=308106&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Bioinformatik der Nukleinsäuren"
    # ======================================================================= #
    when /^Bioinformatik(_|-| )?der(_|-| )?Nukleinsäuren$/i,
         /^270054(_|-| )?Bioinformatik(_|-| )?der(_|-| )?Nukleinsäuren$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270054&semester=2019S' # 2019S
    # ======================================================================= #
    # === rf "Biologie terrestrischer Tiere"
    # ======================================================================= #
    when /^Biologie(_|-| )?terrestrischer(_|-| )?Tiere$/i,
         /^833120(_|-| )?Biologie(_|-| )?terrestrischer(_|-| )?Tiere$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281637' # 2018S
    # ======================================================================= #
    # === rf lva_student
    # ======================================================================= #
    when 'lva_student'
      'lva.student.tuwien.ac.at'
    # ======================================================================= #
    # === rf boku_moodle1
    # ======================================================================= #
    when /boku_?moodle1/,'bmoodle1'
      'https://learn.boku.ac.at/course/view.php?id=15549'
    # ======================================================================= #
    # === rf "Botanik (UBRM)"
    # ======================================================================= #
    when /^Botanik(_|-| )?\(?UBRM\)?$/i,
         /^831104(_|-| )?Botanik(_|-| )?\(?UBRM\)?$/i,
         /^BOKU(_|-| )?Botanik(_|-| )?\(UBRM\)$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280656' # 2017W
    # ======================================================================= #
    # === rf "814101 Atmospheric pollution and climate change (in Eng.)"
    # ======================================================================= #
    when /^atmospheric_?pollution_?and_?climate_?change/,
         /^814101(_|-| )?Atmospheric(_|-| )?pollution(_|-| )?and(_|-| )?climate(_|-| )?change(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281638' # 2018S
    # ======================================================================= #
    # === rf kreuzinger
    # ======================================================================= #
    when 'kreuzinger'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1150445'
    # ======================================================================= #
    # === rf "Physiologie und Biochemie"
    # ======================================================================= #
    when /^Physiologie(_|-| )?und(_|-| )?Biochemie$/i,
         /^600008(_|-| )?Physiologie(_|-| )?und(_|-| )?Biochemie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56793' # 2018S
    # ======================================================================= #
    # === rf "Moderne Biotechnologie in der Lebensmittelproduktion"
    # ======================================================================= #
    when /^Moderne(_|-| )?Biotechnologie(_|-| )?in(_|-| )?der(_|-| )?Lebensmittelproduktion$/i,
         /^330027(_|-| )?Moderne(_|-| )?Biotechnologie(_|-| )?in(_|-| )?der(_|-| )?Lebensmittelproduktion$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330027&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Wissenschaftliche Arbeiten in molekularer Immunologie - Übungen"
    # ======================================================================= #
    when /^Wissenschaftliche(_|-| )?Arbeiten(_|-| )?in(_|-| )?molekularer(_|-| )?Immunologie(_|-| )?(_|-| )?(_|-| )?Übungen$/i,
         /^653\.?456(_|-| )?Wissenschaftliche(_|-| )?Arbeiten(_|-| )?in(_|-| )?molekularer(_|-| )?Immunologie(_|-| )?(_|-| )?(_|-| )?Übungen$/i
      # 'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=319407'
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=325319' # S2018
    # ======================================================================= #
    # === rf "Analytische Chemie Übungen"
    # ======================================================================= #
    when /^Analytische(_|-| )Chemie(_|-| )Übungen$/i,
         /^771105(_|-| )Analytische(_|-| )Chemie(_|-| )Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282165' # 2018S
    # ======================================================================= #
    # === rf "Introduction to Molecular Biology"
    # ======================================================================= #
    when /^941105(_|-| )?Introduction(_|-| )?to(_|-| )?molecular(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Introduction(_|-| )?to(_|-| )?Molecular(_|-| )?Biology$/i,
         /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Molekularbiologie$/i,
         /^BOKU(_|-| )?Introduction(_|-| )?to(_|-| )?Molecular(_|-| )?Biology$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Molekularbiologie$/i,
         /^Introduction(_|-| )?to(_|-| )?Molecular(_|-| )?Biology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280975' # S2018
    # ======================================================================= #
    # === rf Bioethik
    # ======================================================================= #
    when /^791108(_|-| )?Bioethik$/i,
         /^Bioethik$/i, 'boku_bioethik', /bioethik_?boku/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280650' # 2018S
    # ======================================================================= #
    # === rf "BOKU Analytische Chemie"
    # ======================================================================= #
    when /^771108(_|-| )?Analytische(_|-| )?Chemie$/i,
         /^BOKU(_|-| )?Analytische(_|-| )?Chemie$/i,
         /^Analytische(_|-| )?Chemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280962' # 2018S
    # ======================================================================= #
    # === rf "Genomic approaches to variation and adaptation: a road map"
    # ======================================================================= #
    when /^Genomic(_|-| )?approaches(_|-| )?to(_|-| )?variation(_|-| )?and(_|-| )?adaptation(_|-| |:)?(_|-| )?a(_|-| )?road(_|-| )?map$/i,
         /^300127(_|-| )?Genomic(_|-| )?approaches(_|-| )?to(_|-| )?variation(_|-| )?and(_|-| )?adaptation(_|-| |:)?(_|-| )?a(_|-| )?road(_|-| )?map$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300127&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Martin Puchinger"
    # ======================================================================= #
    when /^Martin(_|-| )?Puchinger$/i
      'https://ufind.univie.ac.at/de/person.html?id=41199&teaching=true'
    # ======================================================================= #
    # === rf "UE zur computergestuetzten strukturellen Biologie"
    # ======================================================================= #
    when /^UE(_|-| )?zur(_|-| )?computergestuetzten(_|-| )?strukturellen(_|-| )?Biologie$/i,
         /^301236(_|-| )?UE(_|-| )?zur(_|-| )?computergestuetzten(_|-| )?strukturellen(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301236&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die Immunologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Immunologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279460' # 2017S
    # ======================================================================= #
    # === rf "Physik (LBT)"
    # ======================================================================= #
    when /^Physik(_|-| )?\(?LBT\)?$/i,
         /^892044(_|-| )?Physik(_|-| )?\(?LBT\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281852'
    # ======================================================================= #
    # === rf thermodynamik 
    # ======================================================================= #
    when 'thermodynamik',
         /^893103(_|-| )?Thermodynamik$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281474' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die Prozesstechnik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Prozesstechnik$/i,
         /^893100(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Prozesstechnik$/i,
         /^einführung_?in_?die_?prozesstechnik$/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281864' # 2017W
    # ======================================================================= #
    # === rf "Instrumentelle Analytische und Physikalische Chemie Übungen"
    # ======================================================================= #
    when /^Instrumentelle(_|-| )?Analytische(_|-| )?und(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?Übungen$/i,
         /^771106(_|-| )?Instrumentelle(_|-| )?Analytische(_|-| )?und(_|-| )?Physikalische(_|-| )?Chemie(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282166'
    # ======================================================================= #
    # === rf "Grundlagen der Naturwissenschaften und Zell- und Molekularbiologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Naturwissenschaften(_|-| )?und(_|-| )?Zell(_|-| )?(_|-| )?und(_|-| )?Molekularbiologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57274'
    # ======================================================================= #
    # === rf "Ernährungslehre: angewandt und multidisziplinär"
    # ======================================================================= #
    when /^Ernährungslehre(_|-| |:)?(_|-| )?angewandt(_|-| )?und(_|-| )?multidisziplinär$/i,
         /^330008(_|-| )?Ernährungslehre(_|-| |:)?(_|-| )?angewandt(_|-| )?und(_|-| )?multidisziplinär$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330008&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die Biotechnologie"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?die(_|-| )?Biotechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=831&courseNr=166212&semester=2017S'
    # ======================================================================= #
    # === rf "Anwendung chemischen Rechnens"
    # ======================================================================= #
    when /^Anwendung(_|-| )?chemischen(_|-| )?Rechnens$/i,
         /^330106(_|-| )?Anwendung(_|-| )?chemischen(_|-| )?Rechnens$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330106&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf roland_foisner
    # ======================================================================= #
    when 'roland_foisner'
      'https://ufind.univie.ac.at/de/person.html?id=1188&teaching=true'
    # ======================================================================= #
    # === rf "Wissenschaftliches Arbeiten"
    # ======================================================================= #
    when /Wissenschaftliches(_|-| )?Arbeiten$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330015&semester=2017W'
    # ======================================================================= #
    # === rf "Übungen zur Biostatistik"
    # ======================================================================= #
    when /Übungen(_|-| )?zur(_|-| )?Biostatistik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330004&semester=2017S'
    # ======================================================================= #
    # === rf chemie_master
    # ======================================================================= #
    when 'chemie_master', /Masterstudium(_|-| )?Chemie/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?semester=2017S&path=176567'
    # ======================================================================= #
    # === rf biotech_master
    # ======================================================================= #
    when 'biotech_master','biotechmaster','master_meduni'
      'https://campus.meduniwien.ac.at/med.campus/webnav.navigate_to?corg=20258'
    # ======================================================================= #
    # === rf master_biologie
    # ======================================================================= #
    when /Masterstudium(_|-| )?Molekulare(_|-| )?Mikrobiologie(_|-| |,)?(_|-| )?Mikrobielle(_|-| )?Ökologie(_|-| )?und(_|-| )?Immunbiologie/i,
         /master_?biologie/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=161541&semester=2017W'
    # ======================================================================= #
    # === rf master_botanik
    # ======================================================================= #
    when 'master_botanik'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163582'
    # ======================================================================= #
    # === rf wirth
    # ======================================================================= #
    when 'wirth'
      'https://ufind.univie.ac.at/de/person.html?id=6333&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in Biologie und Botanik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?Biologie(_|-| )?und(_|-| )?Botanik$/i,
         /^330048(_|-| )?Einführung(_|-| )?in(_|-| )?Biologie(_|-| )?und(_|-| )?Botanik$/
      'https://ufind.univie.ac.at/de/course.html?lv=330048&semester=2017W'
    # ======================================================================= #
    # === rf organische_chemie
    # ======================================================================= #
    when /^330048(_|-| )?Organische(_|-| )?Chemie$/i,
         'organische_chemie_uni_wien','organische_chemie',
         /^Organische(_|-| )?Chemie(_|-| )?EW/i,
         'OrganischeChemieEW',
         'organischechemieew',
         'Organische Chemie EW',
         'organische_chemie_ew'
      'https://ufind.univie.ac.at/de/course.html?lv=330048&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Wissenschaftliches Schreiben- Bachelorarbeit"
    # ======================================================================= #
    when /^Wissenschaftliches(_|-| )?Schreiben(_|-| )?(_|-| )?(_|-| )?Bachelorarbeit$/i,
         /^330063(_|-| )?Wissenschaftliches(_|-| )?Schreiben(_|-| )?(_|-| )?(_|-| )?Bachelorarbeit$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330063&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Übungen zur Histologie und Zytologie"
    # ======================================================================= #
    when /^Übungen(_|-| )?zur(_|-| )?Histologie(_|-| )?und(_|-| )?Zytologie$/i,
         /^330034(_|-| )?Übungen(_|-| )?zur(_|-| )?Histologie(_|-| )?und(_|-| )?Zytologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330034&semester=2017W'
    # ======================================================================= #
    # === rf "Ernährungswissenschaftliches Seminar"
    # ======================================================================= #
    when /Ernährungswissenschaftliches(_|-| )?Seminar$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330058&semester=2017S'
    # ======================================================================= #
    # === rf "Physiologische Grundlagen körperlicher Aktivität und Ernährung"
    # ======================================================================= #
    when /Physiologische(_|-| )?Grundlagen(_|-| )?körperlicher(_|-| )?Aktivität(_|-| )?und(_|-| )?Ernährung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330032&semester=2017S'
    # ======================================================================= #
    # === rf "Einführung in Public Health Nutrition"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?Public(_|-| )?Health(_|-| )?Nutrition$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330078&semester=2017S'
    # ======================================================================= #
    # === rf "Biologie und Ökologie der Ameisen"
    # ======================================================================= #
    when /^Biologie(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Ameisen$/i,
         /^300101(_|-| )?Biologie(_|-| )?und(_|-| )?Ökologie(_|-| )?der(_|-| )?Ameisen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300101&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Biochemische Techniken für Fortgeschrittene"
    # ======================================================================= #
    when /^Biochemische(_|-| )?Techniken(_|-| )?für(_|-| )?Fortgeschrittene$/i,
         /^301851(_|-| )?Biochemische(_|-| )?Techniken(_|-| )?für(_|-| )?Fortgeschrittene$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301851&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Allgemeine Chemie (UBRM)"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Chemie(_|-| )?\(?UBRM\)?$/i,
         /^770151(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?\(?UBRM\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282155' # 2017W
    # ======================================================================= #
    # === rf "Makromolekulare Kristallographie"
    # ======================================================================= #
    when /^Makromolekulare(_|-| )?Kristallographie$/i,
         /^301450(_|-| )?Makromolekulare(_|-| )?Kristallographie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301450&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Symbiosis concepts and model systems (Part 2)"
    # ======================================================================= #
    when /^Symbiosis(_|-| )?concepts(_|-| )?and(_|-| )?model(_|-| )?systems(_|-| )?\(?Part(_|-| )?2\)?$/i,
         /^300080(_|-| )?Symbiosis(_|-| )?concepts(_|-| )?and(_|-| )?model(_|-| )?systems(_|-| )?\(?Part(_|-| )?2\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300080&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "163.178 Lab-on-a-Chip Technologies"
    # ======================================================================= #
    when /^163\.?178(_|-| )?Lab(_|-| )?on(_|-| )?a(_|-| )?Chip(_|-| )?Technologiese$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4778&dsrid=992&courseNr=163178&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Grundlagen der Humanphysiologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Humanphysiologie$/i,
         /^330019(_|-| )?Grundlagen(_|-| )?der(_|-| )?Humanphysiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330019&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Current topics in Evolutionary Systems Biology"
    # ======================================================================= #
    when /^Current(_|-| )?topics(_|-| )?in(_|-| )?Evolutionary(_|-| )?Systems(_|-| )?Biology$/i,
         /^300078(_|-| )?Current(_|-| )?topics(_|-| )?in(_|-| )?Evolutionary(_|-| )?Systems(_|-| )?Biology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300078&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Wahlfachpraktikum: Massenspektrometrie in der Bioanalytik"
    # ======================================================================= #
    when /^Wahlfachpraktikum(_|-| |:)?(_|-| )?Massenspektrometrie(_|-| )?in(_|-| )?der(_|-| )?Bioanalytik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270122&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biologische Massenspektrometrie"
    # ======================================================================= #
    when /^Biologische(_|-| )?Massenspektrometrie$/i,
         /^164\.?315(_|-| )?Biologische(_|-| )?Massenspektrometrie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4098&dsrid=749&courseNr=164315&semester=2018S'
    # ======================================================================= #
    # === rf "Massenspektrometrie basierte Proteomik"
    # ======================================================================= #
    when /^Massenspektrometrie(_|-| )?basierte(_|-| )?Proteomik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301641&semester=2017W'
    # ======================================================================= #
    # === rf "Current Topics in Molecular Microbial Ecology and Evolution 2"
    # ======================================================================= #
    when /^Current(_|-| )?Topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Evolution(_|-| )?2$/i,
         /^300114(_|-| )?Current(_|-| )?Topics(_|-| )?in(_|-| )?Molecular(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Evolution(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300114&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf ws2017
    # ======================================================================= #
    when 'ws2017','w2017'
      'https://ufind.univie.ac.at/de/vvz_sub.html?semester=2017W&path=180609'
    # ======================================================================= #
    # === rf "Grundlagen der Limnologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Limnologie$/i,
         /^300025(_|-| )?Grundlagen(_|-| )?der(_|-| )?Limnologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300025&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Ökophysiologie"
    # ======================================================================= #
    when /^Ökophysiologie$/i,
         /^300495(_|-| )?Ökophysiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300495&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Mann und Frau aus Sicht der Evolution"
    # ======================================================================= #
    when /^Mann(_|-| )?und(_|-| )?Frau(_|-| )?aus(_|-| )?Sicht(_|-| )?der(_|-| )?Evolution$/i,
         /^300354(_|-| )?Mann(_|-| )?und(_|-| )?Frau(_|-| )?aus(_|-| )?Sicht(_|-| )?der(_|-| )?Evolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300354&semester=2018S'
    # ======================================================================= #
    # === rf boku_nanobiotechnologie
    # ======================================================================= #
    when 'boku_nanobiotechnologie'
      'https://online.boku.ac.at/BOKUonline/wborg.display?PORGNR=15791'
    # ======================================================================= #
    # === rf "Übungen aus Biochemie I"
    # ======================================================================= #
    when /^Übungen(_|-| )?aus(_|-| )?Biochemie(_|-| )?I$/i,
         /^500113(_|-| )?Übungen(_|-| )?aus(_|-| )?Biochemie(_|-| )?I$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57033' # 2018S
    # ======================================================================= #
    # === rf "Elektrochemische Nanotechnologie"
    # ======================================================================= #
    when /^Elektrochemische(_|-| )?Nanotechnologie$/i,
         /^270055(_|-| )?Elektrochemische(_|-| )?Nanotechnologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270055&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Gentherapie für Biomediziner"
    # ======================================================================= #
    when /^Gentherapie(_|-| )?für(_|-| )?Biomediziner$/i,
         /^500150(_|-| )?Gentherapie(_|-| )?für(_|-| )?Biomediziner$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57334'
    # ======================================================================= #
    # === rf "Transition Studies I"
    # ======================================================================= #
    when /^Transition(_|-| )?Studies(_|-| )?I$/i,
         /^300061(_|-| )?Transition(_|-| )?Studies(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300061&semester=2017W'
    # ======================================================================= #
    # === rf "Molecular Phylogeny and Evolution"
    # ======================================================================= #
    when /^Molecular(_|-| )?Phylogeny(_|-| )?and(_|-| )?Evolution$/i,
         /^300347(_|-| )?Molecular(_|-| )?Phylogeny(_|-| )?and(_|-| )?Evolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300347&semester=2018S'
    # ======================================================================= #
    # === rf "Political Union"
    # ======================================================================= #
    when /^European(_|-| )?Union(_|-| )?(_|-| )?(_|-| )?Institutions(_|-| |,)?(_|-| )?Policies(_|-| )?and(_|-| )?Future(_|-| )?Challenges$/i,
         /^164\.287(_|-| )?European(_|-| )?Union(_|-| )?(_|-| )?(_|-| )?Institutions(_|-| |,)?(_|-| )?Policies(_|-| )?and(_|-| )?Future(_|-| )?Challenges$/i,
         /^Political(_|-| )?Union$/i,
         /^European(_|-| )?Institution$/i,
         /^European(_|-| )?Union(_|-| )?Institutions(_|-| )?Policies(_|-| )?and(_|-| )?Future$/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1688&dsrid=44&courseNr=164287&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Aquatische Mikrobielle Ökologie"
    # ======================================================================= #
    when /^Aquatische(_|-| )?Mikrobielle(_|-| )?Ökologie$/i,
         /^300052(_|-| )?Aquatische(_|-| )?Mikrobielle(_|-| )?Ökologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300052&semester=2017W'
    # ======================================================================= #
    # === rf GTPasen
    # ======================================================================= #
    when /GTPasen(_|-| |:)?(_|-| )?Struktur(_|-| )?und(_|-| )?Funktionen/i,
         'gtpasen'
      'https://ufind.univie.ac.at/de/course.html?lv=300598&semester=2017W'
    # ======================================================================= #
    # === rf "970307 Mikrobiologie"
    # ======================================================================= #
    when /^970307(_|-| )?Mikrobiologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280739'
    # ======================================================================= #
    # === rf "Advanced Techniques in Molecular Microbiology, Microbial Ecology and Immunobiology 3"
    # ======================================================================= #
    when /^Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?3$/i,
         /^301844(_|-| )?Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?3$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301844&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Molecular Biology of Plants"
    # ======================================================================= #
    when /^Molecular(_|-| )?Biology(_|-| )?of(_|-| )?Plants$/i,
         /^300417(_|-| )?Molecular(_|-| )?Biology(_|-| )?of(_|-| )?Plants$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300417&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Scientific Practice in Immunobiology"
    # ======================================================================= #
    when /^Scientific(_|-| )?Practice(_|-| )?in(_|-| )?Immunobiology$/i,
         /^301581(_|-| )?Scientific(_|-| )?Practice(_|-| )?in(_|-| )?Immunobiology$/i,
         /^Scientific(_|-| )?Practice$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301581&semester=2018S' # 2018s
    # ======================================================================= #
    # === rf "Grenzen der Virologie"
    # ======================================================================= #
    when /^Grenzen(_|-| )?der(_|-| )?Virologie$/i,
         /^301460(_|-| )?Grenzen(_|-| )?der(_|-| )?Virologie$/i,
         /^Frontiers(_|-| )?of(_|-| )?Virology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301460&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Advanced instrumental analytical chemistry (in Eng.)"
    # ======================================================================= #
    when /^Advanced(_|-| )?instrumental(_|-| )?analytical(_|-| )?chemistry(_|-| )?\(?in(_|-| )?Eng\.?\)?I$/i,
         /^771317(_|-| )?Advanced(_|-| )?instrumental(_|-| )?analytical(_|-| )?chemistry(_|-| )?\(?in(_|-| )?Eng\.?\)?I$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280758' # 2018S
    # ======================================================================= #
    # === rf "Bioprocess Engineering I"
    # ======================================================================= #
    when /^Bioprocess(_|-| )?Engineering(_|-| )?I$/i,
         /^Bioprocess(_|-| )?engineering(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791350(_|-| )?Bioprocess(_|-| )?engineering(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281704' # 2017W
    # ======================================================================= #
    # === rf "Microbial ecology and geomicrobiology"
    # ======================================================================= #
    when /^Microbial(_|-| )?ecology(_|-| )?and(_|-| )?geomicrobiology$/i,
         /^Microbial(_|-| )?ecology(_|-| )?and(_|-| )?geomicrobiology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^791362(_|-| )?Microbial(_|-| )?ecology(_|-| )?and(_|-| )?geomicrobiology(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278804' # 2017W
    # ======================================================================= #
    # === rf "Plant breeding - principles and methods"
    # ======================================================================= #
    when /^Plant(_|-| )?breeding(_|-| )?(_|-| )?(_|-| )?principles(_|-| )?and(_|-| )?methods/,
         /^Plant(_|-| )?breeding(_|-| )?(_|-| )?(_|-| )?principles(_|-| )?and(_|-| )?methods(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^957320(_|-| )?Plant(_|-| )?breeding(_|-| )?(_|-| )?(_|-| )?principles(_|-| )?and(_|-| )?methods(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Plant(_|-| )?Breeding/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281207' # 2017W
    # ======================================================================= #
    # === rf "Methods in cell biology (in Eng.)"
    # ======================================================================= #
    when /^Methods(_|-| )?in(_|-| )?cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941339(_|-| )?Methods(_|-| )?in(_|-| )?cell(_|-| )?biology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281411'
    # ======================================================================= #
    # === rf "Allgemeine Chemie"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Chemie$/i,
         /^770152(_|-| )?Allgemeine(_|-| )?Chemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283096' # 2017W
    # ======================================================================= #
    # === rf "Molecular biology for food analysis (in Eng.)"
    # ======================================================================= #
    when /^Molecular(_|-| )?biology(_|-| )?for(_|-| )?food(_|-| )?analysis(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941304(_|-| )?Molecular(_|-| )?biology(_|-| )?for(_|-| )?food(_|-| )?analysis(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280874' # 2018S
    # ======================================================================= #
    # === rf chemische_technologie
    # ======================================================================= #
    when 'chemische_technologie','technologie_anorganischer_materialien'
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=b4a&courseNr=164221&semester=2016S'
    # ======================================================================= #
    # === rf "Zellbiologie"
    # ======================================================================= #
    when /^Zellbiologie$/i,
         /^301443(_|-| )?Zellbiologie$/i,
         /^301443$/
      'https://ufind.univie.ac.at/de/course.html?lv=301443&semester=2018S'
    # ======================================================================= #
    # === rf "Seminar zur Strukturbiologie"
    # ======================================================================= #
    when /^Seminar(_|-| )?zur(_|-| )?Strukturbiologie$/i,
         /^301256(_|-| )?Seminar(_|-| )?zur(_|-| )?Strukturbiologie$/i,
         /^301256(_|-| )?Seminar(_|-| )?zur(_|-| )?Molekularen(_|-| )?Strukturbiologie$/i,
         /^Seminar(_|-| )?für(_|-| )?Strukturbiologie$/i,
         /^Seminar(_|-| )?zur(_|-| )?Molekularen(_|-| )?Strukturbiologie$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=301256&semester=2017W'
      'https://ufind.univie.ac.at/de/course.html?lv=301256&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Neurobiologie"
    # ======================================================================= #
    when /^Neurobiologie$/i,
         /^301322(_|-| )?Neurobiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301322&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Geschichte der Anthropologie"
    # ======================================================================= #
    when /^Geschichte(_|-| )?der(_|-| )?Anthropologie$/i,
         /^300697(_|-| )?Geschichte(_|-| )?der(_|-| )?Anthropologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300697&semester=2017W'
    # ======================================================================= #
    # === rf "Einführung in die Stadtökologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Stadtökologie$/i,
         /^300058(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Stadtökologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300058&semester=2017W'
    # ======================================================================= #
    # === rf "Chemische Übungen für Biologen"
    # ======================================================================= #
    when /^Chemische(_|-| )?Übungen(_|-| )?für(_|-| )?Biologen/i,
         /^300030(_|-| )?Chemische(_|-| )?Übungen(_|-| )?für(_|-| )?Biologen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300030&semester=2017W'
    # ======================================================================= #
    # === rf "Grundlagen der Ökologie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Ökologie$/i,
         /^300239(_|-| )?Grundlagen(_|-| )?der(_|-| )?Ökologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300239&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Struktur und Funktion der Pflanze"
    # ======================================================================= #
    when /^Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Pflanze/i,
         /^300448(_|-| )?Struktur(_|-| )?und(_|-| )?Funktion(_|-| )?der(_|-| )?Pflanze/i
      'https://ufind.univie.ac.at/de/course.html?lv=300448&semester=2018S'
    # ======================================================================= #
    # === rf "Geschlecht in den Naturwissenschaften"
    # ======================================================================= #
    when /^Geschlecht(_|-| )?in(_|-| )?den(_|-| )?Naturwissenschaften$/i,
         /^300719(_|-| )?Geschlecht(_|-| )?in(_|-| )?den(_|-| )?Naturwissenschaften$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300719&semester=2017W'
    # ======================================================================= #
    # === rf "LU Biochemie"
    # ======================================================================= #
    when /^LU(_|-| )?Biochemie$/i,
         /^166\.?646(_|-| )?Biochemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6541&dsrid=743&courseNr=166646&semester=2017S'
    # ======================================================================= #
    # === rf "Weisse Biotechnologie"
    # ======================================================================= #
    when /^Weisse(_|-| )?Biotechnologie$/i,
         /^Weisse(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Biorefineries/i,
         /^166\.?663(_|-| )?Weisse(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Biorefineries/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2931&dsrid=141&courseNr=166663&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Industrielle Chemie"
    # ======================================================================= #
    when /^Industrielle(_|-| )?Chemie$/i,
         /^164\.?292(_|-| )?Industrielle(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9163&dsrid=73&courseNr=164292&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Scattering techniques in nanomaterials science"
    # ======================================================================= #
    when /^Scattering(_|-| )?techniques(_|-| )?in(_|-| )?nanomaterials(_|-| )?science$/i,
         /^Scattering(_|-| )?techniques$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281589' # 2018S
    # ======================================================================= #
    # === rf "Advanced Techniques in Molecular Microbiology, Microbial Ecology and Immunobiology 3"
    # ======================================================================= #
    when /^Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?3$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301844&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Mechanische und thermische Verfahrenstechnik"
    # ======================================================================= #
    when /^Mechanische(_|-| )?und(_|-| )?thermische(_|-| )?Verfahrenstechnik$/i,
         /^893122(_|-| )?Mechanische(_|-| )?und(_|-| )?thermische(_|-| )?Verfahrenstechnik$/i,
         'mechanische_verfahrenstechnik','mechanischeverfahrenstechnik',
         'boku_verfahrenstechnik','mechanische_und_thermische_verfahrenstechnik'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281477' # 2018S
    # ======================================================================= #
    # === rf "Modulprüfung Grundlagen der Chemie"
    # ======================================================================= #
    when /^Modulprüfung(_|-| )?Grundlagen(_|-| )?der(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/exam.html?mod=209676&eq=33-0180&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Embryonen- und Stammzellforschung I"
    # ======================================================================= #
    when /^Embryonen(_|-| )?(_|-| )?und(_|-| )?Stammzellforschung(_|-| )?I$/i,
         /^301707(_|-| )?Embryonen(_|-| )?(_|-| )?und(_|-| )?Stammzellforschung(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301707&semester=2017W'
    # ======================================================================= #
    # === rf "Kulturgeschichte der Ernährung"
    # ======================================================================= #
    when /^Kulturgeschichte(_|-| )?der(_|-| )?Ernährung$/i,
         /^330022(_|-| )?Kulturgeschichte(_|-| )?der(_|-| )?Ernährung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330022&semester=2017W'
    # ======================================================================= #
    # === rf "LU Molekulare Biotechnologie"
    # ======================================================================= #
    when /^166\.?645(_|-| )?Molekulare(_|-| )?Biotechnologie$/i,
         /^LU(_|-| )?Molekulare(_|-| )?Biotechnologie$/i,
         /^TU(_|-| )?Molekulare(_|-| )?Biotechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7235&dsrid=659&courseNr=166645&semester=2017W'
    # ======================================================================= #
    # === rf "Biotechnologie für VT"
    # ======================================================================= #
    when /^Biotechnologie(_|-| )?für(_|-| )?VT$/i,
         /^166.641(_|-| )?Biotechnologie(_|-| )?für(_|-| )?VT$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1878&dsrid=462&courseNr=166641&semester=2017W'
    # ======================================================================= #
    # === rf "Einführung in die Verfahrenstechnik - Prolog"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Verfahrenstechnik(_|-| )?(_|-| )?(_|-| )?Prolog$/i,
         /^166.686(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Verfahrenstechnik(_|-| )?(_|-| )?(_|-| )?Prolog$/i,
         /^Verfahrenstechnik(_|-| )?(_|-| )?(_|-| )?Prolog$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2366&dsrid=989&courseNr=166686&semester=2017W'
    # ======================================================================= #
    # === rf praetorius
    # ======================================================================= #
    when 'praetorius'
      'https://tiss.tuwien.ac.at/person/45101.html?suchtext=praetorius'
    # ======================================================================= #
    # === rf seiboth
    # ======================================================================= #
    when 'seiboth'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1269309'
    # ======================================================================= #
    # === rf "seidl-seiboth"
    # ======================================================================= #
    when 'seidl','seidl-seiboth','verena_seiboth','verenaseiboth'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/3136997'
    # ======================================================================= #
    # === rf "Übungen aus organischer Chemie"
    # ======================================================================= #
    when /^Übungen(_|-| )?aus(_|-| )?organischer(_|-| )?Chemie$/i,
         /^301403(_|-| )?Übungen(_|-| )?aus(_|-| )?organischer(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301403&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "GVO - die ökologische Perspektive"
    # ======================================================================= #
    when /^GVO(_|-| )?(_|-| )?(_|-| )?die(_|-| )?ökologische(_|-| )?Perspektive$/i,
         /^300278(_|-| )?GVO(_|-| )?(_|-| )?(_|-| )?die(_|-| )?ökologische(_|-| )?Perspektive$/i,
         /gvo_?die_?ökologische_?perspektive/
      'https://ufind.univie.ac.at/de/course.html?lv=300278&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biochemische Techniken für Fortgeschrittene"
    # ======================================================================= #
    when /Biochemische(_|-| )?Techniken(_|-| )?für(_|-| )?Fortgeschrittene/i
      'https://ufind.univie.ac.at/de/course.html?lv=300851&semester=2017W'
    # ======================================================================= #
    # === rf "Advanced Topics in Parallel Computing"
    # ======================================================================= #
    when /^Advanced(_|-| )?Topics(_|-| )?in(_|-| )?Parallel(_|-| )?Computing$/i,
         /^VU(_|-| )?Advanced(_|-| )?Topics(_|-| )?in(_|-| )?Parallel(_|-| )?Computing$/i,
         /^052820(_|-| )?Advanced(_|-| )?Topics(_|-| )?in(_|-| )?Parallel(_|-| )?Computing$/
      'https://ufind.univie.ac.at/de/course.html?lv=052820&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Instrumentelle Bioanalytik"
    # ======================================================================= #
    when /^Instrumentelle(_|-| )?Bioanalytik$/i, # VO, 4.5 ECTS.
         /^164\.?314(_|-| )?Instrumentelle(_|-| )?Bioanalytik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6301&dsrid=231&courseNr=164314&semester=2018S&dsrid=881' # 2018S
    # ======================================================================= #
    # === rf "Seminar Biochemie"
    # ======================================================================= #
    when /^Seminar(_|-| )?Biochemie$/i,
         /^SE(_|-| )?Biochemie$/i,
         /^166\.?681(_|-| )?Biochemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7026&dsrid=843&courseNr=166681&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Einführung in das wissenschaftliche Arbeiten für NaturwissenschafterInnen"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?das(_|-| )?wissenschaftliche(_|-| )?Arbeiten(_|-| )?für(_|-| )?NaturwissenschafterInnen$/i,
         /^791115(_|-| )?Einführung(_|-| )?in(_|-| )?das(_|-| )?wissenschaftliche(_|-| )?Arbeiten(_|-| )?für(_|-| )?NaturwissenschafterInnen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282197' # 2018S
    # ======================================================================= #
    # === rf "Computational methods in microbial ecology"
    # ======================================================================= #
    when /^Computational(_|-| )?methods(_|-| )?in(_|-| )?microbial(_|-| )?ecology$/i,
         /^300019(_|-| )?Computational(_|-| )?methods(_|-| )?in(_|-| )?microbial(_|-| )?ecology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300019&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Biologically inspired materials and interfaces"
    # ======================================================================= #
    when /^Biologically(_|-| )?inspired(_|-| )?materials(_|-| )?and(_|-| )?interfaces$/i,
         /^Biologically(_|-| )?inspired(_|-| )?materials(_|-| )?and(_|-| )?interfaces(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^802301(_|-| )?Biologically(_|-| )?inspired(_|-| )?materials(_|-| )?and(_|-| )?interfaces(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'biologically_inspired'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281707' # 2018S
    # ======================================================================= #
    # === rf "Objektorientiertes Programmieren"
    # ======================================================================= #
    when /^Objektorientiertes(_|-| )?Programmieren$/i,
         /^384.061(_|-| )?Objektorientiertes(_|-| )?Programmieren$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2290&dsrid=255&courseNr=384061&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf weinzinger
    # ======================================================================= #
    when 'weinzinger'
      'https://ufind.univie.ac.at/de/person.html?id=20739&teaching=true'
    # ======================================================================= #
    # === rf "Spezielle Themen der Bioinformatik"
    # ======================================================================= #
    when /^Spezielle(_|-| )?Themen(_|-| )?der(_|-| )?Bioinformatik$/i,
         /^301578(_|-| )?Spezielle(_|-| )?Themen(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301578&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Praktikum Bioinformatik"
    # ======================================================================= #
    when /^Praktikum(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300599&semester=2017W'
    # ======================================================================= #
    # === rf "Chemisches Grundpraktikum II A"
    # ======================================================================= #
    when /Chemisches(_|-| )?Grundpraktikum(_|-| )?II(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270077&semester=2018W' # 2018W
    # ======================================================================= #
    # rf "Christoph Flamm"
    # ======================================================================= #
    when /^Christoph(_|-| )?Flamm$/i,'flamm'
      'https://ufind.univie.ac.at/de/person.html?id=17324&teaching=true'
    # ======================================================================= #
    # === rf "Wolfgang Kautek"
    # ======================================================================= #
    when /^Wolfgang Kautek$/, 'kautek'
      'https://ufind.univie.ac.at/de/person.html?id=88668&teaching=true'
    # ======================================================================= #
    # === rf "Christa Bücker"
    # ======================================================================= #
    when /^Christa(_|-| )?Bücker$/i
      'https://ufind.univie.ac.at/de/person.html?id=59603&teaching=true'
    # ======================================================================= #
    # === rf schleper
    # ======================================================================= #
    when 'schleper'
      'https://ufind.univie.ac.at/de/person.html?id=32275&teaching=true'
    # ======================================================================= #
    # === rf "Zell- und Molekularbiologie"
    # ======================================================================= #
    when /^Zell(_|-| )?(_|-| )?und(_|-| )?Molekularbiologie$/i,
         /^330011(_|-| )?Zell(_|-| )?(_|-| )?und(_|-| )?Molekularbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330011&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "VO Angewandte Bioinformatik"
    # ======================================================================= #
    when /^VO(_|-| )?Angewandte(_|-| )?Bioinformatik$/i,
         /^166\.?229(_|-| )?Angewandte(_|-| )?Bioinformatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7670&dsrid=34&courseNr=166229&semester=2017W'
    # ======================================================================= #
    # === rf "Modern Concepts in Structural Biology II"
    # ======================================================================= #
    when /^Modern(_|-| )?Concepts(_|-| )?in(_|-| )?Structural(_|-| )?Biology(_|-| )?II$/i,
         /^Modern(_|-| )?Concepts(_|-| )?in(_|-| )?Structural(_|-| )?Biology(_|-| )$/i,
         /^301248(_|-| )?Modern(_|-| )?Concepts(_|-| )?in(_|-| )?Structural(_|-| )?Biology(_|-| )?II$/i,
         '301248'
      'https://ufind.univie.ac.at/de/course.html?lv=301248&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Applied Microscopy"
    # ======================================================================= #
    when /^Applied(_|-| )?Microscopy$/i,
         /^166.675(_|-| )?Applied(_|-| )?Microscopy$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6685&dsrid=216&courseNr=166675&semester=2018S&locale=en' # 2018S
    # ======================================================================= #
    # === rf "Molecular Biology of Trichoderma Ecology,diversity and genomics"
    # ======================================================================= #
    when /^Molecular(_|-| )?Biology(_|-| )?of(_|-| )?Trichoderma(_|-| )?Ecology(_|-| |,)?diversity(_|-| )?and(_|-| )?genomics$/i,
         /^166.665(_|-| )?Molecular(_|-| )?Biology(_|-| )?of(_|-| )?Trichoderma(_|-| )?Ecology(_|-| |,)?diversity(_|-| )?and(_|-| )?genomics$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6941&dsrid=402&courseNr=166665&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf molekulare_zellbiologie_für_fortgeschrittene
    # ======================================================================= #
    when 'molekulare_zellbiologie_für_fortgeschrittene',
         'molekulare_zellbiologie_fÜr_fortgeschrittene'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=26f&courseNr=166669&semester=2015W'
    # ======================================================================= #
    # === rf druzinha
    # ======================================================================= #
    when 'druzinha',/Irina(_|-| )?Druzhinina/i,'Druzhinina','druz',
         'druzin','druzhina'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1032577'
    # ======================================================================= #
    # === rf "Biologie für Chemiker"
    # ======================================================================= #
    when /^Biologie(_|-| )?für(_|-| )?Chemiker$/i,
         /^270302(_|-| )?Biologie(_|-| )?für(_|-| )?Chemiker$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270302&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Ökophysiologie und Genetik von Mikroorganismen"
    # ======================================================================= #
    when /^Ökophysiologie(_|-| )?und(_|-| )?Genetik(_|-| )?von(_|-| )?Mikroorganismen/i,
         /^300725(_|-| )?Ökophysiologie(_|-| )?und(_|-| )?Genetik(_|-| )?von(_|-| )?Mikroorganismen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300725&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Medizinische Chemie"
    # ======================================================================= #
    when /^Medizinische(_|-| )?Chemie$/i,
         /^163.114(_|-| )?Medizinische(_|-| )?Chemie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2272&dsrid=915&courseNr=163114&semester=2017W' # 2017W
    # ======================================================================= #
    # rf "Genetik für Biologen"
    # ======================================================================= #
    when /^Genetik(_|-| )?für(_|-| )?Biologen$/i,
         /^301092(_|-| )?Genetik(_|-| )?für(_|-| )?Biologen$/i,
         /^301092(_|-| )?VO(_|-| )?Genetik(_|-| )?für(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301092&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Industrial drug development (in Eng.)"
    # ======================================================================= #
    when /^Industrial(_|-| )?drug(_|-| )?development(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791012(_|-| )?Industrial(_|-| )?drug(_|-| )?development(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Industrial(_|-| )?drug(_|-| )?development(_|-| )?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280770' # 2018S
    # ======================================================================= #
    # === rf "Computer-Aided Drug Discovery"
    # ======================================================================= #
    when /^Computer(_|-| )?Aided(_|-| )?Drug(_|-| )?Discovery$/i,
         /^270145(_|-| )?Computer(_|-| )?Aided(_|-| )?Drug(_|-| )?Discovery$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270145&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Business in Biotech"
    # ======================================================================= #
    when /^Business(_|-| )?in(_|-| )?Biotech$/i,
         /^UE(_|-| )?Business(_|-| )?in(_|-| )?Biotech$/i,
         /^301268(_|-| )?Business(_|-| )?in(_|-| )?Biotech$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301268&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Advanced Techniques in Molecular Microbiology, Microbial Ecology and Immunobiology 1"
    # ======================================================================= #
    when /^Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?1$/i,
         /^301842(_|-| )?Advanced(_|-| )?Techniques(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?1$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301842&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Nukleinsäureanalytik-Genomics"
    # ======================================================================= #
    when /^Nukleinsäureanalytik(_|-| )?Genomics$/i,
         /^270073(_|-| )?Nukleinsäureanalytik(_|-| )?Genomics$/i
       'https://ufind.univie.ac.at/de/course.html?lv=270073&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Numerical Algorithms"
    # ======================================================================= #
    when /^Numerical(_|-| )?Algorithms$/i
      'https://ufind.univie.ac.at/de/course.html?lv=052101&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Christine Prenner"
    # ======================================================================= #
    when /^Christine(_|-| )?Prenner$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=561AA8130ADD9358&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf spadiut
    # ======================================================================= #
    when 'spadiut'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/10508497'
    # ======================================================================= #
    # === rf biomembranes
    # ======================================================================= #
    when 'biomembranes',
         /^134\.?202(_|-| )?Biomembranes$/i 
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4815&dsrid=303&windowId=794&courseNr=134202&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Bioinformatik für Biologen"
    # ======================================================================= #
    when /^Bioinformatik(_|-| )?für(_|-| )?Biologen$/i,
         /^301080(_|-| )?Bioinformatik(_|-| )?für(_|-| )?Biologen$/i,
         /^Bioinformatik/,
         /bioinformatik_?für_?biologen/,
         'bioinformatik'
      'https://ufind.univie.ac.at/de/course.html?lv=301080&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "183.579 Technische Grundlagen der Informatik"
    # ======================================================================= #
    when /^TU(_|-| )?Technische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik$/i,
         /^183\.?579(_|-| )?Technische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik$/i
     'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4632&dsrid=585&courseNr=183579&semester=2018S'
    # ======================================================================= #
    # === rf "Biochemie I"
    # ======================================================================= #
    when /^Biochemie(_|-| )?I$/i,
         /^172.695(_|-| )?Biochemie(_|-| )?I$/i
       'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2648&dsrid=353&courseNr=172695&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Biologie"
    # ======================================================================= #
    when /^Biologie$/i,
         /^166.142(_|-| )?Biologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4983&dsrid=143&courseNr=166142&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Biochemie für Informatiker"
    # ======================================================================= #
    when /^Biochemie(_|-| )?für(_|-| )?Informatiker$/i,
         /^166.223(_|-| )?Biochemie(_|-| )?für(_|-| )?Informatiker$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3400&dsrid=632&courseNr=166223&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Elektronenmikroskopie"
    # ======================================================================= #
    when /^Elektronenmikroskopie$/i,
         /^138.049(_|-| )?Elektronenmikroskopie$/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4298&dsrid=976&courseNr=138049&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Erdwissenschaftliche Grundlagen für Biologen"
    # ======================================================================= #
    when /^Erdwissenschaftliche(_|-| )?Grundlagen(_|-| )?für(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300172&semester=2017S'
    # ======================================================================= #
    # === rf "Environmental and biotechnological analysis (in Eng.)"
    # ======================================================================= #
    when /^Environmental(_|-| )?and(_|-| )?biotechnological(_|-| )?analysis(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^771303(_|-| )?Environmental(_|-| )?and(_|-| )?biotechnological(_|-| )?analysis(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282167' # 2018S
    # ======================================================================= #
    # === rf "Propädeutikum für Informatik"
    # ======================================================================= #
    when /^Propädeutikum(_|-| )?für(_|-| )?Informatik$/i,
         /^188.482(_|-| )?Propädeutikum(_|-| )?für(_|-| )?Informatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5198&dsrid=589&courseNr=188482&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Advanced NMR Spectroscopy and NMR-based Metabolomics"
    # ======================================================================= #
    when /^Advanced(_|-| )?NMR(_|-| )?Spectroscopy(_|-| )?and(_|-| )?NMR(_|-| )?based(_|-| )?Metabolomics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322068&semester=2017S'
    # ======================================================================= #
    # === rf "134.210 Molekulare Biophysik"
    # ======================================================================= #
    when /^134.210(_|-| )?Molekulare(_|-| )?Biophysik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2162&dsrid=971&courseNr=134210&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Zoologie für Pferdewissenschaften"
    # ======================================================================= #
    when /^Zoologie(_|-| )?für(_|-| )?Pferdewissenschaften$/i,
         /^833105(_|-| )?Zoologie(_|-| )?für(_|-| )?Pferdewissenschaften$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281453' # 2017W
    # ======================================================================= #
    # === rf "Practical Course in Molecular Microbiology, Microbial Ecology and Immunobiology 1"
    # ======================================================================= #
    when /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?1$/i,
         /^301846(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?1$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301846&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Practical Course in Molecular Microbiology, Microbial Ecology and Immunobiology 3"
    # ======================================================================= #
    when /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?3$/i,
         /^301843(_|-| )?Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?3$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301843&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Metabolic and Cell Engineering"
    # ======================================================================= #
    when /^BOKU(_|-| )?Metabolic(_|-| )?and(_|-| )?Cell(_|-| )?Engineering(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^791356(_|-| )?Metabolic(_|-| )?and(_|-| )?cell(_|-| )?engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Metabolic(_|-| )?and(_|-| )?Cell(_|-| )?Engineering$/i,
         /^Metabolic(_|-| )?and(_|-| )?Cell(_|-| )?Engineering(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Metabolic(_|-| )?and(_|-| )?Cell(_|-| )?Engineering\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280695' # 2018S
    # ======================================================================= #
    # === rf "Chromosomenbiologie und Cytogenetik"
    # ======================================================================= #
    when /^Chromosomenbiologie(_|-| )?und(_|-| )?Cytogenetik$/i,
         /^301150(_|-| )?Chromosomenbiologie(_|-| )?und(_|-| )?Cytogenetik$/i,
         /^300150(_|-| )?Chromosomenbiologie(_|-| )?und(_|-| )?Cytogenetik$/i,
         /^Chromosomenbiologie/i
      'https://ufind.univie.ac.at/de/course.html?lv=301150&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Selected Topics in Biotechnology"
    # ======================================================================= #
    when /^BOKU(_|-| )?Allgemeine(_|-| )?Biotechnologie$/i,
         /^Selected(_|-| )?Topics(_|-| )?in(_|-| )?Biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^791125(_|-| )?Selected(_|-| )?Topics(_|-| )?in(_|-| )?Biotechnology(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Selected(_|-| )?Topics(_|-| )?in(_|-| )?Biotechnology$/i,
         /^Allgemeine(_|-| )?Biotechnologie$/i,
         'boku_allgemeine_biotechnologie'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281478' # 2018S
    # ======================================================================= #
    # === rf "Chemische Nanoskopie"
    # ======================================================================= #
    when /^Chemische(_|-| )?Nanoskopie$/i,
         /^164.171(_|-| )?Chemische(_|-| )?Nanoskopie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6682&dsrid=736&courseNr=164171&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Organische Chemie II für LA"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?II(_|-| )?für(_|-| )?LA$/i,
         /^270181(_|-| )?Organische(_|-| )?Chemie(_|-| )?II(_|-| )?für(_|-| )?LA$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270181&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Oncology for biotechologists"
    # ======================================================================= #
    when /^Oncology(_|-| )?for(_|-| )?biotechologists$/i,
         /^Oncology(_|-| )?for(_|-| )?biotechnologists(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^941327(_|-| )?Oncology(_|-| )?for(_|-| )?biotechnologists(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         'oncology'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281593' # 2018S
    # ======================================================================= #
    # === rf "Molekulare Pathologie"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Pathologie/i,
         /^301407(_|-| )?Molekulare(_|-| )?Pathologie/i
      'https://ufind.univie.ac.at/de/course.html?lv=301407&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Seminar zu Übung III A"
    # ======================================================================= #
    when /^Seminar(_|-| )?zu(_|-| )?Übung(_|-| )?III(_|-| )?A$/i,
         /^301172(_|-| )?Seminar(_|-| )?zu(_|-| )?Übung(_|-| )?III(_|-| )?A$/i,
         /^Seminar(_|-| )?III(_|-| )?A$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301172&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen des Programmierens für MB, WIMB und VT"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?des(_|-| )?Programmierens(_|-| )?für(_|-| )?MB\,?(_|-| )?WIMB(_|-| )?und(_|-| )?VT$/i,
         /^317.530(_|-| )?Grundlagen(_|-| )?des(_|-| )?Programmierens(_|-| )?für(_|-| )?MB\,?(_|-| )?WIMB(_|-| )?und(_|-| )?VT$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6467&dsrid=934&courseNr=317530&semester=2017W'
    # ======================================================================= #
    # === rf "Biochip Technologies in (Bio)Analytical Chemistry"
    # ======================================================================= #
    when /^Biochip(_|-| )?Technologies(_|-| )?in(_|-| )?\(?Bio\)?Analytical(_|-| )?Chemistry$/i,
         /^164.220(_|-| )?Biochip(_|-| )?Technologies(_|-| )?in(_|-| )?\(?Bio\)?Analytical(_|-| )?Chemistry$/i,
         /^Biochip(_|-| )?Technologies$/i,
         /^Biochips$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9787&dsrid=47&courseNr=164220&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Physiologie und Grundlagen der Pathologie"
    # ======================================================================= #
    when /^Physiologie(_|-| )?und(_|-| )?Grundlagen(_|-| )?der(_|-| )?Pathologie$/i,
         /^185.A47(_|-| )?Physiologie(_|-| )?und(_|-| )?Grundlagen(_|-| )?der(_|-| )?Pathologie$/i,
          'pathophysio'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1976&dsrid=78&courseNr=185A47&semester=2018S' # 2018S
    # ======================================================================= #
    # === molekularbiologie
    # ======================================================================= #
    when /^molekularbiologie$/i,
         /^molekularbiologe$/i,
         /^500144(_|-| )?Molekularbiologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56371' # 2018S
    # ======================================================================= #
    # === rf "Allgemeine Mikrobiologie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Allgemeine(_|-| )?Mikrobiologie$/i,
         /^Allgemeine(_|-| )?Mikrobiologie$/i,
         /^791102(_|-| )?Allgemeine(_|-| )?Mikrobiologie$/i
       #'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279453' # 2017S
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282200' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die Lebensmitteltechnologie, Biotechnologie und Prozesstechnik"
    # ======================================================================= #
    when /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Lebensmitteltechnologie(_|-| |,)?(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Prozesstechnik$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Lebensmitteltechnologie(_|-| |,)?(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Prozesstechnik$/i,
         /^791131(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Lebensmitteltechnologie(_|-| |,)?(_|-| )?Biotechnologie(_|-| )?und(_|-| )?Prozesstechnik$/i,
         /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Lebensmitteltechnologie(_|-| )?Biotec$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281575'
    # ======================================================================= #
    # === rf "Mathematische Grundlagen der Informatik 1"
    # ======================================================================= #
    when /^Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?1$/i,
         /^051110(_|-| )?Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?1$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=051110&semester=2017W' # 2017W
      'https://ufind.univie.ac.at/de/course.html?lv=051110&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf immunchemie
    # ======================================================================= #
    when 'immunchemie',
         /^791127(_|-| )?Immunchemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281468' # 2018S
    # ======================================================================= #
    # === rf "Statistik (AW)"
    # ======================================================================= #
    when /^Statistik(_|-| )?\(?AW\)?$/i,
         /^851111(_|-| )?Statistik(_|-| )?\(?AW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281662' # 2018S
    # ======================================================================= #
    # === rf boku_organische_chemie
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie$/i,
         /^773120(_|-| )?Organische(_|-| )?Chemie$/i,
         /^BOKU(_|-| )?Organische(_|-| )?Chemie$/i,
         /^Organische(_|-| )?Chemie(_|-| )?Holztechnologie/i # rf "Organische Chemie Holztechnologie"
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282187' # 2018S
    # ======================================================================= #
    # === rf "BOKU Abteilung für Organische Chemie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Abteilung(_|-| )?für(_|-| )?Organische(_|-| )?Chemie$/
      'https://online.boku.ac.at/BOKUonline/wbLVAngebot.wbShowLVOffer?pOrgNr=15681&pPersonNr=&pSjNr=1801&pGroup=W&pStpLvTypNr=-1&pSort=18&pFilter='
    # ======================================================================= #
    # === rf "Organische Chemie für Verfahrenstechniker"
    # ======================================================================= #
    when /^Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Verfahrenstechniker$/i,
         /^163.123(_|-| )?Organische(_|-| )?Chemie(_|-| )?für(_|-| )?Verfahrenstechniker$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7594&dsrid=13&courseNr=163123&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Datenbanksysteme
    # ======================================================================= #
    when /^Datenbanksysteme$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8777&dsrid=417&courseNr=184686&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Allgemeine Lebensmittelwissenschaften und -technologie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Allgemeine(_|-| )?Lebensmittelwissenschaften(_|-| )?und(_|-| )?-?technologie$/i,
         /^Allgemeine(_|-| )?Lebensmittelwissenschaften(_|-| )?und(_|-| )?-?technologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281479' # 2018S
    # ======================================================================= #
    # === rf "Einführung in die Biostatistik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biostatistik$/i,
         /^840.007(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Biostatistik$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=321856' # 2017S
    # ======================================================================= #
    # === rf "Lebensmittelsicherheit und -toxikologie"
    # ======================================================================= #
    when /Lebensmittelsicherheit(_|-| )?und(_|-| )?(_|-| )?toxikologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330041&semester=2017S'
    # ======================================================================= #
    # === rf "Lebensmittelsicherheit und -toxikologie"
    # ======================================================================= #
    when /Lebensmittelsicherheit(_|-| )?und(_|-| )?(_|-| )?toxikologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330041&semester=2017S'
    # ======================================================================= #
    # === rf "Übungen zur Humanernährung I"
    # ======================================================================= #
    when /^Übungen(_|-| )?zur(_|-| )?Humanernährung(_|-| )?I$/i,
         /^UE(_|-| )?zur(_|-| )?Humanernährung(_|-| )?I$/i,
         /^330031(_|-| )?UE(_|-| )?zur(_|-| )?Humanernährung(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330031&semester=2017S'
    # ======================================================================= #
    # === rf "Ernährungslehre: Mikronährstoffe"
    # ======================================================================= #
    when /^Ernährungslehre(_|-| |:)?(_|-| )?Mikronährstoffe$/i,
         /^330057(_|-| )?Ernährungslehre(_|-| |:)?(_|-| )?Mikronährstoffe$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330057&semester=2018S'
    # ======================================================================= #
    # === rf "Ernährungslehre: Energiestoffwechsel, Makronährstoffe"
    # ======================================================================= #
    when /Ernährungslehre(_|-| |:)?(_|-| )?Energiestoffwechsel,(_|-| )?Makronährstoffe$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330104&semester=2017W'
    # ======================================================================= #
    # === rf Lebensmitteltechnologie
    # ======================================================================= #
    when /Lebensmitteltechnologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330049&semester=2017W'
    # ======================================================================= #
    # === rf "Warenkunde II - Produktion und Qualität tierischer Lebensmittel"
    # ======================================================================= #
    when /^Warenkunde(_|-| )?II(_|-| )?(_|-| )?(_|-| )?Produktion(_|-| )?und(_|-| )?Qualität(_|-| )?tierischer(_|-| )?Lebensmittel$/i,
         /^330109(_|-| )?Warenkunde(_|-| )?II(_|-| )?(_|-| )?(_|-| )?Produktion(_|-| )?und(_|-| )?Qualität(_|-| )?tierischer(_|-| )?Lebensmittel$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330109&semester=2017W'
    # ======================================================================= #
    # === rf sprechstunden
    # ======================================================================= #
    when 'sprechstunden','sprechstunde'
      'http://molekularebiologie.univie.ac.at/?test=students/sprechst.html'
    # ======================================================================= #
    # === rf Tunnelmikroskopie
    # ======================================================================= #
    when /^Tunnelmikroskopie$/i,
         /^Praktikum:(_|-| )?Tunnelmikroskopie$/i,
         /^Tunnelpraktikum$/i,
         'tunnel'
      'https://ufind.univie.ac.at/de/course.html?lv=270084&semester=2017W'
    # ======================================================================= #
    # === rf "Peter Turecek"
    # ======================================================================= #
    when /^Peter(_|-| )?Turecek$/i
      'https://ufind.univie.ac.at/de/person.html?id=17447&teaching=true'
    # ======================================================================= #
    # === rf "Objektorientierte Programmiertechniken"
    # ======================================================================= #
    when /^Objektorientierte(_|-| )?Programmiertechniken$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2308&dsrid=637&courseNr=185A01&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf till
    # ======================================================================= #
    when 'till', /Susanne(_|-| )?Till/
      'https://ufind.univie.ac.at/de/person.html?id=5740&teaching=true'
    # ======================================================================= #
    # === rf "Analytik von Nanopartikeln"
    # ======================================================================= #
    when /Analytik(_|-| )?von(_|-| )?Nanopartikeln$/
      'https://ufind.univie.ac.at/de/course.html?lv=270008&semester=2017W'
    # ======================================================================= #
    # === rf forum_pharmazie
    # ======================================================================= #
    when /forum_?pharmazie/,
         /pharmazie_?forum/
      'http://forum.pharmapoint.at/viewforum.php?f=34'
    # ======================================================================= #
    # === rf "Research Ethics"
    # ======================================================================= #
    when /^Research(_|-| )?Ethics$/i,
         /^Research(_|-| )?Ethics(_|-| )?(_|-| )?(_|-| )?A(_|-| )?hands(_|-| )?on(_|-| )?approach$/i,
         /^300102(_|-| )?Research(_|-| )?Ethics(_|-| )?(_|-| )?(_|-| )?A(_|-| )?hands(_|-| )?on(_|-| )?approach$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300102&semester=2017W'
    # ======================================================================= #
    # === rf "Christina Waldsich"
    # ======================================================================= #
    when /^Christina(_|-| )?Waldsich$/i  
      'https://ufind.univie.ac.at/de/person.html?id=22074&teaching=true'
    # ======================================================================= #
    # === rf "Ursula Schöberl"
    # ======================================================================= #
    when /^Ursula(_|-| )?Schöberl$/i   
      'https://ufind.univie.ac.at/de/person.html?id=33168&teaching=true'
    # ======================================================================= #
    # === rf master_biologische_chemie
    # ======================================================================= #
    when /^master(_|-| )?biologische(_|-| )?chemie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=208996' # 2018S
    # ======================================================================= #
    # === rf merg
    # ======================================================================= #
    when 'merg','merg2',/merg_?ergebnisse/
      'https://online.boku.ac.at/BOKUonline/lv.anzeigeStat?pStpSpNr=280873&pSpracheNr=1&pOrgNr=15895'
    # ======================================================================= #
    # === rf "Fachliteraturseminar Biochemie"
    # ======================================================================= #
    when /Fachliteraturseminar(_|-| )?Biochemie/i
      'https://ufind.univie.ac.at/de/course.html?lv=301380&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Gerlinde Gruber"
    # ======================================================================= #
    when /^Gerlinde(_|-| )?Gruber$/i
      'https://ufind.univie.ac.at/de/person.html?id=28943&teaching=true'
    # ======================================================================= #
    # === rf "Molecular Population Genetics: making sense of sequence data"
    # ======================================================================= #
    when /^Molecular(_|-| )?Population(_|-| )?Genetics\:?(_|-| )?making(_|-| )?sense(_|-| )?of(_|-| )?sequence(_|-| )?data$/i
      'https://ufind.univie.ac.at/de/course.html?lv=470004&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf Meereskunde
    # ======================================================================= #
    when /^Meereskunde$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300496&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Übung II - Biochemie"
    # ======================================================================= #
    when /^Übung(_|-| )?II(_|-| )?(_|-| )?(_|-| )?Biochemie$/i,
         /^Übung(_|-| )?Biochemie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301135&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "PhD-Studium der Naturwissenschaften aus dem Bereich der Lebenswissenschaften"
    # ======================================================================= #
    when /^PhD(_|-| )?Studium(_|-| )?der(_|-| )?Naturwissenschaften(_|-| )?aus(_|-| )?dem(_|-| )?Bereich(_|-| )?der(_|-| )?Lebenswissenschaften$/i
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=181065&semester=2017W' # 2017W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=210082' # 2018S
    # ======================================================================= #
    # === rf uniwien_informatik_bachelor
    # ======================================================================= #
    when 'uniwien_informatik_bachelor','bioinformatik_uniwien',
         'vorlesungsverzeichnis_bachelor_informatik_uniwien',
         'vorlesungsverzeichnisbachelorinformatikuniwien',
         'informatik_uniwien',
         /bioinformatik_?bachelor/,
         'bachelor_bioinformatik',
         /bachelor_?informatik/,
         'informatik_curriculum',
         /bachelor_?informatics/
      #'https://ufind.univie.ac.at/de/vvz_sub.html?path=179863'
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=188275' # 2017WS
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=210992' # 2018S
    # ======================================================================= #
    # === rf "Neueste Entwicklungen in der Chromosomenbiologie II"
    # ======================================================================= #
    when /^Neueste(_|-| )?Entwicklungen(_|-| )?in(_|-| )?der(_|-| )?Chromosomenbiologie(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301353&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Molecular Biology of the Cell"
    # ======================================================================= #
    when /^Molecular(_|-| )?Biology(_|-| )?of(_|-| )?the(_|-| )?Cell$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1645&dsrid=496&courseNr=134201&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Genomanalyse von Prokaryoten"
    # ======================================================================= #
    when /^Genomanalyse(_|-| )?von(_|-| )?Prokaryoten$/i,
         /^Projektpraktikum(_|-| )?Bioinformatik$/i,
         /Genomanalyse/i
      'https://ufind.univie.ac.at/de/course.html?lv=300043&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Genetik und Molekularbiologie"
    # ======================================================================= #
    when /^VO(_|-| )?Genetik(_|-| )?und(_|-| )?Molekularbiologie$/i,
         /^Genetik(_|-| )?und(_|-| )?Molekularbiologie$/i,
         /^330046(_|-| )?Genetik(_|-| )?und(_|-| )?Molekularbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330046&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Therapie von HIV Infektion / AIDS"
    # ======================================================================= #
    when /^Therapie(_|-| )?von(_|-| )?HIV(_|-| )?Infektione?n?(_|-| )?\/?(_|-| )?AIDS$/i,
         /^301480(_|-| )?Therapie(_|-| )?von(_|-| )?HIV(_|-| )?Infektione?n?(_|-| )?\/?(_|-| )?AIDS$/i,
         /^Therapie(_|-| )?von(_|-| )?HIV$/i,
         /^HIV(_|-| )?Seminar$/i,
         /^HIV$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301480&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf tu_patho
    # ======================================================================= #
    when 'tu_patho','physiologie_und_grundlagen_der_pathologie',
         'physiologieundgrundlagenderpathologie'
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=6a8&semester=2016S&courseNr=185A47'
    # ======================================================================= #
    # === rf "Georg Hoffmann"
    # ======================================================================= #
    when /^Georg(_|-| )?Hoffmann$/
      'https://ufind.univie.ac.at/de/person.html?id=48645&teaching=true'
    # ======================================================================= #
    # === rf master_ernährung
    # ======================================================================= #
    when 'master_ernährung',/master_?ern/
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=182343' # 2017W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=209626' # 2018S
    # ======================================================================= #
    # === rf "Dynamic Programming Techniques"
    # ======================================================================= #
    when /^Dynamic(_|-| )?Programming(_|-| )?Techniques$/i
      'http://vvz.wu.ac.at/cgi-bin/vvz.pl?C=L;I=1081;LV=3;L2=S;L3=S;S=17W;LANG=DE'
    # ======================================================================= #
    # === rf luschnig
    # ======================================================================= #
    when 'luschnig','luschnigg'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A82C9968C2A050FE&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Biotechnology for sustainable processes and environmental protection"
    # ======================================================================= #
    when /^Biotechnology(_|-| )?for(_|-| )?sustainable(_|-| )?processes(_|-| )?and(_|-| )?environmental(_|-| )?protection(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Biotechnology(_|-| )?for(_|-| )?sustainable(_|-| )?processes(_|-| )?and(_|-| )?environmental(_|-| )?protection$/i,
         /^Biotechnology(_|-| )?for(_|-| )?Sustainable(_|-| )?Processes$/i,
         /^970305(_|-| )?Biotechnology(_|-| )?for(_|-| )?sustainable(_|-| )?processes(_|-| )?and(_|-| )?environmental(_|-| )?protection(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281269' # 2018S
    # ======================================================================= #
    # === rf "Numerische Methoden der Ingenieurwissenschaften"
    # ======================================================================= #
    when /^Numerische(_|-| )?Methoden(_|-| )?der(_|-| )?Ingenieurwissenschaften$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=6829&dsrid=227&courseNr=317516&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Bernhard Keppler"
    # ======================================================================= #
    when /^Bernhard(_|-| )?Keppler$/i
      'https://ufind.univie.ac.at/de/person.html?id=15276&teaching=true'
    # ======================================================================= #
    # === rf "Praktikum Immunanalytische Methoden"
    # ======================================================================= #
    when /^Praktikum(_|-| |:)?(_|-| )?Immunanalytische(_|-| )?Methoden$/i,
         /^UE(_|-| )?Praktikum:(_|-| )?Immunanalytische(_|-| )?Methoden$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270149&semester=2017W'
    # ======================================================================= #
    # === zellbio_übung
    # ======================================================================= #
    when 'zellbio_übung','zellbio_übung_ergebnisse'
      'https://online.boku.ac.at/BOKUonline/lv.anzeigeStat?pStpSpNr=283098&pSpracheNr=1&pOrgNr=15895'
    # ======================================================================= #
    # === rf puchinger
    # ======================================================================= #
    when 'puchinger',
         'puchinger1'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person/161898'
    # ======================================================================= #
    # === rf walther_schmid
    # ======================================================================= #
    when 'walther_schmid','waltherschmid','walter_schmid'
      'https://ufind.univie.ac.at/de/person.html?id=4960&teaching=true'
    # ======================================================================= #
    # === rf "Bio- und Chemodiversität von Nutzpflanzen"
    # ======================================================================= #
    when /^Bio(_|-| )?(_|-| )?und(_|-| )?Chemodiversität(_|-| )?von(_|-| )?Nutzpflanzen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300129&semester=2017S' # 2017S
    # ======================================================================= #
    # === rf "Einführung in die Bryologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Bryologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300305&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Die ökologische Krise aus multidisziplinärer Perspektive"
    # ======================================================================= #
    when /^Die(_|-| )?ökologische(_|-| )?Krise(_|-| )?aus(_|-| )?multidisziplinärer(_|-| )?Perspektive$/i,
         /^BOKU(_|-| )?Die(_|-| )?ökologische(_|-| )?Krise(_|-| )?aus(_|-| )?multidisziplinärer(_|-| )?Perspektive$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278148' # 2017W
    # ======================================================================= #
    # === rf Makroevolution
    # ======================================================================= #
    when /^Makroevolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300121&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf hietz
    # ======================================================================= #
    when 'hietz','prof_hietz',/^Peter(_|-| )?Hietz$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=3BF987CD3CD1104D&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Makroökonomie für WIMB"
    # ======================================================================= #
    when /^Makroökonomie(_|-| )?für(_|-| )?WIMB$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1395&dsrid=691&courseNr=105609&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Programmieren mit MATLAB"
    # ======================================================================= #
    when /^Programmieren(_|-| )?mit(_|-| )?MATLAB$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9676&dsrid=477&courseNr=105679&semester=2018S' # 2018S
    # ======================================================================= #
    # === weish
    # ======================================================================= #
    when 'weish'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=555A1DF4FAB5B4D4&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Agrargenetik und Biodiversität - Exkursion"
    # ======================================================================= #
    when /^Agrargenetik(_|-| )?und(_|-| )?Biodiversität(_|-| )?(_|-| )?(_|-| )?Exkursion$/i,
         /^BOKU(_|-| )?Agrargenetik(_|-| )?und(_|-| )?Biodiversität(_|-| )?(_|-| )?(_|-| )?Exkursion$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280767' # 2018S
    # ======================================================================= #
    # === rf wawrosch
    # ======================================================================= #
    when 'wawrosch','wawrow','wawrov'
      'https://ufind.univie.ac.at/de/person.html?id=6108&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Ökologie(LA-BU)"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Ökologie\(?LA(_|-| )?BU\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300664&semester=2017W'
    # ======================================================================= #
    # === rf "Propedeutics: Methods in Molecular Biology and Biochemistry"
    # ======================================================================= #
    when /^Propedeutics(_|-| |:)?(_|-| )?Methods(_|-| )?in(_|-| )?Molecular(_|-| )?Biology(_|-| )?and(_|-| )?Biochemistry$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=320678'
    # ======================================================================= #
    # === rf "Chemie für PhysikerInnen - Teil A: Anorganische Chemie"
    # ======================================================================= #
    when /^Chemie(_|-| )?für(_|-| )?PhysikerInnen(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?A(_|-| |:)?(_|-| )?Anorganische(_|-| )?Chemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=260223&semester=2017W'
    # ======================================================================= #
    # === rf "Technische Praxis der Computersysteme I"
    # ======================================================================= #
    when /^Technische(_|-| )?Praxis(_|-| )?der(_|-| )?Computersysteme(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050123&semester=2014W'
    # ======================================================================= #
    # === rf "Einführung in die Biochemie und Molekularbiologie (für Lehramtskandidaten)"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Biochemie(_|-| )?und(_|-| )?Molekularbiologie(_|-| )?\(?für(_|-| )?Lehramtskandidaten\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300665&semester=2017W'
    # ======================================================================= #
    # === rf "Tierische Zellen und Gewebe"
    # ======================================================================= #
    when /Tierische(_|-| )?Zellen(_|-| )?und(_|-| )?Gewebe$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300702&semester=2017S' # 2017S
      'https://ufind.univie.ac.at/de/course.html?lv=300702&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Physiologie der Sinne"
    # ======================================================================= #
    when /^Physiologie(_|-| )?der(_|-| )?Sinne$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300683&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Multivariate statistical methods in ecology"
    # ======================================================================= #
    when /^Multivariate(_|-| )?statistical(_|-| )?methods(_|-| )?in(_|-| )?ecology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300452&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Grundlagen der Biosystemtheorie"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Biosystemtheorie$/i,
         /^300073(_|-| )?Grundlagen(_|-| )?der(_|-| )?Biosystemtheorie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300073&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Moderne mikroskopische Methoden"
    # ======================================================================= #
    when /^Moderne(_|-| )?mikroskopische(_|-| )?Methoden$/i
      'https://ufind.univie.ac.at/de/course.html?lv=260193&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Live-cell microarray & Organ-on-a-chip Technologien"
    # ======================================================================= #
    when /^Live(_|-| )?cell(_|-| )?microarray(_|-| )?\&?(_|-| )?Organ(_|-| )?on(_|-| )?a(_|-| )?chip(_|-| )?Technologien$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7125&dsrid=63&courseNr=163179&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf bachelor_technische_chemie
    # ======================================================================= #
    when /bachelor_?technische_?chemie/,
         'curriculum_technische_chemie'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=9782&dsrid=827&key=37748' # 2017W
    # ======================================================================= #
    # === rf Technologieverwertung
    # ======================================================================= #
    when /^Technologieverwertung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2694&dsrid=789&courseNr=015082&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf master_bioinformatik
    # ======================================================================= #
    when /^master_?bioinf?o?r?m?a?t?i?k?/,
         /^curriculum_?bioinformatik/i,
         /^bioinformatik_?curriculum/i,
         'masterinformatik'
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=180179' # 2017S
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=188591&semester=2017W'   # 2017W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=211308' # 2018S
    # ======================================================================= #
    # === rf "Durchflusszytometrie"
    # ======================================================================= #
    when /^Durchflusszytometrie$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=326324' # 2018S
    # ======================================================================= #
    # === rf "Synthetic Bioarchitectures"
    # ======================================================================= #
    when /^Synthetic(_|-| )?Bioarchitectures/i
      #'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278356' # 2017S
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281266' # 2018S
    # ======================================================================= #
    # === rf "Getting Started in Programming for KTWW"
    # ======================================================================= #
    when /^Getting(_|-| )?Started(_|-| )?in(_|-| )?Programming(_|-| )?for(_|-| )?KTWW(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Getting(_|-| )?Started(_|-| )?in(_|-| )?Programming(_|-| )?for(_|-| )?KTWW$/i,
         /^875117(_|-| )?Getting(_|-| )?Started(_|-| )?in(_|-| )?Programming(_|-| )?for(_|-| )?KTWW(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281515' # 2018S
    # ======================================================================= #
    # === rf sara
    # ======================================================================= #
    when 'sara','margit'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=207652'
    # ======================================================================= #
    # === rf "Biomedical Sensors and Signals Mikrowellenmikroskopie für biologische und Halbleiteranwendungen"
    # ======================================================================= #
    when /^Biomedical(_|-| )?Sensors(_|-| )?and(_|-| )?Signals(_|-| )?Mikrowellenmikroskopie(_|-| )?für(_|-| )?biologische(_|-| )?und(_|-| )?Halbleiteranwendungen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4346&dsrid=522&courseNr=362164&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Chemisches Grundpraktikum I - Proseminar"
    # ======================================================================= #
    when /^Chemisches(_|-| )?Grundpraktikum(_|-| )?I(_|-| )?(_|-| )?(_|-| )?Proseminar$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270026&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Michael Hesse"
    # ======================================================================= #
    when /Michael(_|-| )?Hesse$/i
      'https://ufind.univie.ac.at/de/person.html?id=1974&teaching=true'
    # ======================================================================= #
    # === rf doktorats_curricula
    # ======================================================================= #
    when /doktorats(_|-| )?curricula/
      'https://doktorat.univie.ac.at/interessentinnen/ein-doktorat-beginnen/curricula/'
    # ======================================================================= #
    # === rf ubrm_steop
    # ======================================================================= #
    when /ubrm_?steop/
      'https://online.boku.ac.at/BOKUonline/wbExamOffer.wbExamsOfCourse?pCourseNr=275535'
    # ======================================================================= #
    # === rf physik_ubrm
    # ======================================================================= #
    when 'physik_ubrm','physikubrm','physik'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280979' # 2017WS
    # ======================================================================= #
    # === rf "Statistik (UBRM)"
    # ======================================================================= #
    when /^Statistik(_|-| )?\(UBRM\)/i,
         'statistik_ubrm'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281613'
    # ======================================================================= #
    # === rf "Logikprogrammierung und Constraints"
    # ======================================================================= #
    when /^Logikprogrammierung(_|-| )?und(_|-| )?Constraints$/i,
         'logik'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8186&dsrid=571&courseNr=185A12&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Florian Lehner"
    # ======================================================================= #
    when /Florian(_|-| )?Lehner$/i
      'http://cellculture.meduniwien.ac.at/team/florian-lehner/?L=1'
    # ======================================================================= #
    # === rf "Summer School: Biomedical Research 2017"
    # ======================================================================= #
    when /Summer(_|-| )?School(_|-| |:)?(_|-| )?Biomedical(_|-| )?Research(_|-| )?2017$/i # Könnte 2018 durchgeführt werden.
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=319151'
    # ======================================================================= #
    # === rf "Synthetische Biologie - Konstruktion des Lebendigen"
    # ======================================================================= #
    when /^Synthetische(_|-| )?Biologie(_|-| )?(_|-| )?(_|-| )?Konstruktion(_|-| )?des(_|-| )?Lebendigen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283196' # 2018S
    # ======================================================================= #
    # === rf master_chemie
    # ======================================================================= #
    when /master_?chemie$/
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=184659' # 2017W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=208995' # 2018S
    # ======================================================================= #
    # === rf "Journal Club II"
    # ======================================================================= #
    when /^Journal(_|-| )?Club(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300097&semester=2017S'
    # ======================================================================= #
    # === rf "Biomolekulare Simulation"
    # ======================================================================= #
    when /^Biomolekulare(_|-| )?Simulation$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301577&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Problem solving in molecular biosciences"
    # ======================================================================= #
    when /^Problem(_|-| )?solving(_|-| )?in(_|-| )?molecular(_|-| )?biosciences$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300327&semester=2017S'
    # ======================================================================= #
    # === rf campbell
    # ======================================================================= #
    when 'campbell'
      'https://ufind.univie.ac.at/de/person.html?id=58154&teaching=true'
    # ======================================================================= #
    # === rf "Jörg Ott"
    # ======================================================================= #
    when /Jörg(_|-| )?Ott$/i,'ott','ött'
      'https://ufind.univie.ac.at/de/person.html?id=3945&teaching=true'
    # ======================================================================= #
    # === rf "Dynamik intrazellulärer Kompartmentierung"
    # ======================================================================= #
    when /^Dynamik(_|-| )?intrazellulärer(_|-| )?Kompartmentierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300332&semester=2016S' # War dieses Semester wohl das letzte mal.
    # ======================================================================= #
    # === rf "Chylinski"
    # ======================================================================= #
    when /^Chylinski$/i
      'https://ufind.univie.ac.at/de/person.html?id=36573&teaching=true'
    # ======================================================================= #
    # === rf "Zellbiologie für Lehramtsstudierende BU"
    # ======================================================================= #
    when /^Zellbiologie(_|-| )?für(_|-| )?Lehramtsstudierende(_|-| )?BU$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300071&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Programmierung 2"
    # ======================================================================= #
    when /^Programmierung(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051020&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Mathematik Übungen"
    # ======================================================================= #
    when /^Mathematik(_|-| )?Übungen/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282287' # 2017W
    # ======================================================================= #
    # === rf "Curriculum Bachelor Informatik"
    # ======================================================================= #
    when /^Curriculum(_|-| )?Bachelor(_|-| )?Informatik$/i
      'http://senat.univie.ac.at/fileadmin/user_upload/senat/Konsolidierte_Curricula/Bachelors/BA_Informatik_Version2016.pdf'
    # ======================================================================= #
    # === rf "Abteilung für Molekulare Biologie"
    # ======================================================================= #
    when /^Abteilung(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologie$/i
      'https://campus.meduniwien.ac.at/med.campus/wblvangebot.wbshowlvoffer?porgnr=16025'
    # ======================================================================= #
    # === rf "Theoretisch-chemische Übungen"
    # ======================================================================= #
    when /^Theoretisch(_|-| )?chemische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270146&semester=2017W'
    # ======================================================================= #
    # === rf "Chemische Übungen"
    # ======================================================================= #
    when /^Chemische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330001&semester=2017W'
    # ======================================================================= #
    # === rf bachelor_chemie
    # ======================================================================= #
    when 'bachelorstudium_chemie','bachelor_chemie','bachelorchemie',
         /chemie_?curriculum/
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=176567' # 2017S
      # 'https://ufind.univie.ac.at/de/vvz_sub.html?path=184471' # 2017W
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=208989' # 2018S
    # ======================================================================= #
    # === rf "Johannes Stockinger"
    # ======================================================================= #
    when /^Johannes(_|-| )?Stockinger$/i
      'https://ufind.univie.ac.at/de/person.html?id=5537&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Statistik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Statistik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8071&dsrid=539&courseNr=105692&semester=2018S'
    # ======================================================================= #
    # === rf "The Tumor Microenvironment and Metastasis"
    # ======================================================================= #
    when /^The(_|-| )?Tumor(_|-| )?Microenvironment(_|-| )?and(_|-| )?Metastasis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270177&semester=2017W' # 2017W
    # ======================================================================= #
    # === rf "Bioorganic Chemistry"
    # ======================================================================= #
    when /^Bioorganic(_|-| )?Chemistry$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279439'
    # ======================================================================= #
    # === rf "Zellbiologie heute: aktuelle Fragen, Methoden, Projektplanung"
    # ======================================================================= #
    when /^Zellbiologie(_|-| )?heute(_|-| |:)?(_|-| )?aktuelle(_|-| )?Fragen(_|-| |,)?(_|-| )?Methoden(_|-| |,)?(_|-| )?Projektplanung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300072&semester=2017S'
    # ======================================================================= #
    # === rf "Mineralogie und Rohstoffkunde (LA-BU)"
    # ======================================================================= #
    when /^Mineralogie(_|-| )?und(_|-| )?Rohstoffkunde(_|-| )?\(?LA(_|-| )?BU\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300653&semester=2017S'
    # ======================================================================= #
    # === rf "Cell-based bioanalytics (in Eng.)"
    # ======================================================================= #
    when /^Cell(_|-| )?based(_|-| )?bioanalytics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283256'
    # ======================================================================= #
    # === rf positiv_absolvierte_prüfungen
    # ======================================================================= #
    when /positiv_?absolvierte_?prüfungen/,
         /uni_?zeugnisse/,
         'zeugnisse'
      'https://uspace.univie.ac.at/web/studierende/meine-dokumente?p_p_id=sspdokumentendruckportlet_WAR_sspstudentenportlet&p_p_lifecycle=2&p_p_state=normal&p_p_mode=view&p_p_cacheability=cacheLevelPage&p_p_col_id=column-1&p_p_col_count=3&p_p_col_pos=2&_sspdokumentendruckportlet_WAR_sspstudentenportlet_javax.faces.resource=PVS_SAMMELZEUGNIS_OHNE_NEG&_sspdokumentendruckportlet_WAR_sspstudentenportlet_PrintType=0&_sspdokumentendruckportlet_WAR_sspstudentenportlet_Dokument=1'
    # ======================================================================= #
    # === rf "Physik (LBT)"
    # ======================================================================= #
    when /^Physik(_|-| )?\(LBT\)$/i,
         /^Physik(_|-| )?LMBT$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281856'
    # ======================================================================= #
    # === rf "Einführung in die Gentechnologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Gentechnologie$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=323826'
    # ======================================================================= #
    # === rf "Karin Macfelda"
    # ======================================================================= #
    when /^Karin(_|-| )?Macfelda$/i
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=99182BB2A5978CE3&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Evolution"
    # ======================================================================= #
    when /^Evolution$/i
      'https://ufind.univie.ac.at/en/course.html?lv=300133&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Scientific Data Management"
    # ======================================================================= #
    when /Scientific(_|-| )?Data(_|-| )?Management$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050038&semester=2017S'
    # ======================================================================= #
    # === rf tu_zeugnisse
    # ======================================================================= #
    when /tu_?zeugnisse/
      'https://tiss.tuwien.ac.at/graduation/certificates.xhtml?windowId=f99'
    # ======================================================================= #
    # === rf "Organic chemistry and immunobiology of carbohydrates"
    # ======================================================================= #
    when /^Organic(_|-| )?chemistry(_|-| )?and(_|-| )?immunobiology(_|-| )?of(_|-| )?carbohydrates$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282941' # 2018S
    # ======================================================================= #
    # === rf penninger
    # ======================================================================= #
    when /Josef(_|-| )?Penninger/i,'penninger','penniger'
      'https://ufind.univie.ac.at/de/person.html?id=86291&teaching=true'
    # ======================================================================= #
    # === rf chemische_technologien_anorganischer_stoff
    # ======================================================================= #
    when 'chemische_technologien_anorganischer_stoff',
         'chemische_technologie_anorganischer_stoffe'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=8b1&courseNr=164221&semester=2016S'
    # ======================================================================= #
    # === rf Evolution
    # ======================================================================= #
    when /^Evolution$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300133&semester=2017S'
    # ======================================================================= #
    # === rf "Chemische Übungen für Kulturtechniker"
    # ======================================================================= #
    when /^Chemische(_|-| )?Übungen(_|-| )?für(_|-| )?Kulturtechniker$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282183'
    # ======================================================================= #
    # === rf "Martina Patzl"
    # ======================================================================= #
    when /^Martina(_|-| )?Patzl$/i
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=1E7B6517C5253267&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf glykomik
    # ======================================================================= #
    when 'glykomik'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?courseNr=164294&semester=2017W&windowId=2c9'
    # ======================================================================= #
    # === rf "Übungen zu Mathematik für Molekulare Biologen"
    # ======================================================================= #
    when /^Übungen(_|-| )?zu(_|-| )?Mathematik(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300376&semester=2017S'
    # ======================================================================= #
    # === rf molecular_ecology_of_plants
    # ======================================================================= #
    when 'molecular_ecology_of_plants','molecularecologyofplants'
      'https://ufind.univie.ac.at/en/course.html?lv=300409&semester=2017W'
    # ======================================================================= #
    # === rf "Thomas Reichenauer"
    # ======================================================================= #
    when /^Thomas(_|-| )?Reichenauer$/i
      'https://ufind.univie.ac.at/de/person.html?id=18308&teaching=true'
    # ======================================================================= #
    # === rf "Molekulare Pathologie"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Pathologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301407&semester=2018S'
    # ======================================================================= #
    # === rf "Johannes Nimpf"
    # ======================================================================= #
    when /^Johannes(_|-| )?Nimpf$/i,
         'nimpf'
      'https://ufind.univie.ac.at/de/person.html?id=3855&teaching=true'
    # ======================================================================= #
    # === rf mobistats
    # ======================================================================= #
    when /^mobi_?stats$/,/^mobi_?results$/,
         /^mobi_?ergebnisse$/
      'https://online.boku.ac.at/BOKUonline/lv.anzeigeStat?pStpSpNr=280873&pSpracheNr=1&pOrgNr=15895'
    # ======================================================================= #
    # === rf "Wolfgang Liebert"
    # ======================================================================= #
    when /^Wolfgang(_|-| )?Liebert$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=F68213994998185A&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf uspace
    # ======================================================================= #
    when 'uspace','univis2','univi2'
      'https://uspace.univie.ac.at/web/studierende/meine-dokumente'
    # ======================================================================= #
    # === rf "Developmental and stem cell biology"
    # ======================================================================= #
    when /^Developmental(_|-| )?and(_|-| )?stem(_|-| )?cell(_|-| )?biology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280403'
    # ======================================================================= #
    # === rf "Modellsysteme in der Molekularbiologie"
    # ======================================================================= #
    when /^Modellsysteme(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie/i,
         /^301735(_|-| )?Modellsysteme(_|-| )?in(_|-| )?der(_|-| )?Molekularbiologie/i
      'https://ufind.univie.ac.at/de/course.html?lv=301735&semester=2018S'
    # ======================================================================= #
    # === rf "Die Zelle im Elektronenmikroskop"
    # ======================================================================= #
    when /^Die(_|-| )?Zelle(_|-| )?im(_|-| )?Elektronenmikroskop$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300208&semester=2018S' # 2018S
    # ======================================================================= #
    # === rf "Finanzierungsmöglichkeiten für JungwissenschafterInnen - Eine Einführung"
    # ======================================================================= #
    when /^Finanzierungsmöglichkeiten(_|-| )?für(_|-| )?JungwissenschafterInnen(_|-| )?(_|-| )?(_|-| )?Eine(_|-| )?Einführung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=980016&semester=2017S'
    # ======================================================================= #
    # === rf "Giorgio Carta"
    # ======================================================================= #
    when /^Giorgio(_|-| )?Carta$/
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D8379BD64FF1BAA2&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf biotechnologie2
    # ======================================================================= #
    when /biotechnologie2/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=2ed&courseNr=166210&semester=2017S'
    # ======================================================================= #
    # === rf biointerfaces
    # ======================================================================= #
    when 'biointerfaces','bionterfaces'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281422' # 2017W
    # ======================================================================= #
    # === rf "Forschungsentwicklung TU Wien"
    # ======================================================================= #
    when /^Forschungsentwicklung(_|-| )?TU(_|-| )?Wien$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=b03&courseNr=166610&semester=2017S'
    # ======================================================================= #
    # === rf kubel
    # ======================================================================= #
    when 'kubel'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/151933'
    # ======================================================================= #
    # === rf monatliche_leistungsziele
    # ======================================================================= #
    when /^monatliche_?leistungsziele$/
      STUDIUM+'monatliche_leistungsziele/JAN_2018.md' # ← Immer aktualisieren.
    # ======================================================================= #
    # === rf todo_next
    # ======================================================================= #
    when 'todo_next','university_todo_next'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2579&dsrid=568&windowId=b16&courseNr=354043&semester=2017W'
    # ======================================================================= #
    # === rf allmayer
    # ======================================================================= #
    when 'allmayer','allmaier','tu_pharma','allm'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1434561'
    # ======================================================================= #
    # === rf "Petra Viehauser"
    # ======================================================================= #
    when /^Petra(_|-| )?Viehauser$/,'viehauser','vierhauser'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=307DD9804710EAF0&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf grasserbauer
    # ======================================================================= #
    when 'grasserbauer'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/569901'
    # ======================================================================= #
    # === rf "Biotechnology for Sustainable Processes and Environmental"
    # ======================================================================= #
    when /^Biotechnology(_|-| )?for(_|-| )?Sustainable(_|-| )?Processes(_|-| )?and(_|-| )?Environmental$/i,
         /^Biotechnology(_|-| )?for(_|-| )?sustainable(_|-| )?processes(_|-| )?and(_|-| )?environmental(_|-| )?protection$/i 
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281269'
    # ======================================================================= #
    # === rf bodenkunde_moodle
    # ======================================================================= #
    when 'bodenkunde_moodle','bodenkunde_videos'
      'https://learn.boku.ac.at/course/view.php?id=6145'
    # ======================================================================= #
    # === rf theoretische_chemie
    # ======================================================================= #
    when /theoretische_?chemie/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=068&courseNr=165009&semester=2017W'
    # ======================================================================= #
    # === rf ustream_videos
    # ======================================================================= #
    when 'ustream',/ustream_?videos/
      'http://online.univie.ac.at/vlvz?semester=current&stream=yes'
    # ======================================================================= #
    # === rf cibiv
    # ======================================================================= #
    when 'civib','bioinfo_arndt','bioinformatik_homepage',
         'cibiv'
      'http://www.cibiv.at/teaching/index.php'
    # ======================================================================= #
    # === rf "Microbial Nitrogen Cycling"
    # ======================================================================= #
    when /Microbial(_|-| )?Nitrogen(_|-| )?Cycling(_|-| |:)?(_|-| )?From(_|-| )?Single(_|-| )?Cells(_|-| )?to(_|-| )?Ecosystems$/i,
         /Microbial(_|-| )?Nitrogen(_|-| )?Cycling$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300291&semester=2017W'
    # ======================================================================= #
    # === rf "Catharina Duvigneau"
    # ======================================================================= #
    when /^Catharina(_|-| )?Duvigneau$/i,'duvigneau'
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=939910356EBEDB1B&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf Ökologie_und_nachhaltige_entwicklung
    # ======================================================================= #
    when /Ökologie_und_nachhaltige_entwicklung/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?courseNr=164225&semester=2017S&windowId=ec3'
    # ======================================================================= #
    # === rf marchetti
    # ======================================================================= #
    when 'marchetti'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1995337'
    # ======================================================================= #
    # === rf ernährungswissenschaften_forum
    # ======================================================================= #
    when 'ernährungswissenschaften_forum','ernforum','forum_food',
         'ernährungforum','foodforum','forum_ernährung',
         'eforum','ernährungsforum','stvernährung','ernährungsforum2',
         'ernährung'
      'http://www.univie.ac.at/strvew/bbs/index.php'
    # ======================================================================= #
    # === rf mitbelegung_tu_wien
    # ======================================================================= #
    when /^mitbelegung(_|-| )?tu(_|-| )?wien/i
      'https://www.tuwien.ac.at/dle/studienabteilung/mitbelegung/'
    # ======================================================================= #
    # === rf "Zellbiologie"
    # ======================================================================= #
    when /^Zellbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300443&semester=2017S'
    # ======================================================================= #
    # === rf "Übungen IA Mikrobiologie und Genetik"
    # ======================================================================= #
    when /^Übungen_?i(_|-| )?a(_|-| )?mikrobiologie(_|-| )?und(_|-| )?genetik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301626&semester=2017W'
    # ======================================================================= #
    # === rf "Angewandte Mikroskopie"
    # ======================================================================= #
    when /^Angewandte(_|-| )?Mikroskopie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=c2a&semester=2017S&courseNr=166675' 
    # ======================================================================= #
    # === rf "Literaturseminar, Struktur u. Funktion v. Proteinen"
    # ======================================================================= #
    when /Literaturseminar,(_|-| )?Struktur(_|-| )?u\.(_|-| )?Funktion(_|-| )?v\.(_|-| )?Proteinen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300411&semester=2017S'
    # ======================================================================= #
    # === rf autoimmunologie
    # ======================================================================= #
    when 'autoimmunologie'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=be9&courseNr=173026&semester=2017S'
    # ======================================================================= #
    # === rf "Organisch-chemische Übungen"
    # ======================================================================= #
    when /^Organisch-chemische(_|-| )?Übungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301615&semester=2017W'
    # ======================================================================= #
    # === rf "Konzepte und Arbeitsmethoden zu Evolution, Systematik und Biogeographie der Pflanzen"
    # ======================================================================= #
    when /Konzepte(_|-| )?und(_|-| )?Arbeitsmethoden(_|-| )?zu(_|-| )?Evolution(_|-| |,)?(_|-| )?Systematik(_|-| )?und(_|-| )?Biogeographie(_|-| )?der(_|-| )?Pflanzen/i
      'https://ufind.univie.ac.at/de/course.html?lv=300023&semester=2017W'
    # ======================================================================= #
    # === mach
    # ======================================================================= #
    when 'mach'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/1179873'
    # ======================================================================= #
    # === rf gabain
    # ======================================================================= #
    when /^Alexander(_|-| )?von(_|-| )?Gabain$/,'gabain','von_gabain'
      'https://ufind.univie.ac.at/de/person.html?id=6771&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in Biologie und Botanik"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?Biologie(_|-| )?und(_|-| )?Botanik$/i,
         /Einführung(_|-| )?in(_|-| )?die(_|-| )?Biologie(_|-| )?und(_|-| )?Botanik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330048&semester=2017W'
    # ======================================================================= #
    # === rf schütz
    # ======================================================================= #
    when 'schütz','schütt'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/10909113'
    # ======================================================================= #
    # === rf tanzer
    # ======================================================================= #
    when 'tanzer'
      'https://ufind.univie.ac.at/de/person.html?id=29316&teaching=true'
    # ======================================================================= #
    # === rf hengtschläger_old
    # ======================================================================= #
    when /Hengstschläger(_|-| )?old/i
      'https://ufind.univie.ac.at/de/person.html?id=1940&teaching=true'
    # ======================================================================= #
    # === rf "Analytische Chemie 2 für Biologen"
    # ======================================================================= #
    when /Analytische(_|-| )?Chemie(_|-| )?2(_|-| )?für(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301620&semester=2017W'
    # ======================================================================= #
    # === rf "Statistik (UBRM) Übungen"
    # ======================================================================= #
    when /^Statistik(_|-| )?Übungen(_|-| )?UBRM$/i,
         /^Statistik(_|-| )?\(?UBRM\)?(_|-| )?Übungen$/i,
         /^Statistik(_|-| )?Übung(_|-| )?UBRM$/i,
         /^UBRM(_|-| )?Statistik(_|-| )?Übungen$/i,
         /^Statistik(_|-| )?URBM(_|-| )?UE$/i,
         'statistik_übung','StatistikUBRMÜbungen',
         'statistik_ubrm_Übungen','ubrmstatistikübungen'
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281329' # 2017W
    # ======================================================================= #
    # === rf "Biochemie Proseminar"
    # ======================================================================= #
    when /Biochemie(_|-| )?Proseminar$/i,
         /Proseminar(_|-| )?Biochemie$/i,
         /biochem_?proseminar/,
         /biochemie_?proseminar/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8056&dsrid=155&courseNr=166190&semester=2017S'
    # ======================================================================= #
    # === rf "tu_wien_anatomie_und_histologie"
    # ======================================================================= #
    when 'anatomie_vorlesung','anatomievorlesung',/tu_?anatomie/,
         /tu_?wien_?anatomie_?und_?histologie$/,
         'anatomie'
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?courseNr=185330&semester=2017W&windowId=15b'
    # ======================================================================= #
    # === rf "Molekulare Biotechnologie"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Biotechnologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300459&semester=2006S'
    # ======================================================================= #
    # === rf boku_mikrobiologie_übungen_aw
    # ======================================================================= #
    when /^BOKU(_|-| )?Mikrobiologie(_|-| )?(_|-| )?(_|-| )?Übungen(_|-| )?\(?AW\)?/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276637'
    # ======================================================================= #
    # === rf "Infectious Disease"
    # ======================================================================= #
    when /^BOKU(_|-| )?Infectious(_|-| )?diseases(_|-| )?and(_|-| )?vaccines(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Infectious(_|-| )?diseases(_|-| )?and(_|-| )?vaccines(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Infectious(_|-| )?diseases(_|-| )?and(_|-| )?vaccines$/i,
         /^Infectious(_|-| )?Disease/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281274'
    # ======================================================================= #
    # === rf master_genetik
    # ======================================================================= #
    when /master_?genetik/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=172812'
    # ======================================================================= #
    # === rf "Department für Biochemie und Zellbiologie"
    # ======================================================================= #
    when 'department_für_biochemie_und_zellbiologie'
      'http://www.univie.ac.at/ibmz/'
    # ======================================================================= #
    # === rf "Einführung in die Strukturchemie"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?die(_|-| )?Strukturchemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270287&semester=2017S'
    # ======================================================================= #
    # === rf "Bachelor Physik"
    # ======================================================================= #
    when /Bachelor(_|-| )?Physik$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163130&semester=2017W'
    # ======================================================================= #
    # === rf anerkennungen_uni_wien
    # ======================================================================= #
    when 'anerkennungen_uni_wien'
      'http://studienpraeses.univie.ac.at/fileadmin/user_upload/studienpraesis/Anerkennungen/Kritrien_f%C3%BCr_Anerkennung_externer_Leistungen_Version_06-14_14.03.14.pdf'
    # ======================================================================= #
    # === rf bläsi
    # ======================================================================= #
    when 'bläsi','blaesi','blasi'
      'https://ufind.univie.ac.at/de/person.html?id=432&teaching=true'
    # ======================================================================= #
    # === rf "Alwin Köhler"
    # ======================================================================= #
    when /Alwin(_|-| )?Köhler/i
      'https://ufind.univie.ac.at/de/person.html?id=42970&teaching=true'
    # ======================================================================= #
    # === rf "Molekulare Medizin für Fortgeschrittene"
    # ======================================================================= #
    when /Molekulare(_|-| )?Medizin(_|-| )?für(_|-| )?Fortgeschrittene$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=172674'
    # ======================================================================= #
    # === rf "Wahlbeispiel Molekulare Medizin - Teil 2"
    # ======================================================================= #
    when /^Wahlbeispiel(_|-| )?Molekulare(_|-| )?Medizin(_|-| )?(_|-| )?(_|-| )?Teil(_|-| )?2$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301859&semester=2017W'
    # ======================================================================= #
    # === rf brameshuber
    # ======================================================================= #
    when 'brameshuber'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/9462789'    
    # ======================================================================= #
    # == rf "GM 2 Praktikum HS"
    # ======================================================================= #
    when /GM(_|-| )?2(_|-| )?Praktikum(_|-| )?HS$/i
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?windowId=1c5&roomCode=RADI&initialDate=20170307'
    # ======================================================================= #
    # == rf "GM 5 Praktikum HS"
    # ======================================================================= #
    when /GM(_|-| )?5(_|-| )?Praktikum(_|-| )?HS$/i
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?windowId=dee&roomCode=BA_PRAKT&initialDate=20170310'
    # ======================================================================= #
    # === rf "Kurt Kotrschal"
    # ======================================================================= #
    when /^Kurt(_|-| )?Kotrschal$/i,'kotrschal'
      'https://ufind.univie.ac.at/de/person.html?id=2793&teaching=true'
    # ======================================================================= #
    # === rf "Introduction to Biomaterials and Tissue Engineering"
    # ======================================================================= #
    when /Introduction(_|-| )?to(_|-| )?Biomaterials(_|-| )?and(_|-| )?Tissue(_|-| )?Engineering$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5001&dsrid=276&courseNr=166202&semester=2017S'
    # ======================================================================= #
    # === rf "Helga Stan-Lotter"
    # ======================================================================= #
    when /^Helga(_|-| )?Stan(_|-| )?Lotter$/i
      'https://ufind.univie.ac.at/de/person.html?id=9859&teaching=true'
    # ======================================================================= #
    # === rf "Bioinformatics for Biomedical Engineers"
    # ======================================================================= #
    when /^Bioinformatics(_|-| )?for(_|-| )?Biomedical(_|-| )?Engineers$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2049&dsrid=415&courseNr=166221&semester=2017W'
    # ======================================================================= #
    # === rf "Modern Concepts in Structural Biology III"
    # ======================================================================= #
    when /Modern(_|-| )?Concepts(_|-| )?in(_|-| )?Structural(_|-| )?Biology(_|-| )?III$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300092&semester=2017W'
    # ======================================================================= #
    # === rf "Zellbiologie heute: aktuelle Fragen, Methoden, Projektplanung"
    # ======================================================================= #
    when /Zellbiologie(_|-| )?heute:(_|-| )?aktuelle(_|-| )?Fragen,(_|-| )?Methoden,(_|-| )?Projektplanung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300581&semester=2017W'
    # ======================================================================= #
    # === rf "Molecular Biology of Plants SE"
    # ======================================================================= #
    when /Molecular(_|-| )?Biology(_|-| )?of(_|-| )?Plants(_|-| )?SE/i
      'https://ufind.univie.ac.at/de/course.html?lv=300415&semester=2017W'
    # ======================================================================= #
    # === rf "Praktikum: Tunnelmikroskopie"
    # ======================================================================= #
    when /^Praktikum(_|-| |:)?(_|-| )?Tunnelmikroskopie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270084&semester=2017W'
    # ======================================================================= #
    # === rf loidl 
    # ======================================================================= #
    when 'loidl'
      'https://ufind.univie.ac.at/de/person.html?id=3277&teaching=true'
    # ======================================================================= #
    # === rf "Einführung in die Genetik und Zellbiologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Genetik(_|-| )?und(_|-| )?Zellbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300531&semester=2015S' # Ist die letzte Variante.
    # ======================================================================= #
    # === rf bewertungsstatus
    # ======================================================================= #
    when 'bewertungsstatus','bewertungsstatus_für_protokolle'
      'https://moodle.univie.ac.at/mod/assign/view.php?id=1572056'
    # ======================================================================= #
    # === rf "Antibiotika im klinischen Einsatz"
    # ======================================================================= #
    when /^Antibiotika(_|-| )?im(_|-| )?klinischen(_|-| )?Einsatz$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=322702'
    # ======================================================================= #
    # === rf uniwien_moodle
    # ======================================================================= #
    when 'uniwien_moodle','unimoodle','moodle','uni_vienna_moodle'
      'https://moodle.univie.ac.at/'
    # ======================================================================= #
    # === rf grigory
    # ======================================================================= #
    when 'grig','grigoy','genikhovich','grigory',
         'grigoriy',
         'grigori'
      'https://ufind.univie.ac.at/de/person.html?id=35263&teaching=true'
    # ======================================================================= #
    # === rf master_genetik_und_entwicklungsbiologie
    # ======================================================================= #
    when /^Genetik(_|-| )?und(_|-| )?Entwicklungsbiologie$/i,
         'master_genetik_und_entwicklungsbiologie'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163335'
    # ======================================================================= #
    # === rf "Transition Studies I"
    # ======================================================================= #
    when /^Transition(_|-| )?Studies(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300061&semester=2017W'
    # ======================================================================= #
    # === rf "Sem.R. DB gelb 07"
    # ======================================================================= #
    when /^Sem\.R\.(_|-| )?DB(_|-| )?gelb(_|-| )?07$/i
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?dswid=9864&dsrid=337&roomCode=138A'
    # ======================================================================= #
    # === rf "Gerlinde Maria Gruber"
    # ======================================================================= #
    when /^Gerlinde(_|-| )?Maria(_|-| )?Gruber$/i
      'https://ufind.univie.ac.at/de/person.html?id=28943&teaching=true'
    # ======================================================================= #
    # === rf tu_doktorat
    # ======================================================================= #
    when 'tu_doktorat'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?windowId=5ef&key=60960&semester=CURRENT'
    # ======================================================================= #
    # === rf "Dissertationsgebiet Molekulare Biologie"
    # ======================================================================= #
    when /^Dissertationsgebiet(_|-| )?Molekulare(_|-| )?Biologie$/,
         'doktorat'
      'https://ufind.univie.ac.at/de/vvz_sub.html?semester=2017S&path=176281'
    # ======================================================================= #
    # === rf "radinger_hörsaal"
    # ======================================================================= #
    when /radinger_?hörsaal/i,'GM2',
         'radinger'
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?initialDate='+current_year?+
      current_month?(:pad_with_zeroes)+'08&windowId=587&roomCode=RADI'
    # ======================================================================= #
    # === rf "Technologie pflanzlicher Lebensmittel"
    # ======================================================================= #
    when /^Technologie(_|-| )?pflanzlicher(_|-| )?Lebensmittel$/i,
         /^752110(_|-| )?Technologie(_|-| )?pflanzlicher(_|-| )?Lebensmittel$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282393'
    # ======================================================================= #
    # === rf "Molekularbiologie der Pflanzen II"
    # ======================================================================= #
    when /^Molekularbiologie(_|-| )?der(_|-| )?Pflanzen(_|-| )?II$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300007&semester=2017S'
    # ======================================================================= #
    # === rf "Molekularbiologie der Pflanzen"
    # ======================================================================= #
    when /^Molekularbiologie(_|-| )?der(_|-| )?Pflanzen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=bc7&courseNr=166088&semester=2017S'
    # ======================================================================= #
    # === rf pawel
    # ======================================================================= #
    when 'labaj','pawel','lawal','labal','pawal'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=1142AE7E883ECD56&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Mathematik für TCH Proseminar I"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?TCH(_|-| )?Proseminar(_|-| )?I$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4517&dsrid=579&courseNr=104654&semester=2017W'
    # ======================================================================= #
    # === rf "Animierte 3D Computergraphik"
    # ======================================================================= #
    when /^Animierte(_|-| )?3D(_|-| )?Computergraphik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5631&dsrid=638&courseNr=164286&semester=2017S'
    # ======================================================================= #
    # === rf "UE Angewandte Bioinformatik"
    # ======================================================================= #
    when /^UE(_|-| )?Angewandte(_|-| )?Bioinformatik$/i,
          'bioinformatik_ue'
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8230&dsrid=641&courseNr=166231&semester=2017W'
    # ======================================================================= #
    # === rf "Natalie Mastna"
    # ======================================================================= #
    when /^Natalie(_|-| )?Mastna$/i
      'https://www.facebook.com/profile.php?id=100011380617270'
    # ======================================================================= #
    # === rf forum_technische_phk
    # ======================================================================= #
    when 'forum_technische_phk'
      'https://forum.technische-physik.at'
    # ======================================================================= #
    # === rf "Demonstrationsübungen Mikroskopie"
    # ======================================================================= #
    when /^Demonstrationsübungen(_|-| )?Mikroskopie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2989&dsrid=376&courseNr=173333&semester=2017S'
    # ======================================================================= #
    # === rf "Emmanouil Mikros"
    # ======================================================================= #
    when /^Emmanouil(_|-| )?Mikros$/i
      'https://ufind.univie.ac.at/de/person.html?id=64870'
    # ======================================================================= #
    # === rf "LU Mechanische Eigenschaften biolog. Gewebe"
    # ======================================================================= #
    when /^Mechanische(_|-| )?Eigenschaften(_|-| )?biolog\.?(_|-| )?Gewebe$/i,
         /^LU(_|-| )?Mechanische(_|-| )?Eigenschaften(_|-| )?biolog\.?(_|-| )?Gewebe$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3144&dsrid=802&courseNr=202058&semester=2017W'
    # ======================================================================= #
    # === rf "Physiologie und Ökologie von Cyanobakterien"
    # ======================================================================= #
    when /^Physiologie(_|-| )?und(_|-| )?Ökologie(_|-| )?von(_|-| )?Cyanobakterien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300552&semester=2017W'
    # ======================================================================= #
    # === rf "Life History Evolution"
    # ======================================================================= #
    when /^Life(_|-| )?History(_|-| )?Evolution$/i,
         /^Life(_|-| )?history(_|-| )?evolution(_|-| )?Warum(_|-| )?leben(_|-| )?elefanten(_|-| )?länger(_|-| )?als(_|-| )?Fl$/i,
         /^300208(_|-| )?Life(_|-| )?history(_|-| )?evolution(_|-| )?Warum(_|-| )?leben(_|-| )?elefanten(_|-| )?länger(_|-| )?als(_|-| )?Fl$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300208&semester=2017W'
    # ======================================================================= #
    # === rf "Chemische Technologie organischer Stoffe für Verfahrenstechniker"
    # ======================================================================= #
    when /^Chemische(_|-| )?Technologie(_|-| )?organischer(_|-| )?Stoffe(_|-| )?für(_|-| )?Verfahrenstechniker$/i,
         /^Chemische(_|-| )?Technologie(_|-| )?anorganischer(_|-| )?Stoffe(_|-| )?für(_|-| )?VT$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9496&dsrid=795&courseNr=163133&semester=2017S'
    # ======================================================================= #
    # === rf "Conservation biology"
    # ======================================================================= #
    when /^Conservation(_|-| )?biology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282227'
    # ======================================================================= #
    # === rf "Aquatische Mikrobielle Ökologie"
    # ======================================================================= #
    when /^Aquatische(_|-| )?Mikrobielle(_|-| )?Ökologie/i
      'https://ufind.univie.ac.at/de/course.html?lv=300052&semester=2017W'
    # ======================================================================= #
    # === rf "Michael Gnant"
    # ======================================================================= #
    when /^Michael(_|-| )?Gnant$/i
      'https://ufind.univie.ac.at/de/person.html?id=1469&teaching=true'
    # ======================================================================= #
    # === rf "Katerina Kouri"
    # ======================================================================= #
    when /^Katerina(_|-| )?Kouri$/i
      'https://ufind.univie.ac.at/de/person.html?id=21343&teaching=true'
    # ======================================================================= #
    # === rf "Angela Sessitsch"
    # ======================================================================= #
    when /^Angela(_|-| )?Sessitsch$/i
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/2182413'
    # ======================================================================= #
    # === rf ernährungsökologie
    # ======================================================================= #
    when 'ernährungsökologie'
      'https://ufind.univie.ac.at/de/course.html?lv=330016&semester=2017S'
    # ======================================================================= #
    # === rf "Pharmakognosie für Studenten"
    # ======================================================================= #
    when /pharmakognosie_?für_?studenten/i,'pharmakognosie',
         'pharmazie','pharma_moodle','pharmazieunterlagen'
      'https://pharmakognosie.univie.ac.at/for-students/'
    # ======================================================================= #
    # === rf "Masterstudium Computational Science"
    # ======================================================================= #
    when /^Masterstudium(_|-| )?Computational(_|-| )?Science$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=173101'
    # ======================================================================= #
    # === rf fiedler
    # ======================================================================= #
    when 'fiedler'
      'https://ufind.univie.ac.at/de/person.html?id=88490&teaching=true'
    # ======================================================================= #
    # === rf adrienne_hilgers-szanto
    # ======================================================================= #
    when /^adrienne(_|-| )?hilgers(_|-| )?szanto$/,
         'hilgers'
      'https://ufind.univie.ac.at/de/person.html?id=28682&teaching=true'
    # ======================================================================= #
    # === rf "Biokompatible Werkstoffe"
    # ======================================================================= #
    when /^Biokompatible(_|-| )?Werkstoffe$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1932&dsrid=837&courseNr=308106&semester=2017W'
    # ======================================================================= #
    # === rf "UE Statistik und Wahrscheinlichkeitstheorie"
    # ======================================================================= #
    when /^UE(_|-| )?Statistik(_|-| )?und(_|-| )?Wahrscheinlichkeitstheorie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1932&dsrid=884&courseNr=107369&semester=2017W Statistik und Wahrscheinlichkeitstheorie'
    # ======================================================================= #
    # === rf angewandte_mikroskopie
    # ======================================================================= #
    when /angewandte_?mikroskopie/ # Ab 2017.
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=bbb&courseNr=166675&semester='+current_year?+'S'
    # ======================================================================= #
    # === rf meimberg
    # ======================================================================= #
    when 'meimberg'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=33918D41B227C7CA&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Georg Grabherr"
    # ======================================================================= #
    when /^Georg(_|-| )?Grabherr$/i
      'https://ufind.univie.ac.at/de/person.html?id=1508&teaching=true'
    # ======================================================================= #
    # === rf ivessa
    # ======================================================================= #
    when 'ivessa','natale'
      'https://ufind.univie.ac.at/de/person.html?id=7053&teaching=true'
    # ======================================================================= #
    # === rf tiss_ergebnisse
    # ======================================================================= #
    when /tiss_?ergebnisse/
      'https://tiss.tuwien.ac.at/graduation/certificates.xhtml?dswid=6638&dsrid=869'
    # ======================================================================= #
    # === rf "Biomedical Sensors and Signals"
    # ======================================================================= #
    when /^Biomedical(_|-| )?Sensors(_|-| )?and(_|-| )?Signals$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9275&dsrid=471&courseNr=351027&semester=2017W'
    # ======================================================================= #
    # === rf "Modeling and Methods in Bioprocess Development"
    # ======================================================================= #
    when /^Modeling(_|-| )?and(_|-| )?Methods(_|-| )?in(_|-| )?Bioprocess(_|-| )?Development/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=4da&semester=2017S&courseNr=166619'
    # ======================================================================= #
    # === rf medunimail
    # ======================================================================= #
    when 'meduniwien_webmail','medunimail','meduni_mail','medmail',
         'webmail_meduni','medunimal','medemail','medunima',
         'meduniail','medunimali'
      'https://webmail.students.meduniwien.ac.at/'
    # ======================================================================= #
    # === rf ucard
    # ======================================================================= #
    when 'ucard'
      'https://uspace.univie.ac.at/web/studierende/ucard'
    # ======================================================================= #
    # === rf "658116009U Immunologie"
    # ======================================================================= #
    when /^658116009U(_|-| )?Immunologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56112'
    # ======================================================================= #
    # === rf 209LMP-T03
    # ======================================================================= #
    when /^209LMP(_|-| )?T03$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56390'
    # ======================================================================= #
    # === rf "Corporate sustainability"
    # ======================================================================= #
    when /^Corporate(_|-| )?sustainability$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280981'
    # ======================================================================= #
    # === rf "Karel Riha"
    # ======================================================================= #
    when /^Karel(_|-| )?Riha$/i
      'https://ufind.univie.ac.at/de/person.html?id=86402&teaching=true'
    # ======================================================================= #
    # === rf raible
    # ======================================================================= #
    when 'raible'
      'https://ufind.univie.ac.at/de/person.html?id=35479&teaching=true'
    # ======================================================================= #
    # === rf mikrobiologie_Übungen_aw
    # ======================================================================= #
    when 'mikrobiologie_Übungen_aw'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=276637'
    # ======================================================================= #
    # === rf "Transmissionselektronenmikroskopie von Zellen und Geweben - Techniken und Präparation"
    # ======================================================================= #
    when /^Transmissionselektronenmikroskopie(_|-| )?von(_|-| )?Zellen(_|-| )?und(_|-| )?Geweben(_|-| )?(_|-| )?(_|-| )?Techniken(_|-| )?und(_|-| )?Präparation$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300221&semester=2017S' # Sommersemester.
      'https://ufind.univie.ac.at/de/course.html?lv=300221&semester=2017W'
    # ======================================================================= #
    # === rf senat_AW
    # ======================================================================= #
    when /senat_?AW/
      'https://www.boku.ac.at/universitaetsleitung/senat/aufgabenbereiche/kommissionen/fachstukos-doktoratsstuko-fachag-wb/fachstudienkommission-aw/mitglieder/'
    # ======================================================================= #
    # === rf fachstuko_AW
    # ======================================================================= #
    when /fachstuko_?AW/i
      'https://www.boku.ac.at/universitaetsleitung/senat/aufgabenbereiche/kommissionen/fachstukos-doktoratsstuko-fachag-wb/fachstudienkommission-aw/'
    # ======================================================================= #
    # === rf fachstuko_LBT
    # ======================================================================= #
    when /fachstuko_?LBT/i
      'https://www.boku.ac.at/universitaetsleitung/senat/aufgabenbereiche/kommissionen/fachstukos-doktoratsstuko-fachag-wb/fachstudienkommission-lbt/mitglieder/'
    # ======================================================================= #
    # === rf "Biologie heimischer Wildtiere"
    # ======================================================================= #
    when /^Biologie(_|-| )?heimischer(_|-| )?Wildtiere$/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278912' 
    # ======================================================================= #
    # === rf laimer
    # ======================================================================= #
    when 'laimer','laima'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D48B6F0566235B8A&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf boku_curricula
    # ======================================================================= #
    when /boku_?curricula/
      'http://www.boku.ac.at/universitaet-fuer-bodenkultur-wien-boku/studieren-an-der-boku/studienangebot/'
    # ======================================================================= #
    # === rf "Chemie und Technologie nachwachsender Rohstoffe"
    # ======================================================================= #
    when /Chemie(_|-| )?und(_|-| )?Technologie(_|-| )?nachwachsender(_|-| )?Rohstoffe/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278442'
    # ======================================================================= #
    # === rf "Chemische Technologie NAWAROS"
    # ======================================================================= #
    when /Chemische(_|-| )?Technologie(_|-| )?NAWAROS/i,'nawaros'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279438'
    # ======================================================================= #
    # === rf physikalisches_praktikum
    # ======================================================================= #
    when /^physikalisches_?praktikum$/i
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=103&semester=2017W&courseNr=138000'
    # ======================================================================= #
    # === rf boku_files
    # ======================================================================= #
    when 'boku_files','bokufiles','bokufile','boku_static'
      'https://files.boku.ac.at/ssf/a/do?p_name=ss_forum&p_action=1&action=__login&refererUrl=https%3A%2F%2Ffiles.boku.ac.at%2Fssf%2Fa%2Fc%2Fp_name%2Fss_forum%2Fp_action%2F1%2Faction%2Fview_permalink%2FshowCollection%2F-1%2FentityType%2Fuser%2FentryId%2Fss_user_id_place_holder%2Fnovl_url%2F1%2Fnovl_root%2F1'
    # ======================================================================= #
    # === rf henniges
    # ======================================================================= #
    when 'henniges'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D9DC43D343AD5F70&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Waldbewirtschaftung anhand praktischer Beispiele"
    # ======================================================================= #
    when /Waldbewirtschaftung anhand praktischer Beispiele/
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279996'
    # ======================================================================= #
    # === rf boku_exams
    # ======================================================================= #
    when /boku_?exams/
      'https://online.boku.ac.at/BOKUonline/wbExamRegistration.wbMyExams'
    # ======================================================================= #
    # === rf tuwien_zid
    # ======================================================================= #
    when /tuwien_?zid/
      'https://www.zid.tuwien.ac.at/student/account/'
    # ======================================================================= #
    # === rf sleytr
    # ======================================================================= #
    when 'sleytr'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=90F64EFEA2453D91&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Satzung der Universität für Bodenkultur Wien"
    # ======================================================================= #
    when /Satzung(_|-| )?der(_|-| )?Universität(_|-| )?für(_|-| )?Bodenkultur(_|-| )?Wien/i
      'https://www.boku.ac.at/universitaetsleitung/senat/dokumente/satzung/'
    # ======================================================================= #
    # === rf "Einführung zu Landschaftsarchitektur und Landschaftsbau"
    # ======================================================================= #
    when /^Einführung(_|-| )?zu(_|-| )?Landschaftsarchitektur(_|-| )?und(_|-| )?Landschaftsbau$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283202'
    # ======================================================================= #
    # === rf "Einführung zu Landschaftsplanung und Naturschutzplanung"
    # ======================================================================= #
    when /^Einführung(_|-| )?zu(_|-| )?Landschaftsplanung(_|-| )?und(_|-| )?Naturschutzplanung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=283086'
    # ======================================================================= #
    # === bokumoodle1
    # ======================================================================= #
    when 'bokumoodle1'
      'https://learn.boku.ac.at/course/view.php?id=15170'
    # ======================================================================= #
    # === rf "Grundlagen der Arzneibuchanalytik"
    # ======================================================================= #
    when /^Grundlagen(_|-| )?der(_|-| )?Arzneibuchanalytik/i
      'https://ufind.univie.ac.at/de/course.html?lv=321006&semester=2017W'
    # ======================================================================= #
    # === rf "Lebensmittelmikrobiologie"
    # ======================================================================= #
    when /Lebensmittelmikrobiologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278128'
    # ======================================================================= #
    # === rf "Pharmaceutical Nanotechnology"
    # ======================================================================= #
    when /Pharmaceutical(_|-| )?Nanotechnology$/i
      'https://ufind.univie.ac.at/en/course.html?lv=322073&semester=2017W'
    # ======================================================================= #
    # === rf "Lukas Neutsch"
    # ======================================================================= #
    when /^Lukas(_|-| )?Neutsch$/i
      'https://www.zhaw.ch/de/ueber-uns/person/neuc/'
    # ======================================================================= #
    # === rf "Cornelia Kasper"
    # ======================================================================= #
    when /^Cornelia(_|-| )?Kasper/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=9C54422A8570A040&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Alternativmethoden zum Tierversuch"
    # ======================================================================= #
    when /^Alternativmethoden(_|-| )?zum(_|-| )?Tierversuch$/i
      'https://ufind.univie.ac.at/de/course.html?lv=320078&semester=2017W'
    # ======================================================================= #
    # === rf "Nutztierethologie"
    # ======================================================================= #
    when /^Nutztierethologie/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278670'
    # ======================================================================= #
    # === rf "Umweltaspekte in der Pflanzenproduktion"
    # ======================================================================= #
    when /^Umweltaspekte(_|-| )?in(_|-| )?der(_|-| )?Pflanzenproduktion/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278265'
    # ======================================================================= #
    # === rf "Michael Schober"
    # ======================================================================= #
    when /^Michael(_|-| )?Schober$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=94C6FF2C02236578&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Technologie pflanzlicher Lebensmittel"
    # ======================================================================= #
    when /^Technologie(_|-| )?pflanzlicher(_|-| )?Lebensmittel/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279667'
    # ======================================================================= #
    # === rf "Betriebswirtschaft und Betriebsorganisation"
    # ======================================================================= #
    when /^Betriebswirtschaft(_|-| )?und(_|-| )?Betriebsorganisation/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279701'
    # ======================================================================= #
    # === himmelbauer
    # ======================================================================= #
    when 'himmelbauer'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=645B5E3FA396E670&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf trainingskurs_statistik
    # ======================================================================= #
    when /trainingskurs_statistik/
      'https://learn.boku.ac.at/course/view.php?id=11375'
    # ======================================================================= #
    # === rf "Peter Lieberzeit"
    # ======================================================================= #
    when /^Peter(_|-| )?Lieberzeit$/i
      'https://ufind.univie.ac.at/de/person.html?id=16054&teaching=true'
    # ======================================================================= #
    # === rf "Walter Schiebel"
    # ======================================================================= #
    when /^Walter(_|-| )?Schiebel$/i
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A44D3D6C3ACE16CB&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf sonnleitner
    # ======================================================================= #
    when 'sonnleitner'
      'https://ufind.univie.ac.at/de/person.html?id=22788&teaching=true'
    # ======================================================================= #
    # === rf schlögelhofer
    # ======================================================================= #
    when 'schlögelhofer','schlögl','schlöglhofer'
      'https://ufind.univie.ac.at/de/person.html?id=20049&teaching=true'
    # ======================================================================= #
    # === rf "Umweltstress auf zellulärer Ebene"
    # ======================================================================= #
    when /Umweltstress(_|-| )?auf(_|-| )?zellulärer(_|-| )?Ebene/i
      'https://ufind.univie.ac.at/de/course.html?lv=300279&semester=2017W'
    # ======================================================================= #
    # === rf "Safety Aspects in Plant Biotechnology"
    # ======================================================================= #
    when /^Safety(_|-| )?Aspects(_|-| )?in(_|-| )?Plant(_|-| )?Biotechnology/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279471'
    # ======================================================================= #
    # === rf "Uniwien Master Immunobiology"
    # ======================================================================= #
    when /^uniwien_?master_?immunobiology/i
      'http://studentpoint.univie.ac.at/studien/detailansicht/studium/066-830/?tx_univiestudentpoint_pi1%5Bbackpid%5D=96352&cHash=f625cf70968083a1034667216193ff13'
    # ======================================================================= #
    # === rf "Basic course I - analysis, design and engineering of proteins"
    # ======================================================================= #
    when /^Basic(_|-| )?course(_|-| )?I(_|-| )?(_|-| )?(_|-| )?analysis,(_|-| )?design(_|-| )?and(_|-| )?engineering(_|-| )?of(_|-| )?proteins/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277626'
    # ======================================================================= #
    # === rf "Produktionsprozesse und Qualitätskontrolle in der Pharmazeutischen Technologie"
    # ======================================================================= #
    when /^Produktionsprozesse(_|-| )?und(_|-| )?Qualitätskontrolle(_|-| )?in(_|-| )?der(_|-| )?Pharmazeutischen(_|-| )?Technologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321034&semester=2017W'
    # ======================================================================= #
    # === rf "Umweltbiotechnologische Verfahren"
    # ======================================================================= #
    when /^Umweltbiotechnologische(_|-| )?Verfahren/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=276410'
    # ======================================================================= #
    # === rf "Christian Winter"
    # ======================================================================= #
    when /^Christian(_|-| )?Winter$/i
      'https://ufind.univie.ac.at/de/person.html?id=37375&teaching=true'
    # ======================================================================= #
    # === rf weinvorlesung
    # ======================================================================= #
    when 'weinvorlesung'
      'http://www.boku.ac.at/lehre/e-learning/vorlesungsaufzeichnung/archiv/wintersemester-2012/einfuehrung-in-studium-und-berufsfelder-weinbau-oenologie-und-weinwirtschaft-958101/'
    # ======================================================================= #
    # === rf "Bachelor Botanik"
    # ======================================================================= #
    when /bachelor(_|-| )?botanik/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163658'
    # ======================================================================= #
    # === rf "Pharmazeutische Qualität biogener Arzneimittel"
    # ======================================================================= #
    when /Pharmazeutische(_|-| )?Qualität(_|-| )?biogener(_|-| )?Arzneimittel$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321035&semester=2017W'
    # ======================================================================= #
    # === rf "Pharmazeutische Wissenschaften"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Wissenschaften$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321037&semester=2017W'
    # ======================================================================= #
    # === rf "Wahlmodulegruppe Molekulare Biologie"
    # ======================================================================= #
    when /^Wahlmodulgruppe(_|-| )?Molekulare(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=169771'
    # ======================================================================= #
    # === rf "Microbiology and disease (in Eng.)"
    # ======================================================================= #
    when /Microbiology(_|-| )?and(_|-| )?disease(_|-| )?\(?in(_|-| )?Eng.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277778'
    # ======================================================================= #
    # === rf "Einführung in die Prozesstechnik Übungen"
    # ======================================================================= #
    when /Einführung(_|-| )?in(_|-| )?die(_|-| )?Prozesstechnik(_|-| )?Übungen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279052'
    # ======================================================================= #
    # === rf "Judith Wackerlig"
    # ======================================================================= #
    when /^Judith(_|-| )?Wackerlig$/i
      'https://ufind.univie.ac.at/de/person.html?id=40352&teaching=true'
    # ======================================================================= #
    # === rf "Industrial production of secondary metabolites and comparative biotechnology (in Eng.)"
    # ======================================================================= #
    when /^Industrial(_|-| )?production(_|-| )?of(_|-| )?secondary(_|-| )?metabolites(_|-| )?and(_|-| )?comparative(_|-| )?biotechnology(_|-| )?\(in(_|-| )? Eng\.\)$/i,
         'industrial_production_of_secondary_metabolites_and_comparative_biotechnology_in_eng',
         'industrial_production_of_secondary_metabolites_and_comparative_biotechnology',
         /^Industrial$/i,
         'industrial_production'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279456'
    # ======================================================================= #
    # === rf "Plant Ultra Structure and Cytology"
    # ======================================================================= #
    when /^Plant(_|-| )?Ultra(_|-| )?Structure(_|-| )?and(_|-| )?Cytology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300428&semester=2017W'
    # ======================================================================= #
    # === rf "Materialflüsse in der Holzwirtschaft"
    # ======================================================================= #
    when /^Materialflüsse(_|-| )?in(_|-| )?der(_|-| )?Holzwirtschaft$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278891'
    # ======================================================================= #
    # === rf "Vegetationsökologie (AW)"
    # ======================================================================= #
    when /^Vegetationsökologie(_|-| )?\(?AW\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279526'
    # ======================================================================= #
    # === rf materialkunde
    # ======================================================================= #
    when 'materialkunde',
         /^BOKU(_|-| )?Materialkunde$/i,
         /^892101(_|-| )?Materialkunde$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281011' # 2017W
    # ======================================================================= #
    # === rf "Mut zur Nachhaltigkeit"
    # ======================================================================= #
    when /^Mut(_|-| )?zur(_|-| )?Nachhaltigkeit$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277959'
    # ======================================================================= #
    # === rf weber
    # ======================================================================= #
    when 'weber'
      'https://ufind.univie.ac.at/de/person.html?id=6118&teaching=true'
    # ======================================================================= #
    # === rf "Nanoscale Photonics for Biology"
    # ======================================================================= #
    when /^Nanoscale(_|-| )?Photonics(_|-| )?for(_|-| )?Biology$/i
      'https://ist.ac.at/research/research-groups/danzl-group/'
    # ======================================================================= #
    # === rf "Einführung in die Neuroinformatik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Neuroinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050105&semester=2017W'
    # ======================================================================= #
    # === rf "Epidemiologie"
    # ======================================================================= #
    when /^Epidemiologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=3b1&semester=2017S&courseNr=118169'
    # ======================================================================= #
    # === rf "Molecular Phytopathology"
    # ======================================================================= #
    when /^Molecular(_|-| )?Phytopathology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278457'
    # ======================================================================= #
    # === rf "Plant and environment"
    # ======================================================================= #
    when /Plant(_|-| )?and(_|-| )?environment$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278892'
    # ======================================================================= #
    # === rf "Praktikum Technische Informatik"
    # ======================================================================= #
    when /^Praktikum(_|-| )?Technische(_|-| )?Informatik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=414&courseNr=182716&semester=2017W'
    # ======================================================================= #
    # === rf "Biotechnologie und Gentechnik in der Lebensmittelproduktion"
    # ======================================================================= #
    when /^Biotechnologie(_|-| )?und(_|-| )?Gentechnik(_|-| )?in(_|-| )?der(_|-| )?Lebensmittelproduktion$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330045&semester=2015S'
    # ======================================================================= #
    # === rf "Populationsgenetik (LA)"
    # ======================================================================= #
    when /^Populationsgenetik(_|-| )?\(?LA\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300136&semester=2017W'
    # ======================================================================= #
    # === rf posttranslationale_modifikation_von_proteinen
    # ======================================================================= #
    when 'posttranslationale_modifikation_von_proteinen',
         /^Posttranslationale(_|-| )?Modifikationen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270048&semester=2017W'
    # ======================================================================= #
    # === rf obinger
    # ======================================================================= #
    when 'obinger'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=F65FC9936595D142&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Pflanzenanatomie für LA"
    # ======================================================================= #
    when /^Pflanzenanatomie(_|-| )?für(_|-| )?LA$/i # Eine Übung.
      'https://ufind.univie.ac.at/de/course.html?lv=300056&semester=2017S'
    # ======================================================================= #
    # === rf master_technische_chemie
    # ======================================================================= #
    when 'master_technische_chemie'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=1809&dsrid=470&key=65334&semester=CURRENT'
    # ======================================================================= #
    # === rf "Einführung in die Medizinische Informatik"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Medizinische(_|-| )?Informatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050123&semester=2016S'
    # ======================================================================= #
    # === rf "Andreas Paul Loibner"
    # ======================================================================= #
    when /^Andreas(_|-| )?Paul(_|-| )?Loibner$/  
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=0CC20A565DE64938&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Einführung in die Programmierung"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Programmierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050022&semester=2017S'
    # ======================================================================= #
    # === rf "Mikroskopie an Biomolekülen"
    # ======================================================================= #
    when /^Mikroskopie(_|-| )?an(_|-| )?Biomolekülen$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=7801&dsrid=811&courseNr=134996&semester=2017W'
    # ======================================================================= #
    # === rf "Allgemeine Chemie für PharmazeutInnen"
    # ======================================================================= #
    when /^Steop(_|-| )?Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?PharmazeutInnen$/i,
         /^Allgemeine(_|-| )?Chemie(_|-| )?für(_|-| )?PharmazeutInnen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=321003&semester=2017S'
    # ======================================================================= #
    # === rf "Biochemische Übungen I"
    # ======================================================================= #
    when /Biochemische(_|-| )?Übungen(_|-| )?I$/i,
         /boku_?biochemische_?übungen/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279422'
    # ======================================================================= #
    # === rf "Bodenkunde für Ökologen"
    # ======================================================================= #
    when /^Bodenkunde(_|-| )?für(_|-| )?Ökologen$/i,
         /^300074(_|-| )?Bodenkunde(_|-| )?für(_|-| )?Ökologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300074&semester=2017W'
    # ======================================================================= #
    # === rf "Mitochondrial Bioenergetics, Pathophysiology und Medizin"
    # ======================================================================= #
    when /^Mitochondrial(_|-| )?Bioenergetics(_|-| |,)?(_|-| )?Pathophysiology(_|-| )?und(_|-| )?Medizin/i,
         'mitochondrien',
         /^Mitochondrial(_|-| )?Bioenergetics/i
      'https://ufind.univie.ac.at/de/course.html?lv=301203&semester=2017W'
    # ======================================================================= #
    # === rf "Thomas Frank"
    # ======================================================================= #
    when /^Thomas(_|-| )?Frank$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=6344'
    # ======================================================================= #
    # === rf "Wissenschaftskommunikation im Labor"
    # ======================================================================= #
    when /^Wissenschaftskommunikation(_|-| )?im(_|-| )?Labor$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300033&semester=2017S'
    # ======================================================================= #
    # === rf "Metabolismus und Wechselwirkungen"
    # ======================================================================= #
    when /^Metabolismus(_|-| )?und(_|-| )?Wechselwirkungen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=322010&semester=2017S'
    # ======================================================================= #
    # === rf "Valuation Methods for Natural Resources"
    # ======================================================================= #
    when /^Valuation(_|-| )?Methods(_|-| )?for(_|-| )?Natural(_|-| )?Resources$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279724'
    # ======================================================================= #
    # === rf malarek
    # ======================================================================= #
    when 'malarek'
      'https://ufind.univie.ac.at/de/person.html?id=47454&teaching=true'
    # ======================================================================= #
    # === rf boku_äquivalenzliste
    # ======================================================================= #
    when /boku_?äquivalenzliste/
      'http://www.boku.ac.at/fileadmin/data/H05000/H11000/H11030/_TEMP_/HPneu/Master_LMWT_%C3%84quivalenzliste_27.09.2012.pdf'
    # ======================================================================= #
    # === rf probst
    # ======================================================================= #
    when 'propst','probst'
      'https://ufind.univie.ac.at/de/person.html?id=7433&teaching=true'
    # ======================================================================= #
    # === rf "Mechanische und thermische Verfahrenstechnik II"
    # ======================================================================= #
    when /^Mechanical(_|-| )?and(_|-| )?thermal(_|-| )?process(_|-| )?technology(_|-| )?II(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i,
         /^Mechanische(_|-| )?und(_|-| )?thermische(_|-| )?Verfahrenstechnik(_|-| )?II$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281071'
    # ======================================================================= #
    # === rf thermische_verfahrenstechnik
    # ======================================================================= #
    when /^thermische_?verfahrenstechnik$/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=f22&courseNr=159731&semester=2017W'
    # ======================================================================= #
    # === rf kniepert
    # ======================================================================= #
    when 'kniepert'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=83E40D14B35B3696&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf hinterstoisser
    # ======================================================================= #
    when 'hinterstoisser','hinterstoisser2'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=C3DF6E4B41C796C2&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Practical Course in Molecular Microbiology, Microbial Ecology and Immunobiology 1 - Molecular Microbiology"
    # ======================================================================= #
    when /^Practical(_|-| )?Course(_|-| )?in(_|-| )?Molecular(_|-| )?Microbiology(_|-| |,)?(_|-| )?Microbial(_|-| )?Ecology(_|-| )?and(_|-| )?Immunobiology(_|-| )?1(_|-| )?(_|-| )?(_|-| )?Molecular(_|-| )?Microbiology$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300246&semester=2017S'
    # ======================================================================= #
    # === rf "Strukturorientierte Recherchen in Datenbanken"
    # ======================================================================= #
    when /^Strukturorientierte(_|-| )?Recherchen(_|-| )?in(_|-| )?Datenbanken$/i,
         /^Strukturorientierte(_|-| )?Recherchen(_|-| )?in(_|-| )?Datenbanken(_|-| )?(_|-| )?(_|-| )?Literaturdatenbanken(_|-| )?und(_|-| )?Faktendatenbanken$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270003&semester=2017W'
    # ======================================================================= #
    # === rf "Allgemeine Biologie I"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Biologie(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=809007&semester=2001W'
    # ======================================================================= #
    # === rf "Introduction to Photonics"
    # ======================================================================= #
    when /^Introduction(_|-| )?to(_|-| )?Photonics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=260092&semester=2017S'
    # ======================================================================= #
    # === rf "Ecology of Marine Polar Systems"
    # ======================================================================= #
    when /Ecology(_|-| )?of(_|-| )?Marine(_|-| )?Polar(_|-| )?Systems$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300197&semester=2017W' 
    # ======================================================================= #
    # === rf uniwien_lecture_audios
    # ======================================================================= #
    when /uniwien_?lecture_?audios/
      'https://www.dropbox.com/sh/sqng760ior707x0/AAB7JujsMiSy-53e_jmZLI_ma?dl=0'
    # ======================================================================= #
    # === rf wintersberger
    # ======================================================================= #
    when 'wintersberger'
      'https://ufind.univie.ac.at/de/person.html?id=6329&teaching=true'
    # ======================================================================= #
    # === rf "Computersimulation von Biomolekülen"
    # ======================================================================= #
    when /^Computersimulation(_|-| )?von(_|-| )?Biomolekülen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270275&semester=2017S'
    # ======================================================================= #
    # === rf helga
    # ======================================================================= #
    when 'Königshofer','königshofer','helga'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=E1E171B30386CA2D&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf Rosenberg
    # ======================================================================= #
    when /^Rosenberg$/i
      'https://tiss.tuwien.ac.at/course/courseList.xhtml?dswid=2246&dsrid=176&lecturerOid=849733'
    # ======================================================================= #
    # === rf mihovilovic
    # ======================================================================= #
    when 'mihovilovic'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/393625'
    # ======================================================================= #
    # === rf "Landwirtschaftliche Betriebswirtschaftslehre - Übungen"
    # ======================================================================= #
    when /^Landwirtschaftliche(_|-| )?Betriebswirtschaftslehre(_|-| )?(_|-| )?(_|-| )?Übunge?n?/i, # rf "Landwirtschaftliche Betriebswirtschaftslehre - Übungen"
         /^Landwirtschaftliche(_|-| )?Betriebswirtschaftliche(_|-| )?Übung$/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278075'
    # ======================================================================= #
    # === rf "Interdisziplinäre Ansätze und Methode"
    # ======================================================================= #
    when /^Interdisziplinäre(_|-| )?Ansätze(_|-| )?und(_|-| )?Methode$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279758'
    # ======================================================================= #
    # === rf weisgram
    # ======================================================================= #
    when 'weisgram'
      'https://ufind.univie.ac.at/de/person.html?id=6166&teaching=true'
    # ======================================================================= #
    # === rf herwig
    # ======================================================================= #
    when 'herwig','herweig'
      'https://tiss.tuwien.ac.at/adressbuch/adressbuch/person_via_oid/2584593'
    # ======================================================================= #
    # === rf lipidomik
    # ======================================================================= #
    when 'lipidomik'
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?windowId=b1c&semester=2017W&courseNr=164294'
    # ======================================================================= #
    # === rf "Parasitäre Infektionen"
    # ======================================================================= #
    when /^Parasitäre(_|-| )?Infektionen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300463&semester=2017W'
    # ======================================================================= #
    # === rf "Modern Bioinformatics"
    # ======================================================================= #
    when /^Modern(_|-| )?Bioinformatics$/i,
         /^Modern(_|-| )?bioinformatics(_|-| )?\(?in(_|-| )?Eng\.?\)?$/i 
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281349'
    # ======================================================================= #
    # === rf "Lukas Mach"
    # ======================================================================= #
    when /^Lukas(_|-| )?Mach$/i
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=4191'
    # ======================================================================= #
    # === rf "Molecular genetics of yeasts and hyphal fungi"
    # ======================================================================= #
    when /^Molecular(_|-| )?genetics(_|-| )?of(_|-| )?yeasts(_|-| )?and(_|-| )?hyphal(_|-| )?fungi$/i,
         /^Molecular(_|-| )?genetics(_|-| )?of(_|-| )?yeasts(_|-| )?and(_|-| )?hyphal(_|-| )?fungi\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278511'
    # ======================================================================= #
    # === rf "Microbial plant protection"
    # ======================================================================= #
    when /^Microbial(_|-| )?plant(_|-| )?protection$/i,
         /^Microbial(_|-| )?plant(_|-| )?protection\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279472'
    # ======================================================================= #
    # === rf "Automation of Bioprocesses"
    # ======================================================================= #
    when /^Automation(_|-| )?of(_|-| )?Bioprocesses$/i,
         /^Automation(_|-| )?of(_|-| )?Bioprocesses\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279464'
    # ======================================================================= #
    # === rf "Microbiology and disease"
    # ======================================================================= #
    when /^Microbiology(_|-| )?and(_|-| )?disease$/i,
         /^Microbiology(_|-| )?and(_|-| )?disease\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277778'
    # ======================================================================= #
    # === rf "Plant Molecular Biology"
    # ======================================================================= #
    when /Plant(_|-| )?Molecular(_|-| )?Biology$/i,
         /Plant(_|-| )?Molecular(_|-| )?Biology\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277937'
    # ======================================================================= #
    # === rf "Developmental genetics"
    # ======================================================================= #
    when /^Developmental(_|-| )?genetics$/i,
         /^Developmental(_|-| )?genetics\(in(_|-| )? Eng\.\)$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277929'
    # ======================================================================= #
    # === rf "Organisational behaviour and gender issues"
    # ======================================================================= #
    when /Organisational(_|-| )?behaviour(_|-| )?and(_|-| )?gender(_|-| )?issues$/i,
         /Organisational(_|-| )?behaviour(_|-| )?and(_|-| )?gender(_|-| )?\(in(_|-| )? Eng\.\)$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279870'
    # ======================================================================= #
    # === rf "Strain improvement of microorganisms and higher eucaryotic cells"
    # ======================================================================= #
    when /^Strain(_|-| )?improvement(_|-| )?of(_|-| )?microorganisms(_|-| )?and(_|-| )?higher(_|-| )?eucaryotic(_|-| )?cells$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279466'
    # ======================================================================= #
    # === rf "Botanik-Übungen - Systematik (AW)"
    # ======================================================================= #
    when /^Botanik(_|-| )?Übungen(_|-| )?(_|-| )?(_|-| )?Systematik(_|-| )?\(?AW\)?$/i,
         /^botanik(_|-| )?Übungen(_|-| )?systematik$/i,
         /^Systematik(_|-| )?Übungen(_|-| )?\(?AW\)?$/i,
         /^Botanik(_|-| )?Systematik(_|-| )?\(?AW\)?$/i,
         /^Botanik(_|-| )?Systematik(_|-| )?Übung/i,
         'botanik_übungen_systematik',
         'botanik_systematik_übungen'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279280'
    # ======================================================================= #
    # === rf zotchev
    # ======================================================================= #
    when /zotchev$/i,
         'sergey',
         'sotchev',
         'sergej',
         'sergei' 
      'https://ufind.univie.ac.at/de/person.html?id=57980&teaching=true'
    # ======================================================================= #
    # === rf ws2016
    # ======================================================================= #
    when 'ws2016','semester_W2016','old_nextsemester',
         'WS2016','2017W'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=163330'
    # ======================================================================= #
    # === rf "Molecular plant breeding"
    # ======================================================================= #
    when /Molecular(_|-| )?plant(_|-| )?breeding/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277840'
    # ======================================================================= #
    # === rf "Oncology for Biotechnologists"
    # ======================================================================= #
    when /Oncology(_|-| )?for(_|-| )?Biotechnologists/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278731'
    # ======================================================================= #
    # === rf "Biomimetic model"
    # ======================================================================= #
    when /Biomimetic(_|-| )?model$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278654'
    # ======================================================================= #
    # === rf kunert
    # ======================================================================= #
    when 'kunert'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A9EB71084D176E9E&pPersonenGruppe=3'
    # ======================================================================= #
    # === online_kurs
    # ======================================================================= #
    when 'online_kurs'
      'https://www.ilsb.tuwien.ac.at/lva/317.530_2017W/03.html'
    # ======================================================================= #
    # === rf boku_self
    # ======================================================================= #
    when /boku(_|-| )?self/i,
         /boku_?lehrveranstaltungen/
      'https://online.boku.ac.at/BOKUonline/sa2.lvanmelden?cst_person_nr=289784'
    # ======================================================================= #
    # === rf "Food microbiology for SIFC"
    # ======================================================================= #
    when /Food(_|-| )?microbiology(_|-| )?for(_|-| )?SIFC$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278008'
    # ======================================================================= #
    # === rf kistner
    # ======================================================================= #
    when 'kistner'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=64C58E111C2CED3F&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf günzburg
    # ======================================================================= #
    when 'günzburg','walter_günzburg'
      'https://online.vu-wien.ac.at/VUWonline/visitenkarte.show_vcard?pPersonenId=97179E49D6964792&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf semisynthese_homepage
    # ======================================================================= #
    when 'semisynthese_homepage'
      'http://www.univie.ac.at/biologischechemie1/semisynthese/'
    # ======================================================================= #
    # === rf meszaros
    # ======================================================================= #
    when 'meszaros','gabor','gabor_meszaros','gabaros','gabores',
         'meszares'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A8C97D034CC1A260&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "synthetische_chemie"
    # ======================================================================= #
    when /synthetische_?chemie/,/synthese_?praktikum/
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=93f&courseNr=163145&semester=2017S'
    # ======================================================================= #
    # === rf schiebel
    # ======================================================================= #
    when 'schiebel'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=A44D3D6C3ACE16CB&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "BOKU Mikrobiologie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Mikrobiologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277747'
    # ======================================================================= #
    # === rf boku_ticket_system
    # ======================================================================= #
    when /^boku(_|-| )?ticket(_|-| )?system$/
      'https://hotline.boku.ac.at/otrs/customer.pl'
    # ======================================================================= #
    # === rf "Probenvorbereitung und Grundkonzepte in der Bioanalytik"
    # ======================================================================= #
    when /^Probenvorbereitung(_|-| )?und(_|-| )?Grundkonzepte(_|-| )?in(_|-| )?der(_|-| )?Bioanalytik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9343&dsrid=799&courseNr=164303&semester=2017W'
    # ======================================================================= #
    # === rf "Qualitätsmanagement im Betrieb"
    # ======================================================================= #
    when /Qualitätsmanagement(_|-| )?im(_|-| )?Betrieb$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330003&semester=2017S'
    # ======================================================================= #
    # === rf Weckwerth
    # ======================================================================= #
    when /^Weckwerth$/i
      'https://ufind.univie.ac.at/de/person.html?id=35600'
    # ======================================================================= #
    # === rf "Ökologie der Großlebensräume der Erde"
    # ======================================================================= #
    when /Ökologie(_|-| )?der(_|-| )?Großlebensräume(_|-| )?der Erde$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300048&semester=2017W'
    # ======================================================================= #
    # === rf "Protein trafficking in the early secretory pathway"
    # ======================================================================= #
    when /^Protein(_|-| )?trafficking(_|-| )?in(_|-| )?the(_|-| )?early(_|-| )?secretory(_|-| )?pathway$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=280921'
    # ======================================================================= #
    # === rf "New concepts in light- and electron microscopy (scientific results, instruments, methods)"
    # ======================================================================= #
    when /^New(_|-| )?concepts(_|-| )?in(_|-| )?light(_|-| )?(_|-| )?and(_|-| )?electron(_|-| )?microscopy(_|-| )?\(?scientific(_|-| )?results(_|-| |,)?(_|-| )?instruments(_|-| |,)?(_|-| )?methods\)?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300158&semester=2017W'
    # ======================================================================= #
    # === rf "Molekulare Tiergenetik"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Tiergenetik$/i,
         /Molekulare(_|-| )?Tiergenetik(_|-| )?\(?in(_|-| )?Eng\.\)?/i,
         /BOKU(_|-| )?Molekulare(_|-| )?Tiergenetik(_|-| )?\(?in(_|-| )?Eng\.\)?/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278433'
    # ======================================================================= #
    # === rf "BOKU Ökologie"
    # ======================================================================= #
    when /^BOKU(_|-| )?Ökologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278904'
    # ======================================================================= #
    # === rf "Ökologie in der Landschaftsplanung"
    # ======================================================================= #
    when /Ökologie(_|-| )?in(_|-| )?der(_|-| )?Landschaftsplanung/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279176'
    # ======================================================================= #
    # === rf "Grundlagen der Ökologie 2"
    # ======================================================================= #
    when /Grundlagen(_|-| )?der(_|-| )?Ökologie(_|-| )?2/i,
         'grundlagen_der_Ökologie_2:_Ökophysiologie_und_Ökologie_der_lebensgemeinschaften',
         /ökologie ?2/i,'öko2','grundlagen_der_Ökologie_2'
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278161'
    # ======================================================================= #
    # === rf "Journal Club Recent Developments in Microbiology & Molecular Diagnostics"
    # ======================================================================= #
    when /^Journal(_|-| )?Club(_|-| )?Recent(_|-| )?Developments(_|-| )?in(_|-| )?Microbiology(_|-| )?\&?(_|-| )?Molecular(_|-| )?Diagnostics$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2564&dsrid=0&courseNr=166683&semester=2018S'
    # ======================================================================= #
    # === rf SS2017
    # ======================================================================= #
    when /^SS2017/i,/^S2017/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=172499&from=1&to=2'
    # ======================================================================= #
    # === rf "Einführung in die Lebensmittel- und Biotechnologie"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Lebensmittel(_|-| )?(_|-| )?und(_|-| )?Biotechnologie$/i,
         /^BOKU(_|-| )?Einführung(_|-| )?in(_|-| )?die(_|-| )?Lebensmittel(_|-| )?(_|-| )?und(_|-| )?Biotechnologie$/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=278711'
    # ======================================================================= #
    # === rf "Allgemeine Chemie"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Chemie$/i,
         /^BOKU(_|-| )?Allgemeine(_|-| )?Chemie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279398'
    # ======================================================================= #
    # === rf "Up- and Downstream-Processing"
    # ======================================================================= #
    when /^Up(_|-| )?(_|-| )?and(_|-| )?Downstream(_|-| )?Processing$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278859'
    # ======================================================================= #
    # === rf "Hydrobiologie I"
    # ======================================================================= #
    when /^Hydrobiologie(_|-| )?I$/i,
         /^Hydrobiologie(_|-| )?I(_|-| )?\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279857'
    # ======================================================================= #
    # === rf "Bioinformatics for metagenomics and metatranscriptomic"
    # ======================================================================= #
    when /^Bioinformatics(_|-| )?for(_|-| )?metagenomics(_|-| )?and(_|-| )?metatranscriptomics$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300060&semester=2017W'
    # ======================================================================= #
    # === rf BA02A
    # ======================================================================= #
    when /tu_?calendar/,'kalendar','tuvorlesung','calendar','tucalendar',
         'remote_calendar','master_tu','BA02A'
      'https://tiss.tuwien.ac.at/events/roomSchedule.xhtml?windowId=b56&initialDate=20161003&roomCode=SEM+BA+02A'
    # ======================================================================= #
    # === rf boku_bachelor_curricula
    # ======================================================================= #
    when 'boku_bachelor','bokubachelor','boku_bachelor_curricula',
         'boku_curricula'
      'https://www.boku.ac.at/universitaet-fuer-bodenkultur-wien-boku/studieren-an-der-boku/studienangebot/bachelorstudien/?selectedTypes=group'
    # ======================================================================= #
    # === somoza
    # ======================================================================= #
    when 'somoza','somosa'
      'https://ufind.univie.ac.at/de/person.html?id=6906&teaching=true'
    # ======================================================================= #
    # === rf "Scientific skills"
    # ======================================================================= #
    when /^Scientific(_|-| )?skills$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278039'
    # ======================================================================= #
    # === rf schröder
    # ======================================================================= #
    when 'schröder','rene_schröder','schroeder'
      'https://ufind.univie.ac.at/de/person.html?id=5075&teaching=true'
    # ======================================================================= #
    # === rf "Spezielle Methoden in Genetik und Entwicklungsbiologie"
    # ======================================================================= #
    when /^Spezielle(_|-| )?Methoden(_|-| )?in(_|-| )?Genetik(_|-| )?und(_|-| )?Entwicklungsbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300065&semester=2017S'
    # ======================================================================= #
    # === rf witte
    # ======================================================================= #
    when 'witte','witter'
      'https://ufind.univie.ac.at/de/person.html?id=6340&teaching=true'
    # ======================================================================= #
    # === rf lubitz
    # ======================================================================= #
    when 'lubitz','werner_lubitz','wernerlubitz'
      'https://ufind.univie.ac.at/de/person.html?id=3298&teaching=true'
    # ======================================================================= #
    # === rf "Holistische Wissenschaften - ein ganzheitlicher Wissenschaftsaspekt"
    # ======================================================================= #
    when /^Holistische(_|-| )?Wissenschaften(_|-| )?(_|-| )?(_|-| )?ein(_|-| )?ganzheitlicher(_|-| )?Wissenschaftsaspekt$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279405&pSpracheNr=1'
    # ======================================================================= #
    # === rf Virologie
    # ======================================================================= #
    when /^Virologie$/i,/^Virologie(_|-| )?für(_|-| )?Biomediziner$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=57025'
    # ======================================================================= #
    # === rf applied_bioinformatics
    # ======================================================================= #
    when 'applied_bioinformatics',
         'übung_angewandte_bioinformatik'
      'https://ufind.univie.ac.at/de/course.html?lv=050062&semester=2017W'
    # ======================================================================= #
    # === rf master_informatik
    # ======================================================================= #
    when 'master_informatik'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=180001'
    # ======================================================================= #
    # === rf "Modelling and Simulation of Biomolecules"
    # ======================================================================= #
    when /^Modelling(_|-| )?and(_|-| )?Simulation(_|-| )?of(_|-| )?Biomolecules$/i,
         /^Modelling(_|-| )?and(_|-| )?Simulation(_|-| )?of(_|-| )?Biomolecules\(?in(_|-| )?Eng\.\)?$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278446'
    # ======================================================================= #
    # === rf pum
    # ======================================================================= #
    when 'pum'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=07DA76A9D5256AFF&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Protein Chemistry"
    # ======================================================================= #
    when /^Protein(_|-| )?Chemistry$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278357'
    # ======================================================================= #
    # === rf "Energy Engineering"
    # ======================================================================= #
    when /^Energy(_|-| )?Engineering$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279923'
    # ======================================================================= #
    # === rf "Biochemie Proseminar"
    # ======================================================================= #
    when /^Biochemie(_|-| )?Proseminar$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=5092&dsrid=860&courseNr=166190&semester=2018S'
    # ======================================================================= #
    # === rf "Allgemeine Mikrobiologie und Hygiene"
    # ======================================================================= #
    when /^Allgemeine(_|-| )?Mikrobiologie(_|-| )?und(_|-| )?Hygiene$/i
      'https://ufind.univie.ac.at/de/course.html?lv=320107&semester=2015S'
    # ======================================================================= #
    # === rf "Biologie und Chemie in der Wassergütewirtschaft"
    # ======================================================================= #
    when /^Biologie(_|-| )?und(_|-| )?Chemie(_|-| )?in(_|-| )?der(_|-| )?Wassergütewirtschaft$/i,
         /^Biologie(_|-| )?und(_|-| )?Chemie(_|-| )?des(_|-| )?Wassers$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=3597&dsrid=727&courseNr=226037&semester=2017W'
    # ======================================================================= #
    # === rf "Ralf Steinborn"
    # ======================================================================= #
    when /^Ralf(_|-| )?Steinborn$/i
      'https://ufind.univie.ac.at/de/person.html?id=10158&teaching=true'
    # ======================================================================= #
    # === rf "Biomaterials"
    # ======================================================================= #
    when /^Biomaterials(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^Biomaterials$/i,
         /^BOKU(_|-| )?Biomaterials(_|-| )?\(?in(_|-| )?Eng\.\)?$/i,
         /^BOKU(_|-| )?Biomaterials$/i # rf "BOKU Biomaterials"
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277637'
    # ======================================================================= #
    # === rf "Wahlbeispiel Molekulare Zellbiologie"
    # ======================================================================= #
    when /Wahlbeispiel(_|-| )?Molekulare(_|-| )?Zellbiologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300857&semester=2017S'
    # ======================================================================= #
    # === rf "Fachspezifisches Praktikum Nanomaterialien"
    # ======================================================================= #
    when /Fachspezifisches(_|-| )?Praktikum(_|-| )?Nanomaterialien$/i
      'https://ufind.univie.ac.at/de/course.html?lv=260030&semester=2017S'
    # ======================================================================= #
    # === rf "Angewandte Chemie in der medizinischen Forschung"
    # ======================================================================= #
    when /Angewandte(_|-| )?Chemie(_|-| )?in(_|-| )?der(_|-| )?medizinischen(_|-| )?Forschung$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2965&dsrid=165&courseNr=166186&semester=2017S'
    # ======================================================================= #
    # === rf "Einführende Statistik"
    # ======================================================================= #
    when /^Einführende(_|-| )?Statistik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051130&semester=2017W'
    # ======================================================================= #
    # === rf hofinger
    # ======================================================================= #
    when 'hofinger'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=D092ED2232B4B8B8&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Genetisches Seminar (Molekularbiologie der RNA)"
    # ======================================================================= #
    when /Genetisches(_|-| )?Seminar(_|-| )?\(Molekularbiologie(_|-| )?der(_|-| )?RNA\)/i
      'https://ufind.univie.ac.at/de/course.html?lv=300605&semester=2017W'
    # ======================================================================= #
    # === rf "Allgemeine und Molekulare Mikrobiologie, Teil I"
    # ======================================================================= #
    when /Allgemeine(_|-| )?und(_|-| )?Molekulare(_|-| )?Mikrobiologie(,| )?(_|-| )?Teil(_|-| )?$/i
      'https://ufind.univie.ac.at/de/course.html?lv=877817&semester=2004S'
    # ======================================================================= #
    # === rf Obstproduktion
    # ======================================================================= #
    when /^Obstproduktion$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277844'
    # ======================================================================= #
    # === rf "Instrumental Analytical Biochemistry"
    # ======================================================================= #
    when /^Instrumental(_|-| )?Analytical(_|-| )?Biochemistry$/i,
         /^164.234(_|-| )?Instrumental(_|-| )?Analytical(_|-| )?Biochemistry$/i,
         /^Instrumental(_|-| )?Bioanalytical$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=256&courseNr=164234&semester=2017S'
    # ======================================================================= #
    # === rf prohaska
    # ======================================================================= #
    when 'prohaska'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=3622'
    # ======================================================================= #
    # === rf kolbus
    # ======================================================================= #
    when 'kolbus'
      'https://campus.meduniwien.ac.at/med.campus/visitenkarte.show_vcard?pPersonenId=23D6040066B42C8D&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Immunologie und zelluläre Mikrobiologie Teil A"
    # ======================================================================= #
    when /Immunologie(_|-| )?und(_|-| )?zelluläre(_|-| )?Mikrobiologie(_|-| )?Teil(_|-| )?A/i
      'https://ufind.univie.ac.at/de/course.html?lv=300260&semester=2017W'
    # ======================================================================= #
    # === rf S2016
    # ======================================================================= #
    when 'S2016','SS2016'
      'http://online.univie.ac.at/vlvz?kapitel=3001&semester=S2016'
    # ======================================================================= #
    # === rf "Wasserhaushalt der Pflanzen"
    # ======================================================================= #
    when /Wasserhaushalt(_|-| )?der(_|-| )?Pflanzen/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=275814'
    # ======================================================================= #
    # === rf meduni_moodle
    # ======================================================================= #
    when /^meduni(_|-| )?moodle$/
      'https://moodle.meduniwien.ac.at'
    # ======================================================================= #
    # === rf "Bioinformatik für die Analyse mikrobieller Genome, Metagenome und Metatranskriptome"
    # ======================================================================= #
    when /^Bioinformatik(_|-| )?für(_|-| )?die(_|-| )?Analyse(_|-| )?mikrobieller(_|-| )?Genome(_|-| |,)?(_|-| )?Metagenome(_|-| )?und(_|-| )?Metatranskriptome$/i,
         /^300311(_|-| )?Bioinformatik(_|-| )?für(_|-| )?die(_|-| )?Analyse(_|-| )?mikrobieller(_|-| )?Genome(_|-| |,)?(_|-| )?Metagenome(_|-| )?und(_|-| )?Metatranskriptome$/i,
          /^Bioinformatik(_|-| )?für(_|-| )?die(_|-| )?Analyse(_|-| )?mikrobieller(_|-| )?Genom$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300311&semester=2017W' # 2017W.
    # ======================================================================= #
    # === rf "Fungal Evolution and Diversity"
    # ======================================================================= #
    when /^Fungal(_|-| )?Evolution(_|-| )?and(_|-| )?Diversity$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300467&semester=2017W'
    # ======================================================================= #
    # === rf "Industrielle Biotechnologie"
    # ======================================================================= #
    when /^Industrielle(_|-| )?Biotechnologie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2713&dsrid=481&courseNr=166225&semester=2017S'
    # ======================================================================= #
    # === rf "salzburg_curriculum"
    # ======================================================================= #
    when /salzburg_curriculum/
      'https://online.uni-salzburg.at/plus_online/wbstpcs.showSpoTree?pStStudiumNr=&pSJNr=1742&pStpStpNr=1127'
    # ======================================================================= #
    # === rf "Mathematik für Molekulare Biologen"
    # ======================================================================= #
    when /^Mathematik(_|-| )?für(_|-| )?Molekulare(_|-| )?Biologen$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300375&semester=2017S'
    # ======================================================================= #
    # === rf "Technische Mikroskopie"
    # ======================================================================= #
    when /^Technische(_|-| )?Mikroskopie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2328&dsrid=459&courseNr=166685&semester=2018S'
    # ======================================================================= #
    # === rf "Angewandte Mikroskopie"
    # ======================================================================= #
    when /^Angewandte(_|-| )?Mikroskopie$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2328&dsrid=801&courseNr=166675&semester=2018S'
    # ======================================================================= #
    # === rf "Protein Design and Evolution"
    # ======================================================================= #
    when /^Protein(_|-| )?Design(_|-| )?and(_|-| )?Evolution$/i,
         'nextseminar'
      'https://ufind.univie.ac.at/de/course.html?lv=301159&semester=2017W'
    # ======================================================================= #
    # === rf "Prozessanalytik"
    # ======================================================================= #
    when /^Prozessanalytik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=2717&dsrid=443&courseNr=164316&semester=2017S'
    # ======================================================================= #
    # === rf "Analytische Chemie und Meßmethoden"
    # ======================================================================= #
    when /^Analytische(_|-| )?Chemie(_|-| )?und(_|-| )?Meßmethoden$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4796&dsrid=519&courseNr=164183&semester=2017W'
    # ======================================================================= #
    # === rf "SE Research Report & Journal Club III"
    # ======================================================================= #
    when /^SE(_|-| )?Research(_|-| )?Report(_|-| )?\&(_|-| )?Journal(_|-| )?Club(_|-| )?III$/i,
         /^Research(_|-| )?Report(_|-| )?\&(_|-| )?Journal(_|-| )?Club(_|-| )?III$/i
      'https://ufind.univie.ac.at/de/course.html?lv=301761&semester=2017W'
    # ======================================================================= #
    # === rf chemie_forum
    # ======================================================================= #
    when 'chemie_forum','chemieforum','chemforum'
      'https://chemie.nawi.at'
    # ======================================================================= #
    # === rf bachelor_molbio
    # ======================================================================= #
    when /bachelor_?molbio/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=172535'
    # ======================================================================= #
    # === rf "Einführung in die Laborpraxis"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Laborpraxis$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330051&semester=2017W'
    # ======================================================================= #
    # === rf Ernährungspolitik
    # ======================================================================= #
    when /Agrar(_|-| )?(_|-| )?und(_|-| )?Ernährungspolitik/i,
         /agrar_?und_?ernährungspolitik/,
         'Ernährungspolitik',
         /Agrarpolitik/i
      'https://online.boku.ac.at/BOKUonline/wblv.wbShowLvDetail?pStpSpNr=279604'
    # ======================================================================= #
    # === rf "Andreas Bohner"
    # ======================================================================= #
    when /Andreas(_|-| )?Bohner$/i
      'www.boku.ac.at/personen/person/786FDC6038C200D0/'
    # ======================================================================= #
    # === rf "Fachliteraturseminar Biochemie"
    # ======================================================================= #
    when /^Fachliteraturseminar(_|-| )?Biochemie$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=300380&semester=2017S' # Sommersemester.
      'https://ufind.univie.ac.at/de/course.html?lv=301165&semester=2017W'
    # ======================================================================= #
    # === rf "Land- und Agrarsoziologie"
    # ======================================================================= #
    when /Land(_|-| )?(_|-| )?und(_|-| )?Agrarsoziologie(_|-| )?(_|-| )?(_|-| )?Seminar/i,
         /^Agrarsoziologie$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279736'
    # ======================================================================= #
    # === rf bulgheresi
    # ======================================================================= #
    when 'bulgheresi'
      'https://ufind.univie.ac.at/de/person.html?id=18697&teaching=true'
    # ======================================================================= #
    # === rf "Bioinformatics - selected aspects"
    # ======================================================================= #
    when /^Bioinformatics(_|-| )?(_|-| )?(_|-| )?selected(_|-| )?aspects$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279810'
    # ======================================================================= #
    # === rf "Qualitätssicherung und GLP/GMP"
    # ======================================================================= #
    when /^Qualitätssicherung(_|-| )?und(_|-| )?GLP\/GMP$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=4025&dsrid=411&courseNr=164169&semester=2018S'
    # ======================================================================= #
    # === rf SS2017
    # ======================================================================= #
    when /^SS2017$/i
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=172500&semester=2017S'
    # ======================================================================= #
    # === rf "Computereinsatz in der Biologie"
    # ======================================================================= #
    when /^Computereinsatz(_|-| )?in(_|-| )?der(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300254&semester=2017S'
    # ======================================================================= #
    # === rf "Biologische Wahlfächer"
    # ======================================================================= #
    when /Biologische(_|-| )?Wahlfächer$/i
      #'https://ufind.univie.ac.at/de/vvz_sub.html?path=172911'
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=172885'
    # ======================================================================= #
    # === rf "Biochemische Übungen"
    # ======================================================================= #
    when /^Biochemische(_|-| )?Übungen$/i
      # 'https://ufind.univie.ac.at/de/course.html?lv=330018&semester=2017S' # Sommersemester.
      'https://ufind.univie.ac.at/de/course.html?lv=330018&semester=2017W'
    # ======================================================================= #
    # === rf "Einführung in die Datenverarbeitung"
    # ======================================================================= #
    when /^Einführung(_|-| )?in(_|-| )?die(_|-| )?Datenverarbeitung$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282305'
    # ======================================================================= #
    # === rf reipert
    # ======================================================================= #
    when 'reipert'
      'https://ufind.univie.ac.at/de/person.html?id=22199&teaching=true'
    # ======================================================================= #
    # === rf "Integrierte Biopharmaproduktion im Pilotmaßstab"
    # ======================================================================= #
    when /^Integrierte(_|-| )?Biopharmaproduktion(_|-| )?im(_|-| )?Pilotmaßstab$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=8340&dsrid=851&courseNr=166655&semester=2017W'
    # ======================================================================= #
    # === rf borth
    # ======================================================================= #
    when 'borth'
      'https://online.boku.ac.at/BOKUonline/visitenkarte.show_vcard?pPersonenId=EA160EBA1EEF52D4&pPersonenGruppe=3'
    # ======================================================================= #
    # === rf "Propedeutics: Methods in Cellular Biology"
    # ======================================================================= #
    when /^Propedeutics:(_|-| )?Methods(_|-| )?in(_|-| )?Cellular(_|-| )?Biology$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=292603'
    # ======================================================================= #
    # === rf "Mathematische Grundlagen der Informatik 1"
    # ======================================================================= #
    when /^Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?1$/i,
         /^Mathematische(_|-| )?Grundlagen(_|-| )?der(_|-| )?Informatik(_|-| )?I$/i
      'https://ufind.univie.ac.at/de/course.html?lv=051110&semester=2017W'
    # ======================================================================= #
    # === rf "Practical course in cell biology"
    # ======================================================================= #
    when /^Practical(_|-| )?course(_|-| )?in(_|-| )?cell(_|-| )?biology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=281386'
    # ======================================================================= #
    # === rf "UniWien Analytische Chemie II"
    # ======================================================================= #
    when /^Uniwien(_|-| )?Analytische(_|-| )?Chemie(_|-| )?II$/i
       'https://ufind.univie.ac.at/de/course.html?lv=270108&semester=2017W'
    # ======================================================================= #
    # === rf "Organisch-chemisches Proseminar"
    # ======================================================================= #
    when /^Organisch(_|-| )?chemisches(_|-| )?Proseminar$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270150&semester=2017S'
    # ======================================================================= #
    # === rf "Organisch-chemisches Praktikum"
    # ======================================================================= #
    when /^Organisch(_|-| )?chemisches(_|-| )?Praktikum$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270132&semester=2017S'
    # ======================================================================= #
    # === domig
    # ======================================================================= #
    when 'domig'
      'https://online.boku.ac.at/BOKUonline/wblvangebot.wbshowlvoffer?ppersonnr=3823'
    # ======================================================================= #
    # === rf "Pharmazeutische Prozesstechnik"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Prozesstechnik$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=9360&dsrid=816&courseNr=166605&semester=2017S'
    # ======================================================================= #
    # === rf "Pharmazeutische Biochemie"
    # ======================================================================= #
    when /^Pharmazeutische(_|-| )?Biochemie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=320090&semester=2014W'
    # ======================================================================= #
    # === rf "Mechanismus der Cancerogenese - Biochemische Studien"
    # ======================================================================= #
    when /^Mechanismus(_|-| )?der(_|-| )?Cancerogenese(_|-| )?(_|-| )?(_|-| )?Biochemische(_|-| )?Studien$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=324032'
    # ======================================================================= #
    # === rf medizininformatik
    # ======================================================================= #
    when /^medizininformatik$/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=179429' # &semester=2017W
    # ======================================================================= #
    # === rf "Statistische Methoden in der Bioinformatik"
    # ======================================================================= #
    when /Statistische(_|-| )?Methoden(_|-| )?in(_|-| )?der(_|-| )?Bioinformatik$/i
      'https://ufind.univie.ac.at/de/course.html?lv=050066&semester=2017W'
    # ======================================================================= #
    # === rf "WS2016_new"
    # ======================================================================= #
    when 'WS2016_new','vorlesungsverzeichnis_new', # This one here is "more advanced".
         'next_semester','nextsemester','next_sem','nextsem',
         '2017Ws','newsemester','ws2016_new','ws2016new',
         'vorlesungsverzeichnis2'
      'https://ufind.univie.ac.at/de/vvz_sub.html?semester=2017W&path=163330'
    # ======================================================================= #
    # === rf "Molekulare Biologie der RNA"
    # ======================================================================= #
    when /^Molekulare(_|-| )?Biologie(_|-| )?der(_|-| )?RNA$/i
      'https://campus.meduniwien.ac.at/med.campus/wbLv.wbShowLVDetail?pStpSpNr=321845'
    # ======================================================================= #
    # === rf "Vetmed Molekularbiologie"
    # ======================================================================= #
    when /^Vetmed(_|-| )?Molekularbiologie$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=54676'
    # ======================================================================= #
    # === rf martens
    # ======================================================================= #
    when 'martens'
      'https://ufind.univie.ac.at/de/person.html?id=39726&teaching=true'
    # ======================================================================= #
    # === rf "Methodik der NMR"
    # ======================================================================= #
    when /^Methodik(_|-| )?der(_|-| )?NMR$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270014&semester=2017W'
    # ======================================================================= #
    # === rf "Biomimetic Model Lipid Membranes"
    # ======================================================================= #
    when /Biomimetic(_|-| )?Model(_|-| )?Lipid(_|-| )?Membranes$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=278654'
    # ======================================================================= #
    # === rf "Microscopy in Biology"
    # ======================================================================= #
    when /Microscopy(_|-| )?in(_|-| )?Biology$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?windowId=e6c&courseNr=166200&semester=2017S'
    # ======================================================================= #
    # === rf "Praktikum Moderne mikroskopische Methoden"
    # ======================================================================= #
    when /Praktikum(_|-| )?Moderne(_|-| )?mikroskopische(_|-| )?Methoden$/i
      'https://ufind.univie.ac.at/de/course.html?lv=260193&semester=2017W'
    # ======================================================================= #
    # === rf bachelor_philosophie
    # ======================================================================= #
    when /bachelor_?philosophie/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=165285'
    # ======================================================================= #
    # === rf "Moderne Biotechnologie in der Lebensmittelproduktion"
    # ======================================================================= #
    when /^Moderne(_|-| )?Biotechnologie(_|-| )?in(_|-| )?der(_|-| )?Lebensmittelproduktion$/i
      'https://ufind.univie.ac.at/de/course.html?lv=330027&semester=2017W'
    # ======================================================================= #
    # === rf "Biophysics"
    # ======================================================================= #
    when /^Biophysics$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=277697'
    # ======================================================================= #
    # === rf "Biochemie der Pflanzen"
    # ======================================================================= #
    when /Biochemie(_|-| )?der(_|-| )?Pflanzen$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=279430'
    # ======================================================================= #
    # === rf "Metabolism in Evolution, Development and Ecology: a Systems Biology Perspective"
    # ======================================================================= #
    when /Metabolism(_|-| )?in(_|-| )?Evolution,(_|-| )?Development(_|-| )?and(_|-| )?Ecology:(_|-| )?a(_|-| )?Systems(_|-| )?Biology(_|-| )?Perspective$/i,
         /Metabolism(_|-| )?in(_|-| )?Evolution,(_|-| )?Development(_|-| )?and(_|-| )?Ecology$/i,
         /Metabolism(_|-| )?in(_|-| )?Evolution$/i,
         'metabolism','Metabolimus',
         'metabolism_in_evolution_development_and_ecology'
      'https://ufind.univie.ac.at/de/course.html?lv=300272&semester=2017W'
    # ======================================================================= #
    # === rf tuwien_informatik
    # ======================================================================= #
    when 'tuwien_informatik', 'bachelor_medizinische_informatik',
         'medizinische_informatik','biomedical_engineers',
         'tuwien_medizinische_informatik'
      # 'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?windowId=0ae&key=45860&semester=NEXT'
      'https://tiss.tuwien.ac.at/curriculum/public/curriculum.xhtml?dswid=7910&dsrid=61&windowId=0ae&key=45860&semester=NEXT' # 2017W
    # ======================================================================= #
    # === rf "Advanced Genetic Engineering in Yeast"
    # ======================================================================= #
    when /^Advanced(_|-| )?Genetic(_|-| )?Engineering(_|-| )?in(_|-| )?Yeast$/
      'https://ufind.univie.ac.at/de/course.html?lv=301246&semester=2017W'
    # ======================================================================= #
    # === rf "Dissertationsgebiet Molekulare Biologie"
    # ======================================================================= #
    when /^Dissertationsgebiet(_|-| )?Molekulare(_|-| )?Biologie$/
      'https://ufind.univie.ac.at/de/vvz_sub.html?path=181062&semester=2017W'
    # ======================================================================= #
    # === rf gesell
    # ======================================================================= #
    when 'gesell'
      'https://ufind.univie.ac.at/de/person.html?id=32853&teaching=true'
    # ======================================================================= #
    # === rf stockinger
    # ======================================================================= #
    when 'stockinger'
      'https://campus.meduniwien.ac.at/med.campus/wblvangebot.wbshowlvoffer?ppersonnr=89020'
    # ======================================================================= #
    # === rf seiser
    # ======================================================================= #
    when 'seiser'
      'https://ufind.univie.ac.at/de/person.html?id=5222&teaching=true'
    # ======================================================================= #
    # === rf physiologie_der_sinne
    # ======================================================================= #
    when /^physiologie_?der_?sinne$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300683&semester=2017S'
    # ======================================================================= #
    # === rf technau
    # ======================================================================= #
    when 'technau'
      'https://ufind.univie.ac.at/de/person.html?id=33013&teaching=true'
    # ======================================================================= #
    # === rf "Großpraktikum Molekulare Biologie"
    # ======================================================================= #
    when /^Großpraktikum(_|-| )?Molekulare(_|-| )?Biologie$/i
      'https://ufind.univie.ac.at/de/course.html?lv=300850&semester=2017S'
    # ======================================================================= #
    # === rf "Chemie für Maschinenbau"
    # ======================================================================= #
    when /^Chemie(_|-| )?für(_|-| )?Maschinenbau$/i,
         /^153.494(_|-| )?Chemie(_|-| )?für(_|-| )?Maschinenbau$/i
      'https://tiss.tuwien.ac.at/course/courseDetails.xhtml?dswid=1464&dsrid=720&courseNr=153494&semester=2017W'
    # ======================================================================= #
    # === rf "Ringvorlesung Ökologie"
    # ======================================================================= #
    when /^Ringvorlesung(_|-| )?Ökologie$/i
      'https://tiss.tuwien.ac.at/course/educationDetails.xhtml?courseNr=253118&semester=2017S&dswid=4959&dsrid=573'
    # ======================================================================= #
    # === rf "Fundamentals of environmental biotechnology"
    # ======================================================================= #
    when /^Fundamentals(_|-| )?of(_|-| )?environmental(_|-| )?biotechnology$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282215'
    # ======================================================================= #
    # === rf "Übungen zu Computergrafik und Molekulare Modellierung"
    # ======================================================================= #
    when /^Übungen(_|-| )?zu(_|-| )?Computergrafik(_|-| )?und(_|-| )?Molekulare(_|-| )?Modellierung$/i
      'https://ufind.univie.ac.at/de/course.html?lv=270037&semester=2017W'
    # ======================================================================= #
    # === rf "Fermentation processes in food industry"
    # ======================================================================= #
    when /^Fermentation(_|-| )?processes(_|-| )?in(_|-| )?food(_|-| )?industry$/i
      'https://online.boku.ac.at/BOKUonline/wbLv.wbShowLVDetail?pStpSpNr=282398&pSpracheNr=' # 2017WS.
    # ======================================================================= #
    # === rf "Basic biology and cell biology"
    # ======================================================================= #
    when /^Basic(_|-| )?biology(_|-| )?and(_|-| )?cell(_|-| )?biology$/i
      'https://online.vu-wien.ac.at/VUWonline/wbLv.wbShowLVDetail?pStpSpNr=56830'
    else
      return i # Must return the original input in this case.
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  puts BeautifulUrl.university_menu
end